"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "ownerName": "Google", "resources": { "operations": { "methods": { "get": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "GET", "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "required": true, "type": "string", "pattern": "^operations/.+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/operations/{operationsId}", "path": "v1beta/{+name}", "id": "accesscontextmanager.operations.get", "description": "Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice." } } }, "accessPolicies": { "methods": { "create": { "request": { "$ref": "AccessPolicy" }, "description": "Create an `AccessPolicy`. Fails if this organization already has a\n`AccessPolicy`. The longrunning Operation will have a successful status\nonce the `AccessPolicy` has propagated to long-lasting storage.\nSyntactic and basic semantic errors will be returned in `metadata` as a\nBadRequest proto.", "response": { "$ref": "Operation" }, "parameterOrder": [], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": {}, "flatPath": "v1beta/accessPolicies", "path": "v1beta/accessPolicies", "id": "accesscontextmanager.accessPolicies.create" }, "delete": { "description": "Delete an AccessPolicy by resource\nname. The longrunning Operation will have a successful status once the\nAccessPolicy\nhas been removed from long-lasting storage.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "description": "Required. Resource name for the access policy to delete.\n\nFormat `accessPolicies/{policy_id}`", "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/accessPolicies/{accessPoliciesId}", "path": "v1beta/{+name}", "id": "accesscontextmanager.accessPolicies.delete" }, "list": { "description": "List all AccessPolicies under a\ncontainer.", "httpMethod": "GET", "parameterOrder": [], "response": { "$ref": "ListAccessPoliciesResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "parent": { "type": "string", "location": "query", "description": "Required. Resource name for the container to list AccessPolicy instances\nfrom.\n\nFormat:\n`organizations/{org_id}`" }, "pageToken": { "description": "Next page token for the next batch of AccessPolicy instances. Defaults to\nthe first page of results.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "description": "Number of AccessPolicy instances to include in the list. Default 100.", "format": "int32", "type": "integer" } }, "flatPath": "v1beta/accessPolicies", "id": "accesscontextmanager.accessPolicies.list", "path": "v1beta/accessPolicies" }, "get": { "path": "v1beta/{+name}", "id": "accesscontextmanager.accessPolicies.get", "description": "Get an AccessPolicy by name.", "response": { "$ref": "AccessPolicy" }, "parameterOrder": ["name"], "httpMethod": "GET", "parameters": { "name": { "description": "Required. Resource name for the access policy to get.\n\nFormat `accessPolicies/{policy_id}`", "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/accessPolicies/{accessPoliciesId}" }, "patch": { "description": "Update an AccessPolicy. The\nlongrunning Operation from this RPC will have a successful status once the\nchanges to the AccessPolicy have propagated\nto long-lasting storage. Syntactic and basic semantic errors will be\nreturned in `metadata` as a BadRequest proto.", "request": { "$ref": "AccessPolicy" }, "httpMethod": "PATCH", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "description": "Required. Mask to control which fields get updated. Must be non-empty.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "pattern": "^accessPolicies/[^/]+$", "location": "path", "description": "Output only. Resource name of the `AccessPolicy`. Format:\n`accessPolicies/{policy_id}`", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/accessPolicies/{accessPoliciesId}", "id": "accesscontextmanager.accessPolicies.patch", "path": "v1beta/{+name}" } }, "resources": { "servicePerimeters": { "methods": { "delete": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "pattern": "^accessPolicies/[^/]+/servicePerimeters/[^/]+$", "location": "path", "description": "Required. Resource name for the Service Perimeter.\n\nFormat:\n`accessPolicies/{policy_id}/servicePerimeters/{service_perimeter_id}`", "required": true, "type": "string" } }, "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/servicePerimeters/{servicePerimetersId}", "path": "v1beta/{+name}", "id": "accesscontextmanager.accessPolicies.servicePerimeters.delete", "description": "Delete an Service Perimeter by resource\nname. The longrunning operation from this RPC will have a successful status\nonce the Service Perimeter has been\nremoved from long-lasting storage." }, "list": { "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/servicePerimeters", "path": "v1beta/{+parent}/servicePerimeters", "id": "accesscontextmanager.accessPolicies.servicePerimeters.list", "description": "List all Service Perimeters for an\naccess policy.", "response": { "$ref": "ListServicePerimetersResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "parameters": { "parent": { "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+$", "location": "path", "description": "Required. Resource name for the access policy to list Service Perimeters from.\n\nFormat:\n`accessPolicies/{policy_id}`" }, "pageToken": { "description": "Next page token for the next batch of Service Perimeter instances.\nDefaults to the first page of results.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Number of Service Perimeters to include\nin the list. Default 100.", "format": "int32" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"] }, "get": { "httpMethod": "GET", "parameterOrder": ["name"], "response": { "$ref": "ServicePerimeter" }, "parameters": { "name": { "description": "Required. Resource name for the Service Perimeter.\n\nFormat:\n`accessPolicies/{policy_id}/servicePerimeters/{service_perimeters_id}`", "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+/servicePerimeters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/servicePerimeters/{servicePerimetersId}", "id": "accesscontextmanager.accessPolicies.servicePerimeters.get", "path": "v1beta/{+name}", "description": "Get an Service Perimeter by resource\nname." }, "patch": { "description": "Update an Service Perimeter. The\nlongrunning operation from this RPC will have a successful status once the\nchanges to the Service Perimeter have\npropagated to long-lasting storage. Service Perimeter containing\nerrors will result in an error response for the first error encountered.", "request": { "$ref": "ServicePerimeter" }, "httpMethod": "PATCH", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "description": "Required. Mask to control which fields get updated. Must be non-empty.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "pattern": "^accessPolicies/[^/]+/servicePerimeters/[^/]+$", "location": "path", "description": "Required. Resource name for the ServicePerimeter.  The `short_name`\ncomponent must begin with a letter and only include alphanumeric and '_'.\nFormat: `accessPolicies/{policy_id}/servicePerimeters/{short_name}`", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/servicePerimeters/{servicePerimetersId}", "id": "accesscontextmanager.accessPolicies.servicePerimeters.patch", "path": "v1beta/{+name}" }, "create": { "request": { "$ref": "ServicePerimeter" }, "description": "Create an Service Perimeter. The\nlongrunning operation from this RPC will have a successful status once the\nService Perimeter has\npropagated to long-lasting storage. Service Perimeters containing\nerrors will result in an error response for the first error encountered.", "httpMethod": "POST", "parameterOrder": ["parent"], "response": { "$ref": "Operation" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "parent": { "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+$", "location": "path", "description": "Required. Resource name for the access policy which owns this Service\nPerimeter.\n\nFormat: `accessPolicies/{policy_id}`" } }, "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/servicePerimeters", "id": "accesscontextmanager.accessPolicies.servicePerimeters.create", "path": "v1beta/{+parent}/servicePerimeters" } } }, "accessLevels": { "methods": { "delete": { "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/accessLevels/{accessLevelsId}", "path": "v1beta/{+name}", "id": "accesscontextmanager.accessPolicies.accessLevels.delete", "description": "Delete an Access Level by resource\nname. The longrunning operation from this RPC will have a successful status\nonce the Access Level has been removed\nfrom long-lasting storage.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "description": "Required. Resource name for the Access Level.\n\nFormat:\n`accessPolicies/{policy_id}/accessLevels/{access_level_id}`", "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+/accessLevels/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"] }, "list": { "path": "v1beta/{+parent}/accessLevels", "id": "accesscontextmanager.accessPolicies.accessLevels.list", "description": "List all Access Levels for an access\npolicy.", "response": { "$ref": "ListAccessLevelsResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "pageToken": { "location": "query", "description": "Next page token for the next batch of Access Level instances.\nDefaults to the first page of results.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "Number of Access Levels to include in\nthe list. Default 100.", "format": "int32" }, "accessLevelFormat": { "enum": ["LEVEL_FORMAT_UNSPECIFIED", "AS_DEFINED", "CEL"], "description": "Whether to return `BasicLevels` in the Cloud Common Expression language, as\n`CustomLevels`, rather than as `BasicLevels`. Defaults to returning\n`AccessLevels` in the format they were defined.", "type": "string", "location": "query" }, "parent": { "pattern": "^accessPolicies/[^/]+$", "location": "path", "description": "Required. Resource name for the access policy to list Access Levels from.\n\nFormat:\n`accessPolicies/{policy_id}`", "required": true, "type": "string" } }, "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/accessLevels" }, "get": { "description": "Get an Access Level by resource\nname.", "response": { "$ref": "AccessLevel" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "accessLevelFormat": { "type": "string", "location": "query", "enum": ["LEVEL_FORMAT_UNSPECIFIED", "AS_DEFINED", "CEL"], "description": "Whether to return `BasicLevels` in the Cloud Common Expression\nLanguage rather than as `BasicLevels`. Defaults to AS_DEFINED, where\nAccess Levels\nare returned as `BasicLevels` or `CustomLevels` based on how they were\ncreated. If set to CEL, all Access Levels are returned as\n`CustomLevels`. In the CEL case, `BasicLevels` are translated to equivalent\n`CustomLevels`." }, "name": { "description": "Required. Resource name for the Access Level.\n\nFormat:\n`accessPolicies/{policy_id}/accessLevels/{access_level_id}`", "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+/accessLevels/[^/]+$", "location": "path" } }, "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/accessLevels/{accessLevelsId}", "path": "v1beta/{+name}", "id": "accesscontextmanager.accessPolicies.accessLevels.get" }, "patch": { "request": { "$ref": "AccessLevel" }, "description": "Update an Access Level. The longrunning\noperation from this RPC will have a successful status once the changes to\nthe Access Level have propagated\nto long-lasting storage. Access Levels containing\nerrors will result in an error response for the first error encountered.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "PATCH", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "pattern": "^accessPolicies/[^/]+/accessLevels/[^/]+$", "location": "path", "description": "Required. Resource name for the Access Level. The `short_name` component\nmust begin with a letter and only include alphanumeric and '_'. Format:\n`accessPolicies/{policy_id}/accessLevels/{short_name}`", "required": true, "type": "string" }, "updateMask": { "location": "query", "description": "Required.  Mask to control which fields get updated. Must be non-empty.", "format": "google-fieldmask", "type": "string" } }, "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/accessLevels/{accessLevelsId}", "path": "v1beta/{+name}", "id": "accesscontextmanager.accessPolicies.accessLevels.patch" }, "create": { "description": "Create an Access Level. The longrunning\noperation from this RPC will have a successful status once the Access\nLevel has\npropagated to long-lasting storage. Access Levels containing\nerrors will result in an error response for the first error encountered.", "request": { "$ref": "AccessLevel" }, "httpMethod": "POST", "parameterOrder": ["parent"], "response": { "$ref": "Operation" }, "parameters": { "parent": { "location": "path", "description": "Required. Resource name for the access policy which owns this Access\nLevel.\n\nFormat: `accessPolicies/{policy_id}`", "required": true, "type": "string", "pattern": "^accessPolicies/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta/accessPolicies/{accessPoliciesId}/accessLevels", "id": "accesscontextmanager.accessPolicies.accessLevels.create", "path": "v1beta/{+parent}/accessLevels" } } } } } }, "parameters": { "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"] }, "alt": { "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query" } }, "version": "v1beta", "baseUrl": "https://accesscontextmanager.googleapis.com/", "servicePath": "", "description": "An API for setting attribute based access control to requests to GCP services.", "kind": "discovery#restDescription", "basePath": "", "id": "accesscontextmanager:v1beta", "documentationLink": "https://cloud.google.com/access-context-manager/docs/reference/rest/", "revision": "20190624", "discoveryVersion": "v1", "version_module": true, "schemas": { "Status": { "type": "object", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors)." }, "IngressServiceRestriction": { "id": "IngressServiceRestriction", "description": "Alpha. Specifies how Access Levels are to be used for accessing the Service\nPerimeter.", "type": "object", "properties": { "enableRestriction": { "description": "Whether to restrict the set of APIs callable outside the Service\nPerimeter via Access Levels.", "type": "boolean" }, "allowedServices": { "description": "The list of APIs usable with a valid Access Level. Must be empty unless\n'enable_restriction' is True.", "type": "array", "items": { "type": "string" } } } }, "OsConstraint": { "description": "A restriction on the OS type and version of devices making requests.", "type": "object", "properties": { "requireVerifiedChromeOs": { "description": "Only allows requests from devices with a verified Chrome OS.\nVerifications includes requirements that the device is enterprise-managed,\nconformant to Dasher domain policies, and the caller has permission to call\nthe API targeted by the request.", "type": "boolean" }, "minimumVersion": { "type": "string", "description": "The minimum allowed OS version. If not set, any version of this OS\nsatisfies the constraint. Format: `\"major.minor.patch\"`.\nExamples: `\"10.5.301\"`, `\"9.2.1\"`." }, "osType": { "enumDescriptions": ["The operating system of the device is not specified or not known.", "A desktop Mac operating system.", "A desktop Windows operating system.", "A desktop Linux operating system.", "A desktop ChromeOS operating system."], "enum": ["OS_UNSPECIFIED", "DESKTOP_MAC", "DESKTOP_WINDOWS", "DESKTOP_LINUX", "DESKTOP_CHROME_OS"], "description": "Required. The allowed OS type.", "type": "string" } }, "id": "OsConstraint" }, "ServicePerimeter": { "id": "ServicePerimeter", "description": "`ServicePerimeter` describes a set of GCP resources which can freely import\nand export data amongst themselves, but not export outside of the\n`ServicePerimeter`. If a request with a source within this `ServicePerimeter`\nhas a target outside of the `ServicePerimeter`, the request will be blocked.\nOtherwise the request is allowed. There are two types of Service Perimeter -\nRegular and Bridge. Regular Service Perimeters cannot overlap, a single GCP\nproject can only belong to a single regular Service Perimeter. Service\nPerimeter Bridges can contain only GCP projects as members, a single GCP\nproject may belong to multiple Service Perimeter Bridges.", "type": "object", "properties": { "title": { "description": "Human readable title. Must be unique within the Policy.", "type": "string" }, "description": { "type": "string", "description": "Description of the `ServicePerimeter` and its use. Does not affect\nbehavior." }, "createTime": { "description": "Output only. Time the `ServicePerimeter` was created in UTC.", "format": "google-datetime", "type": "string" }, "status": { "$ref": "ServicePerimeterConfig", "description": "Current ServicePerimeter configuration. Specifies sets of resources,\nrestricted/unrestricted services and access levels that determine perimeter\ncontent and boundaries." }, "updateTime": { "description": "Output only. Time the `ServicePerimeter` was updated in UTC.", "format": "google-datetime", "type": "string" }, "name": { "description": "Required. Resource name for the ServicePerimeter.  The `short_name`\ncomponent must begin with a letter and only include alphanumeric and '_'.\nFormat: `accessPolicies/{policy_id}/servicePerimeters/{short_name}`", "type": "string" }, "perimeterType": { "enumDescriptions": ["Regular Perimeter.", "Perimeter Bridge."], "enum": ["PERIMETER_TYPE_REGULAR", "PERIMETER_TYPE_BRIDGE"], "description": "Perimeter type indicator. A single project is\nallowed to be a member of single regular perimeter, but multiple service\nperimeter bridges. A project cannot be a included in a perimeter bridge\nwithout being included in regular perimeter. For perimeter bridges,\nrestricted/unrestricted service lists as well as access lists must be\nempty.", "type": "string" } } }, "ServicePerimeterConfig": { "id": "ServicePerimeterConfig", "description": "`ServicePerimeterConfig` specifies a set of GCP resources that describe\nspecific Service Perimeter configuration.", "type": "object", "properties": { "unrestrictedServices": { "description": "GCP services that are not subject to the Service Perimeter\nrestrictions. Deprecated. Must be set to a single wildcard \"*\".\n\nThe wildcard means that unless explicitly specified by\n\"restricted_services\" list, any service is treated as unrestricted.", "type": "array", "items": { "type": "string" } }, "resources": { "description": "A list of GCP resources that are inside of the service perimeter.\nCurrently only projects are allowed. Format: `projects/{project_number}`", "type": "array", "items": { "type": "string" } }, "ingressServiceRestriction": { "description": "Alpha. Configuration for which services may be used with Access Levels.", "$ref": "IngressServiceRestriction" }, "vpcServiceRestriction": { "description": "Alpha. Configuration for within Perimeter allowed APIs.", "$ref": "VpcServiceRestriction" }, "accessLevels": { "type": "array", "items": { "type": "string" }, "description": "A list of `AccessLevel` resource names that allow resources within the\n`ServicePerimeter` to be accessed from the internet. `AccessLevels` listed\nmust be in the same policy as this `ServicePerimeter`. Referencing a\nnonexistent `AccessLevel` is a syntax error. If no `AccessLevel` names are\nlisted, resources within the perimeter can only be accessed via GCP calls\nwith request origins within the perimeter. Example:\n`\"accessPolicies/MY_POLICY/accessLevels/MY_LEVEL\"`.\nFor Service Perimeter Bridge, must be empty." }, "restrictedServices": { "description": "GCP services that are subject to the Service Perimeter restrictions. Must\ncontain a list of services. For example, if\n`storage.googleapis.com` is specified, access to the storage buckets\ninside the perimeter must meet the perimeter's access restrictions.", "type": "array", "items": { "type": "string" } }, "bridgeServiceRestriction": { "$ref": "BridgeServiceRestriction", "description": "Alpha. Configuration for what services are accessible via the Bridge\nPerimeter. Must be empty for non-Bridge Perimeters." } } }, "ListAccessLevelsResponse": { "id": "ListAccessLevelsResponse", "description": "A response to `ListAccessLevelsRequest`.", "type": "object", "properties": { "nextPageToken": { "description": "The pagination token to retrieve the next page of results. If the value is\nempty, no further results remain.", "type": "string" }, "accessLevels": { "description": "List of the Access Level instances.", "type": "array", "items": { "$ref": "AccessLevel" } } } }, "Condition": { "description": "A condition necessary for an `AccessLevel` to be granted. The Condition is an\nAND over its fields. So a Condition is true if: 1) the request IP is from one\nof the listed subnetworks AND 2) the originating device complies with the\nlisted device policy AND 3) all listed access levels are granted AND 4) the\nrequest was sent at a time allowed by the DateTimeRestriction.", "type": "object", "properties": { "devicePolicy": { "$ref": "DevicePolicy", "description": "Device specific restrictions, all restrictions must hold for the\nCondition to be true. If not specified, all devices are allowed." }, "members": { "description": "The request must be made by one of the provided user or service\naccounts. Groups are not supported.\nSyntax:\n`user:{emailid}`\n`serviceAccount:{emailid}`\nIf not specified, a request may come from any user.", "type": "array", "items": { "type": "string" } }, "negate": { "description": "Whether to negate the Condition. If true, the Condition becomes a NAND over\nits non-empty fields, each field must be false for the Condition overall to\nbe satisfied. Defaults to false.", "type": "boolean" }, "ipSubnetworks": { "description": "CIDR block IP subnetwork specification. May be IPv4 or IPv6. Note that for\na CIDR IP address block, the specified IP address portion must be properly\ntruncated (i.e. all the host bits must be zero) or the input is considered\nmalformed. For example, \"192.0.2.0/24\" is accepted but \"192.0.2.1/24\" is\nnot. Similarly, for IPv6, \"2001:db8::/32\" is accepted whereas\n\"2001:db8::1/32\" is not. The originating IP of a request must be in one of\nthe listed subnets in order for this Condition to be true. If empty, all IP\naddresses are allowed.", "type": "array", "items": { "type": "string" } }, "regions": { "description": "The request must originate from one of the provided countries/regions.\nMust be valid ISO 3166-1 alpha-2 codes.", "type": "array", "items": { "type": "string" } }, "requiredAccessLevels": { "description": "A list of other access levels defined in the same `Policy`, referenced by\nresource name. Referencing an `AccessLevel` which does not exist is an\nerror. All access levels listed must be granted for the Condition\nto be true. Example:\n\"`accessPolicies/MY_POLICY/accessLevels/LEVEL_NAME\"`", "type": "array", "items": { "type": "string" } } }, "id": "Condition" }, "BasicLevel": { "id": "BasicLevel", "description": "`BasicLevel` is an `AccessLevel` using a set of recommended features.", "type": "object", "properties": { "conditions": { "description": "Required. A list of requirements for the `AccessLevel` to be granted.", "type": "array", "items": { "$ref": "Condition" } }, "combiningFunction": { "enum": ["AND", "OR"], "description": "How the `conditions` list should be combined to determine if a request is\ngranted this `AccessLevel`. If AND is used, each `Condition` in\n`conditions` must be satisfied for the `AccessLevel` to be applied. If OR\nis used, at least one `Condition` in `conditions` must be satisfied for the\n`AccessLevel` to be applied. Default behavior is AND.", "type": "string", "enumDescriptions": ["All `Conditions` must be true for the `BasicLevel` to be true.", "If at least one `Condition` is true, then the `BasicLevel` is true."] } } }, "ListAccessPoliciesResponse": { "id": "ListAccessPoliciesResponse", "description": "A response to `ListAccessPoliciesRequest`.", "type": "object", "properties": { "nextPageToken": { "description": "The pagination token to retrieve the next page of results. If the value is\nempty, no further results remain.", "type": "string" }, "accessPolicies": { "description": "List of the AccessPolicy instances.", "type": "array", "items": { "$ref": "AccessPolicy" } } } }, "ListServicePerimetersResponse": { "description": "A response to `ListServicePerimetersRequest`.", "type": "object", "properties": { "servicePerimeters": { "description": "List of the Service Perimeter instances.", "type": "array", "items": { "$ref": "ServicePerimeter" } }, "nextPageToken": { "description": "The pagination token to retrieve the next page of results. If the value is\nempty, no further results remain.", "type": "string" } }, "id": "ListServicePerimetersResponse" }, "DevicePolicy": { "type": "object", "properties": { "requireCorpOwned": { "description": "Whether the device needs to be corp owned.", "type": "boolean" }, "requireAdminApproval": { "description": "Whether the device needs to be approved by the customer admin.", "type": "boolean" }, "requireScreenlock": { "description": "Whether or not screenlock is required for the DevicePolicy to be true.\nDefaults to `false`.", "type": "boolean" }, "allowedEncryptionStatuses": { "enumDescriptions": ["The encryption status of the device is not specified or not known.", "The device does not support encryption.", "The device supports encryption, but is currently unencrypted.", "The device is encrypted."], "description": "Allowed encryptions statuses, an empty list allows all statuses.", "type": "array", "items": { "enum": ["ENCRYPTION_UNSPECIFIED", "ENCRYPTION_UNSUPPORTED", "UNENCRYPTED", "ENCRYPTED"], "type": "string" } }, "allowedDeviceManagementLevels": { "enumDescriptions": ["The device's management level is not specified or not known.", "The device is not managed.", "Basic management is enabled, which is generally limited to monitoring and\nwiping the corporate account.", "Complete device management. This includes more thorough monitoring and the\nability to directly manage the device (such as remote wiping). This can be\nenabled through the Android Enterprise Platform."], "description": "Allowed device management levels, an empty list allows all management\nlevels.", "type": "array", "items": { "enum": ["MANAGEMENT_UNSPECIFIED", "NONE", "BASIC", "COMPLETE"], "type": "string" } }, "osConstraints": { "description": "Allowed OS versions, an empty list allows all types and all versions.", "type": "array", "items": { "$ref": "OsConstraint" } } }, "id": "DevicePolicy", "description": "`DevicePolicy` specifies device specific restrictions necessary to acquire a\ngiven access level. A `DevicePolicy` specifies requirements for requests from\ndevices to be granted access levels, it does not do any enforcement on the\ndevice. `DevicePolicy` acts as an AND over all specified fields, and each\nrepeated field is an OR over its elements. Any unset fields are ignored. For\nexample, if the proto is { os_type : DESKTOP_WINDOWS, os_type :\nDESKTOP_LINUX, encryption_status: ENCRYPTED}, then the DevicePolicy will be\ntrue for requests originating from encrypted Linux desktops and encrypted\nWindows desktops." }, "AccessLevel": { "description": "An `AccessLevel` is a label that can be applied to requests to GCP services,\nalong with a list of requirements necessary for the label to be applied.", "type": "object", "properties": { "createTime": { "description": "Output only. Time the `AccessLevel` was created in UTC.", "format": "google-datetime", "type": "string" }, "updateTime": { "description": "Output only. Time the `AccessLevel` was updated in UTC.", "format": "google-datetime", "type": "string" }, "basic": { "$ref": "BasicLevel", "description": "A `BasicLevel` composed of `Conditions`." }, "name": { "type": "string", "description": "Required. Resource name for the Access Level. The `short_name` component\nmust begin with a letter and only include alphanumeric and '_'. Format:\n`accessPolicies/{policy_id}/accessLevels/{short_name}`" }, "title": { "description": "Human readable title. Must be unique within the Policy.", "type": "string" }, "description": { "description": "Description of the `AccessLevel` and its use. Does not affect behavior.", "type": "string" } }, "id": "AccessLevel" }, "VpcServiceRestriction": { "description": "Alpha. Specifies how APIs are allowed to communicate within the Service\nPerimeter.", "type": "object", "properties": { "enableRestriction": { "description": "Whether to restrict API calls within the Service Perimeter to the list of\nAPIs specified in 'allowed_services'.", "type": "boolean" }, "allowedServices": { "description": "The list of APIs usable within the Service Perimeter. Must be empty\nunless 'enable_restriction' is True.", "type": "array", "items": { "type": "string" } } }, "id": "VpcServiceRestriction" }, "AccessPolicy": { "properties": { "parent": { "description": "Required. The parent of this `AccessPolicy` in the Cloud Resource\nHierarchy. Currently immutable once created. Format:\n`organizations/{organization_id}`", "type": "string" }, "createTime": { "description": "Output only. Time the `AccessPolicy` was created in UTC.", "format": "google-datetime", "type": "string" }, "title": { "description": "Required. Human readable title. Does not affect behavior.", "type": "string" }, "updateTime": { "type": "string", "description": "Output only. Time the `AccessPolicy` was updated in UTC.", "format": "google-datetime" }, "name": { "description": "Output only. Resource name of the `AccessPolicy`. Format:\n`accessPolicies/{policy_id}`", "type": "string" } }, "id": "AccessPolicy", "description": "`AccessPolicy` is a container for `AccessLevels` (which define the necessary\nattributes to use GCP services) and `ServicePerimeters` (which define regions\nof services able to freely pass data within a perimeter). An access policy is\nglobally visible within an organization, and the restrictions it specifies\napply to all projects within an organization.", "type": "object" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a\nnetwork API call.", "type": "object", "properties": { "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.", "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.", "type": "boolean" } } }, "BridgeServiceRestriction": { "id": "BridgeServiceRestriction", "description": "Alpha. Specifies which services are granted access via this Bridge Service\nPerimeter.", "type": "object", "properties": { "enableRestriction": { "description": "Whether to restrict the set of APIs callable through the Bridge Service\nPerimeter.", "type": "boolean" }, "allowedServices": { "description": "The list of APIs usable through the Bridge Perimeter. Must be empty\nunless 'enable_restriction' is True.", "type": "array", "items": { "type": "string" } } } } }, "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "canonicalName": "Access Context Manager", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" } } } }, "rootUrl": "https://accesscontextmanager.googleapis.com/", "ownerDomain": "google.com", "name": "accesscontextmanager", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Access Context Manager API" };
//# sourceMappingURL=accesscontextmanager-v1beta.js.map