"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "kind": "discovery#restDescription", "etag": "\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/2HSm5Y_VQu7HMhXJ9JbMEFESbM0\"", "discoveryVersion": "v1", "id": "civicinfo:v2", "name": "civicinfo", "canonicalName": "Civic Info", "version": "v2", "revision": "20190402", "title": "Google Civic Information API", "description": "Provides polling places, early vote locations, contest data, election officials, and government representatives for U.S. residential addresses.", "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png", "x32": "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png" }, "documentationLink": "https://developers.google.com/civic-information", "protocol": "rest", "baseUrl": "https://www.googleapis.com/civicinfo/v2/", "basePath": "/civicinfo/v2/", "rootUrl": "https://www.googleapis.com/", "servicePath": "civicinfo/v2/", "batchPath": "batch/civicinfo/v2", "parameters": { "alt": { "type": "string", "description": "Data format for the response.", "default": "json", "enum": ["json"], "enumDescriptions": ["Responses with Content-Type of application/json"], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" } }, "schemas": { "AdministrationRegion": { "id": "AdministrationRegion", "type": "object", "description": "Describes information about a regional election administrative area.", "properties": { "electionAdministrationBody": { "$ref": "AdministrativeBody", "description": "The election administration body for this area." }, "id": { "type": "string", "description": "An ID for this object. IDs may change in future requests and should not be cached. Access to this field requires special access that can be requested from the Request more link on the Quotas page." }, "local_jurisdiction": { "$ref": "AdministrationRegion", "description": "The city or county that provides election information for this voter. This object can have the same elements as state." }, "name": { "type": "string", "description": "The name of the jurisdiction." }, "sources": { "type": "array", "description": "A list of sources for this area. If multiple sources are listed the data has been aggregated from those sources.", "items": { "$ref": "Source" } } } }, "AdministrativeBody": { "id": "AdministrativeBody", "type": "object", "description": "Information about an election administrative body (e.g. County Board of Elections).", "properties": { "absenteeVotingInfoUrl": { "type": "string", "description": "A URL provided by this administrative body for information on absentee voting." }, "addressLines": { "type": "array", "items": { "type": "string" } }, "ballotInfoUrl": { "type": "string", "description": "A URL provided by this administrative body to give contest information to the voter." }, "correspondenceAddress": { "$ref": "SimpleAddressType", "description": "The mailing address of this administrative body." }, "electionInfoUrl": { "type": "string", "description": "A URL provided by this administrative body for looking up general election information." }, "electionOfficials": { "type": "array", "description": "The election officials for this election administrative body.", "items": { "$ref": "ElectionOfficial" } }, "electionRegistrationConfirmationUrl": { "type": "string", "description": "A URL provided by this administrative body for confirming that the voter is registered to vote." }, "electionRegistrationUrl": { "type": "string", "description": "A URL provided by this administrative body for looking up how to register to vote." }, "electionRulesUrl": { "type": "string", "description": "A URL provided by this administrative body describing election rules to the voter." }, "hoursOfOperation": { "type": "string", "description": "A description of the hours of operation for this administrative body." }, "name": { "type": "string", "description": "The name of this election administrative body." }, "physicalAddress": { "$ref": "SimpleAddressType", "description": "The physical address of this administrative body." }, "voter_services": { "type": "array", "description": "A description of the services this administrative body may provide.", "items": { "type": "string" } }, "votingLocationFinderUrl": { "type": "string", "description": "A URL provided by this administrative body for looking up where to vote." } } }, "Candidate": { "id": "Candidate", "type": "object", "description": "Information about a candidate running for elected office.", "properties": { "candidateUrl": { "type": "string", "description": "The URL for the candidate's campaign web site." }, "channels": { "type": "array", "description": "A list of known (social) media channels for this candidate.", "items": { "$ref": "Channel" } }, "email": { "type": "string", "description": "The email address for the candidate's campaign." }, "name": { "type": "string", "description": "The candidate's name. If this is a joint ticket it will indicate the name of the candidate at the top of a ticket followed by a / and that name of candidate at the bottom of the ticket. e.g. \"Mitt Romney / Paul Ryan\"" }, "orderOnBallot": { "type": "string", "description": "The order the candidate appears on the ballot for this contest.", "format": "int64" }, "party": { "type": "string", "description": "The full name of the party the candidate is a member of." }, "phone": { "type": "string", "description": "The voice phone number for the candidate's campaign office." }, "photoUrl": { "type": "string", "description": "A URL for a photo of the candidate." } } }, "Channel": { "id": "Channel", "type": "object", "description": "A social media or web channel for a candidate.", "properties": { "id": { "type": "string", "description": "The unique public identifier for the candidate's channel." }, "type": { "type": "string", "description": "The type of channel. The following is a list of types of channels, but is not exhaustive. More channel types may be added at a later time. One of: GooglePlus, YouTube, Facebook, Twitter" } } }, "Contest": { "id": "Contest", "type": "object", "description": "Information about a contest that appears on a voter's ballot.", "properties": { "ballotPlacement": { "type": "string", "description": "A number specifying the position of this contest on the voter's ballot.", "format": "int64" }, "ballotTitle": { "type": "string", "description": "The official title on the ballot for this contest, only where available." }, "candidates": { "type": "array", "description": "The candidate choices for this contest.", "items": { "$ref": "Candidate" } }, "district": { "$ref": "ElectoralDistrict", "description": "Information about the electoral district that this contest is in." }, "electorateSpecifications": { "type": "string", "description": "A description of any additional eligibility requirements for voting in this contest." }, "id": { "type": "string", "description": "An ID for this object. IDs may change in future requests and should not be cached. Access to this field requires special access that can be requested from the Request more link on the Quotas page." }, "level": { "type": "array", "description": "The levels of government of the office for this contest. There may be more than one in cases where a jurisdiction effectively acts at two different levels of government; for example, the mayor of the District of Columbia acts at \"locality\" level, but also effectively at both \"administrative-area-2\" and \"administrative-area-1\".", "items": { "type": "string" } }, "numberElected": { "type": "string", "description": "The number of candidates that will be elected to office in this contest.", "format": "int64" }, "numberVotingFor": { "type": "string", "description": "The number of candidates that a voter may vote for in this contest.", "format": "int64" }, "office": { "type": "string", "description": "The name of the office for this contest." }, "primaryParty": { "type": "string", "description": "If this is a partisan election, the name of the party it is for." }, "referendumBallotResponses": { "type": "array", "description": "The set of ballot responses for the referendum. A ballot response represents a line on the ballot. Common examples might include \"yes\" or \"no\" for referenda. This field is only populated for contests of type 'Referendum'.", "items": { "type": "string" } }, "referendumBrief": { "type": "string", "description": "Specifies a short summary of the referendum that is typically on the ballot below the title but above the text. This field is only populated for contests of type 'Referendum'." }, "referendumConStatement": { "type": "string", "description": "A statement in opposition to the referendum. It does not necessarily appear on the ballot. This field is only populated for contests of type 'Referendum'." }, "referendumEffectOfAbstain": { "type": "string", "description": "Specifies what effect abstaining (not voting) on the proposition will have (i.e. whether abstaining is considered a vote against it). This field is only populated for contests of type 'Referendum'." }, "referendumPassageThreshold": { "type": "string", "description": "The threshold of votes that the referendum needs in order to pass, e.g. \"two-thirds\". This field is only populated for contests of type 'Referendum'." }, "referendumProStatement": { "type": "string", "description": "A statement in favor of the referendum. It does not necessarily appear on the ballot. This field is only populated for contests of type 'Referendum'." }, "referendumSubtitle": { "type": "string", "description": "A brief description of the referendum. This field is only populated for contests of type 'Referendum'." }, "referendumText": { "type": "string", "description": "The full text of the referendum. This field is only populated for contests of type 'Referendum'." }, "referendumTitle": { "type": "string", "description": "The title of the referendum (e.g. 'Proposition 42'). This field is only populated for contests of type 'Referendum'." }, "referendumUrl": { "type": "string", "description": "A link to the referendum. This field is only populated for contests of type 'Referendum'." }, "roles": { "type": "array", "description": "The roles which this office fulfills.", "items": { "type": "string" } }, "sources": { "type": "array", "description": "A list of sources for this contest. If multiple sources are listed, the data has been aggregated from those sources.", "items": { "$ref": "Source" } }, "special": { "type": "string", "description": "\"Yes\" or \"No\" depending on whether this a contest being held outside the normal election cycle." }, "type": { "type": "string", "description": "The type of contest. Usually this will be 'General', 'Primary', or 'Run-off' for contests with candidates. For referenda this will be 'Referendum'. For Retention contests this will typically be 'Retention'." } } }, "ContextParams": { "id": "ContextParams", "type": "object", "properties": { "clientProfile": { "type": "string" } } }, "DivisionRepresentativeInfoRequest": { "id": "DivisionRepresentativeInfoRequest", "type": "object", "description": "A request to look up representative information for a single division.", "properties": { "contextParams": { "$ref": "ContextParams" } } }, "DivisionSearchRequest": { "id": "DivisionSearchRequest", "type": "object", "description": "A search request for political geographies.", "properties": { "contextParams": { "$ref": "ContextParams" } } }, "DivisionSearchResponse": { "id": "DivisionSearchResponse", "type": "object", "description": "The result of a division search query.", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"civicinfo#divisionSearchResponse\".", "default": "civicinfo#divisionSearchResponse" }, "results": { "type": "array", "items": { "$ref": "DivisionSearchResult" } } } }, "DivisionSearchResult": { "id": "DivisionSearchResult", "type": "object", "description": "Represents a political geographic division that matches the requested query.", "properties": { "aliases": { "type": "array", "description": "Other Open Civic Data identifiers that refer to the same division -- for example, those that refer to other political divisions whose boundaries are defined to be coterminous with this one. For example, ocd-division/country:us/state:wy will include an alias of ocd-division/country:us/state:wy/cd:1, since Wyoming has only one Congressional district.", "items": { "type": "string" } }, "name": { "type": "string", "description": "The name of the division." }, "ocdId": { "type": "string", "description": "The unique Open Civic Data identifier for this division." } } }, "Election": { "id": "Election", "type": "object", "description": "Information about the election that was queried.", "properties": { "electionDay": { "type": "string", "description": "Day of the election in YYYY-MM-DD format." }, "id": { "type": "string", "description": "The unique ID of this election.", "format": "int64" }, "name": { "type": "string", "description": "A displayable name for the election." }, "ocdDivisionId": { "type": "string", "description": "The political division of the election. Represented as an OCD Division ID. Voters within these political jurisdictions are covered by this election. This is typically a state such as ocd-division/country:us/state:ca or for the midterms or general election the entire US (i.e. ocd-division/country:us)." } } }, "ElectionOfficial": { "id": "ElectionOfficial", "type": "object", "description": "Information about individual election officials.", "properties": { "emailAddress": { "type": "string", "description": "The email address of the election official." }, "faxNumber": { "type": "string", "description": "The fax number of the election official." }, "name": { "type": "string", "description": "The full name of the election official." }, "officePhoneNumber": { "type": "string", "description": "The office phone number of the election official." }, "title": { "type": "string", "description": "The title of the election official." } } }, "ElectionsQueryRequest": { "id": "ElectionsQueryRequest", "type": "object", "properties": { "contextParams": { "$ref": "ContextParams" } } }, "ElectionsQueryResponse": { "id": "ElectionsQueryResponse", "type": "object", "description": "The list of elections available for this version of the API.", "properties": { "elections": { "type": "array", "description": "A list of available elections", "items": { "$ref": "Election" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"civicinfo#electionsQueryResponse\".", "default": "civicinfo#electionsQueryResponse" } } }, "ElectoralDistrict": { "id": "ElectoralDistrict", "type": "object", "description": "Describes the geographic scope of a contest.", "properties": { "id": { "type": "string", "description": "An identifier for this district, relative to its scope. For example, the 34th State Senate district would have id \"34\" and a scope of stateUpper." }, "kgForeignKey": { "type": "string" }, "name": { "type": "string", "description": "The name of the district." }, "scope": { "type": "string", "description": "The geographic scope of this district. If unspecified the district's geography is not known. One of: national, statewide, congressional, stateUpper, stateLower, countywide, judicial, schoolBoard, cityWide, township, countyCouncil, cityCouncil, ward, special" } } }, "FieldMetadataProto": { "id": "FieldMetadataProto", "type": "object", "properties": { "internal": { "$ref": "InternalFieldMetadataProto" } } }, "GeographicDivision": { "id": "GeographicDivision", "type": "object", "description": "Describes a political geography.", "properties": { "alsoKnownAs": { "type": "array", "description": "Any other valid OCD IDs that refer to the same division.\n\nBecause OCD IDs are meant to be human-readable and at least somewhat predictable, there are occasionally several identifiers for a single division. These identifiers are defined to be equivalent to one another, and one is always indicated as the primary identifier. The primary identifier will be returned in ocd_id above, and any other equivalent valid identifiers will be returned in this list.\n\nFor example, if this division's OCD ID is ocd-division/country:us/district:dc, this will contain ocd-division/country:us/state:dc.", "items": { "type": "string" } }, "name": { "type": "string", "description": "The name of the division." }, "officeIndices": { "type": "array", "description": "List of indices in the offices array, one for each office elected from this division. Will only be present if includeOffices was true (or absent) in the request.", "items": { "type": "integer", "format": "uint32" } } } }, "InternalFieldMetadataProto": { "id": "InternalFieldMetadataProto", "type": "object", "properties": { "isAuto": { "type": "boolean" }, "sourceSummary": { "$ref": "InternalSourceSummaryProto" } } }, "InternalSourceSummaryProto": { "id": "InternalSourceSummaryProto", "type": "object", "properties": { "dataset": { "type": "string" }, "provider": { "type": "string" } } }, "LivegraphBacktraceRecordInfo": { "id": "LivegraphBacktraceRecordInfo", "type": "object", "properties": { "dataSourcePublishMsec": { "type": "string", "format": "int64" }, "expId": { "type": "string" }, "expInfo": { "$ref": "LivegraphBacktraceRecordInfoExpInfo" }, "isRecon": { "type": "boolean" }, "isWlmThrottled": { "type": "boolean" }, "numberOfTriples": { "type": "string", "format": "int64" }, "priority": { "type": "string" }, "process": { "type": "string" }, "proxyReceiveMsec": { "type": "string", "format": "int64" }, "proxySentMsec": { "type": "string", "format": "int64" }, "recordId": { "type": "string" }, "shouldMonitorLatency": { "type": "boolean" }, "subscriberReceiveMsec": { "type": "string", "format": "int64" }, "topicBuildFinishMsec": { "type": "string", "format": "int64" }, "topicBuildStartMsec": { "type": "string", "format": "int64" }, "version": { "type": "string" } } }, "LivegraphBacktraceRecordInfoExpInfo": { "id": "LivegraphBacktraceRecordInfoExpInfo", "type": "object", "properties": { "deletedIns": { "type": "array", "items": { "type": "string" } } } }, "MessageSet": { "id": "MessageSet", "type": "object", "properties": { "recordMessageSetExt": { "$ref": "LivegraphBacktraceRecordInfo" } } }, "Office": { "id": "Office", "type": "object", "description": "Information about an Office held by one or more Officials.", "properties": { "divisionId": { "type": "string", "description": "The OCD ID of the division with which this office is associated." }, "levels": { "type": "array", "description": "The levels of government of which this office is part. There may be more than one in cases where a jurisdiction effectively acts at two different levels of government; for example, the mayor of the District of Columbia acts at \"locality\" level, but also effectively at both \"administrative-area-2\" and \"administrative-area-1\".", "items": { "type": "string" } }, "name": { "type": "string", "description": "The human-readable name of the office." }, "officialIndices": { "type": "array", "description": "List of indices in the officials array of people who presently hold this office.", "items": { "type": "integer", "format": "uint32" } }, "roles": { "type": "array", "description": "The roles which this office fulfills. Roles are not meant to be exhaustive, or to exactly specify the entire set of responsibilities of a given office, but are meant to be rough categories that are useful for general selection from or sorting of a list of offices.", "items": { "type": "string" } }, "sources": { "type": "array", "description": "A list of sources for this office. If multiple sources are listed, the data has been aggregated from those sources.", "items": { "$ref": "Source" } } } }, "Official": { "id": "Official", "type": "object", "description": "Information about a person holding an elected office.", "properties": { "address": { "type": "array", "description": "Addresses at which to contact the official.", "items": { "$ref": "SimpleAddressType" } }, "channels": { "type": "array", "description": "A list of known (social) media channels for this official.", "items": { "$ref": "Channel" } }, "emails": { "type": "array", "description": "The direct email addresses for the official.", "items": { "type": "string" } }, "name": { "type": "string", "description": "The official's name." }, "party": { "type": "string", "description": "The full name of the party the official belongs to." }, "phones": { "type": "array", "description": "The official's public contact phone numbers.", "items": { "type": "string" } }, "photoUrl": { "type": "string", "description": "A URL for a photo of the official." }, "urls": { "type": "array", "description": "The official's public website URLs.", "items": { "type": "string" } } } }, "PointProto": { "id": "PointProto", "type": "object", "properties": { "latE7": { "type": "integer", "format": "uint32" }, "lngE7": { "type": "integer", "format": "uint32" }, "metadata": { "$ref": "FieldMetadataProto" }, "temporaryData": { "$ref": "MessageSet" } } }, "PollingLocation": { "id": "PollingLocation", "type": "object", "description": "A location where a voter can vote. This may be an early vote site, an election day voting location, or a drop off location for a completed ballot.", "properties": { "address": { "$ref": "SimpleAddressType", "description": "The address of the location." }, "endDate": { "type": "string", "description": "The last date that this early vote site or drop off location may be used. This field is not populated for polling locations." }, "id": { "type": "string", "description": "An ID for this object. IDs may change in future requests and should not be cached. Access to this field requires special access that can be requested from the Request more link on the Quotas page." }, "latitude": { "type": "number", "description": "Latitude of the location, in degrees north of the equator. Only some locations -- generally, ballot drop boxes for vote-by-mail elections -- will have this set; for others, use a geocoding service like the Google Maps API to resolve the address to a geographic point.", "format": "double" }, "longitude": { "type": "number", "description": "Longitude of the location, in degrees east of the Prime Meridian. Only some locations -- generally, ballot drop boxes for vote-by-mail elections -- will have this set; for others, use a geocoding service like the Google Maps API to resolve the address to a geographic point.", "format": "double" }, "name": { "type": "string", "description": "The name of the early vote site or drop off location. This field is not populated for polling locations." }, "notes": { "type": "string", "description": "Notes about this location (e.g. accessibility ramp or entrance to use)." }, "pollingHours": { "type": "string", "description": "A description of when this location is open." }, "sources": { "type": "array", "description": "A list of sources for this location. If multiple sources are listed the data has been aggregated from those sources.", "items": { "$ref": "Source" } }, "startDate": { "type": "string", "description": "The first date that this early vote site or drop off location may be used. This field is not populated for polling locations." }, "voterServices": { "type": "string", "description": "The services provided by this early vote site or drop off location. This field is not populated for polling locations." } } }, "PostalAddress": { "id": "PostalAddress", "type": "object", "properties": { "addressLines": { "type": "array", "items": { "type": "string" } }, "administrativeAreaName": { "type": "string" }, "countryName": { "type": "string" }, "countryNameCode": { "type": "string" }, "dependentLocalityName": { "type": "string" }, "dependentThoroughfareName": { "type": "string" }, "firmName": { "type": "string" }, "isDisputed": { "type": "boolean" }, "languageCode": { "type": "string" }, "localityName": { "type": "string" }, "postBoxNumber": { "type": "string" }, "postalCodeNumber": { "type": "string" }, "postalCodeNumberExtension": { "type": "string" }, "premiseName": { "type": "string" }, "recipientName": { "type": "string" }, "sortingCode": { "type": "string" }, "subAdministrativeAreaName": { "type": "string" }, "subPremiseName": { "type": "string" }, "thoroughfareName": { "type": "string" }, "thoroughfareNumber": { "type": "string" } } }, "Provenance": { "id": "Provenance", "type": "object", "properties": { "collidedSegmentSource": { "$ref": "StreetSegmentList" }, "ctclContestUuid": { "type": "string" }, "ctclOfficeUuid": { "type": "string" }, "datasetId": { "type": "string", "format": "int64" }, "precinctId": { "type": "string", "format": "int64" }, "precinctSplitId": { "type": "string", "format": "int64" }, "tsStreetSegmentId": { "type": "string" }, "vip5PrecinctId": { "type": "string" }, "vip5StreetSegmentId": { "type": "string" }, "vipStreetSegmentId": { "type": "string", "format": "int64" } } }, "RepresentativeInfoData": { "id": "RepresentativeInfoData", "type": "object", "properties": { "divisions": { "type": "object", "description": "Political geographic divisions that contain the requested address.", "additionalProperties": { "$ref": "GeographicDivision", "description": "The unique Open Civic Data identifier for this division." } }, "offices": { "type": "array", "description": "Elected offices referenced by the divisions listed above. Will only be present if includeOffices was true in the request.", "items": { "$ref": "Office" } }, "officials": { "type": "array", "description": "Officials holding the offices listed above. Will only be present if includeOffices was true in the request.", "items": { "$ref": "Official" } } } }, "RepresentativeInfoRequest": { "id": "RepresentativeInfoRequest", "type": "object", "description": "A request for political geography and representative information for an address.", "properties": { "contextParams": { "$ref": "ContextParams" } } }, "RepresentativeInfoResponse": { "id": "RepresentativeInfoResponse", "type": "object", "description": "The result of a representative info lookup query.", "properties": { "divisions": { "type": "object", "description": "Political geographic divisions that contain the requested address.", "additionalProperties": { "$ref": "GeographicDivision", "description": "The unique Open Civic Data identifier for this division." } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"civicinfo#representativeInfoResponse\".", "default": "civicinfo#representativeInfoResponse" }, "normalizedInput": { "$ref": "SimpleAddressType", "description": "The normalized version of the requested address" }, "offices": { "type": "array", "description": "Elected offices referenced by the divisions listed above. Will only be present if includeOffices was true in the request.", "items": { "$ref": "Office" } }, "officials": { "type": "array", "description": "Officials holding the offices listed above. Will only be present if includeOffices was true in the request.", "items": { "$ref": "Official" } } } }, "SimpleAddressType": { "id": "SimpleAddressType", "type": "object", "description": "A simple representation of an address.", "properties": { "city": { "type": "string", "description": "The city or town for the address." }, "line1": { "type": "string", "description": "The street name and number of this address." }, "line2": { "type": "string", "description": "The second line the address, if needed." }, "line3": { "type": "string", "description": "The third line of the address, if needed." }, "locationName": { "type": "string", "description": "The name of the location." }, "state": { "type": "string", "description": "The US two letter state abbreviation of the address." }, "zip": { "type": "string", "description": "The US Postal Zip Code of the address." } } }, "Source": { "id": "Source", "type": "object", "description": "Contains information about the data source for the element containing it.", "properties": { "name": { "type": "string", "description": "The name of the data source." }, "official": { "type": "boolean", "description": "Whether this data comes from an official government source." } } }, "StreetSegment": { "id": "StreetSegment", "type": "object", "properties": { "administrationRegionIds": { "type": "array", "items": { "type": "string" } }, "beforeGeocodeId": { "type": "string" }, "catalistUniquePrecinctCode": { "type": "string" }, "city": { "type": "string" }, "cityCouncilDistrict": { "type": "string" }, "congressionalDistrict": { "type": "string" }, "contestIds": { "type": "array", "items": { "type": "string" } }, "countyCouncilDistrict": { "type": "string" }, "countyFips": { "type": "string" }, "datasetId": { "type": "string", "format": "int64" }, "earlyVoteSiteByIds": { "type": "array", "items": { "type": "string" } }, "endHouseNumber": { "type": "string", "format": "int64" }, "geocodedPoint": { "$ref": "PointProto" }, "geographicDivisionOcdIds": { "type": "array", "items": { "type": "string" } }, "id": { "type": "string" }, "judicialDistrict": { "type": "string" }, "mailOnly": { "type": "boolean" }, "municipalDistrict": { "type": "string" }, "ncoaAddress": { "type": "string" }, "oddOrEvens": { "type": "array", "items": { "type": "string" } }, "originalId": { "type": "string" }, "pollinglocationByIds": { "type": "array", "items": { "type": "string" } }, "precinctName": { "type": "string" }, "precinctOcdId": { "type": "string" }, "provenances": { "type": "array", "items": { "$ref": "Provenance" } }, "published": { "type": "boolean" }, "schoolDistrict": { "type": "string" }, "startHouseNumber": { "type": "string", "format": "int64" }, "startLatE7": { "type": "string", "format": "int64" }, "startLngE7": { "type": "string", "format": "int64" }, "state": { "type": "string" }, "stateHouseDistrict": { "type": "string" }, "stateSenateDistrict": { "type": "string" }, "streetName": { "type": "string" }, "subAdministrativeAreaName": { "type": "string" }, "surrogateId": { "type": "string", "format": "int64" }, "targetsmartUniquePrecinctCode": { "type": "string" }, "townshipDistrict": { "type": "string" }, "unitNumber": { "type": "string" }, "unitType": { "type": "string" }, "vanPrecinctCode": { "type": "string" }, "voterGeographicDivisionOcdIds": { "type": "array", "items": { "type": "string" } }, "wardDistrict": { "type": "string" }, "wildcard": { "type": "boolean" }, "zip": { "type": "string" } } }, "StreetSegmentList": { "id": "StreetSegmentList", "type": "object", "properties": { "segments": { "type": "array", "items": { "$ref": "StreetSegment" } } } }, "VoterInfoRequest": { "id": "VoterInfoRequest", "type": "object", "description": "A request for information about a voter.", "properties": { "contextParams": { "$ref": "ContextParams" }, "voterInfoSegmentResult": { "$ref": "VoterInfoSegmentResult" } } }, "VoterInfoResponse": { "id": "VoterInfoResponse", "type": "object", "description": "The result of a voter info lookup query.", "properties": { "contests": { "type": "array", "description": "Contests that will appear on the voter's ballot.", "items": { "$ref": "Contest" } }, "dropOffLocations": { "type": "array", "description": "Locations where a voter is eligible to drop off a completed ballot. The voter must have received and completed a ballot prior to arriving at the location. The location may not have ballots available on the premises. These locations could be open on or before election day as indicated in the pollingHours field.", "items": { "$ref": "PollingLocation" } }, "earlyVoteSites": { "type": "array", "description": "Locations where the voter is eligible to vote early, prior to election day.", "items": { "$ref": "PollingLocation" } }, "election": { "$ref": "Election", "description": "The election that was queried." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"civicinfo#voterInfoResponse\".", "default": "civicinfo#voterInfoResponse" }, "mailOnly": { "type": "boolean", "description": "Specifies whether voters in the precinct vote only by mailing their ballots (with the possible option of dropping off their ballots as well)." }, "normalizedInput": { "$ref": "SimpleAddressType", "description": "The normalized version of the requested address" }, "otherElections": { "type": "array", "description": "When there are multiple elections for a voter address, the otherElections field is populated in the API response and there are two possibilities: 1. If the earliest election is not the intended election, specify the election ID of the desired election in a second API request using the electionId field. 2. If these elections occur on the same day, the API doesn?t return any polling location, contest, or election official information to ensure that an additional query is made. For user-facing applications, we recommend displaying these elections to the user to disambiguate. A second API request using the electionId field should be made for the election that is relevant to the user.", "items": { "$ref": "Election" } }, "pollingLocations": { "type": "array", "description": "Locations where the voter is eligible to vote on election day.", "items": { "$ref": "PollingLocation" } }, "precinctId": { "type": "string" }, "segments": { "type": "array", "items": { "$ref": "StreetSegment" } }, "state": { "type": "array", "description": "Local Election Information for the state that the voter votes in. For the US, there will only be one element in this array.", "items": { "$ref": "AdministrationRegion" } } } }, "VoterInfoSegmentResult": { "id": "VoterInfoSegmentResult", "type": "object", "properties": { "generatedMillis": { "type": "string", "format": "int64" }, "postalAddress": { "$ref": "PostalAddress" }, "request": { "$ref": "VoterInfoRequest" }, "response": { "$ref": "VoterInfoResponse" } } } }, "resources": { "divisions": { "methods": { "search": { "id": "civicinfo.divisions.search", "path": "divisions", "httpMethod": "GET", "description": "Searches for political divisions by their natural name or OCD ID.", "parameters": { "query": { "type": "string", "description": "The search query. Queries can cover any parts of a OCD ID or a human readable division name. All words given in the query are treated as required patterns. In addition to that, most query operators of the Apache Lucene library are supported. See http://lucene.apache.org/core/2_9_4/queryparsersyntax.html", "location": "query" } }, "request": { "$ref": "DivisionSearchRequest" }, "response": { "$ref": "DivisionSearchResponse" } } } }, "elections": { "methods": { "electionQuery": { "id": "civicinfo.elections.electionQuery", "path": "elections", "httpMethod": "GET", "description": "List of available elections to query.", "request": { "$ref": "ElectionsQueryRequest" }, "response": { "$ref": "ElectionsQueryResponse" } }, "voterInfoQuery": { "id": "civicinfo.elections.voterInfoQuery", "path": "voterinfo", "httpMethod": "GET", "description": "Looks up information relevant to a voter based on the voter's registered address.", "parameters": { "address": { "type": "string", "description": "The registered address of the voter to look up.", "required": true, "location": "query" }, "electionId": { "type": "string", "description": "The unique ID of the election to look up. A list of election IDs can be obtained at https://www.googleapis.com/civicinfo/{version}/electionsIf no election ID is specified in the query and there is more than one election with data for the given voter, the additional elections are provided in the otherElections response field.", "default": "0", "format": "int64", "location": "query" }, "officialOnly": { "type": "boolean", "description": "If set to true, only data from official state sources will be returned.", "default": "false", "location": "query" }, "returnAllAvailableData": { "type": "boolean", "description": "If set to true, the query will return the success codeand include any partial information when it is unable to determine a matching address or unable to determine the election for electionId=0 queries.", "default": "false", "location": "query" } }, "parameterOrder": ["address"], "request": { "$ref": "VoterInfoRequest" }, "response": { "$ref": "VoterInfoResponse" } } } }, "representatives": { "methods": { "representativeInfoByAddress": { "id": "civicinfo.representatives.representativeInfoByAddress", "path": "representatives", "httpMethod": "GET", "description": "Looks up political geography and representative information for a single address.", "parameters": { "address": { "type": "string", "description": "The address to look up. May only be specified if the field ocdId is not given in the URL.", "location": "query" }, "includeOffices": { "type": "boolean", "description": "Whether to return information about offices and officials. If false, only the top-level district information will be returned.", "default": "true", "location": "query" }, "levels": { "type": "string", "description": "A list of office levels to filter by. Only offices that serve at least one of these levels will be returned. Divisions that don't contain a matching office will not be returned.", "enum": ["administrativeArea1", "administrativeArea2", "country", "international", "locality", "regional", "special", "subLocality1", "subLocality2"], "enumDescriptions": ["", "", "", "", "", "", "", "", ""], "repeated": true, "location": "query" }, "roles": { "type": "string", "description": "A list of office roles to filter by. Only offices fulfilling one of these roles will be returned. Divisions that don't contain a matching office will not be returned.", "enum": ["deputyHeadOfGovernment", "executiveCouncil", "governmentOfficer", "headOfGovernment", "headOfState", "highestCourtJudge", "judge", "legislatorLowerBody", "legislatorUpperBody", "schoolBoard", "specialPurposeOfficer"], "enumDescriptions": ["", "", "", "", "", "", "", "", "", "", ""], "repeated": true, "location": "query" } }, "request": { "$ref": "RepresentativeInfoRequest" }, "response": { "$ref": "RepresentativeInfoResponse" } }, "representativeInfoByDivision": { "id": "civicinfo.representatives.representativeInfoByDivision", "path": "representatives/{ocdId}", "httpMethod": "GET", "description": "Looks up representative information for a single geographic division.", "parameters": { "levels": { "type": "string", "description": "A list of office levels to filter by. Only offices that serve at least one of these levels will be returned. Divisions that don't contain a matching office will not be returned.", "enum": ["administrativeArea1", "administrativeArea2", "country", "international", "locality", "regional", "special", "subLocality1", "subLocality2"], "enumDescriptions": ["", "", "", "", "", "", "", "", ""], "repeated": true, "location": "query" }, "ocdId": { "type": "string", "description": "The Open Civic Data division identifier of the division to look up.", "required": true, "location": "path" }, "recursive": { "type": "boolean", "description": "If true, information about all divisions contained in the division requested will be included as well. For example, if querying ocd-division/country:us/district:dc, this would also return all DC's wards and ANCs.", "location": "query" }, "roles": { "type": "string", "description": "A list of office roles to filter by. Only offices fulfilling one of these roles will be returned. Divisions that don't contain a matching office will not be returned.", "enum": ["deputyHeadOfGovernment", "executiveCouncil", "governmentOfficer", "headOfGovernment", "headOfState", "highestCourtJudge", "judge", "legislatorLowerBody", "legislatorUpperBody", "schoolBoard", "specialPurposeOfficer"], "enumDescriptions": ["", "", "", "", "", "", "", "", "", "", ""], "repeated": true, "location": "query" } }, "parameterOrder": ["ocdId"], "request": { "$ref": "DivisionRepresentativeInfoRequest" }, "response": { "$ref": "RepresentativeInfoData" } } } } } };
//# sourceMappingURL=civicinfo-v2.js.map