"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "protocol": "rest", "canonicalName": "Cloud Shell", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" } } } }, "rootUrl": "https://cloudshell.googleapis.com/", "ownerDomain": "google.com", "name": "cloudshell", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Cloud Shell API", "ownerName": "Google", "resources": { "operations": { "methods": { "cancel": { "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be cancelled.", "required": true, "type": "string", "pattern": "^operations/.+$" } }, "flatPath": "v1/operations/{operationsId}:cancel", "path": "v1/{+name}:cancel", "id": "cloudshell.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.", "response": { "$ref": "Empty" }, "parameterOrder": ["name"], "httpMethod": "POST" }, "delete": { "path": "v1/{+name}", "id": "cloudshell.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "Empty" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "required": true, "type": "string", "pattern": "^operations/.+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1/operations/{operationsId}" }, "list": { "flatPath": "v1/operations", "path": "v1/{+name}", "id": "cloudshell.operations.list", "description": "Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "pattern": "^operations$", "location": "path", "description": "The name of the operation's parent resource.", "required": true, "type": "string" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "location": "query", "description": "The standard list page size.", "format": "int32", "type": "integer" } } }, "get": { "path": "v1/{+name}", "id": "cloudshell.operations.get", "description": "Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "GET", "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "required": true, "type": "string", "pattern": "^operations/.+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1/operations/{operationsId}" } } } }, "parameters": { "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "$.xgafv": { "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"] }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "alt": { "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"], "type": "string" } }, "version": "v1", "baseUrl": "https://cloudshell.googleapis.com/", "kind": "discovery#restDescription", "description": "Allows users to start, configure, and connect to interactive shell sessions running in the cloud.\n", "servicePath": "", "basePath": "", "id": "cloudshell:v1", "documentationLink": "https://cloud.google.com/shell/docs/", "revision": "20190622", "discoveryVersion": "v1", "version_module": true, "schemas": { "Status": { "description": "The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "details": { "description": "A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "Status" }, "StartEnvironmentResponse": { "type": "object", "properties": { "environment": { "$ref": "Environment", "description": "Environment that was started." } }, "id": "StartEnvironmentResponse", "description": "Message included in the response field of operations returned from\nStartEnvironment once the\noperation is complete." }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.", "type": "object", "properties": {}, "id": "Empty" }, "PublicKey": { "id": "PublicKey", "description": "A public SSH key, corresponding to a private SSH key held by the client.", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. Full name of this resource, in the format\n`users/{owner_email}/environments/{environment_id}/publicKeys/{key_id}`.\n`{owner_email}` is the email address of the user to whom the key belongs.\n`{environment_id}` is the identifier of the environment to which the key\ngrants access. `{key_id}` is the unique identifier of the key. For example,\n`users/someone@example.com/environments/default/publicKeys/myKey`." }, "key": { "description": "Required. Content of this key.", "format": "byte", "type": "string" }, "format": { "enum": ["FORMAT_UNSPECIFIED", "SSH_DSS", "SSH_RSA", "ECDSA_SHA2_NISTP256", "ECDSA_SHA2_NISTP384", "ECDSA_SHA2_NISTP521"], "description": "Required. Format of this key's content.", "type": "string", "enumDescriptions": ["Unknown format. Do not use.", "`ssh-dss` key format (see RFC4253).", "`ssh-rsa` key format (see RFC4253).", "`ecdsa-sha2-nistp256` key format (see RFC5656).", "`ecdsa-sha2-nistp384` key format (see RFC5656).", "`ecdsa-sha2-nistp521` key format (see RFC5656)."] } } }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "type": "object", "properties": {}, "id": "CancelOperationRequest" }, "StartEnvironmentMetadata": { "id": "StartEnvironmentMetadata", "description": "Message included in the metadata field of operations returned from\nStartEnvironment.", "type": "object", "properties": { "state": { "enum": ["STATE_UNSPECIFIED", "STARTING", "UNARCHIVING_DISK", "FINISHED"], "description": "Current state of the environment being started.", "type": "string", "enumDescriptions": ["The environment's start state is unknown.", "The environment is in the process of being started, but no additional\ndetails are available.", "Startup is waiting for the user's disk to be unarchived. This can happen\nwhen the user returns to Cloud Shell after not having used it for a\nwhile, and suggests that startup will take longer than normal.", "Startup is complete and the user should be able to establish an SSH\nconnection to their environment."] } } }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } } } }, "Operation": { "description": "This resource represents a long-running operation that is the result of a\nnetwork API call.", "type": "object", "properties": { "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.", "type": "boolean" }, "response": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`." }, "name": { "description": "The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } }, "id": "Operation" }, "Environment": { "type": "object", "properties": { "publicKeys": { "description": "Output only. Public keys associated with the environment. Clients can\nconnect to this environment via SSH only if they possess a private key\ncorresponding to at least one of these public keys. Keys can be added to or\nremoved from the environment using the CreatePublicKey and DeletePublicKey\nmethods.", "type": "array", "items": { "$ref": "PublicKey" } }, "dockerImage": { "description": "Required. Full path to the Docker image used to run this environment, e.g.\n\"gcr.io/dev-con/cloud-devshell:latest\".", "type": "string" }, "state": { "enumDescriptions": ["The environment's states is unknown.", "The environment is not running and can't be connected to. Starting the\nenvironment will transition it to the STARTING state.", "The environment is being started but is not yet ready to accept\nconnections.", "The environment is running and ready to accept connections. It will\nautomatically transition back to DISABLED after a period of inactivity or\nif another environment is started."], "enum": ["STATE_UNSPECIFIED", "DISABLED", "STARTING", "RUNNING"], "description": "Output only. Current execution state of this environment.", "type": "string" }, "name": { "description": "Output only. Full name of this resource, in the format\n`users/{owner_email}/environments/{environment_id}`. `{owner_email}` is the\nemail address of the user to whom this environment belongs, and\n`{environment_id}` is the identifier of this environment. For example,\n`users/someone@example.com/environments/default`.", "type": "string" }, "sshHost": { "type": "string", "description": "Output only. Host to which clients can connect to initiate SSH sessions\nwith the environment." }, "sshPort": { "type": "integer", "description": "Output only. Port to which clients can connect to initiate SSH sessions\nwith the environment.", "format": "int32" }, "id": { "description": "Output only. The environment's identifier, which is always \"default\".", "type": "string" }, "sshUsername": { "description": "Output only. Username that clients should use when initiating SSH sessions\nwith the environment.", "type": "string" } }, "id": "Environment", "description": "A Cloud Shell environment, which is defined as the combination of a Docker\nimage specifying what is installed on the environment and a home directory\ncontaining the user's data that will remain across sessions. Each user has a\nsingle environment with the ID \"default\"." } } };
//# sourceMappingURL=cloudshell-v1.js.map