"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "flatPath": "v1beta1/projects/{projectsId}/locations", "path": "v1beta1/{+name}/locations", "id": "datafusion.projects.locations.list", "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "pageSize": { "description": "The standard list page size.", "format": "int32", "type": "integer", "location": "query" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "description": "The resource that owns the locations collection, if applicable." }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" } } }, "get": { "httpMethod": "GET", "response": { "$ref": "Location" }, "parameterOrder": ["name"], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Resource name for the location.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "id": "datafusion.projects.locations.get", "path": "v1beta1/{+name}", "description": "Gets information about a location." } }, "resources": { "operations": { "methods": { "cancel": { "path": "v1beta1/{+name}:cancel", "id": "datafusion.projects.locations.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.", "response": { "$ref": "Empty" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be cancelled.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel" }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta1/{+name}", "id": "datafusion.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "Empty" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } } }, "list": { "description": "Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.", "httpMethod": "GET", "parameterOrder": ["name"], "response": { "$ref": "ListOperationsResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "pageSize": { "description": "The standard list page size.", "format": "int32", "type": "integer", "location": "query" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "location": "path", "description": "The name of the operation's parent resource.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "id": "datafusion.projects.locations.operations.list", "path": "v1beta1/{+name}/operations" }, "get": { "description": "Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "GET", "parameters": { "name": { "description": "The name of the operation resource.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta1/{+name}", "id": "datafusion.projects.locations.operations.get" } } }, "instances": { "methods": { "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any\nexisting policy.", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "parameterOrder": ["resource"], "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "id": "datafusion.projects.locations.instances.setIamPolicy" }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances", "path": "v1beta1/{+parent}/instances", "id": "datafusion.projects.locations.instances.create", "request": { "$ref": "Instance" }, "description": "Creates a new Data Fusion instance in the specified project and location.", "response": { "$ref": "Operation" }, "parameterOrder": ["parent"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "parent": { "description": "The instance's project and location in the format\nprojects/{project}/locations/{location}.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "instanceId": { "description": "The name of the instance to create.", "type": "string", "location": "query" } } }, "getIamPolicy": { "response": { "$ref": "Policy" }, "parameterOrder": ["resource"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:getIamPolicy", "path": "v1beta1/{+resource}:getIamPolicy", "id": "datafusion.projects.locations.instances.getIamPolicy", "description": "Gets the access control policy for a resource.\nReturns an empty policy if the resource exists and does not have a policy\nset." }, "patch": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "path": "v1beta1/{+name}", "id": "datafusion.projects.locations.instances.patch", "request": { "$ref": "Instance" }, "description": "Updates a single Data Fusion instance.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "PATCH", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "updateMask": { "location": "query", "description": "Field mask is used to specify the fields that the update will overwrite\nin an instance resource. The fields specified in the update_mask are\nrelative to the resource, not the full request.\nA field will be overwritten if it is in the mask.\nIf the user does not provide a mask, all the supported fields (labels and\noptions currently) will be overwritten.", "format": "google-fieldmask", "type": "string" }, "name": { "location": "path", "description": "Output only. The name of this instance is in the form of\nprojects/{project}/locations/{location}/instances/{instance}.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } } }, "get": { "path": "v1beta1/{+name}", "id": "datafusion.projects.locations.instances.get", "description": "Gets details of a single Data Fusion instance.", "response": { "$ref": "Instance" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "The instance resource name in the format\nprojects/{project}/locations/{location}/instances/{instance}.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}" }, "upgrade": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "Name of the Data Fusion instance which need to be upgraded in the form of\nprojects/{project}/locations/{location}/instances/{instance}\nInstance will be upgraded with the latest stable version of the Data\nFusion.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:upgrade", "path": "v1beta1/{+name}:upgrade", "id": "datafusion.projects.locations.instances.upgrade", "request": { "$ref": "UpgradeInstanceRequest" }, "description": "Upgrade a single Data Fusion instance.\nAt the end of an operation instance is fully upgraded." }, "testIamPermissions": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:testIamPermissions", "id": "datafusion.projects.locations.instances.testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.\nIf the resource does not exist, this will return an empty set of\npermissions, not a NOT_FOUND error.\n\nNote: This operation is designed to be used for building permission-aware\nUIs and command-line tools, not for authorization checking. This operation\nmay \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "parameterOrder": ["resource"], "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"] }, "restart": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "description": "Name of the Data Fusion instance which need to be restarted in the form of\nprojects/{project}/locations/{location}/instances/{instance}", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:restart", "path": "v1beta1/{+name}:restart", "id": "datafusion.projects.locations.instances.restart", "description": "Restart a single Data Fusion instance.\nAt the end of an operation instance is fully restarted.", "request": { "$ref": "RestartInstanceRequest" } }, "delete": { "description": "Deletes a single Date Fusion instance.", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "parameters": { "name": { "description": "The instance resource name in the format\nprojects/{project}/locations/{location}/instances/{instance}", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "id": "datafusion.projects.locations.instances.delete", "path": "v1beta1/{+name}" }, "list": { "description": "Lists Data Fusion instances in the specified project and location.", "response": { "$ref": "ListInstancesResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "pageToken": { "location": "query", "description": "The next_page_token value to use if there are additional\nresults to retrieve for this list request.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\",  or \"\" (unsorted)." }, "pageSize": { "location": "query", "description": "The maximum number of items to return.", "format": "int32", "type": "integer" }, "parent": { "description": "The project and location for which to retrieve instance information\nin the format projects/{project}/locations/{location}. If the location is\nspecified as '-' (wildcard), then all regions available to the project\nare queried, and the results are aggregated.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "filter": { "location": "query", "description": "List filter.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances", "path": "v1beta1/{+parent}/instances", "id": "datafusion.projects.locations.instances.list" } } } } } } } }, "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query", "enum": ["1", "2"] }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "alt": { "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" } }, "version": "v1beta1", "baseUrl": "https://datafusion.googleapis.com/", "description": "Cloud Data Fusion is a fully-managed, cloud native, enterprise data integration service for\n    quickly building and managing data pipelines. It provides a graphical interface to increase\n    time efficiency and reduce complexity, and allows business users, developers, and data\n    scientists to easily and reliably build scalable data integration solutions to cleanse,\n    prepare, blend, transfer and transform data without having to wrestle with infrastructure.", "kind": "discovery#restDescription", "servicePath": "", "basePath": "", "id": "datafusion:v1beta1", "documentationLink": "https://cloud.google.com/data-fusion/docs", "revision": "20190617", "discoveryVersion": "v1", "version_module": true, "schemas": { "CancelOperationRequest": { "properties": {}, "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation.", "type": "object" }, "DataAccessOptions": { "description": "Write a Data Access (Gin) log", "type": "object", "properties": { "logMode": { "enum": ["LOG_MODE_UNSPECIFIED", "LOG_FAIL_CLOSED"], "description": "Whether Gin logging should happen in a fail-closed manner at the caller.\nThis is relevant only in the LocalIAM implementation, for now.", "type": "string", "enumDescriptions": ["Client is not required to write a partial Gin log immediately after\nthe authorization check. If client chooses to write one and it fails,\nclient may either fail open (allow the operation to continue) or\nfail closed (handle as a DENY outcome).", "The application's operation in the context of which this authorization\ncheck is being made may only be performed if it is successfully logged\nto Gin. For instance, the authorization library may satisfy this\nobligation by emitting a partial log entry at authorization check time\nand only returning ALLOW to the application if it succeeds.\n\nIf a matching Rule has this directive, but the client has not indicated\nthat it will honor such requirements, then the IAM check will result in\nauthorization failure by setting CheckPolicyResponse.success=false."] } }, "id": "DataAccessOptions" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a\nnetwork API call.", "type": "object", "properties": { "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.", "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.", "type": "boolean" } }, "id": "Operation" }, "AuditConfig": { "type": "object", "properties": { "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } }, "exemptedMembers": { "type": "array", "items": { "type": "string" } }, "service": { "description": "Specifies a service that will be enabled for audit logging.\nFor example, `storage.googleapis.com`, `cloudsql.googleapis.com`.\n`allServices` is a special value that covers all services.", "type": "string" } }, "id": "AuditConfig", "description": "Specifies the audit configuration for a service.\nThe configuration determines which permission types are logged, and what\nidentities, if any, are exempted from logging.\nAn AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service,\nthe union of the two AuditConfigs is used for that service: the log_types\nspecified in each AuditConfig are enabled, and the exempted_members in each\nAuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n    {\n      \"audit_configs\": [\n        {\n          \"service\": \"allServices\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n              \"exempted_members\": [\n                \"user:foo@gmail.com\"\n              ]\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n            },\n            {\n              \"log_type\": \"ADMIN_READ\",\n            }\n          ]\n        },\n        {\n          \"service\": \"fooservice.googleapis.com\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n              \"exempted_members\": [\n                \"user:bar@gmail.com\"\n              ]\n            }\n          ]\n        }\n      ]\n    }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ\nlogging. It also exempts foo@gmail.com from DATA_READ logging, and\nbar@gmail.com from DATA_WRITE logging." }, "NetworkConfig": { "type": "object", "properties": { "network": { "description": "Name of the network in the customer project with which the Tenant Project\nwill be peered for executing pipelines.", "type": "string" }, "ipAllocation": { "description": "The IP range in CIDR notation to use for the managed Data Fusion instance\nnodes. This range must not overlap with any other ranges used in the Data\nFusion instance network.", "type": "string" } }, "id": "NetworkConfig", "description": "Network configuration for a Data Fusion instance. These configurations\nare used for peering with the customer network. Configurations are optional\nwhen a public Data Fusion instance is to be created. However, providing\nthese configurations allows several benefits, such as reduced network latency\nwhile accessing the customer resources from managed Data Fusion instance\nnodes, as well as access to the customer on-prem resources." }, "CloudAuditOptions": { "description": "Write a Cloud Audit log", "type": "object", "properties": { "logName": { "enumDescriptions": ["Default. Should not be used.", "Corresponds to \"cloudaudit.googleapis.com/activity\"", "Corresponds to \"cloudaudit.googleapis.com/data_access\""], "enum": ["UNSPECIFIED_LOG_NAME", "ADMIN_ACTIVITY", "DATA_ACCESS"], "description": "The log_name to populate in the Cloud Audit Record.", "type": "string" }, "authorizationLoggingOptions": { "$ref": "AuthorizationLoggingOptions", "description": "Information used by the Cloud Audit Logging pipeline." } }, "id": "CloudAuditOptions" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.", "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } } }, "id": "Status" }, "Binding": { "id": "Binding", "description": "Associates `members` with a `role`.", "type": "object", "properties": { "members": { "description": "Specifies the identities requesting access for a Cloud Platform resource.\n`members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is\n   on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone\n   who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google\n   account. For example, `alice@gmail.com` .\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service\n   account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group.\n   For example, `admins@example.com`.\n\n\n* `domain:{domain}`: The G Suite domain (primary) that represents all the\n   users of that domain. For example, `google.com` or `example.com`.\n\n", "type": "array", "items": { "type": "string" } }, "role": { "description": "Role that is assigned to `members`.\nFor example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding.\nNOTE: An unsatisfied condition will not allow user access via current\nbinding. Different bindings, including their conditions, are examined\nindependently." } } }, "Expr": { "type": "object", "properties": { "title": { "description": "An optional title for the expression, i.e. a short string describing\nits purpose. This can be used e.g. in UIs which allow to enter the\nexpression.", "type": "string" }, "location": { "type": "string", "description": "An optional string indicating the location of the expression for error\nreporting, e.g. a file name and a position in the file." }, "description": { "description": "An optional description of the expression. This is a longer text which\ndescribes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "description": "Textual representation of an expression in\nCommon Expression Language syntax.\n\nThe application context of the containing message determines which\nwell-known feature set of CEL is supported.", "type": "string" } }, "id": "Expr", "description": "Represents an expression text. Example:\n\n    title: \"User account presence\"\n    description: \"Determines whether the request has a user account\"\n    expression: \"size(request.user) > 0\"" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } } } }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is\nallowed.", "type": "array", "items": { "type": "string" } } }, "id": "TestIamPermissionsResponse" }, "OperationMetadata": { "description": "Represents the metadata of a long-running operation.", "type": "object", "properties": { "createTime": { "description": "The time the operation was created.", "format": "google-datetime", "type": "string" }, "statusDetail": { "description": "Human-readable status of the operation if any.", "type": "string" }, "apiVersion": { "description": "API version used to start the operation.", "type": "string" }, "target": { "type": "string", "description": "Server-defined resource path for the target of the operation." }, "endTime": { "description": "The time the operation finished running.", "format": "google-datetime", "type": "string" }, "verb": { "description": "Name of the verb executed by the operation.", "type": "string" }, "requestedCancellation": { "description": "Identifies whether the user has requested cancellation\nof the operation. Operations that have successfully been cancelled\nhave Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.", "type": "boolean" } }, "id": "OperationMetadata" }, "Rule": { "type": "object", "properties": { "notIn": { "description": "If one or more 'not_in' clauses are specified, the rule matches\nif the PRINCIPAL/AUTHORITY_SELECTOR is in none of the entries.\nThe format for in and not_in entries can be found at in the Local IAM\ndocumentation (see go/local-iam#features).", "type": "array", "items": { "type": "string" } }, "description": { "description": "Human-readable description of the rule.", "type": "string" }, "conditions": { "description": "Additional restrictions that must be met. All conditions must pass for the\nrule to match.", "type": "array", "items": { "$ref": "Condition" } }, "logConfig": { "type": "array", "items": { "$ref": "LogConfig" }, "description": "The config returned to callers of tech.iam.IAM.CheckPolicy for any entries\nthat match the LOG action." }, "in": { "type": "array", "items": { "type": "string" }, "description": "If one or more 'in' clauses are specified, the rule matches if\nthe PRINCIPAL/AUTHORITY_SELECTOR is in at least one of these entries." }, "permissions": { "description": "A permission is a string of form '<service>.<resource type>.<verb>'\n(e.g., 'storage.buckets.list'). A value of '*' matches all permissions,\nand a verb part of '*' (e.g., 'storage.buckets.*') matches all verbs.", "type": "array", "items": { "type": "string" } }, "action": { "description": "Required", "type": "string", "enumDescriptions": ["Default no action.", "Matching 'Entries' grant access.", "Matching 'Entries' grant access and the caller promises to log\nthe request per the returned log_configs.", "Matching 'Entries' deny access.", "Matching 'Entries' deny access and the caller promises to log\nthe request per the returned log_configs.", "Matching 'Entries' tell IAM.Check callers to generate logs."], "enum": ["NO_ACTION", "ALLOW", "ALLOW_WITH_LOG", "DENY", "DENY_WITH_LOG", "LOG"] } }, "id": "Rule", "description": "A rule to be applied in a Policy." }, "LogConfig": { "id": "LogConfig", "description": "Specifies what kind of log the caller must write", "type": "object", "properties": { "dataAccess": { "description": "Data access options.", "$ref": "DataAccessOptions" }, "cloudAudit": { "$ref": "CloudAuditOptions", "description": "Cloud audit options." }, "counter": { "$ref": "CounterOptions", "description": "Counter options." } } }, "UpgradeInstanceRequest": { "description": "Request message for upgrading a Data Fusion instance.\nTo change the instance properties, instance update should be used.", "type": "object", "properties": {}, "id": "UpgradeInstanceRequest" }, "ListInstancesResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more\nresults in the list.", "type": "string" }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "instances": { "description": "Represents a list of Data Fusion instances.", "type": "array", "items": { "$ref": "Instance" } } }, "id": "ListInstancesResponse", "description": "Response message for the list instance request." }, "RestartInstanceRequest": { "description": "Request message for restarting a Data Fusion instance.", "type": "object", "properties": {}, "id": "RestartInstanceRequest" }, "Instance": { "description": "Represents a Data Fusion instance.", "type": "object", "properties": { "enableStackdriverMonitoring": { "type": "boolean", "description": "Option to enable Stackdriver Monitoring." }, "type": { "enum": ["TYPE_UNSPECIFIED", "BASIC", "ENTERPRISE"], "description": "Required. Instance type.", "type": "string", "enumDescriptions": ["No type specified. The instance creation will fail.", "Basic Data Fusion instance. In Basic type, the user will be able to\ncreate data pipelines using point and click UI. However, there are\ncertain limitations, such as fewer number of concurrent pipelines, no\nsupport for streaming pipelines, etc.", "Enterprise Data Fusion instance. In Enterprise type, the user will have\nmore features available, such as support for streaming pipelines, higher\nnumber of concurrent pipelines, etc."] }, "version": { "description": "Output only. Current version of the Data Fusion.", "type": "string" }, "stateMessage": { "description": "Output only. Additional information about the current state of this Data\nFusion instance if available.", "type": "string" }, "description": { "description": "An optional description of this instance.", "type": "string" }, "options": { "additionalProperties": { "type": "string" }, "description": "Map of additional options used to configure the behavior of\nData Fusion instance.", "type": "object" }, "networkConfig": { "description": "Network configuration options. These are required when a private Data\nFusion instance is to be created.", "$ref": "NetworkConfig" }, "state": { "enumDescriptions": ["Instance does not have a state yet", "Instance is being created", "Instance is running and ready for requests", "Instance creation failed", "Instance is being deleted", "Instance is being upgraded", "Instance is being restarted", "Instance is being updated"], "enum": ["STATE_UNSPECIFIED", "CREATING", "RUNNING", "FAILED", "DELETING", "UPGRADING", "RESTARTING", "UPDATING"], "description": "Output only. The current state of this Data Fusion instance.", "type": "string" }, "name": { "description": "Output only. The name of this instance is in the form of\nprojects/{project}/locations/{location}/instances/{instance}.", "type": "string" }, "enableStackdriverLogging": { "description": "Option to enable Stackdriver Logging.", "type": "boolean" }, "privateInstance": { "description": "Specifies whether the Data Fusion instance should be private. If set to\ntrue, all Data Fusion nodes will have private IP addresses and will not be\nable to access the public internet.", "type": "boolean" }, "serviceAccount": { "description": "Output only. Service account which will be used to access resources in\nthe customer project.\"", "type": "string" }, "displayName": { "description": "Display name for an instance.", "type": "string" }, "zone": { "description": "Name of the zone in which the Data Fusion instance will be created.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The resource labels for instance to use to annotate any related underlying\nresources such as GCE VMs. The character '=' is not allowed to be used\nwithin the labels." }, "createTime": { "description": "Output only. The time the instance was created.", "format": "google-datetime", "type": "string" }, "updateTime": { "description": "Output only. The time the instance was last updated.", "format": "google-datetime", "type": "string" }, "serviceEndpoint": { "description": "Output only. Endpoint on which the Data Fusion UI and REST APIs are\naccessible.", "type": "string" } }, "id": "Instance" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method.", "type": "object", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of\nthe policy is limited to a few 10s of KB. An empty policy is a\nvalid policy but certain Cloud Platform services (such as Projects)\nmight reject them." }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only\nthe fields in the mask will be modified. If no mask is provided, the\nfollowing default mask is used:\npaths: \"bindings, etag\"\nThis field is only used by Cloud IAM.", "format": "google-fieldmask", "type": "string" } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.", "type": "object", "properties": {}, "id": "Empty" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "type": "object", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example\n\n    {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" }, "name": { "description": "Resource name for the location, which may vary between implementations.\nFor example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name.\nFor example, \"Tokyo\".", "type": "string" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given\nlocation.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "id": "Location" }, "Condition": { "type": "object", "properties": { "svc": { "description": "Trusted attributes discharged by the service.", "type": "string" }, "iam": { "enumDescriptions": ["Default non-attribute.", "Either principal or (if present) authority selector.", "The principal (even if an authority selector is present), which\nmust only be used for attribution, not authorization.", "Any of the security realms in the IAMContext (go/security-realms).\nWhen used with IN, the condition indicates \"any of the request's realms\nmatch one of the given values; with NOT_IN, \"none of the realms match\nany of the given values\". Note that a value can be:\n - 'self' (i.e., allow connections from clients that are in the same\n security realm)\n - a realm (e.g., 'campus-abc')\n - a realm group (e.g., 'realms-for-borg-cell-xx', see: go/realm-groups)\nA match is determined by a realm group\nmembership check performed by a RealmAclRep object (go/realm-acl-howto).\nIt is not permitted to grant access based on the *absence* of a realm, so\nrealm conditions can only be used in a \"positive\" context (e.g., ALLOW/IN\nor DENY/NOT_IN).", "An approver (distinct from the requester) that has authorized this\nrequest.\nWhen used with IN, the condition indicates that one of the approvers\nassociated with the request matches the specified principal, or is a\nmember of the specified group. Approvers can only grant additional\naccess, and are thus only used in a strictly positive context\n(e.g. ALLOW/IN or DENY/NOT_IN).", "What types of justifications have been supplied with this request.\nString values should match enum names from tech.iam.JustificationType,\ne.g. \"MANUAL_STRING\". It is not permitted to grant access based on\nthe *absence* of a justification, so justification conditions can only\nbe used in a \"positive\" context (e.g., ALLOW/IN or DENY/NOT_IN).\n\nMultiple justifications, e.g., a Buganizer ID and a manually-entered\nreason, are normal and supported.", "What type of credentials have been supplied with this request.\nString values should match enum names from\nsecurity_loas_l2.CredentialsType - currently, only CREDS_TYPE_EMERGENCY\nis supported.\nIt is not permitted to grant access based on the *absence* of a\ncredentials type, so the conditions can only be used in a \"positive\"\ncontext (e.g., ALLOW/IN or DENY/NOT_IN)."], "enum": ["NO_ATTR", "AUTHORITY", "ATTRIBUTION", "SECURITY_REALM", "APPROVER", "JUSTIFICATION_TYPE", "CREDENTIALS_TYPE"], "description": "Trusted attributes supplied by the IAM system.", "type": "string" }, "values": { "description": "The objects of the condition.", "type": "array", "items": { "type": "string" } }, "sys": { "enumDescriptions": ["Default non-attribute type", "Region of the resource", "Service name", "Resource name", "IP address of the caller"], "enum": ["NO_ATTR", "REGION", "SERVICE", "NAME", "IP"], "description": "Trusted attributes supplied by any service that owns resources and uses\nthe IAM system for access control.", "type": "string" }, "op": { "enumDescriptions": ["Default no-op.", "DEPRECATED. Use IN instead.", "DEPRECATED. Use NOT_IN instead.", "The condition is true if the subject (or any element of it if it is\na set) matches any of the supplied values.", "The condition is true if the subject (or every element of it if it is\na set) matches none of the supplied values.", "Subject is discharged"], "enum": ["NO_OP", "EQUALS", "NOT_EQUALS", "IN", "NOT_IN", "DISCHARGED"], "description": "An operator to apply the subject with.", "type": "string" } }, "id": "Condition", "description": "A condition to be met." }, "CounterOptions": { "properties": { "metric": { "description": "The metric to update.", "type": "string" }, "field": { "description": "The field value to attribute.", "type": "string" } }, "id": "CounterOptions", "description": "Increment a streamz counter with the specified metric and field names.\n\nMetric names should start with a '/', generally be lowercase-only,\nand end in \"_count\". Field names should not contain an initial slash.\nThe actual exported metric names will have \"/iam/policy\" prepended.\n\nField names correspond to IAM request parameters and field values are\ntheir respective values.\n\nSupported field names:\n   - \"authority\", which is \"[token]\" if IAMContext.token is present,\n     otherwise the value of IAMContext.authority_selector if present, and\n     otherwise a representation of IAMContext.principal; or\n   - \"iam_principal\", a representation of IAMContext.principal even if a\n     token or authority selector is present; or\n   - \"\" (empty string), resulting in a counter with no fields.\n\nExamples:\n  counter { metric: \"/debug_access_count\"  field: \"iam_principal\" }\n  ==> increment counter /iam/policy/backend_debug_access_count\n                        {iam_principal=[value of IAMContext.principal]}\n\nAt this time we do not support multiple field names (though this may be\nsupported in the future).", "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions.\nExample:\n\n    {\n      \"audit_log_configs\": [\n        {\n          \"log_type\": \"DATA_READ\",\n          \"exempted_members\": [\n            \"user:foo@gmail.com\"\n          ]\n        },\n        {\n          \"log_type\": \"DATA_WRITE\",\n        }\n      ]\n    }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting\nfoo@gmail.com from DATA_READ logging.", "type": "object", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of\npermission.\nFollows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "logType": { "enum": ["LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ"], "description": "The log type that this config enables.", "type": "string", "enumDescriptions": ["Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list"] } }, "id": "AuditLogConfig" }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "type": "object", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with\nwildcards (such as '*' or 'storage.*') are not allowed. For more\ninformation see\n[IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array", "items": { "type": "string" } } } }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } }, "id": "ListLocationsResponse" }, "Policy": { "id": "Policy", "description": "Defines an Identity and Access Management (IAM) policy. It is used to\nspecify access control policies for Cloud Platform resources.\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of\n`members` to a `role`, where the members can be user accounts, Google groups,\nGoogle domains, and service accounts. A `role` is a named list of permissions\ndefined by IAM.\n\n**JSON Example**\n\n    {\n      \"bindings\": [\n        {\n          \"role\": \"roles/owner\",\n          \"members\": [\n            \"user:mike@example.com\",\n            \"group:admins@example.com\",\n            \"domain:google.com\",\n            \"serviceAccount:my-other-app@appspot.gserviceaccount.com\"\n          ]\n        },\n        {\n          \"role\": \"roles/viewer\",\n          \"members\": [\"user:sean@example.com\"]\n        }\n      ]\n    }\n\n**YAML Example**\n\n    bindings:\n    - members:\n      - user:mike@example.com\n      - group:admins@example.com\n      - domain:google.com\n      - serviceAccount:my-other-app@appspot.gserviceaccount.com\n      role: roles/owner\n    - members:\n      - user:sean@example.com\n      role: roles/viewer\n\n\nFor a description of IAM and its features, see the\n[IAM developer's guide](https://cloud.google.com/iam/docs).", "type": "object", "properties": { "version": { "description": "Deprecated.", "format": "int32", "type": "integer" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } }, "bindings": { "description": "Associates a list of `members` to a `role`.\n`bindings` with no members will result in an error.", "type": "array", "items": { "$ref": "Binding" } }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a policy from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform policy updates in order to avoid race\nconditions: An `etag` is returned in the response to `getIamPolicy`, and\nsystems are expected to put that etag in the request to `setIamPolicy` to\nensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing\npolicy is overwritten blindly.", "format": "byte", "type": "string" }, "iamOwned": { "type": "boolean" }, "rules": { "description": "If more than one rule is specified, the rules are applied in the following\nmanner:\n- All matching LOG rules are always applied.\n- If any DENY/DENY_WITH_LOG rule matches, permission is denied.\n  Logging will be applied if one or more matching rule requires logging.\n- Otherwise, if any ALLOW/ALLOW_WITH_LOG rule matches, permission is\n  granted.\n  Logging will be applied if one or more matching rule requires logging.\n- Otherwise, if no rule applies, permission is denied.", "type": "array", "items": { "$ref": "Rule" } } } }, "AuthorizationLoggingOptions": { "description": "Authorization-related information used by Cloud Audit Logging.", "type": "object", "properties": { "permissionType": { "enum": ["PERMISSION_TYPE_UNSPECIFIED", "ADMIN_READ", "ADMIN_WRITE", "DATA_READ", "DATA_WRITE"], "description": "The type of the permission that was checked.", "type": "string", "enumDescriptions": ["Default. Should not be used.", "A read of admin (meta) data.", "A write of admin (meta) data.", "A read of standard data.", "A write of standard data."] } }, "id": "AuthorizationLoggingOptions" } }, "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "Data Fusion", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" } } } }, "rootUrl": "https://datafusion.googleapis.com/", "ownerDomain": "google.com", "name": "datafusion", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Cloud Data Fusion API", "ownerName": "Google" };
//# sourceMappingURL=datafusion-v1beta1.js.map