"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "kind": "discovery#restDescription", "etag": "\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/BKbDIZNgbXAxlw2_5IchD8LGs4Q\"", "discoveryVersion": "v1", "id": "dns:v2beta1", "name": "dns", "version": "v2beta1", "revision": "20190625", "title": "Google Cloud DNS API", "description": "Configures and serves authoritative DNS records.", "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png", "x32": "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png" }, "documentationLink": "https://developers.google.com/cloud-dns", "protocol": "rest", "baseUrl": "https://dns.googleapis.com/dns/v2beta1/projects/", "basePath": "/dns/v2beta1/projects/", "rootUrl": "https://dns.googleapis.com/", "servicePath": "dns/v2beta1/projects/", "batchPath": "batch/dns/v2beta1", "parameters": { "alt": { "type": "string", "description": "Data format for the response.", "default": "json", "enum": ["json"], "enumDescriptions": ["Responses with Content-Type of application/json"], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud Platform services" }, "https://www.googleapis.com/auth/ndev.clouddns.readonly": { "description": "View your DNS records hosted by Google Cloud DNS" }, "https://www.googleapis.com/auth/ndev.clouddns.readwrite": { "description": "View and manage your DNS records hosted by Google Cloud DNS" } } } }, "schemas": { "Change": { "id": "Change", "type": "object", "description": "A Change represents a set of ResourceRecordSet additions and deletions applied atomically to a ManagedZone. ResourceRecordSets within a ManagedZone are modified by creating a new Change element in the Changes collection. In turn the Changes collection also records the past modifications to the ResourceRecordSets in a ManagedZone. The current state of the ManagedZone is the sum effect of applying all Change elements in the Changes collection in sequence.", "properties": { "additions": { "type": "array", "description": "Which ResourceRecordSets to add?", "items": { "$ref": "ResourceRecordSet" } }, "deletions": { "type": "array", "description": "Which ResourceRecordSets to remove? Must match existing data exactly.", "items": { "$ref": "ResourceRecordSet" } }, "id": { "type": "string", "description": "Unique identifier for the resource; defined by the server (output only)." }, "isServing": { "type": "boolean", "description": "If the DNS queries for the zone will be served." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#change\".", "default": "dns#change" }, "startTime": { "type": "string", "description": "The time that this operation was started by the server (output only). This is in RFC3339 text format." }, "status": { "type": "string", "description": "Status of the operation (output only). A status of \"done\" means that the request to update the authoritative servers has been sent, but the servers might not be updated yet.", "enum": ["DONE", "PENDING"], "enumDescriptions": ["", ""] } } }, "ChangesListResponse": { "id": "ChangesListResponse", "type": "object", "description": "The response to a request to enumerate Changes to a ResourceRecordSets collection.", "properties": { "changes": { "type": "array", "description": "The requested changes.", "items": { "$ref": "Change" } }, "header": { "$ref": "ResponseHeader" }, "kind": { "type": "string", "description": "Type of resource.", "default": "dns#changesListResponse" }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token.\n\nIn this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned will be an inconsistent view of the collection. There is no way to retrieve a \"snapshot\" of collections larger than the maximum page size." } } }, "DnsKey": { "id": "DnsKey", "type": "object", "description": "A DNSSEC key pair.", "properties": { "algorithm": { "type": "string", "description": "String mnemonic specifying the DNSSEC algorithm of this key. Immutable after creation time.", "enum": ["ECDSAP256SHA256", "ECDSAP384SHA384", "RSASHA1", "RSASHA256", "RSASHA512"], "enumDescriptions": ["", "", "", "", ""] }, "creationTime": { "type": "string", "description": "The time that this resource was created in the control plane. This is in RFC3339 text format. Output only." }, "description": { "type": "string", "description": "A mutable string of at most 1024 characters associated with this resource for the user's convenience. Has no effect on the resource's function." }, "digests": { "type": "array", "description": "Cryptographic hashes of the DNSKEY resource record associated with this DnsKey. These digests are needed to construct a DS record that points at this DNS key. Output only.", "items": { "$ref": "DnsKeyDigest" } }, "id": { "type": "string", "description": "Unique identifier for the resource; defined by the server (output only)." }, "isActive": { "type": "boolean", "description": "Active keys will be used to sign subsequent changes to the ManagedZone. Inactive keys will still be present as DNSKEY Resource Records for the use of resolvers validating existing signatures." }, "keyLength": { "type": "integer", "description": "Length of the key in bits. Specified at creation time then immutable.", "format": "uint32" }, "keyTag": { "type": "integer", "description": "The key tag is a non-cryptographic hash of the a DNSKEY resource record associated with this DnsKey. The key tag can be used to identify a DNSKEY more quickly (but it is not a unique identifier). In particular, the key tag is used in a parent zone's DS record to point at the DNSKEY in this child ManagedZone. The key tag is a number in the range [0, 65535] and the algorithm to calculate it is specified in RFC4034 Appendix B. Output only.", "format": "int32" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#dnsKey\".", "default": "dns#dnsKey" }, "publicKey": { "type": "string", "description": "Base64 encoded public half of this key. Output only." }, "type": { "type": "string", "description": "One of \"KEY_SIGNING\" or \"ZONE_SIGNING\". Keys of type KEY_SIGNING have the Secure Entry Point flag set and, when active, will be used to sign only resource record sets of type DNSKEY. Otherwise, the Secure Entry Point flag will be cleared and this key will be used to sign only resource record sets of other types. Immutable after creation time.", "enum": ["KEY_SIGNING", "ZONE_SIGNING"], "enumDescriptions": ["", ""] } } }, "DnsKeyDigest": { "id": "DnsKeyDigest", "type": "object", "properties": { "digest": { "type": "string", "description": "The base-16 encoded bytes of this digest. Suitable for use in a DS resource record." }, "type": { "type": "string", "description": "Specifies the algorithm used to calculate this digest.", "enum": ["SHA1", "SHA256", "SHA384"], "enumDescriptions": ["", "", ""] } } }, "DnsKeySpec": { "id": "DnsKeySpec", "type": "object", "description": "Parameters for DnsKey key generation. Used for generating initial keys for a new ManagedZone and as default when adding a new DnsKey.", "properties": { "algorithm": { "type": "string", "description": "String mnemonic specifying the DNSSEC algorithm of this key.", "enum": ["ECDSAP256SHA256", "ECDSAP384SHA384", "RSASHA1", "RSASHA256", "RSASHA512"], "enumDescriptions": ["", "", "", "", ""] }, "keyLength": { "type": "integer", "description": "Length of the keys in bits.", "format": "uint32" }, "keyType": { "type": "string", "description": "Specifies whether this is a key signing key (KSK) or a zone signing key (ZSK). Key signing keys have the Secure Entry Point flag set and, when active, will only be used to sign resource record sets of type DNSKEY. Zone signing keys do not have the Secure Entry Point flag set and will be used to sign all other types of resource record sets.", "enum": ["KEY_SIGNING", "ZONE_SIGNING"], "enumDescriptions": ["", ""] }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#dnsKeySpec\".", "default": "dns#dnsKeySpec" } } }, "DnsKeysListResponse": { "id": "DnsKeysListResponse", "type": "object", "description": "The response to a request to enumerate DnsKeys in a ManagedZone.", "properties": { "dnsKeys": { "type": "array", "description": "The requested resources.", "items": { "$ref": "DnsKey" } }, "header": { "$ref": "ResponseHeader" }, "kind": { "type": "string", "description": "Type of resource.", "default": "dns#dnsKeysListResponse" }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token.\n\nIn this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned will be an inconsistent view of the collection. There is no way to retrieve a \"snapshot\" of collections larger than the maximum page size." } } }, "ManagedZone": { "id": "ManagedZone", "type": "object", "description": "A zone is a subtree of the DNS namespace under one administrative responsibility. A ManagedZone is a resource that represents a DNS zone hosted by the Cloud DNS service.", "properties": { "creationTime": { "type": "string", "description": "The time that this resource was created on the server. This is in RFC3339 text format. Output only." }, "description": { "type": "string", "description": "A mutable string of at most 1024 characters associated with this resource for the user's convenience. Has no effect on the managed zone's function." }, "dnsName": { "type": "string", "description": "The DNS name of this managed zone, for instance \"example.com.\"." }, "dnssecConfig": { "$ref": "ManagedZoneDnsSecConfig", "description": "DNSSEC configuration." }, "id": { "type": "string", "description": "Unique identifier for the resource; defined by the server (output only)", "format": "uint64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#managedZone\".", "default": "dns#managedZone" }, "labels": { "type": "object", "description": "User labels.", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "User assigned name for this resource. Must be unique within the project. The name must be 1-63 characters long, must begin with a letter, end with a letter or digit, and only contain lowercase letters, digits or dashes." }, "nameServerSet": { "type": "string", "description": "Optionally specifies the NameServerSet for this ManagedZone. A NameServerSet is a set of DNS name servers that all host the same ManagedZones. Most users will leave this field unset." }, "nameServers": { "type": "array", "description": "Delegate your managed_zone to these virtual name servers; defined by the server (output only)", "items": { "type": "string" } }, "privateVisibilityConfig": { "$ref": "ManagedZonePrivateVisibilityConfig", "description": "For privately visible zones, the set of Virtual Private Cloud resources that the zone is visible from." }, "visibility": { "type": "string", "description": "The zone's visibility: public zones are exposed to the Internet, while private zones are visible only to Virtual Private Cloud resources.", "enum": ["PRIVATE", "PUBLIC"], "enumDescriptions": ["", ""] } } }, "ManagedZoneDnsSecConfig": { "id": "ManagedZoneDnsSecConfig", "type": "object", "properties": { "defaultKeySpecs": { "type": "array", "description": "Specifies parameters that will be used for generating initial DnsKeys for this ManagedZone. Can only be changed while state is OFF.", "items": { "$ref": "DnsKeySpec" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#managedZoneDnsSecConfig\".", "default": "dns#managedZoneDnsSecConfig" }, "nonExistence": { "type": "string", "description": "Specifies the mechanism used to provide authenticated denial-of-existence responses. Can only be changed while state is OFF.", "enum": ["NSEC", "NSEC3"], "enumDescriptions": ["", ""] }, "state": { "type": "string", "description": "Specifies whether DNSSEC is enabled, and what mode it is in.", "enum": ["OFF", "ON", "TRANSFER"], "enumDescriptions": ["", "", ""] } } }, "ManagedZoneOperationsListResponse": { "id": "ManagedZoneOperationsListResponse", "type": "object", "properties": { "header": { "$ref": "ResponseHeader" }, "kind": { "type": "string", "description": "Type of resource.", "default": "dns#managedZoneOperationsListResponse" }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token.\n\nIn this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned will be an inconsistent view of the collection. There is no way to retrieve a consistent snapshot of a collection larger than the maximum page size." }, "operations": { "type": "array", "description": "The operation resources.", "items": { "$ref": "Operation" } } } }, "ManagedZonePrivateVisibilityConfig": { "id": "ManagedZonePrivateVisibilityConfig", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#managedZonePrivateVisibilityConfig\".", "default": "dns#managedZonePrivateVisibilityConfig" }, "networks": { "type": "array", "description": "The list of VPC networks that can see this zone.", "items": { "$ref": "ManagedZonePrivateVisibilityConfigNetwork" } } } }, "ManagedZonePrivateVisibilityConfigNetwork": { "id": "ManagedZonePrivateVisibilityConfigNetwork", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#managedZonePrivateVisibilityConfigNetwork\".", "default": "dns#managedZonePrivateVisibilityConfigNetwork" }, "networkUrl": { "type": "string", "description": "The fully qualified URL of the VPC network to bind to. This should be formatted like https://www.googleapis.com/compute/v1/projects/{project}/global/networks/{network}" } } }, "ManagedZonesListResponse": { "id": "ManagedZonesListResponse", "type": "object", "properties": { "header": { "$ref": "ResponseHeader" }, "kind": { "type": "string", "description": "Type of resource.", "default": "dns#managedZonesListResponse" }, "managedZones": { "type": "array", "description": "The managed zone resources.", "items": { "$ref": "ManagedZone" } }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token.\n\nIn this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned will be an inconsistent view of the collection. There is no way to retrieve a consistent snapshot of a collection larger than the maximum page size." } } }, "Operation": { "id": "Operation", "type": "object", "description": "An operation represents a successful mutation performed on a Cloud DNS resource. Operations provide: - An audit log of server resource mutations. - A way to recover/retry API calls in the case where the response is never received by the caller. Use the caller specified client_operation_id.", "properties": { "dnsKeyContext": { "$ref": "OperationDnsKeyContext", "description": "Only populated if the operation targeted a DnsKey (output only)." }, "id": { "type": "string", "description": "Unique identifier for the resource. This is the client_operation_id if the client specified it when the mutation was initiated, otherwise, it is generated by the server. The name must be 1-63 characters long and match the regular expression [-a-z0-9]? (output only)" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#operation\".", "default": "dns#operation" }, "startTime": { "type": "string", "description": "The time that this operation was started by the server. This is in RFC3339 text format (output only)." }, "status": { "type": "string", "description": "Status of the operation. Can be one of the following: \"PENDING\" or \"DONE\" (output only). A status of \"DONE\" means that the request to update the authoritative servers has been sent, but the servers might not be updated yet.", "enum": ["DONE", "PENDING"], "enumDescriptions": ["", ""] }, "type": { "type": "string", "description": "Type of the operation. Operations include insert, update, and delete (output only)." }, "user": { "type": "string", "description": "User who requested the operation, for example: user@example.com. cloud-dns-system for operations automatically done by the system. (output only)" }, "zoneContext": { "$ref": "OperationManagedZoneContext", "description": "Only populated if the operation targeted a ManagedZone (output only)." } } }, "OperationDnsKeyContext": { "id": "OperationDnsKeyContext", "type": "object", "properties": { "newValue": { "$ref": "DnsKey", "description": "The post-operation DnsKey resource." }, "oldValue": { "$ref": "DnsKey", "description": "The pre-operation DnsKey resource." } } }, "OperationManagedZoneContext": { "id": "OperationManagedZoneContext", "type": "object", "properties": { "newValue": { "$ref": "ManagedZone", "description": "The post-operation ManagedZone resource." }, "oldValue": { "$ref": "ManagedZone", "description": "The pre-operation ManagedZone resource." } } }, "Project": { "id": "Project", "type": "object", "description": "A project resource. The project is a top level container for resources including Cloud DNS ManagedZones. Projects can be created only in the APIs console.", "properties": { "id": { "type": "string", "description": "User assigned unique identifier for the resource (output only)." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#project\".", "default": "dns#project" }, "number": { "type": "string", "description": "Unique numeric identifier for the resource; defined by the server (output only).", "format": "uint64" }, "quota": { "$ref": "Quota", "description": "Quotas assigned to this project (output only)." } } }, "Quota": { "id": "Quota", "type": "object", "description": "Limits associated with a Project.", "properties": { "dnsKeysPerManagedZone": { "type": "integer", "description": "Maximum allowed number of DnsKeys per ManagedZone.", "format": "int32" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#quota\".", "default": "dns#quota" }, "managedZones": { "type": "integer", "description": "Maximum allowed number of managed zones in the project.", "format": "int32" }, "managedZonesPerNetwork": { "type": "integer", "description": "Maximum allowed number of managed zones which can be attached to a network.", "format": "int32" }, "networksPerManagedZone": { "type": "integer", "description": "Maximum allowed number of networks to which a privately scoped zone can be attached.", "format": "int32" }, "resourceRecordsPerRrset": { "type": "integer", "description": "Maximum allowed number of ResourceRecords per ResourceRecordSet.", "format": "int32" }, "rrsetAdditionsPerChange": { "type": "integer", "description": "Maximum allowed number of ResourceRecordSets to add per ChangesCreateRequest.", "format": "int32" }, "rrsetDeletionsPerChange": { "type": "integer", "description": "Maximum allowed number of ResourceRecordSets to delete per ChangesCreateRequest.", "format": "int32" }, "rrsetsPerManagedZone": { "type": "integer", "description": "Maximum allowed number of ResourceRecordSets per zone in the project.", "format": "int32" }, "totalRrdataSizePerChange": { "type": "integer", "description": "Maximum allowed size for total rrdata in one ChangesCreateRequest in bytes.", "format": "int32" }, "whitelistedKeySpecs": { "type": "array", "description": "DNSSEC algorithm and key length types that can be used for DnsKeys.", "items": { "$ref": "DnsKeySpec" } } } }, "ResourceRecordSet": { "id": "ResourceRecordSet", "type": "object", "description": "A unit of data that will be returned by the DNS servers.", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dns#resourceRecordSet\".", "default": "dns#resourceRecordSet" }, "name": { "type": "string", "description": "For example, www.example.com." }, "rrdatas": { "type": "array", "description": "As defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1) -- see examples.", "items": { "type": "string" } }, "signatureRrdatas": { "type": "array", "description": "As defined in RFC 4034 (section 3.2).", "items": { "type": "string" } }, "ttl": { "type": "integer", "description": "Number of seconds that this ResourceRecordSet can be cached by resolvers.", "format": "int32" }, "type": { "type": "string", "description": "The identifier of a supported record type. See the list of Supported DNS record types." } } }, "ResourceRecordSetsListResponse": { "id": "ResourceRecordSetsListResponse", "type": "object", "properties": { "header": { "$ref": "ResponseHeader" }, "kind": { "type": "string", "description": "Type of resource.", "default": "dns#resourceRecordSetsListResponse" }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token.\n\nIn this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned will be an inconsistent view of the collection. There is no way to retrieve a consistent snapshot of a collection larger than the maximum page size." }, "rrsets": { "type": "array", "description": "The resource record set resources.", "items": { "$ref": "ResourceRecordSet" } } } }, "ResponseHeader": { "id": "ResponseHeader", "type": "object", "description": "Elements common to every response.", "properties": { "operationId": { "type": "string", "description": "For mutating operation requests that completed successfully. This is the client_operation_id if the client specified it, otherwise it is generated by the server (output only)." } } } }, "resources": { "changes": { "methods": { "create": { "id": "dns.changes.create", "path": "{project}/managedZones/{managedZone}/changes", "httpMethod": "POST", "description": "Atomically update the ResourceRecordSet collection.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone"], "request": { "$ref": "Change" }, "response": { "$ref": "Change" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "get": { "id": "dns.changes.get", "path": "{project}/managedZones/{managedZone}/changes/{changeId}", "httpMethod": "GET", "description": "Fetch the representation of an existing Change.", "parameters": { "changeId": { "type": "string", "description": "The identifier of the requested change, from a previous ResourceRecordSetsChangeResponse.", "required": true, "location": "path" }, "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone", "changeId"], "response": { "$ref": "Change" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "list": { "id": "dns.changes.list", "path": "{project}/managedZones/{managedZone}/changes", "httpMethod": "GET", "description": "Enumerate Changes to a ResourceRecordSet collection.", "parameters": { "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "maxResults": { "type": "integer", "description": "Optional. Maximum number of results to be returned. If unspecified, the server will decide how many results to return.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" }, "sortBy": { "type": "string", "description": "Sorting criterion. The only supported value is change sequence.", "default": "CHANGE_SEQUENCE", "enum": ["CHANGE_SEQUENCE"], "enumDescriptions": [""], "location": "query" }, "sortOrder": { "type": "string", "description": "Sorting order direction: 'ascending' or 'descending'.", "location": "query" } }, "parameterOrder": ["project", "managedZone"], "response": { "$ref": "ChangesListResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] } } }, "dnsKeys": { "methods": { "get": { "id": "dns.dnsKeys.get", "path": "{project}/managedZones/{managedZone}/dnsKeys/{dnsKeyId}", "httpMethod": "GET", "description": "Fetch the representation of an existing DnsKey.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "digestType": { "type": "string", "description": "An optional comma-separated list of digest types to compute and display for key signing keys. If omitted, the recommended digest type will be computed and displayed.", "location": "query" }, "dnsKeyId": { "type": "string", "description": "The identifier of the requested DnsKey.", "required": true, "location": "path" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone", "dnsKeyId"], "response": { "$ref": "DnsKey" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "list": { "id": "dns.dnsKeys.list", "path": "{project}/managedZones/{managedZone}/dnsKeys", "httpMethod": "GET", "description": "Enumerate DnsKeys to a ResourceRecordSet collection.", "parameters": { "digestType": { "type": "string", "description": "An optional comma-separated list of digest types to compute and display for key signing keys. If omitted, the recommended digest type will be computed and displayed.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "maxResults": { "type": "integer", "description": "Optional. Maximum number of results to be returned. If unspecified, the server will decide how many results to return.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone"], "response": { "$ref": "DnsKeysListResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] } } }, "managedZoneOperations": { "methods": { "get": { "id": "dns.managedZoneOperations.get", "path": "{project}/managedZones/{managedZone}/operations/{operation}", "httpMethod": "GET", "description": "Fetch the representation of an existing Operation.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request.", "required": true, "location": "path" }, "operation": { "type": "string", "description": "Identifies the operation addressed by this request.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone", "operation"], "response": { "$ref": "Operation" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "list": { "id": "dns.managedZoneOperations.list", "path": "{project}/managedZones/{managedZone}/operations", "httpMethod": "GET", "description": "Enumerate Operations for the given ManagedZone.", "parameters": { "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request.", "required": true, "location": "path" }, "maxResults": { "type": "integer", "description": "Optional. Maximum number of results to be returned. If unspecified, the server will decide how many results to return.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" }, "sortBy": { "type": "string", "description": "Sorting criterion. The only supported values are START_TIME and ID.", "default": "START_TIME", "enum": ["ID", "START_TIME"], "enumDescriptions": ["", ""], "location": "query" } }, "parameterOrder": ["project", "managedZone"], "response": { "$ref": "ManagedZoneOperationsListResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] } } }, "managedZones": { "methods": { "create": { "id": "dns.managedZones.create", "path": "{project}/managedZones", "httpMethod": "POST", "description": "Create a new ManagedZone.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project"], "request": { "$ref": "ManagedZone" }, "response": { "$ref": "ManagedZone" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "delete": { "id": "dns.managedZones.delete", "path": "{project}/managedZones/{managedZone}", "httpMethod": "DELETE", "description": "Delete a previously created ManagedZone.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone"], "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "get": { "id": "dns.managedZones.get", "path": "{project}/managedZones/{managedZone}", "httpMethod": "GET", "description": "Fetch the representation of an existing ManagedZone.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone"], "response": { "$ref": "ManagedZone" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "list": { "id": "dns.managedZones.list", "path": "{project}/managedZones", "httpMethod": "GET", "description": "Enumerate ManagedZones that have been created but not yet deleted.", "parameters": { "dnsName": { "type": "string", "description": "Restricts the list to return only zones with this domain name.", "location": "query" }, "maxResults": { "type": "integer", "description": "Optional. Maximum number of results to be returned. If unspecified, the server will decide how many results to return.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project"], "response": { "$ref": "ManagedZonesListResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "patch": { "id": "dns.managedZones.patch", "path": "{project}/managedZones/{managedZone}", "httpMethod": "PATCH", "description": "Apply a partial update to an existing ManagedZone.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone"], "request": { "$ref": "ManagedZone" }, "response": { "$ref": "Operation" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] }, "update": { "id": "dns.managedZones.update", "path": "{project}/managedZones/{managedZone}", "httpMethod": "PUT", "description": "Update an existing ManagedZone.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project", "managedZone"], "request": { "$ref": "ManagedZone" }, "response": { "$ref": "Operation" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] } } }, "projects": { "methods": { "get": { "id": "dns.projects.get", "path": "{project}", "httpMethod": "GET", "description": "Fetch the representation of an existing Project.", "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" } }, "parameterOrder": ["project"], "response": { "$ref": "Project" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] } } }, "resourceRecordSets": { "methods": { "list": { "id": "dns.resourceRecordSets.list", "path": "{project}/managedZones/{managedZone}/rrsets", "httpMethod": "GET", "description": "Enumerate ResourceRecordSets that have been created but not yet deleted.", "parameters": { "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or id.", "required": true, "location": "path" }, "maxResults": { "type": "integer", "description": "Optional. Maximum number of results to be returned. If unspecified, the server will decide how many results to return.", "format": "int32", "location": "query" }, "name": { "type": "string", "description": "Restricts the list to return only records with this fully qualified domain name.", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query" }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" }, "type": { "type": "string", "description": "Restricts the list to return only records of this type. If present, the \"name\" parameter must also be present.", "location": "query" } }, "parameterOrder": ["project", "managedZone"], "response": { "$ref": "ResourceRecordSetsListResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite"] } } } } };
//# sourceMappingURL=dns-v2beta1.js.map