"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "kind": "discovery#restDescription", "etag": "\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/O9huEvNfRwSHRIf9WwGPIyLtR7c\"", "discoveryVersion": "v1", "id": "groupssettings:v1", "name": "groupssettings", "version": "v1", "revision": "20190315", "title": "Groups Settings API", "description": "Manages permission levels and related settings of a group.", "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png", "x32": "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png" }, "documentationLink": "https://developers.google.com/google-apps/groups-settings/get_started", "protocol": "rest", "baseUrl": "https://www.googleapis.com/groups/v1/groups/", "basePath": "/groups/v1/groups/", "rootUrl": "https://www.googleapis.com/", "servicePath": "groups/v1/groups/", "batchPath": "batch/groupssettings/v1", "parameters": { "alt": { "type": "string", "description": "Data format for the response.", "default": "atom", "enum": ["atom", "json"], "enumDescriptions": ["Responses with Content-Type of application/atom+xml", "Responses with Content-Type of application/json"], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/apps.groups.settings": { "description": "View and manage the settings of a G Suite group" } } } }, "schemas": { "Groups": { "id": "Groups", "type": "object", "description": "JSON template for Group resource", "properties": { "allowExternalMembers": { "type": "string", "description": "Are external members allowed to join the group." }, "allowGoogleCommunication": { "type": "string", "description": "Is google allowed to contact admins." }, "allowWebPosting": { "type": "string", "description": "If posting from web is allowed." }, "archiveOnly": { "type": "string", "description": "If the group is archive only" }, "customFooterText": { "type": "string", "description": "Custom footer text." }, "customReplyTo": { "type": "string", "description": "Default email to which reply to any message should go." }, "customRolesEnabledForSettingsToBeMerged": { "type": "string", "description": "If any of the settings that will be merged have custom roles which is anything other than owners, managers, or group scopes." }, "defaultMessageDenyNotificationText": { "type": "string", "description": "Default message deny notification message" }, "description": { "type": "string", "description": "Description of the group" }, "email": { "type": "string", "description": "Email id of the group" }, "enableCollaborativeInbox": { "type": "string", "description": "If a primary Collab Inbox feature is enabled." }, "favoriteRepliesOnTop": { "type": "string", "description": "If favorite replies should be displayed above other replies." }, "includeCustomFooter": { "type": "string", "description": "Whether to include custom footer." }, "includeInGlobalAddressList": { "type": "string", "description": "If this groups should be included in global address list or not." }, "isArchived": { "type": "string", "description": "If the contents of the group are archived." }, "kind": { "type": "string", "description": "The type of the resource.", "default": "groupsSettings#groups" }, "maxMessageBytes": { "type": "integer", "description": "Maximum message size allowed.", "format": "int32" }, "membersCanPostAsTheGroup": { "type": "string", "description": "Can members post using the group email address." }, "messageDisplayFont": { "type": "string", "description": "Default message display font. Possible values are: DEFAULT_FONT FIXED_WIDTH_FONT" }, "messageModerationLevel": { "type": "string", "description": "Moderation level for messages. Possible values are: MODERATE_ALL_MESSAGES MODERATE_NON_MEMBERS MODERATE_NEW_MEMBERS MODERATE_NONE" }, "name": { "type": "string", "description": "Name of the Group" }, "primaryLanguage": { "type": "string", "description": "Primary language for the group." }, "replyTo": { "type": "string", "description": "Whome should the default reply to a message go to. Possible values are: REPLY_TO_CUSTOM REPLY_TO_SENDER REPLY_TO_LIST REPLY_TO_OWNER REPLY_TO_IGNORE REPLY_TO_MANAGERS" }, "sendMessageDenyNotification": { "type": "string", "description": "Should the member be notified if his message is denied by owner." }, "showInGroupDirectory": { "type": "string", "description": "Is the group listed in groups directory" }, "spamModerationLevel": { "type": "string", "description": "Moderation level for messages detected as spam. Possible values are: ALLOW MODERATE SILENTLY_MODERATE REJECT" }, "whoCanAdd": { "type": "string", "description": "Permissions to add members. Possible values are: ALL_MANAGERS_CAN_ADD ALL_OWNERS_CAN_ADD ALL_MEMBERS_CAN_ADD NONE_CAN_ADD" }, "whoCanAddReferences": { "type": "string", "description": "Permission to add references to a topic. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanApproveMembers": { "type": "string", "description": "Permission to approve members. Possible values are: ALL_OWNERS_CAN_APPROVE ALL_MANAGERS_CAN_APPROVE ALL_MEMBERS_CAN_APPROVE NONE_CAN_APPROVE" }, "whoCanApproveMessages": { "type": "string", "description": "Permission to approve pending messages in the moderation queue. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanAssignTopics": { "type": "string", "description": "Permission to assign topics in a forum to another user. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanAssistContent": { "type": "string", "description": "Permission for content assistants. Possible values are: Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanBanUsers": { "type": "string", "description": "Permission to ban users. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanContactOwner": { "type": "string", "description": "Permission to contact owner of the group via web UI. Possible values are: ANYONE_CAN_CONTACT ALL_IN_DOMAIN_CAN_CONTACT ALL_MEMBERS_CAN_CONTACT ALL_MANAGERS_CAN_CONTACT" }, "whoCanDeleteAnyPost": { "type": "string", "description": "Permission to delete replies to topics. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanDeleteTopics": { "type": "string", "description": "Permission to delete topics. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanDiscoverGroup": { "type": "string", "description": "Permission for who can discover the group. Possible values are: ALL_MEMBERS_CAN_DISCOVER ALL_IN_DOMAIN_CAN_DISCOVER ANYONE_CAN_DISCOVER" }, "whoCanEnterFreeFormTags": { "type": "string", "description": "Permission to enter free form tags for topics in a forum. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanHideAbuse": { "type": "string", "description": "Permission to hide posts by reporting them as abuse. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanInvite": { "type": "string", "description": "Permissions to invite members. Possible values are: ALL_MEMBERS_CAN_INVITE ALL_MANAGERS_CAN_INVITE ALL_OWNERS_CAN_INVITE NONE_CAN_INVITE" }, "whoCanJoin": { "type": "string", "description": "Permissions to join the group. Possible values are: ANYONE_CAN_JOIN ALL_IN_DOMAIN_CAN_JOIN INVITED_CAN_JOIN CAN_REQUEST_TO_JOIN" }, "whoCanLeaveGroup": { "type": "string", "description": "Permission to leave the group. Possible values are: ALL_MANAGERS_CAN_LEAVE ALL_OWNERS_CAN_LEAVE ALL_MEMBERS_CAN_LEAVE NONE_CAN_LEAVE" }, "whoCanLockTopics": { "type": "string", "description": "Permission to lock topics. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMakeTopicsSticky": { "type": "string", "description": "Permission to make topics appear at the top of the topic list. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMarkDuplicate": { "type": "string", "description": "Permission to mark a topic as a duplicate of another topic. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMarkFavoriteReplyOnAnyTopic": { "type": "string", "description": "Permission to mark any other user's post as a favorite reply. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMarkFavoriteReplyOnOwnTopic": { "type": "string", "description": "Permission to mark a post for a topic they started as a favorite reply. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMarkNoResponseNeeded": { "type": "string", "description": "Permission to mark a topic as not needing a response. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanModerateContent": { "type": "string", "description": "Permission for content moderation. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanModerateMembers": { "type": "string", "description": "Permission for membership moderation. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanModifyMembers": { "type": "string", "description": "Permission to modify members (change member roles). Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanModifyTagsAndCategories": { "type": "string", "description": "Permission to change tags and categories. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMoveTopicsIn": { "type": "string", "description": "Permission to move topics into the group or forum. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanMoveTopicsOut": { "type": "string", "description": "Permission to move topics out of the group or forum. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanPostAnnouncements": { "type": "string", "description": "Permission to post announcements, a special topic type. Possible values are: NONE OWNERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanPostMessage": { "type": "string", "description": "Permissions to post messages to the group. Possible values are: NONE_CAN_POST ALL_MANAGERS_CAN_POST ALL_MEMBERS_CAN_POST ALL_OWNERS_CAN_POST ALL_IN_DOMAIN_CAN_POST ANYONE_CAN_POST" }, "whoCanTakeTopics": { "type": "string", "description": "Permission to take topics in a forum. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanUnassignTopic": { "type": "string", "description": "Permission to unassign any topic in a forum. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanUnmarkFavoriteReplyOnAnyTopic": { "type": "string", "description": "Permission to unmark any post from a favorite reply. Possible values are: NONE OWNERS_ONLY MANAGERS_ONLY OWNERS_AND_MANAGERS ALL_MEMBERS" }, "whoCanViewGroup": { "type": "string", "description": "Permissions to view group. Possible values are: ANYONE_CAN_VIEW ALL_IN_DOMAIN_CAN_VIEW ALL_MEMBERS_CAN_VIEW ALL_MANAGERS_CAN_VIEW ALL_OWNERS_CAN_VIEW" }, "whoCanViewMembership": { "type": "string", "description": "Permissions to view membership. Possible values are: ALL_IN_DOMAIN_CAN_VIEW ALL_MEMBERS_CAN_VIEW ALL_MANAGERS_CAN_VIEW ALL_OWNERS_CAN_VIEW" } } } }, "resources": { "groups": { "methods": { "get": { "id": "groupsSettings.groups.get", "path": "{groupUniqueId}", "httpMethod": "GET", "description": "Gets one resource by id.", "parameters": { "groupUniqueId": { "type": "string", "description": "The resource ID", "required": true, "location": "path" } }, "parameterOrder": ["groupUniqueId"], "response": { "$ref": "Groups" }, "scopes": ["https://www.googleapis.com/auth/apps.groups.settings"] }, "patch": { "id": "groupsSettings.groups.patch", "path": "{groupUniqueId}", "httpMethod": "PATCH", "description": "Updates an existing resource. This method supports patch semantics.", "parameters": { "groupUniqueId": { "type": "string", "description": "The resource ID", "required": true, "location": "path" } }, "parameterOrder": ["groupUniqueId"], "request": { "$ref": "Groups" }, "response": { "$ref": "Groups" }, "scopes": ["https://www.googleapis.com/auth/apps.groups.settings"] }, "update": { "id": "groupsSettings.groups.update", "path": "{groupUniqueId}", "httpMethod": "PUT", "description": "Updates an existing resource.", "parameters": { "groupUniqueId": { "type": "string", "description": "The resource ID", "required": true, "location": "path" } }, "parameterOrder": ["groupUniqueId"], "request": { "$ref": "Groups" }, "response": { "$ref": "Groups" }, "scopes": ["https://www.googleapis.com/auth/apps.groups.settings"] } } } } };
//# sourceMappingURL=groupssettings-v1.js.map