"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "kind": "discovery#restDescription", "etag": "\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/pox8safIyKhQhE-OIi12fI9ZcrM\"", "discoveryVersion": "v1", "id": "reseller:v1", "name": "reseller", "version": "v1", "revision": "20190228", "title": "Enterprise Apps Reseller API", "description": "Creates and manages your customers and their subscriptions.", "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png", "x32": "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png" }, "documentationLink": "https://developers.google.com/google-apps/reseller/", "labels": ["limited_availability"], "protocol": "rest", "baseUrl": "https://www.googleapis.com/apps/reseller/v1/", "basePath": "/apps/reseller/v1/", "rootUrl": "https://www.googleapis.com/", "servicePath": "apps/reseller/v1/", "batchPath": "batch/reseller/v1", "parameters": { "alt": { "type": "string", "description": "Data format for the response.", "default": "json", "enum": ["json"], "enumDescriptions": ["Responses with Content-Type of application/json"], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/apps.order": { "description": "Manage users on your domain" }, "https://www.googleapis.com/auth/apps.order.readonly": { "description": "Manage users on your domain" } } } }, "schemas": { "Address": { "id": "Address", "type": "object", "description": "JSON template for address of a customer.", "properties": { "addressLine1": { "type": "string", "description": "A customer's physical address. An address can be composed of one to three lines. The addressline2 and addressLine3 are optional." }, "addressLine2": { "type": "string", "description": "Line 2 of the address." }, "addressLine3": { "type": "string", "description": "Line 3 of the address." }, "contactName": { "type": "string", "description": "The customer contact's name. This is required." }, "countryCode": { "type": "string", "description": "For countryCode information, see the ISO 3166 country code elements. Verify that country is approved for resale of Google products. This property is required when creating a new customer." }, "kind": { "type": "string", "description": "Identifies the resource as a customer address. Value: customers#address", "default": "customers#address" }, "locality": { "type": "string", "description": "An example of a locality value is the city of San Francisco." }, "organizationName": { "type": "string", "description": "The company or company division name. This is required." }, "postalCode": { "type": "string", "description": "A postalCode example is a postal zip code such as 94043. This property is required when creating a new customer." }, "region": { "type": "string", "description": "An example of a region value is CA for the state of California." } } }, "ChangePlanRequest": { "id": "ChangePlanRequest", "type": "object", "description": "JSON template for the ChangePlan rpc request.", "properties": { "dealCode": { "type": "string", "description": "Google-issued code (100 char max) for discounted pricing on subscription plans. Deal code must be included in changePlan request in order to receive discounted rate. This property is optional. If a deal code has already been added to a subscription, this property may be left empty and the existing discounted rate will still apply (if not empty, only provide the deal code that is already present on the subscription). If a deal code has never been added to a subscription and this property is left blank, regular pricing will apply." }, "kind": { "type": "string", "description": "Identifies the resource as a subscription change plan request. Value: subscriptions#changePlanRequest", "default": "subscriptions#changePlanRequest" }, "planName": { "type": "string", "description": "The planName property is required. This is the name of the subscription's payment plan. For more information about the Google payment plans, see API concepts.\n\nPossible values are:  \n- ANNUAL_MONTHLY_PAY - The annual commitment plan with monthly payments  Caution: ANNUAL_MONTHLY_PAY is returned as ANNUAL in all API responses.  \n- ANNUAL_YEARLY_PAY - The annual commitment plan with yearly payments  \n- FLEXIBLE - The flexible plan  \n- TRIAL - The 30-day free trial plan" }, "purchaseOrderId": { "type": "string", "description": "This is an optional property. This purchase order (PO) information is for resellers to use for their company tracking usage. If a purchaseOrderId value is given it appears in the API responses and shows up in the invoice. The property accepts up to 80 plain text characters." }, "seats": { "$ref": "Seats", "description": "This is a required property. The seats property is the number of user seat licenses." } } }, "Customer": { "id": "Customer", "type": "object", "description": "JSON template for a customer.", "properties": { "alternateEmail": { "type": "string", "description": "Like the \"Customer email\" in the reseller tools, this email is the secondary contact used if something happens to the customer's service such as service outage or a security issue. This property is required when creating a new customer and should not use the same domain as customerDomain." }, "customerDomain": { "type": "string", "description": "The customer's primary domain name string. customerDomain is required when creating a new customer. Do not include the www prefix in the domain when adding a customer." }, "customerDomainVerified": { "type": "boolean", "description": "Whether the customer's primary domain has been verified." }, "customerId": { "type": "string", "description": "This property will always be returned in a response as the unique identifier generated by Google. In a request, this property can be either the primary domain or the unique identifier generated by Google." }, "kind": { "type": "string", "description": "Identifies the resource as a customer. Value: reseller#customer", "default": "reseller#customer" }, "phoneNumber": { "type": "string", "description": "Customer contact phone number. Must start with \"+\" followed by the country code. The rest of the number can be contiguous numbers or respect the phone local format conventions, but it must be a real phone number and not, for example, \"123\". This field is silently ignored if invalid." }, "postalAddress": { "$ref": "Address", "description": "A customer's address information. Each field has a limit of 255 charcters." }, "resourceUiUrl": { "type": "string", "description": "URL to customer's Admin console dashboard. The read-only URL is generated by the API service. This is used if your client application requires the customer to complete a task in the Admin console." } } }, "RenewalSettings": { "id": "RenewalSettings", "type": "object", "description": "JSON template for a subscription renewal settings.", "properties": { "kind": { "type": "string", "description": "Identifies the resource as a subscription renewal setting. Value: subscriptions#renewalSettings", "default": "subscriptions#renewalSettings" }, "renewalType": { "type": "string", "description": "Renewal settings for the annual commitment plan. For more detailed information, see renewal options in the administrator help center. When renewing a subscription, the renewalType is a required property." } } }, "ResellernotifyGetwatchdetailsResponse": { "id": "ResellernotifyGetwatchdetailsResponse", "type": "object", "description": "JSON template for resellernotify getwatchdetails response.", "properties": { "serviceAccountEmailAddresses": { "type": "array", "description": "List of registered service accounts.", "items": { "type": "string" } }, "topicName": { "type": "string", "description": "Topic name of the PubSub" } } }, "ResellernotifyResource": { "id": "ResellernotifyResource", "type": "object", "description": "JSON template for resellernotify response.", "properties": { "topicName": { "type": "string", "description": "Topic name of the PubSub" } } }, "Seats": { "id": "Seats", "type": "object", "description": "JSON template for subscription seats.", "properties": { "kind": { "type": "string", "description": "Identifies the resource as a subscription seat setting. Value: subscriptions#seats", "default": "subscriptions#seats" }, "licensedNumberOfSeats": { "type": "integer", "description": "Read-only field containing the current number of users that are assigned a license for the product defined in skuId. This field's value is equivalent to the numerical count of users returned by the Enterprise License Manager API method: listForProductAndSku", "format": "int32" }, "maximumNumberOfSeats": { "type": "integer", "description": "This is a required property and is exclusive to subscriptions with FLEXIBLE or TRIAL plans. This property sets the maximum number of licensed users allowed on a subscription. This quantity can be increased up to the maximum limit defined in the reseller's contract. The minimum quantity is the current number of users in the customer account. Note: G Suite subscriptions automatically assign a license to every user.", "format": "int32" }, "numberOfSeats": { "type": "integer", "description": "This is a required property and is exclusive to subscriptions with ANNUAL_MONTHLY_PAY and ANNUAL_YEARLY_PAY plans. This property sets the maximum number of licenses assignable to users on a subscription. The reseller can add more licenses, but once set, the numberOfSeats cannot be reduced until renewal. The reseller is invoiced based on the numberOfSeats value regardless of how many of these user licenses are assigned. Note: G Suite subscriptions automatically assign a license to every user.", "format": "int32" } } }, "Subscription": { "id": "Subscription", "type": "object", "description": "JSON template for a subscription.", "properties": { "billingMethod": { "type": "string", "description": "Read-only field that returns the current billing method for a subscription." }, "creationTime": { "type": "string", "description": "The creationTime property is the date when subscription was created. It is in milliseconds using the Epoch format. See an example Epoch converter.", "format": "int64" }, "customerDomain": { "type": "string", "description": "Primary domain name of the customer" }, "customerId": { "type": "string", "description": "This property will always be returned in a response as the unique identifier generated by Google. In a request, this property can be either the primary domain or the unique identifier generated by Google." }, "dealCode": { "type": "string", "description": "Google-issued code (100 char max) for discounted pricing on subscription plans. Deal code must be included in insert requests in order to receive discounted rate. This property is optional, regular pricing applies if left empty." }, "kind": { "type": "string", "description": "Identifies the resource as a Subscription. Value: reseller#subscription", "default": "reseller#subscription" }, "plan": { "type": "object", "description": "The plan property is required. In this version of the API, the G Suite plans are the flexible plan, annual commitment plan, and the 30-day free trial plan. For more information about the API\"s payment plans, see the API concepts.", "properties": { "commitmentInterval": { "type": "object", "description": "In this version of the API, annual commitment plan's interval is one year.  Note: When billingMethod value is OFFLINE, the subscription property object plan.commitmentInterval is omitted in all API responses.", "properties": { "endTime": { "type": "string", "description": "An annual commitment plan's interval's endTime in milliseconds using the UNIX Epoch format. See an example Epoch converter.", "format": "int64" }, "startTime": { "type": "string", "description": "An annual commitment plan's interval's startTime in milliseconds using UNIX Epoch format. See an example Epoch converter.", "format": "int64" } } }, "isCommitmentPlan": { "type": "boolean", "description": "The isCommitmentPlan property's boolean value identifies the plan as an annual commitment plan:\n- true — The subscription's plan is an annual commitment plan.\n- false — The plan is not an annual commitment plan." }, "planName": { "type": "string", "description": "The planName property is required. This is the name of the subscription's plan. For more information about the Google payment plans, see the API concepts.\n\nPossible values are:  \n- ANNUAL_MONTHLY_PAY — The annual commitment plan with monthly payments.  Caution: ANNUAL_MONTHLY_PAY is returned as ANNUAL in all API responses.  \n- ANNUAL_YEARLY_PAY — The annual commitment plan with yearly payments  \n- FLEXIBLE — The flexible plan  \n- TRIAL — The 30-day free trial plan. A subscription in trial will be suspended after the 30th free day if no payment plan is assigned. Calling changePlan will assign a payment plan to a trial but will not activate the plan. A trial will automatically begin its assigned payment plan after its 30th free day or immediately after calling startPaidService.  \n- FREE — The free plan is exclusive to the Cloud Identity SKU and does not incur any billing." } } }, "purchaseOrderId": { "type": "string", "description": "This is an optional property. This purchase order (PO) information is for resellers to use for their company tracking usage. If a purchaseOrderId value is given it appears in the API responses and shows up in the invoice. The property accepts up to 80 plain text characters." }, "renewalSettings": { "$ref": "RenewalSettings", "description": "Renewal settings for the annual commitment plan. For more detailed information, see renewal options in the administrator help center." }, "resourceUiUrl": { "type": "string", "description": "URL to customer's Subscriptions page in the Admin console. The read-only URL is generated by the API service. This is used if your client application requires the customer to complete a task using the Subscriptions page in the Admin console." }, "seats": { "$ref": "Seats", "description": "This is a required property. The number and limit of user seat licenses in the plan." }, "skuId": { "type": "string", "description": "A required property. The skuId is a unique system identifier for a product's SKU assigned to a customer in the subscription. For products and SKUs available in this version of the API, see  Product and SKU IDs." }, "skuName": { "type": "string", "description": "Read-only external display name for a product's SKU assigned to a customer in the subscription. SKU names are subject to change at Google's discretion. For products and SKUs available in this version of the API, see  Product and SKU IDs." }, "status": { "type": "string", "description": "This is an optional property." }, "subscriptionId": { "type": "string", "description": "The subscriptionId is the subscription identifier and is unique for each customer. This is a required property. Since a subscriptionId changes when a subscription is updated, we recommend not using this ID as a key for persistent data. Use the subscriptionId as described in retrieve all reseller subscriptions." }, "suspensionReasons": { "type": "array", "description": "Read-only field containing an enumerable of all the current suspension reasons for a subscription. It is possible for a subscription to have many concurrent, overlapping suspension reasons. A subscription's STATUS is SUSPENDED until all pending suspensions are removed.\n\nPossible options include:  \n- PENDING_TOS_ACCEPTANCE - The customer has not logged in and accepted the G Suite Resold Terms of Services.  \n- RENEWAL_WITH_TYPE_CANCEL - The customer's commitment ended and their service was cancelled at the end of their term.  \n- RESELLER_INITIATED - A manual suspension invoked by a Reseller.  \n- TRIAL_ENDED - The customer's trial expired without a plan selected.  \n- OTHER - The customer is suspended for an internal Google reason (e.g. abuse or otherwise).", "items": { "type": "string" } }, "transferInfo": { "type": "object", "description": "Read-only transfer related information for the subscription. For more information, see retrieve transferable subscriptions for a customer.", "properties": { "minimumTransferableSeats": { "type": "integer", "description": "When inserting a subscription, this is the minimum number of seats listed in the transfer order for this product. For example, if the customer has 20 users, the reseller cannot place a transfer order of 15 seats. The minimum is 20 seats.", "format": "int32" }, "transferabilityExpirationTime": { "type": "string", "description": "The time when transfer token or intent to transfer will expire. The time is in milliseconds using UNIX Epoch format.", "format": "int64" } } }, "trialSettings": { "type": "object", "description": "The G Suite annual commitment and flexible payment plans can be in a 30-day free trial. For more information, see the API concepts.", "properties": { "isInTrial": { "type": "boolean", "description": "Determines if a subscription's plan is in a 30-day free trial or not:\n- true — The plan is in trial.\n- false — The plan is not in trial." }, "trialEndTime": { "type": "string", "description": "Date when the trial ends. The value is in milliseconds using the UNIX Epoch format. See an example Epoch converter.", "format": "int64" } } } } }, "Subscriptions": { "id": "Subscriptions", "type": "object", "description": "JSON template for a subscription list.", "properties": { "kind": { "type": "string", "description": "Identifies the resource as a collection of subscriptions. Value: reseller#subscriptions", "default": "reseller#subscriptions" }, "nextPageToken": { "type": "string", "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results." }, "subscriptions": { "type": "array", "description": "The subscriptions in this page of results.", "items": { "$ref": "Subscription" } } } } }, "resources": { "customers": { "methods": { "get": { "id": "reseller.customers.get", "path": "customers/{customerId}", "httpMethod": "GET", "description": "Get a customer account.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" } }, "parameterOrder": ["customerId"], "response": { "$ref": "Customer" }, "scopes": ["https://www.googleapis.com/auth/apps.order", "https://www.googleapis.com/auth/apps.order.readonly"] }, "insert": { "id": "reseller.customers.insert", "path": "customers", "httpMethod": "POST", "description": "Order a new customer's account.", "parameters": { "customerAuthToken": { "type": "string", "description": "The customerAuthToken query string is required when creating a resold account that transfers a direct customer's subscription or transfers another reseller customer's subscription to your reseller management. This is a hexadecimal authentication token needed to complete the subscription transfer. For more information, see the administrator help center.", "location": "query" } }, "request": { "$ref": "Customer" }, "response": { "$ref": "Customer" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "patch": { "id": "reseller.customers.patch", "path": "customers/{customerId}", "httpMethod": "PATCH", "description": "Update a customer account's settings. This method supports patch semantics.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" } }, "parameterOrder": ["customerId"], "request": { "$ref": "Customer" }, "response": { "$ref": "Customer" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "update": { "id": "reseller.customers.update", "path": "customers/{customerId}", "httpMethod": "PUT", "description": "Update a customer account's settings.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" } }, "parameterOrder": ["customerId"], "request": { "$ref": "Customer" }, "response": { "$ref": "Customer" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] } } }, "resellernotify": { "methods": { "getwatchdetails": { "id": "reseller.resellernotify.getwatchdetails", "path": "resellernotify/getwatchdetails", "httpMethod": "GET", "description": "Returns all the details of the watch corresponding to the reseller.", "response": { "$ref": "ResellernotifyGetwatchdetailsResponse" }, "scopes": ["https://www.googleapis.com/auth/apps.order", "https://www.googleapis.com/auth/apps.order.readonly"] }, "register": { "id": "reseller.resellernotify.register", "path": "resellernotify/register", "httpMethod": "POST", "description": "Registers a Reseller for receiving notifications.", "parameters": { "serviceAccountEmailAddress": { "type": "string", "description": "The service account which will own the created Cloud-PubSub topic.", "location": "query" } }, "response": { "$ref": "ResellernotifyResource" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "unregister": { "id": "reseller.resellernotify.unregister", "path": "resellernotify/unregister", "httpMethod": "POST", "description": "Unregisters a Reseller for receiving notifications.", "parameters": { "serviceAccountEmailAddress": { "type": "string", "description": "The service account which owns the Cloud-PubSub topic.", "location": "query" } }, "response": { "$ref": "ResellernotifyResource" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] } } }, "subscriptions": { "methods": { "activate": { "id": "reseller.subscriptions.activate", "path": "customers/{customerId}/subscriptions/{subscriptionId}/activate", "httpMethod": "POST", "description": "Activates a subscription previously suspended by the reseller", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "changePlan": { "id": "reseller.subscriptions.changePlan", "path": "customers/{customerId}/subscriptions/{subscriptionId}/changePlan", "httpMethod": "POST", "description": "Update a subscription plan. Use this method to update a plan for a 30-day trial or a flexible plan subscription to an annual commitment plan with monthly or yearly payments.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "request": { "$ref": "ChangePlanRequest" }, "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "changeRenewalSettings": { "id": "reseller.subscriptions.changeRenewalSettings", "path": "customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings", "httpMethod": "POST", "description": "Update a user license's renewal settings. This is applicable for accounts with annual commitment plans only.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "request": { "$ref": "RenewalSettings" }, "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "changeSeats": { "id": "reseller.subscriptions.changeSeats", "path": "customers/{customerId}/subscriptions/{subscriptionId}/changeSeats", "httpMethod": "POST", "description": "Update a subscription's user license settings.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "request": { "$ref": "Seats" }, "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "delete": { "id": "reseller.subscriptions.delete", "path": "customers/{customerId}/subscriptions/{subscriptionId}", "httpMethod": "DELETE", "description": "Cancel or transfer a subscription to direct.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "deletionType": { "type": "string", "description": "The deletionType query string enables the cancellation, downgrade, or suspension of a subscription.", "required": true, "enum": ["cancel", "transfer_to_direct"], "enumDescriptions": ["Cancels the subscription immediately. This does not apply to a G Suite subscription.", "Transfers a subscription directly to Google.  The customer is immediately transferred to a direct billing relationship with Google and is given a short amount of time with no service interruption. The customer can then choose to set up billing directly with Google by using a credit card, or they can transfer to another reseller."], "location": "query" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId", "deletionType"], "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "get": { "id": "reseller.subscriptions.get", "path": "customers/{customerId}/subscriptions/{subscriptionId}", "httpMethod": "GET", "description": "Get a specific subscription.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order", "https://www.googleapis.com/auth/apps.order.readonly"] }, "insert": { "id": "reseller.subscriptions.insert", "path": "customers/{customerId}/subscriptions", "httpMethod": "POST", "description": "Create or transfer a subscription.", "parameters": { "customerAuthToken": { "type": "string", "description": "The customerAuthToken query string is required when creating a resold account that transfers a direct customer's subscription or transfers another reseller customer's subscription to your reseller management. This is a hexadecimal authentication token needed to complete the subscription transfer. For more information, see the administrator help center.", "location": "query" }, "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" } }, "parameterOrder": ["customerId"], "request": { "$ref": "Subscription" }, "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "list": { "id": "reseller.subscriptions.list", "path": "subscriptions", "httpMethod": "GET", "description": "List of subscriptions managed by the reseller. The list can be all subscriptions, all of a customer's subscriptions, or all of a customer's transferable subscriptions.", "parameters": { "customerAuthToken": { "type": "string", "description": "The customerAuthToken query string is required when creating a resold account that transfers a direct customer's subscription or transfers another reseller customer's subscription to your reseller management. This is a hexadecimal authentication token needed to complete the subscription transfer. For more information, see the administrator help center.", "location": "query" }, "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "location": "query" }, "customerNamePrefix": { "type": "string", "description": "When retrieving all of your subscriptions and filtering for specific customers, you can enter a prefix for a customer name. Using an example customer group that includes exam.com, example20.com and example.com:  \n- exa -- Returns all customer names that start with 'exa' which could include exam.com, example20.com, and example.com. A name prefix is similar to using a regular expression's asterisk, exa*. \n- example -- Returns example20.com and example.com.", "location": "query" }, "maxResults": { "type": "integer", "description": "When retrieving a large list, the maxResults is the maximum number of results per page. The nextPageToken value takes you to the next page. The default is 20.", "format": "uint32", "minimum": "1", "maximum": "100", "location": "query" }, "pageToken": { "type": "string", "description": "Token to specify next page in the list", "location": "query" } }, "response": { "$ref": "Subscriptions" }, "scopes": ["https://www.googleapis.com/auth/apps.order", "https://www.googleapis.com/auth/apps.order.readonly"] }, "startPaidService": { "id": "reseller.subscriptions.startPaidService", "path": "customers/{customerId}/subscriptions/{subscriptionId}/startPaidService", "httpMethod": "POST", "description": "Immediately move a 30-day free trial subscription to a paid service subscription.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] }, "suspend": { "id": "reseller.subscriptions.suspend", "path": "customers/{customerId}/subscriptions/{subscriptionId}/suspend", "httpMethod": "POST", "description": "Suspends an active subscription.", "parameters": { "customerId": { "type": "string", "description": "Either the customer's primary domain name or the customer's unique identifier. If using the domain name, we do not recommend using a customerId as a key for persistent data. If the domain name for a customerId is changed, the Google system automatically updates.", "required": true, "location": "path" }, "subscriptionId": { "type": "string", "description": "This is a required property. The subscriptionId is the subscription identifier and is unique for each customer. Since a subscriptionId changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the subscriptionId can be found using the retrieve all reseller subscriptions method.", "required": true, "location": "path" } }, "parameterOrder": ["customerId", "subscriptionId"], "response": { "$ref": "Subscription" }, "scopes": ["https://www.googleapis.com/auth/apps.order"] } } } } };
//# sourceMappingURL=reseller-v1.js.map