"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "canonicalName": "Script", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/script.projects.readonly": { "description": "View Google Apps Script projects" }, "https://www.googleapis.com/auth/script.projects": { "description": "Create and update Google Apps Script projects" }, "https://www.googleapis.com/auth/drive": { "description": "See, edit, create, and delete all of your Google Drive files" }, "https://www.googleapis.com/auth/admin.directory.user": { "description": "View and manage the provisioning of users on your domain" }, "https://mail.google.com/": { "description": "Read, compose, send, and permanently delete all your email from Gmail" }, "https://www.googleapis.com/auth/userinfo.email": { "description": "View your email address" }, "https://www.googleapis.com/auth/script.metrics": { "description": "View Google Apps Script project's metrics" }, "https://www.googleapis.com/auth/groups": { "description": "View and manage your Google Groups" }, "https://www.googleapis.com/auth/script.deployments": { "description": "Create and update Google Apps Script deployments" }, "https://www.googleapis.com/auth/forms.currentonly": { "description": "View and manage forms that this application has been installed in" }, "https://www.googleapis.com/auth/script.processes": { "description": "View Google Apps Script processes" }, "https://www.googleapis.com/auth/script.deployments.readonly": { "description": "View Google Apps Script deployments" }, "https://www.googleapis.com/auth/admin.directory.group": { "description": "View and manage the provisioning of groups on your domain" }, "https://www.googleapis.com/auth/spreadsheets": { "description": "See, edit, create, and delete your spreadsheets in Google Drive" }, "https://www.googleapis.com/auth/forms": { "description": "View and manage your forms in Google Drive" }, "https://www.google.com/m8/feeds": { "description": "See, edit, download, and permanently delete your contacts" }, "https://www.googleapis.com/auth/documents": { "description": "View and manage your Google Docs documents" }, "https://www.google.com/calendar/feeds": { "description": "See, edit, share, and permanently delete all the calendars you can access using Google Calendar" } } } }, "rootUrl": "https://script.googleapis.com/", "ownerDomain": "google.com", "name": "script", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Apps Script API", "ownerName": "Google", "resources": { "projects": { "resources": { "deployments": { "methods": { "get": { "description": "Gets a deployment of an Apps Script project.", "httpMethod": "GET", "response": { "$ref": "Deployment" }, "parameterOrder": ["scriptId", "deploymentId"], "parameters": { "scriptId": { "location": "path", "description": "The script project's Drive ID.", "required": true, "type": "string" }, "deploymentId": { "location": "path", "description": "The deployment ID.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/script.deployments", "https://www.googleapis.com/auth/script.deployments.readonly"], "flatPath": "v1/projects/{scriptId}/deployments/{deploymentId}", "id": "script.projects.deployments.get", "path": "v1/projects/{scriptId}/deployments/{deploymentId}" }, "list": { "parameters": { "pageToken": { "location": "query", "description": "The token for continuing a previous list request on the next page. This\nshould be set to the value of `nextPageToken` from a previous response.", "type": "string" }, "pageSize": { "description": "The maximum number of deployments on each returned page. Defaults to 50.", "format": "int32", "type": "integer", "location": "query" }, "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/script.deployments", "https://www.googleapis.com/auth/script.deployments.readonly"], "flatPath": "v1/projects/{scriptId}/deployments", "path": "v1/projects/{scriptId}/deployments", "id": "script.projects.deployments.list", "description": "Lists the deployments of an Apps Script project.", "response": { "$ref": "ListDeploymentsResponse" }, "parameterOrder": ["scriptId"], "httpMethod": "GET" }, "update": { "response": { "$ref": "Deployment" }, "parameterOrder": ["scriptId", "deploymentId"], "httpMethod": "PUT", "parameters": { "deploymentId": { "description": "The deployment ID for this deployment.", "required": true, "type": "string", "location": "path" }, "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/script.deployments"], "flatPath": "v1/projects/{scriptId}/deployments/{deploymentId}", "path": "v1/projects/{scriptId}/deployments/{deploymentId}", "id": "script.projects.deployments.update", "description": "Updates a deployment of an Apps Script project.", "request": { "$ref": "UpdateDeploymentRequest" } }, "create": { "response": { "$ref": "Deployment" }, "parameterOrder": ["scriptId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/script.deployments"], "parameters": { "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{scriptId}/deployments", "path": "v1/projects/{scriptId}/deployments", "id": "script.projects.deployments.create", "request": { "$ref": "DeploymentConfig" }, "description": "Creates a deployment of an Apps Script project." }, "delete": { "flatPath": "v1/projects/{scriptId}/deployments/{deploymentId}", "path": "v1/projects/{scriptId}/deployments/{deploymentId}", "id": "script.projects.deployments.delete", "description": "Deletes a deployment of an Apps Script project.", "response": { "$ref": "Empty" }, "parameterOrder": ["scriptId", "deploymentId"], "httpMethod": "DELETE", "parameters": { "deploymentId": { "location": "path", "description": "The deployment ID to be undeployed.", "required": true, "type": "string" }, "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/script.deployments"] } } }, "versions": { "methods": { "create": { "path": "v1/projects/{scriptId}/versions", "id": "script.projects.versions.create", "request": { "$ref": "Version" }, "description": "Creates a new immutable version using the current code, with a unique\nversion number.", "response": { "$ref": "Version" }, "parameterOrder": ["scriptId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/script.projects"], "parameters": { "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{scriptId}/versions" }, "get": { "scopes": ["https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly"], "parameters": { "versionNumber": { "description": "The version number.", "format": "int32", "required": true, "type": "integer", "location": "path" }, "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{scriptId}/versions/{versionNumber}", "path": "v1/projects/{scriptId}/versions/{versionNumber}", "id": "script.projects.versions.get", "description": "Gets a version of a script project.", "response": { "$ref": "Version" }, "parameterOrder": ["scriptId", "versionNumber"], "httpMethod": "GET" }, "list": { "response": { "$ref": "ListVersionsResponse" }, "parameterOrder": ["scriptId"], "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The token for continuing a previous list request on the next page. This\nshould be set to the value of `nextPageToken` from a previous response." }, "pageSize": { "location": "query", "description": "The maximum number of versions on each returned page. Defaults to 50.", "format": "int32", "type": "integer" }, "scriptId": { "location": "path", "description": "The script project's Drive ID.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly"], "flatPath": "v1/projects/{scriptId}/versions", "path": "v1/projects/{scriptId}/versions", "id": "script.projects.versions.list", "description": "List the versions of a script project." } } } }, "methods": { "updateContent": { "response": { "$ref": "Content" }, "parameterOrder": ["scriptId"], "httpMethod": "PUT", "parameters": { "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/script.projects"], "flatPath": "v1/projects/{scriptId}/content", "path": "v1/projects/{scriptId}/content", "id": "script.projects.updateContent", "description": "Updates the content of the specified script project.\nThis content is stored as the HEAD version, and is used when the script is\nexecuted as a trigger, in the script editor, in add-on preview mode, or as\na web app or Apps Script API in development mode. This clears all the\nexisting files in the project.", "request": { "$ref": "Content" } }, "create": { "request": { "$ref": "CreateProjectRequest" }, "description": "Creates a new, empty script project with no script files and a base\nmanifest file.", "response": { "$ref": "Project" }, "parameterOrder": [], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/script.projects"], "parameters": {}, "flatPath": "v1/projects", "path": "v1/projects", "id": "script.projects.create" }, "getContent": { "description": "Gets the content of the script project, including the code source and\nmetadata for each script file.", "response": { "$ref": "Content" }, "parameterOrder": ["scriptId"], "httpMethod": "GET", "parameters": { "versionNumber": { "description": "The version number of the project to retrieve. If not provided, the\nproject's HEAD version is returned.", "format": "int32", "type": "integer", "location": "query" }, "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly"], "flatPath": "v1/projects/{scriptId}/content", "path": "v1/projects/{scriptId}/content", "id": "script.projects.getContent" }, "getMetrics": { "response": { "$ref": "Metrics" }, "parameterOrder": ["scriptId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/script.metrics"], "parameters": { "metricsGranularity": { "location": "query", "enum": ["UNSPECIFIED_GRANULARITY", "WEEKLY", "DAILY"], "description": "Required field indicating what granularity of metrics are returned.", "type": "string" }, "metricsFilter.deploymentId": { "location": "query", "description": "Optional field indicating a specific deployment to retrieve metrics from.", "type": "string" }, "scriptId": { "location": "path", "description": "Required field indicating the script to get metrics for.", "required": true, "type": "string" } }, "flatPath": "v1/projects/{scriptId}/metrics", "path": "v1/projects/{scriptId}/metrics", "id": "script.projects.getMetrics", "description": "Get metrics data for scripts, such as number of executions and\nactive users." }, "get": { "response": { "$ref": "Project" }, "parameterOrder": ["scriptId"], "httpMethod": "GET", "parameters": { "scriptId": { "description": "The script project's Drive ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly"], "flatPath": "v1/projects/{scriptId}", "path": "v1/projects/{scriptId}", "id": "script.projects.get", "description": "Gets a script project's metadata." } } }, "processes": { "methods": { "listScriptProcesses": { "response": { "$ref": "ListScriptProcessesResponse" }, "parameterOrder": [], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/script.processes"], "parameters": { "pageToken": { "location": "query", "description": "The token for continuing a previous list request on the next page. This\nshould be set to the value of `nextPageToken` from a previous response.", "type": "string" }, "pageSize": { "description": "The maximum number of returned processes per page of results. Defaults to\n50.", "format": "int32", "type": "integer", "location": "query" }, "scriptProcessFilter.endTime": { "type": "string", "location": "query", "description": "Optional field used to limit returned processes to those that completed\non or before the given timestamp.", "format": "google-datetime" }, "scriptProcessFilter.userAccessLevels": { "description": "Optional field used to limit returned processes to those having one of\nthe specified user access levels.", "type": "string", "repeated": true, "location": "query", "enum": ["USER_ACCESS_LEVEL_UNSPECIFIED", "NONE", "READ", "WRITE", "OWNER"] }, "scriptProcessFilter.statuses": { "repeated": true, "location": "query", "enum": ["PROCESS_STATUS_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETED", "CANCELED", "FAILED", "TIMED_OUT", "UNKNOWN", "DELAYED"], "description": "Optional field used to limit returned processes to those having one of\nthe specified process statuses.", "type": "string" }, "scriptProcessFilter.startTime": { "description": "Optional field used to limit returned processes to those that were\nstarted on or after the given timestamp.", "format": "google-datetime", "type": "string", "location": "query" }, "scriptProcessFilter.functionName": { "description": "Optional field used to limit returned processes to those originating from\na script function with the given function name.", "type": "string", "location": "query" }, "scriptProcessFilter.deploymentId": { "description": "Optional field used to limit returned processes to those originating from\nprojects with a specific deployment ID.", "type": "string", "location": "query" }, "scriptId": { "description": "The script ID of the project whose processes are listed.", "type": "string", "location": "query" }, "scriptProcessFilter.types": { "enum": ["PROCESS_TYPE_UNSPECIFIED", "ADD_ON", "EXECUTION_API", "TIME_DRIVEN", "TRIGGER", "WEBAPP", "EDITOR", "SIMPLE_TRIGGER", "MENU", "BATCH_TASK"], "description": "Optional field used to limit returned processes to those having one of\nthe specified process types.", "type": "string", "repeated": true, "location": "query" } }, "flatPath": "v1/processes:listScriptProcesses", "path": "v1/processes:listScriptProcesses", "id": "script.processes.listScriptProcesses", "description": "List information about a script's executed processes, such as process type\nand current status." }, "list": { "response": { "$ref": "ListUserProcessesResponse" }, "parameterOrder": [], "httpMethod": "GET", "parameters": { "userProcessFilter.types": { "repeated": true, "location": "query", "enum": ["PROCESS_TYPE_UNSPECIFIED", "ADD_ON", "EXECUTION_API", "TIME_DRIVEN", "TRIGGER", "WEBAPP", "EDITOR", "SIMPLE_TRIGGER", "MENU", "BATCH_TASK"], "description": "Optional field used to limit returned processes to those having one of\nthe specified process types.", "type": "string" }, "userProcessFilter.statuses": { "location": "query", "enum": ["PROCESS_STATUS_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETED", "CANCELED", "FAILED", "TIMED_OUT", "UNKNOWN", "DELAYED"], "description": "Optional field used to limit returned processes to those having one of\nthe specified process statuses.", "type": "string", "repeated": true }, "userProcessFilter.deploymentId": { "description": "Optional field used to limit returned processes to those originating from\nprojects with a specific deployment ID.", "type": "string", "location": "query" }, "pageToken": { "description": "The token for continuing a previous list request on the next page. This\nshould be set to the value of `nextPageToken` from a previous response.", "type": "string", "location": "query" }, "userProcessFilter.endTime": { "description": "Optional field used to limit returned processes to those that completed\non or before the given timestamp.", "format": "google-datetime", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of returned processes per page of results. Defaults to\n50.", "format": "int32", "type": "integer", "location": "query" }, "userProcessFilter.startTime": { "description": "Optional field used to limit returned processes to those that were\nstarted on or after the given timestamp.", "format": "google-datetime", "type": "string", "location": "query" }, "userProcessFilter.projectName": { "description": "Optional field used to limit returned processes to those originating from\nprojects with project names containing a specific string.", "type": "string", "location": "query" }, "userProcessFilter.userAccessLevels": { "enum": ["USER_ACCESS_LEVEL_UNSPECIFIED", "NONE", "READ", "WRITE", "OWNER"], "description": "Optional field used to limit returned processes to those having one of\nthe specified user access levels.", "type": "string", "repeated": true, "location": "query" }, "userProcessFilter.functionName": { "location": "query", "description": "Optional field used to limit returned processes to those originating from\na script function with the given function name.", "type": "string" }, "userProcessFilter.scriptId": { "location": "query", "description": "Optional field used to limit returned processes to those originating from\nprojects with a specific script ID.", "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/script.processes"], "flatPath": "v1/processes", "path": "v1/processes", "id": "script.processes.list", "description": "List information about processes made by or on behalf of a user,\nsuch as process type and current status." } } }, "scripts": { "methods": { "run": { "response": { "$ref": "Operation" }, "parameterOrder": ["scriptId"], "httpMethod": "POST", "parameters": { "scriptId": { "description": "The script ID of the script to be executed. To find the script ID, open\nthe project in the script editor and select **File > Project properties**.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://mail.google.com/", "https://www.google.com/calendar/feeds", "https://www.google.com/m8/feeds", "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/documents", "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/forms", "https://www.googleapis.com/auth/forms.currentonly", "https://www.googleapis.com/auth/groups", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/userinfo.email"], "flatPath": "v1/scripts/{scriptId}:run", "path": "v1/scripts/{scriptId}:run", "id": "script.scripts.run", "description": "Runs a function in an Apps Script project. The script project must be\ndeployed for use with the Apps Script API and the calling application must\nshare the same Cloud Platform project.\n\nThis method requires authorization with an OAuth 2.0 token that includes at\nleast one of the scopes listed in the [Authorization](#authorization)\nsection; script projects that do not require authorization cannot be\nexecuted through this API. To find the correct scopes to include in the\nauthentication token, open the project in the script editor, then select\n**File > Project properties** and click the **Scopes** tab.\n\nThe error `403, PERMISSION_DENIED: The caller does not have permission`\nindicates that the Cloud Platform project used to authorize the request is\nnot the same as the one used by the script.", "request": { "$ref": "ExecutionRequest" } } } } }, "parameters": { "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string" }, "alt": { "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json" } }, "version": "v1", "baseUrl": "https://script.googleapis.com/", "kind": "discovery#restDescription", "description": "Manages and executes Google Apps Script projects.\n", "servicePath": "", "basePath": "", "id": "script:v1", "documentationLink": "https://developers.google.com/apps-script/api/", "revision": "20190625", "discoveryVersion": "v1", "schemas": { "ListVersionsResponse": { "description": "Response with the list of the versions for the specified script project.", "type": "object", "properties": { "versions": { "description": "The list of versions.", "type": "array", "items": { "$ref": "Version" } }, "nextPageToken": { "description": "The token use to fetch the next page of records. if not exist in the\nresponse, that means no more versions to list.", "type": "string" } }, "id": "ListVersionsResponse" }, "Metrics": { "description": "Resource containing usage stats for a given script, based on the supplied\nfilter and mask present in the request.", "type": "object", "properties": { "activeUsers": { "description": "Number of active users.", "type": "array", "items": { "$ref": "MetricsValue" } }, "totalExecutions": { "type": "array", "items": { "$ref": "MetricsValue" }, "description": "Number of total executions." }, "failedExecutions": { "description": "Number of failed executions.", "type": "array", "items": { "$ref": "MetricsValue" } } }, "id": "Metrics" }, "GoogleAppsScriptTypeFunctionSet": { "description": "A set of functions. No duplicates are permitted.", "type": "object", "properties": { "values": { "description": "A list of functions composing the set.", "type": "array", "items": { "$ref": "GoogleAppsScriptTypeFunction" } } }, "id": "GoogleAppsScriptTypeFunctionSet" }, "ListValue": { "type": "object", "properties": { "values": { "description": "Repeated field of dynamically typed values.", "type": "array", "items": { "$ref": "Value" } } }, "id": "ListValue", "description": "`ListValue` is a wrapper around a repeated field of values.\nBased on LustValue at:\ngoogle3/apps/maestro/api/struct.proto?q=message%5c%20ListValue" }, "Empty": { "type": "object", "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`." }, "GoogleAppsScriptTypeWebAppEntryPoint": { "description": "A web application entry point.", "type": "object", "properties": { "url": { "description": "The URL for the web application.", "type": "string" }, "entryPointConfig": { "$ref": "GoogleAppsScriptTypeWebAppConfig", "description": "The entry point's configuration." } }, "id": "GoogleAppsScriptTypeWebAppEntryPoint" }, "Content": { "type": "object", "properties": { "files": { "description": "The list of script project files.\nOne of the files is a script manifest; it must be named \"appsscript\",\nmust have type of JSON, and include the manifest configurations for the\nproject.", "type": "array", "items": { "$ref": "File" } }, "scriptId": { "description": "The script project's Drive ID.", "type": "string" } }, "id": "Content", "description": "The Content resource." }, "UpdateDeploymentRequest": { "id": "UpdateDeploymentRequest", "description": "Request with deployment information to update an existing deployment.", "type": "object", "properties": { "deploymentConfig": { "$ref": "DeploymentConfig", "description": "The deployment configuration." } } }, "GoogleAppsScriptTypeExecutionApiEntryPoint": { "description": "An API executable entry point.", "type": "object", "properties": { "entryPointConfig": { "$ref": "GoogleAppsScriptTypeExecutionApiConfig", "description": "The entry point's configuration." } }, "id": "GoogleAppsScriptTypeExecutionApiEntryPoint" }, "ExecutionError": { "id": "ExecutionError", "description": "An object that provides information about the nature of an error resulting\nfrom an attempted execution of a script function using the Apps Script API.\nIf a run call\nsucceeds but the script function (or Apps Script itself) throws an exception,\nthe response body's error field\ncontains a\nStatus object. The `Status` object's `details` field\ncontains an array with a single one of these `ExecutionError` objects.", "type": "object", "properties": { "errorType": { "description": "The error type, for example `TypeError` or `ReferenceError`. If the error\ntype is unavailable, this field is not included.", "type": "string" }, "errorMessage": { "description": "The error message thrown by Apps Script, usually localized into the user's\nlanguage.", "type": "string" }, "scriptStackTraceElements": { "description": "An array of objects that provide a stack trace through the script to show\nwhere the execution failed, with the deepest call first.", "type": "array", "items": { "$ref": "ScriptStackTraceElement" } } } }, "GoogleAppsScriptTypeUser": { "description": "A simple user profile resource.", "type": "object", "properties": { "domain": { "description": "The user's domain.", "type": "string" }, "photoUrl": { "description": "The user's photo.", "type": "string" }, "email": { "description": "The user's identifying email address.", "type": "string" }, "name": { "description": "The user's display name.", "type": "string" } }, "id": "GoogleAppsScriptTypeUser" }, "ListUserProcessesResponse": { "id": "ListUserProcessesResponse", "description": "Response with the list of\nProcess resources.", "type": "object", "properties": { "processes": { "description": "List of processes matching request parameters.", "type": "array", "items": { "$ref": "GoogleAppsScriptTypeProcess" } }, "nextPageToken": { "description": "Token for the next page of results. If empty, there are no more pages\nremaining.", "type": "string" } } }, "EntryPoint": { "description": "A configuration that defines how a deployment is accessed externally.", "type": "object", "properties": { "executionApi": { "$ref": "GoogleAppsScriptTypeExecutionApiEntryPoint", "description": "An entry point specification for Apps Script API execution calls." }, "entryPointType": { "enum": ["ENTRY_POINT_TYPE_UNSPECIFIED", "WEB_APP", "EXECUTION_API", "ADD_ON"], "description": "The type of the entry point.", "type": "string", "enumDescriptions": ["An unspecified entry point.", "A web application entry point.", "An API executable entry point.", "An Add-On entry point."] }, "addOn": { "description": "Add-on properties.", "$ref": "GoogleAppsScriptTypeAddOnEntryPoint" }, "webApp": { "$ref": "GoogleAppsScriptTypeWebAppEntryPoint", "description": "An entry point specification for web apps." } }, "id": "EntryPoint" }, "ExecutionRequest": { "id": "ExecutionRequest", "description": "A request to run the function in a script. The script is identified by the\nspecified `script_id`. Executing a function on a script returns results\nbased on the implementation of the script.", "type": "object", "properties": { "function": { "description": "The name of the function to execute in the given script. The name does not\ninclude parentheses or parameters. It can reference a function in an\nincluded library such as `Library.libFunction1`.", "type": "string" }, "devMode": { "type": "boolean", "description": "If `true` and the user is an owner of the script, the script runs at the\nmost recently saved version rather than the version deployed for use with\nthe Apps Script API. Optional; default is `false`." }, "parameters": { "description": "The parameters to be passed to the function being executed. The object type\nfor each parameter should match the expected type in Apps Script.\nParameters cannot be Apps Script-specific object types (such as a\n`Document` or a `Calendar`); they can only be primitive types such as\n`string`, `number`, `array`, `object`, or `boolean`. Optional.", "type": "array", "items": { "type": "any" } }, "sessionState": { "description": "<b>Deprecated</b>. For use with Android add-ons only. An ID that represents\nthe user's current session in the Android app for Google Docs or Sheets,\nincluded as extra data in the\n[Intent](https://developer.android.com/guide/components/intents-filters.html)\nthat launches the add-on. When an Android add-on is run with a session\nstate, it gains the privileges of a\n[bound](https://developers.google.com/apps-script/guides/bound)\nscript&mdash;that is, it can access information like the user's current\ncursor position (in Docs) or selected cell (in Sheets). To retrieve the\nstate, call\n`Intent.getStringExtra(\"com.google.android.apps.docs.addons.SessionState\")`.\nOptional.", "type": "string" } } }, "Version": { "type": "object", "properties": { "description": { "description": "The description for this version.", "type": "string" }, "versionNumber": { "description": "The incremental ID that is created by Apps Script when a version is\ncreated. This is system assigned number and is immutable once created.", "format": "int32", "type": "integer" }, "scriptId": { "description": "The script project's Drive ID.", "type": "string" }, "createTime": { "description": "When the version was created.", "format": "google-datetime", "type": "string" } }, "id": "Version", "description": "A resource representing a script project version. A version is a \"snapshot\"\nof a script project and is similar to a read-only branched release. When\ncreating deployments, the version to use must be specified." }, "Value": { "description": "`Value` represents a dynamically typed value which is the outcome of an\nexecuted script\nBased on Value at:\ngoogle3/apps/maestro/api/struct.proto?q=message%5c%20Value", "type": "object", "properties": { "nullValue": { "enumDescriptions": ["Null value."], "enum": ["NULL_VALUE"], "description": "Represents a null value.", "type": "string" }, "boolValue": { "description": "Represents a boolean value.", "type": "boolean" }, "numberValue": { "description": "Represents a double value.", "format": "double", "type": "number" }, "protoValue": { "description": "Represents a structured proto value.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "bytesValue": { "description": "Represents raw byte values.", "format": "byte", "type": "string" }, "stringValue": { "description": "Represents a string value.", "type": "string" }, "dateValue": { "description": "Represents a date in ms since the epoch.", "format": "int64", "type": "string" }, "listValue": { "description": "Represents a repeated `Value`.", "$ref": "ListValue" }, "structValue": { "description": "Represents a structured value.", "$ref": "Struct" } }, "id": "Value" }, "GoogleAppsScriptTypeExecutionApiConfig": { "id": "GoogleAppsScriptTypeExecutionApiConfig", "description": "API executable entry point configuration.", "type": "object", "properties": { "access": { "description": "Who has permission to run the API executable.", "type": "string", "enumDescriptions": ["Default value, should not be used.", "Only the user who deployed the web app or executable can access it.\nNote that this is not necessarily the owner of the script project.", "Only users in the same domain as the user who deployed the web app or\nexecutable can access it.", "Any logged in user can access the web app or executable.", "Any user, logged in or not, can access the web app or executable."], "enum": ["UNKNOWN_ACCESS", "MYSELF", "DOMAIN", "ANYONE", "ANYONE_ANONYMOUS"] } } }, "GoogleAppsScriptTypeProcess": { "description": "Representation of a single script process execution that was started from\nthe script editor, a trigger, an application, or using the Apps Script API.\nThis is distinct from the `Operation`\nresource, which only represents executions started via the Apps Script API.", "type": "object", "properties": { "userAccessLevel": { "enumDescriptions": ["User access level unspecified", "The user has no access.", "The user has read-only access.", "The user has write access.", "The user is an owner."], "enum": ["USER_ACCESS_LEVEL_UNSPECIFIED", "NONE", "READ", "WRITE", "OWNER"], "description": "The executing users access level to the script.", "type": "string" }, "processType": { "enumDescriptions": ["Unspecified type.", "The process was started from an add-on entry point.", "The process was started using the Apps Script API.", "The process was started from a time-based trigger.", "The process was started from an event-based trigger.", "The process was started from a web app entry point.", "The process was started using the Apps Script IDE.", "The process was started from a G Suite simple trigger.", "The process was started from a G Suite menu item.", "The process was started as a task in a batch job."], "enum": ["PROCESS_TYPE_UNSPECIFIED", "ADD_ON", "EXECUTION_API", "TIME_DRIVEN", "TRIGGER", "WEBAPP", "EDITOR", "SIMPLE_TRIGGER", "MENU", "BATCH_TASK"], "description": "The executions type.", "type": "string" }, "projectName": { "type": "string", "description": "Name of the script being executed." }, "processStatus": { "enumDescriptions": ["Unspecified status.", "The process is currently running.", "The process has paused.", "The process has completed.", "The process was cancelled.", "The process failed.", "The process timed out.", "Process status unknown.", "The process is delayed, waiting for quota."], "enum": ["PROCESS_STATUS_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETED", "CANCELED", "FAILED", "TIMED_OUT", "UNKNOWN", "DELAYED"], "description": "The executions status.", "type": "string" }, "duration": { "description": "Duration the execution spent executing.", "format": "google-duration", "type": "string" }, "functionName": { "description": "Name of the function the started the execution.", "type": "string" }, "startTime": { "type": "string", "description": "Time the execution started.", "format": "google-datetime" } }, "id": "GoogleAppsScriptTypeProcess" }, "DeploymentConfig": { "description": "Metadata the defines how a deployment is configured.", "type": "object", "properties": { "manifestFileName": { "description": "The manifest file name for this deployment.", "type": "string" }, "description": { "type": "string", "description": "The description for this deployment." }, "versionNumber": { "type": "integer", "description": "The version number on which this deployment is based.", "format": "int32" }, "scriptId": { "description": "The script project's Drive ID.", "type": "string" } }, "id": "DeploymentConfig" }, "CreateProjectRequest": { "description": "Request to create a script project.", "type": "object", "properties": { "parentId": { "description": "The Drive ID of a parent file that the created script project is bound to.\nThis is usually the ID of a Google Doc, Google Sheet, Google Form, or\nGoogle Slides file. If not set, a standalone script project is created.", "type": "string" }, "title": { "type": "string", "description": "The title for the project." } }, "id": "CreateProjectRequest" }, "Operation": { "type": "object", "properties": { "error": { "description": "If a `run` call succeeds but the script function (or Apps Script itself) throws an exception, this field contains a Status object. The `Status` object's `details` field contains an array with a single ExecutionError object that provides information about the nature of the error.", "$ref": "Status" }, "done": { "description": "This field indicates whether the script execution has completed. A completed execution has a populated `response` field containing the ExecutionResponse from function that was executed.", "type": "boolean" }, "response": { "description": "If the script function returns successfully, this field contains an ExecutionResponse object with the function's return value.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "id": "Operation", "description": "A representation of an execution of an Apps Script function started with run. The execution response does not arrive until the function finishes executing. The maximum execution runtime is listed in the [Apps Script quotas guide](/apps-script/guides/services/quotas#current_limitations). <p>After execution has started, it can have one of four outcomes:</p> <ul> <li> If the script function returns successfully, the\n  response field contains an\n  ExecutionResponse object\n  with the function's return value in the object's `result` field.</li>\n<li> If the script function (or Apps Script itself) throws an exception, the\n  error field contains a\n  Status object. The `Status` object's `details`\n  field contains an array with a single\n  ExecutionError object that\n  provides information about the nature of the error.</li>\n<li> If the execution has not yet completed,\n  the done field is `false` and\n  the neither the `response` nor `error` fields are present.</li>\n<li> If the `run` call itself fails (for example, because of a\n  malformed request or an authorization error), the method returns an HTTP\n  response code in the 4XX range with a different format for the response\n  body. Client libraries automatically convert a 4XX response into an\n  exception class.</li>\n</ul>" }, "Status": { "type": "object", "properties": { "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "An array that contains a single ExecutionError object that provides information about the nature of the error." }, "code": { "description": "The status code. For this API, this value either: <ul> <li> 10, indicating a `SCRIPT_TIMEOUT` error,</li> <li> 3, indicating an `INVALID_ARGUMENT` error, or</li> <li> 1, indicating a `CANCELLED` execution.</li> </ul>", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which is in English. Any user-facing error message is localized and sent in the details field, or localized by the client.", "type": "string" } }, "id": "Status", "description": "If a `run` call succeeds but the script function (or Apps Script itself) throws an exception, the response body's error field contains this `Status` object." }, "GoogleAppsScriptTypeFunction": { "type": "object", "properties": { "name": { "description": "The function name in the script project.", "type": "string" } }, "id": "GoogleAppsScriptTypeFunction", "description": "Represents a function in a script project." }, "MetricsValue": { "type": "object", "properties": { "startTime": { "description": "Required field indicating the start time of the interval.", "format": "google-datetime", "type": "string" }, "value": { "description": "Indicates the number of executions counted.", "format": "uint64", "type": "string" }, "endTime": { "description": "Required field indicating the end time of the interval.", "format": "google-datetime", "type": "string" } }, "id": "MetricsValue", "description": "Metrics value that holds number of executions counted." }, "ScriptExecutionResult": { "description": "The result of an execution\nBased on ScriptExecutionResult at:\ngoogle3/apps/maestro/api/frontend_execution_common.proto?q=message%5c%20ScriptExecutionResult", "type": "object", "properties": { "returnValue": { "$ref": "Value", "description": "The returned value of the execution.\nTODO (johnlattin): Add HtmlResponse\nTODO (johnlattin): Add ExceptionResponse\nTODO (johlnattin): Add TextResponse" } }, "id": "ScriptExecutionResult" }, "Deployment": { "id": "Deployment", "description": "Representation of a single script deployment.", "type": "object", "properties": { "deploymentId": { "description": "The deployment ID for this deployment.", "type": "string" }, "deploymentConfig": { "description": "The deployment configuration.", "$ref": "DeploymentConfig" }, "updateTime": { "description": "Last modified date time stamp.", "format": "google-datetime", "type": "string" }, "entryPoints": { "description": "The deployment's entry points.", "type": "array", "items": { "$ref": "EntryPoint" } } } }, "GoogleAppsScriptTypeAddOnEntryPoint": { "description": "An add-on entry point.", "type": "object", "properties": { "postInstallTipUrl": { "description": "The add-on's required post install tip URL.", "type": "string" }, "description": { "description": "The add-on's optional description.", "type": "string" }, "addOnType": { "type": "string", "enumDescriptions": ["Default value, unknown add-on type.", "Add-on type for Gmail.", "Add-on type for Data Studio."], "enum": ["UNKNOWN_ADDON_TYPE", "GMAIL", "DATA_STUDIO"], "description": "The add-on's required list of supported container types." }, "helpUrl": { "description": "The add-on's optional help URL.", "type": "string" }, "title": { "description": "The add-on's required title.", "type": "string" }, "reportIssueUrl": { "description": "The add-on's optional report issue URL.", "type": "string" } }, "id": "GoogleAppsScriptTypeAddOnEntryPoint" }, "ScriptStackTraceElement": { "type": "object", "properties": { "function": { "description": "The name of the function that failed.", "type": "string" }, "lineNumber": { "description": "The line number where the script failed.", "format": "int32", "type": "integer" } }, "id": "ScriptStackTraceElement", "description": "A stack trace through the script that shows where the execution failed." }, "ListScriptProcessesResponse": { "properties": { "processes": { "description": "List of processes matching request parameters.", "type": "array", "items": { "$ref": "GoogleAppsScriptTypeProcess" } }, "nextPageToken": { "description": "Token for the next page of results. If empty, there are no more pages\nremaining.", "type": "string" } }, "id": "ListScriptProcessesResponse", "description": "Response with the list of\nProcess resources.", "type": "object" }, "GoogleAppsScriptTypeWebAppConfig": { "description": "Web app entry point configuration.", "type": "object", "properties": { "access": { "enumDescriptions": ["Default value, should not be used.", "Only the user who deployed the web app or executable can access it.\nNote that this is not necessarily the owner of the script project.", "Only users in the same domain as the user who deployed the web app or\nexecutable can access it.", "Any logged in user can access the web app or executable.", "Any user, logged in or not, can access the web app or executable."], "enum": ["UNKNOWN_ACCESS", "MYSELF", "DOMAIN", "ANYONE", "ANYONE_ANONYMOUS"], "description": "Who has permission to run the web app.", "type": "string" }, "executeAs": { "type": "string", "enumDescriptions": ["Default value, should not be used.", "The script runs as the user accessing the web app.", "The script runs as the user who deployed the web app. Note that this is\nnot necessarily the owner of the script project."], "enum": ["UNKNOWN_EXECUTE_AS", "USER_ACCESSING", "USER_DEPLOYING"], "description": "Who to execute the web app as." } }, "id": "GoogleAppsScriptTypeWebAppConfig" }, "Project": { "description": "The script project resource.", "type": "object", "properties": { "title": { "description": "The title for the project.", "type": "string" }, "lastModifyUser": { "$ref": "GoogleAppsScriptTypeUser", "description": "User who last modified the script." }, "createTime": { "description": "When the script was created.", "format": "google-datetime", "type": "string" }, "parentId": { "description": "The parent's Drive ID that the script will be attached to. This is usually\nthe ID of a Google Document or Google Sheet. This filed is optional, and\nif not set, a stand-alone script will be created.", "type": "string" }, "updateTime": { "description": "When the script was last updated.", "format": "google-datetime", "type": "string" }, "creator": { "description": "User who originally created the script.", "$ref": "GoogleAppsScriptTypeUser" }, "scriptId": { "description": "The script project's Drive ID.", "type": "string" } }, "id": "Project" }, "Struct": { "id": "Struct", "description": "`Struct` represents a structured data value, consisting of fields which map\nto dynamically typed values.\nBased on Struct at:\ngoogle3/apps/maestro/api/struct.proto?q=message%5c%20Struct", "type": "object", "properties": { "fields": { "additionalProperties": { "$ref": "Value" }, "description": "Unordered map of dynamically typed values.", "type": "object" } } }, "ListDeploymentsResponse": { "description": "Response with the list of deployments for the specified Apps Script project.", "type": "object", "properties": { "nextPageToken": { "description": "The token that can be used in the next call to get the next page of\nresults.", "type": "string" }, "deployments": { "description": "The list of deployments.", "type": "array", "items": { "$ref": "Deployment" } } }, "id": "ListDeploymentsResponse" }, "File": { "id": "File", "description": "An individual file within a script project.\nA file is a third-party source code created by one or more\ndevelopers. It can be a server-side JS code, HTML, or a\nconfiguration file. Each script project can contain multiple files.", "type": "object", "properties": { "source": { "description": "The file content.", "type": "string" }, "lastModifyUser": { "$ref": "GoogleAppsScriptTypeUser", "description": "The user who modified the file most recently.\nThis read-only field is only visible to users who have WRITER\npermission for the script project." }, "createTime": { "type": "string", "description": "Creation date timestamp.\nThis read-only field is only visible to users who have WRITER\npermission for the script project.", "format": "google-datetime" }, "updateTime": { "description": "Last modified date timestamp.\nThis read-only field is only visible to users who have WRITER\npermission for the script project.", "format": "google-datetime", "type": "string" }, "functionSet": { "$ref": "GoogleAppsScriptTypeFunctionSet", "description": "The defined set of functions in the script file, if any." }, "name": { "description": "The name of the file. The file extension is not part of the file\nname, which can be identified from the type field.", "type": "string" }, "type": { "type": "string", "enumDescriptions": ["Undetermined file type; never actually used.", "An Apps Script server-side code file.", "A file containing client-side HTML.", "A file in JSON format. This type is only used for the script\nproject's manifest. The manifest file content must match the\nstructure of a valid\n[ScriptManifest](/apps-script/concepts/manifests)"], "enum": ["ENUM_TYPE_UNSPECIFIED", "SERVER_JS", "HTML", "JSON"], "description": "The type of the file." } } }, "ExecutionResponse": { "description": "An object that provides the return value of a function executed using the\nApps Script API. If the script function returns successfully, the response\nbody's response field contains this\n`ExecutionResponse` object.", "type": "object", "properties": { "result": { "description": "The return value of the script function. The type matches the object type\nreturned in Apps Script. Functions called using the Apps Script API cannot\nreturn Apps Script-specific objects (such as a `Document` or a `Calendar`);\nthey can only return primitive types such as a `string`, `number`, `array`,\n`object`, or `boolean`.", "type": "any" } }, "id": "ExecutionResponse" }, "ExecuteStreamResponse": { "description": "The response for executing or debugging a function in an Apps Script project.", "type": "object", "properties": { "result": { "$ref": "ScriptExecutionResult", "description": "The result of the execution.\nTODO (johnlattin): Add debugging and logging." } }, "id": "ExecuteStreamResponse" } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest" };
//# sourceMappingURL=script-v1.js.map