"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "rootUrl": "https://streetviewpublish.googleapis.com/", "ownerDomain": "google.com", "name": "streetviewpublish", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Street View Publish API", "ownerName": "Google", "resources": { "photo": { "methods": { "delete": { "flatPath": "v1/photo/{photoId}", "path": "v1/photo/{photoId}", "id": "streetviewpublish.photo.delete", "description": "Deletes a Photo and its metadata.\n\nThis method returns the following error codes:\n\n* google.rpc.Code.PERMISSION_DENIED if the requesting user did not\ncreate the requested photo.\n* google.rpc.Code.NOT_FOUND if the photo ID does not exist.", "response": { "$ref": "Empty" }, "parameterOrder": ["photoId"], "httpMethod": "DELETE", "parameters": { "photoId": { "location": "path", "description": "Required. ID of the Photo.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/streetviewpublish"] }, "get": { "response": { "$ref": "Photo" }, "parameterOrder": ["photoId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "parameters": { "photoId": { "location": "path", "description": "Required. ID of the Photo.", "required": true, "type": "string" }, "view": { "location": "query", "enum": ["BASIC", "INCLUDE_DOWNLOAD_URL"], "description": "Specifies if a download URL for the photo bytes should be returned in the\nPhoto response.", "type": "string" }, "languageCode": { "type": "string", "location": "query", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more\ninformation, see\nhttp://www.unicode.org/reports/tr35/#Unicode_locale_identifier.\nIf language_code is unspecified, the user's language preference for Google\nservices is used." } }, "flatPath": "v1/photo/{photoId}", "path": "v1/photo/{photoId}", "id": "streetviewpublish.photo.get", "description": "Gets the metadata of the specified\nPhoto.\n\nThis method returns the following error codes:\n\n* google.rpc.Code.PERMISSION_DENIED if the requesting user did not\ncreate the requested Photo.\n* google.rpc.Code.NOT_FOUND if the requested\nPhoto does not exist.\n* google.rpc.Code.UNAVAILABLE if the requested\nPhoto is still being indexed." }, "update": { "description": "Updates the metadata of a Photo, such\nas pose, place association, connections, etc. Changing the pixels of a\nphoto is not supported.\n\nOnly the fields specified in the\nupdateMask\nfield are used. If `updateMask` is not present, the update applies to all\nfields.\n\nThis method returns the following error codes:\n\n* google.rpc.Code.PERMISSION_DENIED if the requesting user did not\ncreate the requested photo.\n* google.rpc.Code.INVALID_ARGUMENT if the request is malformed.\n* google.rpc.Code.NOT_FOUND if the requested photo does not exist.\n* google.rpc.Code.UNAVAILABLE if the requested\nPhoto is still being indexed.", "request": { "$ref": "Photo" }, "response": { "$ref": "Photo" }, "parameterOrder": ["id"], "httpMethod": "PUT", "parameters": { "id": { "location": "path", "description": "Required. A unique identifier for a photo.", "required": true, "type": "string" }, "updateMask": { "location": "query", "description": "Mask that identifies fields on the photo metadata to update.\nIf not present, the old Photo\nmetadata is entirely replaced with the\nnew Photo metadata in this request.\nThe update fails if invalid fields are specified. Multiple fields can be\nspecified in a comma-delimited list.\n\nThe following fields are valid:\n\n* `pose.heading`\n* `pose.latLngPair`\n* `pose.pitch`\n* `pose.roll`\n* `pose.level`\n* `pose.altitude`\n* `connections`\n* `places`\n\n\n<aside class=\"note\"><b>Note:</b> When\nupdateMask\ncontains repeated fields, the entire set of repeated values get replaced\nwith the new contents. For example, if\nupdateMask\ncontains `connections` and `UpdatePhotoRequest.photo.connections` is empty,\nall connections are removed.</aside>", "format": "google-fieldmask", "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "flatPath": "v1/photo/{id}", "path": "v1/photo/{id}", "id": "streetviewpublish.photo.update" }, "create": { "response": { "$ref": "Photo" }, "parameterOrder": [], "httpMethod": "POST", "parameters": {}, "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "flatPath": "v1/photo", "path": "v1/photo", "id": "streetviewpublish.photo.create", "description": "After the client finishes uploading the photo with the returned\nUploadRef,\nCreatePhoto\npublishes the uploaded Photo to\nStreet View on Google Maps.\n\nCurrently, the only way to set heading, pitch, and roll in CreatePhoto is\nthrough the [Photo Sphere XMP\nmetadata](https://developers.google.com/streetview/spherical-metadata) in\nthe photo bytes. CreatePhoto ignores the  `pose.heading`, `pose.pitch`,\n`pose.roll`, `pose.altitude`, and `pose.level` fields in Pose.\n\nThis method returns the following error codes:\n\n* google.rpc.Code.INVALID_ARGUMENT if the request is malformed or if\nthe uploaded photo is not a 360 photo.\n* google.rpc.Code.NOT_FOUND if the upload reference does not exist.\n* google.rpc.Code.RESOURCE_EXHAUSTED if the account has reached the\nstorage limit.", "request": { "$ref": "Photo" } }, "startUpload": { "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "parameters": {}, "flatPath": "v1/photo:startUpload", "id": "streetviewpublish.photo.startUpload", "path": "v1/photo:startUpload", "request": { "$ref": "Empty" }, "description": "Creates an upload session to start uploading photo bytes.  The method uses\nthe upload URL of the returned\nUploadRef to upload the bytes for\nthe Photo.\n\nIn addition to the photo requirements shown in\nhttps://support.google.com/maps/answer/7012050?hl=en&ref_topic=6275604,\nthe photo must meet the following requirements:\n\n* Photo Sphere XMP metadata must be included in the photo medadata. See\nhttps://developers.google.com/streetview/spherical-metadata for the\nrequired fields.\n* The pixel size of the photo must meet the size requirements listed in\nhttps://support.google.com/maps/answer/7012050?hl=en&ref_topic=6275604, and\nthe photo must be a full 360 horizontally.\n\nAfter the upload completes, the method uses\nUploadRef with\nCreatePhoto\nto create the Photo object entry.", "httpMethod": "POST", "parameterOrder": [], "response": { "$ref": "UploadRef" } } } }, "photos": { "methods": { "batchGet": { "flatPath": "v1/photos:batchGet", "path": "v1/photos:batchGet", "id": "streetviewpublish.photos.batchGet", "description": "Gets the metadata of the specified\nPhoto batch.\n\nNote that if\nBatchGetPhotos\nfails, either critical fields are missing or there is an authentication\nerror. Even if\nBatchGetPhotos\nsucceeds, individual photos in the batch may have failures.\nThese failures are specified in each\nPhotoResponse.status\nin\nBatchGetPhotosResponse.results.\nSee\nGetPhoto\nfor specific failures that can occur per photo.", "response": { "$ref": "BatchGetPhotosResponse" }, "parameterOrder": [], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "parameters": { "photoIds": { "location": "query", "description": "Required. IDs of the Photos. For HTTP\nGET requests, the URL query parameter should be\n`photoIds=<id1>&photoIds=<id2>&...`.", "type": "string", "repeated": true }, "view": { "description": "Specifies if a download URL for the photo bytes should be returned in the\nPhoto response.", "type": "string", "location": "query", "enum": ["BASIC", "INCLUDE_DOWNLOAD_URL"] }, "languageCode": { "type": "string", "location": "query", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more\ninformation, see\nhttp://www.unicode.org/reports/tr35/#Unicode_locale_identifier.\nIf language_code is unspecified, the user's language preference for Google\nservices is used." } } }, "list": { "description": "Lists all the Photos that belong to\nthe user.\n\n<aside class=\"note\"><b>Note:</b> Recently created photos that are still\nbeing indexed are not returned in the response.</aside>", "httpMethod": "GET", "parameterOrder": [], "response": { "$ref": "ListPhotosResponse" }, "parameters": { "pageToken": { "location": "query", "description": "The\nnextPageToken\nvalue returned from a previous\nListPhotos\nrequest, if any.", "type": "string" }, "pageSize": { "description": "The maximum number of photos to return.\n`pageSize` must be non-negative. If `pageSize` is zero or is not provided,\nthe default page size of 100 is used.\nThe number of photos returned in the response may be less than `pageSize`\nif the number of photos that belong to the user is less than `pageSize`.", "format": "int32", "type": "integer", "location": "query" }, "view": { "description": "Specifies if a download URL for the photos bytes should be returned in the\nPhotos response.", "type": "string", "location": "query", "enum": ["BASIC", "INCLUDE_DOWNLOAD_URL"] }, "filter": { "location": "query", "description": "The filter expression. For example: `placeId=ChIJj61dQgK6j4AR4GeTYWZsKWw`.\n\nThe only filter supported at the moment is `placeId`.", "type": "string" }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more\ninformation, see\nhttp://www.unicode.org/reports/tr35/#Unicode_locale_identifier.\nIf language_code is unspecified, the user's language preference for Google\nservices is used.", "type": "string", "location": "query" } }, "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "flatPath": "v1/photos", "id": "streetviewpublish.photos.list", "path": "v1/photos" }, "batchUpdate": { "response": { "$ref": "BatchUpdatePhotosResponse" }, "parameterOrder": [], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "parameters": {}, "flatPath": "v1/photos:batchUpdate", "path": "v1/photos:batchUpdate", "id": "streetviewpublish.photos.batchUpdate", "request": { "$ref": "BatchUpdatePhotosRequest" }, "description": "Updates the metadata of Photos, such\nas pose, place association, connections, etc. Changing the pixels of photos\nis not supported.\n\nNote that if\nBatchUpdatePhotos\nfails, either critical fields are missing or there is an authentication\nerror. Even if\nBatchUpdatePhotos\nsucceeds, individual photos in the batch may have failures.\nThese failures are specified in each\nPhotoResponse.status\nin\nBatchUpdatePhotosResponse.results.\nSee\nUpdatePhoto\nfor specific failures that can occur per photo.\n\nOnly the fields specified in\nupdateMask\nfield are used. If `updateMask` is not present, the update applies to all\nfields.\n\nThe number of\nUpdatePhotoRequest\nmessages in a\nBatchUpdatePhotosRequest\nmust not exceed 20.\n\n<aside class=\"note\"><b>Note:</b> To update\nPose.altitude,\nPose.latLngPair has to be\nfilled as well. Otherwise, the request will fail.</aside>" }, "batchDelete": { "description": "Deletes a list of Photos and their\nmetadata.\n\nNote that if\nBatchDeletePhotos\nfails, either critical fields are missing or there is an authentication\nerror. Even if\nBatchDeletePhotos\nsucceeds, individual photos in the batch may have failures.\nThese failures are specified in each\nPhotoResponse.status\nin\nBatchDeletePhotosResponse.results.\nSee\nDeletePhoto\nfor specific failures that can occur per photo.", "request": { "$ref": "BatchDeletePhotosRequest" }, "httpMethod": "POST", "parameterOrder": [], "response": { "$ref": "BatchDeletePhotosResponse" }, "parameters": {}, "scopes": ["https://www.googleapis.com/auth/streetviewpublish"], "flatPath": "v1/photos:batchDelete", "id": "streetviewpublish.photos.batchDelete", "path": "v1/photos:batchDelete" } } } }, "parameters": { "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"] }, "alt": { "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" } }, "version": "v1", "baseUrl": "https://streetviewpublish.googleapis.com/", "kind": "discovery#restDescription", "description": "Publishes 360 photos to Google Maps, along with position, orientation, and connectivity metadata. Apps can offer an interface for positioning, connecting, and uploading user-generated Street View images.\n", "servicePath": "", "basePath": "", "revision": "20190625", "documentationLink": "https://developers.google.com/streetview/publish/", "id": "streetviewpublish:v1", "discoveryVersion": "v1", "version_module": true, "schemas": { "Level": { "id": "Level", "description": "Level information containing level number and its corresponding name.", "type": "object", "properties": { "name": { "type": "string", "description": "Required. A name assigned to this Level, restricted to 3 characters.\nConsider how the elevator buttons would be labeled for this level if there\nwas an elevator." }, "number": { "description": "Floor number, used for ordering. 0 indicates the ground level, 1 indicates\nthe first level above ground level, -1 indicates the first level under\nground level. Non-integer values are OK.", "format": "double", "type": "number" } } }, "Empty": { "type": "object", "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`." }, "BatchGetPhotosResponse": { "description": "Response to batch get of Photos.", "type": "object", "properties": { "results": { "description": "List of results for each individual\nPhoto requested, in the same order as\nthe requests in\nBatchGetPhotos.", "type": "array", "items": { "$ref": "PhotoResponse" } } }, "id": "BatchGetPhotosResponse" }, "Place": { "id": "Place", "description": "Place metadata for an entity.", "type": "object", "properties": { "languageCode": { "description": "Output-only. The language_code that the name is localized with. This should\nbe the language_code specified in the request, but may be a fallback.", "type": "string" }, "name": { "type": "string", "description": "Output-only. The name of the place, localized to the language_code." }, "placeId": { "description": "Place identifier, as described in\nhttps://developers.google.com/places/place-id.", "type": "string" } } }, "UploadRef": { "description": "Upload reference for media files.", "type": "object", "properties": { "uploadUrl": { "description": "Required. An upload reference should be unique for each user. It follows\nthe form:\n\"https://streetviewpublish.googleapis.com/media/user/{account_id}/photo/{upload_reference}\"", "type": "string" } }, "id": "UploadRef" }, "LatLng": { "id": "LatLng", "description": "An object representing a latitude/longitude pair. This is expressed as a pair\nof doubles representing degrees latitude and degrees longitude. Unless\nspecified otherwise, this must conform to the\n<a href=\"http://www.unoosa.org/pdf/icg/2012/template/WGS_84.pdf\">WGS84\nstandard</a>. Values must be within normalized ranges.", "type": "object", "properties": { "longitude": { "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double", "type": "number" }, "latitude": { "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double", "type": "number" } } }, "BatchDeletePhotosRequest": { "type": "object", "properties": { "photoIds": { "description": "Required. IDs of the Photos. HTTP\nGET requests require the following syntax for the URL query parameter:\n`photoIds=<id1>&photoIds=<id2>&...`.", "type": "array", "items": { "type": "string" } } }, "id": "BatchDeletePhotosRequest", "description": "Request to delete multiple Photos." }, "UpdatePhotoRequest": { "type": "object", "properties": { "updateMask": { "description": "Mask that identifies fields on the photo metadata to update.\nIf not present, the old Photo\nmetadata is entirely replaced with the\nnew Photo metadata in this request.\nThe update fails if invalid fields are specified. Multiple fields can be\nspecified in a comma-delimited list.\n\nThe following fields are valid:\n\n* `pose.heading`\n* `pose.latLngPair`\n* `pose.pitch`\n* `pose.roll`\n* `pose.level`\n* `pose.altitude`\n* `connections`\n* `places`\n\n\n<aside class=\"note\"><b>Note:</b> When\nupdateMask\ncontains repeated fields, the entire set of repeated values get replaced\nwith the new contents. For example, if\nupdateMask\ncontains `connections` and `UpdatePhotoRequest.photo.connections` is empty,\nall connections are removed.</aside>", "format": "google-fieldmask", "type": "string" }, "photo": { "$ref": "Photo", "description": "Required. Photo object containing the\nnew metadata." } }, "id": "UpdatePhotoRequest", "description": "Request to update the metadata of a\nPhoto. Updating the pixels of a photo\nis not supported." }, "Pose": { "id": "Pose", "description": "Raw pose measurement for an entity.", "type": "object", "properties": { "accuracyMeters": { "description": "The estimated horizontal accuracy of this pose in meters with 68%\nconfidence (one standard deviation). For example, on Android, this value is\navailable from this method:\nhttps://developer.android.com/reference/android/location/Location#getAccuracy().\nOther platforms have different methods of obtaining similar accuracy\nestimations.", "format": "float", "type": "number" }, "level": { "description": "Level (the floor in a building) used to configure vertical navigation.", "$ref": "Level" }, "heading": { "type": "number", "description": "Compass heading, measured at the center of the photo in degrees clockwise\nfrom North. Value must be >=0 and <360.\nNaN indicates an unmeasured quantity.", "format": "double" }, "altitude": { "description": "Altitude of the pose in meters above WGS84 ellipsoid.\nNaN indicates an unmeasured quantity.", "format": "double", "type": "number" }, "pitch": { "description": "Pitch, measured at the center of the photo in degrees. Value must be >=-90\nand <= 90. A value of -90 means looking directly down, and a value of 90\nmeans looking directly up.\nNaN indicates an unmeasured quantity.", "format": "double", "type": "number" }, "latLngPair": { "$ref": "LatLng", "description": "Latitude and longitude pair of the pose, as explained here:\nhttps://cloud.google.com/datastore/docs/reference/rest/Shared.Types/LatLng\nWhen creating a Photo, if the\nlatitude and longitude pair are not provided, the geolocation from the\nexif header is used. A latitude and longitude pair not provided in the\nphoto or exif header causes the photo process to fail." }, "roll": { "type": "number", "description": "Roll, measured in degrees. Value must be >= 0 and <360. A value of 0\nmeans level with the horizon.\nNaN indicates an unmeasured quantity.", "format": "double" } } }, "PhotoId": { "description": "Identifier for a Photo.", "type": "object", "properties": { "id": { "type": "string", "description": "Required. A unique identifier for a photo." } }, "id": "PhotoId" }, "BatchUpdatePhotosRequest": { "description": "Request to update the metadata of photos.\nUpdating the pixels of photos is not supported.", "type": "object", "properties": { "updatePhotoRequests": { "description": "Required. List of\nUpdatePhotoRequests.", "type": "array", "items": { "$ref": "UpdatePhotoRequest" } } }, "id": "BatchUpdatePhotosRequest" }, "ListPhotosResponse": { "id": "ListPhotosResponse", "description": "Response to list all photos that belong to a user.", "type": "object", "properties": { "photos": { "type": "array", "items": { "$ref": "Photo" }, "description": "List of photos. The\npageSize field\nin the request determines the number of items returned." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more\nresults in the list." } } }, "Photo": { "type": "object", "properties": { "connections": { "description": "Connections to other photos. A connection represents the link from this\nphoto to another photo.", "type": "array", "items": { "$ref": "Connection" } }, "pose": { "$ref": "Pose", "description": "Pose of the photo." }, "thumbnailUrl": { "description": "Output only. The thumbnail URL for showing a preview of the given photo.", "type": "string" }, "captureTime": { "description": "Absolute time when the photo was captured.\nWhen the photo has no exif timestamp, this is used to set a timestamp in\nthe photo metadata.", "format": "google-datetime", "type": "string" }, "transferStatus": { "enumDescriptions": ["The status of this transfer is unspecified.", "This photo has never been in a transfer.", "This photo transfer has been initiated, but the receiver has not yet\nresponded.", "The photo transfer has been completed, and this photo has been\ntransferred to the recipient.", "The recipient rejected this photo transfer.", "The photo transfer expired before the recipient took any action.", "The sender cancelled this photo transfer.", "The recipient owns this photo due to a rights transfer."], "enum": ["TRANSFER_STATUS_UNKNOWN", "NEVER_TRANSFERRED", "PENDING", "COMPLETED", "REJECTED", "EXPIRED", "CANCELLED", "RECEIVED_VIA_TRANSFER"], "description": "Output only. Status of rights transfer on this photo.", "type": "string" }, "mapsPublishStatus": { "type": "string", "enumDescriptions": ["The status of the photo is unknown.", "The photo is published to the public through Google Maps.", "The photo has been rejected for an unknown reason."], "enum": ["UNSPECIFIED_MAPS_PUBLISH_STATUS", "PUBLISHED", "REJECTED_UNKNOWN"], "description": "Output only. Status in Google Maps, whether this photo was published or\nrejected." }, "viewCount": { "description": "Output only. View count of the photo.", "format": "int64", "type": "string" }, "downloadUrl": { "description": "Output only. The download URL for the photo bytes. This field is set only\nwhen\nGetPhotoRequest.view\nis set to\nPhotoView.INCLUDE_DOWNLOAD_URL.", "type": "string" }, "places": { "description": "Places where this photo belongs.", "type": "array", "items": { "$ref": "Place" } }, "photoId": { "$ref": "PhotoId", "description": "Required when updating a photo. Output only when creating a photo.\nIdentifier for the photo, which is unique among all photos in\nGoogle." }, "uploadReference": { "description": "Required when creating a photo. Input only. The resource URL where the\nphoto bytes are uploaded to.", "$ref": "UploadRef" }, "shareLink": { "type": "string", "description": "Output only. The share link for the photo." } }, "id": "Photo", "description": "Photo is used to store 360 photos along with photo metadata." }, "Operation": { "description": "This resource represents a long-running operation that is the result of a\nnetwork API call.", "type": "object", "properties": { "response": { "description": "The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "description": "The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "description": "Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "description": "If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.", "type": "boolean" } }, "id": "Operation" }, "PhotoResponse": { "type": "object", "properties": { "status": { "$ref": "Status", "description": "The status for the operation to get or update a single photo in the batch\nrequest." }, "photo": { "$ref": "Photo", "description": "The Photo resource, if the request\nwas successful." } }, "id": "PhotoResponse", "description": "Response payload for a single\nPhoto\nin batch operations including\nBatchGetPhotos\nand\nBatchUpdatePhotos." }, "Connection": { "id": "Connection", "description": "A connection is the link from a source photo to a destination photo.", "type": "object", "properties": { "target": { "$ref": "PhotoId", "description": "Required. The destination of the connection from the containing photo to\nanother photo." } } }, "BatchUpdatePhotosResponse": { "type": "object", "properties": { "results": { "description": "List of results for each individual\nPhoto updated, in the same order as\nthe request.", "type": "array", "items": { "$ref": "PhotoResponse" } } }, "id": "BatchUpdatePhotosResponse", "description": "Response to batch update of metadata of one or more\nPhotos." }, "Status": { "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use." } } }, "BatchDeletePhotosResponse": { "description": "Response to batch delete of one or more\nPhotos.", "type": "object", "properties": { "status": { "description": "The status for the operation to delete a single\nPhoto in the batch request.", "type": "array", "items": { "$ref": "Status" } } }, "id": "BatchDeletePhotosResponse" } }, "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "Street View Publish", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/streetviewpublish": { "description": "Publish and manage your 360 photos on Google Street View" } } } } };
//# sourceMappingURL=streetviewpublish-v1.js.map