"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "kind": "discovery#restDescription", "etag": "\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/5hf7l4OXls843duAMQrmw2lOdP8\"", "discoveryVersion": "v1", "id": "tasks:v1", "name": "tasks", "version": "v1", "revision": "20190222", "title": "Tasks API", "description": "Manages your tasks and task lists.", "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "https://www.google.com/images/icons/product/tasks-16.png", "x32": "https://www.google.com/images/icons/product/tasks-32.png" }, "documentationLink": "https://developers.google.com/google-apps/tasks/firstapp", "protocol": "rest", "baseUrl": "https://www.googleapis.com/tasks/v1/", "basePath": "/tasks/v1/", "rootUrl": "https://www.googleapis.com/", "servicePath": "tasks/v1/", "batchPath": "batch/tasks/v1", "parameters": { "alt": { "type": "string", "description": "Data format for the response.", "default": "json", "enum": ["json"], "enumDescriptions": ["Responses with Content-Type of application/json"], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/tasks": { "description": "Create, edit, organize, and delete all your tasks" }, "https://www.googleapis.com/auth/tasks.readonly": { "description": "View your tasks" } } } }, "schemas": { "Task": { "id": "Task", "type": "object", "properties": { "completed": { "type": "string", "description": "Completion date of the task (as a RFC 3339 timestamp). This field is omitted if the task has not been completed.", "format": "date-time" }, "deleted": { "type": "boolean", "description": "Flag indicating whether the task has been deleted. The default if False." }, "due": { "type": "string", "description": "Due date of the task (as a RFC 3339 timestamp). Optional.", "format": "date-time" }, "etag": { "type": "string", "description": "ETag of the resource." }, "hidden": { "type": "boolean", "description": "Flag indicating whether the task is hidden. This is the case if the task had been marked completed when the task list was last cleared. The default is False. This field is read-only." }, "id": { "type": "string", "description": "Task identifier." }, "kind": { "type": "string", "description": "Type of the resource. This is always \"tasks#task\".", "default": "tasks#task" }, "links": { "type": "array", "description": "Collection of links. This collection is read-only.", "items": { "type": "object", "properties": { "description": { "type": "string", "description": "The description. In HTML speak: Everything between <a> and </a>." }, "link": { "type": "string", "description": "The URL." }, "type": { "type": "string", "description": "Type of the link, e.g. \"email\"." } } } }, "notes": { "type": "string", "description": "Notes describing the task. Optional." }, "parent": { "type": "string", "description": "Parent task identifier. This field is omitted if it is a top-level task. This field is read-only. Use the \"move\" method to move the task under a different parent or to the top level." }, "position": { "type": "string", "description": "String indicating the position of the task among its sibling tasks under the same parent task or at the top level. If this string is greater than another task's corresponding position string according to lexicographical ordering, the task is positioned after the other task under the same parent task (or at the top level). This field is read-only. Use the \"move\" method to move the task to another position." }, "selfLink": { "type": "string", "description": "URL pointing to this task. Used to retrieve, update, or delete this task." }, "status": { "type": "string", "description": "Status of the task. This is either \"needsAction\" or \"completed\"." }, "title": { "type": "string", "description": "Title of the task." }, "updated": { "type": "string", "description": "Last modification time of the task (as a RFC 3339 timestamp).", "format": "date-time" } } }, "TaskList": { "id": "TaskList", "type": "object", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "id": { "type": "string", "description": "Task list identifier." }, "kind": { "type": "string", "description": "Type of the resource. This is always \"tasks#taskList\".", "default": "tasks#taskList" }, "selfLink": { "type": "string", "description": "URL pointing to this task list. Used to retrieve, update, or delete this task list." }, "title": { "type": "string", "description": "Title of the task list." }, "updated": { "type": "string", "description": "Last modification time of the task list (as a RFC 3339 timestamp).", "format": "date-time" } } }, "TaskLists": { "id": "TaskLists", "type": "object", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "items": { "type": "array", "description": "Collection of task lists.", "items": { "$ref": "TaskList" } }, "kind": { "type": "string", "description": "Type of the resource. This is always \"tasks#taskLists\".", "default": "tasks#taskLists" }, "nextPageToken": { "type": "string", "description": "Token that can be used to request the next page of this result." } } }, "Tasks": { "id": "Tasks", "type": "object", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "items": { "type": "array", "description": "Collection of tasks.", "items": { "$ref": "Task" } }, "kind": { "type": "string", "description": "Type of the resource. This is always \"tasks#tasks\".", "default": "tasks#tasks" }, "nextPageToken": { "type": "string", "description": "Token used to access the next page of this result." } } } }, "resources": { "tasklists": { "methods": { "delete": { "id": "tasks.tasklists.delete", "path": "users/@me/lists/{tasklist}", "httpMethod": "DELETE", "description": "Deletes the authenticated user's specified task list.", "parameters": { "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist"], "scopes": ["https://www.googleapis.com/auth/tasks"] }, "get": { "id": "tasks.tasklists.get", "path": "users/@me/lists/{tasklist}", "httpMethod": "GET", "description": "Returns the authenticated user's specified task list.", "parameters": { "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist"], "response": { "$ref": "TaskList" }, "scopes": ["https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly"] }, "insert": { "id": "tasks.tasklists.insert", "path": "users/@me/lists", "httpMethod": "POST", "description": "Creates a new task list and adds it to the authenticated user's task lists.", "request": { "$ref": "TaskList" }, "response": { "$ref": "TaskList" }, "scopes": ["https://www.googleapis.com/auth/tasks"] }, "list": { "id": "tasks.tasklists.list", "path": "users/@me/lists", "httpMethod": "GET", "description": "Returns all the authenticated user's task lists.", "parameters": { "maxResults": { "type": "string", "description": "Maximum number of task lists returned on one page. Optional. The default is 20 (max allowed: 100).", "format": "int64", "location": "query" }, "pageToken": { "type": "string", "description": "Token specifying the result page to return. Optional.", "location": "query" } }, "response": { "$ref": "TaskLists" }, "scopes": ["https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly"] }, "patch": { "id": "tasks.tasklists.patch", "path": "users/@me/lists/{tasklist}", "httpMethod": "PATCH", "description": "Updates the authenticated user's specified task list. This method supports patch semantics.", "parameters": { "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist"], "request": { "$ref": "TaskList" }, "response": { "$ref": "TaskList" }, "scopes": ["https://www.googleapis.com/auth/tasks"] }, "update": { "id": "tasks.tasklists.update", "path": "users/@me/lists/{tasklist}", "httpMethod": "PUT", "description": "Updates the authenticated user's specified task list.", "parameters": { "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist"], "request": { "$ref": "TaskList" }, "response": { "$ref": "TaskList" }, "scopes": ["https://www.googleapis.com/auth/tasks"] } } }, "tasks": { "methods": { "clear": { "id": "tasks.tasks.clear", "path": "lists/{tasklist}/clear", "httpMethod": "POST", "description": "Clears all completed tasks from the specified task list. The affected tasks will be marked as 'hidden' and no longer be returned by default when retrieving all tasks for a task list.", "parameters": { "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist"], "scopes": ["https://www.googleapis.com/auth/tasks"] }, "delete": { "id": "tasks.tasks.delete", "path": "lists/{tasklist}/tasks/{task}", "httpMethod": "DELETE", "description": "Deletes the specified task from the task list.", "parameters": { "task": { "type": "string", "description": "Task identifier.", "required": true, "location": "path" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist", "task"], "scopes": ["https://www.googleapis.com/auth/tasks"] }, "get": { "id": "tasks.tasks.get", "path": "lists/{tasklist}/tasks/{task}", "httpMethod": "GET", "description": "Returns the specified task.", "parameters": { "task": { "type": "string", "description": "Task identifier.", "required": true, "location": "path" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist", "task"], "response": { "$ref": "Task" }, "scopes": ["https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly"] }, "insert": { "id": "tasks.tasks.insert", "path": "lists/{tasklist}/tasks", "httpMethod": "POST", "description": "Creates a new task on the specified task list.", "parameters": { "parent": { "type": "string", "description": "Parent task identifier. If the task is created at the top level, this parameter is omitted. Optional.", "location": "query" }, "previous": { "type": "string", "description": "Previous sibling task identifier. If the task is created at the first position among its siblings, this parameter is omitted. Optional.", "location": "query" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist"], "request": { "$ref": "Task" }, "response": { "$ref": "Task" }, "scopes": ["https://www.googleapis.com/auth/tasks"] }, "list": { "id": "tasks.tasks.list", "path": "lists/{tasklist}/tasks", "httpMethod": "GET", "description": "Returns all tasks in the specified task list.", "parameters": { "completedMax": { "type": "string", "description": "Upper bound for a task's completion date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.", "location": "query" }, "completedMin": { "type": "string", "description": "Lower bound for a task's completion date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.", "location": "query" }, "dueMax": { "type": "string", "description": "Upper bound for a task's due date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by due date.", "location": "query" }, "dueMin": { "type": "string", "description": "Lower bound for a task's due date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by due date.", "location": "query" }, "maxResults": { "type": "string", "description": "Maximum number of task lists returned on one page. Optional. The default is 20 (max allowed: 100).", "format": "int64", "location": "query" }, "pageToken": { "type": "string", "description": "Token specifying the result page to return. Optional.", "location": "query" }, "showCompleted": { "type": "boolean", "description": "Flag indicating whether completed tasks are returned in the result. Optional. The default is True.", "location": "query" }, "showDeleted": { "type": "boolean", "description": "Flag indicating whether deleted tasks are returned in the result. Optional. The default is False.", "location": "query" }, "showHidden": { "type": "boolean", "description": "Flag indicating whether hidden tasks are returned in the result. Optional. The default is False.", "location": "query" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" }, "updatedMin": { "type": "string", "description": "Lower bound for a task's last modification time (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by last modification time.", "location": "query" } }, "parameterOrder": ["tasklist"], "response": { "$ref": "Tasks" }, "scopes": ["https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly"] }, "move": { "id": "tasks.tasks.move", "path": "lists/{tasklist}/tasks/{task}/move", "httpMethod": "POST", "description": "Moves the specified task to another position in the task list. This can include putting it as a child task under a new parent and/or move it to a different position among its sibling tasks.", "parameters": { "parent": { "type": "string", "description": "New parent task identifier. If the task is moved to the top level, this parameter is omitted. Optional.", "location": "query" }, "previous": { "type": "string", "description": "New previous sibling task identifier. If the task is moved to the first position among its siblings, this parameter is omitted. Optional.", "location": "query" }, "task": { "type": "string", "description": "Task identifier.", "required": true, "location": "path" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist", "task"], "response": { "$ref": "Task" }, "scopes": ["https://www.googleapis.com/auth/tasks"] }, "patch": { "id": "tasks.tasks.patch", "path": "lists/{tasklist}/tasks/{task}", "httpMethod": "PATCH", "description": "Updates the specified task. This method supports patch semantics.", "parameters": { "task": { "type": "string", "description": "Task identifier.", "required": true, "location": "path" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist", "task"], "request": { "$ref": "Task" }, "response": { "$ref": "Task" }, "scopes": ["https://www.googleapis.com/auth/tasks"] }, "update": { "id": "tasks.tasks.update", "path": "lists/{tasklist}/tasks/{task}", "httpMethod": "PUT", "description": "Updates the specified task.", "parameters": { "task": { "type": "string", "description": "Task identifier.", "required": true, "location": "path" }, "tasklist": { "type": "string", "description": "Task list identifier.", "required": true, "location": "path" } }, "parameterOrder": ["tasklist", "task"], "request": { "$ref": "Task" }, "response": { "$ref": "Task" }, "scopes": ["https://www.googleapis.com/auth/tasks"] } } } } };
//# sourceMappingURL=tasks-v1.js.map