"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "discoveryVersion": "v1", "version_module": true, "schemas": { "MailOptions": { "description": "Mail search advanced options", "type": "object", "properties": { "excludeDrafts": { "type": "boolean", "description": "Set to true to exclude drafts." } }, "id": "MailOptions" }, "RemoveHeldAccountsResponse": { "type": "object", "properties": { "statuses": { "description": "A list of statuses for deleted accounts. Results have the\nsame order as the request.", "type": "array", "items": { "$ref": "Status" } } }, "id": "RemoveHeldAccountsResponse", "description": "Response for batch delete held accounts." }, "HangoutsChatOptions": { "type": "object", "properties": { "includeRooms": { "description": "Set to true to include rooms.", "type": "boolean" } }, "id": "HangoutsChatOptions", "description": "Hangouts chat search advanced options" }, "HeldHangoutsChatQuery": { "description": "Query options for hangouts chat holds.", "type": "object", "properties": { "includeRooms": { "description": "If true, include rooms the user has participated in.", "type": "boolean" } }, "id": "HeldHangoutsChatQuery" }, "AddHeldAccountResult": { "description": "A status detailing the status of each account creation, and the\nHeldAccount, if successful.", "type": "object", "properties": { "account": { "$ref": "HeldAccount", "description": "If present, this account was successfully created." }, "status": { "$ref": "Status", "description": "This represents the success status. If failed, check message." } }, "id": "AddHeldAccountResult" }, "HeldAccount": { "type": "object", "properties": { "firstName": { "description": "Output only. The first name of the account holder.", "type": "string" }, "holdTime": { "description": "Output only. When the account was put on hold.", "format": "google-datetime", "type": "string" }, "lastName": { "type": "string", "description": "Output only. The last name of the account holder." }, "email": { "type": "string", "description": "The primary email address of the account. If used as an input, this takes\nprecedence over account ID." }, "accountId": { "description": "The account's ID as provided by the\n<a href=\"https://developers.google.com/admin-sdk/\">Admin SDK</a>.", "type": "string" } }, "id": "HeldAccount", "description": "An account being held in a particular hold. This structure is immutable.\nThis can be either a single user or a google group, depending on the corpus." }, "ExportStats": { "description": "Stats of an export.", "type": "object", "properties": { "totalArtifactCount": { "description": "The number of documents to be exported.", "format": "int64", "type": "string" }, "sizeInBytes": { "type": "string", "description": "The size of export in bytes.", "format": "int64" }, "exportedArtifactCount": { "description": "The number of documents already processed by the export.", "format": "int64", "type": "string" } }, "id": "ExportStats" }, "AccountInfo": { "type": "object", "properties": { "emails": { "type": "array", "items": { "type": "string" }, "description": "A set of accounts to search." } }, "id": "AccountInfo", "description": "Accounts to search" }, "ListExportsResponse": { "id": "ListExportsResponse", "description": "The holds for a matter.", "type": "object", "properties": { "exports": { "description": "The list of exports.", "type": "array", "items": { "$ref": "Export" } }, "nextPageToken": { "description": "Page token to retrieve the next page of results in the list.", "type": "string" } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.", "type": "object", "properties": {}, "id": "Empty" }, "SharedDriveInfo": { "description": "Shared drives to search", "type": "object", "properties": { "sharedDriveIds": { "description": "List of Shared drive ids, as provided by <a\nhref=\"https://developers.google.com/drive\">Drive API</a>.", "type": "array", "items": { "type": "string" } } }, "id": "SharedDriveInfo" }, "Query": { "description": "A query definition relevant for search & export.", "type": "object", "properties": { "searchMethod": { "enumDescriptions": ["A search method must be specified. If a request does not specify a\nsearch method, it will be rejected.", "Will search all accounts provided in account_info.", "Will search all accounts in the OU specified in org_unit_info.", "Will search for all accounts in the Team Drive specified in\nteam_drive_info.", "Will search for all accounts in the organization.\nNo need to set account_info or org_unit_info.", "Will search in the Room specified in\nhangout_chats_info. (read-only)", "Will search for all accounts in the shared drive specified in\nshared_drive_info."], "enum": ["SEARCH_METHOD_UNSPECIFIED", "ACCOUNT", "ORG_UNIT", "TEAM_DRIVE", "ENTIRE_ORG", "ROOM", "SHARED_DRIVE"], "description": "The search method to use.", "type": "string" }, "corpus": { "type": "string", "enumDescriptions": ["No corpus specified.", "Drive.", "Mail.", "Groups.", "Hangouts Chat."], "enum": ["CORPUS_TYPE_UNSPECIFIED", "DRIVE", "MAIL", "GROUPS", "HANGOUTS_CHAT"], "description": "The corpus to search." }, "hangoutsChatInfo": { "$ref": "HangoutsChatInfo", "description": "When 'ROOM' is chosen as search method, hangout_chats_info needs to be\nspecified. (read-only)" }, "hangoutsChatOptions": { "$ref": "HangoutsChatOptions", "description": "For hangouts chat search, specify more options in this field. (read-only)" }, "orgUnitInfo": { "$ref": "OrgUnitInfo", "description": "When 'ORG_UNIT' is chosen as as search method, org_unit_info needs\nto be specified." }, "terms": { "description": "The corpus-specific\n<a href=\"https://support.google.com/vault/answer/2474474\">search\noperators</a> used to generate search results.", "type": "string" }, "method": { "description": "The search method to use. This field is similar to the search_method field\nbut is introduced to support shared drives. It supports all\nsearch method types. In case the search_method is TEAM_DRIVE the response\nof this field will be SHARED_DRIVE only.", "type": "string", "enumDescriptions": ["A search method must be specified. If a request does not specify a\nsearch method, it will be rejected.", "Will search all accounts provided in account_info.", "Will search all accounts in the OU specified in org_unit_info.", "Will search for all accounts in the Team Drive specified in\nteam_drive_info.", "Will search for all accounts in the organization.\nNo need to set account_info or org_unit_info.", "Will search in the Room specified in\nhangout_chats_info. (read-only)", "Will search for all accounts in the shared drive specified in\nshared_drive_info."], "enum": ["SEARCH_METHOD_UNSPECIFIED", "ACCOUNT", "ORG_UNIT", "TEAM_DRIVE", "ENTIRE_ORG", "ROOM", "SHARED_DRIVE"] }, "mailOptions": { "$ref": "MailOptions", "description": "For mail search, specify more options in this field." }, "timeZone": { "description": "The time zone name.\nIt should be an IANA TZ name, such as \"America/Los_Angeles\".\nFor more information, see\n<a href=\"https://en.wikipedia.org/wiki/List_of_tz_database_time_zones\">Time\nZone</a>.", "type": "string" }, "teamDriveInfo": { "$ref": "TeamDriveInfo", "description": "When 'TEAM_DRIVE' is chosen as search method, team_drive_info needs to be\nspecified." }, "accountInfo": { "$ref": "AccountInfo", "description": "When 'ACCOUNT' is chosen as search method,\naccount_info needs to be specified." }, "sharedDriveInfo": { "$ref": "SharedDriveInfo", "description": "When 'SHARED_DRIVE' is chosen as search method, shared_drive_info needs\nto be specified." }, "driveOptions": { "$ref": "DriveOptions", "description": "For Drive search, specify more options in this field." }, "endTime": { "description": "The end time range for the search query. These timestamps are in GMT and\nrounded down to the start of the given date.", "format": "google-datetime", "type": "string" }, "dataScope": { "description": "The data source to search from.", "type": "string", "enumDescriptions": ["No data scope specified.", "All available data.", "Data on hold.", "Data not processed."], "enum": ["DATA_SCOPE_UNSPECIFIED", "ALL_DATA", "HELD_DATA", "UNPROCESSED_DATA"] }, "startTime": { "type": "string", "description": "The start time range for the search query. These timestamps are in GMT and\nrounded down to the start of the given date.", "format": "google-datetime" } }, "id": "Query" }, "CloudStorageSink": { "description": "Export sink for cloud storage files.", "type": "object", "properties": { "files": { "description": "Output only. The exported files on cloud storage.", "type": "array", "items": { "$ref": "CloudStorageFile" } } }, "id": "CloudStorageSink" }, "ListMattersResponse": { "description": "Provides the list of matters.", "type": "object", "properties": { "matters": { "description": "List of matters.", "type": "array", "items": { "$ref": "Matter" } }, "nextPageToken": { "type": "string", "description": "Page token to retrieve the next page of results in the list." } }, "id": "ListMattersResponse" }, "SavedQuery": { "type": "object", "properties": { "matterId": { "description": "Output only. The matter id of the associated matter.\nThe server does not look at this field during create and always uses matter\nid in the URL.", "type": "string" }, "createTime": { "description": "Output only. The server generated timestamp at which saved query was\ncreated.", "format": "google-datetime", "type": "string" }, "savedQueryId": { "description": "A unique identifier for the saved query.", "type": "string" }, "displayName": { "description": "Name of the saved query.", "type": "string" }, "query": { "description": "The underlying Query object which contains all the information of the saved\nquery.", "$ref": "Query" } }, "id": "SavedQuery", "description": "Definition of the saved query." }, "CloseMatterResponse": { "id": "CloseMatterResponse", "description": "Response to a CloseMatterRequest.", "type": "object", "properties": { "matter": { "$ref": "Matter", "description": "The updated matter, with state CLOSED." } } }, "OrgUnitInfo": { "id": "OrgUnitInfo", "description": "Org Unit to search", "type": "object", "properties": { "orgUnitId": { "description": "Org unit to search, as provided by the\n<a href=\"https://developers.google.com/admin-sdk/directory/\">Admin SDK\nDirectory API</a>.", "type": "string" } } }, "ListSavedQueriesResponse": { "type": "object", "properties": { "savedQueries": { "description": "List of output saved queries.", "type": "array", "items": { "$ref": "SavedQuery" } }, "nextPageToken": { "type": "string", "description": "Page token to retrieve the next page of results in the list.\nIf this is empty, then there are no more saved queries to list." } }, "id": "ListSavedQueriesResponse", "description": "Definition of the response for method ListSaveQuery." }, "AddHeldAccountsRequest": { "description": "Add a list of accounts to a hold.", "type": "object", "properties": { "emails": { "description": "Emails to identify which accounts to add. Only emails or only account_ids\nshould be specified, but not both.", "type": "array", "items": { "type": "string" } }, "accountIds": { "type": "array", "items": { "type": "string" }, "description": "Account ids to identify which accounts to add. Only account_ids or only\nemails should be specified, but not both." } }, "id": "AddHeldAccountsRequest" }, "AddMatterPermissionsRequest": { "type": "object", "properties": { "sendEmails": { "type": "boolean", "description": "True to send notification email to the added account.\nFalse to not send notification email." }, "matterPermission": { "description": "The MatterPermission to add.", "$ref": "MatterPermission" }, "ccMe": { "description": "Only relevant if send_emails is true.\nTrue to CC requestor in the email message.\nFalse to not CC requestor.", "type": "boolean" } }, "id": "AddMatterPermissionsRequest", "description": "Add an account with the permission specified. The role cannot be owner.\nIf an account already has a role in the matter, it will be\noverwritten." }, "ReopenMatterResponse": { "type": "object", "properties": { "matter": { "$ref": "Matter", "description": "The updated matter, with state OPEN." } }, "id": "ReopenMatterResponse", "description": "Response to a ReopenMatterRequest." }, "ExportOptions": { "description": "Export advanced options", "type": "object", "properties": { "driveOptions": { "$ref": "DriveExportOptions", "description": "Option available for Drive export." }, "mailOptions": { "$ref": "MailExportOptions", "description": "Option available for mail export." }, "region": { "description": "The requested export location.", "type": "string", "enumDescriptions": ["The region is unspecified. Will be treated the same as ANY.", "Any region.", "US region.", "Europe region."], "enum": ["EXPORT_REGION_UNSPECIFIED", "ANY", "US", "EUROPE"] }, "hangoutsChatOptions": { "$ref": "HangoutsChatExportOptions", "description": "Option available for hangouts chat export." }, "groupsOptions": { "$ref": "GroupsExportOptions", "description": "Option available for groups export." } }, "id": "ExportOptions" }, "TeamDriveInfo": { "type": "object", "properties": { "teamDriveIds": { "type": "array", "items": { "type": "string" }, "description": "List of Team Drive ids, as provided by <a\nhref=\"https://developers.google.com/drive\">Drive API</a>." } }, "id": "TeamDriveInfo", "description": "Team Drives to search" }, "UserInfo": { "description": "User's information.", "type": "object", "properties": { "email": { "type": "string", "description": "The email address of the user." }, "displayName": { "type": "string", "description": "The displayed name of the user." } }, "id": "UserInfo" }, "UndeleteMatterRequest": { "description": "Undelete a matter by ID.", "type": "object", "properties": {}, "id": "UndeleteMatterRequest" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use." } }, "id": "Status" }, "RemoveMatterPermissionsRequest": { "type": "object", "properties": { "accountId": { "description": "The account ID.", "type": "string" } }, "id": "RemoveMatterPermissionsRequest", "description": "Remove an account as a matter collaborator." }, "MatterPermission": { "description": "Currently each matter only has one owner, and all others are collaborators.\nWhen an account is purged, its corresponding MatterPermission resources\ncease to exist.", "type": "object", "properties": { "role": { "description": "The user's role in this matter.", "type": "string", "enumDescriptions": ["No role assigned.", "A collaborator to the matter.", "The owner of the matter."], "enum": ["ROLE_UNSPECIFIED", "COLLABORATOR", "OWNER"] }, "accountId": { "description": "The account id, as provided by <a\nhref=\"https://developers.google.com/admin-sdk/\">Admin SDK</a>.", "type": "string" } }, "id": "MatterPermission" }, "GroupsExportOptions": { "type": "object", "properties": { "exportFormat": { "enum": ["EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST"], "description": "The export format for groups export.", "type": "string", "enumDescriptions": ["No export format specified.", "MBOX as export format.", "PST as export format"] } }, "id": "GroupsExportOptions", "description": "The options for groups export." }, "DriveExportOptions": { "description": "The options for Drive export.", "type": "object", "properties": { "includeAccessInfo": { "description": "Set to true to include access level information for users\nwith <a\nhref=\"https://support.google.com/vault/answer/6099459#metadata\">indirect\naccess</a> to files.", "type": "boolean" } }, "id": "DriveExportOptions" }, "HeldMailQuery": { "type": "object", "properties": { "startTime": { "description": "The start time range for the search query. These timestamps are in GMT and\nrounded down to the start of the given date.", "format": "google-datetime", "type": "string" }, "terms": { "type": "string", "description": "The search terms for the hold." }, "endTime": { "type": "string", "description": "The end time range for the search query. These timestamps are in GMT and\nrounded down to the start of the given date.", "format": "google-datetime" } }, "id": "HeldMailQuery", "description": "Query options for mail holds." }, "HeldDriveQuery": { "id": "HeldDriveQuery", "description": "Query options for Drive holds.", "type": "object", "properties": { "includeTeamDriveFiles": { "description": "If true, include files in Team Drives in the hold.", "type": "boolean" }, "includeSharedDriveFiles": { "type": "boolean", "description": "If true, include files in shared drives in the hold." } } }, "HeldGroupsQuery": { "id": "HeldGroupsQuery", "description": "Query options for group holds.", "type": "object", "properties": { "terms": { "type": "string", "description": "The search terms for the hold." }, "endTime": { "type": "string", "description": "The end time range for the search query. These timestamps are in GMT and\nrounded down to the start of the given date.", "format": "google-datetime" }, "startTime": { "description": "The start time range for the search query. These timestamps are in GMT and\nrounded down to the start of the given date.", "format": "google-datetime", "type": "string" } } }, "HeldOrgUnit": { "description": "A organizational unit being held in a particular hold.\nThis structure is immutable.", "type": "object", "properties": { "holdTime": { "type": "string", "description": "When the org unit was put on hold. This property is immutable.", "format": "google-datetime" }, "orgUnitId": { "description": "The org unit's immutable ID as provided by the Admin SDK.", "type": "string" } }, "id": "HeldOrgUnit" }, "Matter": { "description": "Represents a matter.", "type": "object", "properties": { "state": { "enumDescriptions": ["The matter has no specified state.", "This matter is open.", "This matter is closed.", "This matter is deleted."], "enum": ["STATE_UNSPECIFIED", "OPEN", "CLOSED", "DELETED"], "description": "The state of the matter.", "type": "string" }, "name": { "description": "The name of the matter.", "type": "string" }, "matterPermissions": { "description": "List of users and access to the matter. Currently there is no programmer\ndefined limit on the number of permissions a matter can have.", "type": "array", "items": { "$ref": "MatterPermission" } }, "description": { "description": "The description of the matter.", "type": "string" }, "matterId": { "description": "The matter ID which is generated by the server.\nShould be blank when creating a new matter.", "type": "string" } }, "id": "Matter" }, "AddHeldAccountsResponse": { "id": "AddHeldAccountsResponse", "description": "Response for batch create held accounts.", "type": "object", "properties": { "responses": { "description": "The list of responses, in the same order as the batch request.", "type": "array", "items": { "$ref": "AddHeldAccountResult" } } } }, "Export": { "id": "Export", "description": "An export", "type": "object", "properties": { "matterId": { "type": "string", "description": "Output only. The matter ID." }, "id": { "type": "string", "description": "Output only. The generated export ID." }, "exportOptions": { "$ref": "ExportOptions", "description": "Advanced options of the export." }, "stats": { "$ref": "ExportStats", "description": "Output only. Export statistics." }, "cloudStorageSink": { "description": "Output only. Export sink for cloud storage files.", "$ref": "CloudStorageSink" }, "query": { "$ref": "Query", "description": "The search query being exported." }, "createTime": { "description": "Output only. The time when the export was created.", "format": "google-datetime", "type": "string" }, "status": { "description": "Output only. The export status.", "type": "string", "enumDescriptions": ["The status is unspecified.", "The export completed.", "The export failed.", "The export is still being executed."], "enum": ["EXPORT_STATUS_UNSPECIFIED", "COMPLETED", "FAILED", "IN_PROGRESS"] }, "name": { "type": "string", "description": "The export name." }, "requester": { "$ref": "UserInfo", "description": "Output only. The requester of the export." } } }, "CorpusQuery": { "type": "object", "properties": { "mailQuery": { "description": "Details pertaining to mail holds. If set, corpus must be mail.", "$ref": "HeldMailQuery" }, "groupsQuery": { "$ref": "HeldGroupsQuery", "description": "Details pertaining to Groups holds. If set, corpus must be Groups." }, "hangoutsChatQuery": { "$ref": "HeldHangoutsChatQuery", "description": "Details pertaining to Hangouts Chat holds. If set, corpus must be\nHangouts Chat." }, "driveQuery": { "$ref": "HeldDriveQuery", "description": "Details pertaining to Drive holds. If set, corpus must be Drive." } }, "id": "CorpusQuery", "description": "Corpus specific queries." }, "Hold": { "description": "Represents a hold within Vault. A hold restricts purging of\nartifacts based on the combination of the query and accounts restrictions.\nA hold can be configured to either apply to an explicitly configured set\nof accounts, or can be applied to all members of an organizational unit.", "type": "object", "properties": { "accounts": { "type": "array", "items": { "$ref": "HeldAccount" }, "description": "If set, the hold applies to the enumerated accounts and org_unit must be\nempty." }, "orgUnit": { "description": "If set, the hold applies to all members of the organizational unit and\naccounts must be empty. This property is mutable. For groups holds,\nset the accounts field.", "$ref": "HeldOrgUnit" }, "query": { "$ref": "CorpusQuery", "description": "The corpus-specific query. If set, the corpusQuery must match corpus\ntype." }, "corpus": { "enumDescriptions": ["No corpus specified.", "Drive.", "Mail.", "Groups.", "Hangouts Chat."], "enum": ["CORPUS_TYPE_UNSPECIFIED", "DRIVE", "MAIL", "GROUPS", "HANGOUTS_CHAT"], "description": "The corpus to be searched.", "type": "string" }, "updateTime": { "type": "string", "description": "The last time this hold was modified.", "format": "google-datetime" }, "holdId": { "description": "The unique immutable ID of the hold. Assigned during creation.", "type": "string" }, "name": { "description": "The name of the hold.", "type": "string" } }, "id": "Hold" }, "HangoutsChatInfo": { "description": "Accounts to search", "type": "object", "properties": { "roomId": { "description": "A set of rooms to search.", "type": "array", "items": { "type": "string" } } }, "id": "HangoutsChatInfo" }, "HangoutsChatExportOptions": { "id": "HangoutsChatExportOptions", "description": "The options for hangouts chat export.", "type": "object", "properties": { "exportFormat": { "type": "string", "enumDescriptions": ["No export format specified.", "MBOX as export format.", "PST as export format"], "enum": ["EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST"], "description": "The export format for hangouts chat export." } } }, "ListHoldsResponse": { "type": "object", "properties": { "holds": { "type": "array", "items": { "$ref": "Hold" }, "description": "The list of holds." }, "nextPageToken": { "description": "Page token to retrieve the next page of results in the list.\nIf this is empty, then there are no more holds to list.", "type": "string" } }, "id": "ListHoldsResponse", "description": "The holds for a matter." }, "ListHeldAccountsResponse": { "type": "object", "properties": { "accounts": { "description": "The held accounts on a hold.", "type": "array", "items": { "$ref": "HeldAccount" } } }, "id": "ListHeldAccountsResponse", "description": "Returns a list of held accounts for a hold." }, "CloseMatterRequest": { "id": "CloseMatterRequest", "description": "Close a matter by ID.", "type": "object", "properties": {} }, "ReopenMatterRequest": { "type": "object", "properties": {}, "id": "ReopenMatterRequest", "description": "Reopen a matter by ID." }, "MailExportOptions": { "id": "MailExportOptions", "description": "The options for mail export.", "type": "object", "properties": { "showConfidentialModeContent": { "description": "Set to true to export confidential mode content.", "type": "boolean" }, "exportFormat": { "description": "The export file format.", "type": "string", "enumDescriptions": ["No export format specified.", "MBOX as export format.", "PST as export format"], "enum": ["EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST"] } } }, "DriveOptions": { "description": "Drive search advanced options", "type": "object", "properties": { "includeSharedDrives": { "type": "boolean", "description": "Set to true to include shared drive." }, "versionDate": { "description": "Search the versions of the Drive file\nas of the reference date. These timestamps are in GMT and\nrounded down to the given date.", "format": "google-datetime", "type": "string" }, "includeTeamDrives": { "type": "boolean", "description": "Set to true to include Team Drive." } }, "id": "DriveOptions" }, "RemoveHeldAccountsRequest": { "description": "Remove a list of accounts from a hold.", "type": "object", "properties": { "accountIds": { "type": "array", "items": { "type": "string" }, "description": "Account ids to identify HeldAccounts to remove." } }, "id": "RemoveHeldAccountsRequest" }, "CloudStorageFile": { "id": "CloudStorageFile", "description": "An export file on cloud storage", "type": "object", "properties": { "bucketName": { "description": "The cloud storage bucket name of this export file.\nCan be used in cloud storage JSON/XML API.", "type": "string" }, "size": { "description": "The size of the export file.", "format": "int64", "type": "string" }, "md5Hash": { "description": "The md5 hash of the file.", "type": "string" }, "objectName": { "type": "string", "description": "The cloud storage object name of this export file.\nCan be used in cloud storage JSON/XML API." } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "canonicalName": "Vault", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/ediscovery.readonly": { "description": "View your eDiscovery data" }, "https://www.googleapis.com/auth/ediscovery": { "description": "Manage your eDiscovery data" } } } }, "rootUrl": "https://vault.googleapis.com/", "ownerDomain": "google.com", "name": "vault", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "G Suite Vault API", "ownerName": "Google", "resources": { "matters": { "methods": { "delete": { "flatPath": "v1/matters/{matterId}", "id": "vault.matters.delete", "path": "v1/matters/{matterId}", "description": "Deletes the specified matter. Returns matter with updated state.", "httpMethod": "DELETE", "parameterOrder": ["matterId"], "response": { "$ref": "Matter" }, "parameters": { "matterId": { "location": "path", "description": "The matter ID", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery"] }, "list": { "parameters": { "state": { "type": "string", "location": "query", "enum": ["STATE_UNSPECIFIED", "OPEN", "CLOSED", "DELETED"], "description": "If set, list only matters with that specific state. The default is listing\nmatters of all states." }, "pageToken": { "type": "string", "location": "query", "description": "The pagination token as returned in the response." }, "pageSize": { "location": "query", "description": "The number of matters to return in the response.\nDefault and maximum are 100.", "format": "int32", "type": "integer" }, "view": { "location": "query", "enum": ["VIEW_UNSPECIFIED", "BASIC", "FULL"], "description": "Specifies which parts of the matter to return in response.", "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "flatPath": "v1/matters", "path": "v1/matters", "id": "vault.matters.list", "description": "Lists matters the user has access to.", "response": { "$ref": "ListMattersResponse" }, "parameterOrder": [], "httpMethod": "GET" }, "addPermissions": { "httpMethod": "POST", "parameterOrder": ["matterId"], "response": { "$ref": "MatterPermission" }, "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery"], "flatPath": "v1/matters/{matterId}:addPermissions", "id": "vault.matters.addPermissions", "path": "v1/matters/{matterId}:addPermissions", "description": "Adds an account as a matter collaborator.", "request": { "$ref": "AddMatterPermissionsRequest" } }, "create": { "httpMethod": "POST", "parameterOrder": [], "response": { "$ref": "Matter" }, "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": {}, "flatPath": "v1/matters", "id": "vault.matters.create", "path": "v1/matters", "request": { "$ref": "Matter" }, "description": "Creates a new matter with the given name and description. The initial state\nis open, and the owner is the method caller. Returns the created matter\nwith default view." }, "removePermissions": { "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "description": "The matter ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/matters/{matterId}:removePermissions", "path": "v1/matters/{matterId}:removePermissions", "id": "vault.matters.removePermissions", "request": { "$ref": "RemoveMatterPermissionsRequest" }, "description": "Removes an account as a matter collaborator.", "response": { "$ref": "Empty" }, "parameterOrder": ["matterId"], "httpMethod": "POST" }, "reopen": { "response": { "$ref": "ReopenMatterResponse" }, "parameterOrder": ["matterId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." } }, "flatPath": "v1/matters/{matterId}:reopen", "path": "v1/matters/{matterId}:reopen", "id": "vault.matters.reopen", "request": { "$ref": "ReopenMatterRequest" }, "description": "Reopens the specified matter. Returns matter with updated state." }, "close": { "httpMethod": "POST", "parameterOrder": ["matterId"], "response": { "$ref": "CloseMatterResponse" }, "parameters": { "matterId": { "description": "The matter ID.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery"], "flatPath": "v1/matters/{matterId}:close", "id": "vault.matters.close", "path": "v1/matters/{matterId}:close", "description": "Closes the specified matter. Returns matter with updated state.", "request": { "$ref": "CloseMatterRequest" } }, "get": { "response": { "$ref": "Matter" }, "parameterOrder": ["matterId"], "httpMethod": "GET", "parameters": { "view": { "location": "query", "enum": ["VIEW_UNSPECIFIED", "BASIC", "FULL"], "description": "Specifies which parts of the Matter to return in the response.", "type": "string" }, "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." } }, "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "flatPath": "v1/matters/{matterId}", "path": "v1/matters/{matterId}", "id": "vault.matters.get", "description": "Gets the specified matter." }, "undelete": { "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" } }, "flatPath": "v1/matters/{matterId}:undelete", "path": "v1/matters/{matterId}:undelete", "id": "vault.matters.undelete", "request": { "$ref": "UndeleteMatterRequest" }, "description": "Undeletes the specified matter. Returns matter with updated state.", "response": { "$ref": "Matter" }, "parameterOrder": ["matterId"], "httpMethod": "POST" }, "update": { "description": "Updates the specified matter.\nThis updates only the name and description of the matter, identified by\nmatter id. Changes to any other fields are ignored.\nReturns the default view of the matter.", "request": { "$ref": "Matter" }, "httpMethod": "PUT", "parameterOrder": ["matterId"], "response": { "$ref": "Matter" }, "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." } }, "scopes": ["https://www.googleapis.com/auth/ediscovery"], "flatPath": "v1/matters/{matterId}", "id": "vault.matters.update", "path": "v1/matters/{matterId}" } }, "resources": { "holds": { "methods": { "delete": { "response": { "$ref": "Empty" }, "parameterOrder": ["matterId", "holdId"], "httpMethod": "DELETE", "parameters": { "holdId": { "required": true, "type": "string", "location": "path", "description": "The hold ID." }, "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery"], "flatPath": "v1/matters/{matterId}/holds/{holdId}", "path": "v1/matters/{matterId}/holds/{holdId}", "id": "vault.matters.holds.delete", "description": "Removes a hold by ID. This will release any HeldAccounts on this Hold." }, "list": { "description": "Lists holds within a matter. An empty page token in ListHoldsResponse\ndenotes no more holds to list.", "response": { "$ref": "ListHoldsResponse" }, "parameterOrder": ["matterId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "parameters": { "pageToken": { "location": "query", "description": "The pagination token as returned in the response.\nAn empty token means start from the beginning.", "type": "string" }, "pageSize": { "location": "query", "description": "The number of holds to return in the response, between 0 and 100 inclusive.\nLeaving this empty, or as 0, is the same as page_size = 100.", "format": "int32", "type": "integer" }, "view": { "type": "string", "location": "query", "enum": ["HOLD_VIEW_UNSPECIFIED", "BASIC_HOLD", "FULL_HOLD"], "description": "Specifies which parts of the Hold to return." }, "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." } }, "flatPath": "v1/matters/{matterId}/holds", "path": "v1/matters/{matterId}/holds", "id": "vault.matters.holds.list" }, "create": { "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" } }, "flatPath": "v1/matters/{matterId}/holds", "path": "v1/matters/{matterId}/holds", "id": "vault.matters.holds.create", "request": { "$ref": "Hold" }, "description": "Creates a hold in the given matter.", "response": { "$ref": "Hold" }, "parameterOrder": ["matterId"], "httpMethod": "POST" }, "removeHeldAccounts": { "response": { "$ref": "RemoveHeldAccountsResponse" }, "parameterOrder": ["matterId", "holdId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." }, "holdId": { "location": "path", "description": "The hold ID.", "required": true, "type": "string" } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}:removeHeldAccounts", "path": "v1/matters/{matterId}/holds/{holdId}:removeHeldAccounts", "id": "vault.matters.holds.removeHeldAccounts", "request": { "$ref": "RemoveHeldAccountsRequest" }, "description": "Removes HeldAccounts from a hold. Returns a list of statuses in the same\norder as the request. If this request leaves the hold with no held\naccounts, the hold will not apply to any accounts." }, "addHeldAccounts": { "path": "v1/matters/{matterId}/holds/{holdId}:addHeldAccounts", "id": "vault.matters.holds.addHeldAccounts", "request": { "$ref": "AddHeldAccountsRequest" }, "description": "Adds HeldAccounts to a hold. Returns a list of accounts that have been\nsuccessfully added. Accounts can only be added to an existing account-based\nhold.", "response": { "$ref": "AddHeldAccountsResponse" }, "parameterOrder": ["matterId", "holdId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." }, "holdId": { "required": true, "type": "string", "location": "path", "description": "The hold ID." } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}:addHeldAccounts" }, "get": { "httpMethod": "GET", "parameterOrder": ["matterId", "holdId"], "response": { "$ref": "Hold" }, "parameters": { "holdId": { "location": "path", "description": "The hold ID.", "required": true, "type": "string" }, "view": { "description": "Specifies which parts of the Hold to return.", "type": "string", "location": "query", "enum": ["HOLD_VIEW_UNSPECIFIED", "BASIC_HOLD", "FULL_HOLD"] }, "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." } }, "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "flatPath": "v1/matters/{matterId}/holds/{holdId}", "id": "vault.matters.holds.get", "path": "v1/matters/{matterId}/holds/{holdId}", "description": "Gets a hold by ID." }, "update": { "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." }, "holdId": { "required": true, "type": "string", "location": "path", "description": "The ID of the hold." } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}", "path": "v1/matters/{matterId}/holds/{holdId}", "id": "vault.matters.holds.update", "request": { "$ref": "Hold" }, "description": "Updates the OU and/or query parameters of a hold. You cannot add accounts\nto a hold that covers an OU, nor can you add OUs to a hold that covers\nindividual accounts. Accounts listed in the hold will be ignored.", "response": { "$ref": "Hold" }, "parameterOrder": ["matterId", "holdId"], "httpMethod": "PUT" } }, "resources": { "accounts": { "methods": { "create": { "response": { "$ref": "HeldAccount" }, "parameterOrder": ["matterId", "holdId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "holdId": { "location": "path", "description": "The hold ID.", "required": true, "type": "string" }, "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}/accounts", "path": "v1/matters/{matterId}/holds/{holdId}/accounts", "id": "vault.matters.holds.accounts.create", "request": { "$ref": "HeldAccount" }, "description": "Adds a HeldAccount to a hold. Accounts can only be added to a hold that\nhas no held_org_unit set. Attempting to add an account to an OU-based\nhold will result in an error." }, "delete": { "response": { "$ref": "Empty" }, "parameterOrder": ["matterId", "holdId", "accountId"], "httpMethod": "DELETE", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "description": "The matter ID.", "required": true, "type": "string", "location": "path" }, "holdId": { "required": true, "type": "string", "location": "path", "description": "The hold ID." }, "accountId": { "required": true, "type": "string", "location": "path", "description": "The ID of the account to remove from the hold." } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}/accounts/{accountId}", "path": "v1/matters/{matterId}/holds/{holdId}/accounts/{accountId}", "id": "vault.matters.holds.accounts.delete", "description": "Removes a HeldAccount from a hold. If this request leaves the hold with\nno held accounts, the hold will not apply to any accounts." }, "list": { "description": "Lists HeldAccounts for a hold. This will only list individually specified\nheld accounts. If the hold is on an OU, then use\n<a href=\"https://developers.google.com/admin-sdk/\">Admin SDK</a>\nto enumerate its members.", "response": { "$ref": "ListHeldAccountsResponse" }, "parameterOrder": ["matterId", "holdId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "parameters": { "holdId": { "location": "path", "description": "The hold ID.", "required": true, "type": "string" }, "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}/accounts", "path": "v1/matters/{matterId}/holds/{holdId}/accounts", "id": "vault.matters.holds.accounts.list" } } } } }, "exports": { "methods": { "delete": { "description": "Deletes an Export.", "response": { "$ref": "Empty" }, "parameterOrder": ["matterId", "exportId"], "httpMethod": "DELETE", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" }, "exportId": { "description": "The export ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/matters/{matterId}/exports/{exportId}", "path": "v1/matters/{matterId}/exports/{exportId}", "id": "vault.matters.exports.delete" }, "get": { "description": "Gets an Export.", "response": { "$ref": "Export" }, "parameterOrder": ["matterId", "exportId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "required": true, "type": "string" }, "exportId": { "location": "path", "description": "The export ID.", "required": true, "type": "string" } }, "flatPath": "v1/matters/{matterId}/exports/{exportId}", "path": "v1/matters/{matterId}/exports/{exportId}", "id": "vault.matters.exports.get" }, "list": { "description": "Lists Exports.", "response": { "$ref": "ListExportsResponse" }, "parameterOrder": ["matterId"], "httpMethod": "GET", "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter ID." }, "pageToken": { "description": "The pagination token as returned in the response.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "description": "The number of exports to return in the response.", "format": "int32", "type": "integer" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "flatPath": "v1/matters/{matterId}/exports", "path": "v1/matters/{matterId}/exports", "id": "vault.matters.exports.list" }, "create": { "request": { "$ref": "Export" }, "description": "Creates an Export.", "response": { "$ref": "Export" }, "parameterOrder": ["matterId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "description": "The matter ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/matters/{matterId}/exports", "path": "v1/matters/{matterId}/exports", "id": "vault.matters.exports.create" } } }, "savedQueries": { "methods": { "delete": { "response": { "$ref": "Empty" }, "parameterOrder": ["matterId", "savedQueryId"], "httpMethod": "DELETE", "scopes": ["https://www.googleapis.com/auth/ediscovery"], "parameters": { "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter id of the parent matter for which the saved query is to be\ndeleted." }, "savedQueryId": { "required": true, "type": "string", "location": "path", "description": "Id of the saved query to be deleted." } }, "flatPath": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "path": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "id": "vault.matters.savedQueries.delete", "description": "Deletes a saved query by Id." }, "get": { "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "parameters": { "savedQueryId": { "description": "Id of the saved query to be retrieved.", "required": true, "type": "string", "location": "path" }, "matterId": { "required": true, "type": "string", "location": "path", "description": "The matter id of the parent matter for which the saved query is to be\nretrieved." } }, "flatPath": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "id": "vault.matters.savedQueries.get", "path": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "description": "Retrieves a saved query by Id.", "httpMethod": "GET", "parameterOrder": ["matterId", "savedQueryId"], "response": { "$ref": "SavedQuery" } }, "list": { "description": "Lists saved queries within a matter. An empty page token in\nListSavedQueriesResponse denotes no more saved queries to list.", "response": { "$ref": "ListSavedQueriesResponse" }, "parameterOrder": ["matterId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly"], "parameters": { "pageToken": { "location": "query", "description": "The pagination token as returned in the previous response.\nAn empty token means start from the beginning.", "type": "string" }, "pageSize": { "location": "query", "description": "The maximum number of saved queries to return.", "format": "int32", "type": "integer" }, "matterId": { "location": "path", "description": "The matter id of the parent matter for which the saved queries are to be\nretrieved.", "required": true, "type": "string" } }, "flatPath": "v1/matters/{matterId}/savedQueries", "path": "v1/matters/{matterId}/savedQueries", "id": "vault.matters.savedQueries.list" }, "create": { "id": "vault.matters.savedQueries.create", "path": "v1/matters/{matterId}/savedQueries", "description": "Creates a saved query.", "request": { "$ref": "SavedQuery" }, "httpMethod": "POST", "parameterOrder": ["matterId"], "response": { "$ref": "SavedQuery" }, "parameters": { "matterId": { "location": "path", "description": "The matter id of the parent matter for which the saved query is to be\ncreated.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/ediscovery"], "flatPath": "v1/matters/{matterId}/savedQueries" } } } } } }, "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "$.xgafv": { "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"] }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "alt": { "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"], "type": "string" } }, "version": "v1", "baseUrl": "https://vault.googleapis.com/", "servicePath": "", "description": "Archiving and eDiscovery for G Suite.", "kind": "discovery#restDescription", "basePath": "", "id": "vault:v1", "documentationLink": "https://developers.google.com/vault", "revision": "20190614" };
//# sourceMappingURL=vault-v1.js.map