"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "kind": "discovery#restDescription", "etag": "\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/g2F1MSJ53fQAEqcEpsY4j4LJKrQ\"", "discoveryVersion": "v1", "id": "webfonts:v1", "name": "webfonts", "version": "v1", "revision": "20160302", "title": "Google Fonts Developer API", "description": "Accesses the metadata for all families served by Google Fonts, providing a list of families currently available (including available styles and a list of supported script subsets).", "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "https://www.google.com/images/icons/feature/font_api-16.png", "x32": "https://www.google.com/images/icons/feature/font_api-32.gif" }, "documentationLink": "https://developers.google.com/fonts/docs/developer_api", "protocol": "rest", "baseUrl": "https://www.googleapis.com/webfonts/v1/", "basePath": "/webfonts/v1/", "rootUrl": "https://www.googleapis.com/", "servicePath": "webfonts/v1/", "batchPath": "batch/webfonts/v1", "parameters": { "alt": { "type": "string", "description": "Data format for the response.", "default": "json", "enum": ["json"], "enumDescriptions": ["Responses with Content-Type of application/json"], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" } }, "schemas": { "Webfont": { "id": "Webfont", "type": "object", "properties": { "category": { "type": "string", "description": "The category of the font." }, "family": { "type": "string", "description": "The name of the font." }, "files": { "type": "object", "description": "The font files (with all supported scripts) for each one of the available variants, as a key : value map.", "additionalProperties": { "type": "string", "description": "The font file URL (value) for an specific variant (key)." } }, "kind": { "type": "string", "description": "This kind represents a webfont object in the webfonts service.", "default": "webfonts#webfont" }, "lastModified": { "type": "string", "description": "The date (format \"yyyy-MM-dd\") the font was modified for the last time.", "format": "date" }, "subsets": { "type": "array", "description": "The scripts supported by the font.", "items": { "type": "string" } }, "variants": { "type": "array", "description": "The available variants for the font.", "items": { "type": "string" } }, "version": { "type": "string", "description": "The font version." } } }, "WebfontList": { "id": "WebfontList", "type": "object", "properties": { "items": { "type": "array", "description": "The list of fonts currently served by the Google Fonts API.", "items": { "$ref": "Webfont" } }, "kind": { "type": "string", "description": "This kind represents a list of webfont objects in the webfonts service.", "default": "webfonts#webfontList" } } } }, "resources": { "webfonts": { "methods": { "list": { "id": "webfonts.webfonts.list", "path": "webfonts", "httpMethod": "GET", "description": "Retrieves the list of fonts currently served by the Google Fonts Developer API", "parameters": { "sort": { "type": "string", "description": "Enables sorting of the list", "enum": ["alpha", "date", "popularity", "style", "trending"], "enumDescriptions": ["Sort alphabetically", "Sort by date added", "Sort by popularity", "Sort by number of styles", "Sort by trending"], "location": "query" } }, "response": { "$ref": "WebfontList" } } } } } };
//# sourceMappingURL=webfonts-v1.js.map