export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/HkusLjnJylktCxzKpJ_mLnA9rxQ\"","discoveryVersion":"v1","id":"adsense:v1.4","name":"adsense","canonicalName":"AdSense","version":"v1.4","revision":"20190625","title":"AdSense Management API","description":"Accesses AdSense publishers' inventory and generates performance reports.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.google.com/images/icons/product/adsense-16.png","x32":"https://www.google.com/images/icons/product/adsense-32.png"},"documentationLink":"https://developers.google.com/adsense/management/","protocol":"rest","baseUrl":"https://www.googleapis.com/adsense/v1.4/","basePath":"/adsense/v1.4/","rootUrl":"https://www.googleapis.com/","servicePath":"adsense/v1.4/","batchPath":"batch/adsense/v1.4","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["csv","json"],"enumDescriptions":["Responses with Content-Type of text/csv","Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/adsense":{"description":"View and manage your AdSense data"},"https://www.googleapis.com/auth/adsense.readonly":{"description":"View your AdSense data"}}}},"schemas":{"Account":{"id":"Account","type":"object","properties":{"creation_time":{"type":"string","format":"int64"},"id":{"type":"string","description":"Unique identifier of this account."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#account.","default":"adsense#account"},"name":{"type":"string","description":"Name of this account."},"premium":{"type":"boolean","description":"Whether this account is premium."},"subAccounts":{"type":"array","description":"Sub accounts of the this account.","items":{"$ref":"Account"}},"timezone":{"type":"string","description":"AdSense timezone of this account."}}},"Accounts":{"id":"Accounts","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The accounts returned in this list response.","items":{"$ref":"Account"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#accounts.","default":"adsense#accounts"},"nextPageToken":{"type":"string","description":"Continuation token used to page through accounts. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}},"AdClient":{"id":"AdClient","type":"object","properties":{"arcOptIn":{"type":"boolean","description":"Whether this ad client is opted in to ARC."},"id":{"type":"string","description":"Unique identifier of this ad client."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#adClient.","default":"adsense#adClient"},"productCode":{"type":"string","description":"This ad client's product code, which corresponds to the PRODUCT_CODE report dimension."},"supportsReporting":{"type":"boolean","description":"Whether this ad client supports being reported on."}}},"AdClients":{"id":"AdClients","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The ad clients returned in this list response.","items":{"$ref":"AdClient"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#adClients.","default":"adsense#adClients"},"nextPageToken":{"type":"string","description":"Continuation token used to page through ad clients. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}},"AdCode":{"id":"AdCode","type":"object","properties":{"adCode":{"type":"string","description":"The Auto ad code snippet. The ad code snippet."},"ampBody":{"type":"string","description":"The AMP Auto ad code snippet that goes in the body of an AMP page."},"ampHead":{"type":"string","description":"The AMP Auto ad code snippet that goes in the head of an AMP page."},"kind":{"type":"string","description":"Kind this is, in this case adsense#adCode.","default":"adsense#adCode"}}},"AdStyle":{"id":"AdStyle","type":"object","properties":{"colors":{"type":"object","description":"The colors which are included in the style. These are represented as six hexadecimal characters, similar to HTML color codes, but without the leading hash.","properties":{"background":{"type":"string","description":"The color of the ad background."},"border":{"type":"string","description":"The color of the ad border."},"text":{"type":"string","description":"The color of the ad text."},"title":{"type":"string","description":"The color of the ad title."},"url":{"type":"string","description":"The color of the ad url."}}},"corners":{"type":"string","description":"The style of the corners in the ad (deprecated: never populated, ignored)."},"font":{"type":"object","description":"The font which is included in the style.","properties":{"family":{"type":"string","description":"The family of the font."},"size":{"type":"string","description":"The size of the font."}}},"kind":{"type":"string","description":"Kind this is, in this case adsense#adStyle.","default":"adsense#adStyle"}}},"AdUnit":{"id":"AdUnit","type":"object","properties":{"code":{"type":"string","description":"Identity code of this ad unit, not necessarily unique across ad clients."},"contentAdsSettings":{"type":"object","description":"Settings specific to content ads (AFC) and highend mobile content ads (AFMC - deprecated).","properties":{"backupOption":{"type":"object","description":"The backup option to be used in instances where no ad is available.","properties":{"color":{"type":"string","description":"Color to use when type is set to COLOR."},"type":{"type":"string","description":"Type of the backup option. Possible values are BLANK, COLOR and URL."},"url":{"type":"string","description":"URL to use when type is set to URL."}}},"size":{"type":"string","description":"Size of this ad unit."},"type":{"type":"string","description":"Type of this ad unit."}}},"customStyle":{"$ref":"AdStyle","description":"Custom style information specific to this ad unit."},"feedAdsSettings":{"type":"object","description":"Settings specific to feed ads (AFF) - deprecated.","properties":{"adPosition":{"type":"string","description":"The position of the ads relative to the feed entries."},"frequency":{"type":"integer","description":"The frequency at which ads should appear in the feed (i.e. every N entries).","format":"int32"},"minimumWordCount":{"type":"integer","description":"The minimum length an entry should be in order to have attached ads.","format":"int32"},"type":{"type":"string","description":"The type of ads which should appear."}}},"id":{"type":"string","description":"Unique identifier of this ad unit. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#adUnit.","default":"adsense#adUnit"},"mobileContentAdsSettings":{"type":"object","description":"Settings specific to WAP mobile content ads (AFMC) - deprecated.","properties":{"markupLanguage":{"type":"string","description":"The markup language to use for this ad unit."},"scriptingLanguage":{"type":"string","description":"The scripting language to use for this ad unit."},"size":{"type":"string","description":"Size of this ad unit."},"type":{"type":"string","description":"Type of this ad unit."}}},"name":{"type":"string","description":"Name of this ad unit."},"savedStyleId":{"type":"string","description":"ID of the saved ad style which holds this ad unit's style information."},"status":{"type":"string","description":"Status of this ad unit. Possible values are:\nNEW: Indicates that the ad unit was created within the last seven days and does not yet have any activity associated with it.\n\nACTIVE: Indicates that there has been activity on this ad unit in the last seven days.\n\nINACTIVE: Indicates that there has been no activity on this ad unit in the last seven days."}}},"AdUnits":{"id":"AdUnits","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The ad units returned in this list response.","items":{"$ref":"AdUnit"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#adUnits.","default":"adsense#adUnits"},"nextPageToken":{"type":"string","description":"Continuation token used to page through ad units. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}},"AdsenseReportsGenerateResponse":{"id":"AdsenseReportsGenerateResponse","type":"object","properties":{"averages":{"type":"array","description":"The averages of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty.","items":{"type":"string"}},"endDate":{"type":"string","description":"The requested end date in yyyy-mm-dd format."},"headers":{"type":"array","description":"The header information of the columns requested in the report. This is a list of headers; one for each dimension in the request, followed by one for each metric in the request.","items":{"type":"object","properties":{"currency":{"type":"string","description":"The currency of this column. Only present if the header type is METRIC_CURRENCY."},"name":{"type":"string","description":"The name of the header."},"type":{"type":"string","description":"The type of the header; one of DIMENSION, METRIC_TALLY, METRIC_RATIO, or METRIC_CURRENCY."}}}},"kind":{"type":"string","description":"Kind this is, in this case adsense#report.","default":"adsense#report"},"rows":{"type":"array","description":"The output rows of the report. Each row is a list of cells; one for each dimension in the request, followed by one for each metric in the request. The dimension cells contain strings, and the metric cells contain numbers.","items":{"type":"array","items":{"type":"string"}}},"startDate":{"type":"string","description":"The requested start date in yyyy-mm-dd format."},"totalMatchedRows":{"type":"string","description":"The total number of rows matched by the report request. Fewer rows may be returned in the response due to being limited by the row count requested or the report row limit.","format":"int64"},"totals":{"type":"array","description":"The totals of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty.","items":{"type":"string"}},"warnings":{"type":"array","description":"Any warnings associated with generation of the report.","items":{"type":"string"}}}},"Alert":{"id":"Alert","type":"object","properties":{"id":{"type":"string","description":"Unique identifier of this alert. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format."},"isDismissible":{"type":"boolean","description":"Whether this alert can be dismissed."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#alert.","default":"adsense#alert"},"message":{"type":"string","description":"The localized alert message."},"severity":{"type":"string","description":"Severity of this alert. Possible values: INFO, WARNING, SEVERE."},"type":{"type":"string","description":"Type of this alert. Possible values: SELF_HOLD, MIGRATED_TO_BILLING3, ADDRESS_PIN_VERIFICATION, PHONE_PIN_VERIFICATION, CORPORATE_ENTITY, GRAYLISTED_PUBLISHER, API_HOLD."}}},"Alerts":{"id":"Alerts","type":"object","properties":{"items":{"type":"array","description":"The alerts returned in this list response.","items":{"$ref":"Alert"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#alerts.","default":"adsense#alerts"}}},"CustomChannel":{"id":"CustomChannel","type":"object","properties":{"code":{"type":"string","description":"Code of this custom channel, not necessarily unique across ad clients."},"id":{"type":"string","description":"Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#customChannel.","default":"adsense#customChannel"},"name":{"type":"string","description":"Name of this custom channel."},"targetingInfo":{"type":"object","description":"The targeting information of this custom channel, if activated.","properties":{"adsAppearOn":{"type":"string","description":"The name used to describe this channel externally."},"description":{"type":"string","description":"The external description of the channel."},"location":{"type":"string","description":"The locations in which ads appear. (Only valid for content and mobile content ads (deprecated)). Acceptable values for content ads are: TOP_LEFT, TOP_CENTER, TOP_RIGHT, MIDDLE_LEFT, MIDDLE_CENTER, MIDDLE_RIGHT, BOTTOM_LEFT, BOTTOM_CENTER, BOTTOM_RIGHT, MULTIPLE_LOCATIONS. Acceptable values for mobile content ads (deprecated) are: TOP, MIDDLE, BOTTOM, MULTIPLE_LOCATIONS."},"siteLanguage":{"type":"string","description":"The language of the sites ads will be displayed on."}}}}},"CustomChannels":{"id":"CustomChannels","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The custom channels returned in this list response.","items":{"$ref":"CustomChannel"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#customChannels.","default":"adsense#customChannels"},"nextPageToken":{"type":"string","description":"Continuation token used to page through custom channels. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}},"Metadata":{"id":"Metadata","type":"object","properties":{"items":{"type":"array","items":{"$ref":"ReportingMetadataEntry"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#metadata.","default":"adsense#metadata"}}},"Payment":{"id":"Payment","type":"object","properties":{"id":{"type":"string","description":"Unique identifier of this Payment."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#payment.","default":"adsense#payment"},"paymentAmount":{"type":"string","description":"The amount to be paid."},"paymentAmountCurrencyCode":{"type":"string","description":"The currency code for the amount to be paid."},"paymentDate":{"type":"string","description":"The date this payment was/will be credited to the user, or none if the payment threshold has not been met."}}},"Payments":{"id":"Payments","type":"object","properties":{"items":{"type":"array","description":"The list of Payments for the account. One or both of a) the account's most recent payment; and b) the account's upcoming payment.","items":{"$ref":"Payment"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#payments.","default":"adsense#payments"}}},"ReportingMetadataEntry":{"id":"ReportingMetadataEntry","type":"object","properties":{"compatibleDimensions":{"type":"array","description":"For metrics this is a list of dimension IDs which the metric is compatible with, for dimensions it is a list of compatibility groups the dimension belongs to.","items":{"type":"string"}},"compatibleMetrics":{"type":"array","description":"The names of the metrics the dimension or metric this reporting metadata entry describes is compatible with.","items":{"type":"string"}},"id":{"type":"string","description":"Unique identifier of this reporting metadata entry, corresponding to the name of the appropriate dimension or metric."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#reportingMetadataEntry.","default":"adsense#reportingMetadataEntry"},"requiredDimensions":{"type":"array","description":"The names of the dimensions which the dimension or metric this reporting metadata entry describes requires to also be present in order for the report to be valid. Omitting these will not cause an error or warning, but may result in data which cannot be correctly interpreted.","items":{"type":"string"}},"requiredMetrics":{"type":"array","description":"The names of the metrics which the dimension or metric this reporting metadata entry describes requires to also be present in order for the report to be valid. Omitting these will not cause an error or warning, but may result in data which cannot be correctly interpreted.","items":{"type":"string"}},"supportedProducts":{"type":"array","description":"The codes of the projects supported by the dimension or metric this reporting metadata entry describes.","items":{"type":"string"}}}},"SavedAdStyle":{"id":"SavedAdStyle","type":"object","properties":{"adStyle":{"$ref":"AdStyle","description":"The AdStyle itself."},"id":{"type":"string","description":"Unique identifier of this saved ad style. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#savedAdStyle.","default":"adsense#savedAdStyle"},"name":{"type":"string","description":"The user selected name of this SavedAdStyle."}}},"SavedAdStyles":{"id":"SavedAdStyles","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The saved ad styles returned in this list response.","items":{"$ref":"SavedAdStyle"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#savedAdStyles.","default":"adsense#savedAdStyles"},"nextPageToken":{"type":"string","description":"Continuation token used to page through ad units. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}},"SavedReport":{"id":"SavedReport","type":"object","properties":{"id":{"type":"string","description":"Unique identifier of this saved report."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#savedReport.","default":"adsense#savedReport"},"name":{"type":"string","description":"This saved report's name."}}},"SavedReports":{"id":"SavedReports","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The saved reports returned in this list response.","items":{"$ref":"SavedReport"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#savedReports.","default":"adsense#savedReports"},"nextPageToken":{"type":"string","description":"Continuation token used to page through saved reports. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}},"UrlChannel":{"id":"UrlChannel","type":"object","properties":{"id":{"type":"string","description":"Unique identifier of this URL channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format."},"kind":{"type":"string","description":"Kind of resource this is, in this case adsense#urlChannel.","default":"adsense#urlChannel"},"urlPattern":{"type":"string","description":"URL Pattern of this URL channel. Does not include \"http://\" or \"https://\". Example: www.example.com/home"}}},"UrlChannels":{"id":"UrlChannels","type":"object","properties":{"etag":{"type":"string","description":"ETag of this response for caching purposes."},"items":{"type":"array","description":"The URL channels returned in this list response.","items":{"$ref":"UrlChannel"}},"kind":{"type":"string","description":"Kind of list this is, in this case adsense#urlChannels.","default":"adsense#urlChannels"},"nextPageToken":{"type":"string","description":"Continuation token used to page through URL channels. To retrieve the next page of results, set the next request's \"pageToken\" value to this."}}}},"resources":{"accounts":{"methods":{"get":{"id":"adsense.accounts.get","path":"accounts/{accountId}","httpMethod":"GET","description":"Get information about the selected AdSense account.","parameters":{"accountId":{"type":"string","description":"Account to get information about.","required":true,"location":"path"},"tree":{"type":"boolean","description":"Whether the tree of sub accounts should be returned.","location":"query"}},"parameterOrder":["accountId"],"response":{"$ref":"Account"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.accounts.list","path":"accounts","httpMethod":"GET","description":"List all accounts available to this AdSense account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of accounts to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through accounts. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"response":{"$ref":"Accounts"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}},"resources":{"adclients":{"methods":{"getAdCode":{"id":"adsense.accounts.adclients.getAdCode","path":"accounts/{accountId}/adclients/{adClientId}/adcode","httpMethod":"GET","description":"Get Auto ad code for a given ad client.","parameters":{"accountId":{"type":"string","description":"Account which contains the ad client.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client to get the code for.","required":true,"location":"path"}},"parameterOrder":["accountId","adClientId"],"response":{"$ref":"AdCode"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.accounts.adclients.list","path":"accounts/{accountId}/adclients","httpMethod":"GET","description":"List all ad clients in the specified account.","parameters":{"accountId":{"type":"string","description":"Account for which to list ad clients.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of ad clients to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through ad clients. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId"],"response":{"$ref":"AdClients"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"adunits":{"methods":{"get":{"id":"adsense.accounts.adunits.get","path":"accounts/{accountId}/adclients/{adClientId}/adunits/{adUnitId}","httpMethod":"GET","description":"Gets the specified ad unit in the specified ad client for the specified account.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client for which to get the ad unit.","required":true,"location":"path"},"adUnitId":{"type":"string","description":"Ad unit to retrieve.","required":true,"location":"path"}},"parameterOrder":["accountId","adClientId","adUnitId"],"response":{"$ref":"AdUnit"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"getAdCode":{"id":"adsense.accounts.adunits.getAdCode","path":"accounts/{accountId}/adclients/{adClientId}/adunits/{adUnitId}/adcode","httpMethod":"GET","description":"Get ad code for the specified ad unit.","parameters":{"accountId":{"type":"string","description":"Account which contains the ad client.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client with contains the ad unit.","required":true,"location":"path"},"adUnitId":{"type":"string","description":"Ad unit to get the code for.","required":true,"location":"path"}},"parameterOrder":["accountId","adClientId","adUnitId"],"response":{"$ref":"AdCode"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.accounts.adunits.list","path":"accounts/{accountId}/adclients/{adClientId}/adunits","httpMethod":"GET","description":"List all ad units in the specified ad client for the specified account.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client for which to list ad units.","required":true,"location":"path"},"includeInactive":{"type":"boolean","description":"Whether to include inactive ad units. Default: true.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of ad units to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through ad units. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId","adClientId"],"response":{"$ref":"AdUnits"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}},"resources":{"customchannels":{"methods":{"list":{"id":"adsense.accounts.adunits.customchannels.list","path":"accounts/{accountId}/adclients/{adClientId}/adunits/{adUnitId}/customchannels","httpMethod":"GET","description":"List all custom channels which the specified ad unit belongs to.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client which contains the ad unit.","required":true,"location":"path"},"adUnitId":{"type":"string","description":"Ad unit for which to list custom channels.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of custom channels to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId","adClientId","adUnitId"],"response":{"$ref":"CustomChannels"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"alerts":{"methods":{"delete":{"id":"adsense.accounts.alerts.delete","path":"accounts/{accountId}/alerts/{alertId}","httpMethod":"DELETE","description":"Dismiss (delete) the specified alert from the specified publisher AdSense account.","parameters":{"accountId":{"type":"string","description":"Account which contains the ad unit.","required":true,"location":"path"},"alertId":{"type":"string","description":"Alert to delete.","required":true,"location":"path"}},"parameterOrder":["accountId","alertId"],"scopes":["https://www.googleapis.com/auth/adsense"]},"list":{"id":"adsense.accounts.alerts.list","path":"accounts/{accountId}/alerts","httpMethod":"GET","description":"List the alerts for the specified AdSense account.","parameters":{"accountId":{"type":"string","description":"Account for which to retrieve the alerts.","required":true,"location":"path"},"locale":{"type":"string","description":"The locale to use for translating alert messages. The account locale will be used if this is not supplied. The AdSense default (English) will be used if the supplied locale is invalid or unsupported.","location":"query"}},"parameterOrder":["accountId"],"response":{"$ref":"Alerts"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"customchannels":{"methods":{"get":{"id":"adsense.accounts.customchannels.get","path":"accounts/{accountId}/adclients/{adClientId}/customchannels/{customChannelId}","httpMethod":"GET","description":"Get the specified custom channel from the specified ad client for the specified account.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client which contains the custom channel.","required":true,"location":"path"},"customChannelId":{"type":"string","description":"Custom channel to retrieve.","required":true,"location":"path"}},"parameterOrder":["accountId","adClientId","customChannelId"],"response":{"$ref":"CustomChannel"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.accounts.customchannels.list","path":"accounts/{accountId}/adclients/{adClientId}/customchannels","httpMethod":"GET","description":"List all custom channels in the specified ad client for the specified account.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client for which to list custom channels.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of custom channels to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId","adClientId"],"response":{"$ref":"CustomChannels"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}},"resources":{"adunits":{"methods":{"list":{"id":"adsense.accounts.customchannels.adunits.list","path":"accounts/{accountId}/adclients/{adClientId}/customchannels/{customChannelId}/adunits","httpMethod":"GET","description":"List all ad units in the specified custom channel.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client which contains the custom channel.","required":true,"location":"path"},"customChannelId":{"type":"string","description":"Custom channel for which to list ad units.","required":true,"location":"path"},"includeInactive":{"type":"boolean","description":"Whether to include inactive ad units. Default: true.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of ad units to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through ad units. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId","adClientId","customChannelId"],"response":{"$ref":"AdUnits"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"payments":{"methods":{"list":{"id":"adsense.accounts.payments.list","path":"accounts/{accountId}/payments","httpMethod":"GET","description":"List the payments for the specified AdSense account.","parameters":{"accountId":{"type":"string","description":"Account for which to retrieve the payments.","required":true,"location":"path"}},"parameterOrder":["accountId"],"response":{"$ref":"Payments"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"reports":{"methods":{"generate":{"id":"adsense.accounts.reports.generate","path":"accounts/{accountId}/reports","httpMethod":"GET","description":"Generate an AdSense report based on the report request sent in the query parameters. Returns the result as JSON; to retrieve output in CSV format specify \"alt=csv\" as a query parameter.","parameters":{"accountId":{"type":"string","description":"Account upon which to report.","required":true,"location":"path"},"currency":{"type":"string","description":"Optional currency to use when reporting on monetary metrics. Defaults to the account's currency if not set.","pattern":"[a-zA-Z]+","location":"query"},"dimension":{"type":"string","description":"Dimensions to base the report on.","pattern":"[a-zA-Z_]+","repeated":true,"location":"query"},"endDate":{"type":"string","description":"End of the date range to report on in \"YYYY-MM-DD\" format, inclusive.","required":true,"pattern":"\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)|(latest-(\\d{2})-(\\d{2})(-\\d+y)?)|(latest-latest-(\\d{2})(-\\d+m)?)","location":"query"},"filter":{"type":"string","description":"Filters to be run on the report.","pattern":"[a-zA-Z_]+(==|=@).+","repeated":true,"location":"query"},"locale":{"type":"string","description":"Optional locale to use for translating report output to a local language. Defaults to \"en_US\" if not specified.","pattern":"[a-zA-Z_]+","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of rows of report data to return.","format":"int32","minimum":"0","maximum":"50000","location":"query"},"metric":{"type":"string","description":"Numeric columns to include in the report.","pattern":"[a-zA-Z_]+","repeated":true,"location":"query"},"sort":{"type":"string","description":"The name of a dimension or metric to sort the resulting report on, optionally prefixed with \"+\" to sort ascending or \"-\" to sort descending. If no prefix is specified, the column is sorted ascending.","pattern":"(\\+|-)?[a-zA-Z_]+","repeated":true,"location":"query"},"startDate":{"type":"string","description":"Start of the date range to report on in \"YYYY-MM-DD\" format, inclusive.","required":true,"pattern":"\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)|(latest-(\\d{2})-(\\d{2})(-\\d+y)?)|(latest-latest-(\\d{2})(-\\d+m)?)","location":"query"},"startIndex":{"type":"integer","description":"Index of the first row of report data to return.","format":"int32","minimum":"0","maximum":"5000","location":"query"},"useTimezoneReporting":{"type":"boolean","description":"Whether the report should be generated in the AdSense account's local timezone. If false default PST/PDT timezone will be used.","location":"query"}},"parameterOrder":["accountId","startDate","endDate"],"response":{"$ref":"AdsenseReportsGenerateResponse"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"],"supportsMediaDownload":true}},"resources":{"saved":{"methods":{"generate":{"id":"adsense.accounts.reports.saved.generate","path":"accounts/{accountId}/reports/{savedReportId}","httpMethod":"GET","description":"Generate an AdSense report based on the saved report ID sent in the query parameters.","parameters":{"accountId":{"type":"string","description":"Account to which the saved reports belong.","required":true,"location":"path"},"locale":{"type":"string","description":"Optional locale to use for translating report output to a local language. Defaults to \"en_US\" if not specified.","pattern":"[a-zA-Z_]+","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of rows of report data to return.","format":"int32","minimum":"0","maximum":"50000","location":"query"},"savedReportId":{"type":"string","description":"The saved report to retrieve.","required":true,"location":"path"},"startIndex":{"type":"integer","description":"Index of the first row of report data to return.","format":"int32","minimum":"0","maximum":"5000","location":"query"}},"parameterOrder":["accountId","savedReportId"],"response":{"$ref":"AdsenseReportsGenerateResponse"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.accounts.reports.saved.list","path":"accounts/{accountId}/reports/saved","httpMethod":"GET","description":"List all saved reports in the specified AdSense account.","parameters":{"accountId":{"type":"string","description":"Account to which the saved reports belong.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of saved reports to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"100","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through saved reports. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId"],"response":{"$ref":"SavedReports"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"savedadstyles":{"methods":{"get":{"id":"adsense.accounts.savedadstyles.get","path":"accounts/{accountId}/savedadstyles/{savedAdStyleId}","httpMethod":"GET","description":"List a specific saved ad style for the specified account.","parameters":{"accountId":{"type":"string","description":"Account for which to get the saved ad style.","required":true,"location":"path"},"savedAdStyleId":{"type":"string","description":"Saved ad style to retrieve.","required":true,"location":"path"}},"parameterOrder":["accountId","savedAdStyleId"],"response":{"$ref":"SavedAdStyle"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.accounts.savedadstyles.list","path":"accounts/{accountId}/savedadstyles","httpMethod":"GET","description":"List all saved ad styles in the specified account.","parameters":{"accountId":{"type":"string","description":"Account for which to list saved ad styles.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of saved ad styles to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through saved ad styles. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId"],"response":{"$ref":"SavedAdStyles"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"urlchannels":{"methods":{"list":{"id":"adsense.accounts.urlchannels.list","path":"accounts/{accountId}/adclients/{adClientId}/urlchannels","httpMethod":"GET","description":"List all URL channels in the specified ad client for the specified account.","parameters":{"accountId":{"type":"string","description":"Account to which the ad client belongs.","required":true,"location":"path"},"adClientId":{"type":"string","description":"Ad client for which to list URL channels.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of URL channels to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through URL channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["accountId","adClientId"],"response":{"$ref":"UrlChannels"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"adclients":{"methods":{"list":{"id":"adsense.adclients.list","path":"adclients","httpMethod":"GET","description":"List all ad clients in this AdSense account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of ad clients to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through ad clients. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"response":{"$ref":"AdClients"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"adunits":{"methods":{"get":{"id":"adsense.adunits.get","path":"adclients/{adClientId}/adunits/{adUnitId}","httpMethod":"GET","description":"Gets the specified ad unit in the specified ad client.","parameters":{"adClientId":{"type":"string","description":"Ad client for which to get the ad unit.","required":true,"location":"path"},"adUnitId":{"type":"string","description":"Ad unit to retrieve.","required":true,"location":"path"}},"parameterOrder":["adClientId","adUnitId"],"response":{"$ref":"AdUnit"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"getAdCode":{"id":"adsense.adunits.getAdCode","path":"adclients/{adClientId}/adunits/{adUnitId}/adcode","httpMethod":"GET","description":"Get ad code for the specified ad unit.","parameters":{"adClientId":{"type":"string","description":"Ad client with contains the ad unit.","required":true,"location":"path"},"adUnitId":{"type":"string","description":"Ad unit to get the code for.","required":true,"location":"path"}},"parameterOrder":["adClientId","adUnitId"],"response":{"$ref":"AdCode"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.adunits.list","path":"adclients/{adClientId}/adunits","httpMethod":"GET","description":"List all ad units in the specified ad client for this AdSense account.","parameters":{"adClientId":{"type":"string","description":"Ad client for which to list ad units.","required":true,"location":"path"},"includeInactive":{"type":"boolean","description":"Whether to include inactive ad units. Default: true.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of ad units to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through ad units. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["adClientId"],"response":{"$ref":"AdUnits"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}},"resources":{"customchannels":{"methods":{"list":{"id":"adsense.adunits.customchannels.list","path":"adclients/{adClientId}/adunits/{adUnitId}/customchannels","httpMethod":"GET","description":"List all custom channels which the specified ad unit belongs to.","parameters":{"adClientId":{"type":"string","description":"Ad client which contains the ad unit.","required":true,"location":"path"},"adUnitId":{"type":"string","description":"Ad unit for which to list custom channels.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of custom channels to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["adClientId","adUnitId"],"response":{"$ref":"CustomChannels"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"alerts":{"methods":{"delete":{"id":"adsense.alerts.delete","path":"alerts/{alertId}","httpMethod":"DELETE","description":"Dismiss (delete) the specified alert from the publisher's AdSense account.","parameters":{"alertId":{"type":"string","description":"Alert to delete.","required":true,"location":"path"}},"parameterOrder":["alertId"],"scopes":["https://www.googleapis.com/auth/adsense"]},"list":{"id":"adsense.alerts.list","path":"alerts","httpMethod":"GET","description":"List the alerts for this AdSense account.","parameters":{"locale":{"type":"string","description":"The locale to use for translating alert messages. The account locale will be used if this is not supplied. The AdSense default (English) will be used if the supplied locale is invalid or unsupported.","location":"query"}},"response":{"$ref":"Alerts"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"customchannels":{"methods":{"get":{"id":"adsense.customchannels.get","path":"adclients/{adClientId}/customchannels/{customChannelId}","httpMethod":"GET","description":"Get the specified custom channel from the specified ad client.","parameters":{"adClientId":{"type":"string","description":"Ad client which contains the custom channel.","required":true,"location":"path"},"customChannelId":{"type":"string","description":"Custom channel to retrieve.","required":true,"location":"path"}},"parameterOrder":["adClientId","customChannelId"],"response":{"$ref":"CustomChannel"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.customchannels.list","path":"adclients/{adClientId}/customchannels","httpMethod":"GET","description":"List all custom channels in the specified ad client for this AdSense account.","parameters":{"adClientId":{"type":"string","description":"Ad client for which to list custom channels.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of custom channels to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["adClientId"],"response":{"$ref":"CustomChannels"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}},"resources":{"adunits":{"methods":{"list":{"id":"adsense.customchannels.adunits.list","path":"adclients/{adClientId}/customchannels/{customChannelId}/adunits","httpMethod":"GET","description":"List all ad units in the specified custom channel.","parameters":{"adClientId":{"type":"string","description":"Ad client which contains the custom channel.","required":true,"location":"path"},"customChannelId":{"type":"string","description":"Custom channel for which to list ad units.","required":true,"location":"path"},"includeInactive":{"type":"boolean","description":"Whether to include inactive ad units. Default: true.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of ad units to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through ad units. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["adClientId","customChannelId"],"response":{"$ref":"AdUnits"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"metadata":{"resources":{"dimensions":{"methods":{"list":{"id":"adsense.metadata.dimensions.list","path":"metadata/dimensions","httpMethod":"GET","description":"List the metadata for the dimensions available to this AdSense account.","response":{"$ref":"Metadata"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"metrics":{"methods":{"list":{"id":"adsense.metadata.metrics.list","path":"metadata/metrics","httpMethod":"GET","description":"List the metadata for the metrics available to this AdSense account.","response":{"$ref":"Metadata"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"payments":{"methods":{"list":{"id":"adsense.payments.list","path":"payments","httpMethod":"GET","description":"List the payments for this AdSense account.","response":{"$ref":"Payments"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"reports":{"methods":{"generate":{"id":"adsense.reports.generate","path":"reports","httpMethod":"GET","description":"Generate an AdSense report based on the report request sent in the query parameters. Returns the result as JSON; to retrieve output in CSV format specify \"alt=csv\" as a query parameter.","parameters":{"accountId":{"type":"string","description":"Accounts upon which to report.","repeated":true,"location":"query"},"currency":{"type":"string","description":"Optional currency to use when reporting on monetary metrics. Defaults to the account's currency if not set.","pattern":"[a-zA-Z]+","location":"query"},"dimension":{"type":"string","description":"Dimensions to base the report on.","pattern":"[a-zA-Z_]+","repeated":true,"location":"query"},"endDate":{"type":"string","description":"End of the date range to report on in \"YYYY-MM-DD\" format, inclusive.","required":true,"pattern":"\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)|(latest-(\\d{2})-(\\d{2})(-\\d+y)?)|(latest-latest-(\\d{2})(-\\d+m)?)","location":"query"},"filter":{"type":"string","description":"Filters to be run on the report.","pattern":"[a-zA-Z_]+(==|=@).+","repeated":true,"location":"query"},"locale":{"type":"string","description":"Optional locale to use for translating report output to a local language. Defaults to \"en_US\" if not specified.","pattern":"[a-zA-Z_]+","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of rows of report data to return.","format":"int32","minimum":"0","maximum":"50000","location":"query"},"metric":{"type":"string","description":"Numeric columns to include in the report.","pattern":"[a-zA-Z_]+","repeated":true,"location":"query"},"sort":{"type":"string","description":"The name of a dimension or metric to sort the resulting report on, optionally prefixed with \"+\" to sort ascending or \"-\" to sort descending. If no prefix is specified, the column is sorted ascending.","pattern":"(\\+|-)?[a-zA-Z_]+","repeated":true,"location":"query"},"startDate":{"type":"string","description":"Start of the date range to report on in \"YYYY-MM-DD\" format, inclusive.","required":true,"pattern":"\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)|(latest-(\\d{2})-(\\d{2})(-\\d+y)?)|(latest-latest-(\\d{2})(-\\d+m)?)","location":"query"},"startIndex":{"type":"integer","description":"Index of the first row of report data to return.","format":"int32","minimum":"0","maximum":"5000","location":"query"},"useTimezoneReporting":{"type":"boolean","description":"Whether the report should be generated in the AdSense account's local timezone. If false default PST/PDT timezone will be used.","location":"query"}},"parameterOrder":["startDate","endDate"],"response":{"$ref":"AdsenseReportsGenerateResponse"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"],"supportsMediaDownload":true}},"resources":{"saved":{"methods":{"generate":{"id":"adsense.reports.saved.generate","path":"reports/{savedReportId}","httpMethod":"GET","description":"Generate an AdSense report based on the saved report ID sent in the query parameters.","parameters":{"locale":{"type":"string","description":"Optional locale to use for translating report output to a local language. Defaults to \"en_US\" if not specified.","pattern":"[a-zA-Z_]+","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of rows of report data to return.","format":"int32","minimum":"0","maximum":"50000","location":"query"},"savedReportId":{"type":"string","description":"The saved report to retrieve.","required":true,"location":"path"},"startIndex":{"type":"integer","description":"Index of the first row of report data to return.","format":"int32","minimum":"0","maximum":"5000","location":"query"}},"parameterOrder":["savedReportId"],"response":{"$ref":"AdsenseReportsGenerateResponse"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.reports.saved.list","path":"reports/saved","httpMethod":"GET","description":"List all saved reports in this AdSense account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of saved reports to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"100","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through saved reports. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"response":{"$ref":"SavedReports"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}},"savedadstyles":{"methods":{"get":{"id":"adsense.savedadstyles.get","path":"savedadstyles/{savedAdStyleId}","httpMethod":"GET","description":"Get a specific saved ad style from the user's account.","parameters":{"savedAdStyleId":{"type":"string","description":"Saved ad style to retrieve.","required":true,"location":"path"}},"parameterOrder":["savedAdStyleId"],"response":{"$ref":"SavedAdStyle"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]},"list":{"id":"adsense.savedadstyles.list","path":"savedadstyles","httpMethod":"GET","description":"List all saved ad styles in the user's account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of saved ad styles to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through saved ad styles. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"response":{"$ref":"SavedAdStyles"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}},"urlchannels":{"methods":{"list":{"id":"adsense.urlchannels.list","path":"adclients/{adClientId}/urlchannels","httpMethod":"GET","description":"List all URL channels in the specified ad client for this AdSense account.","parameters":{"adClientId":{"type":"string","description":"Ad client for which to list URL channels.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of URL channels to include in the response, used for paging.","format":"int32","minimum":"0","maximum":"10000","location":"query"},"pageToken":{"type":"string","description":"A continuation token, used to page through URL channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.","location":"query"}},"parameterOrder":["adClientId"],"response":{"$ref":"UrlChannels"},"scopes":["https://www.googleapis.com/auth/adsense","https://www.googleapis.com/auth/adsense.readonly"]}}}}};