export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/cVTv8b9hTTB3FqZyWpqQbG2zALc\"","discoveryVersion":"v1","id":"androidenterprise:v1","name":"androidenterprise","canonicalName":"Android Enterprise","version":"v1","revision":"20190624","title":"Google Play EMM API","description":"Manages the deployment of apps to Android for Work users.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.google.com/images/icons/product/android-16.png","x32":"https://www.google.com/images/icons/product/android-32.png"},"documentationLink":"https://developers.google.com/android/work/play/emm-api","protocol":"rest","baseUrl":"https://www.googleapis.com/androidenterprise/v1/","basePath":"/androidenterprise/v1/","rootUrl":"https://www.googleapis.com/","servicePath":"androidenterprise/v1/","batchPath":"batch/androidenterprise/v1","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/androidenterprise":{"description":"Manage corporate Android devices"}}}},"schemas":{"Administrator":{"id":"Administrator","type":"object","description":"This represents an enterprise admin who can manage the enterprise in the managed Google Play store.","properties":{"email":{"type":"string","description":"The admin's email address."}}},"AdministratorWebToken":{"id":"AdministratorWebToken","type":"object","description":"A token authorizing an admin to access an iframe.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#administratorWebToken\".","default":"androidenterprise#administratorWebToken"},"token":{"type":"string","description":"An opaque token to be passed to the Play front-end to generate an iframe."}}},"AdministratorWebTokenSpec":{"id":"AdministratorWebTokenSpec","type":"object","description":"Specification for a token used to generate iframes. The token specifies what data the admin is allowed to modify and the URI the iframe is allowed to communiate with.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#administratorWebTokenSpec\".","default":"androidenterprise#administratorWebTokenSpec"},"managedConfigurations":{"$ref":"AdministratorWebTokenSpecManagedConfigurations","description":"Options for displaying the Managed Configuration page."},"parent":{"type":"string","description":"The URI of the parent frame hosting the iframe. To prevent XSS, the iframe may not be hosted at other URIs. This URI must be https."},"permission":{"type":"array","description":"Deprecated. Use PlaySearch.approveApps.","items":{"type":"string"}},"playSearch":{"$ref":"AdministratorWebTokenSpecPlaySearch","description":"Options for displaying the managed Play Search apps page."},"privateApps":{"$ref":"AdministratorWebTokenSpecPrivateApps","description":"Options for displaying the Private Apps page."},"storeBuilder":{"$ref":"AdministratorWebTokenSpecStoreBuilder","description":"Options for displaying the Organize apps page."},"webApps":{"$ref":"AdministratorWebTokenSpecWebApps","description":"Options for displaying the Web Apps page."}}},"AdministratorWebTokenSpecManagedConfigurations":{"id":"AdministratorWebTokenSpecManagedConfigurations","type":"object","properties":{"enabled":{"type":"boolean","description":"Whether the Managed Configuration page is displayed. Default is true."}}},"AdministratorWebTokenSpecPlaySearch":{"id":"AdministratorWebTokenSpecPlaySearch","type":"object","properties":{"approveApps":{"type":"boolean","description":"Allow access to the iframe in approve mode. Default is false."},"enabled":{"type":"boolean","description":"Whether the managed Play Search apps page is displayed. Default is true."}}},"AdministratorWebTokenSpecPrivateApps":{"id":"AdministratorWebTokenSpecPrivateApps","type":"object","properties":{"enabled":{"type":"boolean","description":"Whether the Private Apps page is displayed. Default is true."}}},"AdministratorWebTokenSpecStoreBuilder":{"id":"AdministratorWebTokenSpecStoreBuilder","type":"object","properties":{"enabled":{"type":"boolean","description":"Whether the Organize apps page is displayed. Default is true."}}},"AdministratorWebTokenSpecWebApps":{"id":"AdministratorWebTokenSpecWebApps","type":"object","properties":{"enabled":{"type":"boolean","description":"Whether the Web Apps page is displayed. Default is true."}}},"AppRestrictionsSchema":{"id":"AppRestrictionsSchema","type":"object","description":"Represents the list of app restrictions available to be pre-configured for the product.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#appRestrictionsSchema\".","default":"androidenterprise#appRestrictionsSchema"},"restrictions":{"type":"array","description":"The set of restrictions that make up this schema.","items":{"$ref":"AppRestrictionsSchemaRestriction"}}}},"AppRestrictionsSchemaChangeEvent":{"id":"AppRestrictionsSchemaChangeEvent","type":"object","description":"An event generated when a new app version is uploaded to Google Play and its app restrictions schema changed. To fetch the app restrictions schema for an app, use Products.getAppRestrictionsSchema on the EMM API.","properties":{"productId":{"type":"string","description":"The id of the product (e.g. \"app:com.google.android.gm\") for which the app restriction schema changed. This field will always be present."}}},"AppRestrictionsSchemaRestriction":{"id":"AppRestrictionsSchemaRestriction","type":"object","description":"A restriction in the App Restriction Schema represents a piece of configuration that may be pre-applied.","properties":{"defaultValue":{"$ref":"AppRestrictionsSchemaRestrictionRestrictionValue","description":"The default value of the restriction. bundle and bundleArray restrictions never have a default value."},"description":{"type":"string","description":"A longer description of the restriction, giving more detail of what it affects."},"entry":{"type":"array","description":"For choice or multiselect restrictions, the list of possible entries' human-readable names.","items":{"type":"string"}},"entryValue":{"type":"array","description":"For choice or multiselect restrictions, the list of possible entries' machine-readable values. These values should be used in the configuration, either as a single string value for a choice restriction or in a stringArray for a multiselect restriction.","items":{"type":"string"}},"key":{"type":"string","description":"The unique key that the product uses to identify the restriction, e.g. \"com.google.android.gm.fieldname\"."},"nestedRestriction":{"type":"array","description":"For bundle or bundleArray restrictions, the list of nested restrictions. A bundle restriction is always nested within a bundleArray restriction, and a bundleArray restriction is at most two levels deep.","items":{"$ref":"AppRestrictionsSchemaRestriction"}},"restrictionType":{"type":"string","description":"The type of the restriction."},"title":{"type":"string","description":"The name of the restriction."}}},"AppRestrictionsSchemaRestrictionRestrictionValue":{"id":"AppRestrictionsSchemaRestrictionRestrictionValue","type":"object","description":"A typed value for the restriction.","properties":{"type":{"type":"string","description":"The type of the value being provided."},"valueBool":{"type":"boolean","description":"The boolean value - this will only be present if type is bool."},"valueInteger":{"type":"integer","description":"The integer value - this will only be present if type is integer.","format":"int32"},"valueMultiselect":{"type":"array","description":"The list of string values - this will only be present if type is multiselect.","items":{"type":"string"}},"valueString":{"type":"string","description":"The string value - this will be present for types string, choice and hidden."}}},"AppState":{"id":"AppState","type":"object","description":"List of states set by the app.","properties":{"keyedAppState":{"type":"array","description":"List of keyed app states. This field will always be present.","items":{"$ref":"KeyedAppState"}},"packageName":{"type":"string","description":"The package name of the app. This field will always be present."}}},"AppUpdateEvent":{"id":"AppUpdateEvent","type":"object","description":"An event generated when a new version of an app is uploaded to Google Play. Notifications are sent for new public versions only: alpha, beta, or canary versions do not generate this event. To fetch up-to-date version history for an app, use Products.Get on the EMM API.","properties":{"productId":{"type":"string","description":"The id of the product (e.g. \"app:com.google.android.gm\") that was updated. This field will always be present."}}},"AppVersion":{"id":"AppVersion","type":"object","description":"This represents a single version of the app.","properties":{"isProduction":{"type":"boolean","description":"True if this version is a production APK."},"track":{"type":"string","description":"Deprecated, use trackId instead."},"trackId":{"type":"array","description":"Track ids that the app version is published in. Replaces the track field (deprecated), but doesn't include the production track (see isProduction instead).","items":{"type":"string"}},"versionCode":{"type":"integer","description":"Unique increasing identifier for the app version.","format":"int32"},"versionString":{"type":"string","description":"The string used in the Play store by the app developer to identify the version. The string is not necessarily unique or localized (for example, the string could be \"1.4\")."}}},"ApprovalUrlInfo":{"id":"ApprovalUrlInfo","type":"object","description":"Information on an approval URL.","properties":{"approvalUrl":{"type":"string","description":"A URL that displays a product's permissions and that can also be used to approve the product with the Products.approve call."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#approvalUrlInfo\".","default":"androidenterprise#approvalUrlInfo"}}},"AuthenticationToken":{"id":"AuthenticationToken","type":"object","description":"An AuthenticationToken is used by the EMM's device policy client on a device to provision the given EMM-managed user on that device.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#authenticationToken\".","default":"androidenterprise#authenticationToken"},"token":{"type":"string","description":"The authentication token to be passed to the device policy client on the device where it can be used to provision the account for which this token was generated."}}},"AutoInstallConstraint":{"id":"AutoInstallConstraint","type":"object","description":"The auto-install constraint. Defines a set of restrictions for installation. At least one of the fields must be set.","properties":{"chargingStateConstraint":{"type":"string","description":"Charging state constraint."},"deviceIdleStateConstraint":{"type":"string","description":"Device idle state constraint."},"networkTypeConstraint":{"type":"string","description":"Network type constraint."}}},"AutoInstallPolicy":{"id":"AutoInstallPolicy","type":"object","properties":{"autoInstallConstraint":{"type":"array","description":"The constraints for auto-installing the app. You can specify a maximum of one constraint.","items":{"$ref":"AutoInstallConstraint"}},"autoInstallMode":{"type":"string","description":"The auto-install mode. If unset defaults to \"doNotAutoInstall\"."},"autoInstallPriority":{"type":"integer","description":"The priority of the install, as an unsigned integer. A lower number means higher priority.","format":"int32"},"minimumVersionCode":{"type":"integer","description":"The minimum version of the app. If a lower version of the app is installed, then the app will be auto-updated according to the auto-install constraints, instead of waiting for the regular auto-update.","format":"int32"}}},"ConfigurationVariables":{"id":"ConfigurationVariables","type":"object","description":"A configuration variables resource contains the managed configuration settings ID to be applied to a single user, as well as the variable set that is attributed to the user. The variable set will be used to replace placeholders in the managed configuration settings.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#configurationVariables\".","default":"androidenterprise#configurationVariables"},"mcmId":{"type":"string","description":"The ID of the managed configurations settings."},"variableSet":{"type":"array","description":"The variable set that is attributed to the user.","items":{"$ref":"VariableSet"}}}},"Device":{"id":"Device","type":"object","description":"A Devices resource represents a mobile device managed by the EMM and belonging to a specific enterprise user.","properties":{"androidId":{"type":"string","description":"The Google Play Services Android ID for the device encoded as a lowercase hex string. For example, \"123456789abcdef0\"."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#device\".","default":"androidenterprise#device"},"managementType":{"type":"string","description":"Identifies the extent to which the device is controlled by a managed Google Play EMM in various deployment configurations.\n\nPossible values include: \n- \"managedDevice\", a device that has the EMM's device policy controller (DPC) as the device owner. \n- \"managedProfile\", a device that has a profile managed by the DPC (DPC is profile owner) in addition to a separate, personal profile that is unavailable to the DPC. \n- \"containerApp\", no longer used (deprecated). \n- \"unmanagedProfile\", a device that has been allowed (by the domain's admin, using the Admin Console to enable the privilege) to use managed Google Play, but the profile is itself not owned by a DPC."},"policy":{"$ref":"Policy","description":"The policy enforced on the device."},"report":{"$ref":"DeviceReport","description":"The device report updated with the latest app states."}}},"DeviceReport":{"id":"DeviceReport","type":"object","description":"Device report updated with the latest app states for managed apps on the device.","properties":{"appState":{"type":"array","description":"List of app states set by managed apps on the device. App states are defined by the app's developers. This field will always be present.","items":{"$ref":"AppState"}},"lastUpdatedTimestampMillis":{"type":"string","description":"The timestamp of the last report update in milliseconds since epoch. This field will always be present.","format":"int64"}}},"DeviceReportUpdateEvent":{"id":"DeviceReportUpdateEvent","type":"object","description":"An event generated when an updated device report is available.","properties":{"deviceId":{"type":"string","description":"The Android ID of the device. This field will always be present."},"report":{"$ref":"DeviceReport","description":"The device report updated with the latest app states. This field will always be present."},"userId":{"type":"string","description":"The ID of the user. This field will always be present."}}},"DeviceState":{"id":"DeviceState","type":"object","description":"The state of a user's device, as accessed by the getState and setState methods on device resources.","properties":{"accountState":{"type":"string","description":"The state of the Google account on the device. \"enabled\" indicates that the Google account on the device can be used to access Google services (including Google Play), while \"disabled\" means that it cannot. A new device is initially in the \"disabled\" state."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#deviceState\".","default":"androidenterprise#deviceState"}}},"DevicesListResponse":{"id":"DevicesListResponse","type":"object","description":"The device resources for the user.","properties":{"device":{"type":"array","description":"A managed device.","items":{"$ref":"Device"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#devicesListResponse\".","default":"androidenterprise#devicesListResponse"}}},"Enterprise":{"id":"Enterprise","type":"object","description":"An Enterprises resource represents the binding between an EMM and a specific organization. That binding can be instantiated in one of two different ways using this API as follows: \n- For Google managed domain customers, the process involves using Enterprises.enroll and Enterprises.setAccount (in conjunction with artifacts obtained from the Admin console and the Google API Console) and submitted to the EMM through a more-or-less manual process. \n- For managed Google Play Accounts customers, the process involves using Enterprises.generateSignupUrl and Enterprises.completeSignup in conjunction with the managed Google Play sign-up UI (Google-provided mechanism) to create the binding without manual steps. As an EMM, you can support either or both approaches in your EMM console. See Create an Enterprise for details.","properties":{"administrator":{"type":"array","description":"Admins of the enterprise. This is only supported for enterprises created via the EMM-initiated flow.","items":{"$ref":"Administrator"}},"id":{"type":"string","description":"The unique ID for the enterprise."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#enterprise\".","default":"androidenterprise#enterprise"},"name":{"type":"string","description":"The name of the enterprise, for example, \"Example, Inc\"."},"primaryDomain":{"type":"string","description":"The enterprise's primary domain, such as \"example.com\"."}}},"EnterpriseAccount":{"id":"EnterpriseAccount","type":"object","description":"A service account that can be used to authenticate as the enterprise to API calls that require such authentication.","properties":{"accountEmail":{"type":"string","description":"The email address of the service account."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#enterpriseAccount\".","default":"androidenterprise#enterpriseAccount"}}},"EnterprisesListResponse":{"id":"EnterprisesListResponse","type":"object","description":"The matching enterprise resources.","properties":{"enterprise":{"type":"array","description":"An enterprise.","items":{"$ref":"Enterprise"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#enterprisesListResponse\".","default":"androidenterprise#enterprisesListResponse"}}},"EnterprisesSendTestPushNotificationResponse":{"id":"EnterprisesSendTestPushNotificationResponse","type":"object","properties":{"messageId":{"type":"string","description":"The message ID of the test push notification that was sent."},"topicName":{"type":"string","description":"The name of the Cloud Pub/Sub topic to which notifications for this enterprise's enrolled account will be sent."}}},"Entitlement":{"id":"Entitlement","type":"object","description":"The presence of an Entitlements resource indicates that a user has the right to use a particular app. Entitlements are user specific, not device specific. This allows a user with an entitlement to an app to install the app on all their devices. It's also possible for a user to hold an entitlement to an app without installing the app on any device.\n\nThe API can be used to create an entitlement. As an option, you can also use the API to trigger the installation of an app on all a user's managed devices at the same time the entitlement is created.\n\nIf the app is free, creating the entitlement also creates a group license for that app. For paid apps, creating the entitlement consumes one license, and that license remains consumed until the entitlement is removed. If the enterprise hasn't purchased enough licenses, then no entitlement is created and the installation fails. An entitlement is also not created for an app if the app requires permissions that the enterprise hasn't accepted.\n\nIf an entitlement is deleted, the app may be uninstalled from a user's device. As a best practice, uninstall the app by calling  Installs.delete() before deleting the entitlement.\n\nEntitlements for apps that a user pays for on an unmanaged profile have \"userPurchase\" as the entitlement reason. These entitlements cannot be removed via the API.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#entitlement\".","default":"androidenterprise#entitlement"},"productId":{"type":"string","description":"The ID of the product that the entitlement is for. For example, \"app:com.google.android.gm\"."},"reason":{"type":"string","description":"The reason for the entitlement. For example, \"free\" for free apps. This property is temporary: it will be replaced by the acquisition kind field of group licenses."}}},"EntitlementsListResponse":{"id":"EntitlementsListResponse","type":"object","description":"The entitlement resources for the user.","properties":{"entitlement":{"type":"array","description":"An entitlement of a user to a product (e.g. an app). For example, a free app that they have installed, or a paid app that they have been allocated a license to.","items":{"$ref":"Entitlement"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#entitlementsListResponse\".","default":"androidenterprise#entitlementsListResponse"}}},"GroupLicense":{"id":"GroupLicense","type":"object","description":"Group license objects allow you to keep track of licenses (called entitlements) for both free and paid apps. For a free app, a group license is created when an enterprise admin first approves the product in Google Play or when the first entitlement for the product is created for a user via the API. For a paid app, a group license object is only created when an enterprise admin purchases the product in Google Play for the first time.\n\nUse the API to query group licenses. A Grouplicenses resource includes the total number of licenses purchased (paid apps only) and the total number of licenses currently in use. In other words, the total number of Entitlements that exist for the product.\n\nOnly one group license object is created per product and group license objects are never deleted. If a product is unapproved, its group license remains. This allows enterprise admins to keep track of any remaining entitlements for the product.","properties":{"acquisitionKind":{"type":"string","description":"How this group license was acquired. \"bulkPurchase\" means that this Grouplicenses resource was created because the enterprise purchased licenses for this product; otherwise, the value is \"free\" (for free products)."},"approval":{"type":"string","description":"Whether the product to which this group license relates is currently approved by the enterprise. Products are approved when a group license is first created, but this approval may be revoked by an enterprise admin via Google Play. Unapproved products will not be visible to end users in collections, and new entitlements to them should not normally be created."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#groupLicense\".","default":"androidenterprise#groupLicense"},"numProvisioned":{"type":"integer","description":"The total number of provisioned licenses for this product. Returned by read operations, but ignored in write operations.","format":"int32"},"numPurchased":{"type":"integer","description":"The number of purchased licenses (possibly in multiple purchases). If this field is omitted, then there is no limit on the number of licenses that can be provisioned (for example, if the acquisition kind is \"free\").","format":"int32"},"permissions":{"type":"string","description":"The permission approval status of the product. This field is only set if the product is approved. Possible states are: \n- \"currentApproved\", the current set of permissions is approved, but additional permissions will require the administrator to reapprove the product (If the product was approved without specifying the approved permissions setting, then this is the default behavior.), \n- \"needsReapproval\", the product has unapproved permissions. No additional product licenses can be assigned until the product is reapproved, \n- \"allCurrentAndFutureApproved\", the current permissions are approved and any future permission updates will be automatically approved without administrator review."},"productId":{"type":"string","description":"The ID of the product that the license is for. For example, \"app:com.google.android.gm\"."}}},"GroupLicenseUsersListResponse":{"id":"GroupLicenseUsersListResponse","type":"object","description":"The user resources for the group license.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#groupLicenseUsersListResponse\".","default":"androidenterprise#groupLicenseUsersListResponse"},"user":{"type":"array","description":"A user of an enterprise.","items":{"$ref":"User"}}}},"GroupLicensesListResponse":{"id":"GroupLicensesListResponse","type":"object","description":"The grouplicense resources for the enterprise.","properties":{"groupLicense":{"type":"array","description":"A group license for a product approved for use in the enterprise.","items":{"$ref":"GroupLicense"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#groupLicensesListResponse\".","default":"androidenterprise#groupLicensesListResponse"}}},"Install":{"id":"Install","type":"object","description":"The existence of an Installs resource indicates that an app is installed on a particular device (or that an install is pending).\n\nThe API can be used to create an install resource using the update method. This triggers the actual install of the app on the device. If the user does not already have an entitlement for the app, then an attempt is made to create one. If this fails (for example, because the app is not free and there is no available license), then the creation of the install fails.\n\nThe API can also be used to update an installed app. If the update method is used on an existing install, then the app will be updated to the latest available version.\n\nNote that it is not possible to force the installation of a specific version of an app: the version code is read-only.\n\nIf a user installs an app themselves (as permitted by the enterprise), then again an install resource and possibly an entitlement resource are automatically created.\n\nThe API can also be used to delete an install resource, which triggers the removal of the app from the device. Note that deleting an install does not automatically remove the corresponding entitlement, even if there are no remaining installs. The install resource will also be deleted if the user uninstalls the app themselves.","properties":{"installState":{"type":"string","description":"Install state. The state \"installPending\" means that an install request has recently been made and download to the device is in progress. The state \"installed\" means that the app has been installed. This field is read-only."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#install\".","default":"androidenterprise#install"},"productId":{"type":"string","description":"The ID of the product that the install is for. For example, \"app:com.google.android.gm\"."},"versionCode":{"type":"integer","description":"The version of the installed product. Guaranteed to be set only if the install state is \"installed\".","format":"int32"}}},"InstallFailureEvent":{"id":"InstallFailureEvent","type":"object","description":"An event generated when an app installation failed on a device","properties":{"deviceId":{"type":"string","description":"The Android ID of the device. This field will always be present."},"failureDetails":{"type":"string","description":"Additional details on the failure if applicable."},"failureReason":{"type":"string","description":"The reason for the installation failure. This field will always be present."},"productId":{"type":"string","description":"The id of the product (e.g. \"app:com.google.android.gm\") for which the install failure event occured. This field will always be present."},"userId":{"type":"string","description":"The ID of the user. This field will always be present."}}},"InstallsListResponse":{"id":"InstallsListResponse","type":"object","description":"The install resources for the device.","properties":{"install":{"type":"array","description":"An installation of an app for a user on a specific device. The existence of an install implies that the user must have an entitlement to the app.","items":{"$ref":"Install"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#installsListResponse\".","default":"androidenterprise#installsListResponse"}}},"KeyedAppState":{"id":"KeyedAppState","type":"object","description":"Represents a keyed app state containing a key, timestamp, severity level, optional description, and optional data.","properties":{"data":{"type":"string","description":"Additional field intended for machine-readable data. For example, a number or JSON object. To prevent XSS, we recommend removing any HTML from the data before displaying it."},"key":{"type":"string","description":"Key indicating what the app is providing a state for. The content of the key is set by the app's developer. To prevent XSS, we recommend removing any HTML from the key before displaying it. This field will always be present."},"message":{"type":"string","description":"Free-form, human-readable message describing the app state. For example, an error message. To prevent XSS, we recommend removing any HTML from the message before displaying it."},"severity":{"type":"string","description":"Severity of the app state. This field will always be present."},"stateTimestampMillis":{"type":"string","description":"Timestamp of when the app set the state in milliseconds since epoch. This field will always be present.","format":"int64"}}},"LocalizedText":{"id":"LocalizedText","type":"object","description":"A localized string with its locale.","properties":{"locale":{"type":"string","description":"The BCP47 tag for a locale. (e.g. \"en-US\", \"de\")."},"text":{"type":"string","description":"The text localized in the associated locale."}}},"MaintenanceWindow":{"id":"MaintenanceWindow","type":"object","description":"Maintenance window for managed Google Play Accounts. This allows Play store to update the apps on the foreground in the designated window.","properties":{"durationMs":{"type":"string","description":"Duration of the maintenance window, in milliseconds. The duration must be between 30 minutes and 24 hours (inclusive).","format":"int64"},"startTimeAfterMidnightMs":{"type":"string","description":"Start time of the maintenance window, in milliseconds after midnight on the device. Windows can span midnight.","format":"int64"}}},"ManagedConfiguration":{"id":"ManagedConfiguration","type":"object","description":"A managed configuration resource contains the set of managed properties defined by the app developer in the app's managed configurations schema, as well as any configuration variables defined for the user.","properties":{"configurationVariables":{"$ref":"ConfigurationVariables","description":"Contains the ID of the managed configuration profile and the set of configuration variables (if any) defined for the user."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#managedConfiguration\".","default":"androidenterprise#managedConfiguration"},"managedProperty":{"type":"array","description":"The set of managed properties for this configuration.","items":{"$ref":"ManagedProperty"}},"productId":{"type":"string","description":"The ID of the product that the managed configuration is for, e.g. \"app:com.google.android.gm\"."}}},"ManagedConfigurationsForDeviceListResponse":{"id":"ManagedConfigurationsForDeviceListResponse","type":"object","description":"The managed configuration resources for the device.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#managedConfigurationsForDeviceListResponse\".","default":"androidenterprise#managedConfigurationsForDeviceListResponse"},"managedConfigurationForDevice":{"type":"array","description":"A managed configuration for an app on a specific device.","items":{"$ref":"ManagedConfiguration"}}}},"ManagedConfigurationsForUserListResponse":{"id":"ManagedConfigurationsForUserListResponse","type":"object","description":"The managed configuration resources for the user.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#managedConfigurationsForUserListResponse\".","default":"androidenterprise#managedConfigurationsForUserListResponse"},"managedConfigurationForUser":{"type":"array","description":"A managed configuration for an app for a specific user.","items":{"$ref":"ManagedConfiguration"}}}},"ManagedConfigurationsSettings":{"id":"ManagedConfigurationsSettings","type":"object","description":"A managed configurations settings resource contains the set of managed properties that have been configured for an Android app to be applied to a set of users. The app's developer would have defined configurable properties in the managed configurations schema.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#managedConfigurationsSettings\".","default":"androidenterprise#managedConfigurationsSettings"},"lastUpdatedTimestampMillis":{"type":"string","description":"The last updated time of the managed configuration settings in milliseconds since 1970-01-01T00:00:00Z.","format":"int64"},"managedProperty":{"type":"array","description":"The set of managed properties for this configuration.","items":{"$ref":"ManagedProperty"}},"mcmId":{"type":"string","description":"The ID of the managed configurations settings."},"name":{"type":"string","description":"The name of the managed configurations settings."}}},"ManagedConfigurationsSettingsListResponse":{"id":"ManagedConfigurationsSettingsListResponse","type":"object","description":"The managed configurations settings for a product.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#managedConfigurationsSettingsListResponse\".","default":"androidenterprise#managedConfigurationsSettingsListResponse"},"managedConfigurationsSettings":{"type":"array","description":"A managed configurations settings for an app that may be assigned to a group of users in an enterprise.","items":{"$ref":"ManagedConfigurationsSettings"}}}},"ManagedProperty":{"id":"ManagedProperty","type":"object","description":"A managed property of a managed configuration. The property must match one of the properties in the app restrictions schema of the product. Exactly one of the value fields must be populated, and it must match the property's type in the app restrictions schema.","properties":{"key":{"type":"string","description":"The unique key that identifies the property."},"valueBool":{"type":"boolean","description":"The boolean value - this will only be present if type of the property is bool."},"valueBundle":{"$ref":"ManagedPropertyBundle","description":"The bundle of managed properties - this will only be present if type of the property is bundle."},"valueBundleArray":{"type":"array","description":"The list of bundles of properties - this will only be present if type of the property is bundle_array.","items":{"$ref":"ManagedPropertyBundle"}},"valueInteger":{"type":"integer","description":"The integer value - this will only be present if type of the property is integer.","format":"int32"},"valueString":{"type":"string","description":"The string value - this will only be present if type of the property is string, choice or hidden."},"valueStringArray":{"type":"array","description":"The list of string values - this will only be present if type of the property is multiselect.","items":{"type":"string"}}}},"ManagedPropertyBundle":{"id":"ManagedPropertyBundle","type":"object","description":"A bundle of managed properties.","properties":{"managedProperty":{"type":"array","description":"The list of managed properties.","items":{"$ref":"ManagedProperty"}}}},"NewDeviceEvent":{"id":"NewDeviceEvent","type":"object","description":"An event generated when a new device is ready to be managed.","properties":{"deviceId":{"type":"string","description":"The Android ID of the device. This field will always be present."},"dpcPackageName":{"type":"string","description":"Policy app on the device."},"managementType":{"type":"string","description":"Identifies the extent to which the device is controlled by an Android EMM in various deployment configurations.\n\nPossible values include: \n- \"managedDevice\", a device where the DPC is set as device owner, \n- \"managedProfile\", a device where the DPC is set as profile owner."},"userId":{"type":"string","description":"The ID of the user. This field will always be present."}}},"NewPermissionsEvent":{"id":"NewPermissionsEvent","type":"object","description":"An event generated when new permissions are added to an app.","properties":{"approvedPermissions":{"type":"array","description":"The set of permissions that the enterprise admin has already approved for this application. Use Permissions.Get on the EMM API to retrieve details about these permissions.","items":{"type":"string"}},"productId":{"type":"string","description":"The id of the product (e.g. \"app:com.google.android.gm\") for which new permissions were added. This field will always be present."},"requestedPermissions":{"type":"array","description":"The set of permissions that the app is currently requesting. Use Permissions.Get on the EMM API to retrieve details about these permissions.","items":{"type":"string"}}}},"Notification":{"id":"Notification","type":"object","description":"A notification of one event relating to an enterprise.","properties":{"appRestrictionsSchemaChangeEvent":{"$ref":"AppRestrictionsSchemaChangeEvent","description":"Notifications about new app restrictions schema changes."},"appUpdateEvent":{"$ref":"AppUpdateEvent","description":"Notifications about app updates."},"deviceReportUpdateEvent":{"$ref":"DeviceReportUpdateEvent","description":"Notifications about device report updates."},"enterpriseId":{"type":"string","description":"The ID of the enterprise for which the notification is sent. This will always be present."},"installFailureEvent":{"$ref":"InstallFailureEvent","description":"Notifications about an app installation failure."},"newDeviceEvent":{"$ref":"NewDeviceEvent","description":"Notifications about new devices."},"newPermissionsEvent":{"$ref":"NewPermissionsEvent","description":"Notifications about new app permissions."},"notificationType":{"type":"string","description":"Type of the notification."},"productApprovalEvent":{"$ref":"ProductApprovalEvent","description":"Notifications about changes to a product's approval status."},"productAvailabilityChangeEvent":{"$ref":"ProductAvailabilityChangeEvent","description":"Notifications about product availability changes."},"timestampMillis":{"type":"string","description":"The time when the notification was published in milliseconds since 1970-01-01T00:00:00Z. This will always be present.","format":"int64"}}},"NotificationSet":{"id":"NotificationSet","type":"object","description":"A resource returned by the PullNotificationSet API, which contains a collection of notifications for enterprises associated with the service account authenticated for the request.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#notificationSet\".","default":"androidenterprise#notificationSet"},"notification":{"type":"array","description":"The notifications received, or empty if no notifications are present.","items":{"$ref":"Notification"}},"notificationSetId":{"type":"string","description":"The notification set ID, required to mark the notification as received with the Enterprises.AcknowledgeNotification API. This will be omitted if no notifications are present."}}},"PageInfo":{"id":"PageInfo","type":"object","properties":{"resultPerPage":{"type":"integer","format":"int32"},"startIndex":{"type":"integer","format":"int32"},"totalResults":{"type":"integer","format":"int32"}}},"Permission":{"id":"Permission","type":"object","description":"A Permissions resource represents some extra capability, to be granted to an Android app, which requires explicit consent. An enterprise admin must consent to these permissions on behalf of their users before an entitlement for the app can be created.\n\nThe permissions collection is read-only. The information provided for each permission (localized name and description) is intended to be used in the MDM user interface when obtaining consent from the enterprise.","properties":{"description":{"type":"string","description":"A longer description of the Permissions resource, giving more details of what it affects."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#permission\".","default":"androidenterprise#permission"},"name":{"type":"string","description":"The name of the permission."},"permissionId":{"type":"string","description":"An opaque string uniquely identifying the permission."}}},"Policy":{"id":"Policy","type":"object","description":"The device policy for a given managed device.","properties":{"autoUpdatePolicy":{"type":"string","description":"The auto-update policy for apps installed on the device. \"choiceToTheUser\" allows the device's user to configure the app update policy. \"always\" enables auto updates. \"never\" disables auto updates. \"wifiOnly\" enables auto updates only when the device is connected to wifi."},"deviceReportPolicy":{"type":"string","description":"Whether the device reports app states to the EMM. The default value is \"deviceReportDisabled\"."},"maintenanceWindow":{"$ref":"MaintenanceWindow","description":"The maintenance window defining when apps running in the foreground should be updated."},"productAvailabilityPolicy":{"type":"string","description":"The availability granted to the device for the specified products. \"all\" gives the device access to all products, regardless of approval status. \"all\" does not enable automatic visibility of \"alpha\" or \"beta\" tracks. \"whitelist\" grants the device access the products specified in productPolicy[]. Only products that are approved or products that were previously approved (products with revoked approval) by the enterprise can be whitelisted. If no value is provided, the availability set at the user level is applied by default."},"productPolicy":{"type":"array","description":"The list of product policies.","items":{"$ref":"ProductPolicy"}}}},"Product":{"id":"Product","type":"object","description":"A Products resource represents an app in the Google Play store that is available to at least some users in the enterprise. (Some apps are restricted to a single enterprise, and no information about them is made available outside that enterprise.)\n\nThe information provided for each product (localized name, icon, link to the full Google Play details page) is intended to allow a basic representation of the product within an EMM user interface.","properties":{"appTracks":{"type":"array","description":"The tracks visible to the enterprise.","items":{"$ref":"TrackInfo"}},"appVersion":{"type":"array","description":"App versions currently available for this product.","items":{"$ref":"AppVersion"}},"authorName":{"type":"string","description":"The name of the author of the product (for example, the app developer)."},"availableCountries":{"type":"array","description":"The countries which this app is available in.","items":{"type":"string"}},"availableTracks":{"type":"array","description":"Deprecated, use appTracks instead.","items":{"type":"string"}},"category":{"type":"string","description":"The app category (e.g. RACING, SOCIAL, etc.)"},"contentRating":{"type":"string","description":"The content rating for this app."},"description":{"type":"string","description":"The localized promotional description, if available."},"detailsUrl":{"type":"string","description":"A link to the (consumer) Google Play details page for the product."},"distributionChannel":{"type":"string","description":"How and to whom the package is made available. The value publicGoogleHosted means that the package is available through the Play store and not restricted to a specific enterprise. The value privateGoogleHosted means that the package is a private app (restricted to an enterprise) but hosted by Google. The value privateSelfHosted means that the package is a private app (restricted to an enterprise) and is privately hosted."},"iconUrl":{"type":"string","description":"A link to an image that can be used as an icon for the product. This image is suitable for use at up to 512px x 512px."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#product\".","default":"androidenterprise#product"},"lastUpdatedTimestampMillis":{"type":"string","description":"The approximate time (within 7 days) the app was last published, expressed in milliseconds since epoch.","format":"int64"},"minAndroidSdkVersion":{"type":"integer","description":"The minimum Android SDK necessary to run the app.","format":"int32"},"permissions":{"type":"array","description":"A list of permissions required by the app.","items":{"$ref":"ProductPermission"}},"productId":{"type":"string","description":"A string of the form app:<package name>. For example, app:com.google.android.gm represents the Gmail app."},"productPricing":{"type":"string","description":"Whether this product is free, free with in-app purchases, or paid. If the pricing is unknown, this means the product is not generally available anymore (even though it might still be available to people who own it)."},"recentChanges":{"type":"string","description":"A description of the recent changes made to the app."},"requiresContainerApp":{"type":"boolean","description":"Deprecated."},"screenshotUrls":{"type":"array","description":"A list of screenshot links representing the app.","items":{"type":"string"}},"signingCertificate":{"$ref":"ProductSigningCertificate","description":"The certificate used to sign this product."},"smallIconUrl":{"type":"string","description":"A link to a smaller image that can be used as an icon for the product. This image is suitable for use at up to 128px x 128px."},"title":{"type":"string","description":"The name of the product."},"workDetailsUrl":{"type":"string","description":"A link to the managed Google Play details page for the product, for use by an Enterprise admin."}}},"ProductApprovalEvent":{"id":"ProductApprovalEvent","type":"object","description":"An event generated when a product's approval status is changed.","properties":{"approved":{"type":"string","description":"Whether the product was approved or unapproved. This field will always be present."},"productId":{"type":"string","description":"The id of the product (e.g. \"app:com.google.android.gm\") for which the approval status has changed. This field will always be present."}}},"ProductAvailabilityChangeEvent":{"id":"ProductAvailabilityChangeEvent","type":"object","description":"An event generated whenever a product's availability changes.","properties":{"availabilityStatus":{"type":"string","description":"The new state of the product. This field will always be present."},"productId":{"type":"string","description":"The id of the product (e.g. \"app:com.google.android.gm\") for which the product availability changed. This field will always be present."}}},"ProductPermission":{"id":"ProductPermission","type":"object","description":"A product permissions resource represents the set of permissions required by a specific app and whether or not they have been accepted by an enterprise admin.\n\nThe API can be used to read the set of permissions, and also to update the set to indicate that permissions have been accepted.","properties":{"permissionId":{"type":"string","description":"An opaque string uniquely identifying the permission."},"state":{"type":"string","description":"Whether the permission has been accepted or not."}}},"ProductPermissions":{"id":"ProductPermissions","type":"object","description":"Information about the permissions required by a specific app and whether they have been accepted by the enterprise.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#productPermissions\".","default":"androidenterprise#productPermissions"},"permission":{"type":"array","description":"The permissions required by the app.","items":{"$ref":"ProductPermission"}},"productId":{"type":"string","description":"The ID of the app that the permissions relate to, e.g. \"app:com.google.android.gm\"."}}},"ProductPolicy":{"id":"ProductPolicy","type":"object","description":"The policy for a product.","properties":{"autoInstallPolicy":{"$ref":"AutoInstallPolicy","description":"The auto-install policy for the product."},"managedConfiguration":{"$ref":"ManagedConfiguration","description":"The managed configuration for the product."},"productId":{"type":"string","description":"The ID of the product. For example, \"app:com.google.android.gm\"."},"trackIds":{"type":"array","description":"Grants the device visibility to the specified product release track(s), identified by trackIds. The list of release tracks of a product can be obtained by calling Products.Get.","items":{"type":"string"}},"tracks":{"type":"array","description":"Deprecated. Use trackIds instead.","items":{"type":"string"}}}},"ProductSet":{"id":"ProductSet","type":"object","description":"A set of products.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#productSet\".","default":"androidenterprise#productSet"},"productId":{"type":"array","description":"The list of product IDs making up the set of products.","items":{"type":"string"}},"productSetBehavior":{"type":"string","description":"The interpretation of this product set. \"unknown\" should never be sent and is ignored if received. \"whitelist\" means that the user is entitled to access the product set. \"includeAll\" means that all products are accessible, including products that are approved, products with revoked approval, and products that have never been approved. \"allApproved\" means that the user is entitled to access all products that are approved for the enterprise. If the value is \"allApproved\" or \"includeAll\", the productId field is ignored. If no value is provided, it is interpreted as \"whitelist\" for backwards compatibility. Further \"allApproved\" or \"includeAll\" does not enable automatic visibility of \"alpha\" or \"beta\" tracks for Android app. Use ProductVisibility to enable \"alpha\" or \"beta\" tracks per user."},"productVisibility":{"type":"array","description":"Additional list of product IDs making up the product set. Unlike the productID array, in this list It's possible to specify which tracks (alpha, beta, production) of a product are visible to the user. See ProductVisibility and its fields for more information. Specifying the same product ID both here and in the productId array is not allowed and it will result in an error.","items":{"$ref":"ProductVisibility"}}}},"ProductSigningCertificate":{"id":"ProductSigningCertificate","type":"object","properties":{"certificateHashSha1":{"type":"string","description":"The base64 urlsafe encoded SHA1 hash of the certificate. (This field is deprecated in favor of SHA2-256. It should not be used and may be removed at any time.)"},"certificateHashSha256":{"type":"string","description":"The base64 urlsafe encoded SHA2-256 hash of the certificate."}}},"ProductVisibility":{"id":"ProductVisibility","type":"object","description":"A product to be made visible to a user.","properties":{"productId":{"type":"string","description":"The product ID to make visible to the user. Required for each item in the productVisibility list."},"trackIds":{"type":"array","description":"Grants the user visibility to the specified product track(s), identified by trackIds.","items":{"type":"string"}},"tracks":{"type":"array","description":"Deprecated. Use trackIds instead.","items":{"type":"string"}}}},"ProductsApproveRequest":{"id":"ProductsApproveRequest","type":"object","properties":{"approvalUrlInfo":{"$ref":"ApprovalUrlInfo","description":"The approval URL that was shown to the user. Only the permissions shown to the user with that URL will be accepted, which may not be the product's entire set of permissions. For example, the URL may only display new permissions from an update after the product was approved, or not include new permissions if the product was updated since the URL was generated."},"approvedPermissions":{"type":"string","description":"Sets how new permission requests for the product are handled. \"allPermissions\" automatically approves all current and future permissions for the product. \"currentPermissionsOnly\" approves the current set of permissions for the product, but any future permissions added through updates will require manual reapproval. If not specified, only the current set of permissions will be approved."}}},"ProductsGenerateApprovalUrlResponse":{"id":"ProductsGenerateApprovalUrlResponse","type":"object","properties":{"url":{"type":"string","description":"A URL that can be rendered in an iframe to display the permissions (if any) of a product. This URL can be used to approve the product only once and only within 24 hours of being generated, using the Products.approve call. If the product is currently unapproved and has no permissions, this URL will point to an empty page. If the product is currently approved, a URL will only be generated if that product has added permissions since it was last approved, and the URL will only display those new permissions that have not yet been accepted."}}},"ProductsListResponse":{"id":"ProductsListResponse","type":"object","description":"The matching products.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#productsListResponse\".","default":"androidenterprise#productsListResponse"},"pageInfo":{"$ref":"PageInfo","description":"General pagination information."},"product":{"type":"array","description":"Information about a product (e.g. an app) in the Google Play store, for display to an enterprise admin.","items":{"$ref":"Product"}},"tokenPagination":{"$ref":"TokenPagination","description":"Pagination information for token pagination."}}},"ServiceAccount":{"id":"ServiceAccount","type":"object","description":"A service account identity, including the name and credentials that can be used to authenticate as the service account.","properties":{"key":{"$ref":"ServiceAccountKey","description":"Credentials that can be used to authenticate as this ServiceAccount."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#serviceAccount\".","default":"androidenterprise#serviceAccount"},"name":{"type":"string","description":"The account name of the service account, in the form of an email address. Assigned by the server."}}},"ServiceAccountKey":{"id":"ServiceAccountKey","type":"object","description":"Credentials that can be used to authenticate as a service account.","properties":{"data":{"type":"string","description":"The body of the private key credentials file, in string format. This is only populated when the ServiceAccountKey is created, and is not stored by Google."},"id":{"type":"string","description":"An opaque, unique identifier for this ServiceAccountKey. Assigned by the server."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#serviceAccountKey\".","default":"androidenterprise#serviceAccountKey"},"publicData":{"type":"string","description":"Public key data for the credentials file. This is an X.509 cert. If you are using the googleCredentials key type, this is identical to the cert that can be retrieved by using the X.509 cert url inside of the credentials file."},"type":{"type":"string","description":"The file format of the generated key data.","annotations":{"required":["androidenterprise.serviceaccountkeys.insert"]}}}},"ServiceAccountKeysListResponse":{"id":"ServiceAccountKeysListResponse","type":"object","properties":{"serviceAccountKey":{"type":"array","description":"The service account credentials.","items":{"$ref":"ServiceAccountKey"}}}},"SignupInfo":{"id":"SignupInfo","type":"object","description":"A resource returned by the GenerateSignupUrl API, which contains the Signup URL and Completion Token.","properties":{"completionToken":{"type":"string","description":"An opaque token that will be required, along with the Enterprise Token, for obtaining the enterprise resource from CompleteSignup."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#signupInfo\".","default":"androidenterprise#signupInfo"},"url":{"type":"string","description":"A URL under which the Admin can sign up for an enterprise. The page pointed to cannot be rendered in an iframe."}}},"StoreCluster":{"id":"StoreCluster","type":"object","description":"Definition of a managed Google Play store cluster, a list of products displayed as part of a store page.","properties":{"id":{"type":"string","description":"Unique ID of this cluster. Assigned by the server. Immutable once assigned."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#storeCluster\".","default":"androidenterprise#storeCluster"},"name":{"type":"array","description":"Ordered list of localized strings giving the name of this page. The text displayed is the one that best matches the user locale, or the first entry if there is no good match. There needs to be at least one entry.","items":{"$ref":"LocalizedText"}},"orderInPage":{"type":"string","description":"String (US-ASCII only) used to determine order of this cluster within the parent page's elements. Page elements are sorted in lexicographic order of this field. Duplicated values are allowed, but ordering between elements with duplicate order is undefined.\n\nThe value of this field is never visible to a user, it is used solely for the purpose of defining an ordering. Maximum length is 256 characters."},"productId":{"type":"array","description":"List of products in the order they are displayed in the cluster. There should not be duplicates within a cluster.","items":{"type":"string"}}}},"StoreLayout":{"id":"StoreLayout","type":"object","description":"General setting for the managed Google Play store layout, currently only specifying the page to display the first time the store is opened.","properties":{"homepageId":{"type":"string","description":"The ID of the store page to be used as the homepage. The homepage is the first page shown in the managed Google Play Store.\n\nNot specifying a homepage is equivalent to setting the store layout type to \"basic\"."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#storeLayout\".","default":"androidenterprise#storeLayout"},"storeLayoutType":{"type":"string","description":"The store layout type. By default, this value is set to \"basic\" if the homepageId field is not set, and to \"custom\" otherwise. If set to \"basic\", the layout will consist of all approved apps that have been whitelisted for the user."}}},"StoreLayoutClustersListResponse":{"id":"StoreLayoutClustersListResponse","type":"object","description":"The store page resources for the enterprise.","properties":{"cluster":{"type":"array","description":"A store cluster of an enterprise.","items":{"$ref":"StoreCluster"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#storeLayoutClustersListResponse\".","default":"androidenterprise#storeLayoutClustersListResponse"}}},"StoreLayoutPagesListResponse":{"id":"StoreLayoutPagesListResponse","type":"object","description":"The store page resources for the enterprise.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#storeLayoutPagesListResponse\".","default":"androidenterprise#storeLayoutPagesListResponse"},"page":{"type":"array","description":"A store page of an enterprise.","items":{"$ref":"StorePage"}}}},"StorePage":{"id":"StorePage","type":"object","description":"Definition of a managed Google Play store page, made of a localized name and links to other pages. A page also contains clusters defined as a subcollection.","properties":{"id":{"type":"string","description":"Unique ID of this page. Assigned by the server. Immutable once assigned."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#storePage\".","default":"androidenterprise#storePage"},"link":{"type":"array","description":"Ordered list of pages a user should be able to reach from this page. The list can't include this page. It is recommended that the basic pages are created first, before adding the links between pages.\n\nThe API doesn't verify that the pages exist or the pages are reachable.","items":{"type":"string"}},"name":{"type":"array","description":"Ordered list of localized strings giving the name of this page. The text displayed is the one that best matches the user locale, or the first entry if there is no good match. There needs to be at least one entry.","items":{"$ref":"LocalizedText"}}}},"TokenPagination":{"id":"TokenPagination","type":"object","properties":{"nextPageToken":{"type":"string"},"previousPageToken":{"type":"string"}}},"TrackInfo":{"id":"TrackInfo","type":"object","description":"Id to name association of a track.","properties":{"trackAlias":{"type":"string","description":"A modifiable name for a track. This is the visible name in the play developer console."},"trackId":{"type":"string","description":"Unmodifiable, unique track identifier. This identifier is the releaseTrackId in the url of the play developer console page that displays the track information."}}},"User":{"id":"User","type":"object","description":"A Users resource represents an account associated with an enterprise. The account may be specific to a device or to an individual user (who can then use the account across multiple devices). The account may provide access to managed Google Play only, or to other Google services, depending on the identity model: \n- The Google managed domain identity model requires synchronization to Google account sources (via primaryEmail). \n- The managed Google Play Accounts identity model provides a dynamic means for enterprises to create user or device accounts as needed. These accounts provide access to managed Google Play.","properties":{"accountIdentifier":{"type":"string","description":"A unique identifier you create for this user, such as \"user342\" or \"asset#44418\". Do not use personally identifiable information (PII) for this property. Must always be set for EMM-managed users. Not set for Google-managed users.","annotations":{"required":["androidenterprise.users.insert"]}},"accountType":{"type":"string","description":"The type of account that this user represents. A userAccount can be installed on multiple devices, but a deviceAccount is specific to a single device. An EMM-managed user (emmManaged) can be either type (userAccount, deviceAccount), but a Google-managed user (googleManaged) is always a userAccount.","annotations":{"required":["androidenterprise.users.insert"]}},"displayName":{"type":"string","description":"The name that will appear in user interfaces. Setting this property is optional when creating EMM-managed users. If you do set this property, use something generic about the organization (such as \"Example, Inc.\") or your name (as EMM). Not used for Google-managed user accounts."},"id":{"type":"string","description":"The unique ID for the user."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#user\".","default":"androidenterprise#user"},"managementType":{"type":"string","description":"The entity that manages the user. With googleManaged users, the source of truth is Google so EMMs have to make sure a Google Account exists for the user. With emmManaged users, the EMM is in charge."},"primaryEmail":{"type":"string","description":"The user's primary email address, for example, \"jsmith@example.com\". Will always be set for Google managed users and not set for EMM managed users."}}},"UserToken":{"id":"UserToken","type":"object","description":"A UserToken is used by a user when setting up a managed device or profile with their managed Google Play account on a device. When the user enters their email address and token (activation code) the appropriate EMM app can be automatically downloaded.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#userToken\".","default":"androidenterprise#userToken"},"token":{"type":"string","description":"The token (activation code) to be entered by the user. This consists of a sequence of decimal digits. Note that the leading digit may be 0."},"userId":{"type":"string","description":"The unique ID for the user."}}},"UsersListResponse":{"id":"UsersListResponse","type":"object","description":"The matching user resources.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#usersListResponse\".","default":"androidenterprise#usersListResponse"},"user":{"type":"array","description":"A user of an enterprise.","items":{"$ref":"User"}}}},"VariableSet":{"id":"VariableSet","type":"object","description":"A variable set is a key-value pair of EMM-provided placeholders and its corresponding value, which is attributed to a user. For example, $FIRSTNAME could be a placeholder, and its value could be Alice. Placeholders should start with a '$' sign and should be alphanumeric only.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#variableSet\".","default":"androidenterprise#variableSet"},"placeholder":{"type":"string","description":"The placeholder string; defined by EMM."},"userValue":{"type":"string","description":"The value of the placeholder, specific to the user."}}},"WebApp":{"id":"WebApp","type":"object","description":"A WebApps resource represents a web app created for an enterprise. Web apps are published to managed Google Play and can be distributed like other Android apps. On a user's device, a web app opens its specified URL.","properties":{"displayMode":{"type":"string","description":"The display mode of the web app.\n\nPossible values include: \n- \"minimalUi\", the device's status bar, navigation bar, the app's URL, and a refresh button are visible when the app is open. For HTTP URLs, you can only select this option.\n- \"standalone\", the device's status bar and navigation bar are visible when the app is open.\n- \"fullScreen\", the app opens in full screen mode, hiding the device's status and navigation bars. All browser UI elements, page URL, system status bar and back button are not visible, and the web app takes up the entirety of the available display area."},"icons":{"type":"array","description":"A list of icons representing this website. If absent, a default icon (for create) or the current icon (for update) will be used.","items":{"$ref":"WebAppIcon"}},"isPublished":{"type":"boolean","description":"A flag whether the app has been published to the Play store yet."},"startUrl":{"type":"string","description":"The start URL, i.e. the URL that should load when the user opens the application."},"title":{"type":"string","description":"The title of the web app as displayed to the user (e.g., amongst a list of other applications, or as a label for an icon)."},"versionCode":{"type":"string","description":"The current version of the app.\n\n\nNote that the version can automatically increase during the lifetime of the web app, while Google does internal housekeeping to keep the web app up-to-date.","format":"int64"},"webAppId":{"type":"string","description":"The ID of the application. A string of the form \"app:<package name>\" where the package name always starts with the prefix \"com.google.enterprise.webapp.\" followed by a random id."}}},"WebAppIcon":{"id":"WebAppIcon","type":"object","description":"Icon for a web app.","properties":{"imageData":{"type":"string","description":"The actual bytes of the image in a base64url encoded string (c.f. RFC4648, section 5 \"Base 64 Encoding with URL and Filename Safe Alphabet\").  \n- The image type can be png or jpg.\n- The image should ideally be square.\n- The image should ideally have a size of 512x512."}}},"WebAppsListResponse":{"id":"WebAppsListResponse","type":"object","description":"The web app details for an enterprise.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidenterprise#webAppsListResponse\".","default":"androidenterprise#webAppsListResponse"},"webApp":{"type":"array","description":"The manifest describing a web app.","items":{"$ref":"WebApp"}}}}},"resources":{"devices":{"methods":{"forceReportUpload":{"id":"androidenterprise.devices.forceReportUpload","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/forceReportUpload","httpMethod":"POST","description":"Uploads a report containing any changes in app states on the device since the last report was generated. You can call this method up to 3 times every 24 hours for a given device.","parameters":{"deviceId":{"type":"string","description":"The ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.devices.get","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}","httpMethod":"GET","description":"Retrieves the details of a device.","parameters":{"deviceId":{"type":"string","description":"The ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"response":{"$ref":"Device"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"getState":{"id":"androidenterprise.devices.getState","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/state","httpMethod":"GET","description":"Retrieves whether a device's access to Google services is enabled or disabled. The device state takes effect only if enforcing EMM policies on Android devices is enabled in the Google Admin Console. Otherwise, the device state is ignored and all devices are allowed access to Google services. This is only supported for Google-managed users.","parameters":{"deviceId":{"type":"string","description":"The ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"response":{"$ref":"DeviceState"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.devices.list","path":"enterprises/{enterpriseId}/users/{userId}/devices","httpMethod":"GET","description":"Retrieves the IDs of all of a user's devices.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"DevicesListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.devices.patch","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}","httpMethod":"PATCH","description":"Updates the device policy. This method supports patch semantics.","parameters":{"deviceId":{"type":"string","description":"The ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"updateMask":{"type":"string","description":"Mask that identifies which fields to update. If not set, all modifiable fields will be modified.\n\nWhen set in a query parameter, this field should be specified as updateMask=<field1>,<field2>,...","location":"query"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"request":{"$ref":"Device"},"response":{"$ref":"Device"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"setState":{"id":"androidenterprise.devices.setState","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/state","httpMethod":"PUT","description":"Sets whether a device's access to Google services is enabled or disabled. The device state takes effect only if enforcing EMM policies on Android devices is enabled in the Google Admin Console. Otherwise, the device state is ignored and all devices are allowed access to Google services. This is only supported for Google-managed users.","parameters":{"deviceId":{"type":"string","description":"The ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"request":{"$ref":"DeviceState"},"response":{"$ref":"DeviceState"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.devices.update","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}","httpMethod":"PUT","description":"Updates the device policy","parameters":{"deviceId":{"type":"string","description":"The ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"updateMask":{"type":"string","description":"Mask that identifies which fields to update. If not set, all modifiable fields will be modified.\n\nWhen set in a query parameter, this field should be specified as updateMask=<field1>,<field2>,...","location":"query"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"request":{"$ref":"Device"},"response":{"$ref":"Device"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"enterprises":{"methods":{"acknowledgeNotificationSet":{"id":"androidenterprise.enterprises.acknowledgeNotificationSet","path":"enterprises/acknowledgeNotificationSet","httpMethod":"POST","description":"Acknowledges notifications that were received from Enterprises.PullNotificationSet to prevent subsequent calls from returning the same notifications.","parameters":{"notificationSetId":{"type":"string","description":"The notification set ID as returned by Enterprises.PullNotificationSet. This must be provided.","location":"query"}},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"completeSignup":{"id":"androidenterprise.enterprises.completeSignup","path":"enterprises/completeSignup","httpMethod":"POST","description":"Completes the signup flow, by specifying the Completion token and Enterprise token. This request must not be called multiple times for a given Enterprise Token.","parameters":{"completionToken":{"type":"string","description":"The Completion token initially returned by GenerateSignupUrl.","location":"query"},"enterpriseToken":{"type":"string","description":"The Enterprise token appended to the Callback URL.","location":"query"}},"response":{"$ref":"Enterprise"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"createWebToken":{"id":"androidenterprise.enterprises.createWebToken","path":"enterprises/{enterpriseId}/createWebToken","httpMethod":"POST","description":"Returns a unique token to access an embeddable UI. To generate a web UI, pass the generated token into the managed Google Play javascript API. Each token may only be used to start one UI session. See the javascript API documentation for further information.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"AdministratorWebTokenSpec"},"response":{"$ref":"AdministratorWebToken"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"enroll":{"id":"androidenterprise.enterprises.enroll","path":"enterprises/enroll","httpMethod":"POST","description":"Enrolls an enterprise with the calling EMM.","parameters":{"token":{"type":"string","description":"The token provided by the enterprise to register the EMM.","required":true,"location":"query"}},"parameterOrder":["token"],"request":{"$ref":"Enterprise"},"response":{"$ref":"Enterprise"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"generateSignupUrl":{"id":"androidenterprise.enterprises.generateSignupUrl","path":"enterprises/signupUrl","httpMethod":"POST","description":"Generates a sign-up URL.","parameters":{"callbackUrl":{"type":"string","description":"The callback URL to which the Admin will be redirected after successfully creating an enterprise. Before redirecting there the system will add a single query parameter to this URL named \"enterpriseToken\" which will contain an opaque token to be used for the CompleteSignup request.\nBeware that this means that the URL will be parsed, the parameter added and then a new URL formatted, i.e. there may be some minor formatting changes and, more importantly, the URL must be well-formed so that it can be parsed.","location":"query"}},"response":{"$ref":"SignupInfo"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.enterprises.get","path":"enterprises/{enterpriseId}","httpMethod":"GET","description":"Retrieves the name and domain of an enterprise.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"Enterprise"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"getServiceAccount":{"id":"androidenterprise.enterprises.getServiceAccount","path":"enterprises/{enterpriseId}/serviceAccount","httpMethod":"GET","description":"Returns a service account and credentials. The service account can be bound to the enterprise by calling setAccount. The service account is unique to this enterprise and EMM, and will be deleted if the enterprise is unbound. The credentials contain private key data and are not stored server-side.\n\nThis method can only be called after calling Enterprises.Enroll or Enterprises.CompleteSignup, and before Enterprises.SetAccount; at other times it will return an error.\n\nSubsequent calls after the first will generate a new, unique set of credentials, and invalidate the previously generated credentials.\n\nOnce the service account is bound to the enterprise, it can be managed using the serviceAccountKeys resource.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"keyType":{"type":"string","description":"The type of credential to return with the service account. Required.","enum":["googleCredentials","pkcs12"],"enumDescriptions":["",""],"location":"query"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"ServiceAccount"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"getStoreLayout":{"id":"androidenterprise.enterprises.getStoreLayout","path":"enterprises/{enterpriseId}/storeLayout","httpMethod":"GET","description":"Returns the store layout for the enterprise. If the store layout has not been set, returns \"basic\" as the store layout type and no homepage.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"StoreLayout"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.enterprises.list","path":"enterprises","httpMethod":"GET","description":"Looks up an enterprise by domain name. This is only supported for enterprises created via the Google-initiated creation flow. Lookup of the id is not needed for enterprises created via the EMM-initiated flow since the EMM learns the enterprise ID in the callback specified in the Enterprises.generateSignupUrl call.","parameters":{"domain":{"type":"string","description":"The exact primary domain name of the enterprise to look up.","required":true,"location":"query"}},"parameterOrder":["domain"],"response":{"$ref":"EnterprisesListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"pullNotificationSet":{"id":"androidenterprise.enterprises.pullNotificationSet","path":"enterprises/pullNotificationSet","httpMethod":"POST","description":"Pulls and returns a notification set for the enterprises associated with the service account authenticated for the request. The notification set may be empty if no notification are pending.\nA notification set returned needs to be acknowledged within 20 seconds by calling Enterprises.AcknowledgeNotificationSet, unless the notification set is empty.\nNotifications that are not acknowledged within the 20 seconds will eventually be included again in the response to another PullNotificationSet request, and those that are never acknowledged will ultimately be deleted according to the Google Cloud Platform Pub/Sub system policy.\nMultiple requests might be performed concurrently to retrieve notifications, in which case the pending notifications (if any) will be split among each caller, if any are pending.\nIf no notifications are present, an empty notification list is returned. Subsequent requests may return more notifications once they become available.","parameters":{"requestMode":{"type":"string","description":"The request mode for pulling notifications.\nSpecifying waitForNotifications will cause the request to block and wait until one or more notifications are present, or return an empty notification list if no notifications are present after some time.\nSpeciying returnImmediately will cause the request to immediately return the pending notifications, or an empty list if no notifications are present.\nIf omitted, defaults to waitForNotifications.","enum":["returnImmediately","waitForNotifications"],"enumDescriptions":["",""],"location":"query"}},"response":{"$ref":"NotificationSet"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"sendTestPushNotification":{"id":"androidenterprise.enterprises.sendTestPushNotification","path":"enterprises/{enterpriseId}/sendTestPushNotification","httpMethod":"POST","description":"Sends a test notification to validate the EMM integration with the Google Cloud Pub/Sub service for this enterprise.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"EnterprisesSendTestPushNotificationResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"setAccount":{"id":"androidenterprise.enterprises.setAccount","path":"enterprises/{enterpriseId}/account","httpMethod":"PUT","description":"Sets the account that will be used to authenticate to the API as the enterprise.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"EnterpriseAccount"},"response":{"$ref":"EnterpriseAccount"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"setStoreLayout":{"id":"androidenterprise.enterprises.setStoreLayout","path":"enterprises/{enterpriseId}/storeLayout","httpMethod":"PUT","description":"Sets the store layout for the enterprise. By default, storeLayoutType is set to \"basic\" and the basic store layout is enabled. The basic layout only contains apps approved by the admin, and that have been added to the available product set for a user (using the  setAvailableProductSet call). Apps on the page are sorted in order of their product ID value. If you create a custom store layout (by setting storeLayoutType = \"custom\" and setting a homepage), the basic store layout is disabled.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"StoreLayout"},"response":{"$ref":"StoreLayout"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"unenroll":{"id":"androidenterprise.enterprises.unenroll","path":"enterprises/{enterpriseId}/unenroll","httpMethod":"POST","description":"Unenrolls an enterprise from the calling EMM.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"entitlements":{"methods":{"delete":{"id":"androidenterprise.entitlements.delete","path":"enterprises/{enterpriseId}/users/{userId}/entitlements/{entitlementId}","httpMethod":"DELETE","description":"Removes an entitlement to an app for a user.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"entitlementId":{"type":"string","description":"The ID of the entitlement (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","entitlementId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.entitlements.get","path":"enterprises/{enterpriseId}/users/{userId}/entitlements/{entitlementId}","httpMethod":"GET","description":"Retrieves details of an entitlement.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"entitlementId":{"type":"string","description":"The ID of the entitlement (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","entitlementId"],"response":{"$ref":"Entitlement"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.entitlements.list","path":"enterprises/{enterpriseId}/users/{userId}/entitlements","httpMethod":"GET","description":"Lists all entitlements for the specified user. Only the ID is set.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"EntitlementsListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.entitlements.patch","path":"enterprises/{enterpriseId}/users/{userId}/entitlements/{entitlementId}","httpMethod":"PATCH","description":"Adds or updates an entitlement to an app for a user. This method supports patch semantics.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"entitlementId":{"type":"string","description":"The ID of the entitlement (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"install":{"type":"boolean","description":"Set to true to also install the product on all the user's devices where possible. Failure to install on one or more devices will not prevent this operation from returning successfully, as long as the entitlement was successfully assigned to the user.","location":"query"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","entitlementId"],"request":{"$ref":"Entitlement"},"response":{"$ref":"Entitlement"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.entitlements.update","path":"enterprises/{enterpriseId}/users/{userId}/entitlements/{entitlementId}","httpMethod":"PUT","description":"Adds or updates an entitlement to an app for a user.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"entitlementId":{"type":"string","description":"The ID of the entitlement (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"install":{"type":"boolean","description":"Set to true to also install the product on all the user's devices where possible. Failure to install on one or more devices will not prevent this operation from returning successfully, as long as the entitlement was successfully assigned to the user.","location":"query"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","entitlementId"],"request":{"$ref":"Entitlement"},"response":{"$ref":"Entitlement"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"grouplicenses":{"methods":{"get":{"id":"androidenterprise.grouplicenses.get","path":"enterprises/{enterpriseId}/groupLicenses/{groupLicenseId}","httpMethod":"GET","description":"Retrieves details of an enterprise's group license for a product.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"groupLicenseId":{"type":"string","description":"The ID of the product the group license is for, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"}},"parameterOrder":["enterpriseId","groupLicenseId"],"response":{"$ref":"GroupLicense"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.grouplicenses.list","path":"enterprises/{enterpriseId}/groupLicenses","httpMethod":"GET","description":"Retrieves IDs of all products for which the enterprise has a group license.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"GroupLicensesListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"grouplicenseusers":{"methods":{"list":{"id":"androidenterprise.grouplicenseusers.list","path":"enterprises/{enterpriseId}/groupLicenses/{groupLicenseId}/users","httpMethod":"GET","description":"Retrieves the IDs of the users who have been granted entitlements under the license.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"groupLicenseId":{"type":"string","description":"The ID of the product the group license is for, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"}},"parameterOrder":["enterpriseId","groupLicenseId"],"response":{"$ref":"GroupLicenseUsersListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"installs":{"methods":{"delete":{"id":"androidenterprise.installs.delete","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/installs/{installId}","httpMethod":"DELETE","description":"Requests to remove an app from a device. A call to get or list will still show the app as installed on the device until it is actually removed.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"installId":{"type":"string","description":"The ID of the product represented by the install, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","installId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.installs.get","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/installs/{installId}","httpMethod":"GET","description":"Retrieves details of an installation of an app on a device.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"installId":{"type":"string","description":"The ID of the product represented by the install, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","installId"],"response":{"$ref":"Install"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.installs.list","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/installs","httpMethod":"GET","description":"Retrieves the details of all apps installed on the specified device.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"response":{"$ref":"InstallsListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.installs.patch","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/installs/{installId}","httpMethod":"PATCH","description":"Requests to install the latest version of an app to a device. If the app is already installed, then it is updated to the latest version if necessary. This method supports patch semantics.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"installId":{"type":"string","description":"The ID of the product represented by the install, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","installId"],"request":{"$ref":"Install"},"response":{"$ref":"Install"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.installs.update","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/installs/{installId}","httpMethod":"PUT","description":"Requests to install the latest version of an app to a device. If the app is already installed, then it is updated to the latest version if necessary.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"installId":{"type":"string","description":"The ID of the product represented by the install, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","installId"],"request":{"$ref":"Install"},"response":{"$ref":"Install"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"managedconfigurationsfordevice":{"methods":{"delete":{"id":"androidenterprise.managedconfigurationsfordevice.delete","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/managedConfigurationsForDevice/{managedConfigurationForDeviceId}","httpMethod":"DELETE","description":"Removes a per-device managed configuration for an app for the specified device.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForDeviceId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","managedConfigurationForDeviceId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.managedconfigurationsfordevice.get","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/managedConfigurationsForDevice/{managedConfigurationForDeviceId}","httpMethod":"GET","description":"Retrieves details of a per-device managed configuration.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForDeviceId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","managedConfigurationForDeviceId"],"response":{"$ref":"ManagedConfiguration"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.managedconfigurationsfordevice.list","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/managedConfigurationsForDevice","httpMethod":"GET","description":"Lists all the per-device managed configurations for the specified device. Only the ID is set.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId"],"response":{"$ref":"ManagedConfigurationsForDeviceListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.managedconfigurationsfordevice.patch","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/managedConfigurationsForDevice/{managedConfigurationForDeviceId}","httpMethod":"PATCH","description":"Adds or updates a per-device managed configuration for an app for the specified device. This method supports patch semantics.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForDeviceId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","managedConfigurationForDeviceId"],"request":{"$ref":"ManagedConfiguration"},"response":{"$ref":"ManagedConfiguration"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.managedconfigurationsfordevice.update","path":"enterprises/{enterpriseId}/users/{userId}/devices/{deviceId}/managedConfigurationsForDevice/{managedConfigurationForDeviceId}","httpMethod":"PUT","description":"Adds or updates a per-device managed configuration for an app for the specified device.","parameters":{"deviceId":{"type":"string","description":"The Android ID of the device.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForDeviceId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","deviceId","managedConfigurationForDeviceId"],"request":{"$ref":"ManagedConfiguration"},"response":{"$ref":"ManagedConfiguration"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"managedconfigurationsforuser":{"methods":{"delete":{"id":"androidenterprise.managedconfigurationsforuser.delete","path":"enterprises/{enterpriseId}/users/{userId}/managedConfigurationsForUser/{managedConfigurationForUserId}","httpMethod":"DELETE","description":"Removes a per-user managed configuration for an app for the specified user.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForUserId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","managedConfigurationForUserId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.managedconfigurationsforuser.get","path":"enterprises/{enterpriseId}/users/{userId}/managedConfigurationsForUser/{managedConfigurationForUserId}","httpMethod":"GET","description":"Retrieves details of a per-user managed configuration for an app for the specified user.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForUserId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","managedConfigurationForUserId"],"response":{"$ref":"ManagedConfiguration"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.managedconfigurationsforuser.list","path":"enterprises/{enterpriseId}/users/{userId}/managedConfigurationsForUser","httpMethod":"GET","description":"Lists all the per-user managed configurations for the specified user. Only the ID is set.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"ManagedConfigurationsForUserListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.managedconfigurationsforuser.patch","path":"enterprises/{enterpriseId}/users/{userId}/managedConfigurationsForUser/{managedConfigurationForUserId}","httpMethod":"PATCH","description":"Adds or updates the managed configuration settings for an app for the specified user. If you support the Managed configurations iframe, you can apply managed configurations to a user by specifying an mcmId and its associated configuration variables (if any) in the request. Alternatively, all EMMs can apply managed configurations by passing a list of managed properties. This method supports patch semantics.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForUserId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","managedConfigurationForUserId"],"request":{"$ref":"ManagedConfiguration"},"response":{"$ref":"ManagedConfiguration"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.managedconfigurationsforuser.update","path":"enterprises/{enterpriseId}/users/{userId}/managedConfigurationsForUser/{managedConfigurationForUserId}","httpMethod":"PUT","description":"Adds or updates the managed configuration settings for an app for the specified user. If you support the Managed configurations iframe, you can apply managed configurations to a user by specifying an mcmId and its associated configuration variables (if any) in the request. Alternatively, all EMMs can apply managed configurations by passing a list of managed properties.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"managedConfigurationForUserId":{"type":"string","description":"The ID of the managed configuration (a product ID), e.g. \"app:com.google.android.gm\".","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId","managedConfigurationForUserId"],"request":{"$ref":"ManagedConfiguration"},"response":{"$ref":"ManagedConfiguration"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"managedconfigurationssettings":{"methods":{"list":{"id":"androidenterprise.managedconfigurationssettings.list","path":"enterprises/{enterpriseId}/products/{productId}/managedConfigurationsSettings","httpMethod":"GET","description":"Lists all the managed configurations settings for the specified app. Only the ID and the name is set.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"productId":{"type":"string","description":"The ID of the product for which the managed configurations settings applies to.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"response":{"$ref":"ManagedConfigurationsSettingsListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"permissions":{"methods":{"get":{"id":"androidenterprise.permissions.get","path":"permissions/{permissionId}","httpMethod":"GET","description":"Retrieves details of an Android app permission for display to an enterprise admin.","parameters":{"language":{"type":"string","description":"The BCP47 tag for the user's preferred language (e.g. \"en-US\", \"de\")","location":"query"},"permissionId":{"type":"string","description":"The ID of the permission.","required":true,"location":"path"}},"parameterOrder":["permissionId"],"response":{"$ref":"Permission"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"products":{"methods":{"approve":{"id":"androidenterprise.products.approve","path":"enterprises/{enterpriseId}/products/{productId}/approve","httpMethod":"POST","description":"Approves the specified product and the relevant app permissions, if any. The maximum number of products that you can approve per enterprise customer is 1,000.\n\nTo learn how to use managed Google Play to design and create a store layout to display approved products to your users, see Store Layout Design.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"productId":{"type":"string","description":"The ID of the product.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"request":{"$ref":"ProductsApproveRequest"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"generateApprovalUrl":{"id":"androidenterprise.products.generateApprovalUrl","path":"enterprises/{enterpriseId}/products/{productId}/generateApprovalUrl","httpMethod":"POST","description":"Generates a URL that can be rendered in an iframe to display the permissions (if any) of a product. An enterprise admin must view these permissions and accept them on behalf of their organization in order to approve that product.\n\nAdmins should accept the displayed permissions by interacting with a separate UI element in the EMM console, which in turn should trigger the use of this URL as the approvalUrlInfo.approvalUrl property in a Products.approve call to approve the product. This URL can only be used to display permissions for up to 1 day.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"languageCode":{"type":"string","description":"The BCP 47 language code used for permission names and descriptions in the returned iframe, for instance \"en-US\".","location":"query"},"productId":{"type":"string","description":"The ID of the product.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"response":{"$ref":"ProductsGenerateApprovalUrlResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.products.get","path":"enterprises/{enterpriseId}/products/{productId}","httpMethod":"GET","description":"Retrieves details of a product for display to an enterprise admin.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"language":{"type":"string","description":"The BCP47 tag for the user's preferred language (e.g. \"en-US\", \"de\").","location":"query"},"productId":{"type":"string","description":"The ID of the product, e.g. \"app:com.google.android.gm\".","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"response":{"$ref":"Product"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"getAppRestrictionsSchema":{"id":"androidenterprise.products.getAppRestrictionsSchema","path":"enterprises/{enterpriseId}/products/{productId}/appRestrictionsSchema","httpMethod":"GET","description":"Retrieves the schema that defines the configurable properties for this product. All products have a schema, but this schema may be empty if no managed configurations have been defined. This schema can be used to populate a UI that allows an admin to configure the product. To apply a managed configuration based on the schema obtained using this API, see Managed Configurations through Play.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"language":{"type":"string","description":"The BCP47 tag for the user's preferred language (e.g. \"en-US\", \"de\").","location":"query"},"productId":{"type":"string","description":"The ID of the product.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"response":{"$ref":"AppRestrictionsSchema"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"getPermissions":{"id":"androidenterprise.products.getPermissions","path":"enterprises/{enterpriseId}/products/{productId}/permissions","httpMethod":"GET","description":"Retrieves the Android app permissions required by this app.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"productId":{"type":"string","description":"The ID of the product.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"response":{"$ref":"ProductPermissions"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.products.list","path":"enterprises/{enterpriseId}/products","httpMethod":"GET","description":"Finds approved products that match a query, or all approved products if there is no query.","parameters":{"approved":{"type":"boolean","description":"Specifies whether to search among all products (false) or among only products that have been approved (true). Only \"true\" is supported, and should be specified.","location":"query"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"language":{"type":"string","description":"The BCP47 tag for the user's preferred language (e.g. \"en-US\", \"de\"). Results are returned in the language best matching the preferred language.","location":"query"},"maxResults":{"type":"integer","description":"Specifies the maximum number of products that can be returned per request. If not specified, uses a default value of 100, which is also the maximum retrievable within a single response.","format":"uint32","location":"query"},"query":{"type":"string","description":"The search query as typed in the Google Play store search box. If omitted, all approved apps will be returned (using the pagination parameters), including apps that are not available in the store (e.g. unpublished apps).","location":"query"},"token":{"type":"string","description":"A pagination token is contained in a request's response when there are more products. The token can be used in a subsequent request to obtain more products, and so forth. This parameter cannot be used in the initial request.","location":"query"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"ProductsListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"unapprove":{"id":"androidenterprise.products.unapprove","path":"enterprises/{enterpriseId}/products/{productId}/unapprove","httpMethod":"POST","description":"Unapproves the specified product (and the relevant app permissions, if any)","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"productId":{"type":"string","description":"The ID of the product.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","productId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"serviceaccountkeys":{"methods":{"delete":{"id":"androidenterprise.serviceaccountkeys.delete","path":"enterprises/{enterpriseId}/serviceAccountKeys/{keyId}","httpMethod":"DELETE","description":"Removes and invalidates the specified credentials for the service account associated with this enterprise. The calling service account must have been retrieved by calling Enterprises.GetServiceAccount and must have been set as the enterprise service account by calling Enterprises.SetAccount.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"keyId":{"type":"string","description":"The ID of the key.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","keyId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"insert":{"id":"androidenterprise.serviceaccountkeys.insert","path":"enterprises/{enterpriseId}/serviceAccountKeys","httpMethod":"POST","description":"Generates new credentials for the service account associated with this enterprise. The calling service account must have been retrieved by calling Enterprises.GetServiceAccount and must have been set as the enterprise service account by calling Enterprises.SetAccount.\n\nOnly the type of the key should be populated in the resource to be inserted.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"ServiceAccountKey"},"response":{"$ref":"ServiceAccountKey"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.serviceaccountkeys.list","path":"enterprises/{enterpriseId}/serviceAccountKeys","httpMethod":"GET","description":"Lists all active credentials for the service account associated with this enterprise. Only the ID and key type are returned. The calling service account must have been retrieved by calling Enterprises.GetServiceAccount and must have been set as the enterprise service account by calling Enterprises.SetAccount.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"ServiceAccountKeysListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"storelayoutclusters":{"methods":{"delete":{"id":"androidenterprise.storelayoutclusters.delete","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}/clusters/{clusterId}","httpMethod":"DELETE","description":"Deletes a cluster.","parameters":{"clusterId":{"type":"string","description":"The ID of the cluster.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId","clusterId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.storelayoutclusters.get","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}/clusters/{clusterId}","httpMethod":"GET","description":"Retrieves details of a cluster.","parameters":{"clusterId":{"type":"string","description":"The ID of the cluster.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId","clusterId"],"response":{"$ref":"StoreCluster"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"insert":{"id":"androidenterprise.storelayoutclusters.insert","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}/clusters","httpMethod":"POST","description":"Inserts a new cluster in a page.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId"],"request":{"$ref":"StoreCluster"},"response":{"$ref":"StoreCluster"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.storelayoutclusters.list","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}/clusters","httpMethod":"GET","description":"Retrieves the details of all clusters on the specified page.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId"],"response":{"$ref":"StoreLayoutClustersListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.storelayoutclusters.patch","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}/clusters/{clusterId}","httpMethod":"PATCH","description":"Updates a cluster. This method supports patch semantics.","parameters":{"clusterId":{"type":"string","description":"The ID of the cluster.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId","clusterId"],"request":{"$ref":"StoreCluster"},"response":{"$ref":"StoreCluster"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.storelayoutclusters.update","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}/clusters/{clusterId}","httpMethod":"PUT","description":"Updates a cluster.","parameters":{"clusterId":{"type":"string","description":"The ID of the cluster.","required":true,"location":"path"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId","clusterId"],"request":{"$ref":"StoreCluster"},"response":{"$ref":"StoreCluster"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"storelayoutpages":{"methods":{"delete":{"id":"androidenterprise.storelayoutpages.delete","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}","httpMethod":"DELETE","description":"Deletes a store page.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.storelayoutpages.get","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}","httpMethod":"GET","description":"Retrieves details of a store page.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId"],"response":{"$ref":"StorePage"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"insert":{"id":"androidenterprise.storelayoutpages.insert","path":"enterprises/{enterpriseId}/storeLayout/pages","httpMethod":"POST","description":"Inserts a new store page.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"StorePage"},"response":{"$ref":"StorePage"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.storelayoutpages.list","path":"enterprises/{enterpriseId}/storeLayout/pages","httpMethod":"GET","description":"Retrieves the details of all pages in the store.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"StoreLayoutPagesListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.storelayoutpages.patch","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}","httpMethod":"PATCH","description":"Updates the content of a store page. This method supports patch semantics.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId"],"request":{"$ref":"StorePage"},"response":{"$ref":"StorePage"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.storelayoutpages.update","path":"enterprises/{enterpriseId}/storeLayout/pages/{pageId}","httpMethod":"PUT","description":"Updates the content of a store page.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"pageId":{"type":"string","description":"The ID of the page.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","pageId"],"request":{"$ref":"StorePage"},"response":{"$ref":"StorePage"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"users":{"methods":{"delete":{"id":"androidenterprise.users.delete","path":"enterprises/{enterpriseId}/users/{userId}","httpMethod":"DELETE","description":"Deleted an EMM-managed user.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"generateAuthenticationToken":{"id":"androidenterprise.users.generateAuthenticationToken","path":"enterprises/{enterpriseId}/users/{userId}/authenticationToken","httpMethod":"POST","description":"Generates an authentication token which the device policy client can use to provision the given EMM-managed user account on a device. The generated token is single-use and expires after a few minutes.\n\nYou can provision a maximum of 10 devices per user.\n\nThis call only works with EMM-managed accounts.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"AuthenticationToken"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"generateToken":{"id":"androidenterprise.users.generateToken","path":"enterprises/{enterpriseId}/users/{userId}/token","httpMethod":"POST","description":"Generates a token (activation code) to allow this user to configure their managed account in the Android Setup Wizard. Revokes any previously generated token.\n\nThis call only works with Google managed accounts.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"UserToken"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.users.get","path":"enterprises/{enterpriseId}/users/{userId}","httpMethod":"GET","description":"Retrieves a user's details.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"User"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"getAvailableProductSet":{"id":"androidenterprise.users.getAvailableProductSet","path":"enterprises/{enterpriseId}/users/{userId}/availableProductSet","httpMethod":"GET","description":"Retrieves the set of products a user is entitled to access.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"response":{"$ref":"ProductSet"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"insert":{"id":"androidenterprise.users.insert","path":"enterprises/{enterpriseId}/users","httpMethod":"POST","description":"Creates a new EMM-managed user.\n\nThe Users resource passed in the body of the request should include an accountIdentifier and an accountType.\nIf a corresponding user already exists with the same account identifier, the user will be updated with the resource. In this case only the displayName field can be changed.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"User"},"response":{"$ref":"User"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.users.list","path":"enterprises/{enterpriseId}/users","httpMethod":"GET","description":"Looks up a user by primary email address. This is only supported for Google-managed users. Lookup of the id is not needed for EMM-managed users because the id is already returned in the result of the Users.insert call.","parameters":{"email":{"type":"string","description":"The exact primary email address of the user to look up.","required":true,"location":"query"},"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","email"],"response":{"$ref":"UsersListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.users.patch","path":"enterprises/{enterpriseId}/users/{userId}","httpMethod":"PATCH","description":"Updates the details of an EMM-managed user.\n\nCan be used with EMM-managed users only (not Google managed users). Pass the new details in the Users resource in the request body. Only the displayName field can be changed. Other fields must either be unset or have the currently active value. This method supports patch semantics.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"request":{"$ref":"User"},"response":{"$ref":"User"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"revokeDeviceAccess":{"id":"androidenterprise.users.revokeDeviceAccess","path":"enterprises/{enterpriseId}/users/{userId}/deviceAccess","httpMethod":"DELETE","description":"Revokes access to all devices currently provisioned to the user. The user will no longer be able to use the managed Play store on any of their managed devices.\n\nThis call only works with EMM-managed accounts.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"revokeToken":{"id":"androidenterprise.users.revokeToken","path":"enterprises/{enterpriseId}/users/{userId}/token","httpMethod":"DELETE","description":"Revokes a previously generated token (activation code) for the user.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"setAvailableProductSet":{"id":"androidenterprise.users.setAvailableProductSet","path":"enterprises/{enterpriseId}/users/{userId}/availableProductSet","httpMethod":"PUT","description":"Modifies the set of products that a user is entitled to access (referred to as whitelisted products). Only products that are approved or products that were previously approved (products with revoked approval) can be whitelisted.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"request":{"$ref":"ProductSet"},"response":{"$ref":"ProductSet"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.users.update","path":"enterprises/{enterpriseId}/users/{userId}","httpMethod":"PUT","description":"Updates the details of an EMM-managed user.\n\nCan be used with EMM-managed users only (not Google managed users). Pass the new details in the Users resource in the request body. Only the displayName field can be changed. Other fields must either be unset or have the currently active value.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"userId":{"type":"string","description":"The ID of the user.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","userId"],"request":{"$ref":"User"},"response":{"$ref":"User"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}},"webapps":{"methods":{"delete":{"id":"androidenterprise.webapps.delete","path":"enterprises/{enterpriseId}/webApps/{webAppId}","httpMethod":"DELETE","description":"Deletes an existing web app.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"webAppId":{"type":"string","description":"The ID of the web app.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","webAppId"],"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"get":{"id":"androidenterprise.webapps.get","path":"enterprises/{enterpriseId}/webApps/{webAppId}","httpMethod":"GET","description":"Gets an existing web app.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"webAppId":{"type":"string","description":"The ID of the web app.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","webAppId"],"response":{"$ref":"WebApp"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"insert":{"id":"androidenterprise.webapps.insert","path":"enterprises/{enterpriseId}/webApps","httpMethod":"POST","description":"Creates a new web app for the enterprise.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"request":{"$ref":"WebApp"},"response":{"$ref":"WebApp"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"list":{"id":"androidenterprise.webapps.list","path":"enterprises/{enterpriseId}/webApps","httpMethod":"GET","description":"Retrieves the details of all web apps for a given enterprise.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"}},"parameterOrder":["enterpriseId"],"response":{"$ref":"WebAppsListResponse"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"patch":{"id":"androidenterprise.webapps.patch","path":"enterprises/{enterpriseId}/webApps/{webAppId}","httpMethod":"PATCH","description":"Updates an existing web app. This method supports patch semantics.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"webAppId":{"type":"string","description":"The ID of the web app.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","webAppId"],"request":{"$ref":"WebApp"},"response":{"$ref":"WebApp"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]},"update":{"id":"androidenterprise.webapps.update","path":"enterprises/{enterpriseId}/webApps/{webAppId}","httpMethod":"PUT","description":"Updates an existing web app.","parameters":{"enterpriseId":{"type":"string","description":"The ID of the enterprise.","required":true,"location":"path"},"webAppId":{"type":"string","description":"The ID of the web app.","required":true,"location":"path"}},"parameterOrder":["enterpriseId","webAppId"],"request":{"$ref":"WebApp"},"response":{"$ref":"WebApp"},"scopes":["https://www.googleapis.com/auth/androidenterprise"]}}}}};