export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/Qpcrnn6e_zGa0vm6WgVHtHA7I-I\"","discoveryVersion":"v1","id":"androidpublisher:v3","name":"androidpublisher","canonicalName":"Android Publisher","version":"v3","revision":"20190624","title":"Google Play Developer API","description":"Accesses Android application developers' Google Play accounts.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.google.com/images/icons/product/android-16.png","x32":"https://www.google.com/images/icons/product/android-32.png"},"documentationLink":"https://developers.google.com/android-publisher","protocol":"rest","baseUrl":"https://www.googleapis.com/androidpublisher/v3/applications/","basePath":"/androidpublisher/v3/applications/","rootUrl":"https://www.googleapis.com/","servicePath":"androidpublisher/v3/applications/","batchPath":"batch/androidpublisher/v3","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/androidpublisher":{"description":"View and manage your Google Play Developer account"}}}},"schemas":{"Apk":{"id":"Apk","type":"object","properties":{"binary":{"$ref":"ApkBinary","description":"Information about the binary payload of this APK."},"versionCode":{"type":"integer","description":"The version code of the APK, as specified in the APK's manifest file.","format":"int32"}}},"ApkBinary":{"id":"ApkBinary","type":"object","description":"Represents the binary payload of an APK.","properties":{"sha1":{"type":"string","description":"A sha1 hash of the APK payload, encoded as a hex string and matching the output of the sha1sum command."},"sha256":{"type":"string","description":"A sha256 hash of the APK payload, encoded as a hex string and matching the output of the sha256sum command."}}},"ApksAddExternallyHostedRequest":{"id":"ApksAddExternallyHostedRequest","type":"object","properties":{"externallyHostedApk":{"$ref":"ExternallyHostedApk","description":"The definition of the externally-hosted APK and where it is located."}}},"ApksAddExternallyHostedResponse":{"id":"ApksAddExternallyHostedResponse","type":"object","properties":{"externallyHostedApk":{"$ref":"ExternallyHostedApk","description":"The definition of the externally-hosted APK and where it is located."}}},"ApksListResponse":{"id":"ApksListResponse","type":"object","properties":{"apks":{"type":"array","items":{"$ref":"Apk"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidpublisher#apksListResponse\".","default":"androidpublisher#apksListResponse"}}},"AppDetails":{"id":"AppDetails","type":"object","properties":{"contactEmail":{"type":"string","description":"The user-visible support email for this app."},"contactPhone":{"type":"string","description":"The user-visible support telephone number for this app."},"contactWebsite":{"type":"string","description":"The user-visible website for this app."},"defaultLanguage":{"type":"string","description":"Default language code, in BCP 47 format (eg \"en-US\")."}}},"AppEdit":{"id":"AppEdit","type":"object","description":"Represents an edit of an app. An edit allows clients to make multiple changes before committing them in one operation.","properties":{"expiryTimeSeconds":{"type":"string","description":"The time at which the edit will expire and will be no longer valid for use in any subsequent API calls (encoded as seconds since the Epoch)."},"id":{"type":"string","description":"The ID of the edit that can be used in subsequent API calls."}}},"Bundle":{"id":"Bundle","type":"object","properties":{"sha1":{"type":"string","description":"A sha1 hash of the upload payload, encoded as a hex string and matching the output of the sha1sum command."},"sha256":{"type":"string","description":"A sha256 hash of the upload payload, encoded as a hex string and matching the output of the sha256sum command."},"versionCode":{"type":"integer","description":"The version code of the Android App Bundle. As specified in the Android App Bundle's base module APK manifest file.","format":"int32"}}},"BundlesListResponse":{"id":"BundlesListResponse","type":"object","properties":{"bundles":{"type":"array","items":{"$ref":"Bundle"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidpublisher#bundlesListResponse\".","default":"androidpublisher#bundlesListResponse"}}},"Comment":{"id":"Comment","type":"object","properties":{"developerComment":{"$ref":"DeveloperComment","description":"A comment from a developer."},"userComment":{"$ref":"UserComment","description":"A comment from a user."}}},"CountryTargeting":{"id":"CountryTargeting","type":"object","properties":{"countries":{"type":"array","items":{"type":"string"}},"includeRestOfWorld":{"type":"boolean"}}},"DeobfuscationFile":{"id":"DeobfuscationFile","type":"object","description":"Represents a deobfuscation file.","properties":{"symbolType":{"type":"string","description":"The type of the deobfuscation file."}}},"DeobfuscationFilesUploadResponse":{"id":"DeobfuscationFilesUploadResponse","type":"object","properties":{"deobfuscationFile":{"$ref":"DeobfuscationFile"}}},"DeveloperComment":{"id":"DeveloperComment","type":"object","properties":{"lastModified":{"$ref":"Timestamp","description":"The last time at which this comment was updated."},"text":{"type":"string","description":"The content of the comment, i.e. reply body."}}},"DeviceMetadata":{"id":"DeviceMetadata","type":"object","properties":{"cpuMake":{"type":"string","description":"Device CPU make e.g. \"Qualcomm\""},"cpuModel":{"type":"string","description":"Device CPU model e.g. \"MSM8974\""},"deviceClass":{"type":"string","description":"Device class (e.g. tablet)"},"glEsVersion":{"type":"integer","description":"OpenGL version","format":"int32"},"manufacturer":{"type":"string","description":"Device manufacturer (e.g. Motorola)"},"nativePlatform":{"type":"string","description":"Comma separated list of native platforms (e.g. \"arm\", \"arm7\")"},"productName":{"type":"string","description":"Device model name (e.g. Droid)"},"ramMb":{"type":"integer","description":"Device RAM in Megabytes e.g. \"2048\"","format":"int32"},"screenDensityDpi":{"type":"integer","description":"Screen density in DPI","format":"int32"},"screenHeightPx":{"type":"integer","description":"Screen height in pixels","format":"int32"},"screenWidthPx":{"type":"integer","description":"Screen width in pixels","format":"int32"}}},"ExpansionFile":{"id":"ExpansionFile","type":"object","properties":{"fileSize":{"type":"string","description":"If set this field indicates that this APK has an Expansion File uploaded to it: this APK does not reference another APK's Expansion File. The field's value is the size of the uploaded Expansion File in bytes.","format":"int64"},"referencesVersion":{"type":"integer","description":"If set this APK's Expansion File references another APK's Expansion File. The file_size field will not be set.","format":"int32"}}},"ExpansionFilesUploadResponse":{"id":"ExpansionFilesUploadResponse","type":"object","properties":{"expansionFile":{"$ref":"ExpansionFile"}}},"ExternallyHostedApk":{"id":"ExternallyHostedApk","type":"object","description":"Defines an APK available for this application that is hosted externally and not uploaded to Google Play. This function is only available to enterprises who are using Google Play for Work, and whos application is restricted to the enterprise private channel","properties":{"applicationLabel":{"type":"string","description":"The application label."},"certificateBase64s":{"type":"array","description":"A certificate (or array of certificates if a certificate-chain is used) used to signed this APK, represented as a base64 encoded byte array.","items":{"type":"string"}},"externallyHostedUrl":{"type":"string","description":"The URL at which the APK is hosted. This must be an https URL."},"fileSha1Base64":{"type":"string","description":"The SHA1 checksum of this APK, represented as a base64 encoded byte array."},"fileSha256Base64":{"type":"string","description":"The SHA256 checksum of this APK, represented as a base64 encoded byte array."},"fileSize":{"type":"string","description":"The file size in bytes of this APK.","format":"int64"},"iconBase64":{"type":"string","description":"The icon image from the APK, as a base64 encoded byte array."},"maximumSdk":{"type":"integer","description":"The maximum SDK supported by this APK (optional).","format":"int32"},"minimumSdk":{"type":"integer","description":"The minimum SDK targeted by this APK.","format":"int32"},"nativeCodes":{"type":"array","description":"The native code environments supported by this APK (optional).","items":{"type":"string"}},"packageName":{"type":"string","description":"The package name."},"usesFeatures":{"type":"array","description":"The features required by this APK (optional).","items":{"type":"string"}},"usesPermissions":{"type":"array","description":"The permissions requested by this APK.","items":{"$ref":"ExternallyHostedApkUsesPermission"}},"versionCode":{"type":"integer","description":"The version code of this APK.","format":"int32"},"versionName":{"type":"string","description":"The version name of this APK."}}},"ExternallyHostedApkUsesPermission":{"id":"ExternallyHostedApkUsesPermission","type":"object","description":"A permission used by this APK.","properties":{"maxSdkVersion":{"type":"integer","description":"Optionally, the maximum SDK version for which the permission is required.","format":"int32"},"name":{"type":"string","description":"The name of the permission requested."}}},"Image":{"id":"Image","type":"object","properties":{"id":{"type":"string","description":"A unique id representing this image."},"sha1":{"type":"string","description":"A sha1 hash of the image that was uploaded."},"url":{"type":"string","description":"A URL that will serve a preview of the image."}}},"ImagesDeleteAllResponse":{"id":"ImagesDeleteAllResponse","type":"object","properties":{"deleted":{"type":"array","items":{"$ref":"Image"}}}},"ImagesListResponse":{"id":"ImagesListResponse","type":"object","properties":{"images":{"type":"array","items":{"$ref":"Image"}}}},"ImagesUploadResponse":{"id":"ImagesUploadResponse","type":"object","properties":{"image":{"$ref":"Image"}}},"InAppProduct":{"id":"InAppProduct","type":"object","properties":{"defaultLanguage":{"type":"string","description":"The default language of the localized data, as defined by BCP 47. e.g. \"en-US\", \"en-GB\"."},"defaultPrice":{"$ref":"Price","description":"Default price cannot be zero. In-app products can never be free. Default price is always in the developer's Checkout merchant currency."},"gracePeriod":{"type":"string","description":"Grace period of the subscription, specified in ISO 8601 format. It will allow developers to give their subscribers a grace period when the payment for the new recurrence period is declined. Acceptable values = \"P3D\" (three days) and \"P7D\" (seven days)"},"listings":{"type":"object","description":"List of localized title and description data.","additionalProperties":{"$ref":"InAppProductListing","description":"The language of the localized data, as defined by BCP 47. i.e.: \"en-US\", \"en-GB\"."}},"packageName":{"type":"string","description":"The package name of the parent app."},"prices":{"type":"object","description":"Prices per buyer region. None of these prices should be zero. In-app products can never be free.","additionalProperties":{"$ref":"Price","description":"Region code, as defined by ISO 3166-2."}},"purchaseType":{"type":"string","description":"Purchase type enum value. Unmodifiable after creation."},"season":{"$ref":"Season","description":"Definition of a season for a seasonal subscription. Can be defined only for yearly subscriptions."},"sku":{"type":"string","description":"The stock-keeping-unit (SKU) of the product, unique within an app."},"status":{"type":"string"},"subscriptionPeriod":{"type":"string","description":"Subscription period, specified in ISO 8601 format. Acceptable values are \"P1W\" (one week), \"P1M\" (one month), \"P3M\" (three months), \"P6M\" (six months), and \"P1Y\" (one year)."},"trialPeriod":{"type":"string","description":"Trial period, specified in ISO 8601 format. Acceptable values are anything between \"P7D\" (seven days) and \"P999D\" (999 days). Seasonal subscriptions cannot have a trial period."}}},"InAppProductListing":{"id":"InAppProductListing","type":"object","properties":{"description":{"type":"string"},"title":{"type":"string"}}},"InappproductsListResponse":{"id":"InappproductsListResponse","type":"object","properties":{"inappproduct":{"type":"array","items":{"$ref":"InAppProduct"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidpublisher#inappproductsListResponse\".","default":"androidpublisher#inappproductsListResponse"},"pageInfo":{"$ref":"PageInfo"},"tokenPagination":{"$ref":"TokenPagination"}}},"InternalAppSharingArtifact":{"id":"InternalAppSharingArtifact","type":"object","description":"An artifact resource which gets created when uploading an APK or Android App Bundle through internal app sharing.","properties":{"certificateFingerprint":{"type":"string","description":"The SHA256 fingerprint of the certificate used to signed the generated artifact."},"downloadUrl":{"type":"string","description":"The download URL generated for the uploaded artifact. Users that are authorized to download can follow the link to the Play Store app to install it."},"sha256":{"type":"string","description":"The SHA-256 hash of the artifact represented as a lowercase hexadecimal number, matching the output of the sha256sum command."}}},"Listing":{"id":"Listing","type":"object","properties":{"fullDescription":{"type":"string","description":"Full description of the app; this may be up to 4000 characters in length."},"language":{"type":"string","description":"Language localization code (for example, \"de-AT\" for Austrian German)."},"shortDescription":{"type":"string","description":"Short description of the app (previously known as promo text); this may be up to 80 characters in length."},"title":{"type":"string","description":"App's localized title."},"video":{"type":"string","description":"URL of a promotional YouTube video for the app."}}},"ListingsListResponse":{"id":"ListingsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidpublisher#listingsListResponse\".","default":"androidpublisher#listingsListResponse"},"listings":{"type":"array","items":{"$ref":"Listing"}}}},"LocalizedText":{"id":"LocalizedText","type":"object","properties":{"language":{"type":"string","description":"The language code, in BCP 47 format (eg \"en-US\")."},"text":{"type":"string","description":"The text in the given `language`."}}},"MonthDay":{"id":"MonthDay","type":"object","properties":{"day":{"type":"integer","description":"Day of a month, value in [1, 31] range. Valid range depends on the specified month.","format":"uint32"},"month":{"type":"integer","description":"Month of a year. e.g. 1 = JAN, 2 = FEB etc.","format":"uint32"}}},"PageInfo":{"id":"PageInfo","type":"object","properties":{"resultPerPage":{"type":"integer","format":"int32"},"startIndex":{"type":"integer","format":"int32"},"totalResults":{"type":"integer","format":"int32"}}},"Price":{"id":"Price","type":"object","properties":{"currency":{"type":"string","description":"3 letter Currency code, as defined by ISO 4217."},"priceMicros":{"type":"string","description":"The price in millionths of the currency base unit represented as a string."}}},"ProductPurchase":{"id":"ProductPurchase","type":"object","description":"A ProductPurchase resource indicates the status of a user's inapp product purchase.","properties":{"acknowledgementState":{"type":"integer","description":"The acknowledgement state of the inapp product. Possible values are:  \n- Yet to be acknowledged \n- Acknowledged","format":"int32"},"consumptionState":{"type":"integer","description":"The consumption state of the inapp product. Possible values are:  \n- Yet to be consumed \n- Consumed","format":"int32"},"developerPayload":{"type":"string","description":"A developer-specified string that contains supplemental information about an order."},"kind":{"type":"string","description":"This kind represents an inappPurchase object in the androidpublisher service.","default":"androidpublisher#productPurchase"},"orderId":{"type":"string","description":"The order id associated with the purchase of the inapp product."},"purchaseState":{"type":"integer","description":"The purchase state of the order. Possible values are:  \n- Purchased \n- Canceled \n- Pending","format":"int32"},"purchaseTimeMillis":{"type":"string","description":"The time the product was purchased, in milliseconds since the epoch (Jan 1, 1970).","format":"int64"},"purchaseType":{"type":"integer","description":"The type of purchase of the inapp product. This field is only set if this purchase was not made using the standard in-app billing flow. Possible values are:  \n- Test (i.e. purchased from a license testing account) \n- Promo (i.e. purchased using a promo code) \n- Rewarded (i.e. from watching a video ad instead of paying)","format":"int32"}}},"ProductPurchasesAcknowledgeRequest":{"id":"ProductPurchasesAcknowledgeRequest","type":"object","properties":{"developerPayload":{"type":"string","description":"Payload to attach to the purchase."}}},"Prorate":{"id":"Prorate","type":"object","properties":{"defaultPrice":{"$ref":"Price","description":"Default price cannot be zero and must be less than the full subscription price. Default price is always in the developer's Checkout merchant currency. Targeted countries have their prices set automatically based on the default_price."},"start":{"$ref":"MonthDay","description":"Defines the first day on which the price takes effect."}}},"Review":{"id":"Review","type":"object","properties":{"authorName":{"type":"string","description":"The name of the user who wrote the review."},"comments":{"type":"array","description":"A repeated field containing comments for the review.","items":{"$ref":"Comment"}},"reviewId":{"type":"string","description":"Unique identifier for this review."}}},"ReviewReplyResult":{"id":"ReviewReplyResult","type":"object","properties":{"lastEdited":{"$ref":"Timestamp","description":"The time at which the reply took effect."},"replyText":{"type":"string","description":"The reply text that was applied."}}},"ReviewsListResponse":{"id":"ReviewsListResponse","type":"object","properties":{"pageInfo":{"$ref":"PageInfo"},"reviews":{"type":"array","items":{"$ref":"Review"}},"tokenPagination":{"$ref":"TokenPagination"}}},"ReviewsReplyRequest":{"id":"ReviewsReplyRequest","type":"object","properties":{"replyText":{"type":"string","description":"The text to set as the reply. Replies of more than approximately 350 characters will be rejected. HTML tags will be stripped."}}},"ReviewsReplyResponse":{"id":"ReviewsReplyResponse","type":"object","properties":{"result":{"$ref":"ReviewReplyResult"}}},"Season":{"id":"Season","type":"object","properties":{"end":{"$ref":"MonthDay","description":"Inclusive end date of the recurrence period."},"prorations":{"type":"array","description":"Optionally present list of prorations for the season. Each proration is a one-off discounted entry into a subscription. Each proration contains the first date on which the discount is available and the new pricing information.","items":{"$ref":"Prorate"}},"start":{"$ref":"MonthDay","description":"Inclusive start date of the recurrence period."}}},"SubscriptionCancelSurveyResult":{"id":"SubscriptionCancelSurveyResult","type":"object","description":"Information provided by the user when they complete the subscription cancellation flow (cancellation reason survey).","properties":{"cancelSurveyReason":{"type":"integer","description":"The cancellation reason the user chose in the survey. Possible values are:  \n- Other \n- I don't use this service enough \n- Technical issues \n- Cost-related reasons \n- I found a better app","format":"int32"},"userInputCancelReason":{"type":"string","description":"The customized input cancel reason from the user. Only present when cancelReason is 0."}}},"SubscriptionDeferralInfo":{"id":"SubscriptionDeferralInfo","type":"object","description":"A SubscriptionDeferralInfo contains the data needed to defer a subscription purchase to a future expiry time.","properties":{"desiredExpiryTimeMillis":{"type":"string","description":"The desired next expiry time to assign to the subscription, in milliseconds since the Epoch. The given time must be later/greater than the current expiry time for the subscription.","format":"int64"},"expectedExpiryTimeMillis":{"type":"string","description":"The expected expiry time for the subscription. If the current expiry time for the subscription is not the value specified here, the deferral will not occur.","format":"int64"}}},"SubscriptionPriceChange":{"id":"SubscriptionPriceChange","type":"object","description":"Contains the price change information for a subscription that can be used to control the user journey for the price change in the app. This can be in the form of seeking confirmation from the user or tailoring the experience for a successful conversion.","properties":{"newPrice":{"$ref":"Price","description":"The new price the subscription will renew with if the price change is accepted by the user."},"state":{"type":"integer","description":"The current state of the price change. Possible values are:  \n- Outstanding: State for a pending price change waiting for the user to agree. In this state, you can optionally seek confirmation from the user using the In-App API. \n- Accepted: State for an accepted price change that the subscription will renew with unless it's canceled. The price change takes effect on a future date when the subscription renews. Note that the change might not occur when the subscription is renewed next.","format":"int32"}}},"SubscriptionPurchase":{"id":"SubscriptionPurchase","type":"object","description":"A SubscriptionPurchase resource indicates the status of a user's subscription purchase.","properties":{"acknowledgementState":{"type":"integer","description":"The acknowledgement state of the subscription product. Possible values are:  \n- Yet to be acknowledged \n- Acknowledged","format":"int32"},"autoRenewing":{"type":"boolean","description":"Whether the subscription will automatically be renewed when it reaches its current expiry time."},"autoResumeTimeMillis":{"type":"string","description":"Time at which the subscription will be automatically resumed, in milliseconds since the Epoch. Only present if the user has requested to pause the subscription.","format":"int64"},"cancelReason":{"type":"integer","description":"The reason why a subscription was canceled or is not auto-renewing. Possible values are:  \n- User canceled the subscription \n- Subscription was canceled by the system, for example because of a billing problem \n- Subscription was replaced with a new subscription \n- Subscription was canceled by the developer","format":"int32"},"cancelSurveyResult":{"$ref":"SubscriptionCancelSurveyResult","description":"Information provided by the user when they complete the subscription cancellation flow (cancellation reason survey)."},"countryCode":{"type":"string","description":"ISO 3166-1 alpha-2 billing country/region code of the user at the time the subscription was granted."},"developerPayload":{"type":"string","description":"A developer-specified string that contains supplemental information about an order."},"emailAddress":{"type":"string","description":"The email address of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'."},"expiryTimeMillis":{"type":"string","description":"Time at which the subscription will expire, in milliseconds since the Epoch.","format":"int64"},"familyName":{"type":"string","description":"The family name of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'."},"givenName":{"type":"string","description":"The given name of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'."},"kind":{"type":"string","description":"This kind represents a subscriptionPurchase object in the androidpublisher service.","default":"androidpublisher#subscriptionPurchase"},"linkedPurchaseToken":{"type":"string","description":"The purchase token of the originating purchase if this subscription is one of the following:  \n- Re-signup of a canceled but non-lapsed subscription \n- Upgrade/downgrade from a previous subscription  For example, suppose a user originally signs up and you receive purchase token X, then the user cancels and goes through the resignup flow (before their subscription lapses) and you receive purchase token Y, and finally the user upgrades their subscription and you receive purchase token Z. If you call this API with purchase token Z, this field will be set to Y. If you call this API with purchase token Y, this field will be set to X. If you call this API with purchase token X, this field will not be set."},"orderId":{"type":"string","description":"The order id of the latest recurring order associated with the purchase of the subscription."},"paymentState":{"type":"integer","description":"The payment state of the subscription. Possible values are:  \n- Payment pending \n- Payment received \n- Free trial \n- Pending deferred upgrade/downgrade","format":"int32"},"priceAmountMicros":{"type":"string","description":"Price of the subscription, not including tax. Price is expressed in micro-units, where 1,000,000 micro-units represents one unit of the currency. For example, if the subscription price is €1.99, price_amount_micros is 1990000.","format":"int64"},"priceChange":{"$ref":"SubscriptionPriceChange","description":"The latest price change information available. This is present only when there is an upcoming price change for the subscription yet to be applied.\n\nOnce the subscription renews with the new price or the subscription is canceled, no price change information will be returned."},"priceCurrencyCode":{"type":"string","description":"ISO 4217 currency code for the subscription price. For example, if the price is specified in British pounds sterling, price_currency_code is \"GBP\"."},"profileId":{"type":"string","description":"The Google profile id of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'."},"profileName":{"type":"string","description":"The profile name of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'."},"purchaseType":{"type":"integer","description":"The type of purchase of the subscription. This field is only set if this purchase was not made using the standard in-app billing flow. Possible values are:  \n- Test (i.e. purchased from a license testing account)","format":"int32"},"startTimeMillis":{"type":"string","description":"Time at which the subscription was granted, in milliseconds since the Epoch.","format":"int64"},"userCancellationTimeMillis":{"type":"string","description":"The time at which the subscription was canceled by the user, in milliseconds since the epoch. Only present if cancelReason is 0.","format":"int64"}}},"SubscriptionPurchasesAcknowledgeRequest":{"id":"SubscriptionPurchasesAcknowledgeRequest","type":"object","properties":{"developerPayload":{"type":"string","description":"Payload to attach to the purchase."}}},"SubscriptionPurchasesDeferRequest":{"id":"SubscriptionPurchasesDeferRequest","type":"object","properties":{"deferralInfo":{"$ref":"SubscriptionDeferralInfo","description":"The information about the new desired expiry time for the subscription."}}},"SubscriptionPurchasesDeferResponse":{"id":"SubscriptionPurchasesDeferResponse","type":"object","properties":{"newExpiryTimeMillis":{"type":"string","description":"The new expiry time for the subscription in milliseconds since the Epoch.","format":"int64"}}},"Testers":{"id":"Testers","type":"object","properties":{"googleGroups":{"type":"array","description":"A list of all Google Groups, as email addresses, that define testers for this track.","items":{"type":"string"}},"googlePlusCommunities":{"type":"array","description":"A list of all Google+ Communities, as URLs, that define testers for this track.","items":{"type":"string"}}}},"Timestamp":{"id":"Timestamp","type":"object","properties":{"nanos":{"type":"integer","format":"int32"},"seconds":{"type":"string","format":"int64"}}},"TokenPagination":{"id":"TokenPagination","type":"object","properties":{"nextPageToken":{"type":"string"},"previousPageToken":{"type":"string"}}},"Track":{"id":"Track","type":"object","properties":{"releases":{"type":"array","description":"A list of all active releases in this track during a read request. On an update request, it represents desired changes.","items":{"$ref":"TrackRelease"}},"track":{"type":"string","description":"Identifier for this track."}}},"TrackRelease":{"id":"TrackRelease","type":"object","properties":{"countryTargeting":{"$ref":"CountryTargeting"},"name":{"type":"string","description":"The release name, used to identify this release in the Play Console UI. Not required to be unique. This is optional, if not set it will be generated from the version_name in the APKs."},"releaseNotes":{"type":"array","description":"The description of what is new in the app in this release.","items":{"$ref":"LocalizedText"}},"status":{"type":"string","description":"The desired status of this release."},"userFraction":{"type":"number","description":"Fraction of users who are eligible to receive the release. 0 < fraction < 1. To be set, release status must be \"inProgress\" or \"halted\".","format":"double"},"versionCodes":{"type":"array","description":"A list of all version codes of APKs that will be exposed to the users of this track when this release is rolled out. Note that this list should contain all versions you wish to be active, including those you wish to retain from previous releases.","items":{"type":"string","format":"int64"}}}},"TracksListResponse":{"id":"TracksListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"androidpublisher#tracksListResponse\".","default":"androidpublisher#tracksListResponse"},"tracks":{"type":"array","items":{"$ref":"Track"}}}},"UserComment":{"id":"UserComment","type":"object","properties":{"androidOsVersion":{"type":"integer","description":"Integer Android SDK version of the user's device at the time the review was written, e.g. 23 is Marshmallow. May be absent.","format":"int32"},"appVersionCode":{"type":"integer","description":"Integer version code of the app as installed at the time the review was written. May be absent.","format":"int32"},"appVersionName":{"type":"string","description":"String version name of the app as installed at the time the review was written. May be absent."},"device":{"type":"string","description":"Codename for the reviewer's device, e.g. klte, flounder. May be absent."},"deviceMetadata":{"$ref":"DeviceMetadata","description":"Some information about the characteristics of the user's device"},"lastModified":{"$ref":"Timestamp","description":"The last time at which this comment was updated."},"originalText":{"type":"string","description":"Untranslated text of the review, in the case where the review has been translated. If the review has not been translated this is left blank."},"reviewerLanguage":{"type":"string","description":"Language code for the reviewer. This is taken from the device settings so is not guaranteed to match the language the review is written in. May be absent."},"starRating":{"type":"integer","description":"The star rating associated with the review, from 1 to 5.","format":"int32"},"text":{"type":"string","description":"The content of the comment, i.e. review body. In some cases users have been able to write a review with separate title and body; in those cases the title and body are concatenated and separated by a tab character."},"thumbsDownCount":{"type":"integer","description":"Number of users who have given this review a thumbs down","format":"int32"},"thumbsUpCount":{"type":"integer","description":"Number of users who have given this review a thumbs up","format":"int32"}}},"VoidedPurchase":{"id":"VoidedPurchase","type":"object","description":"A VoidedPurchase resource indicates a purchase that was either canceled/refunded/charged-back.","properties":{"kind":{"type":"string","description":"This kind represents a voided purchase object in the androidpublisher service.","default":"androidpublisher#voidedPurchase"},"purchaseTimeMillis":{"type":"string","description":"The time at which the purchase was made, in milliseconds since the epoch (Jan 1, 1970).","format":"int64"},"purchaseToken":{"type":"string","description":"The token that was generated when a purchase was made. This uniquely identifies a purchase."},"voidedTimeMillis":{"type":"string","description":"The time at which the purchase was canceled/refunded/charged-back, in milliseconds since the epoch (Jan 1, 1970).","format":"int64"}}},"VoidedPurchasesListResponse":{"id":"VoidedPurchasesListResponse","type":"object","properties":{"pageInfo":{"$ref":"PageInfo"},"tokenPagination":{"$ref":"TokenPagination"},"voidedPurchases":{"type":"array","items":{"$ref":"VoidedPurchase"}}}}},"resources":{"edits":{"methods":{"commit":{"id":"androidpublisher.edits.commit","path":"{packageName}/edits/{editId}:commit","httpMethod":"POST","description":"Commits/applies the changes made in this edit back to the app.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"AppEdit"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"delete":{"id":"androidpublisher.edits.delete","path":"{packageName}/edits/{editId}","httpMethod":"DELETE","description":"Deletes an edit for an app. Creating a new edit will automatically delete any of your previous edits so this method need only be called if you want to preemptively abandon an edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"get":{"id":"androidpublisher.edits.get","path":"{packageName}/edits/{editId}","httpMethod":"GET","description":"Returns information about the edit specified. Calls will fail if the edit is no long active (e.g. has been deleted, superseded or expired).","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"AppEdit"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"insert":{"id":"androidpublisher.edits.insert","path":"{packageName}/edits","httpMethod":"POST","description":"Creates a new edit for an app, populated with the app's current state.","parameters":{"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName"],"request":{"$ref":"AppEdit"},"response":{"$ref":"AppEdit"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"validate":{"id":"androidpublisher.edits.validate","path":"{packageName}/edits/{editId}:validate","httpMethod":"POST","description":"Checks that the edit can be successfully committed. The edit's changes are not applied to the live app.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"AppEdit"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}},"resources":{"apks":{"methods":{"addexternallyhosted":{"id":"androidpublisher.edits.apks.addexternallyhosted","path":"{packageName}/edits/{editId}/apks/externallyHosted","httpMethod":"POST","description":"Creates a new APK without uploading the APK itself to Google Play, instead hosting the APK at a specified URL. This function is only available to enterprises using Google Play for Work whose application is configured to restrict distribution to the enterprise domain.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"request":{"$ref":"ApksAddExternallyHostedRequest"},"response":{"$ref":"ApksAddExternallyHostedResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"list":{"id":"androidpublisher.edits.apks.list","path":"{packageName}/edits/{editId}/apks","httpMethod":"GET","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"ApksListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"upload":{"id":"androidpublisher.edits.apks.upload","path":"{packageName}/edits/{editId}/apks","httpMethod":"POST","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"Apk"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["application/octet-stream","application/vnd.android.package-archive"],"maxSize":"1GB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks"}}}}}},"bundles":{"methods":{"list":{"id":"androidpublisher.edits.bundles.list","path":"{packageName}/edits/{editId}/bundles","httpMethod":"GET","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"BundlesListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"upload":{"id":"androidpublisher.edits.bundles.upload","path":"{packageName}/edits/{editId}/bundles","httpMethod":"POST","description":"Uploads a new Android App Bundle to this edit. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See: https://developers.google.com/api-client-library/java/google-api-java-client/errors for an example in java.","parameters":{"ackBundleInstallationWarning":{"type":"boolean","description":"Must be set to true if the bundle installation may trigger a warning on user devices (for example, if installation size may be over a threshold, typically 100 MB).","location":"query"},"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"Bundle"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["application/octet-stream"],"maxSize":"2GB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/bundles"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/bundles"}}}}}},"deobfuscationfiles":{"methods":{"upload":{"id":"androidpublisher.edits.deobfuscationfiles.upload","path":"{packageName}/edits/{editId}/apks/{apkVersionCode}/deobfuscationFiles/{deobfuscationFileType}","httpMethod":"POST","description":"Uploads the deobfuscation file of the specified APK. If a deobfuscation file already exists, it will be replaced.","parameters":{"apkVersionCode":{"type":"integer","description":"The version code of the APK whose deobfuscation file is being uploaded.","required":true,"format":"int32","location":"path"},"deobfuscationFileType":{"type":"string","required":true,"enum":["proguard"],"enumDescriptions":[""],"location":"path"},"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier of the Android app for which the deobfuscatiuon files are being uploaded; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","apkVersionCode","deobfuscationFileType"],"response":{"$ref":"DeobfuscationFilesUploadResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["application/octet-stream"],"maxSize":"300MB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks/{apkVersionCode}/deobfuscationFiles/{deobfuscationFileType}"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks/{apkVersionCode}/deobfuscationFiles/{deobfuscationFileType}"}}}}}},"details":{"methods":{"get":{"id":"androidpublisher.edits.details.get","path":"{packageName}/edits/{editId}/details","httpMethod":"GET","description":"Fetches app details for this edit. This includes the default language and developer support contact information.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"AppDetails"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"patch":{"id":"androidpublisher.edits.details.patch","path":"{packageName}/edits/{editId}/details","httpMethod":"PATCH","description":"Updates app details for this edit. This method supports patch semantics.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"request":{"$ref":"AppDetails"},"response":{"$ref":"AppDetails"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"update":{"id":"androidpublisher.edits.details.update","path":"{packageName}/edits/{editId}/details","httpMethod":"PUT","description":"Updates app details for this edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"request":{"$ref":"AppDetails"},"response":{"$ref":"AppDetails"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"expansionfiles":{"methods":{"get":{"id":"androidpublisher.edits.expansionfiles.get","path":"{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}","httpMethod":"GET","description":"Fetches the Expansion File configuration for the APK specified.","parameters":{"apkVersionCode":{"type":"integer","description":"The version code of the APK whose Expansion File configuration is being read or modified.","required":true,"format":"int32","location":"path"},"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"expansionFileType":{"type":"string","required":true,"enum":["main","patch"],"enumDescriptions":["",""],"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","apkVersionCode","expansionFileType"],"response":{"$ref":"ExpansionFile"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"patch":{"id":"androidpublisher.edits.expansionfiles.patch","path":"{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}","httpMethod":"PATCH","description":"Updates the APK's Expansion File configuration to reference another APK's Expansion Files. To add a new Expansion File use the Upload method. This method supports patch semantics.","parameters":{"apkVersionCode":{"type":"integer","description":"The version code of the APK whose Expansion File configuration is being read or modified.","required":true,"format":"int32","location":"path"},"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"expansionFileType":{"type":"string","required":true,"enum":["main","patch"],"enumDescriptions":["",""],"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","apkVersionCode","expansionFileType"],"request":{"$ref":"ExpansionFile"},"response":{"$ref":"ExpansionFile"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"update":{"id":"androidpublisher.edits.expansionfiles.update","path":"{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}","httpMethod":"PUT","description":"Updates the APK's Expansion File configuration to reference another APK's Expansion Files. To add a new Expansion File use the Upload method.","parameters":{"apkVersionCode":{"type":"integer","description":"The version code of the APK whose Expansion File configuration is being read or modified.","required":true,"format":"int32","location":"path"},"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"expansionFileType":{"type":"string","required":true,"enum":["main","patch"],"enumDescriptions":["",""],"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","apkVersionCode","expansionFileType"],"request":{"$ref":"ExpansionFile"},"response":{"$ref":"ExpansionFile"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"upload":{"id":"androidpublisher.edits.expansionfiles.upload","path":"{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}","httpMethod":"POST","description":"Uploads and attaches a new Expansion File to the APK specified.","parameters":{"apkVersionCode":{"type":"integer","description":"The version code of the APK whose Expansion File configuration is being read or modified.","required":true,"format":"int32","location":"path"},"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"expansionFileType":{"type":"string","required":true,"enum":["main","patch"],"enumDescriptions":["",""],"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","apkVersionCode","expansionFileType"],"response":{"$ref":"ExpansionFilesUploadResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["application/octet-stream"],"maxSize":"2048MB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}"}}}}}},"images":{"methods":{"delete":{"id":"androidpublisher.edits.images.delete","path":"{packageName}/edits/{editId}/listings/{language}/{imageType}/{imageId}","httpMethod":"DELETE","description":"Deletes the image (specified by id) from the edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"imageId":{"type":"string","description":"Unique identifier an image within the set of images attached to this edit.","required":true,"location":"path"},"imageType":{"type":"string","required":true,"enum":["featureGraphic","icon","phoneScreenshots","promoGraphic","sevenInchScreenshots","tenInchScreenshots","tvBanner","tvScreenshots","wearScreenshots"],"enumDescriptions":["","","","","","","","",""],"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing whose images are to read or modified. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language","imageType","imageId"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"deleteall":{"id":"androidpublisher.edits.images.deleteall","path":"{packageName}/edits/{editId}/listings/{language}/{imageType}","httpMethod":"DELETE","description":"Deletes all images for the specified language and image type.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"imageType":{"type":"string","required":true,"enum":["featureGraphic","icon","phoneScreenshots","promoGraphic","sevenInchScreenshots","tenInchScreenshots","tvBanner","tvScreenshots","wearScreenshots"],"enumDescriptions":["","","","","","","","",""],"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing whose images are to read or modified. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language","imageType"],"response":{"$ref":"ImagesDeleteAllResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"list":{"id":"androidpublisher.edits.images.list","path":"{packageName}/edits/{editId}/listings/{language}/{imageType}","httpMethod":"GET","description":"Lists all images for the specified language and image type.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"imageType":{"type":"string","required":true,"enum":["featureGraphic","icon","phoneScreenshots","promoGraphic","sevenInchScreenshots","tenInchScreenshots","tvBanner","tvScreenshots","wearScreenshots"],"enumDescriptions":["","","","","","","","",""],"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing whose images are to read or modified. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language","imageType"],"response":{"$ref":"ImagesListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"upload":{"id":"androidpublisher.edits.images.upload","path":"{packageName}/edits/{editId}/listings/{language}/{imageType}","httpMethod":"POST","description":"Uploads a new image and adds it to the list of images for the specified language and image type.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"imageType":{"type":"string","required":true,"enum":["featureGraphic","icon","phoneScreenshots","promoGraphic","sevenInchScreenshots","tenInchScreenshots","tvBanner","tvScreenshots","wearScreenshots"],"enumDescriptions":["","","","","","","","",""],"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing whose images are to read or modified. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language","imageType"],"response":{"$ref":"ImagesUploadResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["image/*"],"maxSize":"15MB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/listings/{language}/{imageType}"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/listings/{language}/{imageType}"}}}}}},"listings":{"methods":{"delete":{"id":"androidpublisher.edits.listings.delete","path":"{packageName}/edits/{editId}/listings/{language}","httpMethod":"DELETE","description":"Deletes the specified localized store listing from an edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing to read or modify. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"deleteall":{"id":"androidpublisher.edits.listings.deleteall","path":"{packageName}/edits/{editId}/listings","httpMethod":"DELETE","description":"Deletes all localized listings from an edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"get":{"id":"androidpublisher.edits.listings.get","path":"{packageName}/edits/{editId}/listings/{language}","httpMethod":"GET","description":"Fetches information about a localized store listing.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing to read or modify. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language"],"response":{"$ref":"Listing"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"list":{"id":"androidpublisher.edits.listings.list","path":"{packageName}/edits/{editId}/listings","httpMethod":"GET","description":"Returns all of the localized store listings attached to this edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"ListingsListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"patch":{"id":"androidpublisher.edits.listings.patch","path":"{packageName}/edits/{editId}/listings/{language}","httpMethod":"PATCH","description":"Creates or updates a localized store listing. This method supports patch semantics.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing to read or modify. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language"],"request":{"$ref":"Listing"},"response":{"$ref":"Listing"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"update":{"id":"androidpublisher.edits.listings.update","path":"{packageName}/edits/{editId}/listings/{language}","httpMethod":"PUT","description":"Creates or updates a localized store listing.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"language":{"type":"string","description":"The language code (a BCP-47 language tag) of the localized listing to read or modify. For example, to select Austrian German, pass \"de-AT\".","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId","language"],"request":{"$ref":"Listing"},"response":{"$ref":"Listing"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"testers":{"methods":{"get":{"id":"androidpublisher.edits.testers.get","path":"{packageName}/edits/{editId}/testers/{track}","httpMethod":"GET","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"},"track":{"type":"string","description":"The track to read or modify.","required":true,"location":"path"}},"parameterOrder":["packageName","editId","track"],"response":{"$ref":"Testers"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"patch":{"id":"androidpublisher.edits.testers.patch","path":"{packageName}/edits/{editId}/testers/{track}","httpMethod":"PATCH","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"},"track":{"type":"string","description":"The track to read or modify.","required":true,"location":"path"}},"parameterOrder":["packageName","editId","track"],"request":{"$ref":"Testers"},"response":{"$ref":"Testers"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"update":{"id":"androidpublisher.edits.testers.update","path":"{packageName}/edits/{editId}/testers/{track}","httpMethod":"PUT","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"},"track":{"type":"string","description":"The track to read or modify.","required":true,"location":"path"}},"parameterOrder":["packageName","editId","track"],"request":{"$ref":"Testers"},"response":{"$ref":"Testers"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"tracks":{"methods":{"get":{"id":"androidpublisher.edits.tracks.get","path":"{packageName}/edits/{editId}/tracks/{track}","httpMethod":"GET","description":"Fetches the track configuration for the specified track type. Includes the APK version codes that are in this track.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"},"track":{"type":"string","description":"The track to read or modify.","required":true,"location":"path"}},"parameterOrder":["packageName","editId","track"],"response":{"$ref":"Track"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"list":{"id":"androidpublisher.edits.tracks.list","path":"{packageName}/edits/{editId}/tracks","httpMethod":"GET","description":"Lists all the track configurations for this edit.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName","editId"],"response":{"$ref":"TracksListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"patch":{"id":"androidpublisher.edits.tracks.patch","path":"{packageName}/edits/{editId}/tracks/{track}","httpMethod":"PATCH","description":"Updates the track configuration for the specified track type. This method supports patch semantics.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"},"track":{"type":"string","description":"The track to read or modify.","required":true,"location":"path"}},"parameterOrder":["packageName","editId","track"],"request":{"$ref":"Track"},"response":{"$ref":"Track"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"update":{"id":"androidpublisher.edits.tracks.update","path":"{packageName}/edits/{editId}/tracks/{track}","httpMethod":"PUT","description":"Updates the track configuration for the specified track type.","parameters":{"editId":{"type":"string","description":"Unique identifier for this edit.","required":true,"location":"path"},"packageName":{"type":"string","description":"Unique identifier for the Android app that is being updated; for example, \"com.spiffygame\".","required":true,"location":"path"},"track":{"type":"string","description":"The track to read or modify.","required":true,"location":"path"}},"parameterOrder":["packageName","editId","track"],"request":{"$ref":"Track"},"response":{"$ref":"Track"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}}}},"inappproducts":{"methods":{"delete":{"id":"androidpublisher.inappproducts.delete","path":"{packageName}/inappproducts/{sku}","httpMethod":"DELETE","description":"Delete an in-app product for an app.","parameters":{"packageName":{"type":"string","description":"Unique identifier for the Android app with the in-app product; for example, \"com.spiffygame\".","required":true,"location":"path"},"sku":{"type":"string","description":"Unique identifier for the in-app product.","required":true,"location":"path"}},"parameterOrder":["packageName","sku"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"get":{"id":"androidpublisher.inappproducts.get","path":"{packageName}/inappproducts/{sku}","httpMethod":"GET","description":"Returns information about the in-app product specified.","parameters":{"packageName":{"type":"string","required":true,"location":"path"},"sku":{"type":"string","description":"Unique identifier for the in-app product.","required":true,"location":"path"}},"parameterOrder":["packageName","sku"],"response":{"$ref":"InAppProduct"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"insert":{"id":"androidpublisher.inappproducts.insert","path":"{packageName}/inappproducts","httpMethod":"POST","description":"Creates a new in-app product for an app.","parameters":{"autoConvertMissingPrices":{"type":"boolean","description":"If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.","location":"query"},"packageName":{"type":"string","description":"Unique identifier for the Android app; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName"],"request":{"$ref":"InAppProduct"},"response":{"$ref":"InAppProduct"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"list":{"id":"androidpublisher.inappproducts.list","path":"{packageName}/inappproducts","httpMethod":"GET","description":"List all the in-app products for an Android app, both subscriptions and managed in-app products..","parameters":{"maxResults":{"type":"integer","format":"uint32","location":"query"},"packageName":{"type":"string","description":"Unique identifier for the Android app with in-app products; for example, \"com.spiffygame\".","required":true,"location":"path"},"startIndex":{"type":"integer","format":"uint32","location":"query"},"token":{"type":"string","location":"query"}},"parameterOrder":["packageName"],"response":{"$ref":"InappproductsListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"patch":{"id":"androidpublisher.inappproducts.patch","path":"{packageName}/inappproducts/{sku}","httpMethod":"PATCH","description":"Updates the details of an in-app product. This method supports patch semantics.","parameters":{"autoConvertMissingPrices":{"type":"boolean","description":"If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.","location":"query"},"packageName":{"type":"string","description":"Unique identifier for the Android app with the in-app product; for example, \"com.spiffygame\".","required":true,"location":"path"},"sku":{"type":"string","description":"Unique identifier for the in-app product.","required":true,"location":"path"}},"parameterOrder":["packageName","sku"],"request":{"$ref":"InAppProduct"},"response":{"$ref":"InAppProduct"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"update":{"id":"androidpublisher.inappproducts.update","path":"{packageName}/inappproducts/{sku}","httpMethod":"PUT","description":"Updates the details of an in-app product.","parameters":{"autoConvertMissingPrices":{"type":"boolean","description":"If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.","location":"query"},"packageName":{"type":"string","description":"Unique identifier for the Android app with the in-app product; for example, \"com.spiffygame\".","required":true,"location":"path"},"sku":{"type":"string","description":"Unique identifier for the in-app product.","required":true,"location":"path"}},"parameterOrder":["packageName","sku"],"request":{"$ref":"InAppProduct"},"response":{"$ref":"InAppProduct"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"internalappsharingartifacts":{"methods":{"uploadapk":{"id":"androidpublisher.internalappsharingartifacts.uploadapk","path":"internalappsharing/{packageName}/artifacts/apk","httpMethod":"POST","description":"Uploads an APK to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See: https://developers.google.com/api-client-library/java/google-api-java-client/errors for an example in java.","parameters":{"packageName":{"type":"string","description":"Unique identifier for the Android app; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName"],"response":{"$ref":"InternalAppSharingArtifact"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["application/octet-stream","application/vnd.android.package-archive"],"maxSize":"1GB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/internalappsharing/{packageName}/artifacts/apk"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/internalappsharing/{packageName}/artifacts/apk"}}}},"uploadbundle":{"id":"androidpublisher.internalappsharingartifacts.uploadbundle","path":"internalappsharing/{packageName}/artifacts/bundle","httpMethod":"POST","description":"Uploads an app bundle to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See: https://developers.google.com/api-client-library/java/google-api-java-client/errors for an example in java.","parameters":{"packageName":{"type":"string","description":"Unique identifier for the Android app; for example, \"com.spiffygame\".","required":true,"location":"path"}},"parameterOrder":["packageName"],"response":{"$ref":"InternalAppSharingArtifact"},"scopes":["https://www.googleapis.com/auth/androidpublisher"],"supportsMediaUpload":true,"mediaUpload":{"accept":["application/octet-stream"],"maxSize":"2GB","protocols":{"simple":{"multipart":true,"path":"/upload/androidpublisher/v3/applications/internalappsharing/{packageName}/artifacts/bundle"},"resumable":{"multipart":true,"path":"/resumable/upload/androidpublisher/v3/applications/internalappsharing/{packageName}/artifacts/bundle"}}}}}},"orders":{"methods":{"refund":{"id":"androidpublisher.orders.refund","path":"{packageName}/orders/{orderId}:refund","httpMethod":"POST","description":"Refund a user's subscription or in-app purchase order.","parameters":{"orderId":{"type":"string","description":"The order ID provided to the user when the subscription or in-app order was purchased.","required":true,"location":"path"},"packageName":{"type":"string","description":"The package name of the application for which this subscription or in-app item was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"revoke":{"type":"boolean","description":"Whether to revoke the purchased item. If set to true, access to the subscription or in-app item will be terminated immediately. If the item is a recurring subscription, all future payments will also be terminated. Consumed in-app items need to be handled by developer's app. (optional)","location":"query"}},"parameterOrder":["packageName","orderId"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"purchases":{"resources":{"products":{"methods":{"acknowledge":{"id":"androidpublisher.purchases.products.acknowledge","path":"{packageName}/purchases/products/{productId}/tokens/{token}:acknowledge","httpMethod":"POST","description":"Acknowledges a purchase of an inapp item.","parameters":{"packageName":{"type":"string","description":"The package name of the application the inapp product was sold in (for example, 'com.some.thing').","required":true,"location":"path"},"productId":{"type":"string","description":"The inapp product SKU (for example, 'com.some.thing.inapp1').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","productId","token"],"request":{"$ref":"ProductPurchasesAcknowledgeRequest"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"get":{"id":"androidpublisher.purchases.products.get","path":"{packageName}/purchases/products/{productId}/tokens/{token}","httpMethod":"GET","description":"Checks the purchase and consumption status of an inapp item.","parameters":{"packageName":{"type":"string","description":"The package name of the application the inapp product was sold in (for example, 'com.some.thing').","required":true,"location":"path"},"productId":{"type":"string","description":"The inapp product SKU (for example, 'com.some.thing.inapp1').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the inapp product was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","productId","token"],"response":{"$ref":"ProductPurchase"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"subscriptions":{"methods":{"acknowledge":{"id":"androidpublisher.purchases.subscriptions.acknowledge","path":"{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:acknowledge","httpMethod":"POST","description":"Acknowledges a subscription purchase.","parameters":{"packageName":{"type":"string","description":"The package name of the application for which this subscription was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"subscriptionId":{"type":"string","description":"The purchased subscription ID (for example, 'monthly001').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","subscriptionId","token"],"request":{"$ref":"SubscriptionPurchasesAcknowledgeRequest"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"cancel":{"id":"androidpublisher.purchases.subscriptions.cancel","path":"{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:cancel","httpMethod":"POST","description":"Cancels a user's subscription purchase. The subscription remains valid until its expiration time.","parameters":{"packageName":{"type":"string","description":"The package name of the application for which this subscription was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"subscriptionId":{"type":"string","description":"The purchased subscription ID (for example, 'monthly001').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","subscriptionId","token"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"defer":{"id":"androidpublisher.purchases.subscriptions.defer","path":"{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:defer","httpMethod":"POST","description":"Defers a user's subscription purchase until a specified future expiration time.","parameters":{"packageName":{"type":"string","description":"The package name of the application for which this subscription was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"subscriptionId":{"type":"string","description":"The purchased subscription ID (for example, 'monthly001').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","subscriptionId","token"],"request":{"$ref":"SubscriptionPurchasesDeferRequest"},"response":{"$ref":"SubscriptionPurchasesDeferResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"get":{"id":"androidpublisher.purchases.subscriptions.get","path":"{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}","httpMethod":"GET","description":"Checks whether a user's subscription purchase is valid and returns its expiry time.","parameters":{"packageName":{"type":"string","description":"The package name of the application for which this subscription was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"subscriptionId":{"type":"string","description":"The purchased subscription ID (for example, 'monthly001').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","subscriptionId","token"],"response":{"$ref":"SubscriptionPurchase"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"refund":{"id":"androidpublisher.purchases.subscriptions.refund","path":"{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:refund","httpMethod":"POST","description":"Refunds a user's subscription purchase, but the subscription remains valid until its expiration time and it will continue to recur.","parameters":{"packageName":{"type":"string","description":"The package name of the application for which this subscription was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"subscriptionId":{"type":"string","description":"The purchased subscription ID (for example, 'monthly001').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","subscriptionId","token"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"revoke":{"id":"androidpublisher.purchases.subscriptions.revoke","path":"{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:revoke","httpMethod":"POST","description":"Refunds and immediately revokes a user's subscription purchase. Access to the subscription will be terminated immediately and it will stop recurring.","parameters":{"packageName":{"type":"string","description":"The package name of the application for which this subscription was purchased (for example, 'com.some.thing').","required":true,"location":"path"},"subscriptionId":{"type":"string","description":"The purchased subscription ID (for example, 'monthly001').","required":true,"location":"path"},"token":{"type":"string","description":"The token provided to the user's device when the subscription was purchased.","required":true,"location":"path"}},"parameterOrder":["packageName","subscriptionId","token"],"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}},"voidedpurchases":{"methods":{"list":{"id":"androidpublisher.purchases.voidedpurchases.list","path":"{packageName}/purchases/voidedpurchases","httpMethod":"GET","description":"Lists the purchases that were canceled, refunded or charged-back.","parameters":{"endTime":{"type":"string","description":"The time, in milliseconds since the Epoch, of the newest voided in-app product purchase that you want to see in the response. The value of this parameter cannot be greater than the current time and is ignored if a pagination token is set. Default value is current time. Note: This filter is applied on the time at which the record is seen as voided by our systems and not the actual voided time returned in the response.","format":"int64","location":"query"},"maxResults":{"type":"integer","format":"uint32","location":"query"},"packageName":{"type":"string","description":"The package name of the application for which voided purchases need to be returned (for example, 'com.some.thing').","required":true,"location":"path"},"startIndex":{"type":"integer","format":"uint32","location":"query"},"startTime":{"type":"string","description":"The time, in milliseconds since the Epoch, of the oldest voided in-app product purchase that you want to see in the response. The value of this parameter cannot be older than 30 days and is ignored if a pagination token is set. Default value is current time minus 30 days. Note: This filter is applied on the time at which the record is seen as voided by our systems and not the actual voided time returned in the response.","format":"int64","location":"query"},"token":{"type":"string","location":"query"}},"parameterOrder":["packageName"],"response":{"$ref":"VoidedPurchasesListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}}}},"reviews":{"methods":{"get":{"id":"androidpublisher.reviews.get","path":"{packageName}/reviews/{reviewId}","httpMethod":"GET","description":"Returns a single review.","parameters":{"packageName":{"type":"string","description":"Unique identifier for the Android app for which we want reviews; for example, \"com.spiffygame\".","required":true,"location":"path"},"reviewId":{"type":"string","required":true,"location":"path"},"translationLanguage":{"type":"string","location":"query"}},"parameterOrder":["packageName","reviewId"],"response":{"$ref":"Review"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"list":{"id":"androidpublisher.reviews.list","path":"{packageName}/reviews","httpMethod":"GET","description":"Returns a list of reviews. Only reviews from last week will be returned.","parameters":{"maxResults":{"type":"integer","format":"uint32","location":"query"},"packageName":{"type":"string","description":"Unique identifier for the Android app for which we want reviews; for example, \"com.spiffygame\".","required":true,"location":"path"},"startIndex":{"type":"integer","format":"uint32","location":"query"},"token":{"type":"string","location":"query"},"translationLanguage":{"type":"string","location":"query"}},"parameterOrder":["packageName"],"response":{"$ref":"ReviewsListResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]},"reply":{"id":"androidpublisher.reviews.reply","path":"{packageName}/reviews/{reviewId}:reply","httpMethod":"POST","description":"Reply to a single review, or update an existing reply.","parameters":{"packageName":{"type":"string","description":"Unique identifier for the Android app for which we want reviews; for example, \"com.spiffygame\".","required":true,"location":"path"},"reviewId":{"type":"string","required":true,"location":"path"}},"parameterOrder":["packageName","reviewId"],"request":{"$ref":"ReviewsReplyRequest"},"response":{"$ref":"ReviewsReplyResponse"},"scopes":["https://www.googleapis.com/auth/androidpublisher"]}}}}};