export default {"kind":"discovery#restDescription","description":"Administer your Cloud Bigtable tables and instances.","servicePath":"","basePath":"","revision":"20190506","documentationLink":"https://cloud.google.com/bigtable/","id":"bigtableadmin:v1","discoveryVersion":"v1","version_module":true,"schemas":{"PartialUpdateInstanceRequest":{"description":"Request message for BigtableInstanceAdmin.PartialUpdateInstance.","type":"object","properties":{"updateMask":{"description":"The subset of Instance fields which should be replaced.\nMust be explicitly set.","format":"google-fieldmask","type":"string"},"instance":{"$ref":"Instance","description":"The Instance which will (partially) replace the current value."}},"id":"PartialUpdateInstanceRequest"},"CreateClusterMetadata":{"properties":{"originalRequest":{"description":"The request that prompted the initiation of this CreateCluster operation.","$ref":"CreateClusterRequest"},"requestTime":{"description":"The time at which the original request was received.","format":"google-datetime","type":"string"},"tables":{"additionalProperties":{"$ref":"TableProgress"},"description":"Keys: the full `name` of each table that existed in the instance when\nCreateCluster was first called, i.e.\n`projects/<project>/instances/<instance>/tables/<table>`. Any table added\nto the instance by a later API call will be created in the new cluster by\nthat API call, not this one.\n\nValues: information on how much of a table's data has been copied to the\nnewly-created cluster so far.","type":"object"},"finishTime":{"description":"The time at which the operation failed or was completed successfully.","format":"google-datetime","type":"string"}},"id":"CreateClusterMetadata","description":"The metadata for the Operation returned by CreateCluster.","type":"object"},"Instance":{"description":"A collection of Bigtable Tables and\nthe resources that serve them.\nAll tables in an instance are served from all\nClusters in the instance.","type":"object","properties":{"state":{"enum":["STATE_NOT_KNOWN","READY","CREATING"],"description":"(`OutputOnly`)\nThe current state of the instance.","type":"string","enumDescriptions":["The state of the instance could not be determined.","The instance has been successfully created and can serve requests\nto its tables.","The instance is currently being created, and may be destroyed\nif the creation process encounters an error."]},"name":{"description":"(`OutputOnly`)\nThe unique name of the instance. Values are of the form\n`projects/<project>/instances/a-z+[a-z0-9]`.","type":"string"},"displayName":{"description":"The descriptive name for this instance as it appears in UIs.\nCan be changed at any time, but should be kept globally unique\nto avoid confusion.","type":"string"},"type":{"description":"The type of the instance. Defaults to `PRODUCTION`.","type":"string","enumDescriptions":["The type of the instance is unspecified. If set when creating an\ninstance, a `PRODUCTION` instance will be created. If set when updating\nan instance, the type will be left unchanged.","An instance meant for production use. `serve_nodes` must be set\non the cluster.","The instance is meant for development and testing purposes only; it has\nno performance or uptime guarantees and is not covered by SLA.\nAfter a development instance is created, it can be upgraded by\nupdating the instance to type `PRODUCTION`. An instance created\nas a production instance cannot be changed to a development instance.\nWhen creating a development instance, `serve_nodes` on the cluster must\nnot be set."],"enum":["TYPE_UNSPECIFIED","PRODUCTION","DEVELOPMENT"]},"labels":{"additionalProperties":{"type":"string"},"description":"Labels are a flexible and lightweight mechanism for organizing cloud\nresources into groups that reflect a customer's organizational needs and\ndeployment strategies. They can be used to filter resources and aggregate\nmetrics.\n\n* Label keys must be between 1 and 63 characters long and must conform to\n  the regular expression: `\\p{Ll}\\p{Lo}{0,62}`.\n* Label values must be between 0 and 63 characters long and must conform to\n  the regular expression: `[\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}`.\n* No more than 64 labels can be associated with a given resource.\n* Keys and values must both be under 128 bytes.","type":"object"}},"id":"Instance"},"UpdateClusterMetadata":{"description":"The metadata for the Operation returned by UpdateCluster.","type":"object","properties":{"finishTime":{"description":"The time at which the operation failed or was completed successfully.","format":"google-datetime","type":"string"},"originalRequest":{"description":"The request that prompted the initiation of this UpdateCluster operation.","$ref":"Cluster"},"requestTime":{"description":"The time at which the original request was received.","format":"google-datetime","type":"string"}},"id":"UpdateClusterMetadata"},"CreateClusterRequest":{"description":"Request message for BigtableInstanceAdmin.CreateCluster.","type":"object","properties":{"cluster":{"$ref":"Cluster","description":"The cluster to be created.\nFields marked `OutputOnly` must be left blank."},"parent":{"description":"The unique name of the instance in which to create the new cluster.\nValues are of the form\n`projects/<project>/instances/<instance>`.","type":"string"},"clusterId":{"description":"The ID to be used when referring to the new cluster within its instance,\ne.g., just `mycluster` rather than\n`projects/myproject/instances/myinstance/clusters/mycluster`.","type":"string"}},"id":"CreateClusterRequest"},"UpdateAppProfileMetadata":{"properties":{},"id":"UpdateAppProfileMetadata","description":"The metadata for the Operation returned by UpdateAppProfile.","type":"object"},"CreateInstanceRequest":{"properties":{"clusters":{"description":"The clusters to be created within the instance, mapped by desired\ncluster ID, e.g., just `mycluster` rather than\n`projects/myproject/instances/myinstance/clusters/mycluster`.\nFields marked `OutputOnly` must be left blank.\nCurrently, at most two clusters can be specified.","type":"object","additionalProperties":{"$ref":"Cluster"}},"instance":{"$ref":"Instance","description":"The instance to create.\nFields marked `OutputOnly` must be left blank."},"parent":{"description":"The unique name of the project in which to create the new instance.\nValues are of the form `projects/<project>`.","type":"string"},"instanceId":{"description":"The ID to be used when referring to the new instance within its project,\ne.g., just `myinstance` rather than\n`projects/myproject/instances/myinstance`.","type":"string"}},"id":"CreateInstanceRequest","description":"Request message for BigtableInstanceAdmin.CreateInstance.","type":"object"},"TableProgress":{"properties":{"state":{"enumDescriptions":["","The table has not yet begun copying to the new cluster.","The table is actively being copied to the new cluster.","The table has been fully copied to the new cluster.","The table was deleted before it finished copying to the new cluster.\nNote that tables deleted after completion will stay marked as\nCOMPLETED, not CANCELLED."],"enum":["STATE_UNSPECIFIED","PENDING","COPYING","COMPLETED","CANCELLED"],"type":"string"},"estimatedCopiedBytes":{"description":"Estimate of the number of bytes copied so far for this table.\nThis will eventually reach 'estimated_size_bytes' unless the table copy\nis CANCELLED.","format":"int64","type":"string"},"estimatedSizeBytes":{"description":"Estimate of the size of the table to be copied.","format":"int64","type":"string"}},"id":"TableProgress","description":"Progress info for copying a table's data to the new cluster.","type":"object"},"Cluster":{"properties":{"location":{"description":"(`CreationOnly`)\nThe location where this cluster's nodes and storage reside. For best\nperformance, clients should be located as close as possible to this\ncluster. Currently only zones are supported, so values should be of the\nform `projects/<project>/locations/<zone>`.","type":"string"},"state":{"enum":["STATE_NOT_KNOWN","READY","CREATING","RESIZING","DISABLED"],"description":"(`OutputOnly`)\nThe current state of the cluster.","type":"string","enumDescriptions":["The state of the cluster could not be determined.","The cluster has been successfully created and is ready to serve requests.","The cluster is currently being created, and may be destroyed\nif the creation process encounters an error.\nA cluster may not be able to serve requests while being created.","The cluster is currently being resized, and may revert to its previous\nnode count if the process encounters an error.\nA cluster is still capable of serving requests while being resized,\nbut may exhibit performance as if its number of allocated nodes is\nbetween the starting and requested states.","The cluster has no backing nodes. The data (tables) still\nexist, but no operations can be performed on the cluster."]},"name":{"description":"(`OutputOnly`)\nThe unique name of the cluster. Values are of the form\n`projects/<project>/instances/<instance>/clusters/a-z*`.","type":"string"},"serveNodes":{"description":"The number of nodes allocated to this cluster. More nodes enable higher\nthroughput and more consistent performance.","format":"int32","type":"integer"},"defaultStorageType":{"enumDescriptions":["The user did not specify a storage type.","Flash (SSD) storage should be used.","Magnetic drive (HDD) storage should be used."],"enum":["STORAGE_TYPE_UNSPECIFIED","SSD","HDD"],"description":"(`CreationOnly`)\nThe type of storage used by this cluster to serve its\nparent instance's tables, unless explicitly overridden.","type":"string"}},"id":"Cluster","description":"A resizable group of nodes in a particular cloud location, capable\nof serving all Tables in the parent\nInstance.","type":"object"},"UpdateInstanceMetadata":{"description":"The metadata for the Operation returned by UpdateInstance.","type":"object","properties":{"finishTime":{"description":"The time at which the operation failed or was completed successfully.","format":"google-datetime","type":"string"},"originalRequest":{"$ref":"PartialUpdateInstanceRequest","description":"The request that prompted the initiation of this UpdateInstance operation."},"requestTime":{"description":"The time at which the original request was received.","format":"google-datetime","type":"string"}},"id":"UpdateInstanceMetadata"},"CreateInstanceMetadata":{"description":"The metadata for the Operation returned by CreateInstance.","type":"object","properties":{"finishTime":{"description":"The time at which the operation failed or was completed successfully.","format":"google-datetime","type":"string"},"originalRequest":{"$ref":"CreateInstanceRequest","description":"The request that prompted the initiation of this CreateInstance operation."},"requestTime":{"description":"The time at which the original request was received.","format":"google-datetime","type":"string"}},"id":"CreateInstanceMetadata"}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"Bigtable Admin","rootUrl":"https://bigtableadmin.googleapis.com/","ownerDomain":"google.com","name":"bigtableadmin","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Bigtable Admin API","ownerName":"Google","resources":{},"parameters":{"alt":{"description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"description":"OAuth 2.0 token for the current user.","type":"string","location":"query"},"$.xgafv":{"enum":["1","2"],"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query"}},"version":"v1","baseUrl":"https://bigtableadmin.googleapis.com/"};