export default {"servicePath":"","kind":"discovery#restDescription","description":"Manages lightweight user-provided functions executed in response to events.","basePath":"","id":"cloudfunctions:v1","documentationLink":"https://cloud.google.com/functions","revision":"20190620","discoveryVersion":"v1","version_module":true,"schemas":{"CallFunctionResponse":{"description":"Response of `CallFunction` method.","type":"object","properties":{"executionId":{"description":"Execution id of function invocation.","type":"string"},"result":{"description":"Result populated for successful execution of synchronous function. Will\nnot be populated if function does not return a result through context.","type":"string"},"error":{"type":"string","description":"Either system or user-function generated error. Set if execution\nwas not successful."}},"id":"CallFunctionResponse"},"OperationMetadataV1":{"properties":{"updateTime":{"description":"The last update timestamp of the operation.","format":"google-datetime","type":"string"},"target":{"description":"Target of the operation - for example\nprojects/project-1/locations/region-1/functions/function-1","type":"string"},"request":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The original request that started the operation.","type":"object"},"versionId":{"description":"Version id of the function created or updated by an API call.\nThis field is only populated for Create and Update operations.","format":"int64","type":"string"},"type":{"description":"Type of operation.","type":"string","enumDescriptions":["Unknown operation type.","Triggered by CreateFunction call","Triggered by UpdateFunction call","Triggered by DeleteFunction call."],"enum":["OPERATION_UNSPECIFIED","CREATE_FUNCTION","UPDATE_FUNCTION","DELETE_FUNCTION"]}},"id":"OperationMetadataV1","description":"Metadata describing an Operation","type":"object"},"SetIamPolicyRequest":{"description":"Request message for `SetIamPolicy` method.","type":"object","properties":{"policy":{"$ref":"Policy","description":"REQUIRED: The complete policy to be applied to the `resource`. The size of\nthe policy is limited to a few 10s of KB. An empty policy is a\nvalid policy but certain Cloud Platform services (such as Projects)\nmight reject them."},"updateMask":{"description":"OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only\nthe fields in the mask will be modified. If no mask is provided, the\nfollowing default mask is used:\npaths: \"bindings, etag\"\nThis field is only used by Cloud IAM.","format":"google-fieldmask","type":"string"}},"id":"SetIamPolicyRequest"},"OperationMetadataV1Beta2":{"description":"Metadata describing an Operation","type":"object","properties":{"updateTime":{"description":"The last update timestamp of the operation.","format":"google-datetime","type":"string"},"target":{"description":"Target of the operation - for example\nprojects/project-1/locations/region-1/functions/function-1","type":"string"},"request":{"additionalProperties":{"type":"any","description":"Properties of the object. Contains field @type with type URL."},"description":"The original request that started the operation.","type":"object"},"versionId":{"description":"Version id of the function created or updated by an API call.\nThis field is only populated for Create and Update operations.","format":"int64","type":"string"},"type":{"enum":["OPERATION_UNSPECIFIED","CREATE_FUNCTION","UPDATE_FUNCTION","DELETE_FUNCTION"],"description":"Type of operation.","type":"string","enumDescriptions":["Unknown operation type.","Triggered by CreateFunction call","Triggered by UpdateFunction call","Triggered by DeleteFunction call."]}},"id":"OperationMetadataV1Beta2"},"Location":{"description":"A resource that represents Google Cloud Platform location.","type":"object","properties":{"labels":{"additionalProperties":{"type":"string"},"description":"Cross-service attributes for the location. For example\n\n    {\"cloud.googleapis.com/region\": \"us-east1\"}","type":"object"},"name":{"description":"Resource name for the location, which may vary between implementations.\nFor example: `\"projects/example-project/locations/us-east1\"`","type":"string"},"locationId":{"description":"The canonical id for this location. For example: `\"us-east1\"`.","type":"string"},"displayName":{"description":"The friendly name for this location, typically a nearby city name.\nFor example, \"Tokyo\".","type":"string"},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata. For example the available capacity at the given\nlocation.","type":"object"}},"id":"Location"},"AuditLogConfig":{"description":"Provides the configuration for logging a type of permissions.\nExample:\n\n    {\n      \"audit_log_configs\": [\n        {\n          \"log_type\": \"DATA_READ\",\n          \"exempted_members\": [\n            \"user:foo@gmail.com\"\n          ]\n        },\n        {\n          \"log_type\": \"DATA_WRITE\",\n        }\n      ]\n    }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting\nfoo@gmail.com from DATA_READ logging.","type":"object","properties":{"exemptedMembers":{"description":"Specifies the identities that do not cause logging for this type of\npermission.\nFollows the same format of Binding.members.","type":"array","items":{"type":"string"}},"logType":{"enumDescriptions":["Default case. Should never be this.","Admin reads. Example: CloudIAM getIamPolicy","Data writes. Example: CloudSQL Users create","Data reads. Example: CloudSQL Users list"],"enum":["LOG_TYPE_UNSPECIFIED","ADMIN_READ","DATA_WRITE","DATA_READ"],"description":"The log type that this config enables.","type":"string"}},"id":"AuditLogConfig"},"GenerateUploadUrlResponse":{"description":"Response of `GenerateSourceUploadUrl` method.","type":"object","properties":{"uploadUrl":{"description":"The generated Google Cloud Storage signed URL that should be used for a\nfunction source code upload. The uploaded file should be a zip archive\nwhich contains a function.","type":"string"}},"id":"GenerateUploadUrlResponse"},"TestIamPermissionsRequest":{"id":"TestIamPermissionsRequest","description":"Request message for `TestIamPermissions` method.","type":"object","properties":{"permissions":{"type":"array","items":{"type":"string"},"description":"The set of permissions to check for the `resource`. Permissions with\nwildcards (such as '*' or 'storage.*') are not allowed. For more\ninformation see\n[IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)."}}},"Policy":{"description":"Defines an Identity and Access Management (IAM) policy. It is used to\nspecify access control policies for Cloud Platform resources.\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of\n`members` to a `role`, where the members can be user accounts, Google groups,\nGoogle domains, and service accounts. A `role` is a named list of permissions\ndefined by IAM.\n\n**JSON Example**\n\n    {\n      \"bindings\": [\n        {\n          \"role\": \"roles/owner\",\n          \"members\": [\n            \"user:mike@example.com\",\n            \"group:admins@example.com\",\n            \"domain:google.com\",\n            \"serviceAccount:my-other-app@appspot.gserviceaccount.com\"\n          ]\n        },\n        {\n          \"role\": \"roles/viewer\",\n          \"members\": [\"user:sean@example.com\"]\n        }\n      ]\n    }\n\n**YAML Example**\n\n    bindings:\n    - members:\n      - user:mike@example.com\n      - group:admins@example.com\n      - domain:google.com\n      - serviceAccount:my-other-app@appspot.gserviceaccount.com\n      role: roles/owner\n    - members:\n      - user:sean@example.com\n      role: roles/viewer\n\n\nFor a description of IAM and its features, see the\n[IAM developer's guide](https://cloud.google.com/iam/docs).","type":"object","properties":{"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a policy from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform policy updates in order to avoid race\nconditions: An `etag` is returned in the response to `getIamPolicy`, and\nsystems are expected to put that etag in the request to `setIamPolicy` to\nensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing\npolicy is overwritten blindly.","format":"byte","type":"string"},"version":{"description":"Deprecated.","format":"int32","type":"integer"},"auditConfigs":{"description":"Specifies cloud audit logging configuration for this policy.","type":"array","items":{"$ref":"AuditConfig"}},"bindings":{"description":"Associates a list of `members` to a `role`.\n`bindings` with no members will result in an error.","type":"array","items":{"$ref":"Binding"}}},"id":"Policy"},"ListLocationsResponse":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"The standard List next-page token."},"locations":{"description":"A list of locations that matches the specified filter in the request.","type":"array","items":{"$ref":"Location"}}},"id":"ListLocationsResponse","description":"The response message for Locations.ListLocations."},"EventTrigger":{"description":"Describes EventTrigger, used to request events be sent from another\nservice.","type":"object","properties":{"eventType":{"description":"Required. The type of event to observe. For example:\n`providers/cloud.storage/eventTypes/object.change` and\n`providers/cloud.pubsub/eventTypes/topic.publish`.\n\nEvent types match pattern `providers/*/eventTypes/*.*`.\nThe pattern contains:\n\n1. namespace: For example, `cloud.storage` and\n   `google.firebase.analytics`.\n2. resource type: The type of resource on which event occurs. For\n   example, the Google Cloud Storage API includes the type `object`.\n3. action: The action that generates the event. For example, action for\n   a Google Cloud Storage Object is 'change'.\nThese parts are lower case.","type":"string"},"resource":{"description":"Required. The resource(s) from which to observe events, for example,\n`projects/_/buckets/myBucket`.\n\nNot all syntactically correct values are accepted by all services. For\nexample:\n\n1. The authorization model must support it. Google Cloud Functions\n   only allows EventTriggers to be deployed that observe resources in the\n   same project as the `CloudFunction`.\n2. The resource type must match the pattern expected for an\n   `event_type`. For example, an `EventTrigger` that has an\n   `event_type` of \"google.pubsub.topic.publish\" should have a resource\n   that matches Google Cloud Pub/Sub topics.\n\nAdditionally, some services may support short names when creating an\n`EventTrigger`. These will always be returned in the normalized \"long\"\nformat.\n\nSee each *service's* documentation for supported formats.","type":"string"},"service":{"description":"The hostname of the service that should be observed.\n\nIf no string is provided, the default service implementing the API will\nbe used. For example, `storage.googleapis.com` is the default for all\nevent types in the `google.storage` namespace.","type":"string"},"failurePolicy":{"description":"Specifies policy for failed executions.","$ref":"FailurePolicy"}},"id":"EventTrigger"},"FailurePolicy":{"id":"FailurePolicy","description":"Describes the policy in case of function's execution failure.\nIf empty, then defaults to ignoring failures (i.e. not retrying them).","type":"object","properties":{"retry":{"$ref":"Retry","description":"If specified, then the function will be retried in case of a failure."}}},"GenerateDownloadUrlRequest":{"description":"Request of `GenerateDownloadUrl` method.","type":"object","properties":{"versionId":{"description":"The optional version of function. If not set, default, current version\nis used.","format":"uint64","type":"string"}},"id":"GenerateDownloadUrlRequest"},"Operation":{"description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object","properties":{"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.","type":"string"},"error":{"description":"The error result of the operation in case of failure or cancellation.","$ref":"Status"},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object"},"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"}},"id":"Operation"},"AuditConfig":{"id":"AuditConfig","description":"Specifies the audit configuration for a service.\nThe configuration determines which permission types are logged, and what\nidentities, if any, are exempted from logging.\nAn AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service,\nthe union of the two AuditConfigs is used for that service: the log_types\nspecified in each AuditConfig are enabled, and the exempted_members in each\nAuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n    {\n      \"audit_configs\": [\n        {\n          \"service\": \"allServices\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n              \"exempted_members\": [\n                \"user:foo@gmail.com\"\n              ]\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n            },\n            {\n              \"log_type\": \"ADMIN_READ\",\n            }\n          ]\n        },\n        {\n          \"service\": \"fooservice.googleapis.com\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n              \"exempted_members\": [\n                \"user:bar@gmail.com\"\n              ]\n            }\n          ]\n        }\n      ]\n    }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ\nlogging. It also exempts foo@gmail.com from DATA_READ logging, and\nbar@gmail.com from DATA_WRITE logging.","type":"object","properties":{"service":{"description":"Specifies a service that will be enabled for audit logging.\nFor example, `storage.googleapis.com`, `cloudsql.googleapis.com`.\n`allServices` is a special value that covers all services.","type":"string"},"auditLogConfigs":{"description":"The configuration for logging of each type of permission.","type":"array","items":{"$ref":"AuditLogConfig"}}}},"Status":{"description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object","properties":{"code":{"type":"integer","description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32"},"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}}},"id":"Status"},"CallFunctionRequest":{"id":"CallFunctionRequest","description":"Request for the `CallFunction` method.","type":"object","properties":{"data":{"description":"Input to be passed to the function.","type":"string"}}},"SourceRepository":{"description":"Describes SourceRepository, used to represent parameters related to\nsource repository where a function is hosted.","type":"object","properties":{"url":{"type":"string","description":"The URL pointing to the hosted repository where the function is defined.\nThere are supported Cloud Source Repository URLs in the following\nformats:\n\nTo refer to a specific commit:\n`https://source.developers.google.com/projects/*/repos/*/revisions/*/paths/*`\nTo refer to a moveable alias (branch):\n`https://source.developers.google.com/projects/*/repos/*/moveable-aliases/*/paths/*`\nIn particular, to refer to HEAD use `master` moveable alias.\nTo refer to a specific fixed alias (tag):\n`https://source.developers.google.com/projects/*/repos/*/fixed-aliases/*/paths/*`\n\nYou may omit `paths/*` if you want to use the main directory."},"deployedUrl":{"type":"string","description":"Output only. The URL pointing to the hosted repository where the function\nwere defined at the time of deployment. It always points to a specific\ncommit in the format described above."}},"id":"SourceRepository"},"Binding":{"id":"Binding","description":"Associates `members` with a `role`.","type":"object","properties":{"condition":{"$ref":"Expr","description":"The condition that is associated with this binding.\nNOTE: An unsatisfied condition will not allow user access via current\nbinding. Different bindings, including their conditions, are examined\nindependently."},"members":{"description":"Specifies the identities requesting access for a Cloud Platform resource.\n`members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is\n   on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone\n   who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google\n   account. For example, `alice@gmail.com` .\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service\n   account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group.\n   For example, `admins@example.com`.\n\n\n* `domain:{domain}`: The G Suite domain (primary) that represents all the\n   users of that domain. For example, `google.com` or `example.com`.\n\n","type":"array","items":{"type":"string"}},"role":{"type":"string","description":"Role that is assigned to `members`.\nFor example, `roles/viewer`, `roles/editor`, or `roles/owner`."}}},"Expr":{"description":"Represents an expression text. Example:\n\n    title: \"User account presence\"\n    description: \"Determines whether the request has a user account\"\n    expression: \"size(request.user) > 0\"","type":"object","properties":{"description":{"description":"An optional description of the expression. This is a longer text which\ndescribes the expression, e.g. when hovered over it in a UI.","type":"string"},"expression":{"description":"Textual representation of an expression in\nCommon Expression Language syntax.\n\nThe application context of the containing message determines which\nwell-known feature set of CEL is supported.","type":"string"},"title":{"description":"An optional title for the expression, i.e. a short string describing\nits purpose. This can be used e.g. in UIs which allow to enter the\nexpression.","type":"string"},"location":{"description":"An optional string indicating the location of the expression for error\nreporting, e.g. a file name and a position in the file.","type":"string"}},"id":"Expr"},"CloudFunction":{"description":"Describes a Cloud Function that contains user computation executed in\nresponse to an event. It encapsulate function and triggers configurations.\nLINT.IfChange","type":"object","properties":{"entryPoint":{"description":"The name of the function (as defined in source code) that will be\nexecuted. Defaults to the resource name suffix, if not specified. For\nbackward compatibility, if function with given name is not found, then the\nsystem will try to use function named \"function\".\nFor Node.js this is name of a function exported by the module specified\nin `source_location`.","type":"string"},"labels":{"description":"Labels associated with this Cloud Function.","type":"object","additionalProperties":{"type":"string"}},"updateTime":{"description":"Output only. The last update timestamp of a Cloud Function.","format":"google-datetime","type":"string"},"httpsTrigger":{"$ref":"HttpsTrigger","description":"An HTTPS endpoint type of source that can be triggered via URL."},"serviceAccountEmail":{"description":"The email of the function's service account. If empty, defaults to\n{project_id}@appspot.gserviceaccount.com.","type":"string"},"maxInstances":{"type":"integer","description":"The limit on the maximum number of function instances that may coexist at a\ngiven time.","format":"int32"},"description":{"description":"User-provided description of a function.","type":"string"},"environmentVariables":{"description":"Environment variables that shall be available during function execution.","type":"object","additionalProperties":{"type":"string"}},"timeout":{"type":"string","description":"The function execution timeout. Execution is considered failed and\ncan be terminated if the function is not completed at the end of the\ntimeout period. Defaults to 60 seconds.","format":"google-duration"},"sourceUploadUrl":{"description":"The Google Cloud Storage signed URL used for source uploading, generated\nby google.cloud.functions.v1.GenerateUploadUrl","type":"string"},"eventTrigger":{"$ref":"EventTrigger","description":"A source that fires events in response to a condition in another service."},"status":{"enumDescriptions":["Not specified. Invalid state.","Function has been successfully deployed and is serving.","Function deployment failed and the function isn’t serving.","Function is being created or updated.","Function is being deleted.","Function deployment failed and the function serving state is undefined.\nThe function should be updated or deleted to move it out of this state."],"enum":["CLOUD_FUNCTION_STATUS_UNSPECIFIED","ACTIVE","OFFLINE","DEPLOY_IN_PROGRESS","DELETE_IN_PROGRESS","UNKNOWN"],"description":"Output only. Status of the function deployment.","type":"string"},"availableMemoryMb":{"description":"The amount of memory in MB available for a function.\nDefaults to 256MB.","format":"int32","type":"integer"},"runtime":{"description":"Required. The runtime in which the function is going to run. Choices:\n\n* `nodejs6`: Node.js 6\n* `nodejs8`: Node.js 8\n* `nodejs10`: Node.js 10\n* `python37`: Python 3.7\n* `go111`: Go 1.11","type":"string"},"name":{"description":"A user-defined name of the function. Function names must be unique\nglobally and match pattern `projects/*/locations/*/functions/*`","type":"string"},"versionId":{"description":"Output only.\nThe version identifier of the Cloud Function. Each deployment attempt\nresults in a new version of a function being created.","format":"int64","type":"string"},"sourceArchiveUrl":{"description":"The Google Cloud Storage URL, starting with gs://, pointing to the zip\narchive which contains the function.","type":"string"},"sourceRepository":{"description":"**Beta Feature**\n\nThe source repository where a function is hosted.","$ref":"SourceRepository"},"network":{"description":"The VPC Network that this cloud function can connect to. It can be\neither the fully-qualified URI, or the short name of the network resource.\nIf the short network name is used, the network must belong to the same\nproject. Otherwise, it must belong to a project within the same\norganization. The format of this field is either\n`projects/{project}/global/networks/{network}` or `{network}`, where\n{project} is a project id where the network is defined, and {network} is\nthe short name of the network.\n\nThis field is mutually exclusive with `vpc_connector` and will be replaced\nby it.\n\nSee [the VPC documentation](https://cloud.google.com/compute/docs/vpc) for\nmore information on connecting Cloud projects.\n\nThis feature is currently in alpha, available only for whitelisted users.","type":"string"},"vpcConnector":{"type":"string","description":"The VPC Network Connector that this cloud function can connect to. It can\nbe either the fully-qualified URI, or the short name of the network\nconnector resource. The format of this field is\n`projects/*/locations/*/connectors/*`\n\nThis field is mutually exclusive with `network` field and will eventually\nreplace it.\n\nSee [the VPC documentation](https://cloud.google.com/compute/docs/vpc) for\nmore information on connecting Cloud projects.\n\nThis feature is currently in alpha, available only for whitelisted users."}},"id":"CloudFunction"},"HttpsTrigger":{"type":"object","properties":{"url":{"type":"string","description":"Output only. The deployed url for the function."}},"id":"HttpsTrigger","description":"Describes HttpsTrigger, could be used to connect web hooks to function."},"GenerateDownloadUrlResponse":{"description":"Response of `GenerateDownloadUrl` method.","type":"object","properties":{"downloadUrl":{"description":"The generated Google Cloud Storage signed URL that should be used for\nfunction source code download.","type":"string"}},"id":"GenerateDownloadUrlResponse"},"Retry":{"description":"Describes the retry policy in case of function's execution failure.\nA function execution will be retried on any failure.\nA failed execution will be retried up to 7 days with an exponential backoff\n(capped at 10 seconds).\nRetried execution is charged as any other execution.","type":"object","properties":{},"id":"Retry"},"GenerateUploadUrlRequest":{"description":"Request of `GenerateSourceUploadUrl` method.","type":"object","properties":{},"id":"GenerateUploadUrlRequest"},"ListOperationsResponse":{"description":"The response message for Operations.ListOperations.","type":"object","properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"operations":{"type":"array","items":{"$ref":"Operation"},"description":"A list of operations that matches the specified filter in the request."}},"id":"ListOperationsResponse"},"TestIamPermissionsResponse":{"description":"Response message for `TestIamPermissions` method.","type":"object","properties":{"permissions":{"description":"A subset of `TestPermissionsRequest.permissions` that the caller is\nallowed.","type":"array","items":{"type":"string"}}},"id":"TestIamPermissionsResponse"},"ListFunctionsResponse":{"id":"ListFunctionsResponse","description":"Response for the `ListFunctions` method.","type":"object","properties":{"functions":{"description":"The functions that match the request.","type":"array","items":{"$ref":"CloudFunction"}},"nextPageToken":{"description":"If not empty, indicates that there may be more functions that match\nthe request; this value should be passed in a new\ngoogle.cloud.functions.v1.ListFunctionsRequest\nto get more functions.","type":"string"}}}},"icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"protocol":"rest","canonicalName":"Cloud Functions","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://cloudfunctions.googleapis.com/","ownerDomain":"google.com","name":"cloudfunctions","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Functions API","ownerName":"Google","resources":{"operations":{"methods":{"list":{"description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.","response":{"$ref":"ListOperationsResponse"},"parameterOrder":[],"httpMethod":"GET","parameters":{"pageSize":{"description":"The standard list page size.","format":"int32","type":"integer","location":"query"},"filter":{"location":"query","description":"Required. A filter for matching the requested operations.<br><br> The supported formats of <b>filter</b> are:<br> To query for specific function: <code>project:*,location:*,function:*</code><br> To query for all of the latest operations for a project: <code>project:*,latest:true</code>","type":"string"},"name":{"description":"Must not be set.","type":"string","location":"query"},"pageToken":{"description":"The standard list page token.","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/operations","path":"v1/operations","id":"cloudfunctions.operations.list"},"get":{"description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.","response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^operations/[^/]+$","location":"path","description":"The name of the operation resource."}},"flatPath":"v1/operations/{operationsId}","path":"v1/{+name}","id":"cloudfunctions.operations.get"}}},"projects":{"resources":{"locations":{"methods":{"list":{"description":"Lists information about the supported locations for this service.","response":{"$ref":"ListLocationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"filter":{"location":"query","description":"The standard list filter.","type":"string"},"name":{"description":"The resource that owns the locations collection, if applicable.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"}},"flatPath":"v1/projects/{projectsId}/locations","path":"v1/{+name}/locations","id":"cloudfunctions.projects.locations.list"}},"resources":{"functions":{"methods":{"generateUploadUrl":{"path":"v1/{+parent}/functions:generateUploadUrl","id":"cloudfunctions.projects.locations.functions.generateUploadUrl","request":{"$ref":"GenerateUploadUrlRequest"},"description":"Returns a signed URL for uploading a function source code.\nFor more information about the signed URL usage see:\nhttps://cloud.google.com/storage/docs/access-control/signed-urls.\nOnce the function source code upload is complete, the used signed\nURL should be provided in CreateFunction or UpdateFunction request\nas a reference to the function source code.\n\nWhen uploading source code to the generated signed URL, please follow\nthese restrictions:\n\n* Source file type should be a zip file.\n* Source file size should not exceed 100MB limit.\n* No credentials should be attached - the signed URLs provide access to the\n  target bucket using internal service identity; if credentials were\n  attached, the identity from the credentials would be used, but that\n  identity does not have permissions to upload files to the URL.\n\nWhen making a HTTP PUT request, these two headers need to be specified:\n\n* `content-type: application/zip`\n* `x-goog-content-length-range: 0,104857600`\n\nAnd this header SHOULD NOT be specified:\n\n* `Authorization: Bearer YOUR_TOKEN`","response":{"$ref":"GenerateUploadUrlResponse"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"The project and location in which the Google Cloud Storage signed URL\nshould be generated, specified in the format `projects/*/locations/*`.","required":true,"type":"string"}},"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions:generateUploadUrl"},"generateDownloadUrl":{"request":{"$ref":"GenerateDownloadUrlRequest"},"description":"Returns a signed URL for downloading deployed function source code.\nThe URL is only valid for a limited period and should be used within\nminutes after generation.\nFor more information about the signed URL usage see:\nhttps://cloud.google.com/storage/docs/access-control/signed-urls","response":{"$ref":"GenerateDownloadUrlResponse"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$","location":"path","description":"The name of function for which source code Google Cloud Storage signed\nURL should be generated.","required":true,"type":"string"}},"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:generateDownloadUrl","path":"v1/{+name}:generateDownloadUrl","id":"cloudfunctions.projects.locations.functions.generateDownloadUrl"},"getIamPolicy":{"httpMethod":"GET","parameterOrder":["resource"],"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string"}},"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:getIamPolicy","id":"cloudfunctions.projects.locations.functions.getIamPolicy","path":"v1/{+resource}:getIamPolicy","description":"Gets the IAM access control policy for a function.\nReturns an empty policy if the function exists and does not have a policy\nset."},"patch":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"PATCH","parameters":{"name":{"location":"path","description":"A user-defined name of the function. Function names must be unique\nglobally and match pattern `projects/*/locations/*/functions/*`","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$"},"updateMask":{"location":"query","description":"Required list of fields to be updated in this request.","format":"google-fieldmask","type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}","path":"v1/{+name}","id":"cloudfunctions.projects.locations.functions.patch","description":"Updates existing function.","request":{"$ref":"CloudFunction"}},"get":{"httpMethod":"GET","response":{"$ref":"CloudFunction"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$","location":"path","description":"The name of the function which details should be obtained.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}","id":"cloudfunctions.projects.locations.functions.get","path":"v1/{+name}","description":"Returns a function with the given name from the requested project."},"testIamPermissions":{"httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"TestIamPermissionsResponse"},"parameters":{"resource":{"description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:testIamPermissions","id":"cloudfunctions.projects.locations.functions.testIamPermissions","path":"v1/{+resource}:testIamPermissions","description":"Tests the specified permissions against the IAM access control policy\nfor a function.\nIf the function does not exist, this will return an empty set of\npermissions, not a NOT_FOUND error.","request":{"$ref":"TestIamPermissionsRequest"}},"delete":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the function which should be deleted.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}","path":"v1/{+name}","id":"cloudfunctions.projects.locations.functions.delete","description":"Deletes a function with the given name from the specified project. If the\ngiven function is used by some trigger, the trigger will be updated to\nremove this function."},"list":{"description":"Returns a list of functions that belong to the requested project.","response":{"$ref":"ListFunctionsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"pageToken":{"location":"query","description":"The value returned by the last\n`ListFunctionsResponse`; indicates that\nthis is a continuation of a prior `ListFunctions` call, and that the\nsystem should return the next page of data.","type":"string"},"pageSize":{"description":"Maximum number of functions to return per call.","format":"int32","type":"integer","location":"query"},"parent":{"description":"The project and location from which the function should be listed,\nspecified in the format `projects/*/locations/*`\nIf you want to list functions in all locations, use \"-\" in place of a\nlocation.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions","path":"v1/{+parent}/functions","id":"cloudfunctions.projects.locations.functions.list"},"setIamPolicy":{"httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"Policy"},"parameters":{"resource":{"location":"path","description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:setIamPolicy","id":"cloudfunctions.projects.locations.functions.setIamPolicy","path":"v1/{+resource}:setIamPolicy","description":"Sets the IAM access control policy on the specified function.\nReplaces any existing policy.","request":{"$ref":"SetIamPolicyRequest"}},"call":{"request":{"$ref":"CallFunctionRequest"},"description":"Synchronously invokes a deployed Cloud Function. To be used for testing\npurposes as very limited traffic is allowed. For more information on\nthe actual limits, refer to\n[Rate Limits](https://cloud.google.com/functions/quotas#rate_limits).","response":{"$ref":"CallFunctionResponse"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the function to be called.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/functions/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:call","path":"v1/{+name}:call","id":"cloudfunctions.projects.locations.functions.call"},"create":{"flatPath":"v1/projects/{projectsId}/locations/{locationsId}/functions","id":"cloudfunctions.projects.locations.functions.create","path":"v1/{+location}/functions","description":"Creates a new function. If a function with the given name already exists in\nthe specified project, the long running operation will return\n`ALREADY_EXISTS` error.","request":{"$ref":"CloudFunction"},"httpMethod":"POST","parameterOrder":["location"],"response":{"$ref":"Operation"},"parameters":{"location":{"location":"path","description":"The project and location in which the function should be created, specified\nin the format `projects/*/locations/*`","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]}}}}}}}},"parameters":{"access_token":{"location":"query","description":"OAuth access token.","type":"string"},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"description":"Returns response with indentations and line breaks.","type":"boolean","default":"true","location":"query"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"},"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]}},"version":"v1","baseUrl":"https://cloudfunctions.googleapis.com/"};