export default {"kind":"discovery#restDescription","description":"Enables cloud users to manage and share enterprise catalogs intheir organizations.","servicePath":"","basePath":"","id":"cloudprivatecatalogproducer:v1beta1","documentationLink":"https://cloud.google.com/private-catalog/","revision":"20190614","discoveryVersion":"v1","version_module":true,"schemas":{"GoogleTypeExpr":{"type":"object","properties":{"expression":{"description":"Textual representation of an expression in\nCommon Expression Language syntax.\n\nThe application context of the containing message determines which\nwell-known feature set of CEL is supported.","type":"string"},"title":{"description":"An optional title for the expression, i.e. a short string describing\nits purpose. This can be used e.g. in UIs which allow to enter the\nexpression.","type":"string"},"location":{"description":"An optional string indicating the location of the expression for error\nreporting, e.g. a file name and a position in the file.","type":"string"},"description":{"description":"An optional description of the expression. This is a longer text which\ndescribes the expression, e.g. when hovered over it in a UI.","type":"string"}},"id":"GoogleTypeExpr","description":"Represents an expression text. Example:\n\n    title: \"User account presence\"\n    description: \"Determines whether the request has a user account\"\n    expression: \"size(request.user) > 0\""},"GoogleCloudPrivatecatalogproducerV1beta1ListProductsResponse":{"id":"GoogleCloudPrivatecatalogproducerV1beta1ListProductsResponse","type":"object","properties":{"products":{"description":"The `Product` returned from the list call.","type":"array","items":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Product"}},"nextPageToken":{"description":"A pagination token returned from a previous call to ListProducts\nthat indicates where the listing should continue from.\nThis field is optional.","type":"string"}}},"GoogleLongrunningListOperationsResponse":{"description":"The response message for Operations.ListOperations.","type":"object","properties":{"operations":{"description":"A list of operations that matches the specified filter in the request.","type":"array","items":{"$ref":"GoogleLongrunningOperation"}},"nextPageToken":{"description":"The standard List next-page token.","type":"string"}},"id":"GoogleLongrunningListOperationsResponse"},"GoogleIamV1TestIamPermissionsResponse":{"description":"Response message for `TestIamPermissions` method.","type":"object","properties":{"permissions":{"description":"A subset of `TestPermissionsRequest.permissions` that the caller is\nallowed.","type":"array","items":{"type":"string"}}},"id":"GoogleIamV1TestIamPermissionsResponse"},"GoogleCloudPrivatecatalogproducerV1beta1ListAssociationsResponse":{"type":"object","properties":{"nextPageToken":{"description":"A pagination token returned from a previous call to\n`ListAssociations` that indicates where the listing should continue from.\nThis field is optional.","type":"string"},"associations":{"type":"array","items":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Association"},"description":"The returned `Association` resources from the list call."}},"id":"GoogleCloudPrivatecatalogproducerV1beta1ListAssociationsResponse"},"GoogleCloudPrivatecatalogproducerV1beta1Association":{"description":"An association tuple that pairs a `Catalog` to a resource\nthat can use the `Catalog`. After association, a\ngoogle.cloud.privatecatalog.v1beta1.Catalog becomes available to\nconsumers under specified Association.resource and all of its child\nnodes.\nUsers who have the `cloudprivatecatalog.targets.get` permission on any of\nthe resource nodes can access the catalog and child products under the node.\n\nFor example, suppose the cloud resource hierarchy is as follows:\n\n* organizations/example.com\n  * folders/team\n    * projects/test\n\nAfter creating an association with `organizations/example.com`, the catalog\n`catalogs/1`  is accessible from the following paths:\n\n* organizations/example.com\n* folders/team\n* projects/test\n\nUsers can access them by\ngoogle.cloud.v1beta1.PrivateCatalog.SearchCatalogs action.","type":"object","properties":{"resource":{"description":"Required. The user-supplied fully qualified name of the `Resource`\nassociated to the `Catalog`. It supports `Organization`, `Folder`,\nand `Project`. Values are of the form\n\n* `//cloudresourcemanager.googleapis.com/projects/{product_number}`\n* `//cloudresourcemanager.googleapis.com/folders/{folder_id}`\n* `//cloudresourcemanager.googleapis.com/organizations/{organization_id}`","type":"string"},"name":{"description":"Output only. The resource name of the catalog association, in the format\n`catalogs/{catalog_id}/associations/{association_id}'.\n\nA unique identifier for the catalog association, which is\ngenerated by catalog service.","type":"string"},"createTime":{"type":"string","description":"The creation time of the association.","format":"google-datetime"}},"id":"GoogleCloudPrivatecatalogproducerV1beta1Association"},"GoogleLongrunningCancelOperationRequest":{"description":"The request message for Operations.CancelOperation.","type":"object","properties":{},"id":"GoogleLongrunningCancelOperationRequest"},"GoogleCloudPrivatecatalogproducerV1beta1Product":{"id":"GoogleCloudPrivatecatalogproducerV1beta1Product","description":"The producer representation of a product which is a child resource of\n`Catalog` with display metadata and a list of `Version` resources.","type":"object","properties":{"updateTime":{"description":"Output only. The time when the product was last updated.","format":"google-datetime","type":"string"},"name":{"description":"Required. The resource name of the product in the format\n`catalogs/{catalog_id}/products/a-z*[a-z0-9]'.\n\nA unique identifier for the product under a catalog, which cannot\nbe changed after the product is created. The final\nsegment of the name must between 1 and 256 characters in length.","type":"string"},"assetType":{"description":"Required. The type of the product asset, which cannot be changed after the\nproduct is created. It supports the values\n`google.deploymentmanager.Template` and\n`google.cloudprivatecatalog.ListingOnly`. Other values will be\nrejected by the server. Read only after creation.\n\nThe following fields or resource types have different validation rules\nunder each `asset_type` values:\n\n* Product.display_metadata has different validation schema for each\nasset type value. See its comment for details.\n* Version resource isn't allowed to be added under the\n`google.cloudprivatecatalog.ListingOnly` type.","type":"string"},"displayMetadata":{"description":"The user-supplied display metadata to describe the product.\nThe JSON schema of the metadata differs by Product.asset_type.\nWhen the type is `google.deploymentmanager.Template`, the schema is as\nfollows:\n\n```\n\"$schema\": http://json-schema.org/draft-04/schema#\ntype: object\nproperties:\n  name:\n    type: string\n    minLength: 1\n    maxLength: 64\n  description:\n    type: string\n    minLength: 1\n    maxLength: 2048\n  tagline:\n    type: string\n    minLength: 1\n    maxLength: 100\n  support_info:\n    type: string\n    minLength: 1\n    maxLength: 2048\n  creator:\n    type: string\n    minLength: 1\n    maxLength: 100\n  documentation:\n    type: array\n    items:\n      type: object\n      properties:\n        url:\n          type: string\n          pattern:\n          \"^(https?)://[-a-zA-Z0-9+&@#/%?=~_|!:,.;]*[-a-zA-Z0-9+&@#/%=~_|]\"\n        title:\n          type: string\n          minLength: 1\n          maxLength: 64\n        description:\n          type: string\n          minLength: 1\n          maxLength: 2048\nrequired:\n- name\n- description\nadditionalProperties: false\n\n```\n\nWhen the asset type is `google.cloudprivatecatalog.ListingOnly`, the schema\nis as follows:\n\n```\n\"$schema\": http://json-schema.org/draft-04/schema#\ntype: object\nproperties:\n  name:\n    type: string\n    minLength: 1\n    maxLength: 64\n  description:\n    type: string\n    minLength: 1\n    maxLength: 2048\n  tagline:\n    type: string\n    minLength: 1\n    maxLength: 100\n  support_info:\n    type: string\n    minLength: 1\n    maxLength: 2048\n  creator:\n    type: string\n    minLength: 1\n    maxLength: 100\n  documentation:\n    type: array\n    items:\n      type: object\n      properties:\n        url:\n          type: string\n          pattern:\n          \"^(https?)://[-a-zA-Z0-9+&@#/%?=~_|!:,.;]*[-a-zA-Z0-9+&@#/%=~_|]\"\n        title:\n          type: string\n          minLength: 1\n          maxLength: 64\n        description:\n          type: string\n          minLength: 1\n          maxLength: 2048\n  signup_url:\n    type: string\n    pattern:\n    \"^(https?)://[-a-zA-Z0-9+&@#/%?=~_|!:,.;]*[-a-zA-Z0-9+&@#/%=~_|]\"\nrequired:\n- name\n- description\n- signup_url\nadditionalProperties: false\n```","type":"object","additionalProperties":{"description":"Properties of the object.","type":"any"}},"iconUri":{"description":"Output only. The public accessible URI of the icon uploaded by\nPrivateCatalogProducer.UploadIcon.\n\nIf no icon is uploaded, it will be the default icon's URI.","type":"string"},"createTime":{"description":"Output only. The time when the product was created.","format":"google-datetime","type":"string"}}},"GoogleProtobufEmpty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"GoogleProtobufEmpty"},"GoogleIamV1Binding":{"type":"object","properties":{"members":{"description":"Specifies the identities requesting access for a Cloud Platform resource.\n`members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is\n   on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone\n   who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google\n   account. For example, `alice@gmail.com` .\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service\n   account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group.\n   For example, `admins@example.com`.\n\n\n* `domain:{domain}`: The G Suite domain (primary) that represents all the\n   users of that domain. For example, `google.com` or `example.com`.\n\n","type":"array","items":{"type":"string"}},"role":{"description":"Role that is assigned to `members`.\nFor example, `roles/viewer`, `roles/editor`, or `roles/owner`.","type":"string"},"condition":{"$ref":"GoogleTypeExpr","description":"The condition that is associated with this binding.\nNOTE: An unsatisfied condition will not allow user access via current\nbinding. Different bindings, including their conditions, are examined\nindependently."}},"id":"GoogleIamV1Binding","description":"Associates `members` with a `role`."},"GoogleIamV1TestIamPermissionsRequest":{"type":"object","properties":{"permissions":{"description":"The set of permissions to check for the `resource`. Permissions with\nwildcards (such as '*' or 'storage.*') are not allowed. For more\ninformation see\n[IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","type":"array","items":{"type":"string"}}},"id":"GoogleIamV1TestIamPermissionsRequest","description":"Request message for `TestIamPermissions` method."},"GoogleIamV1SetIamPolicyRequest":{"type":"object","properties":{"policy":{"description":"REQUIRED: The complete policy to be applied to the `resource`. The size of\nthe policy is limited to a few 10s of KB. An empty policy is a\nvalid policy but certain Cloud Platform services (such as Projects)\nmight reject them.","$ref":"GoogleIamV1Policy"},"updateMask":{"description":"OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only\nthe fields in the mask will be modified. If no mask is provided, the\nfollowing default mask is used:\npaths: \"bindings, etag\"\nThis field is only used by Cloud IAM.","format":"google-fieldmask","type":"string"}},"id":"GoogleIamV1SetIamPolicyRequest","description":"Request message for `SetIamPolicy` method."},"GoogleCloudPrivatecatalogproducerV1beta1ListVersionsResponse":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"A pagination token returned from a previous call to ListProducts\nthat indicates where the listing should continue from.\nThis field is optional."},"versions":{"type":"array","items":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Version"},"description":"The `VersiVersionon` returned from the list call."}},"id":"GoogleCloudPrivatecatalogproducerV1beta1ListVersionsResponse"},"GoogleCloudPrivatecatalogproducerV1beta1UndeleteCatalogRequest":{"type":"object","properties":{},"id":"GoogleCloudPrivatecatalogproducerV1beta1UndeleteCatalogRequest"},"GoogleIamV1Policy":{"type":"object","properties":{"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a policy from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform policy updates in order to avoid race\nconditions: An `etag` is returned in the response to `getIamPolicy`, and\nsystems are expected to put that etag in the request to `setIamPolicy` to\nensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing\npolicy is overwritten blindly.","format":"byte","type":"string"},"version":{"description":"Deprecated.","format":"int32","type":"integer"},"auditConfigs":{"description":"Specifies cloud audit logging configuration for this policy.","type":"array","items":{"$ref":"GoogleIamV1AuditConfig"}},"bindings":{"description":"Associates a list of `members` to a `role`.\n`bindings` with no members will result in an error.","type":"array","items":{"$ref":"GoogleIamV1Binding"}}},"id":"GoogleIamV1Policy","description":"Defines an Identity and Access Management (IAM) policy. It is used to\nspecify access control policies for Cloud Platform resources.\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of\n`members` to a `role`, where the members can be user accounts, Google groups,\nGoogle domains, and service accounts. A `role` is a named list of permissions\ndefined by IAM.\n\n**JSON Example**\n\n    {\n      \"bindings\": [\n        {\n          \"role\": \"roles/owner\",\n          \"members\": [\n            \"user:mike@example.com\",\n            \"group:admins@example.com\",\n            \"domain:google.com\",\n            \"serviceAccount:my-other-app@appspot.gserviceaccount.com\"\n          ]\n        },\n        {\n          \"role\": \"roles/viewer\",\n          \"members\": [\"user:sean@example.com\"]\n        }\n      ]\n    }\n\n**YAML Example**\n\n    bindings:\n    - members:\n      - user:mike@example.com\n      - group:admins@example.com\n      - domain:google.com\n      - serviceAccount:my-other-app@appspot.gserviceaccount.com\n      role: roles/owner\n    - members:\n      - user:sean@example.com\n      role: roles/viewer\n\n\nFor a description of IAM and its features, see the\n[IAM developer's guide](https://cloud.google.com/iam/docs)."},"GoogleCloudPrivatecatalogproducerV1beta1UploadIconRequest":{"id":"GoogleCloudPrivatecatalogproducerV1beta1UploadIconRequest","type":"object","properties":{"icon":{"type":"string","description":"The raw icon bytes user-supplied to be uploaded to the product. The format\nof the icon can only be PNG or JPEG. The minimum allowed dimensions are\n130x130 pixels and the maximum dimensions are 10000x10000 pixels.\nRequired.","format":"byte"}}},"GoogleCloudPrivatecatalogproducerV1beta1Catalog":{"type":"object","properties":{"displayName":{"description":"Required. The user-supplied descriptive name of the catalog as it appears\nin UIs. Maximum 256 characters in length.","type":"string"},"description":{"description":"Required. The user-supplied description of the catalog. Maximum of 512\ncharacters.","type":"string"},"parent":{"description":"Required. The parent resource name of the catalog, which can't be changed\nafter a catalog is created. It can only be an organization. Values are of\nthe form `//cloudresourcemanager.googleapis.com/organizations/<id>`.\nMaximum 256 characters in length.","type":"string"},"createTime":{"description":"Output only. The time when the catalog was created.","format":"google-datetime","type":"string"},"updateTime":{"description":"Output only. The time when the catalog was last updated.","format":"google-datetime","type":"string"},"name":{"description":"Output only. The resource name of the catalog, in the format\n`catalogs/{catalog_id}'.\n\nA unique identifier for the catalog, which is generated\nby catalog service.","type":"string"}},"id":"GoogleCloudPrivatecatalogproducerV1beta1Catalog","description":"The producer representation of a catalog which is a curated collection of\nsolutions that can be managed, controlled, and shared by cloud admins."},"GoogleIamV1AuditConfig":{"description":"Specifies the audit configuration for a service.\nThe configuration determines which permission types are logged, and what\nidentities, if any, are exempted from logging.\nAn AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service,\nthe union of the two AuditConfigs is used for that service: the log_types\nspecified in each AuditConfig are enabled, and the exempted_members in each\nAuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n    {\n      \"audit_configs\": [\n        {\n          \"service\": \"allServices\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n              \"exempted_members\": [\n                \"user:foo@gmail.com\"\n              ]\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n            },\n            {\n              \"log_type\": \"ADMIN_READ\",\n            }\n          ]\n        },\n        {\n          \"service\": \"fooservice.googleapis.com\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n              \"exempted_members\": [\n                \"user:bar@gmail.com\"\n              ]\n            }\n          ]\n        }\n      ]\n    }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ\nlogging. It also exempts foo@gmail.com from DATA_READ logging, and\nbar@gmail.com from DATA_WRITE logging.","type":"object","properties":{"service":{"description":"Specifies a service that will be enabled for audit logging.\nFor example, `storage.googleapis.com`, `cloudsql.googleapis.com`.\n`allServices` is a special value that covers all services.","type":"string"},"auditLogConfigs":{"description":"The configuration for logging of each type of permission.","type":"array","items":{"$ref":"GoogleIamV1AuditLogConfig"}}},"id":"GoogleIamV1AuditConfig"},"GoogleCloudPrivatecatalogproducerV1beta1Version":{"description":"The producer representation of a version, which is a child resource under a\n`Product` with asset data.","type":"object","properties":{"description":{"description":"The user-supplied description of the version. Maximum of 256 characters.","type":"string"},"asset":{"description":"Output only. The asset which has been validated and is ready to be\nprovisioned. See Version.original_asset for the schema.","type":"object","additionalProperties":{"description":"Properties of the object.","type":"any"}},"createTime":{"description":"Output only. The time when the version was created.","format":"google-datetime","type":"string"},"updateTime":{"description":"Output only. The time when the version was last updated.","format":"google-datetime","type":"string"},"name":{"type":"string","description":"Required. The resource name of the version, in the format\n`catalogs/{catalog_id}/products/{product_id}/versions/a-z*[a-z0-9]'.\n\nA unique identifier for the version under a product, which can't\nbe changed after the version is created. The final segment of the name must\nbetween 1 and 63 characters in length."},"originalAsset":{"description":"The user-supplied asset payload. The maximum size of the payload is 2MB.\nThe JSON schema of the payload is defined as:\n\n```\ntype: object\nproperties:\n  mainTemplate:\n    type: string\n    description: The file name of the main template and name prefix of\n    schema file. The content of the main template should be set in the\n    imports list. The schema file name is expected to be\n    <mainTemplate>.schema in the imports list. required: true\n  imports:\n    type: array\n    description: Import template and schema file contents. Required to have\n    both <mainTemplate> and <mainTemplate>.schema files. required: true\n    minItems: 2\n    items:\n      type: object\n      properties:\n        name:\n          type: string\n        content:\n          type: string\n```","type":"object","additionalProperties":{"description":"Properties of the object.","type":"any"}}},"id":"GoogleCloudPrivatecatalogproducerV1beta1Version"},"GoogleCloudPrivatecatalogproducerV1beta1ListCatalogsResponse":{"type":"object","properties":{"catalogs":{"description":"The `Catalogs` returned from the list call.","type":"array","items":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"}},"nextPageToken":{"type":"string","description":"A pagination token returned from a previous call to ListCatalogs\nthat indicates where the listing should continue from.\nThis field is optional."}},"id":"GoogleCloudPrivatecatalogproducerV1beta1ListCatalogsResponse"},"GoogleRpcStatus":{"description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object","properties":{"details":{"type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"},"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use."},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"type":"string","description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client."}},"id":"GoogleRpcStatus"},"GoogleCloudPrivatecatalogproducerV1beta1CopyProductRequest":{"type":"object","properties":{"destinationProductName":{"type":"string","description":"The resource name of the destination product that is copied to."}},"id":"GoogleCloudPrivatecatalogproducerV1beta1CopyProductRequest"},"GoogleCloudPrivatecatalogproducerV1beta1CreateAssociationRequest":{"type":"object","properties":{"association":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Association","description":"The user-supplied `Association` that is going to be created.\n\nIf the `resource` field is set, the\n`privatecatalogproducer.catalogTargets.associate` permission is checked on\nthe target resource."}},"id":"GoogleCloudPrivatecatalogproducerV1beta1CreateAssociationRequest"},"GoogleLongrunningOperation":{"type":"object","properties":{"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"},"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"type":"string","description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`."},"error":{"description":"The error result of the operation in case of failure or cancellation.","$ref":"GoogleRpcStatus"},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object"}},"id":"GoogleLongrunningOperation","description":"This resource represents a long-running operation that is the result of a\nnetwork API call."},"GoogleIamV1AuditLogConfig":{"type":"object","properties":{"exemptedMembers":{"description":"Specifies the identities that do not cause logging for this type of\npermission.\nFollows the same format of Binding.members.","type":"array","items":{"type":"string"}},"logType":{"type":"string","enumDescriptions":["Default case. Should never be this.","Admin reads. Example: CloudIAM getIamPolicy","Data writes. Example: CloudSQL Users create","Data reads. Example: CloudSQL Users list"],"enum":["LOG_TYPE_UNSPECIFIED","ADMIN_READ","DATA_WRITE","DATA_READ"],"description":"The log type that this config enables."}},"id":"GoogleIamV1AuditLogConfig","description":"Provides the configuration for logging a type of permissions.\nExample:\n\n    {\n      \"audit_log_configs\": [\n        {\n          \"log_type\": \"DATA_READ\",\n          \"exempted_members\": [\n            \"user:foo@gmail.com\"\n          ]\n        },\n        {\n          \"log_type\": \"DATA_WRITE\",\n        }\n      ]\n    }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting\nfoo@gmail.com from DATA_READ logging."}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"Cloud PrivateCatalog Producer","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://cloudprivatecatalogproducer.googleapis.com/","ownerDomain":"google.com","name":"cloudprivatecatalogproducer","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Private Catalog Producer API","ownerName":"Google","resources":{"catalogs":{"methods":{"list":{"description":"Lists Catalog resources that the producer has access to, within the\nscope of the parent resource.","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1ListCatalogsResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"type":"string","location":"query","description":"A pagination token returned from a previous call to ListCatalogs\nthat indicates where this listing should continue from.\nThis field is optional."},"pageSize":{"type":"integer","location":"query","description":"The maximum number of catalogs to return.","format":"int32"},"parent":{"description":"The resource name of the parent resource.","type":"string","location":"query"}},"flatPath":"v1beta1/catalogs","path":"v1beta1/catalogs","id":"cloudprivatecatalogproducer.catalogs.list"},"setIamPolicy":{"request":{"$ref":"GoogleIamV1SetIamPolicyRequest"},"description":"Sets the IAM policy for the specified Catalog.","response":{"$ref":"GoogleIamV1Policy"},"parameterOrder":["resource"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^catalogs/[^/]+$","location":"path"}},"flatPath":"v1beta1/catalogs/{catalogsId}:setIamPolicy","path":"v1beta1/{+resource}:setIamPolicy","id":"cloudprivatecatalogproducer.catalogs.setIamPolicy"},"create":{"httpMethod":"POST","parameterOrder":[],"response":{"$ref":"GoogleLongrunningOperation"},"parameters":{},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs","id":"cloudprivatecatalogproducer.catalogs.create","path":"v1beta1/catalogs","description":"Creates a new Catalog resource.","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"}},"getIamPolicy":{"response":{"$ref":"GoogleIamV1Policy"},"parameterOrder":["resource"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"required":true,"type":"string","pattern":"^catalogs/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field."}},"flatPath":"v1beta1/catalogs/{catalogsId}:getIamPolicy","path":"v1beta1/{+resource}:getIamPolicy","id":"cloudprivatecatalogproducer.catalogs.getIamPolicy","description":"Gets IAM policy for the specified Catalog."},"patch":{"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"Output only. The resource name of the catalog, in the format\n`catalogs/{catalog_id}'.\n\nA unique identifier for the catalog, which is generated\nby catalog service.","required":true,"type":"string","pattern":"^catalogs/[^/]+$"},"updateMask":{"type":"string","location":"query","description":"Field mask that controls which fields of the catalog should be updated.","format":"google-fieldmask"}},"flatPath":"v1beta1/catalogs/{catalogsId}","path":"v1beta1/{+name}","id":"cloudprivatecatalogproducer.catalogs.patch","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"},"description":"Updates a specific Catalog resource.","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"},"parameterOrder":["name"],"httpMethod":"PATCH"},"get":{"response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^catalogs/[^/]+$","location":"path","description":"The resource name of the catalog."}},"flatPath":"v1beta1/catalogs/{catalogsId}","path":"v1beta1/{+name}","id":"cloudprivatecatalogproducer.catalogs.get","description":"Returns the requested Catalog resource."},"undelete":{"flatPath":"v1beta1/catalogs/{catalogsId}:undelete","path":"v1beta1/{+name}:undelete","id":"cloudprivatecatalogproducer.catalogs.undelete","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1UndeleteCatalogRequest"},"description":"Undeletes a deleted Catalog and all resources under it.","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The resource name of the catalog.","required":true,"type":"string","pattern":"^catalogs/[^/]+$","location":"path"}}},"testIamPermissions":{"path":"v1beta1/{+resource}:testIamPermissions","id":"cloudprivatecatalogproducer.catalogs.testIamPermissions","description":"Tests the IAM permissions for the specified Catalog.","request":{"$ref":"GoogleIamV1TestIamPermissionsRequest"},"response":{"$ref":"GoogleIamV1TestIamPermissionsResponse"},"parameterOrder":["resource"],"httpMethod":"POST","parameters":{"resource":{"location":"path","description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^catalogs/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}:testIamPermissions"},"delete":{"flatPath":"v1beta1/catalogs/{catalogsId}","id":"cloudprivatecatalogproducer.catalogs.delete","path":"v1beta1/{+name}","description":"Soft deletes an existing Catalog and all resources under it.\nThe catalog can only be deleted if there is no associations under it or\nDeleteCatalogRequest.force is true. The delete operation\ncan be recovered by the PrivateCatalogProducer.UndeleteCatalog\nmethod.","httpMethod":"DELETE","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Catalog"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^catalogs/[^/]+$","location":"path","description":"The resource name of the catalog.","required":true,"type":"string"},"force":{"type":"boolean","location":"query","description":"Forces deletion of the `Catalog` and its `Association` resources.\nIf the `Catalog` is still associated with other resources and\nforce is not set to true, then the operation fails."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]}},"resources":{"associations":{"methods":{"delete":{"description":"Deletes the given Association.","httpMethod":"DELETE","response":{"$ref":"GoogleProtobufEmpty"},"parameterOrder":["name"],"parameters":{"name":{"location":"path","description":"The resource name of the `Association` to delete.","required":true,"type":"string","pattern":"^catalogs/[^/]+/associations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/associations/{associationsId}","id":"cloudprivatecatalogproducer.catalogs.associations.delete","path":"v1beta1/{+name}"},"get":{"description":"Returns the requested Association resource.","httpMethod":"GET","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Association"},"parameterOrder":["name"],"parameters":{"name":{"required":true,"type":"string","pattern":"^catalogs/[^/]+/associations/[^/]+$","location":"path","description":"The resource name of the `Association` to retrieve."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/associations/{associationsId}","id":"cloudprivatecatalogproducer.catalogs.associations.get","path":"v1beta1/{+name}"},"list":{"parameters":{"parent":{"pattern":"^catalogs/[^/]+$","location":"path","description":"The resource name of the `Catalog` whose `Associations` are\nbeing retrieved. In the format `catalogs/<catalog>`.","required":true,"type":"string"},"pageToken":{"type":"string","location":"query","description":"A pagination token returned from the previous call to\n`ListAssociations`."},"pageSize":{"type":"integer","location":"query","description":"The maximum number of catalog associations to return.","format":"int32"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/associations","id":"cloudprivatecatalogproducer.catalogs.associations.list","path":"v1beta1/{+parent}/associations","description":"Lists all Association resources under a catalog.","httpMethod":"GET","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1ListAssociationsResponse"},"parameterOrder":["parent"]},"create":{"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"location":"path","description":"The `Catalog` resource's name.","required":true,"type":"string","pattern":"^catalogs/[^/]+$"}},"flatPath":"v1beta1/catalogs/{catalogsId}/associations","path":"v1beta1/{+parent}/associations","id":"cloudprivatecatalogproducer.catalogs.associations.create","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1CreateAssociationRequest"},"description":"Creates an Association instance under a given Catalog.","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Association"},"parameterOrder":["parent"],"httpMethod":"POST"}}},"products":{"methods":{"list":{"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"pattern":"^catalogs/[^/]+$","location":"path","description":"The resource name of the parent resource.","required":true,"type":"string"},"filter":{"type":"string","location":"query","description":"A filter expression used to restrict the returned results based\nupon properties of the product."},"pageToken":{"location":"query","description":"A pagination token returned from a previous call to ListProducts\nthat indicates where this listing should continue from.\nThis field is optional.","type":"string"},"pageSize":{"description":"The maximum number of products to return.","format":"int32","type":"integer","location":"query"}},"flatPath":"v1beta1/catalogs/{catalogsId}/products","id":"cloudprivatecatalogproducer.catalogs.products.list","path":"v1beta1/{+parent}/products","description":"Lists Product resources that the producer has access to, within the\nscope of the parent catalog.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1ListProductsResponse"}},"create":{"parameters":{"parent":{"location":"path","description":"The catalog name of the new product's parent.","required":true,"type":"string","pattern":"^catalogs/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/products","id":"cloudprivatecatalogproducer.catalogs.products.create","path":"v1beta1/{+parent}/products","description":"Creates a Product instance under a given Catalog.","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Product"},"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Product"}},"patch":{"httpMethod":"PATCH","parameterOrder":["name"],"response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Product"},"parameters":{"name":{"required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path","description":"Required. The resource name of the product in the format\n`catalogs/{catalog_id}/products/a-z*[a-z0-9]'.\n\nA unique identifier for the product under a catalog, which cannot\nbe changed after the product is created. The final\nsegment of the name must between 1 and 256 characters in length."},"updateMask":{"type":"string","location":"query","description":"Field mask that controls which fields of the product should be updated.","format":"google-fieldmask"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}","id":"cloudprivatecatalogproducer.catalogs.products.patch","path":"v1beta1/{+name}","description":"Updates a specific Product resource.","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Product"}},"copy":{"request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1CopyProductRequest"},"description":"Copies a Product under another Catalog.","httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"GoogleLongrunningOperation"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path","description":"The resource name of the current product that is copied from.","required":true,"type":"string"}},"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}:copy","id":"cloudprivatecatalogproducer.catalogs.products.copy","path":"v1beta1/{+name}:copy"},"get":{"response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Product"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path","description":"The resource name of the product."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}","path":"v1beta1/{+name}","id":"cloudprivatecatalogproducer.catalogs.products.get","description":"Returns the requested Product resource."},"delete":{"response":{"$ref":"GoogleProtobufEmpty"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path","description":"The resource name of the product."}},"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}","path":"v1beta1/{+name}","id":"cloudprivatecatalogproducer.catalogs.products.delete","description":"Hard deletes a Product."}},"resources":{"icons":{"methods":{"upload":{"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}/icons:upload","path":"v1beta1/{+product}/icons:upload","id":"cloudprivatecatalogproducer.catalogs.products.icons.upload","description":"Creates an Icon instance under a given Product.\nIf Product only has a default icon, a new Icon\ninstance is created and associated with the given Product.\nIf Product already has a non-default icon, the action creates\na new Icon instance, associates the newly created\nIcon with the given Product and deletes the old icon.","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1UploadIconRequest"},"response":{"$ref":"GoogleProtobufEmpty"},"parameterOrder":["product"],"httpMethod":"POST","parameters":{"product":{"description":"The resource name of the product.","required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]}}},"versions":{"methods":{"create":{"parameters":{"parent":{"required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path","description":"The product name of the new version's parent."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}/versions","path":"v1beta1/{+parent}/versions","id":"cloudprivatecatalogproducer.catalogs.products.versions.create","description":"Creates a Version instance under a given Product.","request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Version"},"response":{"$ref":"GoogleLongrunningOperation"},"parameterOrder":["parent"],"httpMethod":"POST"},"delete":{"description":"Hard deletes a Version.","httpMethod":"DELETE","parameterOrder":["name"],"response":{"$ref":"GoogleProtobufEmpty"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^catalogs/[^/]+/products/[^/]+/versions/[^/]+$","location":"path","description":"The resource name of the version.","required":true,"type":"string"}},"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}/versions/{versionsId}","id":"cloudprivatecatalogproducer.catalogs.products.versions.delete","path":"v1beta1/{+name}"},"list":{"description":"Lists Version resources that the producer has access to, within the\nscope of the parent Product.","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1ListVersionsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"location":"query","description":"A pagination token returned from a previous call to ListVersions\nthat indicates where this listing should continue from.\nThis field is optional.","type":"string"},"pageSize":{"type":"integer","location":"query","description":"The maximum number of versions to return.","format":"int32"},"parent":{"description":"The resource name of the parent resource.","required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+$","location":"path"}},"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}/versions","path":"v1beta1/{+parent}/versions","id":"cloudprivatecatalogproducer.catalogs.products.versions.list"},"get":{"response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Version"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^catalogs/[^/]+/products/[^/]+/versions/[^/]+$","location":"path","description":"The resource name of the version.","required":true,"type":"string"}},"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}/versions/{versionsId}","path":"v1beta1/{+name}","id":"cloudprivatecatalogproducer.catalogs.products.versions.get","description":"Returns the requested Version resource."},"patch":{"request":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Version"},"description":"Updates a specific Version resource.","response":{"$ref":"GoogleCloudPrivatecatalogproducerV1beta1Version"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"location":"query","description":"Field mask that controls which fields of the version should be updated.","format":"google-fieldmask","type":"string"},"name":{"required":true,"type":"string","pattern":"^catalogs/[^/]+/products/[^/]+/versions/[^/]+$","location":"path","description":"Required. The resource name of the version, in the format\n`catalogs/{catalog_id}/products/{product_id}/versions/a-z*[a-z0-9]'.\n\nA unique identifier for the version under a product, which can't\nbe changed after the version is created. The final segment of the name must\nbetween 1 and 63 characters in length."}},"flatPath":"v1beta1/catalogs/{catalogsId}/products/{productsId}/versions/{versionsId}","path":"v1beta1/{+name}","id":"cloudprivatecatalogproducer.catalogs.products.versions.patch"}}}}}}},"operations":{"methods":{"list":{"flatPath":"v1beta1/operations","id":"cloudprivatecatalogproducer.operations.list","path":"v1beta1/operations","description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.","httpMethod":"GET","response":{"$ref":"GoogleLongrunningListOperationsResponse"},"parameterOrder":[],"parameters":{"name":{"type":"string","location":"query","description":"The name of the operation's parent resource."},"pageToken":{"type":"string","location":"query","description":"The standard list page token."},"pageSize":{"description":"The standard list page size.","format":"int32","type":"integer","location":"query"},"filter":{"location":"query","description":"The standard list filter.","type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"get":{"flatPath":"v1beta1/operations/{operationsId}","id":"cloudprivatecatalogproducer.operations.get","path":"v1beta1/{+name}","description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.","httpMethod":"GET","response":{"$ref":"GoogleLongrunningOperation"},"parameterOrder":["name"],"parameters":{"name":{"required":true,"type":"string","pattern":"^operations/[^/]+$","location":"path","description":"The name of the operation resource."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"cancel":{"response":{"$ref":"GoogleProtobufEmpty"},"parameterOrder":["name"],"httpMethod":"POST","parameters":{"name":{"location":"path","description":"The name of the operation resource to be cancelled.","required":true,"type":"string","pattern":"^operations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/operations/{operationsId}:cancel","path":"v1beta1/{+name}:cancel","id":"cloudprivatecatalogproducer.operations.cancel","description":"Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.","request":{"$ref":"GoogleLongrunningCancelOperationRequest"}},"delete":{"id":"cloudprivatecatalogproducer.operations.delete","path":"v1beta1/{+name}","description":"Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.","httpMethod":"DELETE","parameterOrder":["name"],"response":{"$ref":"GoogleProtobufEmpty"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^operations/[^/]+$","location":"path","description":"The name of the operation resource to be deleted."}},"flatPath":"v1beta1/operations/{operationsId}"}}}},"parameters":{"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"type":"string","location":"query","description":"Selector specifying which fields to include in a partial response."},"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"]},"alt":{"enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string"},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"}},"version":"v1beta1","baseUrl":"https://cloudprivatecatalogproducer.googleapis.com/"};