export default {"resources":{"projects":{"resources":{"locations":{"methods":{"list":{"description":"Lists information about the supported locations for this service.","response":{"$ref":"ListLocationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"filter":{"description":"The standard list filter.","type":"string","location":"query"},"name":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The resource that owns the locations collection, if applicable."},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"}},"flatPath":"v1beta1/projects/{projectsId}/locations","path":"v1beta1/{+name}/locations","id":"cloudscheduler.projects.locations.list"},"get":{"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"Resource name for the location.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}","id":"cloudscheduler.projects.locations.get","path":"v1beta1/{+name}","description":"Gets information about a location.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"Location"}}},"resources":{"jobs":{"methods":{"delete":{"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}","path":"v1beta1/{+name}","id":"cloudscheduler.projects.locations.jobs.delete","description":"Deletes a job.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/jobs/[^/]+$","location":"path","description":"Required.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"list":{"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs","id":"cloudscheduler.projects.locations.jobs.list","path":"v1beta1/{+parent}/jobs","description":"Lists jobs.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListJobsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"description":"A token identifying a page of results the server will return. To\nrequest the first page results, page_token must be empty. To\nrequest the next page of results, page_token must be the value of\nnext_page_token returned from\nthe previous call to ListJobs. It is an error to\nswitch the value of filter or\norder_by while iterating through pages.","type":"string","location":"query"},"pageSize":{"location":"query","description":"Requested page size.\n\nThe maximum page size is 500. If unspecified, the page size will\nbe the maximum. Fewer jobs than requested might be returned,\neven if more jobs exist; use next_page_token to determine if more\njobs exist.","format":"int32","type":"integer"},"parent":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"Required.\n\nThe location name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID`.","required":true,"type":"string"}}},"create":{"path":"v1beta1/{+parent}/jobs","id":"cloudscheduler.projects.locations.jobs.create","request":{"$ref":"Job"},"description":"Creates a job.","response":{"$ref":"Job"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"Required.\n\nThe location name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID`.","required":true,"type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs"},"run":{"description":"Forces a job to run now.\n\nWhen this method is called, Cloud Scheduler will dispatch the job, even\nif the job is already running.","request":{"$ref":"RunJobRequest"},"httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"Job"},"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/jobs/[^/]+$","location":"path","description":"Required.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:run","id":"cloudscheduler.projects.locations.jobs.run","path":"v1beta1/{+name}:run"},"resume":{"response":{"$ref":"Job"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"Required.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/jobs/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:resume","path":"v1beta1/{+name}:resume","id":"cloudscheduler.projects.locations.jobs.resume","request":{"$ref":"ResumeJobRequest"},"description":"Resume a job.\n\nThis method reenables a job after it has been Job.State.PAUSED. The\nstate of a job is stored in Job.state; after calling this method it\nwill be set to Job.State.ENABLED. A job must be in\nJob.State.PAUSED to be resumed."},"get":{"httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"Job"},"parameters":{"name":{"description":"Required.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/jobs/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}","id":"cloudscheduler.projects.locations.jobs.get","path":"v1beta1/{+name}","description":"Gets a job."},"patch":{"response":{"$ref":"Job"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/jobs/[^/]+$","location":"path","description":"Optionally caller-specified in CreateJob, after\nwhich it becomes output only.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n\n* `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]),\n   hyphens (-), colons (:), or periods (.).\n   For more information, see\n   [Identifying\n   projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects)\n* `LOCATION_ID` is the canonical ID for the job's location.\n   The list of available locations can be obtained by calling\n   ListLocations.\n   For more information, see https://cloud.google.com/about/locations/.\n* `JOB_ID` can contain only letters ([A-Za-z]), numbers ([0-9]),\n   hyphens (-), or underscores (_). The maximum length is 500 characters."},"updateMask":{"description":"A  mask used to specify which fields of the job are being updated.","format":"google-fieldmask","type":"string","location":"query"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}","path":"v1beta1/{+name}","id":"cloudscheduler.projects.locations.jobs.patch","request":{"$ref":"Job"},"description":"Updates a job.\n\nIf successful, the updated Job is returned. If the job does\nnot exist, `NOT_FOUND` is returned.\n\nIf UpdateJob does not successfully return, it is possible for the\njob to be in an Job.State.UPDATE_FAILED state. A job in this state may\nnot be executed. If this happens, retry the UpdateJob request\nuntil a successful response is received."},"pause":{"path":"v1beta1/{+name}:pause","id":"cloudscheduler.projects.locations.jobs.pause","request":{"$ref":"PauseJobRequest"},"description":"Pauses a job.\n\nIf a job is paused then the system will stop executing the job\nuntil it is re-enabled via ResumeJob. The\nstate of the job is stored in state; if paused it\nwill be set to Job.State.PAUSED. A job must be in Job.State.ENABLED\nto be paused.","response":{"$ref":"Job"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"Required.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/jobs/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:pause"}}}}}}}},"parameters":{"key":{"type":"string","location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token."},"access_token":{"location":"query","description":"OAuth access token.","type":"string"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"callback":{"type":"string","location":"query","description":"JSONP"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"]},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]}},"version":"v1beta1","baseUrl":"https://cloudscheduler.googleapis.com/","kind":"discovery#restDescription","description":"Creates and manages jobs run on a regular recurring schedule.","servicePath":"","basePath":"","revision":"20190604","documentationLink":"https://cloud.google.com/scheduler/","id":"cloudscheduler:v1beta1","discoveryVersion":"v1","version_module":true,"schemas":{"Status":{"description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object","properties":{"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"}},"id":"Status"},"PubsubMessage":{"description":"A message that is published by publishers and consumed by subscribers. The\nmessage must contain either a non-empty data field or at least one attribute.\nNote that client libraries represent this object differently\ndepending on the language. See the corresponding\n<a href=\"https://cloud.google.com/pubsub/docs/reference/libraries\">client\nlibrary documentation</a> for more information. See\n<a href=\"https://cloud.google.com/pubsub/quotas\">Quotas and limits</a>\nfor more information about message limits.","type":"object","properties":{"data":{"description":"The message data field. If this field is empty, the message must contain\nat least one attribute.","format":"byte","type":"string"},"attributes":{"additionalProperties":{"type":"string"},"description":"Optional attributes for this message.","type":"object"},"messageId":{"description":"ID of this message, assigned by the server when the message is published.\nGuaranteed to be unique within the topic. This value may be read by a\nsubscriber that receives a `PubsubMessage` via a `Pull` call or a push\ndelivery. It must not be populated by the publisher in a `Publish` call.","type":"string"},"publishTime":{"description":"The time at which the message was published, populated by the server when\nit receives the `Publish` call. It must not be populated by the\npublisher in a `Publish` call.","format":"google-datetime","type":"string"}},"id":"PubsubMessage"},"AppEngineRouting":{"type":"object","properties":{"version":{"description":"App version.\n\nBy default, the job is sent to the version which is the default\nversion when the job is attempted.","type":"string"},"host":{"description":"Output only. The host that the job is sent to.\n\nFor more information about how App Engine requests are routed, see\n[here](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed).\n\nThe host is constructed as:\n\n\n* `host = [application_domain_name]`</br>\n  `| [service] + '.' + [application_domain_name]`</br>\n  `| [version] + '.' + [application_domain_name]`</br>\n  `| [version_dot_service]+ '.' + [application_domain_name]`</br>\n  `| [instance] + '.' + [application_domain_name]`</br>\n  `| [instance_dot_service] + '.' + [application_domain_name]`</br>\n  `| [instance_dot_version] + '.' + [application_domain_name]`</br>\n  `| [instance_dot_version_dot_service] + '.' + [application_domain_name]`\n\n* `application_domain_name` = The domain name of the app, for\n  example <app-id>.appspot.com, which is associated with the\n  job's project ID.\n\n* `service =` service\n\n* `version =` version\n\n* `version_dot_service =`\n  version `+ '.' +`\n  service\n\n* `instance =` instance\n\n* `instance_dot_service =`\n  instance `+ '.' +`\n  service\n\n* `instance_dot_version =`\n  instance `+ '.' +`\n  version\n\n* `instance_dot_version_dot_service =`\n  instance `+ '.' +`\n  version `+ '.' +`\n  service\n\n\nIf service is empty, then the job will be sent\nto the service which is the default service when the job is attempted.\n\nIf version is empty, then the job will be sent\nto the version which is the default version when the job is attempted.\n\nIf instance is empty, then the job will be\nsent to an instance which is available when the job is attempted.\n\nIf service,\nversion, or\ninstance is invalid, then the job will be sent\nto the default version of the default service when the job is attempted.","type":"string"},"service":{"description":"App service.\n\nBy default, the job is sent to the service which is the default\nservice when the job is attempted.","type":"string"},"instance":{"type":"string","description":"App instance.\n\nBy default, the job is sent to an instance which is available when\nthe job is attempted.\n\nRequests can only be sent to a specific instance if\n[manual scaling is used in App Engine\nStandard](https://cloud.google.com/appengine/docs/python/an-overview-of-app-engine?hl=en_US#scaling_types_and_instance_classes).\nApp Engine Flex does not support instances. For more information, see\n[App Engine Standard request\nrouting](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed)\nand [App Engine Flex request\nrouting](https://cloud.google.com/appengine/docs/flexible/python/how-requests-are-routed)."}},"id":"AppEngineRouting","description":"App Engine Routing.\n\nFor more information about services, versions, and instances see\n[An Overview of App\nEngine](https://cloud.google.com/appengine/docs/python/an-overview-of-app-engine),\n[Microservices Architecture on Google App\nEngine](https://cloud.google.com/appengine/docs/python/microservices-on-app-engine),\n[App Engine Standard request\nrouting](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed),\nand [App Engine Flex request\nrouting](https://cloud.google.com/appengine/docs/flexible/python/how-requests-are-routed)."},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"Empty"},"AppEngineHttpTarget":{"description":"App Engine target. The job will be pushed to a job handler by means\nof an HTTP request via an http_method such\nas HTTP POST, HTTP GET, etc. The job is acknowledged by means of an\nHTTP response code in the range [200 - 299]. Error 503 is\nconsidered an App Engine system error instead of an application\nerror. Requests returning error 503 will be retried regardless of\nretry configuration and not counted against retry counts. Any other\nresponse code, or a failure to receive a response before the\ndeadline, constitutes a failed attempt.","type":"object","properties":{"httpMethod":{"enumDescriptions":["HTTP method unspecified. Defaults to POST.","HTTP POST","HTTP GET","HTTP HEAD","HTTP PUT","HTTP DELETE","HTTP PATCH","HTTP OPTIONS"],"enum":["HTTP_METHOD_UNSPECIFIED","POST","GET","HEAD","PUT","DELETE","PATCH","OPTIONS"],"description":"The HTTP method to use for the request. PATCH and OPTIONS are not\npermitted.","type":"string"},"body":{"description":"Body.\n\nHTTP request body. A request body is allowed only if the HTTP method is\nPOST or PUT. It will result in invalid argument error to set a body on a\njob with an incompatible HttpMethod.","format":"byte","type":"string"},"relativeUri":{"description":"The relative URI.\n\nThe relative URL must begin with \"/\" and must be a valid HTTP relative URL.\nIt can contain a path, query string arguments, and `#` fragments.\nIf the relative URL is empty, then the root path \"/\" will be used.\nNo spaces are allowed, and the maximum length allowed is 2083 characters.","type":"string"},"headers":{"description":"HTTP request headers.\n\nThis map contains the header field names and values. Headers can be set\nwhen the job is created.\n\nCloud Scheduler sets some headers to default values:\n\n* `User-Agent`: By default, this header is\n  `\"AppEngine-Google; (+http://code.google.com/appengine)\"`.\n  This header can be modified, but Cloud Scheduler will append\n  `\"AppEngine-Google; (+http://code.google.com/appengine)\"` to the\n  modified `User-Agent`.\n* `X-CloudScheduler`: This header will be set to true.\n\nIf the job has an body, Cloud Scheduler sets\nthe following headers:\n\n* `Content-Type`: By default, the `Content-Type` header is set to\n  `\"application/octet-stream\"`. The default can be overridden by explictly\n  setting `Content-Type` to a particular media type when the job is\n  created.\n  For example, `Content-Type` can be set to `\"application/json\"`.\n* `Content-Length`: This is computed by Cloud Scheduler. This value is\n  output only. It cannot be changed.\n\nThe headers below are output only. They cannot be set or overridden:\n\n* `X-Google-*`: For Google internal use only.\n* `X-AppEngine-*`: For Google internal use only.\n\nIn addition, some App Engine headers, which contain\njob-specific information, are also be sent to the job handler.","type":"object","additionalProperties":{"type":"string"}},"appEngineRouting":{"$ref":"AppEngineRouting","description":"App Engine Routing setting for the job."}},"id":"AppEngineHttpTarget"},"ListJobsResponse":{"description":"Response message for listing jobs using ListJobs.","type":"object","properties":{"jobs":{"description":"The list of jobs.","type":"array","items":{"$ref":"Job"}},"nextPageToken":{"description":"A token to retrieve next page of results. Pass this value in the\npage_token field in the subsequent call to\nListJobs to retrieve the next page of results.\nIf this is empty it indicates that there are no more results\nthrough which to paginate.\n\nThe page token is valid for only 2 hours.","type":"string"}},"id":"ListJobsResponse"},"Location":{"description":"A resource that represents Google Cloud Platform location.","type":"object","properties":{"locationId":{"description":"The canonical id for this location. For example: `\"us-east1\"`.","type":"string"},"displayName":{"type":"string","description":"The friendly name for this location, typically a nearby city name.\nFor example, \"Tokyo\"."},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata. For example the available capacity at the given\nlocation.","type":"object"},"labels":{"additionalProperties":{"type":"string"},"description":"Cross-service attributes for the location. For example\n\n    {\"cloud.googleapis.com/region\": \"us-east1\"}","type":"object"},"name":{"description":"Resource name for the location, which may vary between implementations.\nFor example: `\"projects/example-project/locations/us-east1\"`","type":"string"}},"id":"Location"},"RetryConfig":{"description":"Settings that determine the retry behavior.\n\nBy default, if a job does not complete successfully (meaning that\nan acknowledgement is not received from the handler, then it will be retried\nwith exponential backoff according to the settings in RetryConfig.","type":"object","properties":{"maxRetryDuration":{"description":"The time limit for retrying a failed job, measured from time when an\nexecution was first attempted. If specified with\nretry_count, the job will be retried until both\nlimits are reached.\n\nThe default value for max_retry_duration is zero, which means retry\nduration is unlimited.","format":"google-duration","type":"string"},"retryCount":{"description":"The number of attempts that the system will make to run a job using the\nexponential backoff procedure described by\nmax_doublings.\n\nThe default value of retry_count is zero.\n\nIf retry_count is zero, a job attempt will *not* be retried if\nit fails. Instead the Cloud Scheduler system will wait for the\nnext scheduled execution time.\n\nIf retry_count is set to a non-zero number then Cloud Scheduler\nwill retry failed attempts, using exponential backoff,\nretry_count times, or until the next scheduled execution time,\nwhichever comes first.\n\nValues greater than 5 and negative values are not allowed.","format":"int32","type":"integer"},"maxDoublings":{"description":"The time between retries will double `max_doublings` times.\n\nA job's retry interval starts at\nmin_backoff_duration, then doubles\n`max_doublings` times, then increases linearly, and finally\nretries retries at intervals of\nmax_backoff_duration up to\nretry_count times.\n\nFor example, if min_backoff_duration is\n10s, max_backoff_duration is 300s, and\n`max_doublings` is 3, then the a job will first be retried in 10s. The\nretry interval will double three times, and then increase linearly by\n2^3 * 10s.  Finally, the job will retry at intervals of\nmax_backoff_duration until the job has\nbeen attempted retry_count times. Thus, the\nrequests will retry at 10s, 20s, 40s, 80s, 160s, 240s, 300s, 300s, ....\n\nThe default value of this field is 5.","format":"int32","type":"integer"},"minBackoffDuration":{"type":"string","description":"The minimum amount of time to wait before retrying a job after\nit fails.\n\nThe default value of this field is 5 seconds.","format":"google-duration"},"maxBackoffDuration":{"description":"The maximum amount of time to wait before retrying a job after\nit fails.\n\nThe default value of this field is 1 hour.","format":"google-duration","type":"string"}},"id":"RetryConfig"},"ResumeJobRequest":{"description":"Request message for ResumeJob.","type":"object","properties":{},"id":"ResumeJobRequest"},"OidcToken":{"description":"Contains information needed for generating an\n[OpenID Connect\ntoken](https://developers.google.com/identity/protocols/OpenIDConnect).\nThis type of authorization can be used for many scenarios, including\ncalling Cloud Run, or endpoints where you intend to validate the token\nyourself.","type":"object","properties":{"audience":{"description":"Audience to be used when generating OIDC token. If not specified, the URI\nspecified in target will be used.","type":"string"},"serviceAccountEmail":{"description":"[Service account email](https://cloud.google.com/iam/docs/service-accounts)\nto be used for generating OIDC token.\nThe service account must be within the same project as the job. The caller\nmust have iam.serviceAccounts.actAs permission for the service account.","type":"string"}},"id":"OidcToken"},"ListLocationsResponse":{"description":"The response message for Locations.ListLocations.","type":"object","properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"locations":{"description":"A list of locations that matches the specified filter in the request.","type":"array","items":{"$ref":"Location"}}},"id":"ListLocationsResponse"},"PubsubTarget":{"description":"Pub/Sub target. The job will be delivered by publishing a message to\nthe given Pub/Sub topic.","type":"object","properties":{"data":{"description":"The message payload for PubsubMessage.\n\nPubsub message must contain either non-empty data, or at least one\nattribute.","format":"byte","type":"string"},"attributes":{"description":"Attributes for PubsubMessage.\n\nPubsub message must contain either non-empty data, or at least one\nattribute.","type":"object","additionalProperties":{"type":"string"}},"topicName":{"description":"Required.\n\nThe name of the Cloud Pub/Sub topic to which messages will\nbe published when a job is delivered. The topic name must be in the\nsame format as required by PubSub's\n[PublishRequest.name](https://cloud.google.com/pubsub/docs/reference/rpc/google.pubsub.v1#publishrequest),\nfor example `projects/PROJECT_ID/topics/TOPIC_ID`.\n\nThe topic must be in the same project as the Cloud Scheduler job.","type":"string"}},"id":"PubsubTarget"},"Job":{"id":"Job","description":"Configuration for a job.\nThe maximum allowed size for a job is 100KB.","type":"object","properties":{"lastAttemptTime":{"description":"Output only. The time the last job attempt started.","format":"google-datetime","type":"string"},"scheduleTime":{"description":"Output only. The next time the job is scheduled. Note that this may be a\nretry of a previously failed attempt or the next execution time\naccording to the schedule.","format":"google-datetime","type":"string"},"schedule":{"description":"Required, except when used with UpdateJob.\n\nDescribes the schedule on which the job will be executed.\n\nThe schedule can be either of the following types:\n\n* [Crontab](http://en.wikipedia.org/wiki/Cron#Overview)\n* English-like\n[schedule](https://cloud.google.com/scheduler/docs/configuring/cron-job-schedules)\n\nAs a general rule, execution `n + 1` of a job will not begin\nuntil execution `n` has finished. Cloud Scheduler will never\nallow two simultaneously outstanding executions. For example,\nthis implies that if the `n+1`th execution is scheduled to run at\n16:00 but the `n`th execution takes until 16:15, the `n+1`th\nexecution will not start until `16:15`.\nA scheduled start time will be delayed if the previous\nexecution has not ended when its scheduled time occurs.\n\nIf retry_count > 0 and a job attempt fails,\nthe job will be tried a total of retry_count\ntimes, with exponential backoff, until the next scheduled start\ntime.","type":"string"},"userUpdateTime":{"description":"Output only. The creation time of the job.","format":"google-datetime","type":"string"},"attemptDeadline":{"description":"The deadline for job attempts. If the request handler does not respond by\nthis deadline then the request is cancelled and the attempt is marked as a\n`DEADLINE_EXCEEDED` failure. The failed attempt can be viewed in\nexecution logs. Cloud Scheduler will retry the job according\nto the RetryConfig.\n\nThe allowed duration for this deadline is:\n\n* For HTTP targets, between 15 seconds and 30 minutes.\n* For App Engine HTTP targets, between 15\n  seconds and 24 hours.\n* For PubSub targets, this field is ignored.","format":"google-duration","type":"string"},"httpTarget":{"description":"HTTP target.","$ref":"HttpTarget"},"pubsubTarget":{"description":"Pub/Sub target.","$ref":"PubsubTarget"},"timeZone":{"description":"Specifies the time zone to be used in interpreting\nschedule. The value of this field must be a time\nzone name from the [tz database](http://en.wikipedia.org/wiki/Tz_database).\n\nNote that some time zones include a provision for\ndaylight savings time. The rules for daylight saving time are\ndetermined by the chosen tz. For UTC use the string \"utc\". If a\ntime zone is not specified, the default will be in UTC (also known\nas GMT).","type":"string"},"description":{"description":"Optionally caller-specified in CreateJob or\nUpdateJob.\n\nA human-readable description for the job. This string must not contain\nmore than 500 characters.","type":"string"},"appEngineHttpTarget":{"$ref":"AppEngineHttpTarget","description":"App Engine HTTP target."},"status":{"description":"Output only. The response from the target for the last attempted execution.","$ref":"Status"},"state":{"description":"Output only. State of the job.","type":"string","enumDescriptions":["Unspecified state.","The job is executing normally.","The job is paused by the user. It will not execute. A user can\nintentionally pause the job using\nPauseJobRequest.","The job is disabled by the system due to error. The user\ncannot directly set a job to be disabled.","The job state resulting from a failed CloudScheduler.UpdateJob\noperation. To recover a job from this state, retry\nCloudScheduler.UpdateJob until a successful response is received."],"enum":["STATE_UNSPECIFIED","ENABLED","PAUSED","DISABLED","UPDATE_FAILED"]},"retryConfig":{"description":"Settings that determine the retry behavior.","$ref":"RetryConfig"},"name":{"description":"Optionally caller-specified in CreateJob, after\nwhich it becomes output only.\n\nThe job name. For example:\n`projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n\n* `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]),\n   hyphens (-), colons (:), or periods (.).\n   For more information, see\n   [Identifying\n   projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects)\n* `LOCATION_ID` is the canonical ID for the job's location.\n   The list of available locations can be obtained by calling\n   ListLocations.\n   For more information, see https://cloud.google.com/about/locations/.\n* `JOB_ID` can contain only letters ([A-Za-z]), numbers ([0-9]),\n   hyphens (-), or underscores (_). The maximum length is 500 characters.","type":"string"}}},"RunJobRequest":{"id":"RunJobRequest","description":"Request message for forcing a job to run now using\nRunJob.","type":"object","properties":{}},"PauseJobRequest":{"description":"Request message for PauseJob.","type":"object","properties":{},"id":"PauseJobRequest"},"HttpTarget":{"description":"Http target. The job will be pushed to the job handler by means of\nan HTTP request via an http_method such as HTTP\nPOST, HTTP GET, etc. The job is acknowledged by means of an HTTP\nresponse code in the range [200 - 299]. A failure to receive a response\nconstitutes a failed execution. For a redirected request, the response\nreturned by the redirected request is considered.","type":"object","properties":{"oidcToken":{"description":"If specified, an\n[OIDC](https://developers.google.com/identity/protocols/OpenIDConnect)\ntoken will be generated and attached as an `Authorization` header in the\nHTTP request.\n\nThis type of authorization can be used for many scenarios, including\ncalling Cloud Run, or endpoints where you intend to validate the token\nyourself.","$ref":"OidcToken"},"httpMethod":{"enum":["HTTP_METHOD_UNSPECIFIED","POST","GET","HEAD","PUT","DELETE","PATCH","OPTIONS"],"description":"Which HTTP method to use for the request.","type":"string","enumDescriptions":["HTTP method unspecified. Defaults to POST.","HTTP POST","HTTP GET","HTTP HEAD","HTTP PUT","HTTP DELETE","HTTP PATCH","HTTP OPTIONS"]},"body":{"description":"HTTP request body. A request body is allowed only if the HTTP\nmethod is POST, PUT, or PATCH. It is an error to set body on a job with an\nincompatible HttpMethod.","format":"byte","type":"string"},"oauthToken":{"$ref":"OAuthToken","description":"If specified, an\n[OAuth token](https://developers.google.com/identity/protocols/OAuth2)\nwill be generated and attached as an `Authorization` header in the HTTP\nrequest.\n\nThis type of authorization should generally only be used when calling\nGoogle APIs hosted on *.googleapis.com."},"uri":{"description":"Required.\n\nThe full URI path that the request will be sent to. This string\nmust begin with either \"http://\" or \"https://\". Some examples of\nvalid values for uri are:\n`http://acme.com` and `https://acme.com/sales:8080`. Cloud Scheduler will\nencode some characters for safety and compatibility. The maximum allowed\nURL length is 2083 characters after encoding.","type":"string"},"headers":{"description":"The user can specify HTTP request headers to send with the job's\nHTTP request. This map contains the header field names and\nvalues. Repeated headers are not supported, but a header value can\ncontain commas. These headers represent a subset of the headers\nthat will accompany the job's HTTP request. Some HTTP request\nheaders will be ignored or replaced. A partial list of headers that\nwill be ignored or replaced is below:\n- Host: This will be computed by Cloud Scheduler and derived from\nuri.\n* `Content-Length`: This will be computed by Cloud Scheduler.\n* `User-Agent`: This will be set to `\"Google-Cloud-Scheduler\"`.\n* `X-Google-*`: Google internal use only.\n* `X-AppEngine-*`: Google internal use only.\n\nThe total size of headers must be less than 80KB.","type":"object","additionalProperties":{"type":"string"}}},"id":"HttpTarget"},"OAuthToken":{"description":"Contains information needed for generating an\n[OAuth token](https://developers.google.com/identity/protocols/OAuth2).\nThis type of authorization should generally only be used when calling Google\nAPIs hosted on *.googleapis.com.","type":"object","properties":{"scope":{"description":"OAuth scope to be used for generating OAuth access token.\nIf not specified, \"https://www.googleapis.com/auth/cloud-platform\"\nwill be used.","type":"string"},"serviceAccountEmail":{"description":"[Service account email](https://cloud.google.com/iam/docs/service-accounts)\nto be used for generating OAuth token.\nThe service account must be within the same project as the job. The caller\nmust have iam.serviceAccounts.actAs permission for the service account.","type":"string"}},"id":"OAuthToken"}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"Cloud Scheduler","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://cloudscheduler.googleapis.com/","ownerDomain":"google.com","name":"cloudscheduler","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Scheduler API","ownerName":"Google"};