export default {"ownerName":"Google","resources":{"projects":{"resources":{"locations":{"resources":{"imageVersions":{"methods":{"list":{"path":"v1beta1/{+parent}/imageVersions","id":"composer.projects.locations.imageVersions.list","description":"List ImageVersions for provided location.","response":{"$ref":"ListImageVersionsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageSize":{"description":"The maximum number of image_versions to return.","format":"int32","type":"integer","location":"query"},"parent":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"List ImageVersions in the given project and location, in the form:\n\"projects/{projectId}/locations/{locationId}\"","required":true,"type":"string"},"pageToken":{"location":"query","description":"The next_page_token value returned from a previous List request, if any.","type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/imageVersions"}}},"environments":{"methods":{"delete":{"description":"Delete an environment.","response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"The environment to delete, in the form:\n\"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/environments/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}","path":"v1beta1/{+name}","id":"composer.projects.locations.environments.delete"},"get":{"path":"v1beta1/{+name}","id":"composer.projects.locations.environments.get","description":"Get an existing environment.","response":{"$ref":"Environment"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/environments/[^/]+$","location":"path","description":"The resource name of the environment to get, in the form:\n\"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}"},"list":{"description":"List environments.","response":{"$ref":"ListEnvironmentsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"location":"path","description":"List environments in the given project and location, in the form:\n\"projects/{projectId}/locations/{locationId}\"","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$"},"pageToken":{"description":"The next_page_token value returned from a previous List request, if any.","type":"string","location":"query"},"pageSize":{"location":"query","description":"The maximum number of environments to return.","format":"int32","type":"integer"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/environments","path":"v1beta1/{+parent}/environments","id":"composer.projects.locations.environments.list"},"patch":{"path":"v1beta1/{+name}","id":"composer.projects.locations.environments.patch","request":{"$ref":"Environment"},"description":"Update an environment.","response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"location":"query","description":"Required. A comma-separated list of paths, relative to `Environment`, of\nfields to update.\nFor example, to set the version of scikit-learn to install in the\nenvironment to 0.19.0 and to remove an existing installation of\nargparse, the `updateMask` parameter would include the following two\n`paths` values: \"config.softwareConfig.pypiPackages.scikit-learn\" and\n\"config.softwareConfig.pypiPackages.argparse\". The included patch\nenvironment would specify the scikit-learn version as follows:\n\n    {\n      \"config\":{\n        \"softwareConfig\":{\n          \"pypiPackages\":{\n            \"scikit-learn\":\"==0.19.0\"\n          }\n        }\n      }\n    }\n\nNote that in the above example, any existing PyPI packages\nother than scikit-learn and argparse will be unaffected.\n\nOnly one update type may be included in a single request's `updateMask`.\nFor example, one cannot update both the PyPI packages and\nlabels in the same request. However, it is possible to update multiple\nmembers of a map field simultaneously in the same request. For example,\nto set the labels \"label1\" and \"label2\" while clearing \"label3\" (assuming\nit already exists), one can\nprovide the paths \"labels.label1\", \"labels.label2\", and \"labels.label3\"\nand populate the patch environment as follows:\n\n    {\n      \"labels\":{\n        \"label1\":\"new-label1-value\"\n        \"label2\":\"new-label2-value\"\n      }\n    }\n\nNote that in the above example, any existing labels that are not\nincluded in the `updateMask` will be unaffected.\n\nIt is also possible to replace an entire map field by providing the\nmap field's path in the `updateMask`. The new value of the field will\nbe that which is provided in the patch environment. For example, to\ndelete all pre-existing user-specified PyPI packages and\ninstall botocore at version 1.7.14, the `updateMask` would contain\nthe path \"config.softwareConfig.pypiPackages\", and\nthe patch environment would be the following:\n\n    {\n      \"config\":{\n        \"softwareConfig\":{\n          \"pypiPackages\":{\n            \"botocore\":\"==1.7.14\"\n          }\n        }\n      }\n    }\n\n<strong>Note:</strong> Only the following fields can be updated:\n\n <table>\n <tbody>\n <tr>\n <td><strong>Mask</strong></td>\n <td><strong>Purpose</strong></td>\n </tr>\n <tr>\n <td>config.softwareConfig.pypiPackages\n </td>\n <td>Replace all custom custom PyPI packages. If a replacement\n package map is not included in `environment`, all custom\n PyPI packages are cleared. It is an error to provide both this mask and a\n mask specifying an individual package.</td>\n </tr>\n <tr>\n <td>config.softwareConfig.pypiPackages.<var>packagename</var></td>\n <td>Update the custom PyPI package <var>packagename</var>,\n preserving other packages. To delete the package, include it in\n `updateMask`, and omit the mapping for it in\n `environment.config.softwareConfig.pypiPackages`. It is an error\n to provide both a mask of this form and the\n \"config.softwareConfig.pypiPackages\" mask.</td>\n </tr>\n <tr>\n <td>labels</td>\n <td>Replace all environment labels. If a replacement labels map is not\n included in `environment`, all labels are cleared. It is an error to\n provide both this mask and a mask specifying one or more individual\n labels.</td>\n </tr>\n <tr>\n <td>labels.<var>labelName</var></td>\n <td>Set the label named <var>labelName</var>, while preserving other\n labels. To delete the label, include it in `updateMask` and omit its\n mapping in `environment.labels`. It is an error to provide both a\n mask of this form and the \"labels\" mask.</td>\n </tr>\n <tr>\n <td>config.nodeCount</td>\n <td>Horizontally scale the number of nodes in the environment. An integer\n greater than or equal to 3 must be provided in the `config.nodeCount`\n field.\n </td>\n </tr>\n <tr>\n <td>config.softwareConfig.airflowConfigOverrides</td>\n <td>Replace all Apache Airflow config overrides. If a replacement config\n overrides map is not included in `environment`, all config overrides\n are cleared.\n It is an error to provide both this mask and a mask specifying one or\n more individual config overrides.</td>\n </tr>\n <tr>\n <td>config.softwareConfig.airflowConfigOverrides.<var>section</var>-<var>name\n </var></td>\n <td>Override the Apache Airflow config property <var>name</var> in the\n section named <var>section</var>, preserving other properties. To delete\n the property override, include it in `updateMask` and omit its mapping\n in `environment.config.softwareConfig.airflowConfigOverrides`.\n It is an error to provide both a mask of this form and the\n \"config.softwareConfig.airflowConfigOverrides\" mask.</td>\n </tr>\n <tr>\n <td>config.softwareConfig.envVariables</td>\n <td>Replace all environment variables. If a replacement environment\n variable map is not included in `environment`, all custom environment\n variables  are cleared.\n It is an error to provide both this mask and a mask specifying one or\n more individual environment variables.</td>\n </tr>\n <tr>\n <td>config.softwareConfig.imageVersion</td>\n <td>Upgrade the version of the environment in-place. Refer to\n `SoftwareConfig.image_version` for information on how to format the new\n image version. Additionally, the new image version cannot effect a version\n downgrade and must match the current image version's Composer major\n version and Airflow major and minor versions. Consult the\n <a href=\"/composer/docs/concepts/versioning/composer-versions\">Cloud\n Composer Version List</a> for valid values.</td>\n </tr>\n </tbody>\n </table>","format":"google-fieldmask","type":"string"},"name":{"location":"path","description":"The relative resource name of the environment to update, in the form:\n\"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/environments/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}"},"create":{"request":{"$ref":"Environment"},"description":"Create a new environment.","response":{"$ref":"Operation"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"location":"path","description":"The parent must be of the form\n\"projects/{projectId}/locations/{locationId}\".","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/environments","path":"v1beta1/{+parent}/environments","id":"composer.projects.locations.environments.create"}}},"operations":{"methods":{"delete":{"description":"Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource to be deleted.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}","path":"v1beta1/{+name}","id":"composer.projects.locations.operations.delete"},"list":{"description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.","response":{"$ref":"ListOperationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"filter":{"description":"The standard list filter.","type":"string","location":"query"},"name":{"description":"The name of the operation's parent resource.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"description":"The standard list page size.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations","path":"v1beta1/{+name}/operations","id":"composer.projects.locations.operations.list"},"get":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the operation resource.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}","path":"v1beta1/{+name}","id":"composer.projects.locations.operations.get","description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice."}}}}}}}},"parameters":{"access_token":{"location":"query","description":"OAuth access token.","type":"string"},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"prettyPrint":{"description":"Returns response with indentations and line breaks.","type":"boolean","default":"true","location":"query"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"callback":{"description":"JSONP","type":"string","location":"query"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string"}},"version":"v1beta1","baseUrl":"https://composer.googleapis.com/","kind":"discovery#restDescription","description":"Manages Apache Airflow environments on Google Cloud Platform.","servicePath":"","basePath":"","id":"composer:v1beta1","documentationLink":"https://cloud.google.com/composer/","revision":"20190613","discoveryVersion":"v1","version_module":true,"schemas":{"ImageVersion":{"description":"Image Version information","type":"object","properties":{"supportedPythonVersions":{"description":"supported python versions","type":"array","items":{"type":"string"}},"isDefault":{"description":"Whether this is the default ImageVersion used by Composer during\nenvironment creation if no input ImageVersion is specified.","type":"boolean"},"imageVersionId":{"description":"The string identifier of the ImageVersion, in the form:\n\"composer-x.y.z-airflow-a.b(.c)\"","type":"string"}},"id":"ImageVersion"},"Operation":{"description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object","properties":{"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"},"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.","type":"string"},"error":{"description":"The error result of the operation in case of failure or cancellation.","$ref":"Status"},"metadata":{"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"id":"Operation"},"Environment":{"description":"An environment for running orchestration tasks.","type":"object","properties":{"uuid":{"description":"Output only.\nThe UUID (Universally Unique IDentifier) associated with this environment.\nThis value is generated when the environment is created.","type":"string"},"labels":{"description":"Optional. User-defined labels for this environment.\nThe labels map can contain no more than 64 entries. Entries of the labels\nmap are UTF8 strings that comply with the following restrictions:\n\n* Keys must conform to regexp: \\p{Ll}\\p{Lo}{0,62}\n* Values must conform to regexp:  [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}\n* Both keys and values are additionally constrained to be <= 128 bytes in\nsize.","type":"object","additionalProperties":{"type":"string"}},"createTime":{"description":"Output only.\nThe time at which this environment was created.","format":"google-datetime","type":"string"},"updateTime":{"description":"Output only.\nThe time at which this environment was last modified.","format":"google-datetime","type":"string"},"config":{"$ref":"EnvironmentConfig","description":"Configuration parameters for this environment."},"state":{"enumDescriptions":["The state of the environment is unknown.","The environment is in the process of being created.","The environment is currently running and healthy. It is ready for use.","The environment is being updated. It remains usable but cannot receive\nadditional update requests or be deleted at this time.","The environment is undergoing deletion. It cannot be used.","The environment has encountered an error and cannot be used."],"enum":["STATE_UNSPECIFIED","CREATING","RUNNING","UPDATING","DELETING","ERROR"],"description":"The current state of the environment.","type":"string"},"name":{"description":"The resource name of the environment, in the form:\n\"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"","type":"string"}},"id":"Environment"},"ListImageVersionsResponse":{"description":"The ImageVersions in a project and location.","type":"object","properties":{"imageVersions":{"description":"The list of supported ImageVersions in a location.","type":"array","items":{"$ref":"ImageVersion"}},"nextPageToken":{"description":"The page token used to query for the next page if one exists.","type":"string"}},"id":"ListImageVersionsResponse"},"IPAllocationPolicy":{"description":"Configuration for controlling how IPs are allocated in the\nGKE cluster.","type":"object","properties":{"clusterSecondaryRangeName":{"description":"Optional. The name of the cluster's secondary range used to allocate\nIP addresses to pods. Specify either `cluster_secondary_range_name`\nor `cluster_ipv4_cidr_block` but not both.\n\nThis field is applicable only when `use_ip_aliases` is true.","type":"string"},"clusterIpv4CidrBlock":{"description":"Optional. The IP address range used to allocate IP addresses to pods in\nthe cluster.\n\nThis field is applicable only when `use_ip_aliases` is true.\n\nSet to blank to have GKE choose a range with the default size.\n\nSet to /netmask (e.g. `/14`) to have GKE choose a range with a specific\nnetmask.\n\nSet to a\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g.\n`10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range\nto use.\nSpecify `cluster_secondary_range_name` or `cluster_ipv4_cidr_block`\nbut not both.","type":"string"},"servicesIpv4CidrBlock":{"description":"Optional. The IP address range of the services IP addresses in this\ncluster.\n\nThis field is applicable only when `use_ip_aliases` is true.\n\nSet to blank to have GKE choose a range with the default size.\n\nSet to /netmask (e.g. `/14`) to have GKE choose a range with a specific\nnetmask.\n\nSet to a\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g.\n`10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range\nto use.\nSpecify `services_secondary_range_name` or `services_ipv4_cidr_block`\nbut not both.","type":"string"},"useIpAliases":{"description":"Optional. Whether or not to enable Alias IPs in the GKE cluster.\nIf `true`, a VPC-native cluster is created.","type":"boolean"},"servicesSecondaryRangeName":{"description":"Optional. The name of the services' secondary range used to allocate\nIP addresses to the cluster. Specify either `services_secondary_range_name`\nor `services_ipv4_cidr_block` but not both.\n\nThis field is applicable only when `use_ip_aliases` is true.","type":"string"}},"id":"IPAllocationPolicy"},"PrivateEnvironmentConfig":{"description":"The configuration information for configuring a Private IP Cloud Composer\nenvironment.","type":"object","properties":{"enablePrivateEnvironment":{"description":"Optional. If `true`, a Private IP Cloud Composer environment is created.\nIf this field is true, `use_ip_aliases` must be true.","type":"boolean"},"privateClusterConfig":{"description":"Optional. Configuration for the private GKE cluster for a Private IP\nCloud Composer environment.","$ref":"PrivateClusterConfig"}},"id":"PrivateEnvironmentConfig"},"Status":{"description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object","properties":{"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"}},"id":"Status"},"EnvironmentConfig":{"description":"Configuration information for an environment.","type":"object","properties":{"airflowUri":{"description":"Output only.\nThe URI of the Apache Airflow Web UI hosted within this environment (see\n[Airflow web\ninterface](/composer/docs/how-to/accessing/airflow-web-interface)).","type":"string"},"softwareConfig":{"description":"The configuration settings for software inside the environment.","$ref":"SoftwareConfig"},"nodeConfig":{"$ref":"NodeConfig","description":"The configuration used for the Kubernetes Engine cluster."},"nodeCount":{"description":"The number of nodes in the Kubernetes Engine cluster that will be\nused to run this environment.","format":"int32","type":"integer"},"dagGcsPrefix":{"description":"Output only.\nThe Cloud Storage prefix of the DAGs for this environment. Although Cloud\nStorage objects reside in a flat namespace, a hierarchical file tree\ncan be simulated using \"/\"-delimited object name prefixes. DAG objects for\nthis environment reside in a simulated directory with the given prefix.","type":"string"},"gkeCluster":{"description":"Output only.\nThe Kubernetes Engine cluster used to run this environment.","type":"string"},"privateEnvironmentConfig":{"$ref":"PrivateEnvironmentConfig","description":"The configuration used for the Private IP Cloud Composer environment."}},"id":"EnvironmentConfig"},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"Empty"},"ListEnvironmentsResponse":{"description":"The environments in a project and location.","type":"object","properties":{"nextPageToken":{"description":"The page token used to query for the next page if one exists.","type":"string"},"environments":{"description":"The list of environments returned by a ListEnvironmentsRequest.","type":"array","items":{"$ref":"Environment"}}},"id":"ListEnvironmentsResponse"},"ListOperationsResponse":{"description":"The response message for Operations.ListOperations.","type":"object","properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"operations":{"description":"A list of operations that matches the specified filter in the request.","type":"array","items":{"$ref":"Operation"}}},"id":"ListOperationsResponse"},"OperationMetadata":{"description":"Metadata describing an operation.","type":"object","properties":{"resourceUuid":{"description":"Output only.\nThe UUID of the resource being operated on.","type":"string"},"endTime":{"description":"Output only.\nThe time when the operation terminated, regardless of its success.\nThis field is unset if the operation is still ongoing.","format":"google-datetime","type":"string"},"operationType":{"enumDescriptions":["Unused.","A resource creation operation.","A resource deletion operation.","A resource update operation."],"enum":["TYPE_UNSPECIFIED","CREATE","DELETE","UPDATE"],"description":"Output only.\nThe type of operation being performed.","type":"string"},"createTime":{"description":"Output only.\nThe time the operation was submitted to the server.","format":"google-datetime","type":"string"},"resource":{"description":"Output only.\nThe resource being operated on, as a [relative resource name](\n/apis/design/resource_names#relative_resource_name).","type":"string"},"state":{"description":"Output only.\nThe current operation state.","type":"string","enumDescriptions":["Unused.","The operation has been created but is not yet started.","The operation is underway.","The operation completed successfully.","The operation is no longer running but did not succeed."],"enum":["STATE_UNSPECIFIED","PENDING","RUNNING","SUCCESSFUL","FAILED"]}},"id":"OperationMetadata"},"SoftwareConfig":{"description":"Specifies the selection and configuration of software inside the environment.","type":"object","properties":{"pypiPackages":{"additionalProperties":{"type":"string"},"description":"Optional. Custom Python Package Index (PyPI) packages to be installed in\nthe environment.\n\nKeys refer to the lowercase package name such as \"numpy\"\nand values are the lowercase extras and version specifier such as\n\"==1.12.0\", \"[devel,gcp_api]\", or \"[devel]>=1.8.2, <1.9.2\". To specify a\npackage without pinning it to a version specifier, use the empty string as\nthe value.","type":"object"},"imageVersion":{"description":"The version of the software running in the environment.\nThis encapsulates both the version of Cloud Composer functionality and the\nversion of Apache Airflow. It must match the regular expression\n`composer-([0-9]+\\.[0-9]+\\.[0-9]+|latest)-airflow-[0-9]+\\.[0-9]+(\\.[0-9]+.*)?`.\nWhen used as input, the server also checks if the provided version is\nsupported and denies the request for an unsupported version.\n\nThe Cloud Composer portion of the version is a\n[semantic version](https://semver.org) or `latest`. When the patch version\nis omitted, the current Cloud Composer patch version is selected.\nWhen `latest` is provided instead of an explicit version number,\nthe server replaces `latest` with the current Cloud Composer version\nand stores that version number in the same field.\n\nThe portion of the image version that follows <em>airflow-</em> is an\nofficial Apache Airflow repository\n[release name](https://github.com/apache/incubator-airflow/releases).\n\nSee also [Version\nList](/composer/docs/concepts/versioning/composer-versions).","type":"string"},"airflowConfigOverrides":{"additionalProperties":{"type":"string"},"description":"Optional. Apache Airflow configuration properties to override.\n\nProperty keys contain the section and property names, separated by a\nhyphen, for example \"core-dags_are_paused_at_creation\". Section names must\nnot contain hyphens (\"-\"), opening square brackets (\"[\"),  or closing\nsquare brackets (\"]\"). The property name must not be empty and must not\ncontain an equals sign (\"=\") or semicolon (\";\"). Section and property names\nmust not contain a period (\".\"). Apache Airflow configuration property\nnames must be written in\n[snake_case](https://en.wikipedia.org/wiki/Snake_case). Property values can\ncontain any character, and can be written in any lower/upper case format.\n\nCertain Apache Airflow configuration property values are\n[blacklisted](/composer/docs/how-to/managing/setting-airflow-configurations#airflow_configuration_blacklists),\nand cannot be overridden.","type":"object"},"envVariables":{"description":"Optional. Additional environment variables to provide to the Apache Airflow\nscheduler, worker, and webserver processes.\n\nEnvironment variable names must match the regular expression\n`a-zA-Z_*`. They cannot specify Apache Airflow\nsoftware configuration overrides (they cannot match the regular expression\n`AIRFLOW__[A-Z0-9_]+__[A-Z0-9_]+`), and they cannot match any of the\nfollowing reserved names:\n\n* `AIRFLOW_HOME`\n* `C_FORCE_ROOT`\n* `CONTAINER_NAME`\n* `DAGS_FOLDER`\n* `GCP_PROJECT`\n* `GCS_BUCKET`\n* `GKE_CLUSTER_NAME`\n* `SQL_DATABASE`\n* `SQL_INSTANCE`\n* `SQL_PASSWORD`\n* `SQL_PROJECT`\n* `SQL_REGION`\n* `SQL_USER`","type":"object","additionalProperties":{"type":"string"}},"pythonVersion":{"description":"Optional. The major version of Python used to run the Apache Airflow\nscheduler, worker, and webserver processes.\n\nCan be set to '2' or '3'. If not specified, the default is '2'. Cannot be\nupdated.","type":"string"}},"id":"SoftwareConfig"},"NodeConfig":{"properties":{"subnetwork":{"description":"Optional. The Compute Engine subnetwork to be used for machine\ncommunications, specified as a\n[relative resource\nname](/apis/design/resource_names#relative_resource_name). For example:\n\"projects/{projectId}/regions/{regionId}/subnetworks/{subnetworkId}\"\n\nIf a subnetwork is provided, `nodeConfig.network` must also be provided,\nand the subnetwork must belong to the enclosing environment's project and\nlocation.","type":"string"},"ipAllocationPolicy":{"description":"Optional. The IPAllocationPolicy fields for the GKE cluster.","$ref":"IPAllocationPolicy"},"diskSizeGb":{"description":"Optional. The disk size in GB used for node VMs. Minimum size is 20GB.\nIf unspecified, defaults to 100GB. Cannot be updated.","format":"int32","type":"integer"},"tags":{"description":"Optional. The list of instance tags applied to all node VMs. Tags are used\nto identify valid sources or targets for network firewalls. Each tag within\nthe list must comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt).\nCannot be updated.","type":"array","items":{"type":"string"}},"serviceAccount":{"description":"Optional. The Google Cloud Platform Service Account to be used by the node\nVMs. If a service account is not specified, the \"default\" Compute Engine\nservice account is used. Cannot be updated.","type":"string"},"location":{"description":"Optional. The Compute Engine [zone](/compute/docs/regions-zones) in which\nto deploy the VMs used to run the Apache Airflow software, specified as a\n[relative resource\nname](/apis/design/resource_names#relative_resource_name). For example:\n\"projects/{projectId}/zones/{zoneId}\".\n\nThis `location` must belong to the enclosing environment's project and\nlocation. If both this field and `nodeConfig.machineType` are specified,\n`nodeConfig.machineType` must belong to this `location`; if both are\nunspecified, the service will pick a zone in the Compute Engine region\ncorresponding to the Cloud Composer location, and propagate that choice to\nboth fields. If only one field (`location` or `nodeConfig.machineType`) is\nspecified, the location information from the specified field will be\npropagated to the unspecified field.","type":"string"},"machineType":{"description":"Optional. The Compute Engine\n[machine type](/compute/docs/machine-types) used for cluster instances,\nspecified as a\n[relative resource\nname](/apis/design/resource_names#relative_resource_name). For example:\n\"projects/{projectId}/zones/{zoneId}/machineTypes/{machineTypeId}\".\n\nThe `machineType` must belong to the enclosing environment's project and\nlocation. If both this field and `nodeConfig.location` are specified,\nthis `machineType` must belong to the `nodeConfig.location`; if both are\nunspecified, the service will pick a zone in the Compute Engine region\ncorresponding to the Cloud Composer location, and propagate that choice to\nboth fields. If exactly one of this field and `nodeConfig.location` is\nspecified, the location information from the specified field will be\npropagated to the unspecified field.\n\nIf this field is unspecified, the `machineTypeId` defaults\nto \"n1-standard-1\".","type":"string"},"network":{"description":"Optional. The Compute Engine network to be used for machine\ncommunications, specified as a\n[relative resource\nname](/apis/design/resource_names#relative_resource_name). For example:\n\"projects/{projectId}/global/networks/{networkId}\".\n\nIf unspecified, the default network in the environment's project is used.\nIf a [Custom Subnet Network](/vpc/docs/vpc#vpc_networks_and_subnets)\nis provided, `nodeConfig.subnetwork` must also be provided. For\n[Shared VPC](/vpc/docs/shared-vpc) subnetwork requirements, see\n`nodeConfig.subnetwork`.","type":"string"},"oauthScopes":{"description":"Optional. The set of Google API scopes to be made available on all\nnode VMs. If `oauth_scopes` is empty, defaults to\n[\"https://www.googleapis.com/auth/cloud-platform\"]. Cannot be updated.","type":"array","items":{"type":"string"}}},"id":"NodeConfig","description":"The configuration information for the Kubernetes Engine nodes running\nthe Apache Airflow software.","type":"object"},"PrivateClusterConfig":{"properties":{"enablePrivateEndpoint":{"description":"Optional. If `true`, access to the public endpoint of the GKE cluster is\ndenied.","type":"boolean"},"masterIpv4CidrBlock":{"description":"The IP range in CIDR notation to use for the hosted master network. This\nrange is used for assigning internal IP addresses to the cluster\nmaster or set of masters and to the internal load balancer virtual IP.\nThis range must not overlap with any other ranges in use\nwithin the cluster's network. If left blank, the default value of\n'172.16.0.0/28' is used.","type":"string"}},"id":"PrivateClusterConfig","description":"Configuration options for the private GKE cluster in a Cloud Composer\nenvironment.","type":"object"}},"icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"protocol":"rest","canonicalName":"Cloud Composer","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://composer.googleapis.com/","ownerDomain":"google.com","name":"composer","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Composer API"};