export default {"resources":{"projects":{"resources":{"occurrences":{"methods":{"testIamPermissions":{"request":{"$ref":"TestIamPermissionsRequest"},"description":"Returns the permissions that a caller has on the specified note or\noccurrence. Requires list permission on the project (for example,\n`containeranalysis.notes.list`).\n\nThe resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for\nnotes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for\noccurrences.","response":{"$ref":"TestIamPermissionsResponse"},"parameterOrder":["resource"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"location":"path","description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/occurrences/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}:testIamPermissions","path":"v1beta1/{+resource}:testIamPermissions","id":"containeranalysis.projects.occurrences.testIamPermissions"},"delete":{"description":"Deletes the specified occurrence. For example, use this method to delete an\noccurrence when the occurrence is no longer applicable for the given\nresource.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","parameters":{"name":{"pattern":"^projects/[^/]+/occurrences/[^/]+$","location":"path","description":"The name of the occurrence in the form of\n`projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}","path":"v1beta1/{+name}","id":"containeranalysis.projects.occurrences.delete"},"getNotes":{"description":"Gets the note attached to the specified occurrence. Consumer projects can\nuse this method to get a note that belongs to a provider project.","httpMethod":"GET","response":{"$ref":"Note"},"parameterOrder":["name"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/occurrences/[^/]+$","location":"path","description":"The name of the occurrence in the form of\n`projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}/notes","id":"containeranalysis.projects.occurrences.getNotes","path":"v1beta1/{+name}/notes"},"list":{"path":"v1beta1/{+parent}/occurrences","id":"containeranalysis.projects.occurrences.list","description":"Lists occurrences for the specified project.","response":{"$ref":"ListOccurrencesResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"location":"path","description":"The name of the project to list occurrences for in the form of\n`projects/[PROJECT_ID]`.","required":true,"type":"string","pattern":"^projects/[^/]+$"},"filter":{"location":"query","description":"The filter expression.","type":"string"},"pageToken":{"description":"Token to provide to skip to a particular spot in the list.","type":"string","location":"query"},"pageSize":{"location":"query","description":"Number of occurrences to return in the list. Must be positive. Max allowed\npage size is 1000. If not specified, page size defaults to 20.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/occurrences"},"create":{"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"Occurrence"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"description":"The name of the project in the form of `projects/[PROJECT_ID]`, under which\nthe occurrence is to be created.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/occurrences","id":"containeranalysis.projects.occurrences.create","path":"v1beta1/{+parent}/occurrences","request":{"$ref":"Occurrence"},"description":"Creates a new occurrence."},"setIamPolicy":{"response":{"$ref":"Policy"},"parameterOrder":["resource"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"required":true,"type":"string","pattern":"^projects/[^/]+/occurrences/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field."}},"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}:setIamPolicy","path":"v1beta1/{+resource}:setIamPolicy","id":"containeranalysis.projects.occurrences.setIamPolicy","request":{"$ref":"SetIamPolicyRequest"},"description":"Sets the access control policy on the specified note or occurrence.\nRequires `containeranalysis.notes.setIamPolicy` or\n`containeranalysis.occurrences.setIamPolicy` permission if the resource is\na note or an occurrence, respectively.\n\nThe resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for\nnotes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for\noccurrences."},"batchCreate":{"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"BatchCreateOccurrencesResponse"},"parameters":{"parent":{"description":"The name of the project in the form of `projects/[PROJECT_ID]`, under which\nthe occurrences are to be created.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/occurrences:batchCreate","id":"containeranalysis.projects.occurrences.batchCreate","path":"v1beta1/{+parent}/occurrences:batchCreate","description":"Creates new occurrences in batch.","request":{"$ref":"BatchCreateOccurrencesRequest"}},"getIamPolicy":{"id":"containeranalysis.projects.occurrences.getIamPolicy","path":"v1beta1/{+resource}:getIamPolicy","request":{"$ref":"GetIamPolicyRequest"},"description":"Gets the access control policy for a note or an occurrence resource.\nRequires `containeranalysis.notes.setIamPolicy` or\n`containeranalysis.occurrences.setIamPolicy` permission if the resource is\na note or occurrence, respectively.\n\nThe resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for\nnotes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for\noccurrences.","httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"required":true,"type":"string","pattern":"^projects/[^/]+/occurrences/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field."}},"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}:getIamPolicy"},"patch":{"request":{"$ref":"Occurrence"},"description":"Updates the specified occurrence.","response":{"$ref":"Occurrence"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/occurrences/[^/]+$","location":"path","description":"The name of the occurrence in the form of\n`projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`."},"updateMask":{"type":"string","location":"query","description":"The fields to update.","format":"google-fieldmask"}},"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}","path":"v1beta1/{+name}","id":"containeranalysis.projects.occurrences.patch"},"get":{"description":"Gets the specified occurrence.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"Occurrence"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the occurrence in the form of\n`projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.","required":true,"type":"string","pattern":"^projects/[^/]+/occurrences/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/occurrences/{occurrencesId}","id":"containeranalysis.projects.occurrences.get","path":"v1beta1/{+name}"},"getVulnerabilitySummary":{"response":{"$ref":"VulnerabilityOccurrencesSummary"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The name of the project to get a vulnerability summary for in the form of\n`projects/[PROJECT_ID]`."},"filter":{"type":"string","location":"query","description":"The filter expression."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/occurrences:vulnerabilitySummary","path":"v1beta1/{+parent}/occurrences:vulnerabilitySummary","id":"containeranalysis.projects.occurrences.getVulnerabilitySummary","description":"Gets a summary of the number and severity of occurrences."}}},"notes":{"methods":{"getIamPolicy":{"description":"Gets the access control policy for a note or an occurrence resource.\nRequires `containeranalysis.notes.setIamPolicy` or\n`containeranalysis.occurrences.setIamPolicy` permission if the resource is\na note or occurrence, respectively.\n\nThe resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for\nnotes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for\noccurrences.","request":{"$ref":"GetIamPolicyRequest"},"httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"Policy"},"parameters":{"resource":{"pattern":"^projects/[^/]+/notes/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}:getIamPolicy","id":"containeranalysis.projects.notes.getIamPolicy","path":"v1beta1/{+resource}:getIamPolicy"},"patch":{"response":{"$ref":"Note"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"location":"query","description":"The fields to update.","format":"google-fieldmask","type":"string"},"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/notes/[^/]+$","location":"path","description":"The name of the note in the form of\n`projects/[PROVIDER_ID]/notes/[NOTE_ID]`."}},"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}","path":"v1beta1/{+name}","id":"containeranalysis.projects.notes.patch","request":{"$ref":"Note"},"description":"Updates the specified note."},"get":{"httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"Note"},"parameters":{"name":{"location":"path","description":"The name of the note in the form of\n`projects/[PROVIDER_ID]/notes/[NOTE_ID]`.","required":true,"type":"string","pattern":"^projects/[^/]+/notes/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}","id":"containeranalysis.projects.notes.get","path":"v1beta1/{+name}","description":"Gets the specified note."},"testIamPermissions":{"request":{"$ref":"TestIamPermissionsRequest"},"description":"Returns the permissions that a caller has on the specified note or\noccurrence. Requires list permission on the project (for example,\n`containeranalysis.notes.list`).\n\nThe resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for\nnotes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for\noccurrences.","response":{"$ref":"TestIamPermissionsResponse"},"parameterOrder":["resource"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/notes/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}:testIamPermissions","path":"v1beta1/{+resource}:testIamPermissions","id":"containeranalysis.projects.notes.testIamPermissions"},"delete":{"path":"v1beta1/{+name}","id":"containeranalysis.projects.notes.delete","description":"Deletes the specified note.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"The name of the note in the form of\n`projects/[PROVIDER_ID]/notes/[NOTE_ID]`.","required":true,"type":"string","pattern":"^projects/[^/]+/notes/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}"},"list":{"path":"v1beta1/{+parent}/notes","id":"containeranalysis.projects.notes.list","description":"Lists notes for the specified project.","response":{"$ref":"ListNotesResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The name of the project to list notes for in the form of\n`projects/[PROJECT_ID]`."},"filter":{"location":"query","description":"The filter expression.","type":"string"},"pageToken":{"location":"query","description":"Token to provide to skip to a particular spot in the list.","type":"string"},"pageSize":{"description":"Number of notes to return in the list. Must be positive. Max allowed page\nsize is 1000. If not specified, page size defaults to 20.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/notes"},"create":{"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"Note"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"pattern":"^projects/[^/]+$","location":"path","description":"The name of the project in the form of `projects/[PROJECT_ID]`, under which\nthe note is to be created.","required":true,"type":"string"},"noteId":{"location":"query","description":"The ID to use for this note.","type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/notes","id":"containeranalysis.projects.notes.create","path":"v1beta1/{+parent}/notes","request":{"$ref":"Note"},"description":"Creates a new note."},"setIamPolicy":{"request":{"$ref":"SetIamPolicyRequest"},"description":"Sets the access control policy on the specified note or occurrence.\nRequires `containeranalysis.notes.setIamPolicy` or\n`containeranalysis.occurrences.setIamPolicy` permission if the resource is\na note or an occurrence, respectively.\n\nThe resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for\nnotes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for\noccurrences.","httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"required":true,"type":"string","pattern":"^projects/[^/]+/notes/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field."}},"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}:setIamPolicy","id":"containeranalysis.projects.notes.setIamPolicy","path":"v1beta1/{+resource}:setIamPolicy"},"batchCreate":{"response":{"$ref":"BatchCreateNotesResponse"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"description":"The name of the project in the form of `projects/[PROJECT_ID]`, under which\nthe notes are to be created.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/notes:batchCreate","path":"v1beta1/{+parent}/notes:batchCreate","id":"containeranalysis.projects.notes.batchCreate","description":"Creates new notes in batch.","request":{"$ref":"BatchCreateNotesRequest"}}},"resources":{"occurrences":{"methods":{"list":{"response":{"$ref":"ListNoteOccurrencesResponse"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"filter":{"location":"query","description":"The filter expression.","type":"string"},"name":{"location":"path","description":"The name of the note to list occurrences for in the form of\n`projects/[PROVIDER_ID]/notes/[NOTE_ID]`.","required":true,"type":"string","pattern":"^projects/[^/]+/notes/[^/]+$"},"pageToken":{"location":"query","description":"Token to provide to skip to a particular spot in the list.","type":"string"},"pageSize":{"location":"query","description":"Number of occurrences to return in the list.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/notes/{notesId}/occurrences","path":"v1beta1/{+name}/occurrences","id":"containeranalysis.projects.notes.occurrences.list","description":"Lists occurrences referencing the specified note. Provider projects can use\nthis method to get all occurrences across consumer projects referencing the\nspecified note."}}}}},"scanConfigs":{"methods":{"get":{"flatPath":"v1beta1/projects/{projectsId}/scanConfigs/{scanConfigsId}","path":"v1beta1/{+name}","id":"containeranalysis.projects.scanConfigs.get","description":"Gets the specified scan configuration.","response":{"$ref":"ScanConfig"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/scanConfigs/[^/]+$","location":"path","description":"The name of the scan configuration in the form of\n`projects/[PROJECT_ID]/scanConfigs/[SCAN_CONFIG_ID]`."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"list":{"description":"Lists scan configurations for the specified project.","response":{"$ref":"ListScanConfigsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"location":"query","description":"Token to provide to skip to a particular spot in the list.","type":"string"},"pageSize":{"type":"integer","location":"query","description":"The number of scan configs to return in the list.","format":"int32"},"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The name of the project to list scan configurations for in the form of\n`projects/[PROJECT_ID]`."},"filter":{"location":"query","description":"The filter expression.","type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/scanConfigs","path":"v1beta1/{+parent}/scanConfigs","id":"containeranalysis.projects.scanConfigs.list"},"update":{"flatPath":"v1beta1/projects/{projectsId}/scanConfigs/{scanConfigsId}","path":"v1beta1/{+name}","id":"containeranalysis.projects.scanConfigs.update","request":{"$ref":"ScanConfig"},"description":"Updates the specified scan configuration.","response":{"$ref":"ScanConfig"},"parameterOrder":["name"],"httpMethod":"PUT","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the scan configuration in the form of\n`projects/[PROJECT_ID]/scanConfigs/[SCAN_CONFIG_ID]`.","required":true,"type":"string","pattern":"^projects/[^/]+/scanConfigs/[^/]+$","location":"path"}}}}}}}},"parameters":{"alt":{"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"]},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"access_token":{"location":"query","description":"OAuth access token.","type":"string"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"description":"Returns response with indentations and line breaks.","type":"boolean","default":"true","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"$.xgafv":{"type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format."},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"callback":{"location":"query","description":"JSONP","type":"string"}},"version":"v1beta1","baseUrl":"https://containeranalysis.googleapis.com/","servicePath":"","kind":"discovery#restDescription","description":"An implementation of the Grafeas API, which stores, and enables querying and retrieval of critical metadata about all of your software artifacts.","basePath":"","id":"containeranalysis:v1beta1","documentationLink":"https://cloud.google.com/container-analysis/api/reference/rest/","revision":"20190625","discoveryVersion":"v1","version_module":true,"schemas":{"CloudRepoSourceContext":{"type":"object","properties":{"revisionId":{"description":"A revision ID.","type":"string"},"repoId":{"$ref":"RepoId","description":"The ID of the repo."},"aliasContext":{"$ref":"AliasContext","description":"An alias, which may be a branch or tag."}},"id":"CloudRepoSourceContext","description":"A CloudRepoSourceContext denotes a particular revision in a Google Cloud\nSource Repo."},"Build":{"description":"Note holding the version of the provider's builder and the signature of the\nprovenance message in the build details occurrence.","type":"object","properties":{"builderVersion":{"description":"Required. Immutable. Version of the builder which produced this build.","type":"string"},"signature":{"description":"Signature of the build in occurrences pointing to this build note\ncontaining build details.","$ref":"BuildSignature"}},"id":"Build"},"Deployment":{"type":"object","properties":{"address":{"description":"Address of the runtime element hosting this deployment.","type":"string"},"resourceUri":{"description":"Output only. Resource URI for the artifact being deployed taken from\nthe deployable field with the same name.","type":"array","items":{"type":"string"}},"config":{"type":"string","description":"Configuration used to create this deployment."},"userEmail":{"description":"Identity of the user that triggered this deployment.","type":"string"},"undeployTime":{"description":"End of the lifetime of this deployment.","format":"google-datetime","type":"string"},"platform":{"type":"string","enumDescriptions":["Unknown.","Google Container Engine.","Google App Engine: Flexible Environment.","Custom user-defined platform."],"enum":["PLATFORM_UNSPECIFIED","GKE","FLEX","CUSTOM"],"description":"Platform hosting this deployment."},"deployTime":{"description":"Required. Beginning of the lifetime of this deployment.","format":"google-datetime","type":"string"}},"id":"Deployment","description":"The period during which some deployable was active in a runtime."},"Detail":{"description":"Identifies all appearances of this vulnerability in the package for a\nspecific distro/location. For example: glibc in\ncpe:/o:debian:debian_linux:8 for versions 2.1 - 2.2","type":"object","properties":{"isObsolete":{"type":"boolean","description":"Whether this detail is obsolete. Occurrences are expected not to point to\nobsolete details."},"packageType":{"type":"string","description":"The type of package; whether native or non native(ruby gems, node.js\npackages etc)."},"fixedLocation":{"$ref":"VulnerabilityLocation","description":"The fix for this specific package version."},"description":{"description":"A vendor-specific description of this note.","type":"string"},"cpeUri":{"description":"Required. The CPE URI in\n[cpe format](https://cpe.mitre.org/specification/) in which the\nvulnerability manifests. Examples include distro or storage location for\nvulnerable jar.","type":"string"},"severityName":{"type":"string","description":"The severity (eg: distro assigned severity) for this vulnerability."},"minAffectedVersion":{"$ref":"Version","description":"The min version of the package in which the vulnerability exists."},"maxAffectedVersion":{"$ref":"Version","description":"Deprecated, do not use. Use fixed_location instead.\n\nThe max version of the package in which the vulnerability exists."},"package":{"type":"string","description":"Required. The name of the package where the vulnerability was found."}},"id":"Detail"},"GetIamPolicyRequest":{"description":"Request message for `GetIamPolicy` method.","type":"object","properties":{},"id":"GetIamPolicyRequest"},"TestIamPermissionsResponse":{"description":"Response message for `TestIamPermissions` method.","type":"object","properties":{"permissions":{"type":"array","items":{"type":"string"},"description":"A subset of `TestPermissionsRequest.permissions` that the caller is\nallowed."}},"id":"TestIamPermissionsResponse"},"Basis":{"type":"object","properties":{"fingerprint":{"$ref":"Fingerprint","description":"Required. Immutable. The fingerprint of the base image."},"resourceUrl":{"description":"Required. Immutable. The resource_url for the resource representing the\nbasis of associated occurrence images.","type":"string"}},"id":"Basis","description":"Basis describes the base image portion (Note) of the DockerImage\nrelationship. Linked occurrences are derived from this or an\nequivalent image via:\n  FROM <Basis.resource_url>\nOr an equivalent reference, e.g. a tag of the resource_url."},"ListScanConfigsResponse":{"description":"Response for listing scan configurations.","type":"object","properties":{"scanConfigs":{"description":"The scan configurations requested.","type":"array","items":{"$ref":"ScanConfig"}},"nextPageToken":{"type":"string","description":"The next pagination token in the list response. It should be used as\n`page_token` for the following request. An empty value means no more\nresults."}},"id":"ListScanConfigsResponse"},"GrafeasV1beta1ImageDetails":{"id":"GrafeasV1beta1ImageDetails","description":"Details of an image occurrence.","type":"object","properties":{"derivedImage":{"$ref":"Derived","description":"Required. Immutable. The child image derived from the base image."}}},"GenericSignedAttestation":{"description":"An attestation wrapper that uses the Grafeas `Signature` message.\nThis attestation must define the `serialized_payload` that the `signatures`\nverify and any metadata necessary to interpret that plaintext.  The\nsignatures should always be over the `serialized_payload` bytestring.","type":"object","properties":{"serializedPayload":{"description":"The serialized payload that is verified by one or more `signatures`.\nThe encoding and semantic meaning of this payload must match what is set in\n`content_type`.","format":"byte","type":"string"},"contentType":{"enum":["CONTENT_TYPE_UNSPECIFIED","SIMPLE_SIGNING_JSON"],"description":"Type (for example schema) of the attestation payload that was signed.\nThe verifier must ensure that the provided type is one that the verifier\nsupports, and that the attestation payload is a valid instantiation of that\ntype (for example by validating a JSON schema).","type":"string","enumDescriptions":["`ContentType` is not set.","Atomic format attestation signature. See\nhttps://github.com/containers/image/blob/8a5d2f82a6e3263290c8e0276c3e0f64e77723e7/docs/atomic-signature.md\nThe payload extracted in `plaintext` is a JSON blob conforming to the\nlinked schema."]},"signatures":{"description":"One or more signatures over `serialized_payload`.  Verifier implementations\nshould consider this attestation message verified if at least one\n`signature` verifies `serialized_payload`.  See `Signature` in common.proto\nfor more details on signature structure and verification.","type":"array","items":{"$ref":"Signature"}}},"id":"GenericSignedAttestation"},"RepoId":{"description":"A unique identifier for a Cloud Repo.","type":"object","properties":{"uid":{"description":"A server-assigned, globally unique identifier.","type":"string"},"projectRepoId":{"$ref":"ProjectRepoId","description":"A combination of a project ID and a repo name."}},"id":"RepoId"},"Occurrence":{"id":"Occurrence","description":"An instance of an analysis type that has been found on a resource.","type":"object","properties":{"derivedImage":{"$ref":"GrafeasV1beta1ImageDetails","description":"Describes how this resource derives from the basis in the associated\nnote."},"kind":{"enumDescriptions":["Unknown.","The note and occurrence represent a package vulnerability.","The note and occurrence assert build provenance.","This represents an image basis relationship.","This represents a package installed via a package manager.","The note and occurrence track deployment events.","The note and occurrence track the initial discovery status of a resource.","This represents a logical \"role\" that can attest to artifacts."],"enum":["NOTE_KIND_UNSPECIFIED","VULNERABILITY","BUILD","IMAGE","PACKAGE","DEPLOYMENT","DISCOVERY","ATTESTATION"],"description":"Output only. This explicitly denotes which of the occurrence details are\nspecified. This field can be used as a filter in list requests.","type":"string"},"resource":{"$ref":"Resource","description":"Required. Immutable. The resource for which the occurrence applies."},"attestation":{"$ref":"Details","description":"Describes an attestation of an artifact."},"name":{"type":"string","description":"Output only. The name of the occurrence in the form of\n`projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`."},"vulnerability":{"$ref":"GrafeasV1beta1VulnerabilityDetails","description":"Describes a security vulnerability."},"installation":{"description":"Describes the installation of a package on the linked resource.","$ref":"GrafeasV1beta1PackageDetails"},"build":{"description":"Describes a verifiable build.","$ref":"GrafeasV1beta1BuildDetails"},"discovered":{"$ref":"GrafeasV1beta1DiscoveryDetails","description":"Describes when a resource was discovered."},"noteName":{"description":"Required. Immutable. The analysis note associated with this occurrence, in\nthe form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`. This field can be\nused as a filter in list requests.","type":"string"},"deployment":{"$ref":"GrafeasV1beta1DeploymentDetails","description":"Describes the deployment of an artifact on a runtime."},"createTime":{"description":"Output only. The time this occurrence was created.","format":"google-datetime","type":"string"},"updateTime":{"description":"Output only. The time this occurrence was last updated.","format":"google-datetime","type":"string"},"remediation":{"type":"string","description":"A description of actions that can be taken to remedy the note."}}},"KnowledgeBase":{"id":"KnowledgeBase","type":"object","properties":{"url":{"description":"A link to the KB in the Windows update catalog -\nhttps://www.catalog.update.microsoft.com/","type":"string"},"name":{"description":"The KB name (generally of the form KB[0-9]+ i.e. KB123456).","type":"string"}}},"Signature":{"description":"Verifiers (e.g. Kritis implementations) MUST verify signatures\nwith respect to the trust anchors defined in policy (e.g. a Kritis policy).\nTypically this means that the verifier has been configured with a map from\n`public_key_id` to public key material (and any required parameters, e.g.\nsigning algorithm).\n\nIn particular, verification implementations MUST NOT treat the signature\n`public_key_id` as anything more than a key lookup hint. The `public_key_id`\nDOES NOT validate or authenticate a public key; it only provides a mechanism\nfor quickly selecting a public key ALREADY CONFIGURED on the verifier through\na trusted channel. Verification implementations MUST reject signatures in any\nof the following circumstances:\n  * The `public_key_id` is not recognized by the verifier.\n  * The public key that `public_key_id` refers to does not verify the\n    signature with respect to the payload.\n\nThe `signature` contents SHOULD NOT be \"attached\" (where the payload is\nincluded with the serialized `signature` bytes). Verifiers MUST ignore any\n\"attached\" payload and only verify signatures with respect to explicitly\nprovided payload (e.g. a `payload` field on the proto message that holds\nthis Signature, or the canonical serialization of the proto message that\nholds this signature).","type":"object","properties":{"publicKeyId":{"description":"The identifier for the public key that verifies this signature.\n  * The `public_key_id` is required.\n  * The `public_key_id` MUST be an RFC3986 conformant URI.\n  * When possible, the `public_key_id` SHOULD be an immutable reference,\n    such as a cryptographic digest.\n\nExamples of valid `public_key_id`s:\n\nOpenPGP V4 public key fingerprint:\n  * \"openpgp4fpr:74FAF3B861BDA0870C7B6DEF607E48D2A663AEEA\"\nSee https://www.iana.org/assignments/uri-schemes/prov/openpgp4fpr for more\ndetails on this scheme.\n\nRFC6920 digest-named SubjectPublicKeyInfo (digest of the DER\nserialization):\n  * \"ni:///sha-256;cD9o9Cq6LG3jD0iKXqEi_vdjJGecm_iXkbqVoScViaU\"\n  * \"nih:///sha-256;703f68f42aba2c6de30f488a5ea122fef76324679c9bf89791ba95a1271589a5\"","type":"string"},"signature":{"description":"The content of the signature, an opaque bytestring.\nThe payload that this signature verifies MUST be unambiguously provided\nwith the Signature during verification. A wrapper message might provide\nthe payload explicitly. Alternatively, a message might have a canonical\nserialization that can always be unambiguously computed to derive the\npayload.","format":"byte","type":"string"}},"id":"Signature"},"Note":{"type":"object","properties":{"longDescription":{"description":"A detailed description of this note.","type":"string"},"deployable":{"$ref":"Deployable","description":"A note describing something that can be deployed."},"shortDescription":{"description":"A one sentence description of this note.","type":"string"},"attestationAuthority":{"$ref":"Authority","description":"A note describing an attestation role."},"name":{"description":"Output only. The name of the note in the form of\n`projects/[PROVIDER_ID]/notes/[NOTE_ID]`.","type":"string"},"vulnerability":{"$ref":"Vulnerability","description":"A note describing a package vulnerability."},"relatedNoteNames":{"description":"Other notes related to this note.","type":"array","items":{"type":"string"}},"build":{"description":"A note describing build provenance for a verifiable build.","$ref":"Build"},"package":{"$ref":"Package","description":"A note describing a package hosted by various package managers."},"createTime":{"description":"Output only. The time this note was created. This field can be used as a\nfilter in list requests.","format":"google-datetime","type":"string"},"discovery":{"$ref":"Discovery","description":"A note describing the initial analysis of a resource."},"updateTime":{"description":"Output only. The time this note was last updated. This field can be used as\na filter in list requests.","format":"google-datetime","type":"string"},"relatedUrl":{"type":"array","items":{"$ref":"RelatedUrl"},"description":"URLs associated with this note."},"expirationTime":{"type":"string","description":"Time of expiration for this note. Empty if note does not expire.","format":"google-datetime"},"baseImage":{"description":"A note describing a base image.","$ref":"Basis"},"kind":{"enum":["NOTE_KIND_UNSPECIFIED","VULNERABILITY","BUILD","IMAGE","PACKAGE","DEPLOYMENT","DISCOVERY","ATTESTATION"],"description":"Output only. The type of analysis. This field can be used as a filter in\nlist requests.","type":"string","enumDescriptions":["Unknown.","The note and occurrence represent a package vulnerability.","The note and occurrence assert build provenance.","This represents an image basis relationship.","This represents a package installed via a package manager.","The note and occurrence track deployment events.","The note and occurrence track the initial discovery status of a resource.","This represents a logical \"role\" that can attest to artifacts."]}},"id":"Note","description":"A type of analysis that can be done for a resource."},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"Empty"},"WindowsDetail":{"type":"object","properties":{"fixingKbs":{"description":"Required. The names of the KBs which have hotfixes to mitigate this\nvulnerability. Note that there may be multiple hotfixes (and thus\nmultiple KBs) that mitigate a given vulnerability. Currently any listed\nkb's presence is considered a fix.","type":"array","items":{"$ref":"KnowledgeBase"}},"name":{"type":"string","description":"Required. The name of the vulnerability."},"cpeUri":{"description":"Required. The CPE URI in\n[cpe format](https://cpe.mitre.org/specification/) in which the\nvulnerability manifests. Examples include distro or storage location for\nvulnerable jar.","type":"string"},"description":{"description":"The description of the vulnerability.","type":"string"}},"id":"WindowsDetail"},"Authority":{"type":"object","properties":{"hint":{"$ref":"Hint","description":"Hint hints at the purpose of the attestation authority."}},"id":"Authority","description":"Note kind that represents a logical attestation \"role\" or \"authority\". For\nexample, an organization might have one `Authority` for \"QA\" and one for\n\"build\". This note is intended to act strictly as a grouping mechanism for\nthe attached occurrences (Attestations). This grouping mechanism also\nprovides a security boundary, since IAM ACLs gate the ability for a principle\nto attach an occurrence to a given note. It also provides a single point of\nlookup to find all attached attestation occurrences, even if they don't all\nlive in the same project."},"GrafeasV1beta1BuildDetails":{"description":"Details of a build occurrence.","type":"object","properties":{"provenanceBytes":{"description":"Serialized JSON representation of the provenance, used in generating the\nbuild signature in the corresponding build note. After verifying the\nsignature, `provenance_bytes` can be unmarshalled and compared to the\nprovenance to confirm that it is unchanged. A base64-encoded string\nrepresentation of the provenance bytes is used for the signature in order\nto interoperate with openssl which expects this format for signature\nverification.\n\nThe serialized form is captured both to avoid ambiguity in how the\nprovenance is marshalled to json as well to prevent incompatibilities with\nfuture changes.","type":"string"},"provenance":{"$ref":"BuildProvenance","description":"Required. The actual provenance for the build."}},"id":"GrafeasV1beta1BuildDetails"},"Derived":{"description":"Derived describes the derived image portion (Occurrence) of the DockerImage\nrelationship. This image would be produced from a Dockerfile with FROM\n<DockerImage.Basis in attached Note>.","type":"object","properties":{"fingerprint":{"$ref":"Fingerprint","description":"Required. The fingerprint of the derived image."},"layerInfo":{"type":"array","items":{"$ref":"Layer"},"description":"This contains layer-specific metadata, if populated it has length\n\"distance\" and is ordered with [distance] being the layer immediately\nfollowing the base image and [1] being the final layer."},"distance":{"description":"Output only. The number of layers by which this image differs from the\nassociated image basis.","format":"int32","type":"integer"},"baseResourceUrl":{"type":"string","description":"Output only. This contains the base image URL for the derived image\noccurrence."}},"id":"Derived"},"AuditLogConfig":{"description":"Provides the configuration for logging a type of permissions.\nExample:\n\n    {\n      \"audit_log_configs\": [\n        {\n          \"log_type\": \"DATA_READ\",\n          \"exempted_members\": [\n            \"user:foo@gmail.com\"\n          ]\n        },\n        {\n          \"log_type\": \"DATA_WRITE\",\n        }\n      ]\n    }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting\nfoo@gmail.com from DATA_READ logging.","type":"object","properties":{"logType":{"description":"The log type that this config enables.","type":"string","enumDescriptions":["Default case. Should never be this.","Admin reads. Example: CloudIAM getIamPolicy","Data writes. Example: CloudSQL Users create","Data reads. Example: CloudSQL Users list"],"enum":["LOG_TYPE_UNSPECIFIED","ADMIN_READ","DATA_WRITE","DATA_READ"]},"exemptedMembers":{"description":"Specifies the identities that do not cause logging for this type of\npermission.\nFollows the same format of Binding.members.","type":"array","items":{"type":"string"}}},"id":"AuditLogConfig"},"Source":{"type":"object","properties":{"artifactStorageSourceUri":{"description":"If provided, the input binary artifacts for the build came from this\nlocation.","type":"string"},"additionalContexts":{"description":"If provided, some of the source code used for the build may be found in\nthese locations, in the case where the source repository had multiple\nremotes or submodules. This list will not include the context specified in\nthe context field.","type":"array","items":{"$ref":"SourceContext"}},"fileHashes":{"type":"object","additionalProperties":{"$ref":"FileHashes"},"description":"Hash(es) of the build source, which can be used to verify that the original\nsource integrity was maintained in the build.\n\nThe keys to this map are file paths used as build source and the values\ncontain the hash values for those files.\n\nIf the build source came in a single package such as a gzipped tarfile\n(.tar.gz), the FileHash will be for the single path to that file."},"context":{"$ref":"SourceContext","description":"If provided, the source code used for the build came from this location."}},"id":"Source","description":"Source describes the location of the source used for the build."},"GrafeasV1beta1DiscoveryDetails":{"description":"Details of a discovery occurrence.","type":"object","properties":{"discovered":{"$ref":"Discovered","description":"Required. Analysis status for the discovered resource."}},"id":"GrafeasV1beta1DiscoveryDetails"},"BatchCreateNotesResponse":{"description":"Response for creating notes in batch.","type":"object","properties":{"notes":{"description":"The notes that were created.","type":"array","items":{"$ref":"Note"}}},"id":"BatchCreateNotesResponse"},"BuildProvenance":{"description":"Provenance of a build. Contains all information needed to verify the full\ndetails about the build from source to completion.","type":"object","properties":{"endTime":{"description":"Time at which execution of the build was finished.","format":"google-datetime","type":"string"},"startTime":{"type":"string","description":"Time at which execution of the build was started.","format":"google-datetime"},"triggerId":{"description":"Trigger identifier if the build was triggered automatically; empty if not.","type":"string"},"createTime":{"description":"Time at which the build was created.","format":"google-datetime","type":"string"},"sourceProvenance":{"$ref":"Source","description":"Details of the Source input to the build."},"projectId":{"description":"ID of the project.","type":"string"},"logsUri":{"description":"URI where any logs for this provenance were written.","type":"string"},"creator":{"description":"E-mail address of the user who initiated this build. Note that this was the\nuser's e-mail address at the time the build was initiated; this address may\nnot represent the same end-user for all time.","type":"string"},"builderVersion":{"type":"string","description":"Version string of the builder at the time this build was executed."},"commands":{"description":"Commands requested by the build.","type":"array","items":{"$ref":"Command"}},"builtArtifacts":{"type":"array","items":{"$ref":"Artifact"},"description":"Output of the build."},"id":{"type":"string","description":"Required. Unique identifier of the build."},"buildOptions":{"type":"object","additionalProperties":{"type":"string"},"description":"Special options applied to this build. This is a catch-all field where\nbuild providers can enter any desired additional details."}},"id":"BuildProvenance"},"Policy":{"description":"Defines an Identity and Access Management (IAM) policy. It is used to\nspecify access control policies for Cloud Platform resources.\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of\n`members` to a `role`, where the members can be user accounts, Google groups,\nGoogle domains, and service accounts. A `role` is a named list of permissions\ndefined by IAM.\n\n**JSON Example**\n\n    {\n      \"bindings\": [\n        {\n          \"role\": \"roles/owner\",\n          \"members\": [\n            \"user:mike@example.com\",\n            \"group:admins@example.com\",\n            \"domain:google.com\",\n            \"serviceAccount:my-other-app@appspot.gserviceaccount.com\"\n          ]\n        },\n        {\n          \"role\": \"roles/viewer\",\n          \"members\": [\"user:sean@example.com\"]\n        }\n      ]\n    }\n\n**YAML Example**\n\n    bindings:\n    - members:\n      - user:mike@example.com\n      - group:admins@example.com\n      - domain:google.com\n      - serviceAccount:my-other-app@appspot.gserviceaccount.com\n      role: roles/owner\n    - members:\n      - user:sean@example.com\n      role: roles/viewer\n\n\nFor a description of IAM and its features, see the\n[IAM developer's guide](https://cloud.google.com/iam/docs).","type":"object","properties":{"bindings":{"type":"array","items":{"$ref":"Binding"},"description":"Associates a list of `members` to a `role`.\n`bindings` with no members will result in an error."},"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a policy from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform policy updates in order to avoid race\nconditions: An `etag` is returned in the response to `getIamPolicy`, and\nsystems are expected to put that etag in the request to `setIamPolicy` to\nensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing\npolicy is overwritten blindly.","format":"byte","type":"string"},"version":{"description":"Deprecated.","format":"int32","type":"integer"},"auditConfigs":{"description":"Specifies cloud audit logging configuration for this policy.","type":"array","items":{"$ref":"AuditConfig"}}},"id":"Policy"},"GerritSourceContext":{"id":"GerritSourceContext","description":"A SourceContext referring to a Gerrit project.","type":"object","properties":{"gerritProject":{"type":"string","description":"The full project name within the host. Projects may be nested, so\n\"project/subproject\" is a valid project name. The \"repo name\" is the\nhostURI/project."},"aliasContext":{"$ref":"AliasContext","description":"An alias, which may be a branch or tag."},"hostUri":{"type":"string","description":"The URI of a running Gerrit instance."},"revisionId":{"description":"A revision (commit) ID.","type":"string"}}},"ListNoteOccurrencesResponse":{"description":"Response for listing occurrences for a note.","type":"object","properties":{"occurrences":{"type":"array","items":{"$ref":"Occurrence"},"description":"The occurrences attached to the specified note."},"nextPageToken":{"description":"Token to provide to skip to a particular spot in the list.","type":"string"}},"id":"ListNoteOccurrencesResponse"},"FileHashes":{"description":"Container message for hashes of byte content of files, used in source\nmessages to verify integrity of source input to the build.","type":"object","properties":{"fileHash":{"description":"Required. Collection of file hashes.","type":"array","items":{"$ref":"Hash"}}},"id":"FileHashes"},"PgpSignedAttestation":{"description":"An attestation wrapper with a PGP-compatible signature. This message only\nsupports `ATTACHED` signatures, where the payload that is signed is included\nalongside the signature itself in the same file.","type":"object","properties":{"contentType":{"type":"string","enumDescriptions":["`ContentType` is not set.","Atomic format attestation signature. See\nhttps://github.com/containers/image/blob/8a5d2f82a6e3263290c8e0276c3e0f64e77723e7/docs/atomic-signature.md\nThe payload extracted from `signature` is a JSON blob conforming to the\nlinked schema."],"enum":["CONTENT_TYPE_UNSPECIFIED","SIMPLE_SIGNING_JSON"],"description":"Type (for example schema) of the attestation payload that was signed.\nThe verifier must ensure that the provided type is one that the verifier\nsupports, and that the attestation payload is a valid instantiation of that\ntype (for example by validating a JSON schema)."},"signature":{"description":"Required. The raw content of the signature, as output by GNU Privacy Guard\n(GPG) or equivalent. Since this message only supports attached signatures,\nthe payload that was signed must be attached. While the signature format\nsupported is dependent on the verification implementation, currently only\nASCII-armored (`--armor` to gpg), non-clearsigned (`--sign` rather than\n`--clearsign` to gpg) are supported. Concretely, `gpg --sign --armor\n--output=signature.gpg payload.json` will create the signature content\nexpected in this field in `signature.gpg` for the `payload.json`\nattestation payload.","type":"string"},"pgpKeyId":{"type":"string","description":"The cryptographic fingerprint of the key used to generate the signature,\nas output by, e.g. `gpg --list-keys`. This should be the version 4, full\n160-bit fingerprint, expressed as a 40 character hexidecimal string. See\nhttps://tools.ietf.org/html/rfc4880#section-12.2 for details.\nImplementations may choose to acknowledge \"LONG\", \"SHORT\", or other\nabbreviated key IDs, but only the full fingerprint is guaranteed to work.\nIn gpg, the full fingerprint can be retrieved from the `fpr` field\nreturned when calling --list-keys with --with-colons.  For example:\n```\ngpg --with-colons --with-fingerprint --force-v4-certs \\\n    --list-keys attester@example.com\ntru::1:1513631572:0:3:1:5\npub:...<SNIP>...\nfpr:::::::::24FF6481B76AC91E66A00AC657A93A81EF3AE6FB:\n```\nAbove, the fingerprint is `24FF6481B76AC91E66A00AC657A93A81EF3AE6FB`."}},"id":"PgpSignedAttestation"},"Status":{"id":"Status","description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object","properties":{"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"type":"string","description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client."},"details":{"type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"},"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use."}}},"Layer":{"type":"object","properties":{"directive":{"enum":["DIRECTIVE_UNSPECIFIED","MAINTAINER","RUN","CMD","LABEL","EXPOSE","ENV","ADD","COPY","ENTRYPOINT","VOLUME","USER","WORKDIR","ARG","ONBUILD","STOPSIGNAL","HEALTHCHECK","SHELL"],"description":"Required. The recovered Dockerfile directive used to construct this layer.","type":"string","enumDescriptions":["Default value for unsupported/missing directive.","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/","https://docs.docker.com/engine/reference/builder/"]},"arguments":{"type":"string","description":"The recovered arguments to the Dockerfile directive."}},"id":"Layer","description":"Layer holds metadata specific to a layer of a Docker image."},"ListNotesResponse":{"id":"ListNotesResponse","description":"Response for listing notes.","type":"object","properties":{"nextPageToken":{"type":"string","description":"The next pagination token in the list response. It should be used as\n`page_token` for the following request. An empty value means no more\nresults."},"notes":{"description":"The notes requested.","type":"array","items":{"$ref":"Note"}}}},"Binding":{"id":"Binding","description":"Associates `members` with a `role`.","type":"object","properties":{"condition":{"$ref":"Expr","description":"The condition that is associated with this binding.\nNOTE: An unsatisfied condition will not allow user access via current\nbinding. Different bindings, including their conditions, are examined\nindependently."},"members":{"description":"Specifies the identities requesting access for a Cloud Platform resource.\n`members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is\n   on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone\n   who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google\n   account. For example, `alice@gmail.com` .\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service\n   account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group.\n   For example, `admins@example.com`.\n\n\n* `domain:{domain}`: The G Suite domain (primary) that represents all the\n   users of that domain. For example, `google.com` or `example.com`.\n\n","type":"array","items":{"type":"string"}},"role":{"type":"string","description":"Role that is assigned to `members`.\nFor example, `roles/viewer`, `roles/editor`, or `roles/owner`."}}},"RelatedUrl":{"type":"object","properties":{"url":{"description":"Specific URL associated with the resource.","type":"string"},"label":{"description":"Label to describe usage of the URL.","type":"string"}},"id":"RelatedUrl","description":"Metadata for any related URL information."},"GrafeasV1beta1VulnerabilityDetails":{"description":"Details of a vulnerability Occurrence.","type":"object","properties":{"cvssScore":{"description":"Output only. The CVSS score of this vulnerability. CVSS score is on a\nscale of 0-10 where 0 indicates low severity and 10 indicates high\nseverity.","format":"float","type":"number"},"relatedUrls":{"description":"Output only. URLs related to this vulnerability.","type":"array","items":{"$ref":"RelatedUrl"}},"type":{"type":"string","description":"The type of package; whether native or non native(ruby gems, node.js\npackages etc)"},"packageIssue":{"description":"Required. The set of affected locations and their fixes (if available)\nwithin the associated resource.","type":"array","items":{"$ref":"PackageIssue"}},"longDescription":{"description":"Output only. A detailed description of this vulnerability.","type":"string"},"shortDescription":{"description":"Output only. A one sentence description of this vulnerability.","type":"string"},"effectiveSeverity":{"enum":["SEVERITY_UNSPECIFIED","MINIMAL","LOW","MEDIUM","HIGH","CRITICAL"],"description":"The distro assigned severity for this vulnerability when it is\navailable, and note provider assigned severity when distro has not yet\nassigned a severity for this vulnerability.","type":"string","enumDescriptions":["Unknown.","Minimal severity.","Low severity.","Medium severity.","High severity.","Critical severity."]},"severity":{"enumDescriptions":["Unknown.","Minimal severity.","Low severity.","Medium severity.","High severity.","Critical severity."],"enum":["SEVERITY_UNSPECIFIED","MINIMAL","LOW","MEDIUM","HIGH","CRITICAL"],"description":"Output only. The note provider assigned Severity of the vulnerability.","type":"string"}},"id":"GrafeasV1beta1VulnerabilityDetails"},"Details":{"description":"Details of an attestation occurrence.","type":"object","properties":{"attestation":{"$ref":"Attestation","description":"Required. Attestation for the resource."}},"id":"Details"},"Installation":{"id":"Installation","description":"This represents how a particular software package may be installed on a\nsystem.","type":"object","properties":{"name":{"type":"string","description":"Output only. The name of the installed package."},"location":{"description":"Required. All of the places within the filesystem versions of this package\nhave been found.","type":"array","items":{"$ref":"Location"}}}},"VulnerabilityOccurrencesSummary":{"id":"VulnerabilityOccurrencesSummary","description":"A summary of how many vulnerability occurrences there are per resource and\nseverity type.","type":"object","properties":{"counts":{"type":"array","items":{"$ref":"FixableTotalByDigest"},"description":"A listing by resource of the number of fixable and total vulnerabilities."}}},"Distribution":{"type":"object","properties":{"description":{"description":"The distribution channel-specific description of this package.","type":"string"},"cpeUri":{"description":"Required. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/)\ndenoting the package manager version distributing a package.","type":"string"},"url":{"type":"string","description":"The distribution channel-specific homepage for this package."},"architecture":{"type":"string","enumDescriptions":["Unknown architecture.","X86 architecture.","X64 architecture."],"enum":["ARCHITECTURE_UNSPECIFIED","X86","X64"],"description":"The CPU architecture for which packages in this distribution channel were\nbuilt."},"maintainer":{"description":"A freeform string denoting the maintainer of this package.","type":"string"},"latestVersion":{"$ref":"Version","description":"The latest available version of this package in this distribution channel."}},"id":"Distribution","description":"This represents a particular channel of distribution for a given package.\nE.g., Debian's jessie-backports dpkg mirror."},"GitSourceContext":{"type":"object","properties":{"revisionId":{"description":"Git commit hash.","type":"string"},"url":{"type":"string","description":"Git repository URL."}},"id":"GitSourceContext","description":"A GitSourceContext denotes a particular revision in a third party Git\nrepository (e.g., GitHub)."},"GrafeasV1beta1PackageDetails":{"description":"Details of a package occurrence.","type":"object","properties":{"installation":{"$ref":"Installation","description":"Required. Where the package was installed."}},"id":"GrafeasV1beta1PackageDetails"},"ScanConfig":{"description":"A scan configuration specifies whether Cloud components in a project have a\nparticular type of analysis being run. For example, it can configure whether\nvulnerability scanning is being done on Docker images or not.","type":"object","properties":{"createTime":{"description":"Output only. The time this scan config was created.","format":"google-datetime","type":"string"},"updateTime":{"description":"Output only. The time this scan config was last updated.","format":"google-datetime","type":"string"},"name":{"description":"Output only. The name of the scan configuration in the form of\n`projects/[PROJECT_ID]/scanConfigs/[SCAN_CONFIG_ID]`.","type":"string"},"description":{"description":"Output only. A human-readable description of what the scan configuration\ndoes.","type":"string"},"enabled":{"type":"boolean","description":"Whether the scan is enabled."}},"id":"ScanConfig"},"ListOccurrencesResponse":{"description":"Response for listing occurrences.","type":"object","properties":{"occurrences":{"description":"The occurrences requested.","type":"array","items":{"$ref":"Occurrence"}},"nextPageToken":{"description":"The next pagination token in the list response. It should be used as\n`page_token` for the following request. An empty value means no more\nresults.","type":"string"}},"id":"ListOccurrencesResponse"},"FixableTotalByDigest":{"type":"object","properties":{"resource":{"$ref":"Resource","description":"The affected resource."},"severity":{"type":"string","enumDescriptions":["Unknown.","Minimal severity.","Low severity.","Medium severity.","High severity.","Critical severity."],"enum":["SEVERITY_UNSPECIFIED","MINIMAL","LOW","MEDIUM","HIGH","CRITICAL"],"description":"The severity for this count. SEVERITY_UNSPECIFIED indicates total across\nall severities."},"totalCount":{"description":"The total number of vulnerabilities associated with this resource.","format":"int64","type":"string"},"fixableCount":{"description":"The number of fixable vulnerabilities associated with this resource.","format":"int64","type":"string"}},"id":"FixableTotalByDigest","description":"Per resource and severity counts of fixable and total vulnerabilities."},"BatchCreateNotesRequest":{"description":"Request to create notes in batch.","type":"object","properties":{"notes":{"additionalProperties":{"$ref":"Note"},"description":"The notes to create. Max allowed length is 1000.","type":"object"}},"id":"BatchCreateNotesRequest"},"BatchCreateOccurrencesResponse":{"description":"Response for creating occurrences in batch.","type":"object","properties":{"occurrences":{"type":"array","items":{"$ref":"Occurrence"},"description":"The occurrences that were created."}},"id":"BatchCreateOccurrencesResponse"},"Hash":{"type":"object","properties":{"type":{"description":"Required. The type of hash that was performed.","type":"string","enumDescriptions":["Unknown.","A SHA-256 hash."],"enum":["HASH_TYPE_UNSPECIFIED","SHA256"]},"value":{"description":"Required. The hash value.","format":"byte","type":"string"}},"id":"Hash","description":"Container message for hash values."},"SetIamPolicyRequest":{"id":"SetIamPolicyRequest","description":"Request message for `SetIamPolicy` method.","type":"object","properties":{"policy":{"$ref":"Policy","description":"REQUIRED: The complete policy to be applied to the `resource`. The size of\nthe policy is limited to a few 10s of KB. An empty policy is a\nvalid policy but certain Cloud Platform services (such as Projects)\nmight reject them."},"updateMask":{"type":"string","description":"OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only\nthe fields in the mask will be modified. If no mask is provided, the\nfollowing default mask is used:\npaths: \"bindings, etag\"\nThis field is only used by Cloud IAM.","format":"google-fieldmask"}}},"VulnerabilityLocation":{"description":"The location of the vulnerability.","type":"object","properties":{"cpeUri":{"description":"Required. The CPE URI in [cpe format](https://cpe.mitre.org/specification/)\nformat. Examples include distro or storage location for vulnerable jar.","type":"string"},"package":{"type":"string","description":"Required. The package being described."},"version":{"$ref":"Version","description":"Required. The version of the package being described."}},"id":"VulnerabilityLocation"},"AliasContext":{"description":"An alias to a repo revision.","type":"object","properties":{"name":{"description":"The alias name.","type":"string"},"kind":{"type":"string","enumDescriptions":["Unknown.","Git tag.","Git branch.","Used to specify non-standard aliases. For example, if a Git repo has a\nref named \"refs/foo/bar\"."],"enum":["KIND_UNSPECIFIED","FIXED","MOVABLE","OTHER"],"description":"The alias kind."}},"id":"AliasContext"},"Command":{"type":"object","properties":{"name":{"description":"Required. Name of the command, as presented on the command line, or if the\ncommand is packaged as a Docker container, as presented to `docker pull`.","type":"string"},"id":{"description":"Optional unique identifier for this command, used in wait_for to reference\nthis command as a dependency.","type":"string"},"dir":{"description":"Working directory (relative to project source root) used when running this\ncommand.","type":"string"},"waitFor":{"description":"The ID(s) of the command(s) that this command depends on.","type":"array","items":{"type":"string"}},"env":{"description":"Environment variables set before running this command.","type":"array","items":{"type":"string"}},"args":{"description":"Command-line arguments used when executing this command.","type":"array","items":{"type":"string"}}},"id":"Command","description":"Command describes a step performed as part of the build pipeline."},"BatchCreateOccurrencesRequest":{"description":"Request to create occurrences in batch.","type":"object","properties":{"occurrences":{"description":"The occurrences to create. Max allowed length is 1000.","type":"array","items":{"$ref":"Occurrence"}}},"id":"BatchCreateOccurrencesRequest"},"Attestation":{"type":"object","properties":{"pgpSignedAttestation":{"$ref":"PgpSignedAttestation","description":"A PGP signed attestation."},"genericSignedAttestation":{"$ref":"GenericSignedAttestation"}},"id":"Attestation","description":"Occurrence that represents a single \"attestation\". The authenticity of an\nattestation can be verified using the attached signature. If the verifier\ntrusts the public key of the signer, then verifying the signature is\nsufficient to establish trust. In this circumstance, the authority to which\nthis attestation is attached is primarily useful for look-up (how to find\nthis attestation if you already know the authority and artifact to be\nverified) and intent (which authority was this attestation intended to sign\nfor)."},"Location":{"description":"An occurrence of a particular package installation found within a system's\nfilesystem. E.g., glibc was found in `/var/lib/dpkg/status`.","type":"object","properties":{"version":{"description":"The version installed at this location.","$ref":"Version"},"path":{"description":"The path from which we gathered that this package/version is installed.","type":"string"},"cpeUri":{"description":"Required. The CPE URI in [CPE format](https://cpe.mitre.org/specification/)\ndenoting the package manager version distributing a package.","type":"string"}},"id":"Location"},"ProjectRepoId":{"type":"object","properties":{"projectId":{"description":"The ID of the project.","type":"string"},"repoName":{"description":"The name of the repo. Leave empty for the default repo.","type":"string"}},"id":"ProjectRepoId","description":"Selects a repo using a Google Cloud Platform project ID (e.g.,\nwinged-cargo-31) and a repo name within that project."},"CVSSv3":{"description":"Common Vulnerability Scoring System version 3.\nFor details, see https://www.first.org/cvss/specification-document","type":"object","properties":{"integrityImpact":{"type":"string","enumDescriptions":["","","",""],"enum":["IMPACT_UNSPECIFIED","IMPACT_HIGH","IMPACT_LOW","IMPACT_NONE"]},"exploitabilityScore":{"format":"float","type":"number"},"impactScore":{"type":"number","format":"float"},"attackComplexity":{"type":"string","enumDescriptions":["","",""],"enum":["ATTACK_COMPLEXITY_UNSPECIFIED","ATTACK_COMPLEXITY_LOW","ATTACK_COMPLEXITY_HIGH"]},"availabilityImpact":{"enum":["IMPACT_UNSPECIFIED","IMPACT_HIGH","IMPACT_LOW","IMPACT_NONE"],"type":"string","enumDescriptions":["","","",""]},"privilegesRequired":{"enum":["PRIVILEGES_REQUIRED_UNSPECIFIED","PRIVILEGES_REQUIRED_NONE","PRIVILEGES_REQUIRED_LOW","PRIVILEGES_REQUIRED_HIGH"],"type":"string","enumDescriptions":["","","",""]},"userInteraction":{"type":"string","enumDescriptions":["","",""],"enum":["USER_INTERACTION_UNSPECIFIED","USER_INTERACTION_NONE","USER_INTERACTION_REQUIRED"]},"attackVector":{"enum":["ATTACK_VECTOR_UNSPECIFIED","ATTACK_VECTOR_NETWORK","ATTACK_VECTOR_ADJACENT","ATTACK_VECTOR_LOCAL","ATTACK_VECTOR_PHYSICAL"],"description":"Base Metrics\nRepresents the intrinsic characteristics of a vulnerability that are\nconstant over time and across user environments.","type":"string","enumDescriptions":["","","","",""]},"confidentialityImpact":{"enumDescriptions":["","","",""],"enum":["IMPACT_UNSPECIFIED","IMPACT_HIGH","IMPACT_LOW","IMPACT_NONE"],"type":"string"},"baseScore":{"description":"The base score is a function of the base metric scores.","format":"float","type":"number"},"scope":{"type":"string","enumDescriptions":["","",""],"enum":["SCOPE_UNSPECIFIED","SCOPE_UNCHANGED","SCOPE_CHANGED"]}},"id":"CVSSv3"},"Resource":{"description":"An entity that can have metadata. For example, a Docker image.","type":"object","properties":{"uri":{"description":"Required. The unique URI of the resource. For example,\n`https://gcr.io/project/image@sha256:foo` for a Docker image.","type":"string"},"name":{"description":"Deprecated, do not use. Use uri instead.\n\nThe name of the resource. For example, the name of a Docker image -\n\"Debian\".","type":"string"},"contentHash":{"$ref":"Hash","description":"Deprecated, do not use. Use uri instead.\n\nThe hash of the resource content. For example, the Docker digest."}},"id":"Resource"},"Hint":{"description":"This submessage provides human-readable hints about the purpose of the\nauthority. Because the name of a note acts as its resource reference, it is\nimportant to disambiguate the canonical name of the Note (which might be a\nUUID for security purposes) from \"readable\" names more suitable for debug\noutput. Note that these hints should not be used to look up authorities in\nsecurity sensitive contexts, such as when looking up attestations to\nverify.","type":"object","properties":{"humanReadableName":{"description":"Required. The human readable name of this attestation authority, for\nexample \"qa\".","type":"string"}},"id":"Hint"},"TestIamPermissionsRequest":{"type":"object","properties":{"permissions":{"description":"The set of permissions to check for the `resource`. Permissions with\nwildcards (such as '*' or 'storage.*') are not allowed. For more\ninformation see\n[IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","type":"array","items":{"type":"string"}}},"id":"TestIamPermissionsRequest","description":"Request message for `TestIamPermissions` method."},"Artifact":{"type":"object","properties":{"checksum":{"description":"Hash or checksum value of a binary, or Docker Registry 2.0 digest of a\ncontainer.","type":"string"},"id":{"type":"string","description":"Artifact ID, if any; for container images, this will be a URL by digest\nlike `gcr.io/projectID/imagename@sha256:123456`."},"names":{"description":"Related artifact names. This may be the path to a binary or jar file, or in\nthe case of a container build, the name used to push the container image to\nGoogle Container Registry, as presented to `docker push`. Note that a\nsingle Artifact ID can have multiple names, for example if two tags are\napplied to one image.","type":"array","items":{"type":"string"}}},"id":"Artifact","description":"Artifact describes a build product."},"GrafeasV1beta1DeploymentDetails":{"id":"GrafeasV1beta1DeploymentDetails","description":"Details of a deployment occurrence.","type":"object","properties":{"deployment":{"description":"Required. Deployment history for the resource.","$ref":"Deployment"}}},"Version":{"description":"Version contains structured information about the version of a package.","type":"object","properties":{"revision":{"description":"The iteration of the package build from the above version.","type":"string"},"name":{"description":"Required only when version kind is NORMAL. The main part of the version\nname.","type":"string"},"kind":{"enumDescriptions":["Unknown.","A standard package version.","A special version representing negative infinity.","A special version representing positive infinity."],"enum":["VERSION_KIND_UNSPECIFIED","NORMAL","MINIMUM","MAXIMUM"],"description":"Required. Distinguishes between sentinel MIN/MAX versions and normal\nversions.","type":"string"},"epoch":{"description":"Used to correct mistakes in the version numbering scheme.","format":"int32","type":"integer"}},"id":"Version"},"Package":{"description":"This represents a particular package that is distributed over various\nchannels. E.g., glibc (aka libc6) is distributed by many, at various\nversions.","type":"object","properties":{"name":{"description":"Required. Immutable. The name of the package.","type":"string"},"distribution":{"description":"The various channels by which a package is distributed.","type":"array","items":{"$ref":"Distribution"}}},"id":"Package"},"Deployable":{"id":"Deployable","description":"An artifact that can be deployed in some runtime.","type":"object","properties":{"resourceUri":{"description":"Required. Resource URI for the artifact being deployed.","type":"array","items":{"type":"string"}}}},"GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata":{"description":"Metadata for all operations used and required for all operations\nthat created by Container Analysis Providers","type":"object","properties":{"endTime":{"description":"Output only. The time that this operation was marked completed or failed.","format":"google-datetime","type":"string"},"createTime":{"description":"Output only. The time this operation was created.","format":"google-datetime","type":"string"}},"id":"GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata"},"Fingerprint":{"description":"A set of properties that uniquely identify a given Docker image.","type":"object","properties":{"v1Name":{"description":"Required. The layer ID of the final layer in the Docker image's v1\nrepresentation.","type":"string"},"v2Name":{"description":"Output only. The name of the image's v2 blobs computed via:\n  [bottom] := v2_blobbottom := sha256(v2_blob[N] + \" \" + v2_name[N+1])\nOnly the name of the final blob is kept.","type":"string"},"v2Blob":{"type":"array","items":{"type":"string"},"description":"Required. The ordered list of v2 blobs that represent a given image."}},"id":"Fingerprint"},"AuditConfig":{"type":"object","properties":{"service":{"description":"Specifies a service that will be enabled for audit logging.\nFor example, `storage.googleapis.com`, `cloudsql.googleapis.com`.\n`allServices` is a special value that covers all services.","type":"string"},"auditLogConfigs":{"description":"The configuration for logging of each type of permission.","type":"array","items":{"$ref":"AuditLogConfig"}}},"id":"AuditConfig","description":"Specifies the audit configuration for a service.\nThe configuration determines which permission types are logged, and what\nidentities, if any, are exempted from logging.\nAn AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service,\nthe union of the two AuditConfigs is used for that service: the log_types\nspecified in each AuditConfig are enabled, and the exempted_members in each\nAuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n    {\n      \"audit_configs\": [\n        {\n          \"service\": \"allServices\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n              \"exempted_members\": [\n                \"user:foo@gmail.com\"\n              ]\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n            },\n            {\n              \"log_type\": \"ADMIN_READ\",\n            }\n          ]\n        },\n        {\n          \"service\": \"fooservice.googleapis.com\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n              \"exempted_members\": [\n                \"user:bar@gmail.com\"\n              ]\n            }\n          ]\n        }\n      ]\n    }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ\nlogging. It also exempts foo@gmail.com from DATA_READ logging, and\nbar@gmail.com from DATA_WRITE logging."},"Discovery":{"type":"object","properties":{"analysisKind":{"description":"Required. Immutable. The kind of analysis that is handled by this\ndiscovery.","type":"string","enumDescriptions":["Unknown.","The note and occurrence represent a package vulnerability.","The note and occurrence assert build provenance.","This represents an image basis relationship.","This represents a package installed via a package manager.","The note and occurrence track deployment events.","The note and occurrence track the initial discovery status of a resource.","This represents a logical \"role\" that can attest to artifacts."],"enum":["NOTE_KIND_UNSPECIFIED","VULNERABILITY","BUILD","IMAGE","PACKAGE","DEPLOYMENT","DISCOVERY","ATTESTATION"]}},"id":"Discovery","description":"A note that indicates a type of analysis a provider would perform. This note\nexists in a provider's project. A `Discovery` occurrence is created in a\nconsumer's project at the start of analysis."},"BuildSignature":{"description":"Message encapsulating the signature of the verified build.","type":"object","properties":{"keyId":{"description":"An ID for the key used to sign. This could be either an ID for the key\nstored in `public_key` (such as the ID or fingerprint for a PGP key, or the\nCN for a cert), or a reference to an external key (such as a reference to a\nkey in Cloud Key Management Service).","type":"string"},"keyType":{"type":"string","enumDescriptions":["`KeyType` is not set.","`PGP ASCII Armored` public key.","`PKIX PEM` public key."],"enum":["KEY_TYPE_UNSPECIFIED","PGP_ASCII_ARMORED","PKIX_PEM"],"description":"The type of the key, either stored in `public_key` or referenced in\n`key_id`."},"signature":{"description":"Required. Signature of the related `BuildProvenance`. In JSON, this is\nbase-64 encoded.","format":"byte","type":"string"},"publicKey":{"description":"Public key of the builder which can be used to verify that the related\nfindings are valid and unchanged. If `key_type` is empty, this defaults\nto PEM encoded public keys.\n\nThis field may be empty if `key_id` references an external key.\n\nFor Cloud Build based signatures, this is a PEM encoded public\nkey. To verify the Cloud Build signature, place the contents of\nthis field into a file (public.pem). The signature field is base64-decoded\ninto its binary representation in signature.bin, and the provenance bytes\nfrom `BuildDetails` are base64-decoded into a binary representation in\nsigned.bin. OpenSSL can then verify the signature:\n`openssl sha256 -verify public.pem -signature signature.bin signed.bin`","type":"string"}},"id":"BuildSignature"},"Discovered":{"description":"Provides information about the analysis status of a discovered resource.","type":"object","properties":{"analysisStatusError":{"$ref":"Status","description":"When an error is encountered this will contain a LocalizedMessage under\ndetails to show to the user. The LocalizedMessage is output only and\npopulated by the API."},"analysisStatus":{"type":"string","enumDescriptions":["Unknown.","Resource is known but no action has been taken yet.","Resource is being analyzed.","Analysis has finished successfully.","Analysis has finished unsuccessfully, the analysis itself is in a bad\nstate.","The resource is known not to be supported"],"enum":["ANALYSIS_STATUS_UNSPECIFIED","PENDING","SCANNING","FINISHED_SUCCESS","FINISHED_FAILED","FINISHED_UNSUPPORTED"],"description":"The status of discovery for the resource."},"continuousAnalysis":{"description":"Whether the resource is continuously analyzed.","type":"string","enumDescriptions":["Unknown.","The resource is continuously analyzed.","The resource is ignored for continuous analysis."],"enum":["CONTINUOUS_ANALYSIS_UNSPECIFIED","ACTIVE","INACTIVE"]},"lastAnalysisTime":{"description":"The last time continuous analysis was done for this resource.\nDeprecated, do not use.","format":"google-datetime","type":"string"}},"id":"Discovered"},"SourceContext":{"description":"A SourceContext is a reference to a tree of files. A SourceContext together\nwith a path point to a unique revision of a single file or directory.","type":"object","properties":{"labels":{"additionalProperties":{"type":"string"},"description":"Labels with user defined metadata.","type":"object"},"git":{"$ref":"GitSourceContext","description":"A SourceContext referring to any third party Git repo (e.g., GitHub)."},"gerrit":{"$ref":"GerritSourceContext","description":"A SourceContext referring to a Gerrit project."},"cloudRepo":{"$ref":"CloudRepoSourceContext","description":"A SourceContext referring to a revision in a Google Cloud Source Repo."}},"id":"SourceContext"},"Expr":{"description":"Represents an expression text. Example:\n\n    title: \"User account presence\"\n    description: \"Determines whether the request has a user account\"\n    expression: \"size(request.user) > 0\"","type":"object","properties":{"title":{"description":"An optional title for the expression, i.e. a short string describing\nits purpose. This can be used e.g. in UIs which allow to enter the\nexpression.","type":"string"},"location":{"description":"An optional string indicating the location of the expression for error\nreporting, e.g. a file name and a position in the file.","type":"string"},"description":{"type":"string","description":"An optional description of the expression. This is a longer text which\ndescribes the expression, e.g. when hovered over it in a UI."},"expression":{"description":"Textual representation of an expression in\nCommon Expression Language syntax.\n\nThe application context of the containing message determines which\nwell-known feature set of CEL is supported.","type":"string"}},"id":"Expr"},"PackageIssue":{"description":"This message wraps a location affected by a vulnerability and its\nassociated fix (if one is available).","type":"object","properties":{"severityName":{"description":"Deprecated, use Details.effective_severity instead\nThe severity (e.g., distro assigned severity) for this vulnerability.","type":"string"},"affectedLocation":{"$ref":"VulnerabilityLocation","description":"Required. The location of the vulnerability."},"fixedLocation":{"$ref":"VulnerabilityLocation","description":"The location of the available fix for vulnerability."}},"id":"PackageIssue"},"Vulnerability":{"type":"object","properties":{"severity":{"type":"string","enumDescriptions":["Unknown.","Minimal severity.","Low severity.","Medium severity.","High severity.","Critical severity."],"enum":["SEVERITY_UNSPECIFIED","MINIMAL","LOW","MEDIUM","HIGH","CRITICAL"],"description":"Note provider assigned impact of the vulnerability."},"details":{"type":"array","items":{"$ref":"Detail"},"description":"All information about the package to specifically identify this\nvulnerability. One entry per (version range and cpe_uri) the package\nvulnerability has manifested in."},"cvssScore":{"description":"The CVSS score for this vulnerability.","format":"float","type":"number"},"windowsDetails":{"description":"Windows details get their own format because the information format and\nmodel don't match a normal detail. Specifically Windows updates are done as\npatches, thus Windows vulnerabilities really are a missing package, rather\nthan a package being at an incorrect version.","type":"array","items":{"$ref":"WindowsDetail"}},"cvssV3":{"description":"The full description of the CVSSv3.","$ref":"CVSSv3"}},"id":"Vulnerability","description":"Vulnerability provides metadata about a security vulnerability in a Note."}},"icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"protocol":"rest","canonicalName":"Container Analysis","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://containeranalysis.googleapis.com/","ownerDomain":"google.com","name":"containeranalysis","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Container Analysis API","ownerName":"Google"};