export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/JrRFVq1dVWgk7QWNhBQNy4Ljt24\"","discoveryVersion":"v1","id":"content:v2","name":"content","canonicalName":"Shopping Content","version":"v2","revision":"20190607","title":"Content API for Shopping","description":"Manages product items, inventory, and Merchant Center accounts for Google Shopping.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png","x32":"https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png"},"documentationLink":"https://developers.google.com/shopping-content","protocol":"rest","baseUrl":"https://www.googleapis.com/content/v2/","basePath":"/content/v2/","rootUrl":"https://www.googleapis.com/","servicePath":"content/v2/","batchPath":"batch/content/v2","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/content":{"description":"Manage your product listings and accounts for Google Shopping"}}}},"schemas":{"Account":{"id":"Account","type":"object","description":"Account data. After the creation of a new account it may take a few minutes before it is fully operational. The methods delete, insert, patch, and update require the admin role.","properties":{"adultContent":{"type":"boolean","description":"Indicates whether the merchant sells adult content."},"adwordsLinks":{"type":"array","description":"List of linked AdWords accounts that are active or pending approval. To create a new link request, add a new link with status active to the list. It will remain in a pending state until approved or rejected either in the AdWords interface or through the  AdWords API. To delete an active link, or to cancel a link request, remove it from the list.","items":{"$ref":"AccountAdwordsLink"}},"businessInformation":{"$ref":"AccountBusinessInformation","description":"The business information of the account."},"googleMyBusinessLink":{"$ref":"AccountGoogleMyBusinessLink","description":"The GMB account which is linked or in the process of being linked with the Merchant Center account."},"id":{"type":"string","description":"Merchant Center account ID.","format":"uint64","annotations":{"required":["content.accounts.update"]}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#account\".","default":"content#account"},"name":{"type":"string","description":"Display name for the account.","annotations":{"required":["content.accounts.insert","content.accounts.update"]}},"reviewsUrl":{"type":"string","description":"[DEPRECATED] This field is never returned and will be ignored if provided."},"sellerId":{"type":"string","description":"Client-specific, locally-unique, internal ID for the child account."},"users":{"type":"array","description":"Users with access to the account. Every account (except for subaccounts) must have at least one admin user.","items":{"$ref":"AccountUser"}},"websiteUrl":{"type":"string","description":"The merchant's website."},"youtubeChannelLinks":{"type":"array","description":"List of linked YouTube channels that are active or pending approval. To create a new link request, add a new link with status active to the list. It will remain in a pending state until approved or rejected in the YT Creator Studio interface. To delete an active link, or to cancel a link request, remove it from the list.","items":{"$ref":"AccountYouTubeChannelLink"}}}},"AccountAddress":{"id":"AccountAddress","type":"object","properties":{"country":{"type":"string","description":"CLDR country code (e.g. \"US\")."},"locality":{"type":"string","description":"City, town or commune. May also include dependent localities or sublocalities (e.g. neighborhoods or suburbs)."},"postalCode":{"type":"string","description":"Postal code or ZIP (e.g. \"94043\")."},"region":{"type":"string","description":"Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\")."},"streetAddress":{"type":"string","description":"Street-level part of the address."}}},"AccountAdwordsLink":{"id":"AccountAdwordsLink","type":"object","properties":{"adwordsId":{"type":"string","description":"Customer ID of the AdWords account.","format":"uint64"},"status":{"type":"string","description":"Status of the link between this Merchant Center account and the AdWords account. Upon retrieval, it represents the actual status of the link and can be either active if it was approved in Google AdWords or pending if it's pending approval. Upon insertion, it represents the intended status of the link. Re-uploading a link with status active when it's still pending or with status pending when it's already active will have no effect: the status will remain unchanged. Re-uploading a link with deprecated status inactive is equivalent to not submitting the link at all and will delete the link if it was active or cancel the link request if it was pending."}}},"AccountBusinessInformation":{"id":"AccountBusinessInformation","type":"object","properties":{"address":{"$ref":"AccountAddress","description":"The address of the business."},"customerService":{"$ref":"AccountCustomerService","description":"The customer service information of the business."},"phoneNumber":{"type":"string","description":"The phone number of the business."}}},"AccountCustomerService":{"id":"AccountCustomerService","type":"object","properties":{"email":{"type":"string","description":"Customer service email."},"phoneNumber":{"type":"string","description":"Customer service phone number."},"url":{"type":"string","description":"Customer service URL."}}},"AccountGoogleMyBusinessLink":{"id":"AccountGoogleMyBusinessLink","type":"object","properties":{"gmbEmail":{"type":"string","description":"The GMB email address of which a specific account within a GMB account. A sample account within a GMB account could be a business account with set of locations, managed under the GMB account."},"status":{"type":"string","description":"Status of the link between this Merchant Center account and the GMB account."}}},"AccountIdentifier":{"id":"AccountIdentifier","type":"object","properties":{"aggregatorId":{"type":"string","description":"The aggregator ID, set for aggregators and subaccounts (in that case, it represents the aggregator of the subaccount).","format":"uint64"},"merchantId":{"type":"string","description":"The merchant account ID, set for individual accounts and subaccounts.","format":"uint64"}}},"AccountStatus":{"id":"AccountStatus","type":"object","description":"The status of an account, i.e., information about its products, which is computed offline and not returned immediately at insertion time.","properties":{"accountId":{"type":"string","description":"The ID of the account for which the status is reported."},"accountLevelIssues":{"type":"array","description":"A list of account level issues.","items":{"$ref":"AccountStatusAccountLevelIssue"}},"dataQualityIssues":{"type":"array","description":"DEPRECATED - never populated.","items":{"$ref":"AccountStatusDataQualityIssue"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountStatus\".","default":"content#accountStatus"},"products":{"type":"array","description":"List of product-related data by channel, destination, and country. Data in this field may be delayed by up to 30 minutes.","items":{"$ref":"AccountStatusProducts"}},"websiteClaimed":{"type":"boolean","description":"Whether the account's website is claimed or not."}}},"AccountStatusAccountLevelIssue":{"id":"AccountStatusAccountLevelIssue","type":"object","properties":{"country":{"type":"string","description":"Country for which this issue is reported."},"destination":{"type":"string","description":"The destination the issue applies to."},"detail":{"type":"string","description":"Additional details about the issue."},"documentation":{"type":"string","description":"The URL of a web page to help resolving this issue."},"id":{"type":"string","description":"Issue identifier."},"severity":{"type":"string","description":"Severity of the issue."},"title":{"type":"string","description":"Short description of the issue."}}},"AccountStatusDataQualityIssue":{"id":"AccountStatusDataQualityIssue","type":"object","properties":{"country":{"type":"string"},"destination":{"type":"string"},"detail":{"type":"string"},"displayedValue":{"type":"string"},"exampleItems":{"type":"array","items":{"$ref":"AccountStatusExampleItem"}},"id":{"type":"string"},"lastChecked":{"type":"string"},"location":{"type":"string"},"numItems":{"type":"integer","format":"uint32"},"severity":{"type":"string"},"submittedValue":{"type":"string"}}},"AccountStatusExampleItem":{"id":"AccountStatusExampleItem","type":"object","properties":{"itemId":{"type":"string"},"link":{"type":"string"},"submittedValue":{"type":"string"},"title":{"type":"string"},"valueOnLandingPage":{"type":"string"}}},"AccountStatusItemLevelIssue":{"id":"AccountStatusItemLevelIssue","type":"object","properties":{"attributeName":{"type":"string","description":"The attribute's name, if the issue is caused by a single attribute."},"code":{"type":"string","description":"The error code of the issue."},"description":{"type":"string","description":"A short issue description in English."},"detail":{"type":"string","description":"A detailed issue description in English."},"documentation":{"type":"string","description":"The URL of a web page to help with resolving this issue."},"numItems":{"type":"string","description":"Number of items with this issue.","format":"int64"},"resolution":{"type":"string","description":"Whether the issue can be resolved by the merchant."},"servability":{"type":"string","description":"How this issue affects serving of the offer."}}},"AccountStatusProducts":{"id":"AccountStatusProducts","type":"object","properties":{"channel":{"type":"string","description":"The channel the data applies to."},"country":{"type":"string","description":"The country the data applies to."},"destination":{"type":"string","description":"The destination the data applies to."},"itemLevelIssues":{"type":"array","description":"List of item-level issues.","items":{"$ref":"AccountStatusItemLevelIssue"}},"statistics":{"$ref":"AccountStatusStatistics","description":"Aggregated product statistics."}}},"AccountStatusStatistics":{"id":"AccountStatusStatistics","type":"object","properties":{"active":{"type":"string","description":"Number of active offers.","format":"int64"},"disapproved":{"type":"string","description":"Number of disapproved offers.","format":"int64"},"expiring":{"type":"string","description":"Number of expiring offers.","format":"int64"},"pending":{"type":"string","description":"Number of pending offers.","format":"int64"}}},"AccountTax":{"id":"AccountTax","type":"object","description":"The tax settings of a merchant account. All methods require the admin role.","properties":{"accountId":{"type":"string","description":"The ID of the account to which these account tax settings belong.","format":"uint64","annotations":{"required":["content.accounttax.update"]}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountTax\".","default":"content#accountTax"},"rules":{"type":"array","description":"Tax rules. Updating the tax rules will enable US taxes (not reversible). Defining no rules is equivalent to not charging tax at all.","items":{"$ref":"AccountTaxTaxRule"}}}},"AccountTaxTaxRule":{"id":"AccountTaxTaxRule","type":"object","description":"Tax calculation rule to apply in a state or province (USA only).","properties":{"country":{"type":"string","description":"Country code in which tax is applicable."},"locationId":{"type":"string","description":"State (or province) is which the tax is applicable, described by its location ID (also called criteria ID).","format":"uint64","annotations":{"required":["content.accounttax.update"]}},"ratePercent":{"type":"string","description":"Explicit tax rate in percent, represented as a floating point number without the percentage character. Must not be negative."},"shippingTaxed":{"type":"boolean","description":"If true, shipping charges are also taxed."},"useGlobalRate":{"type":"boolean","description":"Whether the tax rate is taken from a global tax table or specified explicitly."}}},"AccountUser":{"id":"AccountUser","type":"object","properties":{"admin":{"type":"boolean","description":"Whether user is an admin."},"emailAddress":{"type":"string","description":"User's email address."},"orderManager":{"type":"boolean","description":"Whether user is an order manager."},"paymentsAnalyst":{"type":"boolean","description":"Whether user can access payment statements."},"paymentsManager":{"type":"boolean","description":"Whether user can manage payment settings."}}},"AccountYouTubeChannelLink":{"id":"AccountYouTubeChannelLink","type":"object","properties":{"channelId":{"type":"string","description":"Channel ID."},"status":{"type":"string","description":"Status of the link between this Merchant Center account and the YouTube channel. Upon retrieval, it represents the actual status of the link and can be either active if it was approved in YT Creator Studio or pending if it's pending approval. Upon insertion, it represents the intended status of the link. Re-uploading a link with status active when it's still pending or with status pending when it's already active will have no effect: the status will remain unchanged. Re-uploading a link with deprecated status inactive is equivalent to not submitting the link at all and will delete the link if it was active or cancel the link request if it was pending."}}},"AccountsAuthInfoResponse":{"id":"AccountsAuthInfoResponse","type":"object","properties":{"accountIdentifiers":{"type":"array","description":"The account identifiers corresponding to the authenticated user.\n- For an individual account: only the merchant ID is defined\n- For an aggregator: only the aggregator ID is defined\n- For a subaccount of an MCA: both the merchant ID and the aggregator ID are defined.","items":{"$ref":"AccountIdentifier"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountsAuthInfoResponse\".","default":"content#accountsAuthInfoResponse"}}},"AccountsClaimWebsiteResponse":{"id":"AccountsClaimWebsiteResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountsClaimWebsiteResponse\".","default":"content#accountsClaimWebsiteResponse"}}},"AccountsCustomBatchRequest":{"id":"AccountsCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"AccountsCustomBatchRequestEntry"}}}},"AccountsCustomBatchRequestEntry":{"id":"AccountsCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch accounts request.","properties":{"account":{"$ref":"Account","description":"The account to create or update. Only defined if the method is insert or update."},"accountId":{"type":"string","description":"The ID of the targeted account. Only defined if the method is not insert.","format":"uint64"},"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"force":{"type":"boolean","description":"Whether the account should be deleted if the account has offers. Only applicable if the method is delete."},"linkRequest":{"$ref":"AccountsCustomBatchRequestEntryLinkRequest","description":"Details about the link request."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string","description":"The method of the batch entry."},"overwrite":{"type":"boolean","description":"Only applicable if the method is claimwebsite. Indicates whether or not to take the claim from another account in case there is a conflict."}}},"AccountsCustomBatchRequestEntryLinkRequest":{"id":"AccountsCustomBatchRequestEntryLinkRequest","type":"object","properties":{"action":{"type":"string","description":"Action to perform for this link. The \"request\" action is only available to select merchants."},"linkType":{"type":"string","description":"Type of the link between the two accounts."},"linkedAccountId":{"type":"string","description":"The ID of the linked account."}}},"AccountsCustomBatchResponse":{"id":"AccountsCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"AccountsCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountsCustomBatchResponse\".","default":"content#accountsCustomBatchResponse"}}},"AccountsCustomBatchResponseEntry":{"id":"AccountsCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch accounts response.","properties":{"account":{"$ref":"Account","description":"The retrieved, created, or updated account. Not defined if the method was delete, claimwebsite or link."},"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountsCustomBatchResponseEntry\".","default":"content#accountsCustomBatchResponseEntry"},"linkStatus":{"type":"string","description":"Deprecated. This field is never set."}}},"AccountsLinkRequest":{"id":"AccountsLinkRequest","type":"object","properties":{"action":{"type":"string","description":"Action to perform for this link. The \"request\" action is only available to select merchants."},"linkType":{"type":"string","description":"Type of the link between the two accounts."},"linkedAccountId":{"type":"string","description":"The ID of the linked account."}}},"AccountsLinkResponse":{"id":"AccountsLinkResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountsLinkResponse\".","default":"content#accountsLinkResponse"}}},"AccountsListResponse":{"id":"AccountsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountsListResponse\".","default":"content#accountsListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of accounts."},"resources":{"type":"array","items":{"$ref":"Account"}}}},"AccountstatusesCustomBatchRequest":{"id":"AccountstatusesCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"AccountstatusesCustomBatchRequestEntry"}}}},"AccountstatusesCustomBatchRequestEntry":{"id":"AccountstatusesCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch accountstatuses request.","properties":{"accountId":{"type":"string","description":"The ID of the (sub-)account whose status to get.","format":"uint64"},"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"destinations":{"type":"array","description":"If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.","items":{"type":"string"}},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string","description":"The method (get)."}}},"AccountstatusesCustomBatchResponse":{"id":"AccountstatusesCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"AccountstatusesCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountstatusesCustomBatchResponse\".","default":"content#accountstatusesCustomBatchResponse"}}},"AccountstatusesCustomBatchResponseEntry":{"id":"AccountstatusesCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch accountstatuses response.","properties":{"accountStatus":{"$ref":"AccountStatus","description":"The requested account status. Defined if and only if the request was successful."},"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."}}},"AccountstatusesListResponse":{"id":"AccountstatusesListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accountstatusesListResponse\".","default":"content#accountstatusesListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of account statuses."},"resources":{"type":"array","items":{"$ref":"AccountStatus"}}}},"AccounttaxCustomBatchRequest":{"id":"AccounttaxCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"AccounttaxCustomBatchRequestEntry"}}}},"AccounttaxCustomBatchRequestEntry":{"id":"AccounttaxCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch accounttax request.","properties":{"accountId":{"type":"string","description":"The ID of the account for which to get/update account tax settings.","format":"uint64"},"accountTax":{"$ref":"AccountTax","description":"The account tax settings to update. Only defined if the method is update."},"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"}}},"AccounttaxCustomBatchResponse":{"id":"AccounttaxCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"AccounttaxCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accounttaxCustomBatchResponse\".","default":"content#accounttaxCustomBatchResponse"}}},"AccounttaxCustomBatchResponseEntry":{"id":"AccounttaxCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch accounttax response.","properties":{"accountTax":{"$ref":"AccountTax","description":"The retrieved or updated account tax settings."},"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accounttaxCustomBatchResponseEntry\".","default":"content#accounttaxCustomBatchResponseEntry"}}},"AccounttaxListResponse":{"id":"AccounttaxListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#accounttaxListResponse\".","default":"content#accounttaxListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of account tax settings."},"resources":{"type":"array","items":{"$ref":"AccountTax"}}}},"Amount":{"id":"Amount","type":"object","properties":{"pretax":{"$ref":"Price","description":"[required] Value before taxes."},"tax":{"$ref":"Price","description":"[required] Tax value."}}},"CarrierRate":{"id":"CarrierRate","type":"object","properties":{"carrierName":{"type":"string","description":"Carrier service, such as \"UPS\" or \"Fedex\". The list of supported carriers can be retrieved via the getSupportedCarriers method. Required."},"carrierService":{"type":"string","description":"Carrier service, such as \"ground\" or \"2 days\". The list of supported services for a carrier can be retrieved via the getSupportedCarriers method. Required."},"flatAdjustment":{"$ref":"Price","description":"Additive shipping rate modifier. Can be negative. For example { \"value\": \"1\", \"currency\" : \"USD\" } adds $1 to the rate, { \"value\": \"-3\", \"currency\" : \"USD\" } removes $3 from the rate. Optional."},"name":{"type":"string","description":"Name of the carrier rate. Must be unique per rate group. Required."},"originPostalCode":{"type":"string","description":"Shipping origin for this carrier rate. Required."},"percentageAdjustment":{"type":"string","description":"Multiplicative shipping rate modifier as a number in decimal notation. Can be negative. For example \"5.4\" increases the rate by 5.4%, \"-3\" decreases the rate by 3%. Optional."}}},"CarriersCarrier":{"id":"CarriersCarrier","type":"object","properties":{"country":{"type":"string","description":"The CLDR country code of the carrier (e.g., \"US\"). Always present."},"name":{"type":"string","description":"The name of the carrier (e.g., \"UPS\"). Always present."},"services":{"type":"array","description":"A list of supported services (e.g., \"ground\") for that carrier. Contains at least one service.","items":{"type":"string"}}}},"CustomAttribute":{"id":"CustomAttribute","type":"object","properties":{"name":{"type":"string","description":"The name of the attribute. Underscores will be replaced by spaces upon insertion."},"type":{"type":"string","description":"The type of the attribute."},"unit":{"type":"string","description":"Free-form unit of the attribute. Unit can only be used for values of type int, float, or price."},"value":{"type":"string","description":"The value of the attribute."}}},"CustomGroup":{"id":"CustomGroup","type":"object","properties":{"attributes":{"type":"array","description":"The sub-attributes.","items":{"$ref":"CustomAttribute"}},"name":{"type":"string","description":"The name of the group. Underscores will be replaced by spaces upon insertion."}}},"CustomerReturnReason":{"id":"CustomerReturnReason","type":"object","properties":{"description":{"type":"string"},"reasonCode":{"type":"string"}}},"CutoffTime":{"id":"CutoffTime","type":"object","properties":{"hour":{"type":"integer","description":"Hour of the cutoff time until which an order has to be placed to be processed in the same day. Required.","format":"uint32"},"minute":{"type":"integer","description":"Minute of the cutoff time until which an order has to be placed to be processed in the same day. Required.","format":"uint32"},"timezone":{"type":"string","description":"Timezone identifier for the cutoff time. A list of identifiers can be found in  the AdWords API documentation. E.g. \"Europe/Zurich\". Required."}}},"Datafeed":{"id":"Datafeed","type":"object","description":"Datafeed configuration data.","properties":{"attributeLanguage":{"type":"string","description":"The two-letter ISO 639-1 language in which the attributes are defined in the data feed."},"contentLanguage":{"type":"string","description":"[DEPRECATED] Please use targets[].language instead. The two-letter ISO 639-1 language of the items in the feed. Must be a valid language for targetCountry."},"contentType":{"type":"string","description":"The type of data feed. For product inventory feeds, only feeds for local stores, not online stores, are supported.","annotations":{"required":["content.datafeeds.insert","content.datafeeds.update"]}},"fetchSchedule":{"$ref":"DatafeedFetchSchedule","description":"Fetch schedule for the feed file."},"fileName":{"type":"string","description":"The filename of the feed. All feeds must have a unique file name.","annotations":{"required":["content.datafeeds.insert","content.datafeeds.update"]}},"format":{"$ref":"DatafeedFormat","description":"Format of the feed file."},"id":{"type":"string","description":"The ID of the data feed.","format":"int64","annotations":{"required":["content.datafeeds.update"]}},"intendedDestinations":{"type":"array","description":"[DEPRECATED] Please use targets[].includedDestinations instead. The list of intended destinations (corresponds to checked check boxes in Merchant Center).","items":{"type":"string"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeed\".","default":"content#datafeed"},"name":{"type":"string","description":"A descriptive name of the data feed.","annotations":{"required":["content.datafeeds.insert"]}},"targetCountry":{"type":"string","description":"[DEPRECATED] Please use targets[].country instead. The country where the items in the feed will be included in the search index, represented as a CLDR territory code."},"targets":{"type":"array","description":"The targets this feed should apply to (country, language, destinations).","items":{"$ref":"DatafeedTarget"}}}},"DatafeedFetchSchedule":{"id":"DatafeedFetchSchedule","type":"object","description":"The required fields vary based on the frequency of fetching. For a monthly fetch schedule, day_of_month and hour are required. For a weekly fetch schedule, weekday and hour are required. For a daily fetch schedule, only hour is required.","properties":{"dayOfMonth":{"type":"integer","description":"The day of the month the feed file should be fetched (1-31).","format":"uint32"},"fetchUrl":{"type":"string","description":"The URL where the feed file can be fetched. Google Merchant Center will support automatic scheduled uploads using the HTTP, HTTPS, FTP, or SFTP protocols, so the value will need to be a valid link using one of those four protocols."},"hour":{"type":"integer","description":"The hour of the day the feed file should be fetched (0-23).","format":"uint32"},"minuteOfHour":{"type":"integer","description":"The minute of the hour the feed file should be fetched (0-59). Read-only.","format":"uint32"},"password":{"type":"string","description":"An optional password for fetch_url."},"paused":{"type":"boolean","description":"Whether the scheduled fetch is paused or not."},"timeZone":{"type":"string","description":"Time zone used for schedule. UTC by default. E.g., \"America/Los_Angeles\"."},"username":{"type":"string","description":"An optional user name for fetch_url."},"weekday":{"type":"string","description":"The day of the week the feed file should be fetched."}}},"DatafeedFormat":{"id":"DatafeedFormat","type":"object","properties":{"columnDelimiter":{"type":"string","description":"Delimiter for the separation of values in a delimiter-separated values feed. If not specified, the delimiter will be auto-detected. Ignored for non-DSV data feeds."},"fileEncoding":{"type":"string","description":"Character encoding scheme of the data feed. If not specified, the encoding will be auto-detected."},"quotingMode":{"type":"string","description":"Specifies how double quotes are interpreted. If not specified, the mode will be auto-detected. Ignored for non-DSV data feeds."}}},"DatafeedStatus":{"id":"DatafeedStatus","type":"object","description":"The status of a datafeed, i.e., the result of the last retrieval of the datafeed computed asynchronously when the feed processing is finished.","properties":{"country":{"type":"string","description":"The country for which the status is reported, represented as a  CLDR territory code."},"datafeedId":{"type":"string","description":"The ID of the feed for which the status is reported.","format":"uint64"},"errors":{"type":"array","description":"The list of errors occurring in the feed.","items":{"$ref":"DatafeedStatusError"}},"itemsTotal":{"type":"string","description":"The number of items in the feed that were processed.","format":"uint64"},"itemsValid":{"type":"string","description":"The number of items in the feed that were valid.","format":"uint64"},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeedStatus\".","default":"content#datafeedStatus"},"language":{"type":"string","description":"The two-letter ISO 639-1 language for which the status is reported."},"lastUploadDate":{"type":"string","description":"The last date at which the feed was uploaded."},"processingStatus":{"type":"string","description":"The processing status of the feed."},"warnings":{"type":"array","description":"The list of errors occurring in the feed.","items":{"$ref":"DatafeedStatusError"}}}},"DatafeedStatusError":{"id":"DatafeedStatusError","type":"object","description":"An error occurring in the feed, like \"invalid price\".","properties":{"code":{"type":"string","description":"The code of the error, e.g., \"validation/invalid_value\"."},"count":{"type":"string","description":"The number of occurrences of the error in the feed.","format":"uint64"},"examples":{"type":"array","description":"A list of example occurrences of the error, grouped by product.","items":{"$ref":"DatafeedStatusExample"}},"message":{"type":"string","description":"The error message, e.g., \"Invalid price\"."}}},"DatafeedStatusExample":{"id":"DatafeedStatusExample","type":"object","description":"An example occurrence for a particular error.","properties":{"itemId":{"type":"string","description":"The ID of the example item."},"lineNumber":{"type":"string","description":"Line number in the data feed where the example is found.","format":"uint64"},"value":{"type":"string","description":"The problematic value."}}},"DatafeedTarget":{"id":"DatafeedTarget","type":"object","properties":{"country":{"type":"string","description":"The country where the items in the feed will be included in the search index, represented as a  CLDR territory code."},"excludedDestinations":{"type":"array","description":"The list of destinations to exclude for this target (corresponds to unchecked check boxes in Merchant Center).","items":{"type":"string"}},"includedDestinations":{"type":"array","description":"The list of destinations to include for this target (corresponds to checked check boxes in Merchant Center). Default destinations are always included unless provided in the excluded_destination field.","items":{"type":"string"}},"language":{"type":"string","description":"The two-letter ISO 639-1 language of the items in the feed. Must be a valid language for targets[].country."}}},"DatafeedsCustomBatchRequest":{"id":"DatafeedsCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"DatafeedsCustomBatchRequestEntry"}}}},"DatafeedsCustomBatchRequestEntry":{"id":"DatafeedsCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch datafeeds request.","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"datafeed":{"$ref":"Datafeed","description":"The data feed to insert."},"datafeedId":{"type":"string","description":"The ID of the data feed to get, delete or fetch.","format":"uint64"},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"}}},"DatafeedsCustomBatchResponse":{"id":"DatafeedsCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"DatafeedsCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeedsCustomBatchResponse\".","default":"content#datafeedsCustomBatchResponse"}}},"DatafeedsCustomBatchResponseEntry":{"id":"DatafeedsCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch datafeeds response.","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"datafeed":{"$ref":"Datafeed","description":"The requested data feed. Defined if and only if the request was successful."},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."}}},"DatafeedsFetchNowResponse":{"id":"DatafeedsFetchNowResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeedsFetchNowResponse\".","default":"content#datafeedsFetchNowResponse"}}},"DatafeedsListResponse":{"id":"DatafeedsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeedsListResponse\".","default":"content#datafeedsListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of datafeeds."},"resources":{"type":"array","items":{"$ref":"Datafeed"}}}},"DatafeedstatusesCustomBatchRequest":{"id":"DatafeedstatusesCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"DatafeedstatusesCustomBatchRequestEntry"}}}},"DatafeedstatusesCustomBatchRequestEntry":{"id":"DatafeedstatusesCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch datafeedstatuses request.","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"country":{"type":"string","description":"The country for which to get the datafeed status. If this parameter is provided then language must also be provided. Note that for multi-target datafeeds this parameter is required."},"datafeedId":{"type":"string","description":"The ID of the data feed to get.","format":"uint64"},"language":{"type":"string","description":"The language for which to get the datafeed status. If this parameter is provided then country must also be provided. Note that for multi-target datafeeds this parameter is required."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"}}},"DatafeedstatusesCustomBatchResponse":{"id":"DatafeedstatusesCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"DatafeedstatusesCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeedstatusesCustomBatchResponse\".","default":"content#datafeedstatusesCustomBatchResponse"}}},"DatafeedstatusesCustomBatchResponseEntry":{"id":"DatafeedstatusesCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch datafeedstatuses response.","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"datafeedStatus":{"$ref":"DatafeedStatus","description":"The requested data feed status. Defined if and only if the request was successful."},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."}}},"DatafeedstatusesListResponse":{"id":"DatafeedstatusesListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#datafeedstatusesListResponse\".","default":"content#datafeedstatusesListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of datafeed statuses."},"resources":{"type":"array","items":{"$ref":"DatafeedStatus"}}}},"DeliveryTime":{"id":"DeliveryTime","type":"object","properties":{"cutoffTime":{"$ref":"CutoffTime","description":"Business days cutoff time definition. If not configured the cutoff time will be defaulted to 8AM PST."},"holidayCutoffs":{"type":"array","description":"Holiday cutoff definitions. If configured, they specify order cutoff times for holiday-specific shipping.","items":{"$ref":"HolidayCutoff"}},"maxHandlingTimeInDays":{"type":"integer","description":"Maximum number of business days spent before an order is shipped. 0 means same day shipped, 1 means next day shipped. Must be greater than or equal to minHandlingTimeInDays.","format":"uint32"},"maxTransitTimeInDays":{"type":"integer","description":"Maximum number of business days that is spent in transit. 0 means same day delivery, 1 means next day delivery. Must be greater than or equal to minTransitTimeInDays.","format":"uint32"},"minHandlingTimeInDays":{"type":"integer","description":"Minimum number of business days spent before an order is shipped. 0 means same day shipped, 1 means next day shipped.","format":"uint32"},"minTransitTimeInDays":{"type":"integer","description":"Minimum number of business days that is spent in transit. 0 means same day delivery, 1 means next day delivery. Either {min,max}transitTimeInDays or transitTimeTable must be set, but not both.","format":"uint32"},"transitTimeTable":{"$ref":"TransitTable","description":"Transit time table, number of business days spent in transit based on row and column dimensions. Either {min,max}transitTimeInDays or transitTimeTable can be set, but not both."}}},"Error":{"id":"Error","type":"object","description":"An error returned by the API.","properties":{"domain":{"type":"string","description":"The domain of the error."},"message":{"type":"string","description":"A description of the error."},"reason":{"type":"string","description":"The error code."}}},"Errors":{"id":"Errors","type":"object","description":"A list of errors returned by a failed batch entry.","properties":{"code":{"type":"integer","description":"The HTTP status of the first error in errors.","format":"uint32"},"errors":{"type":"array","description":"A list of errors.","items":{"$ref":"Error"}},"message":{"type":"string","description":"The message of the first error in errors."}}},"GmbAccounts":{"id":"GmbAccounts","type":"object","properties":{"accountId":{"type":"string","description":"The ID of the account.","format":"uint64"},"gmbAccounts":{"type":"array","description":"A list of GMB accounts which are available to the merchant.","items":{"$ref":"GmbAccountsGmbAccount"}}}},"GmbAccountsGmbAccount":{"id":"GmbAccountsGmbAccount","type":"object","properties":{"email":{"type":"string","description":"The email which identifies the GMB account."},"listingCount":{"type":"string","description":"Number of listings under this account.","format":"uint64"},"name":{"type":"string","description":"The name of the GMB account."},"type":{"type":"string","description":"The type of the GMB account (User or Business)."}}},"Headers":{"id":"Headers","type":"object","description":"A non-empty list of row or column headers for a table. Exactly one of prices, weights, numItems, postalCodeGroupNames, or location must be set.","properties":{"locations":{"type":"array","description":"A list of location ID sets. Must be non-empty. Can only be set if all other fields are not set.","items":{"$ref":"LocationIdSet"}},"numberOfItems":{"type":"array","description":"A list of inclusive number of items upper bounds. The last value can be \"infinity\". For example [\"10\", \"50\", \"infinity\"] represents the headers \"<= 10 items\", \" 50 items\". Must be non-empty. Can only be set if all other fields are not set.","items":{"type":"string"}},"postalCodeGroupNames":{"type":"array","description":"A list of postal group names. The last value can be \"all other locations\". Example: [\"zone 1\", \"zone 2\", \"all other locations\"]. The referred postal code groups must match the delivery country of the service. Must be non-empty. Can only be set if all other fields are not set.","items":{"type":"string"}},"prices":{"type":"array","description":"A list of inclusive order price upper bounds. The last price's value can be \"infinity\". For example [{\"value\": \"10\", \"currency\": \"USD\"}, {\"value\": \"500\", \"currency\": \"USD\"}, {\"value\": \"infinity\", \"currency\": \"USD\"}] represents the headers \"<= $10\", \" $500\". All prices within a service must have the same currency. Must be non-empty. Can only be set if all other fields are not set.","items":{"$ref":"Price"}},"weights":{"type":"array","description":"A list of inclusive order weight upper bounds. The last weight's value can be \"infinity\". For example [{\"value\": \"10\", \"unit\": \"kg\"}, {\"value\": \"50\", \"unit\": \"kg\"}, {\"value\": \"infinity\", \"unit\": \"kg\"}] represents the headers \"<= 10kg\", \" 50kg\". All weights within a service must have the same unit. Must be non-empty. Can only be set if all other fields are not set.","items":{"$ref":"Weight"}}}},"HolidayCutoff":{"id":"HolidayCutoff","type":"object","properties":{"deadlineDate":{"type":"string","description":"Date of the order deadline, in ISO 8601 format. E.g. \"2016-11-29\" for 29th November 2016. Required."},"deadlineHour":{"type":"integer","description":"Hour of the day on the deadline date until which the order has to be placed to qualify for the delivery guarantee. Possible values are: 0 (midnight), 1, ..., 12 (noon), 13, ..., 23. Required.","format":"uint32"},"deadlineTimezone":{"type":"string","description":"Timezone identifier for the deadline hour. A list of identifiers can be found in  the AdWords API documentation. E.g. \"Europe/Zurich\". Required."},"holidayId":{"type":"string","description":"Unique identifier for the holiday. Required."},"visibleFromDate":{"type":"string","description":"Date on which the deadline will become visible to consumers in ISO 8601 format. E.g. \"2016-10-31\" for 31st October 2016. Required."}}},"HolidaysHoliday":{"id":"HolidaysHoliday","type":"object","properties":{"countryCode":{"type":"string","description":"The CLDR territory code of the country in which the holiday is available. E.g. \"US\", \"DE\", \"GB\". A holiday cutoff can only be configured in a shipping settings service with matching delivery country. Always present."},"date":{"type":"string","description":"Date of the holiday, in ISO 8601 format. E.g. \"2016-12-25\" for Christmas 2016. Always present."},"deliveryGuaranteeDate":{"type":"string","description":"Date on which the order has to arrive at the customer's, in ISO 8601 format. E.g. \"2016-12-24\" for 24th December 2016. Always present."},"deliveryGuaranteeHour":{"type":"string","description":"Hour of the day in the delivery location's timezone on the guaranteed delivery date by which the order has to arrive at the customer's. Possible values are: 0 (midnight), 1, ..., 12 (noon), 13, ..., 23. Always present.","format":"uint64"},"id":{"type":"string","description":"Unique identifier for the holiday to be used when configuring holiday cutoffs. Always present."},"type":{"type":"string","description":"The holiday type. Always present."}}},"Installment":{"id":"Installment","type":"object","properties":{"amount":{"$ref":"Price","description":"The amount the buyer has to pay per month."},"months":{"type":"string","description":"The number of installments the buyer has to pay.","format":"int64"}}},"Inventory":{"id":"Inventory","type":"object","properties":{"availability":{"type":"string","description":"The availability of the product."},"customLabel0":{"type":"string","description":"Custom label 0 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel1":{"type":"string","description":"Custom label 1 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel2":{"type":"string","description":"Custom label 2 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel3":{"type":"string","description":"Custom label 3 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel4":{"type":"string","description":"Custom label 3 for custom grouping of items in a Shopping campaign. Only supported for online products."},"installment":{"$ref":"Installment","description":"Number and amount of installments to pay for an item. Brazil only."},"instoreProductLocation":{"type":"string","description":"The instore product location. Supported only for local products."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#inventory\".","default":"content#inventory"},"loyaltyPoints":{"$ref":"LoyaltyPoints","description":"Loyalty points that users receive after purchasing the item. Japan only."},"pickup":{"$ref":"InventoryPickup","description":"Store pickup information. Only supported for local inventory. Not setting pickup means \"don't update\" while setting it to the empty value ({} in JSON) means \"delete\". Otherwise, pickupMethod and pickupSla must be set together, unless pickupMethod is \"not supported\"."},"price":{"$ref":"Price","description":"The price of the product."},"quantity":{"type":"integer","description":"The quantity of the product. Must be equal to or greater than zero. Supported only for local products.","format":"uint32"},"salePrice":{"$ref":"Price","description":"The sale price of the product. Mandatory if sale_price_effective_date is defined."},"salePriceEffectiveDate":{"type":"string","description":"A date range represented by a pair of ISO 8601 dates separated by a space, comma, or slash. Both dates might be specified as 'null' if undecided."},"sellOnGoogleQuantity":{"type":"integer","description":"The quantity of the product that is available for selling on Google. Supported only for online products.","format":"uint32"}}},"InventoryCustomBatchRequest":{"id":"InventoryCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"InventoryCustomBatchRequestEntry"}}}},"InventoryCustomBatchRequestEntry":{"id":"InventoryCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch inventory request.","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"inventory":{"$ref":"Inventory","description":"Price and availability of the product."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"productId":{"type":"string","description":"The ID of the product for which to update price and availability."},"storeCode":{"type":"string","description":"The code of the store for which to update price and availability. Use online to update price and availability of an online product."}}},"InventoryCustomBatchResponse":{"id":"InventoryCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"InventoryCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#inventoryCustomBatchResponse\".","default":"content#inventoryCustomBatchResponse"}}},"InventoryCustomBatchResponseEntry":{"id":"InventoryCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch inventory response.","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#inventoryCustomBatchResponseEntry\".","default":"content#inventoryCustomBatchResponseEntry"}}},"InventoryPickup":{"id":"InventoryPickup","type":"object","properties":{"pickupMethod":{"type":"string","description":"Whether store pickup is available for this offer and whether the pickup option should be shown as buy, reserve, or not supported. Only supported for local inventory. Unless the value is \"not supported\", must be submitted together with pickupSla."},"pickupSla":{"type":"string","description":"The expected date that an order will be ready for pickup, relative to when the order is placed. Only supported for local inventory. Must be submitted together with pickupMethod."}}},"InventorySetRequest":{"id":"InventorySetRequest","type":"object","properties":{"availability":{"type":"string","description":"The availability of the product."},"customLabel0":{"type":"string","description":"Custom label 0 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel1":{"type":"string","description":"Custom label 1 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel2":{"type":"string","description":"Custom label 2 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel3":{"type":"string","description":"Custom label 3 for custom grouping of items in a Shopping campaign. Only supported for online products."},"customLabel4":{"type":"string","description":"Custom label 3 for custom grouping of items in a Shopping campaign. Only supported for online products."},"installment":{"$ref":"Installment","description":"Number and amount of installments to pay for an item. Brazil only."},"instoreProductLocation":{"type":"string","description":"The instore product location. Supported only for local products."},"loyaltyPoints":{"$ref":"LoyaltyPoints","description":"Loyalty points that users receive after purchasing the item. Japan only."},"pickup":{"$ref":"InventoryPickup","description":"Store pickup information. Only supported for local inventory. Not setting pickup means \"don't update\" while setting it to the empty value ({} in JSON) means \"delete\". Otherwise, pickupMethod and pickupSla must be set together, unless pickupMethod is \"not supported\"."},"price":{"$ref":"Price","description":"The price of the product."},"quantity":{"type":"integer","description":"The quantity of the product. Must be equal to or greater than zero. Supported only for local products.","format":"uint32"},"salePrice":{"$ref":"Price","description":"The sale price of the product. Mandatory if sale_price_effective_date is defined."},"salePriceEffectiveDate":{"type":"string","description":"A date range represented by a pair of ISO 8601 dates separated by a space, comma, or slash. Both dates might be specified as 'null' if undecided."},"sellOnGoogleQuantity":{"type":"integer","description":"The quantity of the product that is available for selling on Google. Supported only for online products.","format":"uint32"}}},"InventorySetResponse":{"id":"InventorySetResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#inventorySetResponse\".","default":"content#inventorySetResponse"}}},"InvoiceSummary":{"id":"InvoiceSummary","type":"object","properties":{"additionalChargeSummaries":{"type":"array","description":"Summary of the total amounts of the additional charges.","items":{"$ref":"InvoiceSummaryAdditionalChargeSummary"}},"customerBalance":{"$ref":"Amount","description":"Deprecated."},"googleBalance":{"$ref":"Amount","description":"Deprecated."},"merchantBalance":{"$ref":"Amount","description":"Deprecated."},"productTotal":{"$ref":"Amount","description":"[required] Total price for the product."},"promotionSummaries":{"type":"array","description":"Deprecated.","items":{"$ref":"Promotion"}}}},"InvoiceSummaryAdditionalChargeSummary":{"id":"InvoiceSummaryAdditionalChargeSummary","type":"object","properties":{"totalAmount":{"$ref":"Amount","description":"[required] Total additional charge for this type."},"type":{"type":"string","description":"[required] Type of the additional charge."}}},"LiaAboutPageSettings":{"id":"LiaAboutPageSettings","type":"object","properties":{"status":{"type":"string","description":"The status of the verification process for the About page."},"url":{"type":"string","description":"The URL for the About page."}}},"LiaCountrySettings":{"id":"LiaCountrySettings","type":"object","properties":{"about":{"$ref":"LiaAboutPageSettings","description":"The settings for the About page."},"country":{"type":"string","description":"CLDR country code (e.g. \"US\").","annotations":{"required":["content.liasettings.update"]}},"hostedLocalStorefrontActive":{"type":"boolean","description":"The status of the \"Merchant hosted local storefront\" feature."},"inventory":{"$ref":"LiaInventorySettings","description":"LIA inventory verification settings."},"onDisplayToOrder":{"$ref":"LiaOnDisplayToOrderSettings","description":"LIA \"On Display To Order\" settings."},"posDataProvider":{"$ref":"LiaPosDataProvider","description":"The POS data provider linked with this country."},"storePickupActive":{"type":"boolean","description":"The status of the \"Store pickup\" feature."}}},"LiaInventorySettings":{"id":"LiaInventorySettings","type":"object","properties":{"inventoryVerificationContactEmail":{"type":"string","description":"The email of the contact for the inventory verification process."},"inventoryVerificationContactName":{"type":"string","description":"The name of the contact for the inventory verification process."},"inventoryVerificationContactStatus":{"type":"string","description":"The status of the verification contact."},"status":{"type":"string","description":"The status of the inventory verification process."}}},"LiaOnDisplayToOrderSettings":{"id":"LiaOnDisplayToOrderSettings","type":"object","properties":{"shippingCostPolicyUrl":{"type":"string","description":"Shipping cost and policy URL."},"status":{"type":"string","description":"The status of the ?On display to order? feature."}}},"LiaPosDataProvider":{"id":"LiaPosDataProvider","type":"object","properties":{"posDataProviderId":{"type":"string","description":"The ID of the POS data provider.","format":"uint64"},"posExternalAccountId":{"type":"string","description":"The account ID by which this merchant is known to the POS data provider."}}},"LiaSettings":{"id":"LiaSettings","type":"object","description":"Local Inventory ads (LIA) settings. All methods except listposdataproviders require the admin role.","properties":{"accountId":{"type":"string","description":"The ID of the account to which these LIA settings belong. Ignored upon update, always present in get request responses.","format":"uint64"},"countrySettings":{"type":"array","description":"The LIA settings for each country.","items":{"$ref":"LiaCountrySettings"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liaSettings\".","default":"content#liaSettings"}}},"LiasettingsCustomBatchRequest":{"id":"LiasettingsCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"LiasettingsCustomBatchRequestEntry"}}}},"LiasettingsCustomBatchRequestEntry":{"id":"LiasettingsCustomBatchRequestEntry","type":"object","properties":{"accountId":{"type":"string","description":"The ID of the account for which to get/update account shipping settings.","format":"uint64"},"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"contactEmail":{"type":"string","description":"Inventory validation contact email. Required only for SetInventoryValidationContact."},"contactName":{"type":"string","description":"Inventory validation contact name. Required only for SetInventoryValidationContact."},"country":{"type":"string","description":"The country code. Required only for RequestInventoryVerification."},"gmbEmail":{"type":"string","description":"The GMB account. Required only for RequestGmbAccess."},"liaSettings":{"$ref":"LiaSettings","description":"The account Lia settings to update. Only defined if the method is update."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"},"posDataProviderId":{"type":"string","description":"The ID of POS data provider. Required only for SetPosProvider.","format":"uint64"},"posExternalAccountId":{"type":"string","description":"The account ID by which this merchant is known to the POS provider."}}},"LiasettingsCustomBatchResponse":{"id":"LiasettingsCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"LiasettingsCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsCustomBatchResponse\".","default":"content#liasettingsCustomBatchResponse"}}},"LiasettingsCustomBatchResponseEntry":{"id":"LiasettingsCustomBatchResponseEntry","type":"object","properties":{"batchId":{"type":"integer","description":"The ID of the request entry to which this entry responds.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if, and only if, the request failed."},"gmbAccounts":{"$ref":"GmbAccounts","description":"The the list of accessible GMB accounts."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsCustomBatchResponseEntry\".","default":"content#liasettingsCustomBatchResponseEntry"},"liaSettings":{"$ref":"LiaSettings","description":"The retrieved or updated Lia settings."},"posDataProviders":{"type":"array","description":"The list of POS data providers.","items":{"$ref":"PosDataProviders"}}}},"LiasettingsGetAccessibleGmbAccountsResponse":{"id":"LiasettingsGetAccessibleGmbAccountsResponse","type":"object","properties":{"accountId":{"type":"string","description":"The ID of the account.","format":"uint64"},"gmbAccounts":{"type":"array","description":"A list of GMB accounts which are available to the merchant.","items":{"$ref":"GmbAccountsGmbAccount"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsGetAccessibleGmbAccountsResponse\".","default":"content#liasettingsGetAccessibleGmbAccountsResponse"}}},"LiasettingsListPosDataProvidersResponse":{"id":"LiasettingsListPosDataProvidersResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsListPosDataProvidersResponse\".","default":"content#liasettingsListPosDataProvidersResponse"},"posDataProviders":{"type":"array","description":"The list of POS data providers for each eligible country","items":{"$ref":"PosDataProviders"}}}},"LiasettingsListResponse":{"id":"LiasettingsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsListResponse\".","default":"content#liasettingsListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of LIA settings."},"resources":{"type":"array","items":{"$ref":"LiaSettings"}}}},"LiasettingsRequestGmbAccessResponse":{"id":"LiasettingsRequestGmbAccessResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsRequestGmbAccessResponse\".","default":"content#liasettingsRequestGmbAccessResponse"}}},"LiasettingsRequestInventoryVerificationResponse":{"id":"LiasettingsRequestInventoryVerificationResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsRequestInventoryVerificationResponse\".","default":"content#liasettingsRequestInventoryVerificationResponse"}}},"LiasettingsSetInventoryVerificationContactResponse":{"id":"LiasettingsSetInventoryVerificationContactResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsSetInventoryVerificationContactResponse\".","default":"content#liasettingsSetInventoryVerificationContactResponse"}}},"LiasettingsSetPosDataProviderResponse":{"id":"LiasettingsSetPosDataProviderResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#liasettingsSetPosDataProviderResponse\".","default":"content#liasettingsSetPosDataProviderResponse"}}},"LocationIdSet":{"id":"LocationIdSet","type":"object","properties":{"locationIds":{"type":"array","description":"A non-empty list of location IDs. They must all be of the same location type (e.g., state).","items":{"type":"string"}}}},"LoyaltyPoints":{"id":"LoyaltyPoints","type":"object","properties":{"name":{"type":"string","description":"Name of loyalty points program. It is recommended to limit the name to 12 full-width characters or 24 Roman characters."},"pointsValue":{"type":"string","description":"The retailer's loyalty points in absolute value.","format":"int64"},"ratio":{"type":"number","description":"The ratio of a point when converted to currency. Google assumes currency based on Merchant Center settings. If ratio is left out, it defaults to 1.0.","format":"double"}}},"MerchantOrderReturn":{"id":"MerchantOrderReturn","type":"object","properties":{"creationDate":{"type":"string"},"merchantOrderId":{"type":"string"},"orderId":{"type":"string"},"orderReturnId":{"type":"string"},"returnItems":{"type":"array","items":{"$ref":"MerchantOrderReturnItem"}},"returnShipments":{"type":"array","items":{"$ref":"ReturnShipment"}}}},"MerchantOrderReturnItem":{"id":"MerchantOrderReturnItem","type":"object","properties":{"customerReturnReason":{"$ref":"CustomerReturnReason"},"itemId":{"type":"string"},"merchantReturnReason":{"$ref":"RefundReason"},"product":{"$ref":"OrderLineItemProduct"},"returnShipmentIds":{"type":"array","items":{"type":"string"}},"state":{"type":"string"}}},"Order":{"id":"Order","type":"object","description":"Order. All methods require the order manager role.","properties":{"acknowledged":{"type":"boolean","description":"Whether the order was acknowledged."},"channelType":{"type":"string","description":"Deprecated."},"customer":{"$ref":"OrderCustomer","description":"The details of the customer who placed the order."},"deliveryDetails":{"$ref":"OrderDeliveryDetails","description":"Delivery details for shipments."},"id":{"type":"string","description":"The REST ID of the order. Globally unique."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#order\".","default":"content#order"},"lineItems":{"type":"array","description":"Line items that are ordered.","items":{"$ref":"OrderLineItem"}},"merchantId":{"type":"string","format":"uint64"},"merchantOrderId":{"type":"string","description":"Merchant-provided ID of the order."},"netAmount":{"$ref":"Price","description":"The net amount for the order. For example, if an order was originally for a grand total of $100 and a refund was issued for $20, the net amount will be $80."},"paymentMethod":{"$ref":"OrderPaymentMethod","description":"The details of the payment method."},"paymentStatus":{"type":"string","description":"The status of the payment."},"placedDate":{"type":"string","description":"The date when the order was placed, in ISO 8601 format."},"promotions":{"type":"array","description":"The details of the merchant provided promotions applied to the order. More details about the program are here.","items":{"$ref":"OrderLegacyPromotion"}},"refunds":{"type":"array","description":"Refunds for the order.","items":{"$ref":"OrderRefund"}},"shipments":{"type":"array","description":"Shipments of the order.","items":{"$ref":"OrderShipment"}},"shippingCost":{"$ref":"Price","description":"The total cost of shipping for all items."},"shippingCostTax":{"$ref":"Price","description":"The tax for the total shipping cost."},"shippingOption":{"type":"string","description":"Deprecated. Shipping details are provided with line items instead."},"status":{"type":"string","description":"The status of the order."},"taxCollector":{"type":"string","description":"The party responsible for collecting and remitting taxes."}}},"OrderAddress":{"id":"OrderAddress","type":"object","properties":{"country":{"type":"string","description":"CLDR country code (e.g. \"US\")."},"fullAddress":{"type":"array","description":"Strings representing the lines of the printed label for mailing the order, for example:\nJohn Smith\n1600 Amphitheatre Parkway\nMountain View, CA, 94043\nUnited States","items":{"type":"string"}},"isPostOfficeBox":{"type":"boolean","description":"Whether the address is a post office box."},"locality":{"type":"string","description":"City, town or commune. May also include dependent localities or sublocalities (e.g. neighborhoods or suburbs)."},"postalCode":{"type":"string","description":"Postal Code or ZIP (e.g. \"94043\")."},"recipientName":{"type":"string","description":"Name of the recipient."},"region":{"type":"string","description":"Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\")."},"streetAddress":{"type":"array","description":"Street-level part of the address.","items":{"type":"string"}}}},"OrderCancellation":{"id":"OrderCancellation","type":"object","properties":{"actor":{"type":"string","description":"The actor that created the cancellation."},"creationDate":{"type":"string","description":"Date on which the cancellation has been created, in ISO 8601 format."},"quantity":{"type":"integer","description":"The quantity that was canceled.","format":"uint32"},"reason":{"type":"string","description":"The reason for the cancellation. Orders that are cancelled with a noInventory reason will lead to the removal of the product from Shopping Actions until you make an update to that product. This will not affect your Shopping ads."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrderCustomer":{"id":"OrderCustomer","type":"object","properties":{"email":{"type":"string","description":"Deprecated."},"explicitMarketingPreference":{"type":"boolean","description":"Deprecated. Please use marketingRightsInfo instead."},"fullName":{"type":"string","description":"Full name of the customer."},"marketingRightsInfo":{"$ref":"OrderCustomerMarketingRightsInfo","description":"Customer's marketing preferences. Contains the marketing opt-in information that is current at the time that the merchant call. User preference selections can change from one order to the next so preferences must be checked with every order."}}},"OrderCustomerMarketingRightsInfo":{"id":"OrderCustomerMarketingRightsInfo","type":"object","properties":{"explicitMarketingPreference":{"type":"string","description":"Last known customer selection regarding marketing preferences. In certain cases this selection might not be known, so this field would be empty. If a customer selected granted in their most recent order, they can be subscribed to marketing emails. Customers who have chosen denied must not be subscribed, or must be unsubscribed if already opted-in."},"lastUpdatedTimestamp":{"type":"string","description":"Timestamp when last time marketing preference was updated. Could be empty, if user wasn't offered a selection yet."},"marketingEmailAddress":{"type":"string","description":"Email address that can be used for marketing purposes. The field may be empty even if explicitMarketingPreference is 'granted'. This happens when retrieving an old order from the customer who deleted their account."}}},"OrderDeliveryDetails":{"id":"OrderDeliveryDetails","type":"object","properties":{"address":{"$ref":"OrderAddress","description":"The delivery address"},"phoneNumber":{"type":"string","description":"The phone number of the person receiving the delivery."}}},"OrderLegacyPromotion":{"id":"OrderLegacyPromotion","type":"object","properties":{"benefits":{"type":"array","items":{"$ref":"OrderLegacyPromotionBenefit"}},"effectiveDates":{"type":"string","description":"The date and time frame when the promotion is active and ready for validation review. Note that the promotion live time may be delayed for a few hours due to the validation review.\nStart date and end date are separated by a forward slash (/). The start date is specified by the format (YYYY-MM-DD), followed by the letter ?T?, the time of the day when the sale starts (in Greenwich Mean Time, GMT), followed by an expression of the time zone for the sale. The end date is in the same format."},"genericRedemptionCode":{"type":"string","description":"Optional. The text code that corresponds to the promotion when applied on the retailer?s website."},"id":{"type":"string","description":"The unique ID of the promotion."},"longTitle":{"type":"string","description":"The full title of the promotion."},"productApplicability":{"type":"string","description":"Whether the promotion is applicable to all products or only specific products."},"redemptionChannel":{"type":"string","description":"Indicates that the promotion is valid online."}}},"OrderLegacyPromotionBenefit":{"id":"OrderLegacyPromotionBenefit","type":"object","properties":{"discount":{"$ref":"Price","description":"The discount in the order price when the promotion is applied."},"offerIds":{"type":"array","description":"The OfferId(s) that were purchased in this order and map to this specific benefit of the promotion.","items":{"type":"string"}},"subType":{"type":"string","description":"Further describes the benefit of the promotion. Note that we will expand on this enumeration as we support new promotion sub-types."},"taxImpact":{"$ref":"Price","description":"The impact on tax when the promotion is applied."},"type":{"type":"string","description":"Describes whether the promotion applies to products (e.g. 20% off) or to shipping (e.g. Free Shipping)."}}},"OrderLineItem":{"id":"OrderLineItem","type":"object","properties":{"annotations":{"type":"array","description":"Annotations that are attached to the line item.","items":{"$ref":"OrderMerchantProvidedAnnotation"}},"cancellations":{"type":"array","description":"Cancellations of the line item.","items":{"$ref":"OrderCancellation"}},"id":{"type":"string","description":"The ID of the line item."},"price":{"$ref":"Price","description":"Total price for the line item. For example, if two items for $10 are purchased, the total price will be $20."},"product":{"$ref":"OrderLineItemProduct","description":"Product data as seen by customer from the time of the order placement. Note that certain attributes values (e.g. title or gtin) might be reformatted and no longer match values submitted via product feed."},"quantityCanceled":{"type":"integer","description":"Number of items canceled.","format":"uint32"},"quantityDelivered":{"type":"integer","description":"Number of items delivered.","format":"uint32"},"quantityOrdered":{"type":"integer","description":"Number of items ordered.","format":"uint32"},"quantityPending":{"type":"integer","description":"Number of items pending.","format":"uint32"},"quantityReturned":{"type":"integer","description":"Number of items returned.","format":"uint32"},"quantityShipped":{"type":"integer","description":"Number of items shipped.","format":"uint32"},"returnInfo":{"$ref":"OrderLineItemReturnInfo","description":"Details of the return policy for the line item."},"returns":{"type":"array","description":"Returns of the line item.","items":{"$ref":"OrderReturn"}},"shippingDetails":{"$ref":"OrderLineItemShippingDetails","description":"Details of the requested shipping for the line item."},"tax":{"$ref":"Price","description":"Total tax amount for the line item. For example, if two items are purchased, and each have a cost tax of $2, the total tax amount will be $4."}}},"OrderLineItemProduct":{"id":"OrderLineItemProduct","type":"object","properties":{"brand":{"type":"string","description":"Brand of the item."},"channel":{"type":"string","description":"The item's channel (online or local)."},"condition":{"type":"string","description":"Condition or state of the item."},"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item."},"fees":{"type":"array","description":"Associated fees at order creation time.","items":{"$ref":"OrderLineItemProductFee"}},"gtin":{"type":"string","description":"Global Trade Item Number (GTIN) of the item."},"id":{"type":"string","description":"The REST ID of the product."},"imageLink":{"type":"string","description":"URL of an image of the item."},"itemGroupId":{"type":"string","description":"Shared identifier for all variants of the same product."},"mpn":{"type":"string","description":"Manufacturer Part Number (MPN) of the item."},"offerId":{"type":"string","description":"An identifier of the item."},"price":{"$ref":"Price","description":"Price of the item."},"shownImage":{"type":"string","description":"URL to the cached image shown to the user when order was placed."},"targetCountry":{"type":"string","description":"The CLDR territory code of the target country of the product."},"title":{"type":"string","description":"The title of the product."},"variantAttributes":{"type":"array","description":"Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.","items":{"$ref":"OrderLineItemProductVariantAttribute"}}}},"OrderLineItemProductFee":{"id":"OrderLineItemProductFee","type":"object","properties":{"amount":{"$ref":"Price","description":"Amount of the fee."},"name":{"type":"string","description":"Name of the fee."}}},"OrderLineItemProductVariantAttribute":{"id":"OrderLineItemProductVariantAttribute","type":"object","properties":{"dimension":{"type":"string","description":"The dimension of the variant."},"value":{"type":"string","description":"The value for the dimension."}}},"OrderLineItemReturnInfo":{"id":"OrderLineItemReturnInfo","type":"object","properties":{"daysToReturn":{"type":"integer","description":"How many days later the item can be returned.","format":"int32","annotations":{"required":["content.orders.createtestorder"]}},"isReturnable":{"type":"boolean","description":"Whether the item is returnable.","annotations":{"required":["content.orders.createtestorder"]}},"policyUrl":{"type":"string","description":"URL of the item return policy.","annotations":{"required":["content.orders.createtestorder"]}}}},"OrderLineItemShippingDetails":{"id":"OrderLineItemShippingDetails","type":"object","properties":{"deliverByDate":{"type":"string","description":"The delivery by date, in ISO 8601 format.","annotations":{"required":["content.orders.createtestorder"]}},"method":{"$ref":"OrderLineItemShippingDetailsMethod","description":"Details of the shipping method.","annotations":{"required":["content.orders.createtestorder"]}},"shipByDate":{"type":"string","description":"The ship by date, in ISO 8601 format.","annotations":{"required":["content.orders.createtestorder"]}}}},"OrderLineItemShippingDetailsMethod":{"id":"OrderLineItemShippingDetailsMethod","type":"object","properties":{"carrier":{"type":"string","description":"The carrier for the shipping. Optional. See shipments[].carrier for a list of acceptable values."},"maxDaysInTransit":{"type":"integer","description":"Maximum transit time.","format":"uint32","annotations":{"required":["content.orders.createtestorder"]}},"methodName":{"type":"string","description":"The name of the shipping method.","annotations":{"required":["content.orders.createtestorder"]}},"minDaysInTransit":{"type":"integer","description":"Minimum transit time.","format":"uint32","annotations":{"required":["content.orders.createtestorder"]}}}},"OrderMerchantProvidedAnnotation":{"id":"OrderMerchantProvidedAnnotation","type":"object","properties":{"key":{"type":"string","description":"Key for additional merchant provided (as key-value pairs) annotation about the line item."},"value":{"type":"string","description":"Value for additional merchant provided (as key-value pairs) annotation about the line item."}}},"OrderPaymentMethod":{"id":"OrderPaymentMethod","type":"object","properties":{"billingAddress":{"$ref":"OrderAddress","description":"The billing address."},"expirationMonth":{"type":"integer","description":"The card expiration month (January = 1, February = 2 etc.).","format":"int32"},"expirationYear":{"type":"integer","description":"The card expiration year (4-digit, e.g. 2015).","format":"int32"},"lastFourDigits":{"type":"string","description":"The last four digits of the card number."},"phoneNumber":{"type":"string","description":"The billing phone number."},"type":{"type":"string","description":"The type of instrument.\n\nAcceptable values are:  \n- \"AMEX\" \n- \"DISCOVER\" \n- \"JCB\" \n- \"MASTERCARD\" \n- \"UNIONPAY\" \n- \"VISA\" \n- \"\""}}},"OrderRefund":{"id":"OrderRefund","type":"object","properties":{"actor":{"type":"string","description":"The actor that created the refund."},"amount":{"$ref":"Price","description":"The amount that is refunded."},"creationDate":{"type":"string","description":"Date on which the item has been created, in ISO 8601 format."},"reason":{"type":"string","description":"The reason for the refund."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrderReportDisbursement":{"id":"OrderReportDisbursement","type":"object","description":"Order disbursement. All methods require the payment analyst role.","properties":{"disbursementAmount":{"$ref":"Price","description":"The disbursement amount."},"disbursementCreationDate":{"type":"string","description":"The disbursement date, in ISO 8601 format."},"disbursementDate":{"type":"string","description":"The date the disbursement was initiated, in ISO 8601 format."},"disbursementId":{"type":"string","description":"The ID of the disbursement."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"}}},"OrderReportTransaction":{"id":"OrderReportTransaction","type":"object","properties":{"disbursementAmount":{"$ref":"Price","description":"The disbursement amount."},"disbursementCreationDate":{"type":"string","description":"The date the disbursement was created, in ISO 8601 format."},"disbursementDate":{"type":"string","description":"The date the disbursement was initiated, in ISO 8601 format."},"disbursementId":{"type":"string","description":"The ID of the disbursement."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"merchantOrderId":{"type":"string","description":"Merchant-provided ID of the order."},"orderId":{"type":"string","description":"The ID of the order."},"productAmount":{"$ref":"Amount","description":"Total amount for the items."},"productAmountWithRemittedTax":{"$ref":"ProductAmount","description":"Total amount with remitted tax for the items."},"transactionDate":{"type":"string","description":"The date of the transaction, in ISO 8601 format."}}},"OrderReturn":{"id":"OrderReturn","type":"object","properties":{"actor":{"type":"string","description":"The actor that created the refund."},"creationDate":{"type":"string","description":"Date on which the item has been created, in ISO 8601 format."},"quantity":{"type":"integer","description":"Quantity that is returned.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrderShipment":{"id":"OrderShipment","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment.\n\nAcceptable values for US are:  \n- \"gsx\" \n- \"ups\" \n- \"usps\" \n- \"fedex\" \n- \"dhl\" \n- \"ecourier\" \n- \"cxt\" \n- \"google\" \n- \"ontrac\" \n- \"emsy\" \n- \"ont\" \n- \"deliv\" \n- \"dynamex\" \n- \"lasership\" \n- \"mpx\" \n- \"uds\" \n- \"efw\"  \n\nAcceptable values for FR are:  \n- \"colissimo\" \n- \"chronopost\" \n- \"gls\" \n- \"dpd\" \n- \"bpost\""},"creationDate":{"type":"string","description":"Date on which the shipment has been created, in ISO 8601 format."},"deliveryDate":{"type":"string","description":"Date on which the shipment has been delivered, in ISO 8601 format. Present only if status is delivered"},"id":{"type":"string","description":"The ID of the shipment."},"lineItems":{"type":"array","description":"The line items that are shipped.","items":{"$ref":"OrderShipmentLineItemShipment"}},"status":{"type":"string","description":"The status of the shipment."},"trackingId":{"type":"string","description":"The tracking ID for the shipment."}}},"OrderShipmentLineItemShipment":{"id":"OrderShipmentLineItemShipment","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item that is shipped. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to ship. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity that is shipped.","format":"uint32"}}},"OrderinvoicesCreateChargeInvoiceRequest":{"id":"OrderinvoicesCreateChargeInvoiceRequest","type":"object","properties":{"invoiceId":{"type":"string","description":"[required] The ID of the invoice."},"invoiceSummary":{"$ref":"InvoiceSummary","description":"[required] Invoice summary."},"lineItemInvoices":{"type":"array","description":"[required] Invoice details per line item.","items":{"$ref":"ShipmentInvoiceLineItemInvoice"}},"operationId":{"type":"string","description":"[required] The ID of the operation, unique across all operations for a given order."},"shipmentGroupId":{"type":"string","description":"[required] ID of the shipment group. It is assigned by the merchant in the shipLineItems method and is used to group multiple line items that have the same kind of shipping charges."}}},"OrderinvoicesCreateChargeInvoiceResponse":{"id":"OrderinvoicesCreateChargeInvoiceResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderinvoicesCreateChargeInvoiceResponse\".","default":"content#orderinvoicesCreateChargeInvoiceResponse"}}},"OrderinvoicesCreateRefundInvoiceRequest":{"id":"OrderinvoicesCreateRefundInvoiceRequest","type":"object","properties":{"invoiceId":{"type":"string","description":"[required] The ID of the invoice."},"operationId":{"type":"string","description":"[required] The ID of the operation, unique across all operations for a given order."},"refundOnlyOption":{"$ref":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption","description":"Option to create a refund-only invoice. Exactly one of refundOnlyOption or returnOption must be provided."},"returnOption":{"$ref":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption","description":"Option to create an invoice for a refund and mark all items within the invoice as returned. Exactly one of refundOnlyOption or returnOption must be provided."},"shipmentInvoices":{"type":"array","description":"Invoice details for different shipment groups.","items":{"$ref":"ShipmentInvoice"}}}},"OrderinvoicesCreateRefundInvoiceResponse":{"id":"OrderinvoicesCreateRefundInvoiceResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderinvoicesCreateRefundInvoiceResponse\".","default":"content#orderinvoicesCreateRefundInvoiceResponse"}}},"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption":{"id":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption","type":"object","properties":{"description":{"type":"string","description":"Optional description of the refund reason."},"reason":{"type":"string","description":"[required] Reason for the refund."}}},"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption":{"id":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption","type":"object","properties":{"description":{"type":"string","description":"Optional description of the return reason."},"reason":{"type":"string","description":"[required] Reason for the return."}}},"OrderpaymentsNotifyAuthApprovedRequest":{"id":"OrderpaymentsNotifyAuthApprovedRequest","type":"object","properties":{"authAmountPretax":{"$ref":"Price","description":"Authorized amount for pre-tax charge on user's credit card."},"authAmountTax":{"$ref":"Price","description":"Authorized amount for tax charge on user's credit card."}}},"OrderpaymentsNotifyAuthApprovedResponse":{"id":"OrderpaymentsNotifyAuthApprovedResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyAuthApprovedResponse\".","default":"content#orderpaymentsNotifyAuthApprovedResponse"}}},"OrderpaymentsNotifyAuthDeclinedRequest":{"id":"OrderpaymentsNotifyAuthDeclinedRequest","type":"object","properties":{"declineReason":{"type":"string","description":"Reason why payment authorization was declined."}}},"OrderpaymentsNotifyAuthDeclinedResponse":{"id":"OrderpaymentsNotifyAuthDeclinedResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyAuthDeclinedResponse\".","default":"content#orderpaymentsNotifyAuthDeclinedResponse"}}},"OrderpaymentsNotifyChargeRequest":{"id":"OrderpaymentsNotifyChargeRequest","type":"object","properties":{"chargeState":{"type":"string","description":"Whether charge was successful."},"invoiceId":{"type":"string","description":"Deprecated. Please use invoiceIds instead."},"invoiceIds":{"type":"array","description":"Invoice IDs from the orderinvoices service that correspond to the charge.","items":{"type":"string"}}}},"OrderpaymentsNotifyChargeResponse":{"id":"OrderpaymentsNotifyChargeResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyChargeResponse\".","default":"content#orderpaymentsNotifyChargeResponse"}}},"OrderpaymentsNotifyRefundRequest":{"id":"OrderpaymentsNotifyRefundRequest","type":"object","properties":{"invoiceId":{"type":"string","description":"Deprecated. Please use invoiceIds instead."},"invoiceIds":{"type":"array","description":"Invoice IDs from the orderinvoices service that correspond to the refund.","items":{"type":"string"}},"refundState":{"type":"string","description":"Whether refund was successful."}}},"OrderpaymentsNotifyRefundResponse":{"id":"OrderpaymentsNotifyRefundResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyRefundResponse\".","default":"content#orderpaymentsNotifyRefundResponse"}}},"OrderreportsListDisbursementsResponse":{"id":"OrderreportsListDisbursementsResponse","type":"object","properties":{"disbursements":{"type":"array","description":"The list of disbursements.","items":{"$ref":"OrderReportDisbursement"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderreportsListDisbursementsResponse\".","default":"content#orderreportsListDisbursementsResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of disbursements."}}},"OrderreportsListTransactionsResponse":{"id":"OrderreportsListTransactionsResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderreportsListTransactionsResponse\".","default":"content#orderreportsListTransactionsResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of transactions."},"transactions":{"type":"array","description":"The list of transactions.","items":{"$ref":"OrderReportTransaction"}}}},"OrderreturnsListResponse":{"id":"OrderreturnsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderreturnsListResponse\".","default":"content#orderreturnsListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of returns."},"resources":{"type":"array","items":{"$ref":"MerchantOrderReturn"}}}},"OrdersAcknowledgeRequest":{"id":"OrdersAcknowledgeRequest","type":"object","properties":{"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."}}},"OrdersAcknowledgeResponse":{"id":"OrdersAcknowledgeResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersAcknowledgeResponse\".","default":"content#ordersAcknowledgeResponse"}}},"OrdersAdvanceTestOrderResponse":{"id":"OrdersAdvanceTestOrderResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersAdvanceTestOrderResponse\".","default":"content#ordersAdvanceTestOrderResponse"}}},"OrdersCancelLineItemRequest":{"id":"OrdersCancelLineItemRequest","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"Amount to refund for the cancelation. Optional. If not set, Google will calculate the default based on the price and tax of the items involved. The amount must not be larger than the net amount left on the order."},"amountTax":{"$ref":"Price","description":"Tax amount that corresponds to cancellation amount in amountPretax. Optional, but if filled, then amountPretax must be set. Calculated automatically if not provided."},"lineItemId":{"type":"string","description":"The ID of the line item to cancel. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to cancel. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to cancel.","format":"uint32"},"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCancelLineItemResponse":{"id":"OrdersCancelLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCancelLineItemResponse\".","default":"content#ordersCancelLineItemResponse"}}},"OrdersCancelRequest":{"id":"OrdersCancelRequest","type":"object","properties":{"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCancelResponse":{"id":"OrdersCancelResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCancelResponse\".","default":"content#ordersCancelResponse"}}},"OrdersCancelTestOrderByCustomerRequest":{"id":"OrdersCancelTestOrderByCustomerRequest","type":"object","properties":{"reason":{"type":"string","description":"The reason for the cancellation."}}},"OrdersCancelTestOrderByCustomerResponse":{"id":"OrdersCancelTestOrderByCustomerResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCancelTestOrderByCustomerResponse\".","default":"content#ordersCancelTestOrderByCustomerResponse"}}},"OrdersCreateTestOrderRequest":{"id":"OrdersCreateTestOrderRequest","type":"object","properties":{"country":{"type":"string","description":"The  CLDR territory code of the country of the test order to create. Affects the currency and addresses of orders created via template_name, or the addresses of orders created via test_order.\n\nAcceptable values are:  \n- \"US\" \n- \"FR\"  Defaults to US."},"templateName":{"type":"string","description":"The test order template to use. Specify as an alternative to testOrder as a shortcut for retrieving a template and then creating an order using that template."},"testOrder":{"$ref":"TestOrder","description":"The test order to create."}}},"OrdersCreateTestOrderResponse":{"id":"OrdersCreateTestOrderResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCreateTestOrderResponse\".","default":"content#ordersCreateTestOrderResponse"},"orderId":{"type":"string","description":"The ID of the newly created test order."}}},"OrdersCreateTestReturnRequest":{"id":"OrdersCreateTestReturnRequest","type":"object","properties":{"items":{"type":"array","description":"Returned items.","items":{"$ref":"OrdersCustomBatchRequestEntryCreateTestReturnReturnItem"}}}},"OrdersCreateTestReturnResponse":{"id":"OrdersCreateTestReturnResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCreateTestReturnResponse\".","default":"content#ordersCreateTestReturnResponse"},"returnId":{"type":"string","description":"The ID of the newly created test order return."}}},"OrdersCustomBatchRequest":{"id":"OrdersCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"OrdersCustomBatchRequestEntry"}}}},"OrdersCustomBatchRequestEntry":{"id":"OrdersCustomBatchRequestEntry","type":"object","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"cancel":{"$ref":"OrdersCustomBatchRequestEntryCancel","description":"Required for cancel method."},"cancelLineItem":{"$ref":"OrdersCustomBatchRequestEntryCancelLineItem","description":"Required for cancelLineItem method."},"inStoreRefundLineItem":{"$ref":"OrdersCustomBatchRequestEntryInStoreRefundLineItem","description":"Required for inStoreReturnLineItem method."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"merchantOrderId":{"type":"string","description":"The merchant order ID. Required for updateMerchantOrderId and getByMerchantOrderId methods."},"method":{"type":"string","description":"The method to apply."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order. Required for all methods beside get and getByMerchantOrderId."},"orderId":{"type":"string","description":"The ID of the order. Required for all methods beside getByMerchantOrderId."},"refund":{"$ref":"OrdersCustomBatchRequestEntryRefund","description":"Required for refund method."},"rejectReturnLineItem":{"$ref":"OrdersCustomBatchRequestEntryRejectReturnLineItem","description":"Required for rejectReturnLineItem method."},"returnLineItem":{"$ref":"OrdersCustomBatchRequestEntryReturnLineItem","description":"Required for returnLineItem method."},"returnRefundLineItem":{"$ref":"OrdersCustomBatchRequestEntryReturnRefundLineItem","description":"Required for returnRefundLineItem method."},"setLineItemMetadata":{"$ref":"OrdersCustomBatchRequestEntrySetLineItemMetadata","description":"Required for setLineItemMetadata method."},"shipLineItems":{"$ref":"OrdersCustomBatchRequestEntryShipLineItems","description":"Required for shipLineItems method."},"updateLineItemShippingDetails":{"$ref":"OrdersCustomBatchRequestEntryUpdateLineItemShippingDetails","description":"Required for updateLineItemShippingDate method."},"updateShipment":{"$ref":"OrdersCustomBatchRequestEntryUpdateShipment","description":"Required for updateShipment method."}}},"OrdersCustomBatchRequestEntryCancel":{"id":"OrdersCustomBatchRequestEntryCancel","type":"object","properties":{"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryCancelLineItem":{"id":"OrdersCustomBatchRequestEntryCancelLineItem","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"Amount to refund for the cancelation. Optional. If not set, Google will calculate the default based on the price and tax of the items involved. The amount must not be larger than the net amount left on the order."},"amountTax":{"$ref":"Price","description":"Tax amount that corresponds to cancellation amount in amountPretax. Optional, but if filled, then amountPretax must be set. Calculated automatically if not provided."},"lineItemId":{"type":"string","description":"The ID of the line item to cancel. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to cancel. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to cancel.","format":"uint32"},"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryCreateTestReturnReturnItem":{"id":"OrdersCustomBatchRequestEntryCreateTestReturnReturnItem","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return."},"quantity":{"type":"integer","description":"Quantity that is returned.","format":"uint32"}}},"OrdersCustomBatchRequestEntryInStoreRefundLineItem":{"id":"OrdersCustomBatchRequestEntryInStoreRefundLineItem","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Required."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax. Required."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryRefund":{"id":"OrdersCustomBatchRequestEntryRefund","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Either amount or amountPretax should be filled."},"amountTax":{"$ref":"Price","description":"Tax amount that corresponds to refund amount in amountPretax. Optional, but if filled, amountPretax must be set. Calculated automatically if not provided."},"reason":{"type":"string","description":"The reason for the refund."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryRejectReturnLineItem":{"id":"OrdersCustomBatchRequestEntryRejectReturnLineItem","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryReturnLineItem":{"id":"OrdersCustomBatchRequestEntryReturnLineItem","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryReturnRefundLineItem":{"id":"OrdersCustomBatchRequestEntryReturnRefundLineItem","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. If omitted, refundless return is assumed (same as calling returnLineItem method)."},"amountTax":{"$ref":"Price","description":"Tax amount that corresponds to refund amount in amountPretax. Optional, but if filled, then amountPretax must be set. Calculated automatically if not provided."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntrySetLineItemMetadata":{"id":"OrdersCustomBatchRequestEntrySetLineItemMetadata","type":"object","properties":{"annotations":{"type":"array","items":{"$ref":"OrderMerchantProvidedAnnotation"}},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."}}},"OrdersCustomBatchRequestEntryShipLineItems":{"id":"OrdersCustomBatchRequestEntryShipLineItems","type":"object","properties":{"carrier":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The carrier handling the shipment. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"lineItems":{"type":"array","description":"Line items to ship.","items":{"$ref":"OrderShipmentLineItemShipment"}},"shipmentGroupId":{"type":"string","description":"ID of the shipment group. Required for orders that use the orderinvoices service."},"shipmentId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The ID of the shipment."},"shipmentInfos":{"type":"array","description":"Shipment information. This field is repeated because a single line item can be shipped in several packages (and have several tracking IDs).","items":{"$ref":"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo"}},"trackingId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The tracking ID for the shipment."}}},"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo":{"id":"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"shipmentId":{"type":"string","description":"The ID of the shipment. This is assigned by the merchant and is unique to each shipment.","annotations":{"required":["content.orders.shiplineitems"]}},"trackingId":{"type":"string","description":"The tracking ID for the shipment."}}},"OrdersCustomBatchRequestEntryUpdateLineItemShippingDetails":{"id":"OrdersCustomBatchRequestEntryUpdateLineItemShippingDetails","type":"object","properties":{"deliverByDate":{"type":"string","description":"Updated delivery by date, in ISO 8601 format. If not specified only ship by date is updated.\n\nProvided date should be within 1 year timeframe and can not be a date in the past."},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."},"shipByDate":{"type":"string","description":"Updated ship by date, in ISO 8601 format. If not specified only deliver by date is updated.\n\nProvided date should be within 1 year timeframe and can not be a date in the past."}}},"OrdersCustomBatchRequestEntryUpdateShipment":{"id":"OrdersCustomBatchRequestEntryUpdateShipment","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment. Not updated if missing. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"deliveryDate":{"type":"string","description":"Date on which the shipment has been delivered, in ISO 8601 format. Optional and can be provided only if status is delivered."},"shipmentId":{"type":"string","description":"The ID of the shipment."},"status":{"type":"string","description":"New status for the shipment. Not updated if missing."},"trackingId":{"type":"string","description":"The tracking ID for the shipment. Not updated if missing."}}},"OrdersCustomBatchResponse":{"id":"OrdersCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"OrdersCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCustomBatchResponse\".","default":"content#ordersCustomBatchResponse"}}},"OrdersCustomBatchResponseEntry":{"id":"OrdersCustomBatchResponseEntry","type":"object","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."},"executionStatus":{"type":"string","description":"The status of the execution. Only defined if  \n- the request was successful; and \n- the method is not get, getByMerchantOrderId, or one of the test methods."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCustomBatchResponseEntry\".","default":"content#ordersCustomBatchResponseEntry"},"order":{"$ref":"Order","description":"The retrieved order. Only defined if the method is get and if the request was successful."}}},"OrdersGetByMerchantOrderIdResponse":{"id":"OrdersGetByMerchantOrderIdResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersGetByMerchantOrderIdResponse\".","default":"content#ordersGetByMerchantOrderIdResponse"},"order":{"$ref":"Order","description":"The requested order."}}},"OrdersGetTestOrderTemplateResponse":{"id":"OrdersGetTestOrderTemplateResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersGetTestOrderTemplateResponse\".","default":"content#ordersGetTestOrderTemplateResponse"},"template":{"$ref":"TestOrder","description":"The requested test order template."}}},"OrdersInStoreRefundLineItemRequest":{"id":"OrdersInStoreRefundLineItemRequest","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Required."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax. Required."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersInStoreRefundLineItemResponse":{"id":"OrdersInStoreRefundLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersInStoreRefundLineItemResponse\".","default":"content#ordersInStoreRefundLineItemResponse"}}},"OrdersListResponse":{"id":"OrdersListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersListResponse\".","default":"content#ordersListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of orders."},"resources":{"type":"array","items":{"$ref":"Order"}}}},"OrdersRefundRequest":{"id":"OrdersRefundRequest","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Either amount or amountPretax should be filled."},"amountTax":{"$ref":"Price","description":"Tax amount that corresponds to refund amount in amountPretax. Optional, but if filled, amountPretax must be set. Calculated automatically if not provided."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"reason":{"type":"string","description":"The reason for the refund."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersRefundResponse":{"id":"OrdersRefundResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersRefundResponse\".","default":"content#ordersRefundResponse"}}},"OrdersRejectReturnLineItemRequest":{"id":"OrdersRejectReturnLineItemRequest","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersRejectReturnLineItemResponse":{"id":"OrdersRejectReturnLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersRejectReturnLineItemResponse\".","default":"content#ordersRejectReturnLineItemResponse"}}},"OrdersReturnLineItemRequest":{"id":"OrdersReturnLineItemRequest","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersReturnLineItemResponse":{"id":"OrdersReturnLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersReturnLineItemResponse\".","default":"content#ordersReturnLineItemResponse"}}},"OrdersReturnRefundLineItemRequest":{"id":"OrdersReturnRefundLineItemRequest","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. If omitted, refundless return is assumed (same as calling returnLineItem method)."},"amountTax":{"$ref":"Price","description":"Tax amount that corresponds to refund amount in amountPretax. Optional, but if filled, then amountPretax must be set. Calculated automatically if not provided."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersReturnRefundLineItemResponse":{"id":"OrdersReturnRefundLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersReturnRefundLineItemResponse\".","default":"content#ordersReturnRefundLineItemResponse"}}},"OrdersSetLineItemMetadataRequest":{"id":"OrdersSetLineItemMetadataRequest","type":"object","properties":{"annotations":{"type":"array","items":{"$ref":"OrderMerchantProvidedAnnotation"}},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."}}},"OrdersSetLineItemMetadataResponse":{"id":"OrdersSetLineItemMetadataResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersSetLineItemMetadataResponse\".","default":"content#ordersSetLineItemMetadataResponse"}}},"OrdersShipLineItemsRequest":{"id":"OrdersShipLineItemsRequest","type":"object","properties":{"carrier":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The carrier handling the shipment. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"lineItems":{"type":"array","description":"Line items to ship.","items":{"$ref":"OrderShipmentLineItemShipment"}},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"shipmentGroupId":{"type":"string","description":"ID of the shipment group. Required for orders that use the orderinvoices service."},"shipmentId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The ID of the shipment."},"shipmentInfos":{"type":"array","description":"Shipment information. This field is repeated because a single line item can be shipped in several packages (and have several tracking IDs).","items":{"$ref":"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo"}},"trackingId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The tracking ID for the shipment."}}},"OrdersShipLineItemsResponse":{"id":"OrdersShipLineItemsResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersShipLineItemsResponse\".","default":"content#ordersShipLineItemsResponse"}}},"OrdersUpdateLineItemShippingDetailsRequest":{"id":"OrdersUpdateLineItemShippingDetailsRequest","type":"object","properties":{"deliverByDate":{"type":"string","description":"Updated delivery by date, in ISO 8601 format. If not specified only ship by date is updated.\n\nProvided date should be within 1 year timeframe and can not be a date in the past."},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."},"shipByDate":{"type":"string","description":"Updated ship by date, in ISO 8601 format. If not specified only deliver by date is updated.\n\nProvided date should be within 1 year timeframe and can not be a date in the past."}}},"OrdersUpdateLineItemShippingDetailsResponse":{"id":"OrdersUpdateLineItemShippingDetailsResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersUpdateLineItemShippingDetailsResponse\".","default":"content#ordersUpdateLineItemShippingDetailsResponse"}}},"OrdersUpdateMerchantOrderIdRequest":{"id":"OrdersUpdateMerchantOrderIdRequest","type":"object","properties":{"merchantOrderId":{"type":"string","description":"The merchant order id to be assigned to the order. Must be unique per merchant."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."}}},"OrdersUpdateMerchantOrderIdResponse":{"id":"OrdersUpdateMerchantOrderIdResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersUpdateMerchantOrderIdResponse\".","default":"content#ordersUpdateMerchantOrderIdResponse"}}},"OrdersUpdateShipmentRequest":{"id":"OrdersUpdateShipmentRequest","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment. Not updated if missing. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"deliveryDate":{"type":"string","description":"Date on which the shipment has been delivered, in ISO 8601 format. Optional and can be provided only if status is delivered."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"shipmentId":{"type":"string","description":"The ID of the shipment."},"status":{"type":"string","description":"New status for the shipment. Not updated if missing."},"trackingId":{"type":"string","description":"The tracking ID for the shipment. Not updated if missing."}}},"OrdersUpdateShipmentResponse":{"id":"OrdersUpdateShipmentResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersUpdateShipmentResponse\".","default":"content#ordersUpdateShipmentResponse"}}},"PosCustomBatchRequest":{"id":"PosCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"PosCustomBatchRequestEntry"}}}},"PosCustomBatchRequestEntry":{"id":"PosCustomBatchRequestEntry","type":"object","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"inventory":{"$ref":"PosInventory","description":"The inventory to submit. Set this only if the method is inventory."},"merchantId":{"type":"string","description":"The ID of the POS data provider.","format":"uint64"},"method":{"type":"string"},"sale":{"$ref":"PosSale","description":"The sale information to submit. Set this only if the method is sale."},"store":{"$ref":"PosStore","description":"The store information to submit. Set this only if the method is insert."},"storeCode":{"type":"string","description":"The store code. Set this only if the method is delete or get."},"targetMerchantId":{"type":"string","description":"The ID of the account for which to get/submit data.","format":"uint64"}}},"PosCustomBatchResponse":{"id":"PosCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"PosCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posCustomBatchResponse\".","default":"content#posCustomBatchResponse"}}},"PosCustomBatchResponseEntry":{"id":"PosCustomBatchResponseEntry","type":"object","properties":{"batchId":{"type":"integer","description":"The ID of the request entry to which this entry responds.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if, and only if, the request failed."},"inventory":{"$ref":"PosInventory","description":"The updated inventory information."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posCustomBatchResponseEntry\".","default":"content#posCustomBatchResponseEntry"},"sale":{"$ref":"PosSale","description":"The updated sale information."},"store":{"$ref":"PosStore","description":"The retrieved or updated store information."}}},"PosDataProviders":{"id":"PosDataProviders","type":"object","properties":{"country":{"type":"string","description":"Country code."},"posDataProviders":{"type":"array","description":"A list of POS data providers.","items":{"$ref":"PosDataProvidersPosDataProvider"}}}},"PosDataProvidersPosDataProvider":{"id":"PosDataProvidersPosDataProvider","type":"object","properties":{"displayName":{"type":"string","description":"The display name of Pos data Provider."},"fullName":{"type":"string","description":"The full name of this POS data Provider."},"providerId":{"type":"string","description":"The ID of the account.","format":"uint64"}}},"PosInventory":{"id":"PosInventory","type":"object","description":"The absolute quantity of an item available at the given store.","properties":{"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.pos.inventory"]}},"gtin":{"type":"string","description":"Global Trade Item Number."},"itemId":{"type":"string","description":"A unique identifier for the item.","annotations":{"required":["content.pos.inventory"]}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posInventory\".","default":"content#posInventory"},"price":{"$ref":"Price","description":"The current price of the item.","annotations":{"required":["content.pos.inventory"]}},"quantity":{"type":"string","description":"The available quantity of the item.","format":"int64","annotations":{"required":["content.pos.inventory"]}},"storeCode":{"type":"string","description":"The identifier of the merchant's store. Either a storeCode inserted via the API or the code of the store in Google My Business.","annotations":{"required":["content.pos.inventory"]}},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.pos.inventory"]}},"timestamp":{"type":"string","description":"The inventory timestamp, in ISO 8601 format.","annotations":{"required":["content.pos.inventory"]}}}},"PosInventoryRequest":{"id":"PosInventoryRequest","type":"object","properties":{"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.pos.inventory"]}},"gtin":{"type":"string","description":"Global Trade Item Number."},"itemId":{"type":"string","description":"A unique identifier for the item.","annotations":{"required":["content.pos.inventory"]}},"price":{"$ref":"Price","description":"The current price of the item.","annotations":{"required":["content.pos.inventory"]}},"quantity":{"type":"string","description":"The available quantity of the item.","format":"int64","annotations":{"required":["content.pos.inventory"]}},"storeCode":{"type":"string","description":"The identifier of the merchant's store. Either a storeCode inserted via the API or the code of the store in Google My Business.","annotations":{"required":["content.pos.inventory"]}},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.pos.inventory"]}},"timestamp":{"type":"string","description":"The inventory timestamp, in ISO 8601 format.","annotations":{"required":["content.pos.inventory"]}}}},"PosInventoryResponse":{"id":"PosInventoryResponse","type":"object","properties":{"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.pos.inventory"]}},"gtin":{"type":"string","description":"Global Trade Item Number."},"itemId":{"type":"string","description":"A unique identifier for the item.","annotations":{"required":["content.pos.inventory"]}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posInventoryResponse\".","default":"content#posInventoryResponse"},"price":{"$ref":"Price","description":"The current price of the item.","annotations":{"required":["content.pos.inventory"]}},"quantity":{"type":"string","description":"The available quantity of the item.","format":"int64","annotations":{"required":["content.pos.inventory"]}},"storeCode":{"type":"string","description":"The identifier of the merchant's store. Either a storeCode inserted via the API or the code of the store in Google My Business.","annotations":{"required":["content.pos.inventory"]}},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.pos.inventory"]}},"timestamp":{"type":"string","description":"The inventory timestamp, in ISO 8601 format.","annotations":{"required":["content.pos.inventory"]}}}},"PosListResponse":{"id":"PosListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posListResponse\".","default":"content#posListResponse"},"resources":{"type":"array","items":{"$ref":"PosStore"}}}},"PosSale":{"id":"PosSale","type":"object","description":"The change of the available quantity of an item at the given store.","properties":{"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.pos.sale"]}},"gtin":{"type":"string","description":"Global Trade Item Number."},"itemId":{"type":"string","description":"A unique identifier for the item.","annotations":{"required":["content.pos.sale"]}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posSale\".","default":"content#posSale"},"price":{"$ref":"Price","description":"The price of the item.","annotations":{"required":["content.pos.sale"]}},"quantity":{"type":"string","description":"The relative change of the available quantity. Negative for items returned.","format":"int64","annotations":{"required":["content.pos.sale"]}},"saleId":{"type":"string","description":"A unique ID to group items from the same sale event."},"storeCode":{"type":"string","description":"The identifier of the merchant's store. Either a storeCode inserted via the API or the code of the store in Google My Business.","annotations":{"required":["content.pos.sale"]}},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.pos.sale"]}},"timestamp":{"type":"string","description":"The inventory timestamp, in ISO 8601 format.","annotations":{"required":["content.pos.sale"]}}}},"PosSaleRequest":{"id":"PosSaleRequest","type":"object","properties":{"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.pos.sale"]}},"gtin":{"type":"string","description":"Global Trade Item Number."},"itemId":{"type":"string","description":"A unique identifier for the item.","annotations":{"required":["content.pos.sale"]}},"price":{"$ref":"Price","description":"The price of the item.","annotations":{"required":["content.pos.sale"]}},"quantity":{"type":"string","description":"The relative change of the available quantity. Negative for items returned.","format":"int64","annotations":{"required":["content.pos.sale"]}},"saleId":{"type":"string","description":"A unique ID to group items from the same sale event."},"storeCode":{"type":"string","description":"The identifier of the merchant's store. Either a storeCode inserted via the API or the code of the store in Google My Business.","annotations":{"required":["content.pos.sale"]}},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.pos.sale"]}},"timestamp":{"type":"string","description":"The inventory timestamp, in ISO 8601 format.","annotations":{"required":["content.pos.sale"]}}}},"PosSaleResponse":{"id":"PosSaleResponse","type":"object","properties":{"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.pos.sale"]}},"gtin":{"type":"string","description":"Global Trade Item Number."},"itemId":{"type":"string","description":"A unique identifier for the item.","annotations":{"required":["content.pos.sale"]}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posSaleResponse\".","default":"content#posSaleResponse"},"price":{"$ref":"Price","description":"The price of the item.","annotations":{"required":["content.pos.sale"]}},"quantity":{"type":"string","description":"The relative change of the available quantity. Negative for items returned.","format":"int64","annotations":{"required":["content.pos.sale"]}},"saleId":{"type":"string","description":"A unique ID to group items from the same sale event."},"storeCode":{"type":"string","description":"The identifier of the merchant's store. Either a storeCode inserted via the API or the code of the store in Google My Business.","annotations":{"required":["content.pos.sale"]}},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.pos.sale"]}},"timestamp":{"type":"string","description":"The inventory timestamp, in ISO 8601 format.","annotations":{"required":["content.pos.sale"]}}}},"PosStore":{"id":"PosStore","type":"object","description":"Store resource.","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#posStore\".","default":"content#posStore"},"storeAddress":{"type":"string","description":"The street address of the store.","annotations":{"required":["content.pos.insert"]}},"storeCode":{"type":"string","description":"A store identifier that is unique for the given merchant.","annotations":{"required":["content.pos.insert"]}}}},"PostalCodeGroup":{"id":"PostalCodeGroup","type":"object","properties":{"country":{"type":"string","description":"The CLDR territory code of the country the postal code group applies to. Required."},"name":{"type":"string","description":"The name of the postal code group, referred to in headers. Required."},"postalCodeRanges":{"type":"array","description":"A range of postal codes. Required.","items":{"$ref":"PostalCodeRange"}}}},"PostalCodeRange":{"id":"PostalCodeRange","type":"object","properties":{"postalCodeRangeBegin":{"type":"string","description":"A postal code or a pattern of the form prefix* denoting the inclusive lower bound of the range defining the area. Examples values: \"94108\", \"9410*\", \"9*\". Required."},"postalCodeRangeEnd":{"type":"string","description":"A postal code or a pattern of the form prefix* denoting the inclusive upper bound of the range defining the area. It must have the same length as postalCodeRangeBegin: if postalCodeRangeBegin is a postal code then postalCodeRangeEnd must be a postal code too; if postalCodeRangeBegin is a pattern then postalCodeRangeEnd must be a pattern with the same prefix length. Optional: if not set, then the area is defined as being all the postal codes matching postalCodeRangeBegin."}}},"Price":{"id":"Price","type":"object","properties":{"currency":{"type":"string","description":"The currency of the price."},"value":{"type":"string","description":"The price represented as a number."}}},"Product":{"id":"Product","type":"object","description":"Product data. After inserting, updating, or deleting a product, it may take several minutes before changes take effect.","properties":{"additionalImageLinks":{"type":"array","description":"Additional URLs of images of the item.","items":{"type":"string"}},"additionalProductTypes":{"type":"array","description":"Additional categories of the item (formatted as in products data specification).","items":{"type":"string"}},"adult":{"type":"boolean","description":"Set to true if the item is targeted towards adults."},"adwordsGrouping":{"type":"string","description":"Used to group items in an arbitrary way. Only for CPA%, discouraged otherwise."},"adwordsLabels":{"type":"array","description":"Similar to adwords_grouping, but only works on CPC.","items":{"type":"string"}},"adwordsRedirect":{"type":"string","description":"Allows advertisers to override the item URL when the product is shown within the context of Product Ads."},"ageGroup":{"type":"string","description":"Target age group of the item."},"aspects":{"type":"array","description":"Deprecated. Do not use.","items":{"$ref":"ProductAspect"}},"availability":{"type":"string","description":"Availability status of the item."},"availabilityDate":{"type":"string","description":"The day a pre-ordered product becomes available for delivery, in ISO 8601 format."},"brand":{"type":"string","description":"Brand of the item."},"channel":{"type":"string","description":"The item's channel (online or local).","annotations":{"required":["content.products.insert"]}},"color":{"type":"string","description":"Color of the item."},"condition":{"type":"string","description":"Condition or state of the item."},"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.products.insert"]}},"costOfGoodsSold":{"$ref":"Price","description":"Cost of goods sold. Used for gross profit reporting."},"customAttributes":{"type":"array","description":"A list of custom (merchant-provided) attributes. It can also be used for submitting any attribute of the feed specification in its generic form (e.g., { \"name\": \"size type\", \"value\": \"regular\" }). This is useful for submitting attributes not explicitly exposed by the API.","items":{"$ref":"CustomAttribute"}},"customGroups":{"type":"array","description":"A list of custom (merchant-provided) custom attribute groups.","items":{"$ref":"CustomGroup"}},"customLabel0":{"type":"string","description":"Custom label 0 for custom grouping of items in a Shopping campaign."},"customLabel1":{"type":"string","description":"Custom label 1 for custom grouping of items in a Shopping campaign."},"customLabel2":{"type":"string","description":"Custom label 2 for custom grouping of items in a Shopping campaign."},"customLabel3":{"type":"string","description":"Custom label 3 for custom grouping of items in a Shopping campaign."},"customLabel4":{"type":"string","description":"Custom label 4 for custom grouping of items in a Shopping campaign."},"description":{"type":"string","description":"Description of the item."},"destinations":{"type":"array","description":"Specifies the intended destinations for the product.","items":{"$ref":"ProductDestination"}},"displayAdsId":{"type":"string","description":"An identifier for an item for dynamic remarketing campaigns."},"displayAdsLink":{"type":"string","description":"URL directly to your item's landing page for dynamic remarketing campaigns."},"displayAdsSimilarIds":{"type":"array","description":"Advertiser-specified recommendations.","items":{"type":"string"}},"displayAdsTitle":{"type":"string","description":"Title of an item for dynamic remarketing campaigns."},"displayAdsValue":{"type":"number","description":"Offer margin for dynamic remarketing campaigns.","format":"double"},"energyEfficiencyClass":{"type":"string","description":"The energy efficiency class as defined in EU directive 2010/30/EU."},"expirationDate":{"type":"string","description":"Date on which the item should expire, as specified upon insertion, in ISO 8601 format. The actual expiration date in Google Shopping is exposed in productstatuses as googleExpirationDate and might be earlier if expirationDate is too far in the future."},"gender":{"type":"string","description":"Target gender of the item."},"googleProductCategory":{"type":"string","description":"Google's category of the item (see Google product taxonomy)."},"gtin":{"type":"string","description":"Global Trade Item Number (GTIN) of the item."},"id":{"type":"string","description":"The REST ID of the product. Content API methods that operate on products take this as their productId parameter.\nThe REST ID for a product is of the form channel:contentLanguage:targetCountry:offerId."},"identifierExists":{"type":"boolean","description":"False when the item does not have unique product identifiers appropriate to its category, such as GTIN, MPN, and brand. Required according to the Unique Product Identifier Rules for all target countries except for Canada."},"imageLink":{"type":"string","description":"URL of an image of the item."},"installment":{"$ref":"Installment","description":"Number and amount of installments to pay for an item. Brazil only."},"isBundle":{"type":"boolean","description":"Whether the item is a merchant-defined bundle. A bundle is a custom grouping of different products sold by a merchant for a single price."},"itemGroupId":{"type":"string","description":"Shared identifier for all variants of the same product."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#product\".","default":"content#product"},"link":{"type":"string","description":"URL directly linking to your item's page on your website."},"loyaltyPoints":{"$ref":"LoyaltyPoints","description":"Loyalty points that users receive after purchasing the item. Japan only."},"material":{"type":"string","description":"The material of which the item is made."},"maxEnergyEfficiencyClass":{"type":"string","description":"The energy efficiency class as defined in EU directive 2010/30/EU."},"maxHandlingTime":{"type":"string","description":"Maximal product handling time (in business days).","format":"int64"},"minEnergyEfficiencyClass":{"type":"string","description":"The energy efficiency class as defined in EU directive 2010/30/EU."},"minHandlingTime":{"type":"string","description":"Minimal product handling time (in business days).","format":"int64"},"mobileLink":{"type":"string","description":"Link to a mobile-optimized version of the landing page."},"mpn":{"type":"string","description":"Manufacturer Part Number (MPN) of the item."},"multipack":{"type":"string","description":"The number of identical products in a merchant-defined multipack.","format":"int64"},"offerId":{"type":"string","description":"A unique identifier for the item. Leading and trailing whitespaces are stripped and multiple whitespaces are replaced by a single whitespace upon submission. Only valid unicode characters are accepted. See the products feed specification for details.\nNote: Content API methods that operate on products take the REST ID of the product, not this identifier.","annotations":{"required":["content.products.insert"]}},"onlineOnly":{"type":"boolean","description":"Deprecated. Whether an item is available for purchase only online."},"pattern":{"type":"string","description":"The item's pattern (e.g. polka dots)."},"price":{"$ref":"Price","description":"Price of the item."},"productType":{"type":"string","description":"Your category of the item (formatted as in products data specification)."},"promotionIds":{"type":"array","description":"The unique ID of a promotion.","items":{"type":"string"}},"salePrice":{"$ref":"Price","description":"Advertised sale price of the item."},"salePriceEffectiveDate":{"type":"string","description":"Date range during which the item is on sale (see products data specification)."},"sellOnGoogleQuantity":{"type":"string","description":"The quantity of the product that is available for selling on Google. Supported only for online products.","format":"int64"},"shipping":{"type":"array","description":"Shipping rules.","items":{"$ref":"ProductShipping"}},"shippingHeight":{"$ref":"ProductShippingDimension","description":"Height of the item for shipping."},"shippingLabel":{"type":"string","description":"The shipping label of the product, used to group product in account-level shipping rules."},"shippingLength":{"$ref":"ProductShippingDimension","description":"Length of the item for shipping."},"shippingWeight":{"$ref":"ProductShippingWeight","description":"Weight of the item for shipping."},"shippingWidth":{"$ref":"ProductShippingDimension","description":"Width of the item for shipping."},"sizeSystem":{"type":"string","description":"System in which the size is specified. Recommended for apparel items."},"sizeType":{"type":"string","description":"The cut of the item. Recommended for apparel items."},"sizes":{"type":"array","description":"Size of the item.","items":{"type":"string"}},"source":{"type":"string","description":"The source of the offer, i.e., how the offer was created."},"targetCountry":{"type":"string","description":"The CLDR territory code for the item.","annotations":{"required":["content.products.insert"]}},"taxes":{"type":"array","description":"Tax information.","items":{"$ref":"ProductTax"}},"title":{"type":"string","description":"Title of the item."},"unitPricingBaseMeasure":{"$ref":"ProductUnitPricingBaseMeasure","description":"The preference of the denominator of the unit price."},"unitPricingMeasure":{"$ref":"ProductUnitPricingMeasure","description":"The measure and dimension of an item."},"validatedDestinations":{"type":"array","description":"Deprecated. The read-only list of intended destinations which passed validation.","items":{"type":"string"}},"warnings":{"type":"array","description":"Read-only warnings.","items":{"$ref":"Error"}}}},"ProductAmount":{"id":"ProductAmount","type":"object","properties":{"priceAmount":{"$ref":"Price","description":"The pre-tax or post-tax price depending on the location of the order."},"remittedTaxAmount":{"$ref":"Price","description":"Remitted tax value."},"taxAmount":{"$ref":"Price","description":"Tax value."}}},"ProductAspect":{"id":"ProductAspect","type":"object","properties":{"aspectName":{"type":"string","description":"The name of the aspect."},"destinationName":{"type":"string","description":"The name of the destination. Leave out to apply to all destinations."},"intention":{"type":"string","description":"Whether the aspect is required, excluded or should be validated."}}},"ProductDestination":{"id":"ProductDestination","type":"object","properties":{"destinationName":{"type":"string","description":"The name of the destination."},"intention":{"type":"string","description":"Whether the destination is required, excluded or should be validated."}}},"ProductShipping":{"id":"ProductShipping","type":"object","properties":{"country":{"type":"string","description":"The CLDR territory code of the country to which an item will ship."},"locationGroupName":{"type":"string","description":"The location where the shipping is applicable, represented by a location group name."},"locationId":{"type":"string","description":"The numeric ID of a location that the shipping rate applies to as defined in the AdWords API.","format":"int64"},"postalCode":{"type":"string","description":"The postal code range that the shipping rate applies to, represented by a postal code, a postal code prefix followed by a * wildcard, a range between two postal codes or two postal code prefixes of equal length."},"price":{"$ref":"Price","description":"Fixed shipping price, represented as a number."},"region":{"type":"string","description":"The geographic region to which a shipping rate applies."},"service":{"type":"string","description":"A free-form description of the service class or delivery speed."}}},"ProductShippingDimension":{"id":"ProductShippingDimension","type":"object","properties":{"unit":{"type":"string","description":"The unit of value."},"value":{"type":"number","description":"The dimension of the product used to calculate the shipping cost of the item.","format":"double"}}},"ProductShippingWeight":{"id":"ProductShippingWeight","type":"object","properties":{"unit":{"type":"string","description":"The unit of value."},"value":{"type":"number","description":"The weight of the product used to calculate the shipping cost of the item.","format":"double"}}},"ProductStatus":{"id":"ProductStatus","type":"object","description":"The status of a product, i.e., information about a product computed asynchronously.","properties":{"creationDate":{"type":"string","description":"Date on which the item has been created, in ISO 8601 format."},"dataQualityIssues":{"type":"array","description":"DEPRECATED - never populated","items":{"$ref":"ProductStatusDataQualityIssue"}},"destinationStatuses":{"type":"array","description":"The intended destinations for the product.","items":{"$ref":"ProductStatusDestinationStatus"}},"googleExpirationDate":{"type":"string","description":"Date on which the item expires in Google Shopping, in ISO 8601 format."},"itemLevelIssues":{"type":"array","description":"A list of all issues associated with the product.","items":{"$ref":"ProductStatusItemLevelIssue"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productStatus\".","default":"content#productStatus"},"lastUpdateDate":{"type":"string","description":"Date on which the item has been last updated, in ISO 8601 format."},"link":{"type":"string","description":"The link to the product."},"product":{"$ref":"Product","description":"Product data after applying all the join inputs."},"productId":{"type":"string","description":"The ID of the product for which status is reported."},"title":{"type":"string","description":"The title of the product."}}},"ProductStatusDataQualityIssue":{"id":"ProductStatusDataQualityIssue","type":"object","properties":{"destination":{"type":"string"},"detail":{"type":"string"},"fetchStatus":{"type":"string"},"id":{"type":"string"},"location":{"type":"string"},"severity":{"type":"string"},"timestamp":{"type":"string"},"valueOnLandingPage":{"type":"string"},"valueProvided":{"type":"string"}}},"ProductStatusDestinationStatus":{"id":"ProductStatusDestinationStatus","type":"object","properties":{"approvalPending":{"type":"boolean","description":"Whether the approval status might change due to further processing."},"approvalStatus":{"type":"string","description":"The destination's approval status."},"destination":{"type":"string","description":"The name of the destination"},"intention":{"type":"string","description":"Provided for backward compatibility only. Always set to \"required\"."}}},"ProductStatusItemLevelIssue":{"id":"ProductStatusItemLevelIssue","type":"object","properties":{"attributeName":{"type":"string","description":"The attribute's name, if the issue is caused by a single attribute."},"code":{"type":"string","description":"The error code of the issue."},"description":{"type":"string","description":"A short issue description in English."},"destination":{"type":"string","description":"The destination the issue applies to."},"detail":{"type":"string","description":"A detailed issue description in English."},"documentation":{"type":"string","description":"The URL of a web page to help with resolving this issue."},"resolution":{"type":"string","description":"Whether the issue can be resolved by the merchant."},"servability":{"type":"string","description":"How this issue affects serving of the offer."}}},"ProductTax":{"id":"ProductTax","type":"object","properties":{"country":{"type":"string","description":"The country within which the item is taxed, specified as a CLDR territory code."},"locationId":{"type":"string","description":"The numeric ID of a location that the tax rate applies to as defined in the AdWords API.","format":"int64"},"postalCode":{"type":"string","description":"The postal code range that the tax rate applies to, represented by a ZIP code, a ZIP code prefix using * wildcard, a range between two ZIP codes or two ZIP code prefixes of equal length. Examples: 94114, 94*, 94002-95460, 94*-95*."},"rate":{"type":"number","description":"The percentage of tax rate that applies to the item price.","format":"double"},"region":{"type":"string","description":"The geographic region to which the tax rate applies."},"taxShip":{"type":"boolean","description":"Set to true if tax is charged on shipping."}}},"ProductUnitPricingBaseMeasure":{"id":"ProductUnitPricingBaseMeasure","type":"object","properties":{"unit":{"type":"string","description":"The unit of the denominator."},"value":{"type":"string","description":"The denominator of the unit price.","format":"int64"}}},"ProductUnitPricingMeasure":{"id":"ProductUnitPricingMeasure","type":"object","properties":{"unit":{"type":"string","description":"The unit of the measure."},"value":{"type":"number","description":"The measure of an item.","format":"double"}}},"ProductsCustomBatchRequest":{"id":"ProductsCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"ProductsCustomBatchRequestEntry"}}}},"ProductsCustomBatchRequestEntry":{"id":"ProductsCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch products request.","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"},"product":{"$ref":"Product","description":"The product to insert. Only required if the method is insert."},"productId":{"type":"string","description":"The ID of the product to get or delete. Only defined if the method is get or delete."}}},"ProductsCustomBatchResponse":{"id":"ProductsCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"ProductsCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productsCustomBatchResponse\".","default":"content#productsCustomBatchResponse"}}},"ProductsCustomBatchResponseEntry":{"id":"ProductsCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch products response.","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productsCustomBatchResponseEntry\".","default":"content#productsCustomBatchResponseEntry"},"product":{"$ref":"Product","description":"The inserted product. Only defined if the method is insert and if the request was successful."}}},"ProductsListResponse":{"id":"ProductsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productsListResponse\".","default":"content#productsListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of products."},"resources":{"type":"array","items":{"$ref":"Product"}}}},"ProductstatusesCustomBatchRequest":{"id":"ProductstatusesCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"ProductstatusesCustomBatchRequestEntry"}}}},"ProductstatusesCustomBatchRequestEntry":{"id":"ProductstatusesCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch productstatuses request.","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"destinations":{"type":"array","description":"If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.","items":{"type":"string"}},"includeAttributes":{"type":"boolean"},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"},"productId":{"type":"string","description":"The ID of the product whose status to get."}}},"ProductstatusesCustomBatchResponse":{"id":"ProductstatusesCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"ProductstatusesCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productstatusesCustomBatchResponse\".","default":"content#productstatusesCustomBatchResponse"}}},"ProductstatusesCustomBatchResponseEntry":{"id":"ProductstatusesCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch productstatuses response.","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors, if the request failed."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productstatusesCustomBatchResponseEntry\".","default":"content#productstatusesCustomBatchResponseEntry"},"productStatus":{"$ref":"ProductStatus","description":"The requested product status. Only defined if the request was successful."}}},"ProductstatusesListResponse":{"id":"ProductstatusesListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#productstatusesListResponse\".","default":"content#productstatusesListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of products statuses."},"resources":{"type":"array","items":{"$ref":"ProductStatus"}}}},"Promotion":{"id":"Promotion","type":"object","properties":{"promotionAmount":{"$ref":"Amount","description":"[required] Amount of the promotion. The values here are the promotion applied to the unit price pretax and to the total of the tax amounts."},"promotionId":{"type":"string","description":"[required] ID of the promotion."}}},"RateGroup":{"id":"RateGroup","type":"object","properties":{"applicableShippingLabels":{"type":"array","description":"A list of shipping labels defining the products to which this rate group applies to. This is a disjunction: only one of the labels has to match for the rate group to apply. May only be empty for the last rate group of a service. Required.","items":{"type":"string"}},"carrierRates":{"type":"array","description":"A list of carrier rates that can be referred to by mainTable or singleValue.","items":{"$ref":"CarrierRate"}},"mainTable":{"$ref":"Table","description":"A table defining the rate group, when singleValue is not expressive enough. Can only be set if singleValue is not set."},"name":{"type":"string","description":"Name of the rate group. Optional. If set has to be unique within shipping service."},"singleValue":{"$ref":"Value","description":"The value of the rate group (e.g. flat rate $10). Can only be set if mainTable and subtables are not set."},"subtables":{"type":"array","description":"A list of subtables referred to by mainTable. Can only be set if mainTable is set.","items":{"$ref":"Table"}}}},"RefundReason":{"id":"RefundReason","type":"object","properties":{"description":{"type":"string"},"reasonCode":{"type":"string"}}},"ReturnShipment":{"id":"ReturnShipment","type":"object","properties":{"creationDate":{"type":"string"},"deliveryDate":{"type":"string"},"returnMethodType":{"type":"string"},"shipmentId":{"type":"string"},"shipmentTrackingInfos":{"type":"array","items":{"$ref":"ShipmentTrackingInfo"}},"shippingDate":{"type":"string"},"state":{"type":"string"}}},"Row":{"id":"Row","type":"object","properties":{"cells":{"type":"array","description":"The list of cells that constitute the row. Must have the same length as columnHeaders for two-dimensional tables, a length of 1 for one-dimensional tables. Required.","items":{"$ref":"Value"}}}},"Service":{"id":"Service","type":"object","properties":{"active":{"type":"boolean","description":"A boolean exposing the active status of the shipping service. Required."},"currency":{"type":"string","description":"The CLDR code of the currency to which this service applies. Must match that of the prices in rate groups."},"deliveryCountry":{"type":"string","description":"The CLDR territory code of the country to which the service applies. Required."},"deliveryTime":{"$ref":"DeliveryTime","description":"Time spent in various aspects from order to the delivery of the product. Required."},"eligibility":{"type":"string","description":"Eligibility for this service."},"minimumOrderValue":{"$ref":"Price","description":"Minimum order value for this service. If set, indicates that customers will have to spend at least this amount. All prices within a service must have the same currency."},"name":{"type":"string","description":"Free-form name of the service. Must be unique within target account. Required."},"rateGroups":{"type":"array","description":"Shipping rate group definitions. Only the last one is allowed to have an empty applicableShippingLabels, which means \"everything else\". The other applicableShippingLabels must not overlap.","items":{"$ref":"RateGroup"}}}},"ShipmentInvoice":{"id":"ShipmentInvoice","type":"object","properties":{"invoiceSummary":{"$ref":"InvoiceSummary","description":"[required] Invoice summary."},"lineItemInvoices":{"type":"array","description":"[required] Invoice details per line item.","items":{"$ref":"ShipmentInvoiceLineItemInvoice"}},"shipmentGroupId":{"type":"string","description":"[required] ID of the shipment group. It is assigned by the merchant in the shipLineItems method and is used to group multiple line items that have the same kind of shipping charges."}}},"ShipmentInvoiceLineItemInvoice":{"id":"ShipmentInvoiceLineItemInvoice","type":"object","properties":{"lineItemId":{"type":"string","description":"ID of the line item. Either lineItemId or productId must be set."},"productId":{"type":"string","description":"ID of the product. This is the REST ID used in the products service. Either lineItemId or productId must be set."},"shipmentUnitIds":{"type":"array","description":"[required] The shipment unit ID is assigned by the merchant and defines individual quantities within a line item. The same ID can be assigned to units that are the same while units that differ must be assigned a different ID (for example: free or promotional units).","items":{"type":"string"}},"unitInvoice":{"$ref":"UnitInvoice","description":"[required] Invoice details for a single unit."}}},"ShipmentTrackingInfo":{"id":"ShipmentTrackingInfo","type":"object","properties":{"carrier":{"type":"string"},"trackingNumber":{"type":"string"}}},"ShippingSettings":{"id":"ShippingSettings","type":"object","description":"The merchant account's shipping settings. All methods except getsupportedcarriers and getsupportedholidays require the admin role.","properties":{"accountId":{"type":"string","description":"The ID of the account to which these account shipping settings belong. Ignored upon update, always present in get request responses.","format":"uint64"},"postalCodeGroups":{"type":"array","description":"A list of postal code groups that can be referred to in services. Optional.","items":{"$ref":"PostalCodeGroup"}},"services":{"type":"array","description":"The target account's list of services. Optional.","items":{"$ref":"Service"}}}},"ShippingsettingsCustomBatchRequest":{"id":"ShippingsettingsCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"ShippingsettingsCustomBatchRequestEntry"}}}},"ShippingsettingsCustomBatchRequestEntry":{"id":"ShippingsettingsCustomBatchRequestEntry","type":"object","description":"A batch entry encoding a single non-batch shippingsettings request.","properties":{"accountId":{"type":"string","description":"The ID of the account for which to get/update account shipping settings.","format":"uint64"},"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"method":{"type":"string"},"shippingSettings":{"$ref":"ShippingSettings","description":"The account shipping settings to update. Only defined if the method is update."}}},"ShippingsettingsCustomBatchResponse":{"id":"ShippingsettingsCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"ShippingsettingsCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#shippingsettingsCustomBatchResponse\".","default":"content#shippingsettingsCustomBatchResponse"}}},"ShippingsettingsCustomBatchResponseEntry":{"id":"ShippingsettingsCustomBatchResponseEntry","type":"object","description":"A batch entry encoding a single non-batch shipping settings response.","properties":{"batchId":{"type":"integer","description":"The ID of the request entry to which this entry responds.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if, and only if, the request failed."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#shippingsettingsCustomBatchResponseEntry\".","default":"content#shippingsettingsCustomBatchResponseEntry"},"shippingSettings":{"$ref":"ShippingSettings","description":"The retrieved or updated account shipping settings."}}},"ShippingsettingsGetSupportedCarriersResponse":{"id":"ShippingsettingsGetSupportedCarriersResponse","type":"object","properties":{"carriers":{"type":"array","description":"A list of supported carriers. May be empty.","items":{"$ref":"CarriersCarrier"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#shippingsettingsGetSupportedCarriersResponse\".","default":"content#shippingsettingsGetSupportedCarriersResponse"}}},"ShippingsettingsGetSupportedHolidaysResponse":{"id":"ShippingsettingsGetSupportedHolidaysResponse","type":"object","properties":{"holidays":{"type":"array","description":"A list of holidays applicable for delivery guarantees. May be empty.","items":{"$ref":"HolidaysHoliday"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#shippingsettingsGetSupportedHolidaysResponse\".","default":"content#shippingsettingsGetSupportedHolidaysResponse"}}},"ShippingsettingsListResponse":{"id":"ShippingsettingsListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#shippingsettingsListResponse\".","default":"content#shippingsettingsListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of shipping settings."},"resources":{"type":"array","items":{"$ref":"ShippingSettings"}}}},"Table":{"id":"Table","type":"object","properties":{"columnHeaders":{"$ref":"Headers","description":"Headers of the table's columns. Optional: if not set then the table has only one dimension."},"name":{"type":"string","description":"Name of the table. Required for subtables, ignored for the main table."},"rowHeaders":{"$ref":"Headers","description":"Headers of the table's rows. Required."},"rows":{"type":"array","description":"The list of rows that constitute the table. Must have the same length as rowHeaders. Required.","items":{"$ref":"Row"}}}},"TestOrder":{"id":"TestOrder","type":"object","properties":{"customer":{"$ref":"TestOrderCustomer","description":"The details of the customer who placed the order.","annotations":{"required":["content.orders.createtestorder"]}},"enableOrderinvoices":{"type":"boolean","description":"Whether the orderinvoices service should support this order."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#testOrder\".","default":"content#testOrder"},"lineItems":{"type":"array","description":"Line items that are ordered. At least one line item must be provided.","items":{"$ref":"TestOrderLineItem"},"annotations":{"required":["content.orders.createtestorder"]}},"notificationMode":{"type":"string","description":"Determines if test order must be pulled by merchant or pushed to merchant via push integration."},"paymentMethod":{"$ref":"TestOrderPaymentMethod","description":"The details of the payment method."},"predefinedDeliveryAddress":{"type":"string","description":"Identifier of one of the predefined delivery addresses for the delivery.","annotations":{"required":["content.orders.createtestorder"]}},"promotions":{"type":"array","description":"Deprecated. Ignored if provided.","items":{"$ref":"OrderLegacyPromotion"}},"shippingCost":{"$ref":"Price","description":"The price of shipping for all items. Shipping tax is automatically calculated for MFL orders. For non-MFL orders, tax settings from Merchant Center are applied. Note that shipping is not taxed in certain states.","annotations":{"required":["content.orders.createtestorder"]}},"shippingCostTax":{"$ref":"Price","description":"Deprecated. Ignored if provided."},"shippingOption":{"type":"string","description":"The requested shipping option.","annotations":{"required":["content.orders.createtestorder"]}}}},"TestOrderCustomer":{"id":"TestOrderCustomer","type":"object","properties":{"email":{"type":"string","description":"Email address of the customer.","annotations":{"required":["content.orders.createtestorder"]}},"explicitMarketingPreference":{"type":"boolean","description":"Deprecated. Please use marketingRightsInfo instead."},"fullName":{"type":"string","description":"Full name of the customer."},"marketingRightsInfo":{"$ref":"TestOrderCustomerMarketingRightsInfo","description":"Customer's marketing preferences."}}},"TestOrderCustomerMarketingRightsInfo":{"id":"TestOrderCustomerMarketingRightsInfo","type":"object","properties":{"explicitMarketingPreference":{"type":"string","description":"Last know user use selection regards marketing preferences. In certain cases selection might not be known, so this field would be empty."},"lastUpdatedTimestamp":{"type":"string","description":"Timestamp when last time marketing preference was updated. Could be empty, if user wasn't offered a selection yet."}}},"TestOrderLineItem":{"id":"TestOrderLineItem","type":"object","properties":{"product":{"$ref":"TestOrderLineItemProduct","description":"Product data from the time of the order placement."},"quantityOrdered":{"type":"integer","description":"Number of items ordered.","format":"uint32","annotations":{"required":["content.orders.createtestorder"]}},"returnInfo":{"$ref":"OrderLineItemReturnInfo","description":"Details of the return policy for the line item.","annotations":{"required":["content.orders.createtestorder"]}},"shippingDetails":{"$ref":"OrderLineItemShippingDetails","description":"Details of the requested shipping for the line item.","annotations":{"required":["content.orders.createtestorder"]}},"unitTax":{"$ref":"Price","description":"Deprecated. Ignored if provided."}}},"TestOrderLineItemProduct":{"id":"TestOrderLineItemProduct","type":"object","properties":{"brand":{"type":"string","description":"Brand of the item.","annotations":{"required":["content.orders.createtestorder"]}},"channel":{"type":"string","description":"Deprecated."},"condition":{"type":"string","description":"Condition or state of the item.","annotations":{"required":["content.orders.createtestorder"]}},"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.orders.createtestorder"]}},"fees":{"type":"array","description":"Fees for the item. Optional.","items":{"$ref":"OrderLineItemProductFee"}},"gtin":{"type":"string","description":"Global Trade Item Number (GTIN) of the item. Optional."},"imageLink":{"type":"string","description":"URL of an image of the item.","annotations":{"required":["content.orders.createtestorder"]}},"itemGroupId":{"type":"string","description":"Shared identifier for all variants of the same product. Optional."},"mpn":{"type":"string","description":"Manufacturer Part Number (MPN) of the item. Optional."},"offerId":{"type":"string","description":"An identifier of the item.","annotations":{"required":["content.orders.createtestorder"]}},"price":{"$ref":"Price","description":"The price for the product. Tax is automatically calculated for MFL orders. For non-MFL orders, tax settings from Merchant Center are applied.","annotations":{"required":["content.orders.createtestorder"]}},"targetCountry":{"type":"string","description":"The CLDR territory code of the target country of the product.","annotations":{"required":["content.orders.createtestorder"]}},"title":{"type":"string","description":"The title of the product.","annotations":{"required":["content.orders.createtestorder"]}},"variantAttributes":{"type":"array","description":"Variant attributes for the item. Optional.","items":{"$ref":"OrderLineItemProductVariantAttribute"}}}},"TestOrderPaymentMethod":{"id":"TestOrderPaymentMethod","type":"object","properties":{"expirationMonth":{"type":"integer","description":"The card expiration month (January = 1, February = 2 etc.).","format":"int32"},"expirationYear":{"type":"integer","description":"The card expiration year (4-digit, e.g. 2015).","format":"int32"},"lastFourDigits":{"type":"string","description":"The last four digits of the card number."},"predefinedBillingAddress":{"type":"string","description":"The billing address."},"type":{"type":"string","description":"The type of instrument. Note that real orders might have different values than the four values accepted by createTestOrder."}}},"TransitTable":{"id":"TransitTable","type":"object","properties":{"postalCodeGroupNames":{"type":"array","description":"A list of postal group names. The last value can be \"all other locations\". Example: [\"zone 1\", \"zone 2\", \"all other locations\"]. The referred postal code groups must match the delivery country of the service.","items":{"type":"string"}},"rows":{"type":"array","items":{"$ref":"TransitTableTransitTimeRow"}},"transitTimeLabels":{"type":"array","description":"A list of transit time labels. The last value can be \"all other labels\". Example: [\"food\", \"electronics\", \"all other labels\"].","items":{"type":"string"}}}},"TransitTableTransitTimeRow":{"id":"TransitTableTransitTimeRow","type":"object","properties":{"values":{"type":"array","items":{"$ref":"TransitTableTransitTimeRowTransitTimeValue"}}}},"TransitTableTransitTimeRowTransitTimeValue":{"id":"TransitTableTransitTimeRowTransitTimeValue","type":"object","properties":{"maxTransitTimeInDays":{"type":"integer","description":"Must be greater than or equal to minTransitTimeInDays.","format":"uint32"},"minTransitTimeInDays":{"type":"integer","description":"Transit time range (min-max) in business days. 0 means same day delivery, 1 means next day delivery.","format":"uint32"}}},"UnitInvoice":{"id":"UnitInvoice","type":"object","properties":{"additionalCharges":{"type":"array","description":"Additional charges for a unit, e.g. shipping costs.","items":{"$ref":"UnitInvoiceAdditionalCharge"}},"promotions":{"type":"array","description":"Deprecated.","items":{"$ref":"Promotion"}},"unitPricePretax":{"$ref":"Price","description":"[required] Price of the unit, before applying taxes."},"unitPriceTaxes":{"type":"array","description":"Tax amounts to apply to the unit price.","items":{"$ref":"UnitInvoiceTaxLine"}}}},"UnitInvoiceAdditionalCharge":{"id":"UnitInvoiceAdditionalCharge","type":"object","properties":{"additionalChargeAmount":{"$ref":"Amount","description":"[required] Amount of the additional charge."},"additionalChargePromotions":{"type":"array","description":"Deprecated.","items":{"$ref":"Promotion"}},"type":{"type":"string","description":"[required] Type of the additional charge."}}},"UnitInvoiceTaxLine":{"id":"UnitInvoiceTaxLine","type":"object","properties":{"taxAmount":{"$ref":"Price","description":"[required] Tax amount for the tax type."},"taxName":{"type":"string","description":"Optional name of the tax type. This should only be provided if taxType is otherFeeTax."},"taxType":{"type":"string","description":"[required] Type of the tax."}}},"Value":{"id":"Value","type":"object","description":"The single value of a rate group or the value of a rate group table's cell. Exactly one of noShipping, flatRate, pricePercentage, carrierRateName, subtableName must be set.","properties":{"carrierRateName":{"type":"string","description":"The name of a carrier rate referring to a carrier rate defined in the same rate group. Can only be set if all other fields are not set."},"flatRate":{"$ref":"Price","description":"A flat rate. Can only be set if all other fields are not set."},"noShipping":{"type":"boolean","description":"If true, then the product can't ship. Must be true when set, can only be set if all other fields are not set."},"pricePercentage":{"type":"string","description":"A percentage of the price represented as a number in decimal notation (e.g., \"5.4\"). Can only be set if all other fields are not set."},"subtableName":{"type":"string","description":"The name of a subtable. Can only be set in table cells (i.e., not for single values), and only if all other fields are not set."}}},"Weight":{"id":"Weight","type":"object","properties":{"unit":{"type":"string","description":"The weight unit."},"value":{"type":"string","description":"The weight represented as a number."}}}},"resources":{"accounts":{"methods":{"authinfo":{"id":"content.accounts.authinfo","path":"accounts/authinfo","httpMethod":"GET","description":"Returns information about the authenticated user.","response":{"$ref":"AccountsAuthInfoResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"claimwebsite":{"id":"content.accounts.claimwebsite","path":"{merchantId}/accounts/{accountId}/claimwebsite","httpMethod":"POST","description":"Claims the website of a Merchant Center sub-account.","parameters":{"accountId":{"type":"string","description":"The ID of the account whose website is claimed.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"},"overwrite":{"type":"boolean","description":"Only available to selected merchants. When set to True, this flag removes any existing claim on the requested website by another account and replaces it with a claim from this account.","location":"query"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"AccountsClaimWebsiteResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"custombatch":{"id":"content.accounts.custombatch","path":"accounts/batch","httpMethod":"POST","description":"Retrieves, inserts, updates, and deletes multiple Merchant Center (sub-)accounts in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"AccountsCustomBatchRequest"},"response":{"$ref":"AccountsCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"delete":{"id":"content.accounts.delete","path":"{merchantId}/accounts/{accountId}","httpMethod":"DELETE","description":"Deletes a Merchant Center sub-account.","parameters":{"accountId":{"type":"string","description":"The ID of the account.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"force":{"type":"boolean","description":"Flag to delete sub-accounts with products. The default value is false.","default":"false","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account, and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.accounts.get","path":"{merchantId}/accounts/{accountId}","httpMethod":"GET","description":"Retrieves a Merchant Center account.","parameters":{"accountId":{"type":"string","description":"The ID of the account.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"Account"},"scopes":["https://www.googleapis.com/auth/content"]},"insert":{"id":"content.accounts.insert","path":"{merchantId}/accounts","httpMethod":"POST","description":"Creates a Merchant Center sub-account.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"request":{"$ref":"Account"},"response":{"$ref":"Account"},"scopes":["https://www.googleapis.com/auth/content"]},"link":{"id":"content.accounts.link","path":"{merchantId}/accounts/{accountId}/link","httpMethod":"POST","description":"Performs an action on a link between two Merchant Center accounts, namely accountId and linkedAccountId.","parameters":{"accountId":{"type":"string","description":"The ID of the account that should be linked.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"AccountsLinkRequest"},"response":{"$ref":"AccountsLinkResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.accounts.list","path":"{merchantId}/accounts","httpMethod":"GET","description":"Lists the sub-accounts in your Merchant Center account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of accounts to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"AccountsListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"patch":{"id":"content.accounts.patch","path":"{merchantId}/accounts/{accountId}","httpMethod":"PATCH","description":"Updates a Merchant Center account. This method supports patch semantics.","parameters":{"accountId":{"type":"string","description":"The ID of the account.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"Account"},"response":{"$ref":"Account"},"scopes":["https://www.googleapis.com/auth/content"]},"update":{"id":"content.accounts.update","path":"{merchantId}/accounts/{accountId}","httpMethod":"PUT","description":"Updates a Merchant Center account.","parameters":{"accountId":{"type":"string","description":"The ID of the account.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"Account"},"response":{"$ref":"Account"},"scopes":["https://www.googleapis.com/auth/content"]}}},"accountstatuses":{"methods":{"custombatch":{"id":"content.accountstatuses.custombatch","path":"accountstatuses/batch","httpMethod":"POST","description":"Retrieves multiple Merchant Center account statuses in a single request.","request":{"$ref":"AccountstatusesCustomBatchRequest"},"response":{"$ref":"AccountstatusesCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.accountstatuses.get","path":"{merchantId}/accountstatuses/{accountId}","httpMethod":"GET","description":"Retrieves the status of a Merchant Center account. No itemLevelIssues are returned for multi-client accounts.","parameters":{"accountId":{"type":"string","description":"The ID of the account.","required":true,"format":"uint64","location":"path"},"destinations":{"type":"string","description":"If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.","repeated":true,"location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"AccountStatus"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.accountstatuses.list","path":"{merchantId}/accountstatuses","httpMethod":"GET","description":"Lists the statuses of the sub-accounts in your Merchant Center account.","parameters":{"destinations":{"type":"string","description":"If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.","repeated":true,"location":"query"},"maxResults":{"type":"integer","description":"The maximum number of account statuses to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"AccountstatusesListResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"accounttax":{"methods":{"custombatch":{"id":"content.accounttax.custombatch","path":"accounttax/batch","httpMethod":"POST","description":"Retrieves and updates tax settings of multiple accounts in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"AccounttaxCustomBatchRequest"},"response":{"$ref":"AccounttaxCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.accounttax.get","path":"{merchantId}/accounttax/{accountId}","httpMethod":"GET","description":"Retrieves the tax settings of the account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get/update account tax settings.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"AccountTax"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.accounttax.list","path":"{merchantId}/accounttax","httpMethod":"GET","description":"Lists the tax settings of the sub-accounts in your Merchant Center account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of tax settings to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"AccounttaxListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"patch":{"id":"content.accounttax.patch","path":"{merchantId}/accounttax/{accountId}","httpMethod":"PATCH","description":"Updates the tax settings of the account. This method supports patch semantics.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get/update account tax settings.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"AccountTax"},"response":{"$ref":"AccountTax"},"scopes":["https://www.googleapis.com/auth/content"]},"update":{"id":"content.accounttax.update","path":"{merchantId}/accounttax/{accountId}","httpMethod":"PUT","description":"Updates the tax settings of the account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get/update account tax settings.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"AccountTax"},"response":{"$ref":"AccountTax"},"scopes":["https://www.googleapis.com/auth/content"]}}},"datafeeds":{"methods":{"custombatch":{"id":"content.datafeeds.custombatch","path":"datafeeds/batch","httpMethod":"POST","description":"Deletes, fetches, gets, inserts and updates multiple datafeeds in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"DatafeedsCustomBatchRequest"},"response":{"$ref":"DatafeedsCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"delete":{"id":"content.datafeeds.delete","path":"{merchantId}/datafeeds/{datafeedId}","httpMethod":"DELETE","description":"Deletes a datafeed configuration from your Merchant Center account.","parameters":{"datafeedId":{"type":"string","description":"The ID of the datafeed.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","datafeedId"],"scopes":["https://www.googleapis.com/auth/content"]},"fetchnow":{"id":"content.datafeeds.fetchnow","path":"{merchantId}/datafeeds/{datafeedId}/fetchNow","httpMethod":"POST","description":"Invokes a fetch for the datafeed in your Merchant Center account.","parameters":{"datafeedId":{"type":"string","description":"The ID of the datafeed to be fetched.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","datafeedId"],"response":{"$ref":"DatafeedsFetchNowResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.datafeeds.get","path":"{merchantId}/datafeeds/{datafeedId}","httpMethod":"GET","description":"Retrieves a datafeed configuration from your Merchant Center account.","parameters":{"datafeedId":{"type":"string","description":"The ID of the datafeed.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","datafeedId"],"response":{"$ref":"Datafeed"},"scopes":["https://www.googleapis.com/auth/content"]},"insert":{"id":"content.datafeeds.insert","path":"{merchantId}/datafeeds","httpMethod":"POST","description":"Registers a datafeed configuration with your Merchant Center account.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"request":{"$ref":"Datafeed"},"response":{"$ref":"Datafeed"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.datafeeds.list","path":"{merchantId}/datafeeds","httpMethod":"GET","description":"Lists the configurations for datafeeds in your Merchant Center account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of products to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeeds. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"DatafeedsListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"patch":{"id":"content.datafeeds.patch","path":"{merchantId}/datafeeds/{datafeedId}","httpMethod":"PATCH","description":"Updates a datafeed configuration of your Merchant Center account. This method supports patch semantics.","parameters":{"datafeedId":{"type":"string","description":"The ID of the datafeed.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","datafeedId"],"request":{"$ref":"Datafeed"},"response":{"$ref":"Datafeed"},"scopes":["https://www.googleapis.com/auth/content"]},"update":{"id":"content.datafeeds.update","path":"{merchantId}/datafeeds/{datafeedId}","httpMethod":"PUT","description":"Updates a datafeed configuration of your Merchant Center account.","parameters":{"datafeedId":{"type":"string","description":"The ID of the datafeed.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","datafeedId"],"request":{"$ref":"Datafeed"},"response":{"$ref":"Datafeed"},"scopes":["https://www.googleapis.com/auth/content"]}}},"datafeedstatuses":{"methods":{"custombatch":{"id":"content.datafeedstatuses.custombatch","path":"datafeedstatuses/batch","httpMethod":"POST","description":"Gets multiple Merchant Center datafeed statuses in a single request.","request":{"$ref":"DatafeedstatusesCustomBatchRequest"},"response":{"$ref":"DatafeedstatusesCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.datafeedstatuses.get","path":"{merchantId}/datafeedstatuses/{datafeedId}","httpMethod":"GET","description":"Retrieves the status of a datafeed from your Merchant Center account.","parameters":{"country":{"type":"string","description":"The country for which to get the datafeed status. If this parameter is provided then language must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target.","location":"query"},"datafeedId":{"type":"string","description":"The ID of the datafeed.","required":true,"format":"uint64","location":"path"},"language":{"type":"string","description":"The language for which to get the datafeed status. If this parameter is provided then country must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target.","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeed. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","datafeedId"],"response":{"$ref":"DatafeedStatus"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.datafeedstatuses.list","path":"{merchantId}/datafeedstatuses","httpMethod":"GET","description":"Lists the statuses of the datafeeds in your Merchant Center account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of products to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the datafeeds. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"DatafeedstatusesListResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"inventory":{"methods":{"custombatch":{"id":"content.inventory.custombatch","path":"inventory/batch","httpMethod":"POST","description":"Updates price and availability for multiple products or stores in a single request. This operation does not update the expiration date of the products.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"InventoryCustomBatchRequest"},"response":{"$ref":"InventoryCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"set":{"id":"content.inventory.set","path":"{merchantId}/inventory/{storeCode}/products/{productId}","httpMethod":"POST","description":"Updates price and availability of a product in your Merchant Center account.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that contains the product. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"productId":{"type":"string","description":"The REST ID of the product for which to update price and availability.","required":true,"location":"path"},"storeCode":{"type":"string","description":"The code of the store for which to update price and availability. Use online to update price and availability of an online product.","required":true,"location":"path"}},"parameterOrder":["merchantId","storeCode","productId"],"request":{"$ref":"InventorySetRequest"},"response":{"$ref":"InventorySetResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"liasettings":{"methods":{"custombatch":{"id":"content.liasettings.custombatch","path":"liasettings/batch","httpMethod":"POST","description":"Retrieves and/or updates the LIA settings of multiple accounts in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"LiasettingsCustomBatchRequest"},"response":{"$ref":"LiasettingsCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.liasettings.get","path":"{merchantId}/liasettings/{accountId}","httpMethod":"GET","description":"Retrieves the LIA settings of the account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get or update LIA settings.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"LiaSettings"},"scopes":["https://www.googleapis.com/auth/content"]},"getaccessiblegmbaccounts":{"id":"content.liasettings.getaccessiblegmbaccounts","path":"{merchantId}/liasettings/{accountId}/accessiblegmbaccounts","httpMethod":"GET","description":"Retrieves the list of accessible Google My Business accounts.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to retrieve accessible Google My Business accounts.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"LiasettingsGetAccessibleGmbAccountsResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.liasettings.list","path":"{merchantId}/liasettings","httpMethod":"GET","description":"Lists the LIA settings of the sub-accounts in your Merchant Center account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of LIA settings to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"LiasettingsListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"listposdataproviders":{"id":"content.liasettings.listposdataproviders","path":"liasettings/posdataproviders","httpMethod":"GET","description":"Retrieves the list of POS data providers that have active settings for the all eiligible countries.","response":{"$ref":"LiasettingsListPosDataProvidersResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"patch":{"id":"content.liasettings.patch","path":"{merchantId}/liasettings/{accountId}","httpMethod":"PATCH","description":"Updates the LIA settings of the account. This method supports patch semantics.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get or update LIA settings.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"LiaSettings"},"response":{"$ref":"LiaSettings"},"scopes":["https://www.googleapis.com/auth/content"]},"requestgmbaccess":{"id":"content.liasettings.requestgmbaccess","path":"{merchantId}/liasettings/{accountId}/requestgmbaccess","httpMethod":"POST","description":"Requests access to a specified Google My Business account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which GMB access is requested.","required":true,"format":"uint64","location":"path"},"gmbEmail":{"type":"string","description":"The email of the Google My Business account.","required":true,"location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId","gmbEmail"],"response":{"$ref":"LiasettingsRequestGmbAccessResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"requestinventoryverification":{"id":"content.liasettings.requestinventoryverification","path":"{merchantId}/liasettings/{accountId}/requestinventoryverification/{country}","httpMethod":"POST","description":"Requests inventory validation for the specified country.","parameters":{"accountId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"country":{"type":"string","description":"The country for which inventory validation is requested.","required":true,"location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId","country"],"response":{"$ref":"LiasettingsRequestInventoryVerificationResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"setinventoryverificationcontact":{"id":"content.liasettings.setinventoryverificationcontact","path":"{merchantId}/liasettings/{accountId}/setinventoryverificationcontact","httpMethod":"POST","description":"Sets the inventory verification contract for the specified country.","parameters":{"accountId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"contactEmail":{"type":"string","description":"The email of the inventory verification contact.","required":true,"location":"query"},"contactName":{"type":"string","description":"The name of the inventory verification contact.","required":true,"location":"query"},"country":{"type":"string","description":"The country for which inventory verification is requested.","required":true,"location":"query"},"language":{"type":"string","description":"The language for which inventory verification is requested.","required":true,"location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId","contactEmail","contactName","country","language"],"response":{"$ref":"LiasettingsSetInventoryVerificationContactResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"setposdataprovider":{"id":"content.liasettings.setposdataprovider","path":"{merchantId}/liasettings/{accountId}/setposdataprovider","httpMethod":"POST","description":"Sets the POS data provider for the specified country.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to retrieve accessible Google My Business accounts.","required":true,"format":"uint64","location":"path"},"country":{"type":"string","description":"The country for which the POS data provider is selected.","required":true,"location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"},"posDataProviderId":{"type":"string","description":"The ID of POS data provider.","format":"uint64","location":"query"},"posExternalAccountId":{"type":"string","description":"The account ID by which this merchant is known to the POS data provider.","location":"query"}},"parameterOrder":["merchantId","accountId","country"],"response":{"$ref":"LiasettingsSetPosDataProviderResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"update":{"id":"content.liasettings.update","path":"{merchantId}/liasettings/{accountId}","httpMethod":"PUT","description":"Updates the LIA settings of the account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get or update LIA settings.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"LiaSettings"},"response":{"$ref":"LiaSettings"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orderinvoices":{"methods":{"createchargeinvoice":{"id":"content.orderinvoices.createchargeinvoice","path":"{merchantId}/orderinvoices/{orderId}/createChargeInvoice","httpMethod":"POST","description":"Creates a charge invoice for a shipment group, and triggers a charge capture for orderinvoice enabled orders.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderinvoicesCreateChargeInvoiceRequest"},"response":{"$ref":"OrderinvoicesCreateChargeInvoiceResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"createrefundinvoice":{"id":"content.orderinvoices.createrefundinvoice","path":"{merchantId}/orderinvoices/{orderId}/createRefundInvoice","httpMethod":"POST","description":"Creates a refund invoice for one or more shipment groups, and triggers a refund for orderinvoice enabled orders. This can only be used for line items that have previously been charged using createChargeInvoice. All amounts (except for the summary) are incremental with respect to the previous invoice.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderinvoicesCreateRefundInvoiceRequest"},"response":{"$ref":"OrderinvoicesCreateRefundInvoiceResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orderpayments":{"methods":{"notifyauthapproved":{"id":"content.orderpayments.notifyauthapproved","path":"{merchantId}/orderpayments/{orderId}/notifyAuthApproved","httpMethod":"POST","description":"Notify about successfully authorizing user's payment method for a given amount.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for for which payment authorization is happening.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyAuthApprovedRequest"},"response":{"$ref":"OrderpaymentsNotifyAuthApprovedResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"notifyauthdeclined":{"id":"content.orderpayments.notifyauthdeclined","path":"{merchantId}/orderpayments/{orderId}/notifyAuthDeclined","httpMethod":"POST","description":"Notify about failure to authorize user's payment method.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for which payment authorization was declined.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyAuthDeclinedRequest"},"response":{"$ref":"OrderpaymentsNotifyAuthDeclinedResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"notifycharge":{"id":"content.orderpayments.notifycharge","path":"{merchantId}/orderpayments/{orderId}/notifyCharge","httpMethod":"POST","description":"Notify about charge on user's selected payments method.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for which charge is happening.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyChargeRequest"},"response":{"$ref":"OrderpaymentsNotifyChargeResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"notifyrefund":{"id":"content.orderpayments.notifyrefund","path":"{merchantId}/orderpayments/{orderId}/notifyRefund","httpMethod":"POST","description":"Notify about refund on user's selected payments method.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for which charge is happening.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyRefundRequest"},"response":{"$ref":"OrderpaymentsNotifyRefundResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orderreports":{"methods":{"listdisbursements":{"id":"content.orderreports.listdisbursements","path":"{merchantId}/orderreports/disbursements","httpMethod":"GET","description":"Retrieves a report for disbursements from your Merchant Center account.","parameters":{"disbursementEndDate":{"type":"string","description":"The last date which disbursements occurred. In ISO 8601 format. Default: current date.","location":"query"},"disbursementStartDate":{"type":"string","description":"The first date which disbursements occurred. In ISO 8601 format.","required":true,"location":"query"},"maxResults":{"type":"integer","description":"The maximum number of disbursements to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId","disbursementStartDate"],"response":{"$ref":"OrderreportsListDisbursementsResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"listtransactions":{"id":"content.orderreports.listtransactions","path":"{merchantId}/orderreports/disbursements/{disbursementId}/transactions","httpMethod":"GET","description":"Retrieves a list of transactions for a disbursement from your Merchant Center account.","parameters":{"disbursementId":{"type":"string","description":"The Google-provided ID of the disbursement (found in Wallet).","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of disbursements to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"},"transactionEndDate":{"type":"string","description":"The last date in which transaction occurred. In ISO 8601 format. Default: current date.","location":"query"},"transactionStartDate":{"type":"string","description":"The first date in which transaction occurred. In ISO 8601 format.","required":true,"location":"query"}},"parameterOrder":["merchantId","disbursementId","transactionStartDate"],"response":{"$ref":"OrderreportsListTransactionsResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orderreturns":{"methods":{"get":{"id":"content.orderreturns.get","path":"{merchantId}/orderreturns/{returnId}","httpMethod":"GET","description":"Retrieves an order return from your Merchant Center account.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"returnId":{"type":"string","description":"Merchant order return ID generated by Google.","required":true,"location":"path"}},"parameterOrder":["merchantId","returnId"],"response":{"$ref":"MerchantOrderReturn"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.orderreturns.list","path":"{merchantId}/orderreturns","httpMethod":"GET","description":"Lists order returns in your Merchant Center account.","parameters":{"createdEndDate":{"type":"string","description":"Obtains order returns created before this date (inclusively), in ISO 8601 format.","location":"query"},"createdStartDate":{"type":"string","description":"Obtains order returns created after this date (inclusively), in ISO 8601 format.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of order returns to return in the response, used for paging. The default value is 25 returns per page, and the maximum allowed value is 250 returns per page.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderBy":{"type":"string","description":"Return the results in the specified order.","enum":["returnCreationTimeAsc","returnCreationTimeDesc"],"enumDescriptions":["",""],"location":"query"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"OrderreturnsListResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orders":{"methods":{"acknowledge":{"id":"content.orders.acknowledge","path":"{merchantId}/orders/{orderId}/acknowledge","httpMethod":"POST","description":"Marks an order as acknowledged.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersAcknowledgeRequest"},"response":{"$ref":"OrdersAcknowledgeResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"advancetestorder":{"id":"content.orders.advancetestorder","path":"{merchantId}/testorders/{orderId}/advance","httpMethod":"POST","description":"Sandbox only. Moves a test order from state \"inProgress\" to state \"pendingShipment\".","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the test order to modify.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"response":{"$ref":"OrdersAdvanceTestOrderResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"cancel":{"id":"content.orders.cancel","path":"{merchantId}/orders/{orderId}/cancel","httpMethod":"POST","description":"Cancels all line items in an order, making a full refund.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order to cancel.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCancelRequest"},"response":{"$ref":"OrdersCancelResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"cancellineitem":{"id":"content.orders.cancellineitem","path":"{merchantId}/orders/{orderId}/cancelLineItem","httpMethod":"POST","description":"Cancels a line item, making a full refund.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCancelLineItemRequest"},"response":{"$ref":"OrdersCancelLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"canceltestorderbycustomer":{"id":"content.orders.canceltestorderbycustomer","path":"{merchantId}/testorders/{orderId}/cancelByCustomer","httpMethod":"POST","description":"Sandbox only. Cancels a test order for customer-initiated cancellation.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the test order to cancel.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCancelTestOrderByCustomerRequest"},"response":{"$ref":"OrdersCancelTestOrderByCustomerResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"createtestorder":{"id":"content.orders.createtestorder","path":"{merchantId}/testorders","httpMethod":"POST","description":"Sandbox only. Creates a test order.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that should manage the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"request":{"$ref":"OrdersCreateTestOrderRequest"},"response":{"$ref":"OrdersCreateTestOrderResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"createtestreturn":{"id":"content.orders.createtestreturn","path":"{merchantId}/orders/{orderId}/testreturn","httpMethod":"POST","description":"Sandbox only. Creates a test return.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCreateTestReturnRequest"},"response":{"$ref":"OrdersCreateTestReturnResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"custombatch":{"id":"content.orders.custombatch","path":"orders/batch","httpMethod":"POST","description":"Retrieves or modifies multiple orders in a single request.","request":{"$ref":"OrdersCustomBatchRequest"},"response":{"$ref":"OrdersCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.orders.get","path":"{merchantId}/orders/{orderId}","httpMethod":"GET","description":"Retrieves an order from your Merchant Center account.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"response":{"$ref":"Order"},"scopes":["https://www.googleapis.com/auth/content"]},"getbymerchantorderid":{"id":"content.orders.getbymerchantorderid","path":"{merchantId}/ordersbymerchantid/{merchantOrderId}","httpMethod":"GET","description":"Retrieves an order using merchant order ID.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"merchantOrderId":{"type":"string","description":"The merchant order ID to be looked for.","required":true,"location":"path"}},"parameterOrder":["merchantId","merchantOrderId"],"response":{"$ref":"OrdersGetByMerchantOrderIdResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"gettestordertemplate":{"id":"content.orders.gettestordertemplate","path":"{merchantId}/testordertemplates/{templateName}","httpMethod":"GET","description":"Sandbox only. Retrieves an order template that can be used to quickly create a new order in sandbox.","parameters":{"country":{"type":"string","description":"The country of the template to retrieve. Defaults to US.","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that should manage the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"templateName":{"type":"string","description":"The name of the template to retrieve.","required":true,"enum":["template1","template1a","template1b","template2"],"enumDescriptions":["","","",""],"location":"path"}},"parameterOrder":["merchantId","templateName"],"response":{"$ref":"OrdersGetTestOrderTemplateResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"instorerefundlineitem":{"id":"content.orders.instorerefundlineitem","path":"{merchantId}/orders/{orderId}/inStoreRefundLineItem","httpMethod":"POST","description":"Notifies that item return and refund was handled directly by merchant outside of Google payments processing (e.g. cash refund done in store).\nNote: We recommend calling the returnrefundlineitem method to refund in-store returns. We will issue the refund directly to the customer. This helps to prevent possible differences arising between merchant and Google transaction records. We also recommend having the point of sale system communicate with Google to ensure that customers do not receive a double refund by first refunding via Google then via an in-store return.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersInStoreRefundLineItemRequest"},"response":{"$ref":"OrdersInStoreRefundLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.orders.list","path":"{merchantId}/orders","httpMethod":"GET","description":"Lists the orders in your Merchant Center account.","parameters":{"acknowledged":{"type":"boolean","description":"Obtains orders that match the acknowledgement status. When set to true, obtains orders that have been acknowledged. When false, obtains orders that have not been acknowledged.\nWe recommend using this filter set to false, in conjunction with the acknowledge call, such that only un-acknowledged orders are returned.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of orders to return in the response, used for paging. The default value is 25 orders per page, and the maximum allowed value is 250 orders per page.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderBy":{"type":"string","description":"Order results by placement date in descending or ascending order.\n\nAcceptable values are:\n- placedDateAsc\n- placedDateDesc","location":"query"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"},"placedDateEnd":{"type":"string","description":"Obtains orders placed before this date (exclusively), in ISO 8601 format.","location":"query"},"placedDateStart":{"type":"string","description":"Obtains orders placed after this date (inclusively), in ISO 8601 format.","location":"query"},"statuses":{"type":"string","description":"Obtains orders that match any of the specified statuses. Multiple values can be specified with comma separation. Additionally, please note that active is a shortcut for pendingShipment and partiallyShipped, and completed is a shortcut for shipped, partiallyDelivered, delivered, partiallyReturned, returned, and canceled.","enum":["active","canceled","completed","delivered","inProgress","partiallyDelivered","partiallyReturned","partiallyShipped","pendingShipment","returned","shipped"],"enumDescriptions":["","","","","","","","","","",""],"repeated":true,"location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"OrdersListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"refund":{"id":"content.orders.refund","path":"{merchantId}/orders/{orderId}/refund","httpMethod":"POST","description":"Deprecated, please use returnRefundLineItem instead.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order to refund.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersRefundRequest"},"response":{"$ref":"OrdersRefundResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"rejectreturnlineitem":{"id":"content.orders.rejectreturnlineitem","path":"{merchantId}/orders/{orderId}/rejectReturnLineItem","httpMethod":"POST","description":"Rejects return on an line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersRejectReturnLineItemRequest"},"response":{"$ref":"OrdersRejectReturnLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"returnlineitem":{"id":"content.orders.returnlineitem","path":"{merchantId}/orders/{orderId}/returnLineItem","httpMethod":"POST","description":"Returns a line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersReturnLineItemRequest"},"response":{"$ref":"OrdersReturnLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"returnrefundlineitem":{"id":"content.orders.returnrefundlineitem","path":"{merchantId}/orders/{orderId}/returnRefundLineItem","httpMethod":"POST","description":"Returns and refunds a line item. Note that this method can only be called on fully shipped orders.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersReturnRefundLineItemRequest"},"response":{"$ref":"OrdersReturnRefundLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"setlineitemmetadata":{"id":"content.orders.setlineitemmetadata","path":"{merchantId}/orders/{orderId}/setLineItemMetadata","httpMethod":"POST","description":"Sets (or overrides if it already exists) merchant provided annotations in the form of key-value pairs. A common use case would be to supply us with additional structured information about a line item that cannot be provided via other methods. Submitted key-value pairs can be retrieved as part of the orders resource.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersSetLineItemMetadataRequest"},"response":{"$ref":"OrdersSetLineItemMetadataResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"shiplineitems":{"id":"content.orders.shiplineitems","path":"{merchantId}/orders/{orderId}/shipLineItems","httpMethod":"POST","description":"Marks line item(s) as shipped.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersShipLineItemsRequest"},"response":{"$ref":"OrdersShipLineItemsResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"updatelineitemshippingdetails":{"id":"content.orders.updatelineitemshippingdetails","path":"{merchantId}/orders/{orderId}/updateLineItemShippingDetails","httpMethod":"POST","description":"Updates ship by and delivery by dates for a line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersUpdateLineItemShippingDetailsRequest"},"response":{"$ref":"OrdersUpdateLineItemShippingDetailsResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"updatemerchantorderid":{"id":"content.orders.updatemerchantorderid","path":"{merchantId}/orders/{orderId}/updateMerchantOrderId","httpMethod":"POST","description":"Updates the merchant order ID for a given order.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersUpdateMerchantOrderIdRequest"},"response":{"$ref":"OrdersUpdateMerchantOrderIdResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"updateshipment":{"id":"content.orders.updateshipment","path":"{merchantId}/orders/{orderId}/updateShipment","httpMethod":"POST","description":"Updates a shipment's status, carrier, and/or tracking ID.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersUpdateShipmentRequest"},"response":{"$ref":"OrdersUpdateShipmentResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"pos":{"methods":{"custombatch":{"id":"content.pos.custombatch","path":"pos/batch","httpMethod":"POST","description":"Batches multiple POS-related calls in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"PosCustomBatchRequest"},"response":{"$ref":"PosCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"delete":{"id":"content.pos.delete","path":"{merchantId}/pos/{targetMerchantId}/store/{storeCode}","httpMethod":"DELETE","description":"Deletes a store for the given merchant.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the POS or inventory data provider.","required":true,"format":"uint64","location":"path"},"storeCode":{"type":"string","description":"A store code that is unique per merchant.","required":true,"location":"path"},"targetMerchantId":{"type":"string","description":"The ID of the target merchant.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","targetMerchantId","storeCode"],"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.pos.get","path":"{merchantId}/pos/{targetMerchantId}/store/{storeCode}","httpMethod":"GET","description":"Retrieves information about the given store.","parameters":{"merchantId":{"type":"string","description":"The ID of the POS or inventory data provider.","required":true,"format":"uint64","location":"path"},"storeCode":{"type":"string","description":"A store code that is unique per merchant.","required":true,"location":"path"},"targetMerchantId":{"type":"string","description":"The ID of the target merchant.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","targetMerchantId","storeCode"],"response":{"$ref":"PosStore"},"scopes":["https://www.googleapis.com/auth/content"]},"insert":{"id":"content.pos.insert","path":"{merchantId}/pos/{targetMerchantId}/store","httpMethod":"POST","description":"Creates a store for the given merchant.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the POS or inventory data provider.","required":true,"format":"uint64","location":"path"},"targetMerchantId":{"type":"string","description":"The ID of the target merchant.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","targetMerchantId"],"request":{"$ref":"PosStore"},"response":{"$ref":"PosStore"},"scopes":["https://www.googleapis.com/auth/content"]},"inventory":{"id":"content.pos.inventory","path":"{merchantId}/pos/{targetMerchantId}/inventory","httpMethod":"POST","description":"Submit inventory for the given merchant.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the POS or inventory data provider.","required":true,"format":"uint64","location":"path"},"targetMerchantId":{"type":"string","description":"The ID of the target merchant.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","targetMerchantId"],"request":{"$ref":"PosInventoryRequest"},"response":{"$ref":"PosInventoryResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.pos.list","path":"{merchantId}/pos/{targetMerchantId}/store","httpMethod":"GET","description":"Lists the stores of the target merchant.","parameters":{"merchantId":{"type":"string","description":"The ID of the POS or inventory data provider.","required":true,"format":"uint64","location":"path"},"targetMerchantId":{"type":"string","description":"The ID of the target merchant.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","targetMerchantId"],"response":{"$ref":"PosListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"sale":{"id":"content.pos.sale","path":"{merchantId}/pos/{targetMerchantId}/sale","httpMethod":"POST","description":"Submit a sale event for the given merchant.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the POS or inventory data provider.","required":true,"format":"uint64","location":"path"},"targetMerchantId":{"type":"string","description":"The ID of the target merchant.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","targetMerchantId"],"request":{"$ref":"PosSaleRequest"},"response":{"$ref":"PosSaleResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"products":{"methods":{"custombatch":{"id":"content.products.custombatch","path":"products/batch","httpMethod":"POST","description":"Retrieves, inserts, and deletes multiple products in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"ProductsCustomBatchRequest"},"response":{"$ref":"ProductsCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"delete":{"id":"content.products.delete","path":"{merchantId}/products/{productId}","httpMethod":"DELETE","description":"Deletes a product from your Merchant Center account.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that contains the product. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"productId":{"type":"string","description":"The REST ID of the product.","required":true,"location":"path"}},"parameterOrder":["merchantId","productId"],"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.products.get","path":"{merchantId}/products/{productId}","httpMethod":"GET","description":"Retrieves a product from your Merchant Center account.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that contains the product. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"productId":{"type":"string","description":"The REST ID of the product.","required":true,"location":"path"}},"parameterOrder":["merchantId","productId"],"response":{"$ref":"Product"},"scopes":["https://www.googleapis.com/auth/content"]},"insert":{"id":"content.products.insert","path":"{merchantId}/products","httpMethod":"POST","description":"Uploads a product to your Merchant Center account. If an item with the same channel, contentLanguage, offerId, and targetCountry already exists, this method updates that entry.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that contains the product. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"request":{"$ref":"Product"},"response":{"$ref":"Product"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.products.list","path":"{merchantId}/products","httpMethod":"GET","description":"Lists the products in your Merchant Center account.","parameters":{"includeInvalidInsertedItems":{"type":"boolean","description":"Flag to include the invalid inserted items in the result of the list request. By default the invalid items are not shown (the default value is false).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of products to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that contains the products. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"ProductsListResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"productstatuses":{"methods":{"custombatch":{"id":"content.productstatuses.custombatch","path":"productstatuses/batch","httpMethod":"POST","description":"Gets the statuses of multiple products in a single request.","parameters":{"includeAttributes":{"type":"boolean","description":"Flag to include full product data in the results of this request. The default value is false.","location":"query"}},"request":{"$ref":"ProductstatusesCustomBatchRequest"},"response":{"$ref":"ProductstatusesCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.productstatuses.get","path":"{merchantId}/productstatuses/{productId}","httpMethod":"GET","description":"Gets the status of a product from your Merchant Center account.","parameters":{"destinations":{"type":"string","description":"If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.","repeated":true,"location":"query"},"includeAttributes":{"type":"boolean","description":"Flag to include full product data in the result of this get request. The default value is false.","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that contains the product. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"productId":{"type":"string","description":"The REST ID of the product.","required":true,"location":"path"}},"parameterOrder":["merchantId","productId"],"response":{"$ref":"ProductStatus"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.productstatuses.list","path":"{merchantId}/productstatuses","httpMethod":"GET","description":"Lists the statuses of the products in your Merchant Center account.","parameters":{"destinations":{"type":"string","description":"If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.","repeated":true,"location":"query"},"includeAttributes":{"type":"boolean","description":"Flag to include full product data in the results of the list request. The default value is false.","location":"query"},"includeInvalidInsertedItems":{"type":"boolean","description":"Flag to include the invalid inserted items in the result of the list request. By default the invalid items are not shown (the default value is false).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of product statuses to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that contains the products. This account cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"ProductstatusesListResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"shippingsettings":{"methods":{"custombatch":{"id":"content.shippingsettings.custombatch","path":"shippingsettings/batch","httpMethod":"POST","description":"Retrieves and updates the shipping settings of multiple accounts in a single request.","parameters":{"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"}},"request":{"$ref":"ShippingsettingsCustomBatchRequest"},"response":{"$ref":"ShippingsettingsCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.shippingsettings.get","path":"{merchantId}/shippingsettings/{accountId}","httpMethod":"GET","description":"Retrieves the shipping settings of the account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get/update shipping settings.","required":true,"format":"uint64","location":"path"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"response":{"$ref":"ShippingSettings"},"scopes":["https://www.googleapis.com/auth/content"]},"getsupportedcarriers":{"id":"content.shippingsettings.getsupportedcarriers","path":"{merchantId}/supportedCarriers","httpMethod":"GET","description":"Retrieves supported carriers and carrier services for an account.","parameters":{"merchantId":{"type":"string","description":"The ID of the account for which to retrieve the supported carriers.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"response":{"$ref":"ShippingsettingsGetSupportedCarriersResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"getsupportedholidays":{"id":"content.shippingsettings.getsupportedholidays","path":"{merchantId}/supportedHolidays","httpMethod":"GET","description":"Retrieves supported holidays for an account.","parameters":{"merchantId":{"type":"string","description":"The ID of the account for which to retrieve the supported holidays.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"response":{"$ref":"ShippingsettingsGetSupportedHolidaysResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.shippingsettings.list","path":"{merchantId}/shippingsettings","httpMethod":"GET","description":"Lists the shipping settings of the sub-accounts in your Merchant Center account.","parameters":{"maxResults":{"type":"integer","description":"The maximum number of shipping settings to return in the response, used for paging.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. This must be a multi-client account.","required":true,"format":"uint64","location":"path"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"ShippingsettingsListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"patch":{"id":"content.shippingsettings.patch","path":"{merchantId}/shippingsettings/{accountId}","httpMethod":"PATCH","description":"Updates the shipping settings of the account. This method supports patch semantics.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get/update shipping settings.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"ShippingSettings"},"response":{"$ref":"ShippingSettings"},"scopes":["https://www.googleapis.com/auth/content"]},"update":{"id":"content.shippingsettings.update","path":"{merchantId}/shippingsettings/{accountId}","httpMethod":"PUT","description":"Updates the shipping settings of the account.","parameters":{"accountId":{"type":"string","description":"The ID of the account for which to get/update shipping settings.","required":true,"format":"uint64","location":"path"},"dryRun":{"type":"boolean","description":"Flag to simulate a request like in a live environment. If set to true, dry-run mode checks the validity of the request and returns errors (if any).","location":"query"},"merchantId":{"type":"string","description":"The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId","accountId"],"request":{"$ref":"ShippingSettings"},"response":{"$ref":"ShippingSettings"},"scopes":["https://www.googleapis.com/auth/content"]}}}}};