export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/YoLKMCopNCizJ_CWKjyBdDdQP1k\"","discoveryVersion":"v1","id":"deploymentmanager:v2beta","name":"deploymentmanager","canonicalName":"Deployment Manager V2Beta","version":"v2beta","revision":"20181207","title":"Google Cloud Deployment Manager API V2Beta Methods","description":"The Deployment Manager API allows users to declaratively configure, deploy and run complex solutions on the Google Cloud Platform.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png","x32":"https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png"},"documentationLink":"https://developers.google.com/deployment-manager/","protocol":"rest","baseUrl":"https://www.googleapis.com/deploymentmanager/v2beta/projects/","basePath":"/deploymentmanager/v2beta/projects/","rootUrl":"https://www.googleapis.com/","servicePath":"deploymentmanager/v2beta/projects/","batchPath":"batch/deploymentmanager/v2beta","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/cloud-platform.read-only":{"description":"View your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/ndev.cloudman":{"description":"View and manage your Google Cloud Platform management resources and deployment status information"},"https://www.googleapis.com/auth/ndev.cloudman.readonly":{"description":"View your Google Cloud Platform management resources and deployment status information"}}}},"schemas":{"AsyncOptions":{"id":"AsyncOptions","type":"object","description":"Async options that determine when a resource should finish.","properties":{"methodMatch":{"type":"string","description":"Method regex where this policy will apply."},"pollingOptions":{"$ref":"PollingOptions","description":"Deployment manager will poll instances for this API resource setting a RUNNING state, and blocking until polling conditions tell whether the resource is completed or failed."}}},"AuditConfig":{"id":"AuditConfig","type":"object","description":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n{ \"audit_configs\": [ { \"service\": \"allServices\" \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:foo@gmail.com\" ] }, { \"log_type\": \"DATA_WRITE\", }, { \"log_type\": \"ADMIN_READ\", } ] }, { \"service\": \"fooservice.googleapis.com\" \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:bar@gmail.com\" ] } ] } ] }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts foo@gmail.com from DATA_READ logging, and bar@gmail.com from DATA_WRITE logging.","properties":{"auditLogConfigs":{"type":"array","description":"The configuration for logging of each type of permission.","items":{"$ref":"AuditLogConfig"}},"exemptedMembers":{"type":"array","description":"","items":{"type":"string"}},"service":{"type":"string","description":"Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services."}}},"AuditLogConfig":{"id":"AuditLogConfig","type":"object","description":"Provides the configuration for logging a type of permissions. Example:\n\n{ \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:foo@gmail.com\" ] }, { \"log_type\": \"DATA_WRITE\", } ] }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting foo@gmail.com from DATA_READ logging.","properties":{"exemptedMembers":{"type":"array","description":"Specifies the identities that do not cause logging for this type of permission. Follows the same format of [Binding.members][].","items":{"type":"string"}},"logType":{"type":"string","description":"The log type that this config enables."}}},"AuthorizationLoggingOptions":{"id":"AuthorizationLoggingOptions","type":"object","description":"Authorization-related information used by Cloud Audit Logging.","properties":{"permissionType":{"type":"string","description":"The type of the permission that was checked."}}},"BaseType":{"id":"BaseType","type":"object","description":"BaseType that describes a service-backed Type.","properties":{"collectionOverrides":{"type":"array","description":"Allows resource handling overrides for specific collections","items":{"$ref":"CollectionOverride"}},"credential":{"$ref":"Credential","description":"Credential used when interacting with this type."},"descriptorUrl":{"type":"string","description":"Descriptor Url for the this type."},"options":{"$ref":"Options","description":"Options to apply when handling any resources in this service."}}},"BasicAuth":{"id":"BasicAuth","type":"object","description":"Basic Auth used as a credential.","properties":{"password":{"type":"string"},"user":{"type":"string"}}},"Binding":{"id":"Binding","type":"object","description":"Associates `members` with a `role`.","properties":{"condition":{"$ref":"Expr","description":"Unimplemented. The condition that is associated with this binding. NOTE: an unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently."},"members":{"type":"array","description":"Specifies the identities requesting access for a Cloud Platform resource. `members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@gmail.com` .\n\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`.\n\n\n\n* `domain:{domain}`: A Google Apps domain name that represents all the users of that domain. For example, `google.com` or `example.com`.","items":{"type":"string"}},"role":{"type":"string","description":"Role that is assigned to `members`. For example, `roles/viewer`, `roles/editor`, or `roles/owner`."}}},"CollectionOverride":{"id":"CollectionOverride","type":"object","description":"CollectionOverride allows resource handling overrides for specific resources within a BaseType","properties":{"collection":{"type":"string","description":"The collection that identifies this resource within its service."},"options":{"$ref":"Options","description":"The options to apply to this resource-level override"}}},"CompositeType":{"id":"CompositeType","type":"object","description":"Holds the composite type.","properties":{"description":{"type":"string","description":"An optional textual description of the resource; provided by the client when the resource is created."},"id":{"type":"string","format":"uint64"},"insertTime":{"type":"string","description":"Output only. Creation timestamp in RFC3339 text format."},"labels":{"type":"array","description":"Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: [a-z]([-a-z0-9]*[a-z0-9])? Label values must be between 0 and 63 characters long and must conform to the regular expression ([a-z]([-a-z0-9]*[a-z0-9])?)?","items":{"$ref":"CompositeTypeLabelEntry"}},"name":{"type":"string","description":"Name of the composite type, must follow the expression: [a-z]([-a-z0-9_.]{0,61}[a-z0-9])?."},"operation":{"$ref":"Operation","description":"Output only. The Operation that most recently ran, or is currently running, on this composite type."},"selfLink":{"type":"string","description":"Output only. Server defined URL for the resource."},"status":{"type":"string"},"templateContents":{"$ref":"TemplateContents","description":"Files for the template type."}}},"CompositeTypeLabelEntry":{"id":"CompositeTypeLabelEntry","type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"CompositeTypesListResponse":{"id":"CompositeTypesListResponse","type":"object","description":"A response that returns all Composite Types supported by Deployment Manager","properties":{"compositeTypes":{"type":"array","description":"Output only. A list of resource composite types supported by Deployment Manager.","items":{"$ref":"CompositeType"}},"nextPageToken":{"type":"string","description":"A token used to continue a truncated list request."}}},"Condition":{"id":"Condition","type":"object","description":"A condition to be met.","properties":{"iam":{"type":"string","description":"Trusted attributes supplied by the IAM system."},"op":{"type":"string","description":"An operator to apply the subject with."},"svc":{"type":"string","description":"Trusted attributes discharged by the service."},"sys":{"type":"string","description":"Trusted attributes supplied by any service that owns resources and uses the IAM system for access control."},"value":{"type":"string","description":"DEPRECATED. Use 'values' instead."},"values":{"type":"array","description":"The objects of the condition. This is mutually exclusive with 'value'.","items":{"type":"string"}}}},"ConfigFile":{"id":"ConfigFile","type":"object","description":"","properties":{"content":{"type":"string","description":"The contents of the file."}}},"Credential":{"id":"Credential","type":"object","description":"The credential used by Deployment Manager and TypeProvider. Only one of the options is permitted.","properties":{"basicAuth":{"$ref":"BasicAuth","description":"Basic Auth Credential, only used by TypeProvider."},"serviceAccount":{"$ref":"ServiceAccount","description":"Service Account Credential, only used by Deployment."},"useProjectDefault":{"type":"boolean","description":"Specify to use the project default credential, only supported by Deployment."}}},"Deployment":{"id":"Deployment","type":"object","description":"","properties":{"description":{"type":"string","description":"An optional user-provided description of the deployment."},"fingerprint":{"type":"string","description":"Provides a fingerprint to use in requests to modify a deployment, such as update(), stop(), and cancelPreview() requests. A fingerprint is a randomly generated value that must be provided with update(), stop(), and cancelPreview() requests to perform optimistic locking. This ensures optimistic concurrency so that only one request happens at a time.\n\nThe fingerprint is initially generated by Deployment Manager and changes after every request to modify data. To get the latest fingerprint value, perform a get() request to a deployment.","format":"byte"},"id":{"type":"string","format":"uint64"},"insertTime":{"type":"string","description":"Output only. Creation timestamp in RFC3339 text format."},"labels":{"type":"array","description":"Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: [a-z]([-a-z0-9]*[a-z0-9])? Label values must be between 0 and 63 characters long and must conform to the regular expression ([a-z]([-a-z0-9]*[a-z0-9])?)?","items":{"$ref":"DeploymentLabelEntry"}},"manifest":{"type":"string","description":"Output only. URL of the manifest representing the last manifest that was successfully deployed."},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash."},"operation":{"$ref":"Operation","description":"Output only. The Operation that most recently ran, or is currently running, on this deployment."},"selfLink":{"type":"string","description":"Output only. Server defined URL for the resource."},"target":{"$ref":"TargetConfiguration","description":"[Input Only] The parameters that define your deployment, including the deployment configuration and relevant templates."},"update":{"$ref":"DeploymentUpdate","description":"Output only. If Deployment Manager is currently updating or previewing an update to this deployment, the updated configuration appears here."},"updateTime":{"type":"string","description":"Output only. Update timestamp in RFC3339 text format."}}},"DeploymentLabelEntry":{"id":"DeploymentLabelEntry","type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"DeploymentUpdate":{"id":"DeploymentUpdate","type":"object","description":"","properties":{"description":{"type":"string","description":"Output only. An optional user-provided description of the deployment after the current update has been applied."},"labels":{"type":"array","description":"Output only. Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: [a-z]([-a-z0-9]*[a-z0-9])? Label values must be between 0 and 63 characters long and must conform to the regular expression ([a-z]([-a-z0-9]*[a-z0-9])?)?","items":{"$ref":"DeploymentUpdateLabelEntry"}},"manifest":{"type":"string","description":"Output only. URL of the manifest representing the update configuration of this deployment."}}},"DeploymentUpdateLabelEntry":{"id":"DeploymentUpdateLabelEntry","type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"DeploymentsCancelPreviewRequest":{"id":"DeploymentsCancelPreviewRequest","type":"object","description":"","properties":{"fingerprint":{"type":"string","description":"Specifies a fingerprint for cancelPreview() requests. A fingerprint is a randomly generated value that must be provided in cancelPreview() requests to perform optimistic locking. This ensures optimistic concurrency so that the deployment does not have conflicting requests (e.g. if someone attempts to make a new update request while another user attempts to cancel a preview, this would prevent one of the requests).\n\nThe fingerprint is initially generated by Deployment Manager and changes after every request to modify a deployment. To get the latest fingerprint value, perform a get() request on the deployment.","format":"byte"}}},"DeploymentsListResponse":{"id":"DeploymentsListResponse","type":"object","description":"A response containing a partial list of deployments and a page token used to build the next request if the request has been truncated.","properties":{"deployments":{"type":"array","description":"Output only. The deployments contained in this response.","items":{"$ref":"Deployment"}},"nextPageToken":{"type":"string","description":"Output only. A token used to continue a truncated list request."}}},"DeploymentsStopRequest":{"id":"DeploymentsStopRequest","type":"object","description":"","properties":{"fingerprint":{"type":"string","description":"Specifies a fingerprint for stop() requests. A fingerprint is a randomly generated value that must be provided in stop() requests to perform optimistic locking. This ensures optimistic concurrency so that the deployment does not have conflicting requests (e.g. if someone attempts to make a new update request while another user attempts to stop an ongoing update request, this would prevent a collision).\n\nThe fingerprint is initially generated by Deployment Manager and changes after every request to modify a deployment. To get the latest fingerprint value, perform a get() request on the deployment.","format":"byte"}}},"Diagnostic":{"id":"Diagnostic","type":"object","description":"","properties":{"field":{"type":"string","description":"JsonPath expression on the resource that if non empty, indicates that this field needs to be extracted as a diagnostic."},"level":{"type":"string","description":"Level to record this diagnostic."}}},"Expr":{"id":"Expr","type":"object","description":"Represents an expression text. Example:\n\ntitle: \"User account presence\" description: \"Determines whether the request has a user account\" expression: \"size(request.user) > 0\"","properties":{"description":{"type":"string","description":"An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI."},"expression":{"type":"string","description":"Textual representation of an expression in Common Expression Language syntax.\n\nThe application context of the containing message determines which well-known feature set of CEL is supported."},"location":{"type":"string","description":"An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file."},"title":{"type":"string","description":"An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression."}}},"GlobalSetPolicyRequest":{"id":"GlobalSetPolicyRequest","type":"object","properties":{"bindings":{"type":"array","description":"Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.","items":{"$ref":"Binding"}},"etag":{"type":"string","description":"Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.","format":"byte"},"policy":{"$ref":"Policy","description":"REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them."}}},"ImportFile":{"id":"ImportFile","type":"object","description":"","properties":{"content":{"type":"string","description":"The contents of the file."},"name":{"type":"string","description":"The name of the file."}}},"InputMapping":{"id":"InputMapping","type":"object","description":"InputMapping creates a 'virtual' property that will be injected into the properties before sending the request to the underlying API.","properties":{"fieldName":{"type":"string","description":"The name of the field that is going to be injected."},"location":{"type":"string","description":"The location where this mapping applies."},"methodMatch":{"type":"string","description":"Regex to evaluate on method to decide if input applies."},"value":{"type":"string","description":"A jsonPath expression to select an element."}}},"LogConfig":{"id":"LogConfig","type":"object","description":"Specifies what kind of log the caller must write","properties":{"cloudAudit":{"$ref":"LogConfigCloudAuditOptions","description":"Cloud audit options."},"counter":{"$ref":"LogConfigCounterOptions","description":"Counter options."},"dataAccess":{"$ref":"LogConfigDataAccessOptions","description":"Data access options."}}},"LogConfigCloudAuditOptions":{"id":"LogConfigCloudAuditOptions","type":"object","description":"Write a Cloud Audit log","properties":{"authorizationLoggingOptions":{"$ref":"AuthorizationLoggingOptions","description":"Information used by the Cloud Audit Logging pipeline."},"logName":{"type":"string","description":"The log_name to populate in the Cloud Audit Record."}}},"LogConfigCounterOptions":{"id":"LogConfigCounterOptions","type":"object","description":"Increment a streamz counter with the specified metric and field names.\n\nMetric names should start with a '/', generally be lowercase-only, and end in \"_count\". Field names should not contain an initial slash. The actual exported metric names will have \"/iam/policy\" prepended.\n\nField names correspond to IAM request parameters and field values are their respective values.\n\nSupported field names: - \"authority\", which is \"[token]\" if IAMContext.token is present, otherwise the value of IAMContext.authority_selector if present, and otherwise a representation of IAMContext.principal; or - \"iam_principal\", a representation of IAMContext.principal even if a token or authority selector is present; or - \"\" (empty string), resulting in a counter with no fields.\n\nExamples: counter { metric: \"/debug_access_count\" field: \"iam_principal\" } ==> increment counter /iam/policy/backend_debug_access_count {iam_principal=[value of IAMContext.principal]}\n\nAt this time we do not support multiple field names (though this may be supported in the future).","properties":{"field":{"type":"string","description":"The field value to attribute."},"metric":{"type":"string","description":"The metric to update."}}},"LogConfigDataAccessOptions":{"id":"LogConfigDataAccessOptions","type":"object","description":"Write a Data Access (Gin) log","properties":{"logMode":{"type":"string","description":"Whether Gin logging should happen in a fail-closed manner at the caller. This is relevant only in the LocalIAM implementation, for now.\n\nNOTE: Logging to Gin in a fail-closed manner is currently unsupported while work is being done to satisfy the requirements of go/345. Currently, setting LOG_FAIL_CLOSED mode will have no effect, but still exists because there is active work being done to support it (b/115874152)."}}},"Manifest":{"id":"Manifest","type":"object","description":"","properties":{"config":{"$ref":"ConfigFile","description":"Output only. The YAML configuration for this manifest."},"expandedConfig":{"type":"string","description":"Output only. The fully-expanded configuration file, including any templates and references."},"id":{"type":"string","format":"uint64"},"imports":{"type":"array","description":"Output only. The imported files for this manifest.","items":{"$ref":"ImportFile"}},"insertTime":{"type":"string","description":"Output only. Creation timestamp in RFC3339 text format."},"layout":{"type":"string","description":"Output only. The YAML layout for this manifest."},"name":{"type":"string","description":"Output only.\n\nThe name of the manifest."},"selfLink":{"type":"string","description":"Output only. Self link for the manifest."}}},"ManifestsListResponse":{"id":"ManifestsListResponse","type":"object","description":"A response containing a partial list of manifests and a page token used to build the next request if the request has been truncated.","properties":{"manifests":{"type":"array","description":"Output only. Manifests contained in this list response.","items":{"$ref":"Manifest"}},"nextPageToken":{"type":"string","description":"Output only. A token used to continue a truncated list request."}}},"Operation":{"id":"Operation","type":"object","description":"An Operation resource, used to manage asynchronous API requests. (== resource_for v1.globalOperations ==) (== resource_for beta.globalOperations ==) (== resource_for v1.regionOperations ==) (== resource_for beta.regionOperations ==) (== resource_for v1.zoneOperations ==) (== resource_for beta.zoneOperations ==)","properties":{"clientOperationId":{"type":"string","description":"[Output Only] The value of `requestId` if you provided it in the request. Not present otherwise."},"creationTimestamp":{"type":"string","description":"[Deprecated] This field is deprecated."},"description":{"type":"string","description":"[Output Only] A textual description of the operation, which is set when the operation is created."},"endTime":{"type":"string","description":"[Output Only] The time that this operation was completed. This value is in RFC3339 text format."},"error":{"type":"object","description":"[Output Only] If errors are generated during processing of the operation, this field will be populated.","properties":{"errors":{"type":"array","description":"[Output Only] The array of errors encountered while processing this operation.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] The error type identifier for this error."},"location":{"type":"string","description":"[Output Only] Indicates the field in the request that caused the error. This property is optional."},"message":{"type":"string","description":"[Output Only] An optional, human-readable error message."}}}}}},"httpErrorMessage":{"type":"string","description":"[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as NOT FOUND."},"httpErrorStatusCode":{"type":"integer","description":"[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a 404 means the resource was not found.","format":"int32"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"insertTime":{"type":"string","description":"[Output Only] The time that this operation was requested. This value is in RFC3339 text format."},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#operation for Operation resources.","default":"deploymentmanager#operation"},"name":{"type":"string","description":"[Output Only] Name of the resource."},"operationType":{"type":"string","description":"[Output Only] The type of operation, such as insert, update, or delete, and so on."},"progress":{"type":"integer","description":"[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses.","format":"int32"},"region":{"type":"string","description":"[Output Only] The URL of the region where the operation resides. Only available when performing regional operations. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"startTime":{"type":"string","description":"[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format."},"status":{"type":"string","description":"[Output Only] The status of the operation, which can be one of the following: PENDING, RUNNING, or DONE."},"statusMessage":{"type":"string","description":"[Output Only] An optional textual description of the current status of the operation."},"targetId":{"type":"string","description":"[Output Only] The unique target ID, which identifies a specific incarnation of the target resource.","format":"uint64"},"targetLink":{"type":"string","description":"[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from."},"user":{"type":"string","description":"[Output Only] User who requested the operation, for example: user@example.com."},"warnings":{"type":"array","description":"[Output Only] If warning messages are generated during processing of the operation, this field will be populated.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response."},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}},"zone":{"type":"string","description":"[Output Only] The URL of the zone where the operation resides. Only available when performing per-zone operations. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body."}}},"OperationsListResponse":{"id":"OperationsListResponse","type":"object","description":"A response containing a partial list of operations and a page token used to build the next request if the request has been truncated.","properties":{"nextPageToken":{"type":"string","description":"Output only. A token used to continue a truncated list request."},"operations":{"type":"array","description":"Output only. Operations contained in this list response.","items":{"$ref":"Operation"}}}},"Options":{"id":"Options","type":"object","description":"Options allows customized resource handling by Deployment Manager.","properties":{"asyncOptions":{"type":"array","description":"Options regarding how to thread async requests.","items":{"$ref":"AsyncOptions"}},"inputMappings":{"type":"array","description":"The mappings that apply for requests.","items":{"$ref":"InputMapping"}},"validationOptions":{"$ref":"ValidationOptions","description":"Options for how to validate and process properties on a resource."},"virtualProperties":{"type":"string","description":"Additional properties block described as a jsonSchema, these properties will never be part of the json payload, but they can be consumed by InputMappings, this must be a valid json schema draft-04. The properties specified here will be decouple in a different section. This schema will be merged to the schema validation, and properties here will be extracted From the payload and consumed explicitly by InputMappings. ex: field1: type: string field2: type: number"}}},"Policy":{"id":"Policy","type":"object","description":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources.\n\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of `members` to a `role`, where the members can be user accounts, Google groups, Google domains, and service accounts. A `role` is a named list of permissions defined by IAM.\n\n**JSON Example**\n\n{ \"bindings\": [ { \"role\": \"roles/owner\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-other-app@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/viewer\", \"members\": [\"user:sean@example.com\"] } ] }\n\n**YAML Example**\n\nbindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer\n\n\n\nFor a description of IAM and its features, see the [IAM developer's guide](https://cloud.google.com/iam/docs).","properties":{"auditConfigs":{"type":"array","description":"Specifies cloud audit logging configuration for this policy.","items":{"$ref":"AuditConfig"}},"bindings":{"type":"array","description":"Associates a list of `members` to a `role`. `bindings` with no members will result in an error.","items":{"$ref":"Binding"}},"etag":{"type":"string","description":"`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing policy is overwritten blindly.","format":"byte"},"iamOwned":{"type":"boolean","description":""},"rules":{"type":"array","description":"If more than one rule is specified, the rules are applied in the following manner: - All matching LOG rules are always applied. - If any DENY/DENY_WITH_LOG rule matches, permission is denied. Logging will be applied if one or more matching rule requires logging. - Otherwise, if any ALLOW/ALLOW_WITH_LOG rule matches, permission is granted. Logging will be applied if one or more matching rule requires logging. - Otherwise, if no rule applies, permission is denied.","items":{"$ref":"Rule"}},"version":{"type":"integer","description":"Deprecated.","format":"int32"}}},"PollingOptions":{"id":"PollingOptions","type":"object","description":"","properties":{"diagnostics":{"type":"array","description":"An array of diagnostics to be collected by Deployment Manager, these diagnostics will be displayed to the user.","items":{"$ref":"Diagnostic"}},"failCondition":{"type":"string","description":"JsonPath expression that determines if the request failed."},"finishCondition":{"type":"string","description":"JsonPath expression that determines if the request is completed."},"pollingLink":{"type":"string","description":"JsonPath expression that evaluates to string, it indicates where to poll."},"targetLink":{"type":"string","description":"JsonPath expression, after polling is completed, indicates where to fetch the resource."}}},"Resource":{"id":"Resource","type":"object","description":"","properties":{"accessControl":{"$ref":"ResourceAccessControl","description":"The Access Control Policy set on this resource."},"finalProperties":{"type":"string","description":"Output only. The evaluated properties of the resource with references expanded. Returned as serialized YAML."},"id":{"type":"string","format":"uint64"},"insertTime":{"type":"string","description":"Output only. Creation timestamp in RFC3339 text format."},"manifest":{"type":"string","description":"Output only. URL of the manifest representing the current configuration of this resource."},"name":{"type":"string","description":"Output only. The name of the resource as it appears in the YAML config."},"properties":{"type":"string","description":"Output only. The current properties of the resource before any references have been filled in. Returned as serialized YAML."},"type":{"type":"string","description":"Output only. The type of the resource, for example compute.v1.instance, or cloudfunctions.v1beta1.function."},"update":{"$ref":"ResourceUpdate","description":"Output only. If Deployment Manager is currently updating or previewing an update to this resource, the updated configuration appears here."},"updateTime":{"type":"string","description":"Output only. Update timestamp in RFC3339 text format."},"url":{"type":"string","description":"Output only. The URL of the actual resource."},"warnings":{"type":"array","description":"Output only. If warning messages are generated during processing of this resource, this field will be populated.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response."},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}}},"ResourceAccessControl":{"id":"ResourceAccessControl","type":"object","description":"The access controls set on the resource.","properties":{"gcpIamPolicy":{"type":"string","description":"The GCP IAM Policy to set on the resource."}}},"ResourceUpdate":{"id":"ResourceUpdate","type":"object","description":"","properties":{"accessControl":{"$ref":"ResourceAccessControl","description":"The Access Control Policy to set on this resource after updating the resource itself."},"error":{"type":"object","description":"Output only. If errors are generated during update of the resource, this field will be populated.","properties":{"errors":{"type":"array","description":"[Output Only] The array of errors encountered while processing this operation.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] The error type identifier for this error."},"location":{"type":"string","description":"[Output Only] Indicates the field in the request that caused the error. This property is optional."},"message":{"type":"string","description":"[Output Only] An optional, human-readable error message."}}}}}},"finalProperties":{"type":"string","description":"Output only. The expanded properties of the resource with reference values expanded. Returned as serialized YAML."},"intent":{"type":"string","description":"Output only. The intent of the resource: PREVIEW, UPDATE, or CANCEL."},"manifest":{"type":"string","description":"Output only. URL of the manifest representing the update configuration of this resource."},"properties":{"type":"string","description":"Output only. The set of updated properties for this resource, before references are expanded. Returned as serialized YAML."},"state":{"type":"string","description":"Output only. The state of the resource."},"warnings":{"type":"array","description":"Output only. If warning messages are generated during processing of this resource, this field will be populated.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response."},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}}},"ResourcesListResponse":{"id":"ResourcesListResponse","type":"object","description":"A response containing a partial list of resources and a page token used to build the next request if the request has been truncated.","properties":{"nextPageToken":{"type":"string","description":"A token used to continue a truncated list request."},"resources":{"type":"array","description":"Resources contained in this list response.","items":{"$ref":"Resource"}}}},"Rule":{"id":"Rule","type":"object","description":"A rule to be applied in a Policy.","properties":{"action":{"type":"string","description":"Required"},"conditions":{"type":"array","description":"Additional restrictions that must be met. All conditions must pass for the rule to match.","items":{"$ref":"Condition"}},"description":{"type":"string","description":"Human-readable description of the rule."},"ins":{"type":"array","description":"If one or more 'in' clauses are specified, the rule matches if the PRINCIPAL/AUTHORITY_SELECTOR is in at least one of these entries.","items":{"type":"string"}},"logConfigs":{"type":"array","description":"The config returned to callers of tech.iam.IAM.CheckPolicy for any entries that match the LOG action.","items":{"$ref":"LogConfig"}},"notIns":{"type":"array","description":"If one or more 'not_in' clauses are specified, the rule matches if the PRINCIPAL/AUTHORITY_SELECTOR is in none of the entries.","items":{"type":"string"}},"permissions":{"type":"array","description":"A permission is a string of form '..' (e.g., 'storage.buckets.list'). A value of '*' matches all permissions, and a verb part of '*' (e.g., 'storage.buckets.*') matches all verbs.","items":{"type":"string"}}}},"ServiceAccount":{"id":"ServiceAccount","type":"object","description":"Service Account used as a credential.","properties":{"email":{"type":"string","description":"The IAM service account email address like test@myproject.iam.gserviceaccount.com"}}},"TargetConfiguration":{"id":"TargetConfiguration","type":"object","description":"","properties":{"config":{"$ref":"ConfigFile","description":"The configuration to use for this deployment."},"imports":{"type":"array","description":"Specifies any files to import for this configuration. This can be used to import templates or other files. For example, you might import a text file in order to use the file in a template.","items":{"$ref":"ImportFile"}}}},"TemplateContents":{"id":"TemplateContents","type":"object","description":"Files that make up the template contents of a template type.","properties":{"imports":{"type":"array","description":"Import files referenced by the main template.","items":{"$ref":"ImportFile"}},"interpreter":{"type":"string","description":"Which interpreter (python or jinja) should be used during expansion."},"mainTemplate":{"type":"string","description":"The filename of the mainTemplate"},"schema":{"type":"string","description":"The contents of the template schema."},"template":{"type":"string","description":"The contents of the main template file."}}},"TestPermissionsRequest":{"id":"TestPermissionsRequest","type":"object","properties":{"permissions":{"type":"array","description":"The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.","items":{"type":"string"}}}},"TestPermissionsResponse":{"id":"TestPermissionsResponse","type":"object","properties":{"permissions":{"type":"array","description":"A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","items":{"type":"string"}}}},"Type":{"id":"Type","type":"object","description":"A resource type supported by Deployment Manager.","properties":{"base":{"$ref":"BaseType","description":"Base Type (configurable service) that backs this Type."},"description":{"type":"string","description":"An optional textual description of the resource; provided by the client when the resource is created."},"id":{"type":"string","format":"uint64"},"insertTime":{"type":"string","description":"Output only. Creation timestamp in RFC3339 text format."},"labels":{"type":"array","description":"Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: [a-z]([-a-z0-9]*[a-z0-9])? Label values must be between 0 and 63 characters long and must conform to the regular expression ([a-z]([-a-z0-9]*[a-z0-9])?)?","items":{"$ref":"TypeLabelEntry"}},"name":{"type":"string","description":"Name of the type."},"operation":{"$ref":"Operation","description":"Output only. The Operation that most recently ran, or is currently running, on this type."},"selfLink":{"type":"string","description":"Output only. Server defined URL for the resource."}}},"TypeInfo":{"id":"TypeInfo","type":"object","description":"Type Information. Contains detailed information about a composite type, base type, or base type with specific collection.","properties":{"description":{"type":"string","description":"The description of the type."},"documentationLink":{"type":"string","description":"For swagger 2.0 externalDocs field will be used. For swagger 1.2 this field will be empty."},"kind":{"type":"string","description":"Output only. Type of the output. Always deploymentManager#TypeInfo for TypeInfo."},"name":{"type":"string","description":"The base type or composite type name."},"schema":{"$ref":"TypeInfoSchemaInfo","description":"For base types with a collection, we return a schema and documentation link For template types, we return only a schema"},"selfLink":{"type":"string","description":"Output only. Self link for the type provider."},"title":{"type":"string","description":"The title on the API descriptor URL provided."}}},"TypeInfoSchemaInfo":{"id":"TypeInfoSchemaInfo","type":"object","description":"","properties":{"input":{"type":"string","description":"The properties that this composite type or base type collection accept as input, represented as a json blob, format is: JSON Schema Draft V4"},"output":{"type":"string","description":"The properties that this composite type or base type collection exposes as output, these properties can be used for references, represented as json blob, format is: JSON Schema Draft V4"}}},"TypeLabelEntry":{"id":"TypeLabelEntry","type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"TypeProvider":{"id":"TypeProvider","type":"object","description":"A type provider that describes a service-backed Type.","properties":{"collectionOverrides":{"type":"array","description":"Allows resource handling overrides for specific collections","items":{"$ref":"CollectionOverride"}},"credential":{"$ref":"Credential","description":"Credential used when interacting with this type."},"description":{"type":"string","description":"An optional textual description of the resource; provided by the client when the resource is created."},"descriptorUrl":{"type":"string","description":"Descriptor Url for the this type provider."},"id":{"type":"string","description":"Output only. Unique identifier for the resource defined by the server.","format":"uint64"},"insertTime":{"type":"string","description":"Output only. Creation timestamp in RFC3339 text format."},"labels":{"type":"array","description":"Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: [a-z]([-a-z0-9]*[a-z0-9])? Label values must be between 0 and 63 characters long and must conform to the regular expression ([a-z]([-a-z0-9]*[a-z0-9])?)?","items":{"$ref":"TypeProviderLabelEntry"}},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash."},"operation":{"$ref":"Operation","description":"Output only. The Operation that most recently ran, or is currently running, on this type provider."},"options":{"$ref":"Options","description":"Options to apply when handling any resources in this service."},"selfLink":{"type":"string","description":"Output only. Self link for the type provider."}}},"TypeProviderLabelEntry":{"id":"TypeProviderLabelEntry","type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"TypeProvidersListResponse":{"id":"TypeProvidersListResponse","type":"object","description":"A response that returns all Type Providers supported by Deployment Manager","properties":{"nextPageToken":{"type":"string","description":"A token used to continue a truncated list request."},"typeProviders":{"type":"array","description":"Output only. A list of resource type providers supported by Deployment Manager.","items":{"$ref":"TypeProvider"}}}},"TypeProvidersListTypesResponse":{"id":"TypeProvidersListTypesResponse","type":"object","description":"","properties":{"nextPageToken":{"type":"string","description":"A token used to continue a truncated list request."},"types":{"type":"array","description":"Output only. A list of resource type info.","items":{"$ref":"TypeInfo"}}}},"TypesListResponse":{"id":"TypesListResponse","type":"object","description":"A response that returns all Types supported by Deployment Manager","properties":{"nextPageToken":{"type":"string","description":"A token used to continue a truncated list request."},"types":{"type":"array","description":"Output only. A list of resource types supported by Deployment Manager.","items":{"$ref":"Type"}}}},"ValidationOptions":{"id":"ValidationOptions","type":"object","description":"Options for how to validate and process properties on a resource.","properties":{"schemaValidation":{"type":"string","description":"Customize how deployment manager will validate the resource against schema errors."},"undeclaredProperties":{"type":"string","description":"Specify what to do with extra properties when executing a request."}}}},"resources":{"compositeTypes":{"methods":{"delete":{"id":"deploymentmanager.compositeTypes.delete","path":"{project}/global/compositeTypes/{compositeType}","httpMethod":"DELETE","description":"Deletes a composite type.","parameters":{"compositeType":{"type":"string","description":"The name of the type for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","compositeType"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"get":{"id":"deploymentmanager.compositeTypes.get","path":"{project}/global/compositeTypes/{compositeType}","httpMethod":"GET","description":"Gets information about a specific composite type.","parameters":{"compositeType":{"type":"string","description":"The name of the composite type for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","compositeType"],"response":{"$ref":"CompositeType"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"insert":{"id":"deploymentmanager.compositeTypes.insert","path":"{project}/global/compositeTypes","httpMethod":"POST","description":"Creates a composite type.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"request":{"$ref":"CompositeType"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"list":{"id":"deploymentmanager.compositeTypes.list","path":"{project}/global/compositeTypes","httpMethod":"GET","description":"Lists all composite types for Deployment Manager.","parameters":{"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"CompositeTypesListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"patch":{"id":"deploymentmanager.compositeTypes.patch","path":"{project}/global/compositeTypes/{compositeType}","httpMethod":"PATCH","description":"Updates a composite type. This method supports patch semantics.","parameters":{"compositeType":{"type":"string","description":"The name of the composite type for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","compositeType"],"request":{"$ref":"CompositeType"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"update":{"id":"deploymentmanager.compositeTypes.update","path":"{project}/global/compositeTypes/{compositeType}","httpMethod":"PUT","description":"Updates a composite type.","parameters":{"compositeType":{"type":"string","description":"The name of the composite type for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","compositeType"],"request":{"$ref":"CompositeType"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]}}},"deployments":{"methods":{"cancelPreview":{"id":"deploymentmanager.deployments.cancelPreview","path":"{project}/global/deployments/{deployment}/cancelPreview","httpMethod":"POST","description":"Cancels and removes the preview currently associated with the deployment.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"request":{"$ref":"DeploymentsCancelPreviewRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"delete":{"id":"deploymentmanager.deployments.delete","path":"{project}/global/deployments/{deployment}","httpMethod":"DELETE","description":"Deletes a deployment and all of the resources in the deployment.","parameters":{"deletePolicy":{"type":"string","description":"Sets the policy to use for deleting resources.","default":"DELETE","enum":["ABANDON","DELETE"],"enumDescriptions":["",""],"location":"query"},"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"get":{"id":"deploymentmanager.deployments.get","path":"{project}/global/deployments/{deployment}","httpMethod":"GET","description":"Gets information about a specific deployment.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"response":{"$ref":"Deployment"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"getIamPolicy":{"id":"deploymentmanager.deployments.getIamPolicy","path":"{project}/global/deployments/{resource}/getIamPolicy","httpMethod":"GET","description":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name or id of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}","location":"path"}},"parameterOrder":["project","resource"],"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"insert":{"id":"deploymentmanager.deployments.insert","path":"{project}/global/deployments","httpMethod":"POST","description":"Creates a deployment and all of the resources described by the deployment manifest.","parameters":{"createPolicy":{"type":"string","description":"Sets the policy to use for creating new resources.","default":"CREATE_OR_ACQUIRE","enum":["ACQUIRE","CREATE","CREATE_OR_ACQUIRE"],"enumDescriptions":["","",""],"location":"query"},"preview":{"type":"boolean","description":"If set to true, creates a deployment and creates \"shell\" resources but does not actually instantiate these resources. This allows you to preview what your deployment looks like. After previewing a deployment, you can deploy your resources by making a request with the update() method or you can use the cancelPreview() method to cancel the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"request":{"$ref":"Deployment"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"list":{"id":"deploymentmanager.deployments.list","path":"{project}/global/deployments","httpMethod":"GET","description":"Lists all deployments for a given project.","parameters":{"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"DeploymentsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"patch":{"id":"deploymentmanager.deployments.patch","path":"{project}/global/deployments/{deployment}","httpMethod":"PATCH","description":"Updates a deployment and all of the resources described by the deployment manifest. This method supports patch semantics.","parameters":{"createPolicy":{"type":"string","description":"Sets the policy to use for creating new resources.","default":"CREATE_OR_ACQUIRE","enum":["ACQUIRE","CREATE","CREATE_OR_ACQUIRE"],"enumDescriptions":["","",""],"location":"query"},"deletePolicy":{"type":"string","description":"Sets the policy to use for deleting resources.","default":"DELETE","enum":["ABANDON","DELETE"],"enumDescriptions":["",""],"location":"query"},"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"preview":{"type":"boolean","description":"If set to true, updates the deployment and creates and updates the \"shell\" resources but does not actually alter or instantiate these resources. This allows you to preview what your deployment will look like. You can use this intent to preview how an update would affect your deployment. You must provide a target.config with a configuration if this is set to true. After previewing a deployment, you can deploy your resources by making a request with the update() or you can cancelPreview() to remove the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.","default":"false","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"request":{"$ref":"Deployment"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"setIamPolicy":{"id":"deploymentmanager.deployments.setIamPolicy","path":"{project}/global/deployments/{resource}/setIamPolicy","httpMethod":"POST","description":"Sets the access control policy on the specified resource. Replaces any existing policy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name or id of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"GlobalSetPolicyRequest"},"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"stop":{"id":"deploymentmanager.deployments.stop","path":"{project}/global/deployments/{deployment}/stop","httpMethod":"POST","description":"Stops an ongoing operation. This does not roll back any work that has already been completed, but prevents any new work from being started.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"request":{"$ref":"DeploymentsStopRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"testIamPermissions":{"id":"deploymentmanager.deployments.testIamPermissions","path":"{project}/global/deployments/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name or id of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"update":{"id":"deploymentmanager.deployments.update","path":"{project}/global/deployments/{deployment}","httpMethod":"PUT","description":"Updates a deployment and all of the resources described by the deployment manifest.","parameters":{"createPolicy":{"type":"string","description":"Sets the policy to use for creating new resources.","default":"CREATE_OR_ACQUIRE","enum":["ACQUIRE","CREATE","CREATE_OR_ACQUIRE"],"enumDescriptions":["","",""],"location":"query"},"deletePolicy":{"type":"string","description":"Sets the policy to use for deleting resources.","default":"DELETE","enum":["ABANDON","DELETE"],"enumDescriptions":["",""],"location":"query"},"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"preview":{"type":"boolean","description":"If set to true, updates the deployment and creates and updates the \"shell\" resources but does not actually alter or instantiate these resources. This allows you to preview what your deployment will look like. You can use this intent to preview how an update would affect your deployment. You must provide a target.config with a configuration if this is set to true. After previewing a deployment, you can deploy your resources by making a request with the update() or you can cancelPreview() to remove the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.","default":"false","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"request":{"$ref":"Deployment"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]}}},"manifests":{"methods":{"get":{"id":"deploymentmanager.manifests.get","path":"{project}/global/deployments/{deployment}/manifests/{manifest}","httpMethod":"GET","description":"Gets information about a specific manifest.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"manifest":{"type":"string","description":"The name of the manifest for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment","manifest"],"response":{"$ref":"Manifest"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"list":{"id":"deploymentmanager.manifests.list","path":"{project}/global/deployments/{deployment}/manifests","httpMethod":"GET","description":"Lists all manifests for a given deployment.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"response":{"$ref":"ManifestsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]}}},"operations":{"methods":{"get":{"id":"deploymentmanager.operations.get","path":"{project}/global/operations/{operation}","httpMethod":"GET","description":"Gets information about a specific operation.","parameters":{"operation":{"type":"string","description":"The name of the operation for this request.","required":true,"location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","operation"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"list":{"id":"deploymentmanager.operations.list","path":"{project}/global/operations","httpMethod":"GET","description":"Lists all operations for a project.","parameters":{"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"OperationsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]}}},"resources":{"methods":{"get":{"id":"deploymentmanager.resources.get","path":"{project}/global/deployments/{deployment}/resources/{resource}","httpMethod":"GET","description":"Gets information about a single resource.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"The name of the resource for this request.","required":true,"location":"path"}},"parameterOrder":["project","deployment","resource"],"response":{"$ref":"Resource"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"list":{"id":"deploymentmanager.resources.list","path":"{project}/global/deployments/{deployment}/resources","httpMethod":"GET","description":"Lists all resources in a given deployment.","parameters":{"deployment":{"type":"string","description":"The name of the deployment for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","deployment"],"response":{"$ref":"ResourcesListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]}}},"typeProviders":{"methods":{"delete":{"id":"deploymentmanager.typeProviders.delete","path":"{project}/global/typeProviders/{typeProvider}","httpMethod":"DELETE","description":"Deletes a type provider.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"typeProvider":{"type":"string","description":"The name of the type provider for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","typeProvider"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"get":{"id":"deploymentmanager.typeProviders.get","path":"{project}/global/typeProviders/{typeProvider}","httpMethod":"GET","description":"Gets information about a specific type provider.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"typeProvider":{"type":"string","description":"The name of the type provider for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","typeProvider"],"response":{"$ref":"TypeProvider"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"getType":{"id":"deploymentmanager.typeProviders.getType","path":"{project}/global/typeProviders/{typeProvider}/types/{type}","httpMethod":"GET","description":"Gets a type info for a type provided by a TypeProvider.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"type":{"type":"string","description":"The name of the type provider type for this request.","required":true,"location":"path"},"typeProvider":{"type":"string","description":"The name of the type provider for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","typeProvider","type"],"response":{"$ref":"TypeInfo"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"insert":{"id":"deploymentmanager.typeProviders.insert","path":"{project}/global/typeProviders","httpMethod":"POST","description":"Creates a type provider.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"request":{"$ref":"TypeProvider"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"list":{"id":"deploymentmanager.typeProviders.list","path":"{project}/global/typeProviders","httpMethod":"GET","description":"Lists all resource type providers for Deployment Manager.","parameters":{"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TypeProvidersListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"listTypes":{"id":"deploymentmanager.typeProviders.listTypes","path":"{project}/global/typeProviders/{typeProvider}/types","httpMethod":"GET","description":"Lists all the type info for a TypeProvider.","parameters":{"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"typeProvider":{"type":"string","description":"The name of the type provider for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","typeProvider"],"response":{"$ref":"TypeProvidersListTypesResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]},"patch":{"id":"deploymentmanager.typeProviders.patch","path":"{project}/global/typeProviders/{typeProvider}","httpMethod":"PATCH","description":"Updates a type provider. This method supports patch semantics.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"typeProvider":{"type":"string","description":"The name of the type provider for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","typeProvider"],"request":{"$ref":"TypeProvider"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]},"update":{"id":"deploymentmanager.typeProviders.update","path":"{project}/global/typeProviders/{typeProvider}","httpMethod":"PUT","description":"Updates a type provider.","parameters":{"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"typeProvider":{"type":"string","description":"The name of the type provider for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","typeProvider"],"request":{"$ref":"TypeProvider"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/ndev.cloudman"]}}},"types":{"methods":{"list":{"id":"deploymentmanager.types.list","path":"{project}/global/types","httpMethod":"GET","description":"Lists all resource types for Deployment Manager.","parameters":{"filter":{"type":"string","description":"A filter expression that filters resources listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, >, or <.\n\nFor example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.\n\nYou can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\"). By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example, (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true).","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"The project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TypesListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/ndev.cloudman","https://www.googleapis.com/auth/ndev.cloudman.readonly"]}}}}};