export default {"resources":{"operations":{"methods":{"get":{"flatPath":"v1beta1/operations/{operationsId}","id":"firebase.operations.get","path":"v1beta1/{+name}","description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"Operation"},"parameters":{"name":{"description":"The name of the operation resource.","required":true,"type":"string","pattern":"^operations/.+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"]}}},"projects":{"methods":{"get":{"response":{"$ref":"FirebaseProject"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"location":"path","description":"The fully qualified resource name of the Project, in the format:\n<br><code>projects/<var>projectId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"flatPath":"v1beta1/projects/{projectsId}","path":"v1beta1/{+name}","id":"firebase.projects.get","description":"Gets the FirebaseProject identified by the specified resource name."},"patch":{"id":"firebase.projects.patch","path":"v1beta1/{+name}","request":{"$ref":"FirebaseProject"},"description":"Updates the attributes of the FirebaseProject identified by the\nspecified resource name.\n<br>\n<br>All [query parameters](#query-parameters) are required.","httpMethod":"PATCH","parameterOrder":["name"],"response":{"$ref":"FirebaseProject"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"parameters":{"updateMask":{"type":"string","location":"query","description":"Specifies which fields to update.\n<br>\n<br>If this list is empty, then no state will be updated.\n<br>Note that the fields `name`, `project_id`, and `project_number` are all\nimmutable.","format":"google-fieldmask"},"name":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The fully qualified resource name of the Project, in the format:\n<br><code>projects/<var>projectId</var></code>"}},"flatPath":"v1beta1/projects/{projectsId}"},"searchApps":{"response":{"$ref":"SearchFirebaseAppsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"pageToken":{"type":"string","location":"query","description":"Token returned from a previous call to `SearchFirebaseApps` indicating\nwhere in the set of Apps to resume listing."},"pageSize":{"location":"query","description":"The maximum number of Apps to return in the response.\n<br>\n<br>The server may return fewer than this value at its discretion.\nIf no value is specified (or too large a value is specified), then the\nserver will impose its own limit.\n<br>\n<br>This value cannot be negative.","format":"int32","type":"integer"},"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"flatPath":"v1beta1/projects/{projectsId}:searchApps","path":"v1beta1/{+parent}:searchApps","id":"firebase.projects.searchApps","description":"A convenience method that lists all available Apps for the specified\nFirebaseProject.\n<br>\n<br>Typically, interaction with an App should be done using the\nplatform-specific service, but some tool use-cases require a summary of all\nknown Apps (such as for App selector interfaces)."},"getAdminSdkConfig":{"response":{"$ref":"AdminSdkConfig"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"name":{"description":"The fully qualified resource name of the Project, in the format:\n<br><code>projects/<var>projectId</var>/adminSdkConfig</code>","required":true,"type":"string","pattern":"^projects/[^/]+/adminSdkConfig$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/adminSdkConfig","path":"v1beta1/{+name}","id":"firebase.projects.getAdminSdkConfig","description":"Gets the configuration artifact used by servers to simplify initialization.\n<br>\n<br>Typically, this configuration is used with the Firebase Admin SDK\n[initializeApp](https://firebase.google.com/docs/admin/setup#initialize_the_sdk)\ncommand."},"list":{"flatPath":"v1beta1/projects","path":"v1beta1/projects","id":"firebase.projects.list","description":"Lists each FirebaseProject accessible to the caller.\n<br>\n<br>The elements are returned in no particular order, but they will be a\nconsistent view of the Projects when additional requests are made with a\n`pageToken`.\n<br>\n<br>This method is eventually consistent with Project mutations, which\nmeans newly provisioned Projects and recent modifications to existing\nProjects might not be reflected in the set of Projects. The list will\ninclude only ACTIVE Projects.\n<br>\n<br>Use\nGetFirebaseProject\nfor consistent reads as well as for additional Project details.","response":{"$ref":"ListFirebaseProjectsResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"pageToken":{"description":"Token returned from a previous call to `ListFirebaseProjects` indicating\nwhere in the set of Projects to resume listing.","type":"string","location":"query"},"pageSize":{"description":"The maximum number of Projects to return in the response.\n<br>\n<br>The server may return fewer than this at its discretion.\nIf no value is specified (or too large a value is specified), the server\nwill impose its own limit.\n<br>\n<br>This value cannot be negative.","format":"int32","type":"integer","location":"query"}}},"addFirebase":{"response":{"$ref":"Operation"},"parameterOrder":["project"],"httpMethod":"POST","parameters":{"project":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The resource name of the GCP `Project` to which Firebase resources will be\nadded, in the format:\n<br><code>projects/<var>projectId</var></code>\nAfter calling `AddFirebase`, the\n[`projectId`](https://cloud.google.com/resource-manager/reference/rest/v1/projects#Project.FIELDS.project_id)\nof the GCP `Project` is also the `projectId` of the FirebaseProject."}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"flatPath":"v1beta1/projects/{projectsId}:addFirebase","path":"v1beta1/{+project}:addFirebase","id":"firebase.projects.addFirebase","description":"Adds Firebase resources to the specified existing\n[Google Cloud Platform (GCP) `Project`]\n(https://cloud.google.com/resource-manager/reference/rest/v1/projects).\n<br>\n<br>Since a FirebaseProject is actually also a GCP `Project`, a\n`FirebaseProject` uses underlying GCP identifiers (most importantly,\nthe `projectId`) as its own for easy interop with GCP APIs.\n<br>\n<br>The result of this call is an [`Operation`](../../v1beta1/operations).\nPoll the `Operation` to track the provisioning process by calling\nGetOperation until\n[`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When\n`done` is `true`, the `Operation` has either succeeded or failed. If the\n`Operation` succeeded, its\n[`response`](../../v1beta1/operations#Operation.FIELDS.response) is set to\na FirebaseProject; if the `Operation` failed, its\n[`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to a\ngoogle.rpc.Status. The `Operation` is automatically deleted after\ncompletion, so there is no need to call\nDeleteOperation.\n<br>\n<br>This method does not modify any billing account information on the\nunderlying GCP `Project`.\n<br>\n<br>All fields listed in the [request body](#request-body) are required.\n<br>\n<br>To call `AddFirebase`, a member must be an Editor or Owner for the\nexisting GCP `Project`. Service accounts cannot call `AddFirebase`.","request":{"$ref":"AddFirebaseRequest"}}},"resources":{"androidApps":{"methods":{"get":{"description":"Gets the AndroidApp identified by the specified resource name.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"AndroidApp"},"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/androidApps/[^/]+$","location":"path","description":"The fully qualified resource name of the App, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var></code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/androidApps/<var>appId</var></code>"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"flatPath":"v1beta1/projects/{projectsId}/androidApps/{androidAppsId}","id":"firebase.projects.androidApps.get","path":"v1beta1/{+name}"},"list":{"description":"Lists each AndroidApp associated with the specified parent Project.\n<br>\n<br>The elements are returned in no particular order, but will be a\nconsistent view of the Apps when additional requests are made with a\n`pageToken`.","response":{"$ref":"ListAndroidAppsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"pageToken":{"location":"query","description":"Token returned from a previous call to `ListAndroidApps` indicating where\nin the set of Apps to resume listing.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of Apps to return in the response.\n<br>\n<br>The server may return fewer than this at its discretion.\nIf no value is specified (or too large a value is specified), then the\nserver will impose its own limit.","format":"int32","type":"integer"},"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>"}},"flatPath":"v1beta1/projects/{projectsId}/androidApps","path":"v1beta1/{+parent}/androidApps","id":"firebase.projects.androidApps.list"},"patch":{"flatPath":"v1beta1/projects/{projectsId}/androidApps/{androidAppsId}","id":"firebase.projects.androidApps.patch","path":"v1beta1/{+name}","description":"Updates the attributes of the AndroidApp identified by the specified\nresource name.","request":{"$ref":"AndroidApp"},"httpMethod":"PATCH","parameterOrder":["name"],"response":{"$ref":"AndroidApp"},"parameters":{"name":{"pattern":"^projects/[^/]+/androidApps/[^/]+$","location":"path","description":"The fully qualified resource name of the App, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var></code>","required":true,"type":"string"},"updateMask":{"type":"string","location":"query","description":"Specifies which fields to update.\n<br>Note that the fields `name`, `appId`, `projectId`, and `packageName`\nare all immutable.","format":"google-fieldmask"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"]},"create":{"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"Operation"},"parameters":{"parent":{"location":"path","description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"flatPath":"v1beta1/projects/{projectsId}/androidApps","id":"firebase.projects.androidApps.create","path":"v1beta1/{+parent}/androidApps","description":"Requests that a new AndroidApp be created.\n<br>\n<br>The result of this call is an `Operation` which can be used to track\nthe provisioning process. The `Operation` is automatically deleted after\ncompletion, so there is no need to call `DeleteOperation`.","request":{"$ref":"AndroidApp"}},"getConfig":{"response":{"$ref":"AndroidAppConfig"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The resource name of the App configuration to download, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var>/config</code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/androidApps/<var>appId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+/androidApps/[^/]+/config$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/config","path":"v1beta1/{+name}","id":"firebase.projects.androidApps.getConfig","description":"Gets the configuration artifact associated with the specified\nAndroidApp."}},"resources":{"sha":{"methods":{"create":{"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"parameters":{"parent":{"location":"path","description":"The parent App to which a SHA certificate will be added, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var></code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/androidApps/<var>appId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+/androidApps/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/sha","id":"firebase.projects.androidApps.sha.create","path":"v1beta1/{+parent}/sha","request":{"$ref":"ShaCertificate"},"description":"Adds a SHA certificate to the specified AndroidApp.","httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"ShaCertificate"}},"delete":{"parameters":{"name":{"description":"The fully qualified resource name of the `sha-key`, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var>/sha/<var>shaHash</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+/androidApps/[^/]+/sha/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"flatPath":"v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/sha/{shaId}","path":"v1beta1/{+name}","id":"firebase.projects.androidApps.sha.delete","description":"Removes a SHA certificate from the specified AndroidApp.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE"},"list":{"response":{"$ref":"ListShaCertificatesResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"parent":{"location":"path","description":"The parent App for which to list SHA certificates, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var></code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/androidApps/<var>appId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+/androidApps/[^/]+$"}},"flatPath":"v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/sha","path":"v1beta1/{+parent}/sha","id":"firebase.projects.androidApps.sha.list","description":"Returns the list of SHA-1 and SHA-256 certificates for the specified\nAndroidApp."}}}}},"availableLocations":{"methods":{"list":{"description":"Returns a list of valid Google Cloud Platform (GCP) resource locations for\nthe specified Project (including a FirebaseProject).\n<br>\n<br>The default GCP resource location of a project defines the geographical\nlocation where project resources, such as Cloud Firestore, will be\nprovisioned by default.\n<br>\n<br>The returned list are the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations). <br>\n<br>This call checks for any location restrictions for the specified\nProject and, thus, might return a subset of all possible GCP resource\nlocations. To list all GCP resource locations (regardless of any\nrestrictions), call the endpoint without specifying a `projectId` (that is,\n`/v1beta1/{parent=projects/-}/listAvailableLocations`).\n<br>\n<br>To call `ListAvailableLocations` with a specified project, a member\nmust be at minimum a Viewer of the project. Calls without a specified\nproject do not require any specific project permissions.","response":{"$ref":"ListAvailableLocationsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The Project for which to list GCP resource locations, in the format:\n<br><code>projects/<var>projectId</var></code>\n<br>If no project is specified (that is, `projects/-`), the returned list\ndoes not take into account org-specific or project-specific location\nrestrictions."},"pageToken":{"location":"query","description":"Token returned from a previous call to `ListAvailableLocations` indicating\nwhere in the list of locations to resume listing.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of locations to return in the response.\n<br>\n<br>The server may return fewer than this value at its discretion.\nIf no value is specified (or too large a value is specified), then the\nserver will impose its own limit.\n<br>\n<br>This value cannot be negative.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"flatPath":"v1beta1/projects/{projectsId}/availableLocations","path":"v1beta1/{+parent}/availableLocations","id":"firebase.projects.availableLocations.list"}}},"webApps":{"methods":{"create":{"description":"Requests that a new WebApp be created.\n<br>\n<br>The result of this call is an `Operation` which can be used to track\nthe provisioning process. The `Operation` is automatically deleted after\ncompletion, so there is no need to call `DeleteOperation`.","request":{"$ref":"WebApp"},"response":{"$ref":"Operation"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"flatPath":"v1beta1/projects/{projectsId}/webApps","path":"v1beta1/{+parent}/webApps","id":"firebase.projects.webApps.create"},"getConfig":{"path":"v1beta1/{+name}","id":"firebase.projects.webApps.getConfig","description":"Gets the configuration artifact associated with the specified WebApp.","response":{"$ref":"WebAppConfig"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"pattern":"^projects/[^/]+/webApps/[^/]+/config$","location":"path","description":"The resource name of the App configuration to download, in the format:\n<br><code>projects/<var>projectId</var>/webApps/<var>appId</var>/config</code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/webApps/<var>appId</var></code>","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/webApps/{webAppsId}/config"},"get":{"path":"v1beta1/{+name}","id":"firebase.projects.webApps.get","description":"Gets the WebApp identified by the specified resource name.","response":{"$ref":"WebApp"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"location":"path","description":"The fully qualified resource name of the App, in the format:\n<br><code>projects/<var>projectId</var>/webApps/<var>appId</var></code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/webApps/<var>appId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+/webApps/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"flatPath":"v1beta1/projects/{projectsId}/webApps/{webAppsId}"},"list":{"httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListWebAppsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"parent":{"location":"path","description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+$"},"pageToken":{"description":"Token returned from a previous call to `ListWebApps` indicating where in\nthe set of Apps to resume listing.","type":"string","location":"query"},"pageSize":{"location":"query","description":"The maximum number of Apps to return in the response.\n<br>\n<br>The server may return fewer than this value at its discretion.\nIf no value is specified (or too large a value is specified), then the\nserver will impose its own limit.","format":"int32","type":"integer"}},"flatPath":"v1beta1/projects/{projectsId}/webApps","id":"firebase.projects.webApps.list","path":"v1beta1/{+parent}/webApps","description":"Lists each WebApp associated with the specified parent Project.\n<br>\n<br>The elements are returned in no particular order, but will be a\nconsistent view of the Apps when additional requests are made with a\n`pageToken`."},"patch":{"response":{"$ref":"WebApp"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"parameters":{"updateMask":{"type":"string","location":"query","description":"Specifies which fields to update.\n<br>Note that the fields `name`, `appId`, and `projectId` are all\nimmutable.","format":"google-fieldmask"},"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/webApps/[^/]+$","location":"path","description":"The fully qualified resource name of the App, for example:\n<br><code>projects/<var>projectId</var>/webApps/<var>appId</var></code>"}},"flatPath":"v1beta1/projects/{projectsId}/webApps/{webAppsId}","path":"v1beta1/{+name}","id":"firebase.projects.webApps.patch","request":{"$ref":"WebApp"},"description":"Updates the attributes of the WebApp identified by the specified\nresource name."}}},"defaultLocation":{"methods":{"finalize":{"request":{"$ref":"FinalizeDefaultLocationRequest"},"description":"Sets the default Google Cloud Platform (GCP) resource location for the\nspecified FirebaseProject.\n<br>\n<br>This method creates an App Engine application with a\n[default Cloud Storage\nbucket](https://cloud.google.com/appengine/docs/standard/python/googlecloudstorageclient/setting-up-cloud-storage#activating_a_cloud_storage_bucket),\nlocated in the specified\n[`location_id`](#body.request_body.FIELDS.location_id).\nThis location must be one of the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations). <br>\n<br>After the default GCP resource location is finalized, or if it was\nalready set, it cannot be changed. The default GCP resource location for\nthe specified FirebaseProject might already be set because either the\nGCP `Project` already has an App Engine application or\n`FinalizeDefaultLocation` was previously called with a specified\n`location_id`. Any new calls to `FinalizeDefaultLocation` with a\n<em>different</em> specified `location_id` will return a 409 error.\n<br>\n<br>The result of this call is an [`Operation`](../../v1beta1/operations),\nwhich can be used to track the provisioning process. The\n[`response`](../../v1beta1/operations#Operation.FIELDS.response) type of\nthe `Operation` is google.protobuf.Empty.\n<br>\n<br>The `Operation` can be polled by its `name` using\nGetOperation until `done` is\ntrue. When `done` is true, the `Operation` has either succeeded or failed.\nIf the `Operation` has succeeded, its\n[`response`](../../v1beta1/operations#Operation.FIELDS.response) will be\nset to a google.protobuf.Empty; if the `Operation` has failed, its\n`error` will be set to a google.rpc.Status. The `Operation` is\nautomatically deleted after completion, so there is no need to call\nDeleteOperation.\n<br>\n<br>All fields listed in the [request body](#request-body) are required.\n<br>\n<br>To call `FinalizeDefaultLocation`, a member must be an Owner\nof the project.","response":{"$ref":"Operation"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"description":"The resource name of the Project for which the default GCP resource\nlocation will be set, in the format:\n<br><code>projects/<var>projectId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/defaultLocation:finalize","path":"v1beta1/{+parent}/defaultLocation:finalize","id":"firebase.projects.defaultLocation.finalize"}}},"iosApps":{"methods":{"get":{"flatPath":"v1beta1/projects/{projectsId}/iosApps/{iosAppsId}","path":"v1beta1/{+name}","id":"firebase.projects.iosApps.get","description":"Gets the IosApp identified by the specified resource name.","response":{"$ref":"IosApp"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/iosApps/[^/]+$","location":"path","description":"The fully qualified resource name of the App, in the format:\n<code>projects/<var>projectId</var>/iosApps/<var>appId</var></code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/iosApps/<var>appId</var></code>"}}},"list":{"description":"Lists each IosApp associated with the specified parent Project.\n<br>\n<br>The elements are returned in no particular order, but will be a\nconsistent view of the Apps when additional requests are made with a\n`pageToken`.","response":{"$ref":"ListIosAppsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"],"parameters":{"parent":{"pattern":"^projects/[^/]+$","location":"path","description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>","required":true,"type":"string"},"pageToken":{"type":"string","location":"query","description":"Token returned from a previous call to `ListIosApps` indicating where in\nthe set of Apps to resume listing."},"pageSize":{"location":"query","description":"The maximum number of Apps to return in the response.\n<br>\n<br>The server may return fewer than this at its discretion.\nIf no value is specified (or too large a value is specified), the server\nwill impose its own limit.","format":"int32","type":"integer"}},"flatPath":"v1beta1/projects/{projectsId}/iosApps","path":"v1beta1/{+parent}/iosApps","id":"firebase.projects.iosApps.list"},"patch":{"flatPath":"v1beta1/projects/{projectsId}/iosApps/{iosAppsId}","path":"v1beta1/{+name}","id":"firebase.projects.iosApps.patch","request":{"$ref":"IosApp"},"description":"Updates the attributes of the IosApp identified by the specified\nresource name.","response":{"$ref":"IosApp"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"parameters":{"name":{"location":"path","description":"The fully qualified resource name of the App, in the format:\n<br><code>projects/<var>projectId</var>/iosApps/<var>appId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+/iosApps/[^/]+$"},"updateMask":{"description":"Specifies which fields to update.\n<br>Note that the fields `name`, `appId`, `projectId`, and `bundleId`\nare all immutable.","format":"google-fieldmask","type":"string","location":"query"}}},"create":{"response":{"$ref":"Operation"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/firebase"],"parameters":{"parent":{"description":"The parent Project for which to list Apps, in the format:\n<br><code>projects/<var>projectId</var></code>","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"flatPath":"v1beta1/projects/{projectsId}/iosApps","path":"v1beta1/{+parent}/iosApps","id":"firebase.projects.iosApps.create","request":{"$ref":"IosApp"},"description":"Requests that a new IosApp be created.\n<br>\n<br>The result of this call is an `Operation` which can be used to track\nthe provisioning process. The `Operation` is automatically deleted after\ncompletion, so there is no need to call `DeleteOperation`."},"getConfig":{"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^projects/[^/]+/iosApps/[^/]+/config$","location":"path","description":"The resource name of the App configuration to download, in the format:\n<br><code>projects/<var>projectId</var>/iosApps/<var>appId</var>/config</code>\n<br>As an <var>appId</var> is a unique identifier, the Unique Resource\nfrom Sub-Collection access pattern may be used here, in the format:\n<br><code>projects/-/iosApps/<var>appId</var></code>","required":true,"type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/iosApps/{iosAppsId}/config","id":"firebase.projects.iosApps.getConfig","path":"v1beta1/{+name}","description":"Gets the configuration artifact associated with the specified IosApp.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"IosAppConfig"}}}}}},"availableProjects":{"methods":{"list":{"flatPath":"v1beta1/availableProjects","path":"v1beta1/availableProjects","id":"firebase.availableProjects.list","description":"Returns a list of [Google Cloud Platform (GCP) `Projects`]\n(https://cloud.google.com/resource-manager/reference/rest/v1/projects)\nthat are available to have Firebase resources added to them.\n<br>\n<br>A GCP `Project` will only be returned if:\n<ol>\n  <li><p>The caller has sufficient\n         [Google IAM](https://cloud.google.com/iam) permissions to call\n         AddFirebase.</p></li>\n  <li><p>The GCP `Project` is not already a FirebaseProject.</p></li>\n  <li><p>The GCP `Project` is not in an Organization which has policies\n         that prevent Firebase resources from being added.</p></li>\n</ol>","response":{"$ref":"ListAvailableProjectsResponse"},"parameterOrder":[],"httpMethod":"GET","parameters":{"pageToken":{"type":"string","location":"query","description":"Token returned from a previous call to `ListAvailableProjects`\nindicating where in the set of GCP `Projects` to resume listing."},"pageSize":{"location":"query","description":"The maximum number of GCP `Projects` to return in the response.\n<br>\n<br>The server may return fewer than this value at its discretion.\nIf no value is specified (or too large a value is specified), the server\nwill impose its own limit.\n<br>\n<br>This value cannot be negative.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/firebase","https://www.googleapis.com/auth/firebase.readonly"]}}}},"parameters":{"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"type":"string","location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\")."},"quotaUser":{"type":"string","location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters."},"prettyPrint":{"type":"boolean","default":"true","location":"query","description":"Returns response with indentations and line breaks."},"uploadType":{"type":"string","location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\")."},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"callback":{"description":"JSONP","type":"string","location":"query"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string"}},"version":"v1beta1","baseUrl":"https://firebase.googleapis.com/","kind":"discovery#restDescription","description":"The Firebase Management API enables programmatic setup and management of Firebase projects, including a project's Firebase resources and Firebase apps.","servicePath":"","basePath":"","id":"firebase:v1beta1","documentationLink":"https://firebase.google.com","revision":"20190625","discoveryVersion":"v1","version_module":true,"schemas":{"Empty":{"id":"Empty","description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{}},"Location":{"type":"object","properties":{"locationId":{"description":"The ID of the default GCP resource location. It must be one of the\navailable\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations).","type":"string"}},"id":"Location","description":"A GCP resource location that can be selected for a Project."},"ProjectInfo":{"description":"A reference to a Google Cloud Platform (GCP) `Project`.","type":"object","properties":{"displayName":{"type":"string","description":"The user-assigned display name of the GCP `Project`, for example:\n<code>My App</code>"},"locationId":{"description":"The ID of the project's default GCP resource location. The location is one\nof the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations). <br> <br>\nNot all projects will have this field populated. If it is not populated, it\nmeans that the project does not yet have a default GCP resource location.\nTo set your project's default GCP resource location, call\n[`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you\nadd Firebase services to your project.","type":"string"},"project":{"description":"The resource name of the GCP `Project` to which Firebase resources can be\nadded, in the format:\n<br><code>projects/<var>projectId</var></code>","type":"string"}},"id":"ProjectInfo"},"ListWebAppsResponse":{"type":"object","properties":{"apps":{"type":"array","items":{"$ref":"WebApp"},"description":"List of each WebApp that is in the parent Firebase Project."},"nextPageToken":{"description":"If the result list is too large to fit in a single response, then a token\nis returned. If the string is empty, then this response is the last page of\nresults.\n<br>\n<br>This token can be used in a subsequent call to `ListWebApps` to find\nthe next group of Apps.\n<br>\n<br>Page tokens are short-lived and should not be persisted.","type":"string"}},"id":"ListWebAppsResponse"},"TypedMessage":{"description":"Message that groups a protocol type_id (as defined by MessageSet),\nwith an encoded message of that type.  Its use is similar to\nMessageSet, except it represents a single (type, encoded message)\ninstead of a set.\n\nTo fill for known protocol type:\n  MyProtocolMsg proto;\n  TypedMessage typed_msg;\n  typed_msg.set_type_id(MyProtocolMsg::MESSAGE_TYPE_ID);\n  proto.AppendToCord(typed_msg.mutable_message());\n\nTo fill for unknown protocol type:\n  ProtocolMessage proto;\n  TypedMessage typed_msg;\n  typed_msg.set_type_id(proto.GetMapper()->type_id());\n  proto.AppendToCord(typed_msg.mutable_message());","type":"object","properties":{"message":{"description":"Message bytes.","format":"byte","type":"string"},"typeId":{"description":"Identifier for the type.","format":"int32","type":"integer"}},"id":"TypedMessage"},"ListAndroidAppsResponse":{"type":"object","properties":{"apps":{"description":"List of each AndroidApp that is in the parent Firebase Project.","type":"array","items":{"$ref":"AndroidApp"}},"nextPageToken":{"description":"If the result list is too large to fit in a single response, then a token\nis returned. If the string is empty, then this response is the last page of\nresults.\n<br>\n<br>This token can be used in a subsequent call to `ListAndroidApps` to\nfind the next group of Apps.\n<br>\n<br>Page tokens are short-lived and should not be persisted.","type":"string"}},"id":"ListAndroidAppsResponse"},"WebApp":{"type":"object","properties":{"name":{"description":"The fully qualified resource name of the App, for example:\n<br><code>projects/<var>projectId</var>/webApps/<var>appId</var></code>","type":"string"},"displayName":{"description":"The user-assigned display name of the App.","type":"string"},"appId":{"description":"Immutable. The globally unique, Firebase-assigned identifier of the App.\n<br>\n<br>This identifier should be treated as an opaque token, as the data\nformat is not specified.","type":"string"},"projectId":{"type":"string","description":"The globally unique, user-assigned ID of the parent Project for the App."},"appUrls":{"description":"The fully qualified URLs where the App is hosted.","type":"array","items":{"type":"string"}}},"id":"WebApp","description":"Details of a Firebase App for the web."},"ListAvailableLocationsResponse":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"If the result list is too large to fit in a single response, then a token\nis returned. If the string is empty, then this response is the last page of\nresults and all available locations have been listed.\n<br>\n<br>This token can be used in a subsequent call to\n`ListAvailableLocations` to find more locations.\n<br>\n<br>Page tokens are short-lived and should not be persisted."},"locations":{"type":"array","items":{"$ref":"Location"},"description":"One page of results from a call to `ListAvailableLocations`."}},"id":"ListAvailableLocationsResponse"},"StatusProto":{"type":"object","properties":{"payload":{"description":"DEPRECATED.\n\nThis field was deprecated in 2011 with cl/20297133.  Java support\nfor the field was moved to a proto1 backward compatibility class\nin April 2017 with cl/142615857 and cl/154123203.  There was\nnever support for this field in Go; if set Go will ignore it.\nC++ stopped setting StatusProto::payload in October 2015 with cl/106347055,\nand stopped reading the field in October 2017 with cl/173324114.\n\nIn general, newly written code should use only \"message_set\". If you need\nto maintain backward compatibility with code written before 3/25/2011, do\nthe following:\n\n- During the transition period, either (1) set both \"payload\" and\n  \"message_set\", or (2) write the consumer of StatusProto so that it can\n  forge a MessageSet object from \"payload\" if \"message_set\" is missing.\n  The C++ util::Status implementation does (2).\n\n- Once all the consumers are converted to accept \"message_set\", then\n  remove the use of \"payload\" on the producer side.","$ref":"TypedMessage"},"canonicalCode":{"description":"The canonical error code (see codes.proto) that most closely\ncorresponds to this status. May be missing.","format":"int32","type":"integer"},"space":{"description":"The following are usually only present when code != 0\nSpace to which this status belongs","type":"string"},"code":{"description":"Numeric code drawn from the space specified below. Often, this is the\ncanonical error space, and code is drawn from google3/util/task/codes.proto","format":"int32","type":"integer"},"message":{"description":"Detail message","type":"string"},"messageSet":{"$ref":"MessageSet","description":"message_set associates an arbitrary proto message with the status."}},"id":"StatusProto","description":"Wire-format for a Status object"},"ListIosAppsResponse":{"type":"object","properties":{"apps":{"description":"List of each IosApp that is in the parent Firebase Project.","type":"array","items":{"$ref":"IosApp"}},"nextPageToken":{"type":"string","description":"If the result list is too large to fit in a single response, then a token\nis returned. If the string is empty, then this response is the last page of\nresults.\n<br>\n<br>This token can be used in a subsequent call to `ListIosApps` to find\nthe next group of Apps.\n<br>\n<br>Page tokens are short-lived and should not be persisted."}},"id":"ListIosAppsResponse"},"AndroidApp":{"type":"object","properties":{"name":{"description":"The fully qualified resource name of the App, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var></code>","type":"string"},"packageName":{"description":"The canonical package name of the Android App as would appear in the\nGoogle Play Developer Console.","type":"string"},"displayName":{"description":"The user-assigned display name of the App.","type":"string"},"appId":{"description":"Immutable. The globally unique, Firebase-assigned identifier of the App.\n<br>\n<br>This identifier should be treated as an opaque token, as the data\nformat is not specified.","type":"string"},"projectId":{"description":"The globally unique, user-assigned ID of the parent Project for the App.","type":"string"}},"id":"AndroidApp","description":"Details of a Firebase App for Android."},"DefaultResources":{"description":"The default resources associated with a `FirebaseProject`.","type":"object","properties":{"hostingSite":{"description":"The default Firebase Hosting site name, in the format:\n<br><code><var>projectId</var></code>\n<br>Though rare, your `projectId` might already be used as the name for an\nexisting Hosting site in another project (learn more about creating\nnon-default,\n[additional sites](https://firebase.google.com/docs/hosting/multisites)).\nIn these cases, your `projectId` is appended with a hyphen then five\nalphanumeric characters to create your default Hosting site name. For\nexample, if your `projectId` is `myproject123`, your default Hosting site\nname might be:\n<br><code>myproject123-a5c16</code>","type":"string"},"storageBucket":{"type":"string","description":"The default Cloud Storage for Firebase storage bucket, in the format:\n<br><code><var>projectId</var>.appspot.com</code>"},"realtimeDatabaseInstance":{"description":"The default Firebase Realtime Database instance name, in the format:\n<br><code><var>projectId</var></code>\n<br>Though rare, your `projectId` might already be used as the name for an\nexisting Realtime Database instance in another project (learn more about\n[database\nsharding](https://firebase.google.com/docs/database/usage/sharding)). In\nthese cases, your `projectId` is appended with a hyphen then five\nalphanumeric characters to create your default Realtime Database instance\nname. For example, if your `projectId` is `myproject123`, your default\ndatabase instance name might be:\n<br><code>myproject123-a5c16</code>","type":"string"},"locationId":{"type":"string","description":"The ID of the project's default GCP resource location. The location is one\nof the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations). <br>\n<br>This field is omitted if the default GCP resource location has not been\nfinalized yet. To set your project's default GCP resource location,\ncall [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize)\nafter you add Firebase services to your project."}},"id":"DefaultResources"},"Operation":{"id":"Operation","description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object","properties":{"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object"},"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"},"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.","type":"string"},"error":{"$ref":"Status","description":"The error result of the operation in case of failure or cancellation."}}},"ShaCertificate":{"type":"object","properties":{"name":{"type":"string","description":"The fully qualified resource name of the `sha-key`, in the format:\n<br><code>projects/<var>projectId</var>/androidApps/<var>appId</var>/sha/<var>shaHash</var></code>"},"shaHash":{"description":"The certificate hash for the App.","type":"string"},"certType":{"description":"The SHA certificate type.","type":"string","enumDescriptions":["Unknown state.  This is only used for distinguishing unset values.","Certificate is a SHA-1 type certificate.","Certificate is a SHA-256 type certificate."],"enum":["SHA_CERTIFICATE_TYPE_UNSPECIFIED","SHA_1","SHA_256"]}},"id":"ShaCertificate","description":"A SHA-1 or SHA-256 certificate associated with the AndroidApp."},"IosAppConfig":{"id":"IosAppConfig","description":"Configuration metadata of a single Firebase App for iOS.","type":"object","properties":{"configFileContents":{"description":"The content of the XML configuration file.","format":"byte","type":"string"},"configFilename":{"description":"The filename that the configuration artifact is typically saved as.\n<br>For example: `GoogleService-Info.plist`","type":"string"}}},"Status":{"type":"object","properties":{"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"}}},"id":"Status","description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors)."},"ListFirebaseProjectsResponse":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"If the result list is too large to fit in a single response, then a token\nis returned. If the string is empty, then this response is the last page of\nresults.\n<br>\n<br>This token can be used in a subsequent calls to `ListFirebaseProjects`\nto find the next group of Projects.\n<br>\n<br>Page tokens are short-lived and should not be persisted."},"results":{"description":"One page of the list of Projects that are accessible to the caller.","type":"array","items":{"$ref":"FirebaseProject"}}},"id":"ListFirebaseProjectsResponse"},"MessageSet":{"type":"object","properties":{},"id":"MessageSet","description":"This is proto2's version of MessageSet."},"AdminSdkConfig":{"type":"object","properties":{"storageBucket":{"description":"The default Cloud Storage for Firebase storage bucket name.","type":"string"},"locationId":{"description":"The ID of the project's default GCP resource location. The location is one\nof the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations). <br>\n<br>This field is omitted if the default GCP resource location has not been\nfinalized yet. To set your project's default GCP resource location,\ncall [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize)\nafter you add Firebase services to your project.","type":"string"},"projectId":{"description":"Immutable. The globally unique, user-assigned project ID of the parent\nProject.","type":"string"},"databaseURL":{"description":"The default Firebase Realtime Database URL.","type":"string"}},"id":"AdminSdkConfig"},"SearchFirebaseAppsResponse":{"type":"object","properties":{"apps":{"description":"One page of results from a call to `SearchFirebaseApps`.","type":"array","items":{"$ref":"FirebaseAppInfo"}},"nextPageToken":{"type":"string","description":"If the result list is too large to fit in a single response, then a token\nis returned.\n<br>\n<br>This token can be used in a subsequent calls to `SearchFirebaseApps`\nto find the next group of Apps.\n<br>If the string is empty, then this response is the last page of results.\n<br>Page tokens are short-lived and should not be persisted."}},"id":"SearchFirebaseAppsResponse"},"ListAvailableProjectsResponse":{"type":"object","properties":{"projectInfo":{"description":"The list of GCP `Projects` which can have Firebase resources added to them.","type":"array","items":{"$ref":"ProjectInfo"}},"nextPageToken":{"description":"If the result list is too large to fit in a single response, then a token\nis returned. If the string is empty, then this response is the last page of\nresults.\n<br>\n<br>This token can be used in a subsequent calls to `ListAvailableProjects`\nto find the next group of GCP `Projects`.\n<br>\n<br>Page tokens are short-lived and should not be persisted.","type":"string"}},"id":"ListAvailableProjectsResponse"},"ListShaCertificatesResponse":{"type":"object","properties":{"certificates":{"description":"The list of SHA certificates associated with the App.","type":"array","items":{"$ref":"ShaCertificate"}}},"id":"ListShaCertificatesResponse"},"FinalizeDefaultLocationRequest":{"type":"object","properties":{"locationId":{"type":"string","description":"The ID of the default GCP resource location for the Project. The location\nmust be one of the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations)."}},"id":"FinalizeDefaultLocationRequest"},"AddFirebaseRequest":{"description":"All fields are required.","type":"object","properties":{"locationId":{"type":"string","description":"Deprecated. Instead, to set your project's default GCP resource location,\ncall [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize)\nafter you add Firebase services to your project.\n<br>\n<br>The ID of the project's default GCP resource location. The location\nmust be one of the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations)."},"regionCode":{"description":"The region code (CLDR) that the account will use for Firebase Analytics\ndata.\n<br>For example: US, GB, or DE\n<br>\n<br>In Java, use `com.google.i18n.identifiers.RegionCode`.","type":"string"},"timeZone":{"description":"The time zone that the account will use for Firebase Analytics data.\n<br>For example: America/Los_Angeles or Africa/Abidjan","type":"string"}},"id":"AddFirebaseRequest"},"AndroidAppConfig":{"id":"AndroidAppConfig","description":"Configuration metadata of a single Firebase App for Android.","type":"object","properties":{"configFilename":{"type":"string","description":"The filename that the configuration artifact is typically saved as.\n<br>For example: `google-services.json`"},"configFileContents":{"description":"The contents of the JSON configuration file.","format":"byte","type":"string"}}},"IosApp":{"type":"object","properties":{"displayName":{"description":"The user-assigned display name of the App.","type":"string"},"bundleId":{"description":"The canonical bundle ID of the iOS App as it would appear in the iOS\nAppStore.","type":"string"},"appStoreId":{"type":"string","description":"The automatically generated Apple ID assigned to the App by Apple in the\niOS App Store."},"name":{"description":"The fully qualified resource name of the App, in the format:\n<br><code>projects/<var>projectId</var>/iosApps/<var>appId</var></code>","type":"string"},"projectId":{"description":"The globally unique, user-assigned ID of the parent Project for the App.","type":"string"},"appId":{"description":"Immutable. The globally unique, Firebase-assigned identifier of the App.\n<br>\n<br>This identifier should be treated as an opaque token, as the data\nformat is not specified.","type":"string"}},"id":"IosApp","description":"Details of a Firebase App for iOS."},"FirebaseAppInfo":{"type":"object","properties":{"name":{"description":"The fully qualified resource name of the Firebase App, in the format:\n<br><code>projects/<var>projectId</var>/iosApps/<var>appId</var></code>\nor <br><code>projects/<var>projectId</var>/androidApps/<var>appId</var>\n</code>","type":"string"},"displayName":{"description":"The user-assigned display name of the Firebase App.","type":"string"},"appId":{"description":"Immutable. The globally unique, Firebase-assigned identifier of the App.\n<br>\n<br>This identifier should be treated as an opaque token, as the data\nformat is not specified.","type":"string"},"platform":{"description":"The platform of the Firebase App.","type":"string","enumDescriptions":["Unknown state. This is only used for distinguishing unset values.","The Firebase App is associated with iOS.","The Firebase App is associated with Android.","The Firebase App is associated with web."],"enum":["PLATFORM_UNSPECIFIED","IOS","ANDROID","WEB"]}},"id":"FirebaseAppInfo","description":"A high-level summary of an App."},"FirebaseProject":{"id":"FirebaseProject","description":"A `FirebaseProject` is the top-level Firebase entity. It is the container for\nFirebase Apps, Firebase Hosting sites, storage systems (Firebase Realtime\nDatabase, Cloud Firestore, Cloud Storage buckets) and other Firebase and\nGoogle Cloud Platform (GCP) resources.\n<br>\n<br>You can create a new `FirebaseProject` in the\n[Firebase console](https://console.firebase.google.com/),\nor you can add Firebase resources to an existing\n[GCP\n`Project`](https://cloud.google.com/resource-manager/reference/rest/v1/projects)\nby calling\nAddFirebase.\n<br>\n<br>A `FirebaseProject` is actually also a GCP `Project`, so a\n`FirebaseProject` uses underlying GCP identifiers (most importantly,\n`projectId`) as its own for easy interop with GCP APIs.","type":"object","properties":{"projectId":{"description":"Immutable. The globally unique, user-assigned ID of the Project.","type":"string"},"projectNumber":{"description":"The globally unique, Google-assigned identifier of the Project.","format":"int64","type":"string"},"resources":{"description":"The default Firebase resources associated with the Project.","$ref":"DefaultResources"},"name":{"description":"The fully qualified resource name of the Project, in the format:\n<br><code>projects/<var>projectId</var></code>","type":"string"},"displayName":{"description":"The user-assigned display name of the Project.","type":"string"}}},"WebAppConfig":{"description":"Configuration metadata of a single Firebase App for the web.","type":"object","properties":{"messagingSenderId":{"description":"The sender ID for use with Firebase Cloud Messaging.","type":"string"},"apiKey":{"description":"The API key associated with the web App.","type":"string"},"projectId":{"description":"Immutable. The globally unique, user-assigned project ID of the parent\nProject for the App.","type":"string"},"appId":{"description":"Immutable. The globally unique, Firebase-assigned identifier of the App.","type":"string"},"databaseURL":{"description":"The default Firebase Realtime Database URL.","type":"string"},"authDomain":{"description":"The domain Firebase Auth configures for OAuth redirects, in the format:\n<br><code><var>projectId</var>.firebaseapp.com</code>","type":"string"},"storageBucket":{"type":"string","description":"The default Cloud Storage for Firebase storage bucket name."},"locationId":{"description":"The ID of the project's default GCP resource location. The location is one\nof the available\n[GCP resource\nlocations](https://firebase.google.com/docs/projects/locations). <br>\n<br>This field is omitted if the default GCP resource location has not been\nfinalized yet. To set your project's default GCP resource location,\ncall [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize)\nafter you add Firebase services to your project.","type":"string"}},"id":"WebAppConfig"}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"Firebase Management","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform.read-only":{"description":"View your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/firebase":{"description":"View and administer all your Firebase data and settings"},"https://www.googleapis.com/auth/firebase.readonly":{"description":"View all your Firebase data and settings"}}}},"rootUrl":"https://firebase.googleapis.com/","ownerDomain":"google.com","name":"firebase","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Firebase Management API","ownerName":"Google"};