export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/KdHhmqNA2rZshf_2z6FRaO4ImDY\"","discoveryVersion":"v1","id":"gamesManagement:v1management","name":"gamesManagement","canonicalName":"Games Management","version":"v1management","revision":"20190620","title":"Google Play Game Services Management API","description":"The Management API for Google Play Game Services.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png","x32":"https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png"},"documentationLink":"https://developers.google.com/games/services","protocol":"rest","baseUrl":"https://www.googleapis.com/games/v1management/","basePath":"/games/v1management/","rootUrl":"https://www.googleapis.com/","servicePath":"games/v1management/","batchPath":"batch/gamesManagement/v1management","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/games":{"description":"Create, edit, and delete your Google Play Games activity"}}}},"schemas":{"AchievementResetAllResponse":{"id":"AchievementResetAllResponse","type":"object","description":"This is a JSON template for achievement reset all response.","properties":{"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#achievementResetAllResponse.","default":"gamesManagement#achievementResetAllResponse"},"results":{"type":"array","description":"The achievement reset results.","items":{"$ref":"AchievementResetResponse"}}}},"AchievementResetMultipleForAllRequest":{"id":"AchievementResetMultipleForAllRequest","type":"object","description":"This is a JSON template for multiple achievements reset all request.","properties":{"achievement_ids":{"type":"array","description":"The IDs of achievements to reset.","items":{"type":"string"}},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#achievementResetMultipleForAllRequest.","default":"gamesManagement#achievementResetMultipleForAllRequest"}}},"AchievementResetResponse":{"id":"AchievementResetResponse","type":"object","description":"This is a JSON template for an achievement reset response.","properties":{"currentState":{"type":"string","description":"The current state of the achievement. This is the same as the initial state of the achievement.\nPossible values are:  \n- \"HIDDEN\"- Achievement is hidden. \n- \"REVEALED\" - Achievement is revealed. \n- \"UNLOCKED\" - Achievement is unlocked."},"definitionId":{"type":"string","description":"The ID of an achievement for which player state has been updated."},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#achievementResetResponse.","default":"gamesManagement#achievementResetResponse"},"updateOccurred":{"type":"boolean","description":"Flag to indicate if the requested update actually occurred."}}},"EventsResetMultipleForAllRequest":{"id":"EventsResetMultipleForAllRequest","type":"object","description":"This is a JSON template for multiple events reset all request.","properties":{"event_ids":{"type":"array","description":"The IDs of events to reset.","items":{"type":"string"}},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#eventsResetMultipleForAllRequest.","default":"gamesManagement#eventsResetMultipleForAllRequest"}}},"GamesPlayedResource":{"id":"GamesPlayedResource","type":"object","description":"This is a JSON template for metadata about a player playing a game with the currently authenticated user.","properties":{"autoMatched":{"type":"boolean","description":"True if the player was auto-matched with the currently authenticated user."},"timeMillis":{"type":"string","description":"The last time the player played the game in milliseconds since the epoch in UTC.","format":"int64"}}},"GamesPlayerExperienceInfoResource":{"id":"GamesPlayerExperienceInfoResource","type":"object","description":"This is a JSON template for 1P/3P metadata about the player's experience.","properties":{"currentExperiencePoints":{"type":"string","description":"The current number of experience points for the player.","format":"int64"},"currentLevel":{"$ref":"GamesPlayerLevelResource","description":"The current level of the player."},"lastLevelUpTimestampMillis":{"type":"string","description":"The timestamp when the player was leveled up, in millis since Unix epoch UTC.","format":"int64"},"nextLevel":{"$ref":"GamesPlayerLevelResource","description":"The next level of the player. If the current level is the maximum level, this should be same as the current level."}}},"GamesPlayerLevelResource":{"id":"GamesPlayerLevelResource","type":"object","description":"This is a JSON template for 1P/3P metadata about a user's level.","properties":{"level":{"type":"integer","description":"The level for the user.","format":"int32"},"maxExperiencePoints":{"type":"string","description":"The maximum experience points for this level.","format":"int64"},"minExperiencePoints":{"type":"string","description":"The minimum experience points for this level.","format":"int64"}}},"HiddenPlayer":{"id":"HiddenPlayer","type":"object","description":"This is a JSON template for the HiddenPlayer resource.","properties":{"hiddenTimeMillis":{"type":"string","description":"The time this player was hidden.","format":"int64"},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#hiddenPlayer.","default":"gamesManagement#hiddenPlayer"},"player":{"$ref":"Player","description":"The player information."}}},"HiddenPlayerList":{"id":"HiddenPlayerList","type":"object","description":"This is a JSON template for a list of hidden players.","properties":{"items":{"type":"array","description":"The players.","items":{"$ref":"HiddenPlayer"}},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#hiddenPlayerList.","default":"gamesManagement#hiddenPlayerList"},"nextPageToken":{"type":"string","description":"The pagination token for the next page of results."}}},"Player":{"id":"Player","type":"object","description":"This is a JSON template for a Player resource.","properties":{"avatarImageUrl":{"type":"string","description":"The base URL for the image that represents the player."},"bannerUrlLandscape":{"type":"string","description":"The url to the landscape mode player banner image."},"bannerUrlPortrait":{"type":"string","description":"The url to the portrait mode player banner image."},"displayName":{"type":"string","description":"The name to display for the player."},"experienceInfo":{"$ref":"GamesPlayerExperienceInfoResource","description":"An object to represent Play Game experience information for the player."},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#player.","default":"gamesManagement#player"},"lastPlayedWith":{"$ref":"GamesPlayedResource","description":"Details about the last time this player played a multiplayer game with the currently authenticated player. Populated for PLAYED_WITH player collection members."},"name":{"type":"object","description":"An object representation of the individual components of the player's name. For some players, these fields may not be present.","properties":{"familyName":{"type":"string","description":"The family name of this player. In some places, this is known as the last name."},"givenName":{"type":"string","description":"The given name of this player. In some places, this is known as the first name."}}},"originalPlayerId":{"type":"string","description":"The player ID that was used for this player the first time they signed into the game in question. This is only populated for calls to player.get for the requesting player, only if the player ID has subsequently changed, and only to clients that support remapping player IDs."},"playerId":{"type":"string","description":"The ID of the player."},"profileSettings":{"$ref":"ProfileSettings","description":"The player's profile settings. Controls whether or not the player's profile is visible to other players."},"title":{"type":"string","description":"The player's title rewarded for their game activities."}}},"PlayerScoreResetAllResponse":{"id":"PlayerScoreResetAllResponse","type":"object","description":"This is a JSON template for a list of leaderboard reset resources.","properties":{"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#playerScoreResetResponse.","default":"gamesManagement#playerScoreResetAllResponse"},"results":{"type":"array","description":"The leaderboard reset results.","items":{"$ref":"PlayerScoreResetResponse"}}}},"PlayerScoreResetResponse":{"id":"PlayerScoreResetResponse","type":"object","description":"This is a JSON template for a list of reset leaderboard entry resources.","properties":{"definitionId":{"type":"string","description":"The ID of an leaderboard for which player state has been updated."},"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#playerScoreResetResponse.","default":"gamesManagement#playerScoreResetResponse"},"resetScoreTimeSpans":{"type":"array","description":"The time spans of the updated score.\nPossible values are:  \n- \"ALL_TIME\" - The score is an all-time score. \n- \"WEEKLY\" - The score is a weekly score. \n- \"DAILY\" - The score is a daily score.","items":{"type":"string"}}}},"ProfileSettings":{"id":"ProfileSettings","type":"object","description":"This is a JSON template for profile settings","properties":{"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#profileSettings.","default":"gamesManagement#profileSettings"},"profileVisible":{"type":"boolean","description":"The player's current profile visibility. This field is visible to both 1P and 3P APIs."}}},"QuestsResetMultipleForAllRequest":{"id":"QuestsResetMultipleForAllRequest","type":"object","description":"This is a JSON template for multiple quests reset all request.","properties":{"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#questsResetMultipleForAllRequest.","default":"gamesManagement#questsResetMultipleForAllRequest"},"quest_ids":{"type":"array","description":"The IDs of quests to reset.","items":{"type":"string"}}}},"ScoresResetMultipleForAllRequest":{"id":"ScoresResetMultipleForAllRequest","type":"object","description":"This is a JSON template for multiple scores reset all request.","properties":{"kind":{"type":"string","description":"Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#scoresResetMultipleForAllRequest.","default":"gamesManagement#scoresResetMultipleForAllRequest"},"leaderboard_ids":{"type":"array","description":"The IDs of leaderboards to reset.","items":{"type":"string"}}}}},"resources":{"achievements":{"methods":{"reset":{"id":"gamesManagement.achievements.reset","path":"achievements/{achievementId}/reset","httpMethod":"POST","description":"Resets the achievement with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.","parameters":{"achievementId":{"type":"string","description":"The ID of the achievement used by this method.","required":true,"location":"path"}},"parameterOrder":["achievementId"],"response":{"$ref":"AchievementResetResponse"},"scopes":["https://www.googleapis.com/auth/games"]},"resetAll":{"id":"gamesManagement.achievements.resetAll","path":"achievements/reset","httpMethod":"POST","description":"Resets all achievements for the currently authenticated player for your application. This method is only accessible to whitelisted tester accounts for your application.","response":{"$ref":"AchievementResetAllResponse"},"scopes":["https://www.googleapis.com/auth/games"]},"resetAllForAllPlayers":{"id":"gamesManagement.achievements.resetAllForAllPlayers","path":"achievements/resetAllForAllPlayers","httpMethod":"POST","description":"Resets all draft achievements for all players. This method is only available to user accounts for your developer console.","scopes":["https://www.googleapis.com/auth/games"]},"resetForAllPlayers":{"id":"gamesManagement.achievements.resetForAllPlayers","path":"achievements/{achievementId}/resetForAllPlayers","httpMethod":"POST","description":"Resets the achievement with the given ID for all players. This method is only available to user accounts for your developer console. Only draft achievements can be reset.","parameters":{"achievementId":{"type":"string","description":"The ID of the achievement used by this method.","required":true,"location":"path"}},"parameterOrder":["achievementId"],"scopes":["https://www.googleapis.com/auth/games"]},"resetMultipleForAllPlayers":{"id":"gamesManagement.achievements.resetMultipleForAllPlayers","path":"achievements/resetMultipleForAllPlayers","httpMethod":"POST","description":"Resets achievements with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft achievements may be reset.","request":{"$ref":"AchievementResetMultipleForAllRequest"},"scopes":["https://www.googleapis.com/auth/games"]}}},"applications":{"methods":{"listHidden":{"id":"gamesManagement.applications.listHidden","path":"applications/{applicationId}/players/hidden","httpMethod":"GET","description":"Get the list of players hidden from the given application. This method is only available to user accounts for your developer console.","parameters":{"applicationId":{"type":"string","description":"The application ID from the Google Play developer console.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of player resources to return in the response, used for paging. For any response, the actual number of player resources returned may be less than the specified maxResults.","format":"int32","minimum":"1","maximum":"50","location":"query"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"}},"parameterOrder":["applicationId"],"response":{"$ref":"HiddenPlayerList"},"scopes":["https://www.googleapis.com/auth/games"]}}},"events":{"methods":{"reset":{"id":"gamesManagement.events.reset","path":"events/{eventId}/reset","httpMethod":"POST","description":"Resets all player progress on the event with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application. All quests for this player that use the event will also be reset.","parameters":{"eventId":{"type":"string","description":"The ID of the event.","required":true,"location":"path"}},"parameterOrder":["eventId"],"scopes":["https://www.googleapis.com/auth/games"]},"resetAll":{"id":"gamesManagement.events.resetAll","path":"events/reset","httpMethod":"POST","description":"Resets all player progress on all events for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application. All quests for this player will also be reset.","scopes":["https://www.googleapis.com/auth/games"]},"resetAllForAllPlayers":{"id":"gamesManagement.events.resetAllForAllPlayers","path":"events/resetAllForAllPlayers","httpMethod":"POST","description":"Resets all draft events for all players. This method is only available to user accounts for your developer console. All quests that use any of these events will also be reset.","scopes":["https://www.googleapis.com/auth/games"]},"resetForAllPlayers":{"id":"gamesManagement.events.resetForAllPlayers","path":"events/{eventId}/resetForAllPlayers","httpMethod":"POST","description":"Resets the event with the given ID for all players. This method is only available to user accounts for your developer console. Only draft events can be reset. All quests that use the event will also be reset.","parameters":{"eventId":{"type":"string","description":"The ID of the event.","required":true,"location":"path"}},"parameterOrder":["eventId"],"scopes":["https://www.googleapis.com/auth/games"]},"resetMultipleForAllPlayers":{"id":"gamesManagement.events.resetMultipleForAllPlayers","path":"events/resetMultipleForAllPlayers","httpMethod":"POST","description":"Resets events with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft events may be reset. All quests that use any of the events will also be reset.","request":{"$ref":"EventsResetMultipleForAllRequest"},"scopes":["https://www.googleapis.com/auth/games"]}}},"players":{"methods":{"hide":{"id":"gamesManagement.players.hide","path":"applications/{applicationId}/players/hidden/{playerId}","httpMethod":"POST","description":"Hide the given player's leaderboard scores from the given application. This method is only available to user accounts for your developer console.","parameters":{"applicationId":{"type":"string","description":"The application ID from the Google Play developer console.","required":true,"location":"path"},"playerId":{"type":"string","description":"A player ID. A value of me may be used in place of the authenticated player's ID.","required":true,"location":"path"}},"parameterOrder":["applicationId","playerId"],"scopes":["https://www.googleapis.com/auth/games"]},"unhide":{"id":"gamesManagement.players.unhide","path":"applications/{applicationId}/players/hidden/{playerId}","httpMethod":"DELETE","description":"Unhide the given player's leaderboard scores from the given application. This method is only available to user accounts for your developer console.","parameters":{"applicationId":{"type":"string","description":"The application ID from the Google Play developer console.","required":true,"location":"path"},"playerId":{"type":"string","description":"A player ID. A value of me may be used in place of the authenticated player's ID.","required":true,"location":"path"}},"parameterOrder":["applicationId","playerId"],"scopes":["https://www.googleapis.com/auth/games"]}}},"quests":{"methods":{"reset":{"id":"gamesManagement.quests.reset","path":"quests/{questId}/reset","httpMethod":"POST","description":"Resets all player progress on the quest with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.","parameters":{"questId":{"type":"string","description":"The ID of the quest.","required":true,"location":"path"}},"parameterOrder":["questId"],"scopes":["https://www.googleapis.com/auth/games"]},"resetAll":{"id":"gamesManagement.quests.resetAll","path":"quests/reset","httpMethod":"POST","description":"Resets all player progress on all quests for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.","scopes":["https://www.googleapis.com/auth/games"]},"resetAllForAllPlayers":{"id":"gamesManagement.quests.resetAllForAllPlayers","path":"quests/resetAllForAllPlayers","httpMethod":"POST","description":"Resets all draft quests for all players. This method is only available to user accounts for your developer console.","scopes":["https://www.googleapis.com/auth/games"]},"resetForAllPlayers":{"id":"gamesManagement.quests.resetForAllPlayers","path":"quests/{questId}/resetForAllPlayers","httpMethod":"POST","description":"Resets all player progress on the quest with the given ID for all players. This method is only available to user accounts for your developer console. Only draft quests can be reset.","parameters":{"questId":{"type":"string","description":"The ID of the quest.","required":true,"location":"path"}},"parameterOrder":["questId"],"scopes":["https://www.googleapis.com/auth/games"]},"resetMultipleForAllPlayers":{"id":"gamesManagement.quests.resetMultipleForAllPlayers","path":"quests/resetMultipleForAllPlayers","httpMethod":"POST","description":"Resets quests with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft quests may be reset.","request":{"$ref":"QuestsResetMultipleForAllRequest"},"scopes":["https://www.googleapis.com/auth/games"]}}},"rooms":{"methods":{"reset":{"id":"gamesManagement.rooms.reset","path":"rooms/reset","httpMethod":"POST","description":"Reset all rooms for the currently authenticated player for your application. This method is only accessible to whitelisted tester accounts for your application.","scopes":["https://www.googleapis.com/auth/games"]},"resetForAllPlayers":{"id":"gamesManagement.rooms.resetForAllPlayers","path":"rooms/resetForAllPlayers","httpMethod":"POST","description":"Deletes rooms where the only room participants are from whitelisted tester accounts for your application. This method is only available to user accounts for your developer console.","scopes":["https://www.googleapis.com/auth/games"]}}},"scores":{"methods":{"reset":{"id":"gamesManagement.scores.reset","path":"leaderboards/{leaderboardId}/scores/reset","httpMethod":"POST","description":"Resets scores for the leaderboard with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.","parameters":{"leaderboardId":{"type":"string","description":"The ID of the leaderboard.","required":true,"location":"path"}},"parameterOrder":["leaderboardId"],"response":{"$ref":"PlayerScoreResetResponse"},"scopes":["https://www.googleapis.com/auth/games"]},"resetAll":{"id":"gamesManagement.scores.resetAll","path":"scores/reset","httpMethod":"POST","description":"Resets all scores for all leaderboards for the currently authenticated players. This method is only accessible to whitelisted tester accounts for your application.","response":{"$ref":"PlayerScoreResetAllResponse"},"scopes":["https://www.googleapis.com/auth/games"]},"resetAllForAllPlayers":{"id":"gamesManagement.scores.resetAllForAllPlayers","path":"scores/resetAllForAllPlayers","httpMethod":"POST","description":"Resets scores for all draft leaderboards for all players. This method is only available to user accounts for your developer console.","scopes":["https://www.googleapis.com/auth/games"]},"resetForAllPlayers":{"id":"gamesManagement.scores.resetForAllPlayers","path":"leaderboards/{leaderboardId}/scores/resetForAllPlayers","httpMethod":"POST","description":"Resets scores for the leaderboard with the given ID for all players. This method is only available to user accounts for your developer console. Only draft leaderboards can be reset.","parameters":{"leaderboardId":{"type":"string","description":"The ID of the leaderboard.","required":true,"location":"path"}},"parameterOrder":["leaderboardId"],"scopes":["https://www.googleapis.com/auth/games"]},"resetMultipleForAllPlayers":{"id":"gamesManagement.scores.resetMultipleForAllPlayers","path":"scores/resetMultipleForAllPlayers","httpMethod":"POST","description":"Resets scores for the leaderboards with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft leaderboards may be reset.","request":{"$ref":"ScoresResetMultipleForAllRequest"},"scopes":["https://www.googleapis.com/auth/games"]}}},"turnBasedMatches":{"methods":{"reset":{"id":"gamesManagement.turnBasedMatches.reset","path":"turnbasedmatches/reset","httpMethod":"POST","description":"Reset all turn-based match data for a user. This method is only accessible to whitelisted tester accounts for your application.","scopes":["https://www.googleapis.com/auth/games"]},"resetForAllPlayers":{"id":"gamesManagement.turnBasedMatches.resetForAllPlayers","path":"turnbasedmatches/resetForAllPlayers","httpMethod":"POST","description":"Deletes turn-based matches where the only match participants are from whitelisted tester accounts for your application. This method is only available to user accounts for your developer console.","scopes":["https://www.googleapis.com/auth/games"]}}}}};