export default {"version_module":true,"schemas":{"GoogleExampleLibraryagentV1ListShelvesResponse":{"description":"Response message for LibraryAgent.ListShelves.","type":"object","properties":{"shelves":{"type":"array","items":{"$ref":"GoogleExampleLibraryagentV1Shelf"},"description":"The list of shelves."},"nextPageToken":{"type":"string","description":"A token to retrieve next page of results.\nPass this value in the\nListShelvesRequest.page_token\nfield in the subsequent call to `ListShelves` method to retrieve the next\npage of results."}},"id":"GoogleExampleLibraryagentV1ListShelvesResponse"},"GoogleExampleLibraryagentV1Book":{"description":"A single book in the library.","type":"object","properties":{"name":{"description":"The resource name of the book.\nBook names have the form `shelves/{shelf_id}/books/{book_id}`.\nThe name is ignored when creating a book.","type":"string"},"author":{"description":"The name of the book author.","type":"string"},"read":{"type":"boolean","description":"Value indicating whether the book has been read."},"title":{"description":"The title of the book.","type":"string"}},"id":"GoogleExampleLibraryagentV1Book"},"GoogleExampleLibraryagentV1Shelf":{"id":"GoogleExampleLibraryagentV1Shelf","description":"A Shelf contains a collection of books with a theme.","type":"object","properties":{"theme":{"description":"The theme of the shelf","type":"string"},"name":{"description":"Output only. The resource name of the shelf.\nShelf names have the form `shelves/{shelf_id}`.\nThe name is ignored when creating a shelf.","type":"string"}}},"GoogleExampleLibraryagentV1ListBooksResponse":{"description":"Response message for LibraryAgent.ListBooks.","type":"object","properties":{"books":{"description":"The list of books.","type":"array","items":{"$ref":"GoogleExampleLibraryagentV1Book"}},"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListBooksRequest.page_token\nfield in the subsequent call to `ListBooks` method to retrieve the next\npage of results.","type":"string"}},"id":"GoogleExampleLibraryagentV1ListBooksResponse"}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"canonicalName":"Libraryagent","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://libraryagent.googleapis.com/","ownerDomain":"google.com","name":"libraryagent","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Library Agent API","ownerName":"Google","resources":{"shelves":{"methods":{"get":{"response":{"$ref":"GoogleExampleLibraryagentV1Shelf"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"pattern":"^shelves/[^/]+$","location":"path","description":"The name of the shelf to retrieve.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/shelves/{shelvesId}","path":"v1/{+name}","id":"libraryagent.shelves.get","description":"Gets a shelf. Returns NOT_FOUND if the shelf does not exist."},"list":{"response":{"$ref":"GoogleExampleLibraryagentV1ListShelvesResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"type":"string","location":"query","description":"A token identifying a page of results the server should return.\nTypically, this is the value of\nListShelvesResponse.next_page_token\nreturned from the previous call to `ListShelves` method."},"pageSize":{"location":"query","description":"Requested page size. Server may return fewer shelves than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer"}},"flatPath":"v1/shelves","path":"v1/shelves","id":"libraryagent.shelves.list","description":"Lists shelves. The order is unspecified but deterministic. Newly created\nshelves will not necessarily be added to the end of this list."}},"resources":{"books":{"methods":{"borrow":{"response":{"$ref":"GoogleExampleLibraryagentV1Book"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the book to borrow.","required":true,"type":"string","pattern":"^shelves/[^/]+/books/[^/]+$","location":"path"}},"flatPath":"v1/shelves/{shelvesId}/books/{booksId}:borrow","path":"v1/{+name}:borrow","id":"libraryagent.shelves.books.borrow","description":"Borrow a book from the library. Returns the book if it is borrowed\nsuccessfully. Returns NOT_FOUND if the book does not exist in the library.\nReturns quota exceeded error if the amount of books borrowed exceeds\nallocation quota in any dimensions."},"get":{"flatPath":"v1/shelves/{shelvesId}/books/{booksId}","path":"v1/{+name}","id":"libraryagent.shelves.books.get","description":"Gets a book. Returns NOT_FOUND if the book does not exist.","response":{"$ref":"GoogleExampleLibraryagentV1Book"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"required":true,"type":"string","pattern":"^shelves/[^/]+/books/[^/]+$","location":"path","description":"The name of the book to retrieve."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"list":{"response":{"$ref":"GoogleExampleLibraryagentV1ListBooksResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"location":"query","description":"A token identifying a page of results the server should return.\nTypically, this is the value of\nListBooksResponse.next_page_token.\nreturned from the previous call to `ListBooks` method.","type":"string"},"pageSize":{"location":"query","description":"Requested page size. Server may return fewer books than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer"},"parent":{"required":true,"type":"string","pattern":"^shelves/[^/]+$","location":"path","description":"The name of the shelf whose books we'd like to list."}},"flatPath":"v1/shelves/{shelvesId}/books","path":"v1/{+parent}/books","id":"libraryagent.shelves.books.list","description":"Lists books in a shelf. The order is unspecified but deterministic. Newly\ncreated books will not necessarily be added to the end of this list.\nReturns NOT_FOUND if the shelf does not exist."},"return":{"parameters":{"name":{"pattern":"^shelves/[^/]+/books/[^/]+$","location":"path","description":"The name of the book to return.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/shelves/{shelvesId}/books/{booksId}:return","path":"v1/{+name}:return","id":"libraryagent.shelves.books.return","description":"Return a book to the library. Returns the book if it is returned to the\nlibrary successfully.\nReturns error if the book does not belong to the library\nor the users didn't borrow before.","response":{"$ref":"GoogleExampleLibraryagentV1Book"},"parameterOrder":["name"],"httpMethod":"POST"}}}}}},"parameters":{"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"]},"alt":{"description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"type":"boolean","default":"true","location":"query","description":"Returns response with indentations and line breaks."},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"}},"version":"v1","baseUrl":"https://libraryagent.googleapis.com/","kind":"discovery#restDescription","description":"A simple Google Example Library API.","servicePath":"","basePath":"","id":"libraryagent:v1","documentationLink":"https://cloud.google.com/docs/quota","revision":"20190625","discoveryVersion":"v1"};