export default {"basePath":"","id":"ml:v1","documentationLink":"https://cloud.google.com/ml/","revision":"20190620","discoveryVersion":"v1","version_module":true,"schemas":{"GoogleCloudMlV1__ListLocationsResponse":{"id":"GoogleCloudMlV1__ListLocationsResponse","type":"object","properties":{"nextPageToken":{"description":"Optional. Pass this token as the `page_token` field of the request for a\nsubsequent call.","type":"string"},"locations":{"description":"Locations where at least one type of CMLE capability is available.","type":"array","items":{"$ref":"GoogleCloudMlV1__Location"}}}},"GoogleCloudMlV1__HyperparameterSpec":{"id":"GoogleCloudMlV1__HyperparameterSpec","description":"Represents a set of hyperparameters to optimize.","type":"object","properties":{"maxTrials":{"description":"Optional. How many training trials should be attempted to optimize\nthe specified hyperparameters.\n\nDefaults to one.","format":"int32","type":"integer"},"algorithm":{"enumDescriptions":["The default algorithm used by the hyperparameter tuning service. This is\na Bayesian optimization algorithm.","Simple grid search within the feasible space. To use grid search,\nall parameters must be `INTEGER`, `CATEGORICAL`, or `DISCRETE`.","Simple random search within the feasible space."],"enum":["ALGORITHM_UNSPECIFIED","GRID_SEARCH","RANDOM_SEARCH"],"description":"Optional. The search algorithm specified for the hyperparameter\ntuning job.\nUses the default AI Platform hyperparameter tuning\nalgorithm if unspecified.","type":"string"},"hyperparameterMetricTag":{"description":"Optional. The TensorFlow summary tag name to use for optimizing trials. For\ncurrent versions of TensorFlow, this tag name should exactly match what is\nshown in TensorBoard, including all scopes.  For versions of TensorFlow\nprior to 0.12, this should be only the tag passed to tf.Summary.\nBy default, \"training/hptuning/metric\" will be used.","type":"string"},"params":{"description":"Required. The set of parameters to tune.","type":"array","items":{"$ref":"GoogleCloudMlV1__ParameterSpec"}},"enableTrialEarlyStopping":{"description":"Optional. Indicates if the hyperparameter tuning job enables auto trial\nearly stopping.","type":"boolean"},"resumePreviousJobId":{"description":"Optional. The prior hyperparameter tuning job id that users hope to\ncontinue with. The job id will be used to find the corresponding vizier\nstudy guid and resume the study.","type":"string"},"maxParallelTrials":{"description":"Optional. The number of training trials to run concurrently.\nYou can reduce the time it takes to perform hyperparameter tuning by adding\ntrials in parallel. However, each trail only benefits from the information\ngained in completed trials. That means that a trial does not get access to\nthe results of trials running at the same time, which could reduce the\nquality of the overall optimization.\n\nEach trial will use the same scale tier and machine types.\n\nDefaults to one.","format":"int32","type":"integer"},"maxFailedTrials":{"description":"Optional. The number of failed trials that need to be seen before failing\nthe hyperparameter tuning job. You can specify this field to override the\ndefault failing criteria for AI Platform hyperparameter tuning jobs.\n\nDefaults to zero, which means the service decides when a hyperparameter\njob should fail.","format":"int32","type":"integer"},"goal":{"enum":["GOAL_TYPE_UNSPECIFIED","MAXIMIZE","MINIMIZE"],"description":"Required. The type of goal to use for tuning. Available types are\n`MAXIMIZE` and `MINIMIZE`.\n\nDefaults to `MAXIMIZE`.","type":"string","enumDescriptions":["Goal Type will default to maximize.","Maximize the goal metric.","Minimize the goal metric."]}}},"GoogleCloudMlV1__ListJobsResponse":{"description":"Response message for the ListJobs method.","type":"object","properties":{"jobs":{"description":"The list of jobs.","type":"array","items":{"$ref":"GoogleCloudMlV1__Job"}},"nextPageToken":{"type":"string","description":"Optional. Pass this token as the `page_token` field of the request for a\nsubsequent call."}},"id":"GoogleCloudMlV1__ListJobsResponse"},"GoogleCloudMlV1__SetDefaultVersionRequest":{"description":"Request message for the SetDefaultVersion request.","type":"object","properties":{},"id":"GoogleCloudMlV1__SetDefaultVersionRequest"},"GoogleLongrunning__Operation":{"description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object","properties":{"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.","type":"string"},"error":{"description":"The error result of the operation in case of failure or cancellation.","$ref":"GoogleRpc__Status"},"metadata":{"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}},"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"}},"id":"GoogleLongrunning__Operation"},"GoogleCloudMlV1__Model":{"description":"Represents a machine learning solution.\n\nA model can have multiple versions, each of which is a deployed, trained\nmodel ready to receive prediction requests. The model itself is just a\ncontainer.","type":"object","properties":{"regions":{"description":"Optional. The list of regions where the model is going to be deployed.\nCurrently only one region per model is supported.\nDefaults to 'us-central1' if nothing is set.\nSee the <a href=\"/ml-engine/docs/tensorflow/regions\">available regions</a>\nfor AI Platform services.\nNote:\n*   No matter where a model is deployed, it can always be accessed by\n    users from anywhere, both for online and batch prediction.\n*   The region for a batch prediction job is set by the region field when\n    submitting the batch prediction job and does not take its value from\n    this field.","type":"array","items":{"type":"string"}},"onlinePredictionConsoleLogging":{"description":"Optional. If true, online prediction nodes send `stderr` and `stdout`\nstreams to Stackdriver Logging. These can be more verbose than the standard\naccess logs (see `onlinePredictionLogging`) and can incur higher cost.\nHowever, they are helpful for debugging. Note that\n[Stackdriver logs may incur a cost](/stackdriver/pricing), especially if\nyour project receives prediction requests at a high QPS. Estimate your\ncosts before enabling this option.\n\nDefault is false.","type":"boolean"},"description":{"description":"Optional. The description specified for the model when it was created.","type":"string"},"onlinePredictionLogging":{"description":"Optional. If true, online prediction access logs are sent to StackDriver\nLogging. These logs are like standard server access logs, containing\ninformation like timestamp and latency for each request. Note that\n[Stackdriver logs may incur a cost](/stackdriver/pricing), especially if\nyour project receives prediction requests at a high queries per second rate\n(QPS). Estimate your costs before enabling this option.\n\nDefault is false.","type":"boolean"},"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a model from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform model updates in order to avoid race\nconditions: An `etag` is returned in the response to `GetModel`, and\nsystems are expected to put that etag in the request to `UpdateModel` to\nensure that their change will be applied to the model as intended.","format":"byte","type":"string"},"labels":{"additionalProperties":{"type":"string"},"description":"Optional. One or more labels that you can add, to organize your models.\nEach label is a key-value pair, where both the key and the value are\narbitrary strings that you supply.\nFor more information, see the documentation on\n<a href=\"/ml-engine/docs/tensorflow/resource-labels\">using labels</a>.","type":"object"},"name":{"description":"Required. The name specified for the model when it was created.\n\nThe model name must be unique within the project it is created in.","type":"string"},"defaultVersion":{"$ref":"GoogleCloudMlV1__Version","description":"Output only. The default version of the model. This version will be used to\nhandle prediction requests that do not specify a version.\n\nYou can change the default version by calling\n[projects.methods.versions.setDefault](/ml-engine/reference/rest/v1/projects.models.versions/setDefault)."}},"id":"GoogleCloudMlV1__Model"},"GoogleIamV1__AuditConfig":{"description":"Specifies the audit configuration for a service.\nThe configuration determines which permission types are logged, and what\nidentities, if any, are exempted from logging.\nAn AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service,\nthe union of the two AuditConfigs is used for that service: the log_types\nspecified in each AuditConfig are enabled, and the exempted_members in each\nAuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n    {\n      \"audit_configs\": [\n        {\n          \"service\": \"allServices\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n              \"exempted_members\": [\n                \"user:foo@gmail.com\"\n              ]\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n            },\n            {\n              \"log_type\": \"ADMIN_READ\",\n            }\n          ]\n        },\n        {\n          \"service\": \"fooservice.googleapis.com\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n              \"exempted_members\": [\n                \"user:bar@gmail.com\"\n              ]\n            }\n          ]\n        }\n      ]\n    }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ\nlogging. It also exempts foo@gmail.com from DATA_READ logging, and\nbar@gmail.com from DATA_WRITE logging.","type":"object","properties":{"service":{"description":"Specifies a service that will be enabled for audit logging.\nFor example, `storage.googleapis.com`, `cloudsql.googleapis.com`.\n`allServices` is a special value that covers all services.","type":"string"},"auditLogConfigs":{"description":"The configuration for logging of each type of permission.","type":"array","items":{"$ref":"GoogleIamV1__AuditLogConfig"}}},"id":"GoogleIamV1__AuditConfig"},"GoogleProtobuf__Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"GoogleProtobuf__Empty"},"GoogleCloudMlV1__CancelJobRequest":{"description":"Request message for the CancelJob method.","type":"object","properties":{},"id":"GoogleCloudMlV1__CancelJobRequest"},"GoogleCloudMlV1__ListVersionsResponse":{"description":"Response message for the ListVersions method.","type":"object","properties":{"versions":{"description":"The list of versions.","type":"array","items":{"$ref":"GoogleCloudMlV1__Version"}},"nextPageToken":{"description":"Optional. Pass this token as the `page_token` field of the request for a\nsubsequent call.","type":"string"}},"id":"GoogleCloudMlV1__ListVersionsResponse"},"GoogleIamV1__TestIamPermissionsRequest":{"type":"object","properties":{"permissions":{"description":"The set of permissions to check for the `resource`. Permissions with\nwildcards (such as '*' or 'storage.*') are not allowed. For more\ninformation see\n[IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","type":"array","items":{"type":"string"}}},"id":"GoogleIamV1__TestIamPermissionsRequest","description":"Request message for `TestIamPermissions` method."},"GoogleRpc__Status":{"description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object","properties":{"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"}},"id":"GoogleRpc__Status"},"GoogleCloudMlV1__AutoScaling":{"type":"object","properties":{"minNodes":{"description":"Optional. The minimum number of nodes to allocate for this model. These\nnodes are always up, starting from the time the model is deployed.\nTherefore, the cost of operating this model will be at least\n`rate` * `min_nodes` * number of hours since last billing cycle,\nwhere `rate` is the cost per node-hour as documented in the\n[pricing guide](/ml-engine/docs/pricing),\neven if no predictions are performed. There is additional cost for each\nprediction performed.\n\nUnlike manual scaling, if the load gets too heavy for the nodes\nthat are up, the service will automatically add nodes to handle the\nincreased load as well as scale back as traffic drops, always maintaining\nat least `min_nodes`. You will be charged for the time in which additional\nnodes are used.\n\nIf not specified, `min_nodes` defaults to 0, in which case, when traffic\nto a model stops (and after a cool-down period), nodes will be shut down\nand no charges will be incurred until traffic to the model resumes.\n\nYou can set `min_nodes` when creating the model version, and you can also\nupdate `min_nodes` for an existing version:\n<pre>\nupdate_body.json:\n{\n  'autoScaling': {\n    'minNodes': 5\n  }\n}\n</pre>\nHTTP request:\n<pre>\nPATCH\nhttps://ml.googleapis.com/v1/{name=projects/*/models/*/versions/*}?update_mask=autoScaling.minNodes\n-d @./update_body.json\n</pre>","format":"int32","type":"integer"}},"id":"GoogleCloudMlV1__AutoScaling","description":"Options for automatically scaling a model."},"GoogleCloudMlV1__TrainingInput":{"description":"Represents input parameters for a training job. When using the\ngcloud command to submit your training job, you can specify\nthe input parameters as command-line arguments and/or in a YAML configuration\nfile referenced from the --config command-line argument. For\ndetails, see the guide to\n<a href=\"/ml-engine/docs/tensorflow/training-jobs\">submitting a training\njob</a>.","type":"object","properties":{"scaleTier":{"type":"string","enumDescriptions":["A single worker instance. This tier is suitable for learning how to use\nCloud ML, and for experimenting with new models using small datasets.","Many workers and a few parameter servers.","A large number of workers with many parameter servers.","A single worker instance [with a\nGPU](/ml-engine/docs/tensorflow/using-gpus).","A single worker instance with a\n[Cloud TPU](/ml-engine/docs/tensorflow/using-tpus).","The CUSTOM tier is not a set tier, but rather enables you to use your\nown cluster specification. When you use this tier, set values to\nconfigure your processing cluster according to these guidelines:\n\n*   You _must_ set `TrainingInput.masterType` to specify the type\n    of machine to use for your master node. This is the only required\n    setting.\n\n*   You _may_ set `TrainingInput.workerCount` to specify the number of\n    workers to use. If you specify one or more workers, you _must_ also\n    set `TrainingInput.workerType` to specify the type of machine to use\n    for your worker nodes.\n\n*   You _may_ set `TrainingInput.parameterServerCount` to specify the\n    number of parameter servers to use. If you specify one or more\n    parameter servers, you _must_ also set\n    `TrainingInput.parameterServerType` to specify the type of machine to\n    use for your parameter servers.\n\nNote that all of your workers must use the same machine type, which can\nbe different from your parameter server type and master type. Your\nparameter servers must likewise use the same machine type, which can be\ndifferent from your worker type and master type."],"enum":["BASIC","STANDARD_1","PREMIUM_1","BASIC_GPU","BASIC_TPU","CUSTOM"],"description":"Required. Specifies the machine types, the number of replicas for workers\nand parameter servers."},"jobDir":{"description":"Optional. A Google Cloud Storage path in which to store training outputs\nand other data needed for training. This path is passed to your TensorFlow\nprogram as the '--job-dir' command-line argument. The benefit of specifying\nthis field is that Cloud ML validates the path for use in training.","type":"string"},"hyperparameters":{"description":"Optional. The set of Hyperparameters to tune.","$ref":"GoogleCloudMlV1__HyperparameterSpec"},"pythonVersion":{"description":"Optional. The version of Python used in training. If not set, the default\nversion is '2.7'. Python '3.5' is available when `runtime_version` is set\nto '1.4' and above. Python '2.7' works with all supported\n<a href=\"/ml-engine/docs/runtime-version-list\">runtime versions</a>.","type":"string"},"workerConfig":{"$ref":"GoogleCloudMlV1__ReplicaConfig","description":"Optional. The configuration for workers.\n\nYou should only set `workerConfig.acceleratorConfig` if `workerType` is set\nto a Compute Engine machine type. [Learn about restrictions on accelerator\nconfigurations for\ntraining.](/ml-engine/docs/tensorflow/using-gpus#compute-engine-machine-types-with-gpu)\n\nSet `workerConfig.imageUri` only if you build a custom image for your\nworker. If `workerConfig.imageUri` has not been set, AI Platform uses\nthe value of `masterConfig.imageUri`. Learn more about\n[configuring custom\ncontainers](/ml-engine/docs/distributed-training-containers)."},"parameterServerCount":{"description":"Optional. The number of parameter server replicas to use for the training\njob. Each replica in the cluster will be of the type specified in\n`parameter_server_type`.\n\nThis value can only be used when `scale_tier` is set to `CUSTOM`.If you\nset this value, you must also set `parameter_server_type`.\n\nThe default value is zero.","format":"int64","type":"string"},"packageUris":{"description":"Required. The Google Cloud Storage location of the packages with\nthe training program and any additional dependencies.\nThe maximum number of package URIs is 100.","type":"array","items":{"type":"string"}},"workerCount":{"description":"Optional. The number of worker replicas to use for the training job. Each\nreplica in the cluster will be of the type specified in `worker_type`.\n\nThis value can only be used when `scale_tier` is set to `CUSTOM`. If you\nset this value, you must also set `worker_type`.\n\nThe default value is zero.","format":"int64","type":"string"},"masterType":{"description":"Optional. Specifies the type of virtual machine to use for your training\njob's master worker.\n\nThe following types are supported:\n\n<dl>\n  <dt>standard</dt>\n  <dd>\n  A basic machine configuration suitable for training simple models with\n  small to moderate datasets.\n  </dd>\n  <dt>large_model</dt>\n  <dd>\n  A machine with a lot of memory, specially suited for parameter servers\n  when your model is large (having many hidden layers or layers with very\n  large numbers of nodes).\n  </dd>\n  <dt>complex_model_s</dt>\n  <dd>\n  A machine suitable for the master and workers of the cluster when your\n  model requires more computation than the standard machine can handle\n  satisfactorily.\n  </dd>\n  <dt>complex_model_m</dt>\n  <dd>\n  A machine with roughly twice the number of cores and roughly double the\n  memory of <i>complex_model_s</i>.\n  </dd>\n  <dt>complex_model_l</dt>\n  <dd>\n  A machine with roughly twice the number of cores and roughly double the\n  memory of <i>complex_model_m</i>.\n  </dd>\n  <dt>standard_gpu</dt>\n  <dd>\n  A machine equivalent to <i>standard</i> that\n  also includes a single NVIDIA Tesla K80 GPU. See more about\n  <a href=\"/ml-engine/docs/tensorflow/using-gpus\">using GPUs to\n  train your model</a>.\n  </dd>\n  <dt>complex_model_m_gpu</dt>\n  <dd>\n  A machine equivalent to <i>complex_model_m</i> that also includes\n  four NVIDIA Tesla K80 GPUs.\n  </dd>\n  <dt>complex_model_l_gpu</dt>\n  <dd>\n  A machine equivalent to <i>complex_model_l</i> that also includes\n  eight NVIDIA Tesla K80 GPUs.\n  </dd>\n  <dt>standard_p100</dt>\n  <dd>\n  A machine equivalent to <i>standard</i> that\n  also includes a single NVIDIA Tesla P100 GPU.\n  </dd>\n  <dt>complex_model_m_p100</dt>\n  <dd>\n  A machine equivalent to <i>complex_model_m</i> that also includes\n  four NVIDIA Tesla P100 GPUs.\n  </dd>\n  <dt>standard_v100</dt>\n  <dd>\n  A machine equivalent to <i>standard</i> that\n  also includes a single NVIDIA Tesla V100 GPU.\n  </dd>\n  <dt>large_model_v100</dt>\n  <dd>\n  A machine equivalent to <i>large_model</i> that\n  also includes a single NVIDIA Tesla V100 GPU.\n  </dd>\n  <dt>complex_model_m_v100</dt>\n  <dd>\n  A machine equivalent to <i>complex_model_m</i> that\n  also includes four NVIDIA Tesla V100 GPUs.\n  </dd>\n  <dt>complex_model_l_v100</dt>\n  <dd>\n  A machine equivalent to <i>complex_model_l</i> that\n  also includes eight NVIDIA Tesla V100 GPUs.\n  </dd>\n  <dt>cloud_tpu</dt>\n  <dd>\n  A TPU VM including one Cloud TPU. See more about\n  <a href=\"/ml-engine/docs/tensorflow/using-tpus\">using TPUs to train\n  your model</a>.\n  </dd>\n</dl>\n\nYou may also use certain Compute Engine machine types directly in this\nfield. The following types are supported:\n\n- `n1-standard-4`\n- `n1-standard-8`\n- `n1-standard-16`\n- `n1-standard-32`\n- `n1-standard-64`\n- `n1-standard-96`\n- `n1-highmem-2`\n- `n1-highmem-4`\n- `n1-highmem-8`\n- `n1-highmem-16`\n- `n1-highmem-32`\n- `n1-highmem-64`\n- `n1-highmem-96`\n- `n1-highcpu-16`\n- `n1-highcpu-32`\n- `n1-highcpu-64`\n- `n1-highcpu-96`\n\nSee more about [using Compute Engine machine\ntypes](/ml-engine/docs/tensorflow/machine-types#compute-engine-machine-types).\n\nYou must set this value when `scaleTier` is set to `CUSTOM`.","type":"string"},"maxRunningTime":{"description":"Optional. The maximum job running time. The default is 7 days.","format":"google-duration","type":"string"},"runtimeVersion":{"description":"Optional. The AI Platform runtime version to use for training. If not\nset, AI Platform uses the default stable version, 1.0. For more\ninformation, see the\n<a href=\"/ml-engine/docs/runtime-version-list\">runtime version list</a>\nand\n<a href=\"/ml-engine/docs/versioning\">how to manage runtime versions</a>.","type":"string"},"pythonModule":{"description":"Required. The Python module name to run after installing the packages.","type":"string"},"workerType":{"type":"string","description":"Optional. Specifies the type of virtual machine to use for your training\njob's worker nodes.\n\nThe supported values are the same as those described in the entry for\n`masterType`.\n\nThis value must be consistent with the category of machine type that\n`masterType` uses. In other words, both must be AI Platform machine\ntypes or both must be Compute Engine machine types.\n\nIf you use `cloud_tpu` for this value, see special instructions for\n[configuring a custom TPU\nmachine](/ml-engine/docs/tensorflow/using-tpus#configuring_a_custom_tpu_machine).\n\nThis value must be present when `scaleTier` is set to `CUSTOM` and\n`workerCount` is greater than zero."},"args":{"description":"Optional. Command line arguments to pass to the program.","type":"array","items":{"type":"string"}},"region":{"description":"Required. The Google Compute Engine region to run the training job in.\nSee the <a href=\"/ml-engine/docs/tensorflow/regions\">available regions</a>\nfor AI Platform services.","type":"string"},"parameterServerConfig":{"$ref":"GoogleCloudMlV1__ReplicaConfig","description":"Optional. The configuration for parameter servers.\n\nYou should only set `parameterServerConfig.acceleratorConfig` if\n`parameterServerConfigType` is set to a Compute Engine machine type. [Learn\nabout restrictions on accelerator configurations for\ntraining.](/ml-engine/docs/tensorflow/using-gpus#compute-engine-machine-types-with-gpu)\n\nSet `parameterServerConfig.imageUri` only if you build a custom image for\nyour parameter server. If `parameterServerConfig.imageUri` has not been\nset, AI Platform uses the value of `masterConfig.imageUri`.\nLearn more about [configuring custom\ncontainers](/ml-engine/docs/distributed-training-containers)."},"parameterServerType":{"description":"Optional. Specifies the type of virtual machine to use for your training\njob's parameter server.\n\nThe supported values are the same as those described in the entry for\n`master_type`.\n\nThis value must be consistent with the category of machine type that\n`masterType` uses. In other words, both must be AI Platform machine\ntypes or both must be Compute Engine machine types.\n\nThis value must be present when `scaleTier` is set to `CUSTOM` and\n`parameter_server_count` is greater than zero.","type":"string"},"masterConfig":{"$ref":"GoogleCloudMlV1__ReplicaConfig","description":"Optional. The configuration for your master worker.\n\nYou should only set `masterConfig.acceleratorConfig` if `masterType` is set\nto a Compute Engine machine type. Learn about [restrictions on accelerator\nconfigurations for\ntraining.](/ml-engine/docs/tensorflow/using-gpus#compute-engine-machine-types-with-gpu)\n\nSet `masterConfig.imageUri` only if you build a custom image. Only one of\n`masterConfig.imageUri` and `runtimeVersion` should be set. Learn more about\n[configuring custom\ncontainers](/ml-engine/docs/distributed-training-containers)."}},"id":"GoogleCloudMlV1__TrainingInput"},"GoogleCloudMlV1__ListModelsResponse":{"id":"GoogleCloudMlV1__ListModelsResponse","description":"Response message for the ListModels method.","type":"object","properties":{"nextPageToken":{"description":"Optional. Pass this token as the `page_token` field of the request for a\nsubsequent call.","type":"string"},"models":{"description":"The list of models.","type":"array","items":{"$ref":"GoogleCloudMlV1__Model"}}}},"GoogleCloudMlV1__Job":{"description":"Represents a training or prediction job.","type":"object","properties":{"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a job from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform job updates in order to avoid race\nconditions: An `etag` is returned in the response to `GetJob`, and\nsystems are expected to put that etag in the request to `UpdateJob` to\nensure that their change will be applied to the same version of the job.","format":"byte","type":"string"},"trainingInput":{"$ref":"GoogleCloudMlV1__TrainingInput","description":"Input parameters to create a training job."},"state":{"description":"Output only. The detailed state of a job.","type":"string","enumDescriptions":["The job state is unspecified.","The job has been just created and processing has not yet begun.","The service is preparing to run the job.","The job is in progress.","The job completed successfully.","The job failed.\n`error_message` should contain the details of the failure.","The job is being cancelled.\n`error_message` should describe the reason for the cancellation.","The job has been cancelled.\n`error_message` should describe the reason for the cancellation."],"enum":["STATE_UNSPECIFIED","QUEUED","PREPARING","RUNNING","SUCCEEDED","FAILED","CANCELLING","CANCELLED"]},"jobId":{"description":"Required. The user-specified id of the job.","type":"string"},"endTime":{"description":"Output only. When the job processing was completed.","format":"google-datetime","type":"string"},"startTime":{"type":"string","description":"Output only. When the job processing was started.","format":"google-datetime"},"predictionOutput":{"$ref":"GoogleCloudMlV1__PredictionOutput","description":"The current prediction job result."},"trainingOutput":{"$ref":"GoogleCloudMlV1__TrainingOutput","description":"The current training job result."},"labels":{"additionalProperties":{"type":"string"},"description":"Optional. One or more labels that you can add, to organize your jobs.\nEach label is a key-value pair, where both the key and the value are\narbitrary strings that you supply.\nFor more information, see the documentation on\n<a href=\"/ml-engine/docs/tensorflow/resource-labels\">using labels</a>.","type":"object"},"createTime":{"description":"Output only. When the job was created.","format":"google-datetime","type":"string"},"predictionInput":{"$ref":"GoogleCloudMlV1__PredictionInput","description":"Input parameters to create a prediction job."},"errorMessage":{"description":"Output only. The details of a failure or a cancellation.","type":"string"}},"id":"GoogleCloudMlV1__Job"},"GoogleApi__HttpBody":{"properties":{"extensions":{"description":"Application specific response metadata. Must be set in the first response\nfor streaming APIs.","type":"array","items":{"type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"data":{"description":"The HTTP request/response body as raw binary.","format":"byte","type":"string"},"contentType":{"description":"The HTTP Content-Type header value specifying the content type of the body.","type":"string"}},"id":"GoogleApi__HttpBody","description":"Message that represents an arbitrary HTTP body. It should only be used for\npayload formats that can't be represented as JSON, such as raw binary or\nan HTML page.\n\n\nThis message can be used both in streaming and non-streaming API methods in\nthe request as well as the response.\n\nIt can be used as a top-level request field, which is convenient if one\nwants to extract parameters from either the URL or HTTP template into the\nrequest fields and also want access to the raw HTTP body.\n\nExample:\n\n    message GetResourceRequest {\n      // A unique request id.\n      string request_id = 1;\n\n      // The raw HTTP body is bound to this field.\n      google.api.HttpBody http_body = 2;\n    }\n\n    service ResourceService {\n      rpc GetResource(GetResourceRequest) returns (google.api.HttpBody);\n      rpc UpdateResource(google.api.HttpBody) returns\n      (google.protobuf.Empty);\n    }\n\nExample with streaming methods:\n\n    service CaldavService {\n      rpc GetCalendar(stream google.api.HttpBody)\n        returns (stream google.api.HttpBody);\n      rpc UpdateCalendar(stream google.api.HttpBody)\n        returns (stream google.api.HttpBody);\n    }\n\nUse of this type only changes how the request and response bodies are\nhandled, all other features will continue to work unchanged.","type":"object"},"GoogleCloudMlV1__Capability":{"type":"object","properties":{"type":{"type":"string","enumDescriptions":["","","",""],"enum":["TYPE_UNSPECIFIED","TRAINING","BATCH_PREDICTION","ONLINE_PREDICTION"]},"availableAccelerators":{"description":"Available accelerators for the capability.","type":"array","items":{"enum":["ACCELERATOR_TYPE_UNSPECIFIED","NVIDIA_TESLA_K80","NVIDIA_TESLA_P100","NVIDIA_TESLA_V100","NVIDIA_TESLA_P4","NVIDIA_TESLA_T4","TPU_V2"],"type":"string"},"enumDescriptions":["Unspecified accelerator type. Default to no GPU.","Nvidia Tesla K80 GPU.","Nvidia Tesla P100 GPU.","Nvidia Tesla V100 GPU.","Nvidia Tesla P4 GPU.","Nvidia Tesla T4 GPU.","TPU v2."]}},"id":"GoogleCloudMlV1__Capability"},"GoogleCloudMlV1__GetConfigResponse":{"description":"Returns service account information associated with a project.","type":"object","properties":{"config":{"$ref":"GoogleCloudMlV1__Config"},"serviceAccountProject":{"description":"The project number for `service_account`.","format":"int64","type":"string"},"serviceAccount":{"description":"The service account Cloud ML uses to access resources in the project.","type":"string"}},"id":"GoogleCloudMlV1__GetConfigResponse"},"GoogleCloudMlV1__BuiltInAlgorithmOutput":{"type":"object","properties":{"framework":{"type":"string","description":"Framework on which the built-in algorithm was trained."},"modelPath":{"description":"The Cloud Storage path to the `model/` directory where the training job\nsaves the trained model. Only set for successful jobs that don't use\nhyperparameter tuning.","type":"string"},"pythonVersion":{"type":"string","description":"Python version on which the built-in algorithm was trained."},"runtimeVersion":{"description":"AI Platform runtime version on which the built-in algorithm was\ntrained.","type":"string"}},"id":"GoogleCloudMlV1__BuiltInAlgorithmOutput","description":"Represents output related to a built-in algorithm Job."},"GoogleIamV1__TestIamPermissionsResponse":{"properties":{"permissions":{"description":"A subset of `TestPermissionsRequest.permissions` that the caller is\nallowed.","type":"array","items":{"type":"string"}}},"id":"GoogleIamV1__TestIamPermissionsResponse","description":"Response message for `TestIamPermissions` method.","type":"object"},"GoogleCloudMlV1__HyperparameterOutput":{"description":"Represents the result of a single hyperparameter tuning trial from a\ntraining job. The TrainingOutput object that is returned on successful\ncompletion of a training job with hyperparameter tuning includes a list\nof HyperparameterOutput objects, one for each successful trial.","type":"object","properties":{"finalMetric":{"$ref":"GoogleCloudMlV1_HyperparameterOutput_HyperparameterMetric","description":"The final objective metric seen for this trial."},"builtInAlgorithmOutput":{"$ref":"GoogleCloudMlV1__BuiltInAlgorithmOutput","description":"Details related to built-in algorithms jobs.\nOnly set for trials of built-in algorithms jobs that have succeeded."},"state":{"enumDescriptions":["The job state is unspecified.","The job has been just created and processing has not yet begun.","The service is preparing to run the job.","The job is in progress.","The job completed successfully.","The job failed.\n`error_message` should contain the details of the failure.","The job is being cancelled.\n`error_message` should describe the reason for the cancellation.","The job has been cancelled.\n`error_message` should describe the reason for the cancellation."],"enum":["STATE_UNSPECIFIED","QUEUED","PREPARING","RUNNING","SUCCEEDED","FAILED","CANCELLING","CANCELLED"],"description":"Output only. The detailed state of the trial.","type":"string"},"allMetrics":{"type":"array","items":{"$ref":"GoogleCloudMlV1_HyperparameterOutput_HyperparameterMetric"},"description":"All recorded object metrics for this trial. This field is not currently\npopulated."},"hyperparameters":{"description":"The hyperparameters given to this trial.","type":"object","additionalProperties":{"type":"string"}},"trialId":{"description":"The trial id for these results.","type":"string"},"endTime":{"description":"Output only. End time for the trial.","format":"google-datetime","type":"string"},"startTime":{"type":"string","description":"Output only. Start time for the trial.","format":"google-datetime"},"isTrialStoppedEarly":{"description":"True if the trial is stopped early.","type":"boolean"}},"id":"GoogleCloudMlV1__HyperparameterOutput"},"GoogleIamV1__SetIamPolicyRequest":{"description":"Request message for `SetIamPolicy` method.","type":"object","properties":{"policy":{"$ref":"GoogleIamV1__Policy","description":"REQUIRED: The complete policy to be applied to the `resource`. The size of\nthe policy is limited to a few 10s of KB. An empty policy is a\nvalid policy but certain Cloud Platform services (such as Projects)\nmight reject them."},"updateMask":{"description":"OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only\nthe fields in the mask will be modified. If no mask is provided, the\nfollowing default mask is used:\npaths: \"bindings, etag\"\nThis field is only used by Cloud IAM.","format":"google-fieldmask","type":"string"}},"id":"GoogleIamV1__SetIamPolicyRequest"},"GoogleCloudMlV1__PredictionOutput":{"description":"Represents results of a prediction job.","type":"object","properties":{"errorCount":{"description":"The number of data instances which resulted in errors.","format":"int64","type":"string"},"outputPath":{"description":"The output Google Cloud Storage location provided at the job creation time.","type":"string"},"nodeHours":{"description":"Node hours used by the batch prediction job.","format":"double","type":"number"},"predictionCount":{"description":"The number of generated predictions.","format":"int64","type":"string"}},"id":"GoogleCloudMlV1__PredictionOutput"},"GoogleCloudMlV1__ReplicaConfig":{"type":"object","properties":{"imageUri":{"description":"The Docker image to run on the replica. This image must be in Container\nRegistry. Learn more about [configuring custom\ncontainers](/ml-engine/docs/distributed-training-containers).","type":"string"},"acceleratorConfig":{"$ref":"GoogleCloudMlV1__AcceleratorConfig","description":"Represents the type and number of accelerators used by the replica.\n[Learn about restrictions on accelerator configurations for\ntraining.](/ml-engine/docs/tensorflow/using-gpus#compute-engine-machine-types-with-gpu)"}},"id":"GoogleCloudMlV1__ReplicaConfig","description":"Represents the configuration for a replica in a cluster."},"GoogleIamV1__Policy":{"id":"GoogleIamV1__Policy","description":"Defines an Identity and Access Management (IAM) policy. It is used to\nspecify access control policies for Cloud Platform resources.\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of\n`members` to a `role`, where the members can be user accounts, Google groups,\nGoogle domains, and service accounts. A `role` is a named list of permissions\ndefined by IAM.\n\n**JSON Example**\n\n    {\n      \"bindings\": [\n        {\n          \"role\": \"roles/owner\",\n          \"members\": [\n            \"user:mike@example.com\",\n            \"group:admins@example.com\",\n            \"domain:google.com\",\n            \"serviceAccount:my-other-app@appspot.gserviceaccount.com\"\n          ]\n        },\n        {\n          \"role\": \"roles/viewer\",\n          \"members\": [\"user:sean@example.com\"]\n        }\n      ]\n    }\n\n**YAML Example**\n\n    bindings:\n    - members:\n      - user:mike@example.com\n      - group:admins@example.com\n      - domain:google.com\n      - serviceAccount:my-other-app@appspot.gserviceaccount.com\n      role: roles/owner\n    - members:\n      - user:sean@example.com\n      role: roles/viewer\n\n\nFor a description of IAM and its features, see the\n[IAM developer's guide](https://cloud.google.com/iam/docs).","type":"object","properties":{"etag":{"type":"string","description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a policy from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform policy updates in order to avoid race\nconditions: An `etag` is returned in the response to `getIamPolicy`, and\nsystems are expected to put that etag in the request to `setIamPolicy` to\nensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing\npolicy is overwritten blindly.","format":"byte"},"version":{"type":"integer","description":"Deprecated.","format":"int32"},"auditConfigs":{"description":"Specifies cloud audit logging configuration for this policy.","type":"array","items":{"$ref":"GoogleIamV1__AuditConfig"}},"bindings":{"description":"Associates a list of `members` to a `role`.\n`bindings` with no members will result in an error.","type":"array","items":{"$ref":"GoogleIamV1__Binding"}}}},"GoogleLongrunning__ListOperationsResponse":{"id":"GoogleLongrunning__ListOperationsResponse","description":"The response message for Operations.ListOperations.","type":"object","properties":{"operations":{"description":"A list of operations that matches the specified filter in the request.","type":"array","items":{"$ref":"GoogleLongrunning__Operation"}},"nextPageToken":{"description":"The standard List next-page token.","type":"string"}}},"GoogleCloudMlV1__ManualScaling":{"id":"GoogleCloudMlV1__ManualScaling","description":"Options for manually scaling a model.","type":"object","properties":{"nodes":{"description":"The number of nodes to allocate for this model. These nodes are always up,\nstarting from the time the model is deployed, so the cost of operating\nthis model will be proportional to `nodes` * number of hours since\nlast billing cycle plus the cost for each prediction performed.","format":"int32","type":"integer"}}},"GoogleIamV1__Binding":{"description":"Associates `members` with a `role`.","type":"object","properties":{"condition":{"$ref":"GoogleType__Expr","description":"The condition that is associated with this binding.\nNOTE: An unsatisfied condition will not allow user access via current\nbinding. Different bindings, including their conditions, are examined\nindependently."},"members":{"description":"Specifies the identities requesting access for a Cloud Platform resource.\n`members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is\n   on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone\n   who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google\n   account. For example, `alice@gmail.com` .\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service\n   account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group.\n   For example, `admins@example.com`.\n\n\n* `domain:{domain}`: The G Suite domain (primary) that represents all the\n   users of that domain. For example, `google.com` or `example.com`.\n\n","type":"array","items":{"type":"string"}},"role":{"description":"Role that is assigned to `members`.\nFor example, `roles/viewer`, `roles/editor`, or `roles/owner`.","type":"string"}},"id":"GoogleIamV1__Binding"},"GoogleCloudMlV1__TrainingOutput":{"id":"GoogleCloudMlV1__TrainingOutput","description":"Represents results of a training job. Output only.","type":"object","properties":{"isBuiltInAlgorithmJob":{"description":"Whether this job is a built-in Algorithm job.","type":"boolean"},"builtInAlgorithmOutput":{"$ref":"GoogleCloudMlV1__BuiltInAlgorithmOutput","description":"Details related to built-in algorithms jobs.\nOnly set for built-in algorithms jobs."},"trials":{"description":"Results for individual Hyperparameter trials.\nOnly set for hyperparameter tuning jobs.","type":"array","items":{"$ref":"GoogleCloudMlV1__HyperparameterOutput"}},"hyperparameterMetricTag":{"description":"The TensorFlow summary tag name used for optimizing hyperparameter tuning\ntrials. See\n[`HyperparameterSpec.hyperparameterMetricTag`](#HyperparameterSpec.FIELDS.hyperparameter_metric_tag)\nfor more information. Only set for hyperparameter tuning jobs.","type":"string"},"completedTrialCount":{"description":"The number of hyperparameter tuning trials that completed successfully.\nOnly set for hyperparameter tuning jobs.","format":"int64","type":"string"},"isHyperparameterTuningJob":{"description":"Whether this job is a hyperparameter tuning job.","type":"boolean"},"consumedMLUnits":{"description":"The amount of ML units consumed by the job.","format":"double","type":"number"}}},"GoogleCloudMlV1__PredictRequest":{"id":"GoogleCloudMlV1__PredictRequest","description":"Request for predictions to be issued against a trained model.","type":"object","properties":{"httpBody":{"description":"\nRequired. The prediction request body.","$ref":"GoogleApi__HttpBody"}}},"GoogleCloudMlV1_HyperparameterOutput_HyperparameterMetric":{"description":"An observed value of a metric.","type":"object","properties":{"objectiveValue":{"description":"The objective value at this training step.","format":"double","type":"number"},"trainingStep":{"description":"The global training step for this metric.","format":"int64","type":"string"}},"id":"GoogleCloudMlV1_HyperparameterOutput_HyperparameterMetric"},"GoogleCloudMlV1__AcceleratorConfig":{"properties":{"type":{"description":"The type of accelerator to use.","type":"string","enumDescriptions":["Unspecified accelerator type. Default to no GPU.","Nvidia Tesla K80 GPU.","Nvidia Tesla P100 GPU.","Nvidia Tesla V100 GPU.","Nvidia Tesla P4 GPU.","Nvidia Tesla T4 GPU.","TPU v2."],"enum":["ACCELERATOR_TYPE_UNSPECIFIED","NVIDIA_TESLA_K80","NVIDIA_TESLA_P100","NVIDIA_TESLA_V100","NVIDIA_TESLA_P4","NVIDIA_TESLA_T4","TPU_V2"]},"count":{"description":"The number of accelerators to attach to each machine running the job.","format":"int64","type":"string"}},"id":"GoogleCloudMlV1__AcceleratorConfig","description":"Represents a hardware accelerator request config.","type":"object"},"GoogleCloudMlV1__Config":{"id":"GoogleCloudMlV1__Config","type":"object","properties":{"tpuServiceAccount":{"description":"The service account Cloud ML uses to run on TPU node.","type":"string"}}},"GoogleCloudMlV1__Version":{"description":"Represents a version of the model.\n\nEach version is a trained model deployed in the cloud, ready to handle\nprediction requests. A model can have multiple versions. You can get\ninformation about all of the versions of a given model by calling\n[projects.models.versions.list](/ml-engine/reference/rest/v1/projects.models.versions/list).","type":"object","properties":{"serviceAccount":{"description":"Optional. Specifies the service account for resource access control.","type":"string"},"pythonVersion":{"description":"Optional. The version of Python used in prediction. If not set, the default\nversion is '2.7'. Python '3.5' is available when `runtime_version` is set\nto '1.4' and above. Python '2.7' works with all supported runtime versions.","type":"string"},"lastUseTime":{"description":"Output only. The time the version was last used for prediction.","format":"google-datetime","type":"string"},"predictionClass":{"description":"Optional. The fully qualified name\n(<var>module_name</var>.<var>class_name</var>) of a class that implements\nthe Predictor interface described in this reference field. The module\ncontaining this class should be included in a package provided to the\n[`packageUris` field](#Version.FIELDS.package_uris).\n\nSpecify this field if and only if you are deploying a [custom prediction\nroutine (beta)](/ml-engine/docs/tensorflow/custom-prediction-routines).\nIf you specify this field, you must set\n[`runtimeVersion`](#Version.FIELDS.runtime_version) to 1.4 or greater.\n\nThe following code sample provides the Predictor interface:\n\n```py\nclass Predictor(object):\n\"\"\"Interface for constructing custom predictors.\"\"\"\n\ndef predict(self, instances, **kwargs):\n    \"\"\"Performs custom prediction.\n\n    Instances are the decoded values from the request. They have already\n    been deserialized from JSON.\n\n    Args:\n        instances: A list of prediction input instances.\n        **kwargs: A dictionary of keyword args provided as additional\n            fields on the predict request body.\n\n    Returns:\n        A list of outputs containing the prediction results. This list must\n        be JSON serializable.\n    \"\"\"\n    raise NotImplementedError()\n\n@classmethod\ndef from_path(cls, model_dir):\n    \"\"\"Creates an instance of Predictor using the given path.\n\n    Loading of the predictor should be done in this method.\n\n    Args:\n        model_dir: The local directory that contains the exported model\n            file along with any additional files uploaded when creating the\n            version resource.\n\n    Returns:\n        An instance implementing this Predictor class.\n    \"\"\"\n    raise NotImplementedError()\n```\n\nLearn more about [the Predictor interface and custom prediction\nroutines](/ml-engine/docs/tensorflow/custom-prediction-routines).","type":"string"},"deploymentUri":{"description":"Required. The Cloud Storage location of the trained model used to\ncreate the version. See the\n[guide to model\ndeployment](/ml-engine/docs/tensorflow/deploying-models) for more\ninformation.\n\nWhen passing Version to\n[projects.models.versions.create](/ml-engine/reference/rest/v1/projects.models.versions/create)\nthe model service uses the specified location as the source of the model.\nOnce deployed, the model version is hosted by the prediction service, so\nthis location is useful only as a historical record.\nThe total number of model files can't exceed 1000.","type":"string"},"packageUris":{"description":"Optional. Cloud Storage paths (`gs://…`) of packages for [custom\nprediction routines](/ml-engine/docs/tensorflow/custom-prediction-routines)\nor [scikit-learn pipelines with custom\ncode](/ml-engine/docs/scikit/exporting-for-prediction#custom-pipeline-code).\n\nFor a custom prediction routine, one of these packages must contain your\nPredictor class (see\n[`predictionClass`](#Version.FIELDS.prediction_class)). Additionally,\ninclude any dependencies used by your Predictor or scikit-learn pipeline\nuses that are not already included in your selected [runtime\nversion](/ml-engine/docs/tensorflow/runtime-version-list).\n\nIf you specify this field, you must also set\n[`runtimeVersion`](#Version.FIELDS.runtime_version) to 1.4 or greater.","type":"array","items":{"type":"string"}},"autoScaling":{"description":"Automatically scale the number of nodes used to serve the model in\nresponse to increases and decreases in traffic. Care should be\ntaken to ramp up traffic according to the model's ability to scale\nor you will start seeing increases in latency and 429 response codes.","$ref":"GoogleCloudMlV1__AutoScaling"},"createTime":{"type":"string","description":"Output only. The time the version was created.","format":"google-datetime"},"labels":{"description":"Optional. One or more labels that you can add, to organize your model\nversions. Each label is a key-value pair, where both the key and the value\nare arbitrary strings that you supply.\nFor more information, see the documentation on\n<a href=\"/ml-engine/docs/tensorflow/resource-labels\">using labels</a>.","type":"object","additionalProperties":{"type":"string"}},"errorMessage":{"description":"Output only. The details of a failure or a cancellation.","type":"string"},"machineType":{"description":"Optional. The type of machine on which to serve the model. Currently only\napplies to online prediction service.\n<dl>\n  <dt>mls1-c1-m2</dt>\n  <dd>\n  The <b>default</b> machine type, with 1 core and 2 GB RAM. The deprecated\n  name for this machine type is \"mls1-highmem-1\".\n  </dd>\n  <dt>mls1-c4-m2</dt>\n  <dd>\n  In <b>Beta</b>. This machine type has 4 cores and 2 GB RAM. The\n  deprecated name for this machine type is \"mls1-highcpu-4\".\n  </dd>\n</dl>","type":"string"},"runtimeVersion":{"description":"Optional. The AI Platform runtime version to use for this deployment.\nIf not set, AI Platform uses the default stable version, 1.0. For more\ninformation, see the\n[runtime version list](/ml-engine/docs/runtime-version-list) and\n[how to manage runtime versions](/ml-engine/docs/versioning).","type":"string"},"description":{"description":"Optional. The description specified for the version when it was created.","type":"string"},"framework":{"enumDescriptions":["Unspecified framework. Assigns a value based on the file suffix.","Tensorflow framework.","Scikit-learn framework.","XGBoost framework."],"enum":["FRAMEWORK_UNSPECIFIED","TENSORFLOW","SCIKIT_LEARN","XGBOOST"],"description":"Optional. The machine learning framework AI Platform uses to train\nthis version of the model. Valid values are `TENSORFLOW`, `SCIKIT_LEARN`,\n`XGBOOST`. If you do not specify a framework, AI Platform\nwill analyze files in the deployment_uri to determine a framework. If you\nchoose `SCIKIT_LEARN` or `XGBOOST`, you must also set the runtime version\nof the model to 1.4 or greater.\n\nDo **not** specify a framework if you're deploying a [custom\nprediction routine](/ml-engine/docs/tensorflow/custom-prediction-routines).","type":"string"},"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a model from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform model updates in order to avoid race\nconditions: An `etag` is returned in the response to `GetVersion`, and\nsystems are expected to put that etag in the request to `UpdateVersion` to\nensure that their change will be applied to the model as intended.","format":"byte","type":"string"},"isDefault":{"description":"Output only. If true, this version will be used to handle prediction\nrequests that do not specify a version.\n\nYou can change the default version by calling\n[projects.methods.versions.setDefault](/ml-engine/reference/rest/v1/projects.models.versions/setDefault).","type":"boolean"},"manualScaling":{"$ref":"GoogleCloudMlV1__ManualScaling","description":"Manually select the number of nodes to use for serving the\nmodel. You should generally use `auto_scaling` with an appropriate\n`min_nodes` instead, but this option is available if you want more\npredictable billing. Beware that latency and error rates will increase\nif the traffic exceeds that capability of the system to serve it based\non the selected number of nodes."},"state":{"enum":["UNKNOWN","READY","CREATING","FAILED","DELETING","UPDATING"],"description":"Output only. The state of a version.","type":"string","enumDescriptions":["The version state is unspecified.","The version is ready for prediction.","The version is being created. New UpdateVersion and DeleteVersion\nrequests will fail if a version is in the CREATING state.","The version failed to be created, possibly cancelled.\n`error_message` should contain the details of the failure.","The version is being deleted. New UpdateVersion and DeleteVersion\nrequests will fail if a version is in the DELETING state.","The version is being updated. New UpdateVersion and DeleteVersion\nrequests will fail if a version is in the UPDATING state."]},"name":{"description":"Required.The name specified for the version when it was created.\n\nThe version name must be unique within the model it is created in.","type":"string"}},"id":"GoogleCloudMlV1__Version"},"GoogleCloudMlV1__ParameterSpec":{"description":"Represents a single hyperparameter to optimize.","type":"object","properties":{"minValue":{"description":"Required if type is `DOUBLE` or `INTEGER`. This field\nshould be unset if type is `CATEGORICAL`. This value should be integers if\ntype is INTEGER.","format":"double","type":"number"},"discreteValues":{"description":"Required if type is `DISCRETE`.\nA list of feasible points.\nThe list should be in strictly increasing order. For instance, this\nparameter might have possible settings of 1.5, 2.5, and 4.0. This list\nshould not contain more than 1,000 values.","type":"array","items":{"format":"double","type":"number"}},"scaleType":{"description":"Optional. How the parameter should be scaled to the hypercube.\nLeave unset for categorical parameters.\nSome kind of scaling is strongly recommended for real or integral\nparameters (e.g., `UNIT_LINEAR_SCALE`).","type":"string","enumDescriptions":["By default, no scaling is applied.","Scales the feasible space to (0, 1) linearly.","Scales the feasible space logarithmically to (0, 1). The entire feasible\nspace must be strictly positive.","Scales the feasible space \"reverse\" logarithmically to (0, 1). The result\nis that values close to the top of the feasible space are spread out more\nthan points near the bottom. The entire feasible space must be strictly\npositive."],"enum":["NONE","UNIT_LINEAR_SCALE","UNIT_LOG_SCALE","UNIT_REVERSE_LOG_SCALE"]},"maxValue":{"description":"Required if type is `DOUBLE` or `INTEGER`. This field\nshould be unset if type is `CATEGORICAL`. This value should be integers if\ntype is `INTEGER`.","format":"double","type":"number"},"type":{"type":"string","enumDescriptions":["You must specify a valid type. Using this unspecified type will result in\nan error.","Type for real-valued parameters.","Type for integral parameters.","The parameter is categorical, with a value chosen from the categories\nfield.","The parameter is real valued, with a fixed set of feasible points. If\n`type==DISCRETE`, feasible_points must be provided, and\n{`min_value`, `max_value`} will be ignored."],"enum":["PARAMETER_TYPE_UNSPECIFIED","DOUBLE","INTEGER","CATEGORICAL","DISCRETE"],"description":"Required. The type of the parameter."},"categoricalValues":{"description":"Required if type is `CATEGORICAL`. The list of possible categories.","type":"array","items":{"type":"string"}},"parameterName":{"description":"Required. The parameter name must be unique amongst all ParameterConfigs in\na HyperparameterSpec message. E.g., \"learning_rate\".","type":"string"}},"id":"GoogleCloudMlV1__ParameterSpec"},"GoogleCloudMlV1__PredictionInput":{"description":"Represents input parameters for a prediction job.","type":"object","properties":{"region":{"description":"Required. The Google Compute Engine region to run the prediction job in.\nSee the <a href=\"/ml-engine/docs/tensorflow/regions\">available regions</a>\nfor AI Platform services.","type":"string"},"versionName":{"description":"Use this field if you want to specify a version of the model to use. The\nstring is formatted the same way as `model_version`, with the addition\nof the version information:\n\n`\"projects/YOUR_PROJECT/models/YOUR_MODEL/versions/YOUR_VERSION\"`","type":"string"},"modelName":{"description":"Use this field if you want to use the default version for the specified\nmodel. The string must use the following format:\n\n`\"projects/YOUR_PROJECT/models/YOUR_MODEL\"`","type":"string"},"maxWorkerCount":{"description":"Optional. The maximum number of workers to be used for parallel processing.\nDefaults to 10 if not specified.","format":"int64","type":"string"},"uri":{"description":"Use this field if you want to specify a Google Cloud Storage path for\nthe model to use.","type":"string"},"signatureName":{"description":"Optional. The name of the signature defined in the SavedModel to use for\nthis job. Please refer to\n[SavedModel](https://tensorflow.github.io/serving/serving_basic.html)\nfor information about how to use signatures.\n\nDefaults to\n[DEFAULT_SERVING_SIGNATURE_DEF_KEY](https://www.tensorflow.org/api_docs/python/tf/saved_model/signature_constants)\n, which is \"serving_default\".","type":"string"},"outputPath":{"description":"Required. The output Google Cloud Storage location.","type":"string"},"outputDataFormat":{"enumDescriptions":["Unspecified format.","Each line of the file is a JSON dictionary representing one record.","Deprecated. Use JSON instead.","The source file is a TFRecord file.\nCurrently available only for input data.","The source file is a GZIP-compressed TFRecord file.\nCurrently available only for input data.","Values are comma-separated rows, with keys in a separate file.\nCurrently available only for output data."],"enum":["DATA_FORMAT_UNSPECIFIED","JSON","TEXT","TF_RECORD","TF_RECORD_GZIP","CSV"],"description":"Optional. Format of the output data files, defaults to JSON.","type":"string"},"dataFormat":{"enumDescriptions":["Unspecified format.","Each line of the file is a JSON dictionary representing one record.","Deprecated. Use JSON instead.","The source file is a TFRecord file.\nCurrently available only for input data.","The source file is a GZIP-compressed TFRecord file.\nCurrently available only for input data.","Values are comma-separated rows, with keys in a separate file.\nCurrently available only for output data."],"enum":["DATA_FORMAT_UNSPECIFIED","JSON","TEXT","TF_RECORD","TF_RECORD_GZIP","CSV"],"description":"Required. The format of the input data files.","type":"string"},"runtimeVersion":{"description":"Optional. The AI Platform runtime version to use for this batch\nprediction. If not set, AI Platform will pick the runtime version used\nduring the CreateVersion request for this model version, or choose the\nlatest stable version when model version information is not available\nsuch as when the model is specified by uri.","type":"string"},"batchSize":{"description":"Optional. Number of records per batch, defaults to 64.\nThe service will buffer batch_size number of records in memory before\ninvoking one Tensorflow prediction call internally. So take the record\nsize and memory available into consideration when setting this parameter.","format":"int64","type":"string"},"inputPaths":{"description":"Required. The Cloud Storage location of the input data files. May contain\n<a href=\"/storage/docs/gsutil/addlhelp/WildcardNames\">wildcards</a>.","type":"array","items":{"type":"string"}}},"id":"GoogleCloudMlV1__PredictionInput"},"GoogleCloudMlV1__Location":{"id":"GoogleCloudMlV1__Location","type":"object","properties":{"name":{"type":"string"},"capabilities":{"description":"Capabilities available in the location.","type":"array","items":{"$ref":"GoogleCloudMlV1__Capability"}}}},"GoogleType__Expr":{"properties":{"title":{"description":"An optional title for the expression, i.e. a short string describing\nits purpose. This can be used e.g. in UIs which allow to enter the\nexpression.","type":"string"},"location":{"description":"An optional string indicating the location of the expression for error\nreporting, e.g. a file name and a position in the file.","type":"string"},"description":{"description":"An optional description of the expression. This is a longer text which\ndescribes the expression, e.g. when hovered over it in a UI.","type":"string"},"expression":{"description":"Textual representation of an expression in\nCommon Expression Language syntax.\n\nThe application context of the containing message determines which\nwell-known feature set of CEL is supported.","type":"string"}},"id":"GoogleType__Expr","description":"Represents an expression text. Example:\n\n    title: \"User account presence\"\n    description: \"Determines whether the request has a user account\"\n    expression: \"size(request.user) > 0\"","type":"object"},"GoogleIamV1__AuditLogConfig":{"description":"Provides the configuration for logging a type of permissions.\nExample:\n\n    {\n      \"audit_log_configs\": [\n        {\n          \"log_type\": \"DATA_READ\",\n          \"exempted_members\": [\n            \"user:foo@gmail.com\"\n          ]\n        },\n        {\n          \"log_type\": \"DATA_WRITE\",\n        }\n      ]\n    }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting\nfoo@gmail.com from DATA_READ logging.","type":"object","properties":{"logType":{"type":"string","enumDescriptions":["Default case. Should never be this.","Admin reads. Example: CloudIAM getIamPolicy","Data writes. Example: CloudSQL Users create","Data reads. Example: CloudSQL Users list"],"enum":["LOG_TYPE_UNSPECIFIED","ADMIN_READ","DATA_WRITE","DATA_READ"],"description":"The log type that this config enables."},"exemptedMembers":{"description":"Specifies the identities that do not cause logging for this type of\npermission.\nFollows the same format of Binding.members.","type":"array","items":{"type":"string"}}},"id":"GoogleIamV1__AuditLogConfig"},"GoogleCloudMlV1__OperationMetadata":{"type":"object","properties":{"version":{"description":"Contains the version associated with the operation.","$ref":"GoogleCloudMlV1__Version"},"endTime":{"description":"The time operation processing completed.","format":"google-datetime","type":"string"},"operationType":{"enumDescriptions":["Unspecified operation type.","An operation to create a new version.","An operation to delete an existing version.","An operation to delete an existing model.","An operation to update an existing model.","An operation to update an existing version.","An operation to update project configuration."],"enum":["OPERATION_TYPE_UNSPECIFIED","CREATE_VERSION","DELETE_VERSION","DELETE_MODEL","UPDATE_MODEL","UPDATE_VERSION","UPDATE_CONFIG"],"description":"The operation type.","type":"string"},"startTime":{"description":"The time operation processing started.","format":"google-datetime","type":"string"},"projectNumber":{"description":"Contains the project number associated with the operation.","format":"int64","type":"string"},"isCancellationRequested":{"description":"Indicates whether a request to cancel this operation has been made.","type":"boolean"},"createTime":{"description":"The time the operation was submitted.","format":"google-datetime","type":"string"},"labels":{"additionalProperties":{"type":"string"},"description":"The user labels, inherited from the model or the model version being\noperated on.","type":"object"},"modelName":{"description":"Contains the name of the model associated with the operation.","type":"string"}},"id":"GoogleCloudMlV1__OperationMetadata","description":"Represents the metadata of the long-running operation."}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"canonicalName":"Cloud Machine Learning Engine","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://ml.googleapis.com/","ownerDomain":"google.com","name":"ml","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Machine Learning Engine","ownerName":"Google","resources":{"operations":{"methods":{"delete":{"path":"v1/{+name}","id":"ml.operations.delete","description":"Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.","response":{"$ref":"GoogleProtobuf__Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"The name of the operation resource to be deleted.","required":true,"type":"string","pattern":"^operations/.+$"}},"flatPath":"v1/operations/{operationsId}"}}},"projects":{"methods":{"getConfig":{"path":"v1/{+name}:getConfig","id":"ml.projects.getConfig","description":"Get the service account information associated with your project. You need\nthis information in order to grant the service account permissions for\nthe Google Cloud Storage location where you put your model training code\nfor training the model with Google Cloud Machine Learning.","response":{"$ref":"GoogleCloudMlV1__GetConfigResponse"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"Required. The project name.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}:getConfig"},"predict":{"path":"v1/{+name}:predict","id":"ml.projects.predict","description":"Performs prediction on the data in the request.\nAI Platform implements a custom `predict` verb on top of an HTTP POST\nmethod. <p>For details of the request and response format, see the **guide\nto the [predict request format](/ml-engine/docs/v1/predict-request)**.","request":{"$ref":"GoogleCloudMlV1__PredictRequest"},"response":{"$ref":"GoogleApi__HttpBody"},"parameterOrder":["name"],"httpMethod":"POST","parameters":{"name":{"description":"Required. The resource name of a model or a version.\n\nAuthorization: requires the `predict` permission on the specified resource.","required":true,"type":"string","pattern":"^projects/.+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}:predict"}},"resources":{"locations":{"methods":{"get":{"id":"ml.projects.locations.get","path":"v1/{+name}","description":"Get the complete list of CMLE capabilities in a location, along with their\nlocation-specific properties.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"GoogleCloudMlV1__Location"},"parameters":{"name":{"location":"path","description":"Required. The name of the location.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/locations/{locationsId}"},"list":{"description":"List all locations that provides at least one type of CMLE capability.","response":{"$ref":"GoogleCloudMlV1__ListLocationsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageSize":{"location":"query","description":"Optional. The number of locations to retrieve per \"page\" of results. If\nthere are more remaining results than this number, the response message\nwill contain a valid value in the `next_page_token` field.\n\nThe default value is 20, and the maximum page size is 100.","format":"int32","type":"integer"},"parent":{"pattern":"^projects/[^/]+$","location":"path","description":"Required. The name of the project for which available locations are to be\nlisted (since some locations might be whitelisted for specific projects).","required":true,"type":"string"},"pageToken":{"location":"query","description":"Optional. A page token to request the next page of results.\n\nYou get the token from the `next_page_token` field of the response from\nthe previous call.","type":"string"}},"flatPath":"v1/projects/{projectsId}/locations","path":"v1/{+parent}/locations","id":"ml.projects.locations.list"}}},"jobs":{"methods":{"getIamPolicy":{"response":{"$ref":"GoogleIamV1__Policy"},"parameterOrder":["resource"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"pattern":"^projects/[^/]+/jobs/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string"}},"flatPath":"v1/projects/{projectsId}/jobs/{jobsId}:getIamPolicy","path":"v1/{+resource}:getIamPolicy","id":"ml.projects.jobs.getIamPolicy","description":"Gets the access control policy for a resource.\nReturns an empty policy if the resource exists and does not have a policy\nset."},"patch":{"request":{"$ref":"GoogleCloudMlV1__Job"},"description":"Updates a specific job resource.\n\nCurrently the only supported fields to update are `labels`.","response":{"$ref":"GoogleCloudMlV1__Job"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"description":"Required. Specifies the path, relative to `Job`, of the field to update.\nTo adopt etag mechanism, include `etag` field in the mask, and include the\n`etag` value in your job resource.\n\nFor example, to change the labels of a job, the `update_mask` parameter\nwould be specified as `labels`, `etag`, and the\n`PATCH` request body would specify the new value, as follows:\n    {\n      \"labels\": {\n         \"owner\": \"Google\",\n         \"color\": \"Blue\"\n      }\n      \"etag\": \"33a64df551425fcc55e4d42a148795d9f25f89d4\"\n    }\nIf `etag` matches the one on the server, the labels of the job will be\nreplaced with the given ones, and the server end `etag` will be\nrecalculated.\n\nCurrently the only supported update masks are `labels` and `etag`.","format":"google-fieldmask","type":"string","location":"query"},"name":{"description":"Required. The job name.","required":true,"type":"string","pattern":"^projects/[^/]+/jobs/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}/jobs/{jobsId}","path":"v1/{+name}","id":"ml.projects.jobs.patch"},"get":{"flatPath":"v1/projects/{projectsId}/jobs/{jobsId}","id":"ml.projects.jobs.get","path":"v1/{+name}","description":"Describes a job.","httpMethod":"GET","response":{"$ref":"GoogleCloudMlV1__Job"},"parameterOrder":["name"],"parameters":{"name":{"location":"path","description":"Required. The name of the job to get the description of.","required":true,"type":"string","pattern":"^projects/[^/]+/jobs/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"testIamPermissions":{"request":{"$ref":"GoogleIamV1__TestIamPermissionsRequest"},"description":"Returns permissions that a caller has on the specified resource.\nIf the resource does not exist, this will return an empty set of\npermissions, not a NOT_FOUND error.\n\nNote: This operation is designed to be used for building permission-aware\nUIs and command-line tools, not for authorization checking. This operation\nmay \"fail open\" without warning.","response":{"$ref":"GoogleIamV1__TestIamPermissionsResponse"},"parameterOrder":["resource"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/jobs/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}/jobs/{jobsId}:testIamPermissions","path":"v1/{+resource}:testIamPermissions","id":"ml.projects.jobs.testIamPermissions"},"list":{"id":"ml.projects.jobs.list","path":"v1/{+parent}/jobs","description":"Lists the jobs in the project.\n\nIf there are no jobs that match the request parameters, the list\nrequest returns an empty response body: {}.","httpMethod":"GET","response":{"$ref":"GoogleCloudMlV1__ListJobsResponse"},"parameterOrder":["parent"],"parameters":{"pageToken":{"description":"Optional. A page token to request the next page of results.\n\nYou get the token from the `next_page_token` field of the response from\nthe previous call.","type":"string","location":"query"},"pageSize":{"location":"query","description":"Optional. The number of jobs to retrieve per \"page\" of results. If there\nare more remaining results than this number, the response message will\ncontain a valid value in the `next_page_token` field.\n\nThe default value is 20, and the maximum page size is 100.","format":"int32","type":"integer"},"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"Required. The name of the project for which to list jobs."},"filter":{"description":"Optional. Specifies the subset of jobs to retrieve.\nYou can filter on the value of one or more attributes of the job object.\nFor example, retrieve jobs with a job identifier that starts with 'census':\n<p><code>gcloud ai-platform jobs list --filter='jobId:census*'</code>\n<p>List all failed jobs with names that start with 'rnn':\n<p><code>gcloud ai-platform jobs list --filter='jobId:rnn*\nAND state:FAILED'</code>\n<p>For more examples, see the guide to\n<a href=\"/ml-engine/docs/tensorflow/monitor-training\">monitoring jobs</a>.","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/jobs"},"setIamPolicy":{"path":"v1/{+resource}:setIamPolicy","id":"ml.projects.jobs.setIamPolicy","request":{"$ref":"GoogleIamV1__SetIamPolicyRequest"},"description":"Sets the access control policy on the specified resource. Replaces any\nexisting policy.","response":{"$ref":"GoogleIamV1__Policy"},"parameterOrder":["resource"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/jobs/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}/jobs/{jobsId}:setIamPolicy"},"create":{"description":"Creates a training or a batch prediction job.","request":{"$ref":"GoogleCloudMlV1__Job"},"response":{"$ref":"GoogleCloudMlV1__Job"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"location":"path","description":"Required. The project name.","required":true,"type":"string","pattern":"^projects/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/jobs","path":"v1/{+parent}/jobs","id":"ml.projects.jobs.create"},"cancel":{"response":{"$ref":"GoogleProtobuf__Empty"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"Required. The name of the job to cancel.","required":true,"type":"string","pattern":"^projects/[^/]+/jobs/[^/]+$","location":"path"}},"flatPath":"v1/projects/{projectsId}/jobs/{jobsId}:cancel","path":"v1/{+name}:cancel","id":"ml.projects.jobs.cancel","request":{"$ref":"GoogleCloudMlV1__CancelJobRequest"},"description":"Cancels a running job."}}},"operations":{"methods":{"cancel":{"response":{"$ref":"GoogleProtobuf__Empty"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"The name of the operation resource to be cancelled.","required":true,"type":"string","pattern":"^projects/[^/]+/operations/[^/]+$"}},"flatPath":"v1/projects/{projectsId}/operations/{operationsId}:cancel","path":"v1/{+name}:cancel","id":"ml.projects.operations.cancel","description":"Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`."},"list":{"response":{"$ref":"GoogleLongrunning__ListOperationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"filter":{"location":"query","description":"The standard list filter.","type":"string"},"name":{"location":"path","description":"The name of the operation's parent resource.","required":true,"type":"string","pattern":"^projects/[^/]+$"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/operations","path":"v1/{+name}/operations","id":"ml.projects.operations.list","description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id."},"get":{"flatPath":"v1/projects/{projectsId}/operations/{operationsId}","id":"ml.projects.operations.get","path":"v1/{+name}","description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"GoogleLongrunning__Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the operation resource.","required":true,"type":"string","pattern":"^projects/[^/]+/operations/[^/]+$","location":"path"}}}}},"models":{"methods":{"testIamPermissions":{"response":{"$ref":"GoogleIamV1__TestIamPermissionsResponse"},"parameterOrder":["resource"],"httpMethod":"POST","parameters":{"resource":{"pattern":"^projects/[^/]+/models/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models/{modelsId}:testIamPermissions","path":"v1/{+resource}:testIamPermissions","id":"ml.projects.models.testIamPermissions","description":"Returns permissions that a caller has on the specified resource.\nIf the resource does not exist, this will return an empty set of\npermissions, not a NOT_FOUND error.\n\nNote: This operation is designed to be used for building permission-aware\nUIs and command-line tools, not for authorization checking. This operation\nmay \"fail open\" without warning.","request":{"$ref":"GoogleIamV1__TestIamPermissionsRequest"}},"delete":{"httpMethod":"DELETE","parameterOrder":["name"],"response":{"$ref":"GoogleLongrunning__Operation"},"parameters":{"name":{"description":"Required. The name of the model.","required":true,"type":"string","pattern":"^projects/[^/]+/models/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models/{modelsId}","id":"ml.projects.models.delete","path":"v1/{+name}","description":"Deletes a model.\n\nYou can only delete a model if there are no versions in it. You can delete\nversions by calling\n[projects.models.versions.delete](/ml-engine/reference/rest/v1/projects.models.versions/delete)."},"list":{"description":"Lists the models in a project.\n\nEach project can contain multiple models, and each model can have multiple\nversions.\n\nIf there are no models that match the request parameters, the list request\nreturns an empty response body: {}.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"GoogleCloudMlV1__ListModelsResponse"},"parameters":{"parent":{"description":"Required. The name of the project whose models are to be listed.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"},"filter":{"location":"query","description":"Optional. Specifies the subset of models to retrieve.","type":"string"},"pageToken":{"type":"string","location":"query","description":"Optional. A page token to request the next page of results.\n\nYou get the token from the `next_page_token` field of the response from\nthe previous call."},"pageSize":{"description":"Optional. The number of models to retrieve per \"page\" of results. If there\nare more remaining results than this number, the response message will\ncontain a valid value in the `next_page_token` field.\n\nThe default value is 20, and the maximum page size is 100.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models","id":"ml.projects.models.list","path":"v1/{+parent}/models"},"create":{"response":{"$ref":"GoogleCloudMlV1__Model"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"description":"Required. The project name.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models","path":"v1/{+parent}/models","id":"ml.projects.models.create","description":"Creates a model which will later contain one or more versions.\n\nYou must add at least one version before you can request predictions from\nthe model. Add versions by calling\n[projects.models.versions.create](/ml-engine/reference/rest/v1/projects.models.versions/create).","request":{"$ref":"GoogleCloudMlV1__Model"}},"setIamPolicy":{"response":{"$ref":"GoogleIamV1__Policy"},"parameterOrder":["resource"],"httpMethod":"POST","parameters":{"resource":{"description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/models/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models/{modelsId}:setIamPolicy","path":"v1/{+resource}:setIamPolicy","id":"ml.projects.models.setIamPolicy","description":"Sets the access control policy on the specified resource. Replaces any\nexisting policy.","request":{"$ref":"GoogleIamV1__SetIamPolicyRequest"}},"getIamPolicy":{"response":{"$ref":"GoogleIamV1__Policy"},"parameterOrder":["resource"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^projects/[^/]+/models/[^/]+$"}},"flatPath":"v1/projects/{projectsId}/models/{modelsId}:getIamPolicy","path":"v1/{+resource}:getIamPolicy","id":"ml.projects.models.getIamPolicy","description":"Gets the access control policy for a resource.\nReturns an empty policy if the resource exists and does not have a policy\nset."},"get":{"flatPath":"v1/projects/{projectsId}/models/{modelsId}","path":"v1/{+name}","id":"ml.projects.models.get","description":"Gets information about a model, including its name, the description (if\nset), and the default version (if at least one version of the model has\nbeen deployed).","response":{"$ref":"GoogleCloudMlV1__Model"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"location":"path","description":"Required. The name of the model.","required":true,"type":"string","pattern":"^projects/[^/]+/models/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"patch":{"request":{"$ref":"GoogleCloudMlV1__Model"},"description":"Updates a specific model resource.\n\nCurrently the only supported fields to update are `description` and\n`default_version.name`.","response":{"$ref":"GoogleLongrunning__Operation"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^projects/[^/]+/models/[^/]+$","location":"path","description":"Required. The project name.","required":true,"type":"string"},"updateMask":{"description":"Required. Specifies the path, relative to `Model`, of the field to update.\n\nFor example, to change the description of a model to \"foo\" and set its\ndefault version to \"version_1\", the `update_mask` parameter would be\nspecified as `description`, `default_version.name`, and the `PATCH`\nrequest body would specify the new value, as follows:\n    {\n      \"description\": \"foo\",\n      \"defaultVersion\": {\n        \"name\":\"version_1\"\n      }\n    }\n\nCurrently the supported update masks are `description` and\n`default_version.name`.","format":"google-fieldmask","type":"string","location":"query"}},"flatPath":"v1/projects/{projectsId}/models/{modelsId}","path":"v1/{+name}","id":"ml.projects.models.patch"}},"resources":{"versions":{"methods":{"create":{"description":"Creates a new version of a model from a trained TensorFlow model.\n\nIf the version created in the cloud by this call is the first deployed\nversion of the specified model, it will be made the default version of the\nmodel. When you add a version to a model that already has one or more\nversions, the default version does not automatically change. If you want a\nnew version to be the default, you must call\n[projects.models.versions.setDefault](/ml-engine/reference/rest/v1/projects.models.versions/setDefault).","request":{"$ref":"GoogleCloudMlV1__Version"},"response":{"$ref":"GoogleLongrunning__Operation"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"pattern":"^projects/[^/]+/models/[^/]+$","location":"path","description":"Required. The name of the model.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models/{modelsId}/versions","path":"v1/{+parent}/versions","id":"ml.projects.models.versions.create"},"get":{"response":{"$ref":"GoogleCloudMlV1__Version"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"location":"path","description":"Required. The name of the version.","required":true,"type":"string","pattern":"^projects/[^/]+/models/[^/]+/versions/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models/{modelsId}/versions/{versionsId}","path":"v1/{+name}","id":"ml.projects.models.versions.get","description":"Gets information about a model version.\n\nModels can have multiple versions. You can call\n[projects.models.versions.list](/ml-engine/reference/rest/v1/projects.models.versions/list)\nto get the same information that this method returns for all of the\nversions of a model."},"patch":{"response":{"$ref":"GoogleLongrunning__Operation"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^projects/[^/]+/models/[^/]+/versions/[^/]+$","location":"path","description":"Required. The name of the model.","required":true,"type":"string"},"updateMask":{"type":"string","location":"query","description":"Required. Specifies the path, relative to `Version`, of the field to\nupdate. Must be present and non-empty.\n\nFor example, to change the description of a version to \"foo\", the\n`update_mask` parameter would be specified as `description`, and the\n`PATCH` request body would specify the new value, as follows:\n    {\n      \"description\": \"foo\"\n    }\n\nCurrently the only supported update mask fields are `description` and\n`autoScaling.minNodes`.","format":"google-fieldmask"}},"flatPath":"v1/projects/{projectsId}/models/{modelsId}/versions/{versionsId}","path":"v1/{+name}","id":"ml.projects.models.versions.patch","request":{"$ref":"GoogleCloudMlV1__Version"},"description":"Updates the specified Version resource.\n\nCurrently the only update-able fields are `description` and\n`autoScaling.minNodes`."},"setDefault":{"response":{"$ref":"GoogleCloudMlV1__Version"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/models/[^/]+/versions/[^/]+$","location":"path","description":"Required. The name of the version to make the default for the model. You\ncan get the names of all the versions of a model by calling\n[projects.models.versions.list](/ml-engine/reference/rest/v1/projects.models.versions/list)."}},"flatPath":"v1/projects/{projectsId}/models/{modelsId}/versions/{versionsId}:setDefault","path":"v1/{+name}:setDefault","id":"ml.projects.models.versions.setDefault","request":{"$ref":"GoogleCloudMlV1__SetDefaultVersionRequest"},"description":"Designates a version to be the default for the model.\n\nThe default version is used for prediction requests made against the model\nthat don't specify a version.\n\nThe first version to be created for a model is automatically set as the\ndefault. You must make any subsequent changes to the default version\nsetting manually using this method."},"delete":{"path":"v1/{+name}","id":"ml.projects.models.versions.delete","description":"Deletes a model version.\n\nEach model can have multiple versions deployed and in use at any given\ntime. Use this method to remove a single version.\n\nNote: You cannot delete the version that is set as the default version\nof the model unless it is the only remaining version.","response":{"$ref":"GoogleLongrunning__Operation"},"parameterOrder":["name"],"httpMethod":"DELETE","parameters":{"name":{"pattern":"^projects/[^/]+/models/[^/]+/versions/[^/]+$","location":"path","description":"Required. The name of the version. You can get the names of all the\nversions of a model by calling\n[projects.models.versions.list](/ml-engine/reference/rest/v1/projects.models.versions/list).","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/projects/{projectsId}/models/{modelsId}/versions/{versionsId}"},"list":{"httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"GoogleCloudMlV1__ListVersionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"pattern":"^projects/[^/]+/models/[^/]+$","location":"path","description":"Required. The name of the model for which to list the version.","required":true,"type":"string"},"filter":{"description":"Optional. Specifies the subset of versions to retrieve.","type":"string","location":"query"},"pageToken":{"location":"query","description":"Optional. A page token to request the next page of results.\n\nYou get the token from the `next_page_token` field of the response from\nthe previous call.","type":"string"},"pageSize":{"description":"Optional. The number of versions to retrieve per \"page\" of results. If\nthere are more remaining results than this number, the response message\nwill contain a valid value in the `next_page_token` field.\n\nThe default value is 20, and the maximum page size is 100.","format":"int32","type":"integer","location":"query"}},"flatPath":"v1/projects/{projectsId}/models/{modelsId}/versions","id":"ml.projects.models.versions.list","path":"v1/{+parent}/versions","description":"Gets basic information about all the versions of a model.\n\nIf you expect that a model has many versions, or if you need to handle\nonly a limited number of results at a time, you can request that the list\nbe retrieved in batches (called pages).\n\nIf there are no versions that match the request parameters, the list\nrequest returns an empty response body: {}."}}}}}}}},"parameters":{"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"callback":{"description":"JSONP","type":"string","location":"query"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]},"access_token":{"type":"string","location":"query","description":"OAuth access token."},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"}},"version":"v1","baseUrl":"https://ml.googleapis.com/","kind":"discovery#restDescription","description":"An API to enable creating and using machine learning models.","servicePath":""};