export default {"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/compute":{"description":"View and manage your Google Compute Engine resources"},"https://www.googleapis.com/auth/cloud-platform.read-only":{"description":"View your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/compute.readonly":{"description":"View your Google Compute Engine resources"}}}},"rootUrl":"https://oslogin.googleapis.com/","ownerDomain":"google.com","name":"oslogin","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud OS Login API","ownerName":"Google","resources":{"users":{"methods":{"importSshPublicKey":{"id":"oslogin.users.importSshPublicKey","path":"v1alpha/{+parent}:importSshPublicKey","description":"Adds an SSH public key and returns the profile information. Default POSIX\naccount information is set when no username and UID exist as part of the\nlogin profile.","request":{"$ref":"SshPublicKey"},"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"ImportSshPublicKeyResponse"},"parameters":{"parent":{"required":true,"type":"string","pattern":"^users/[^/]+$","location":"path","description":"The unique ID for the user in format `users/{user}`."},"projectId":{"type":"string","location":"query","description":"The project ID of the Google Cloud Platform project."}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"],"flatPath":"v1alpha/users/{usersId}:importSshPublicKey"},"getLoginProfile":{"parameters":{"projectId":{"location":"query","description":"The project ID of the Google Cloud Platform project.","type":"string"},"systemId":{"location":"query","description":"A system ID for filtering the results of the request.","type":"string"},"name":{"location":"path","description":"The unique ID for the user in format `users/{user}`.","required":true,"type":"string","pattern":"^users/[^/]+$"},"operatingSystemType":{"location":"query","enum":["OPERATING_SYSTEM_TYPE_UNSPECIFIED","LINUX","WINDOWS"],"description":"The type of operating system associated with the account.","type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"],"flatPath":"v1alpha/users/{usersId}/loginProfile","id":"oslogin.users.getLoginProfile","path":"v1alpha/{+name}/loginProfile","description":"Retrieves the profile information used for logging in to a virtual machine\non Google Compute Engine.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"LoginProfile"}}},"resources":{"sshPublicKeys":{"methods":{"get":{"parameters":{"name":{"location":"path","description":"The fingerprint of the public key to retrieve. Public keys are identified\nby their SHA-256 fingerprint. The fingerprint of the public key is in\nformat `users/{user}/sshPublicKeys/{fingerprint}`.","required":true,"type":"string","pattern":"^users/[^/]+/sshPublicKeys/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"],"flatPath":"v1alpha/users/{usersId}/sshPublicKeys/{sshPublicKeysId}","id":"oslogin.users.sshPublicKeys.get","path":"v1alpha/{+name}","description":"Retrieves an SSH public key.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"SshPublicKey"}},"patch":{"description":"Updates an SSH public key and returns the profile information. This method\nsupports patch semantics.","request":{"$ref":"SshPublicKey"},"httpMethod":"PATCH","parameterOrder":["name"],"response":{"$ref":"SshPublicKey"},"parameters":{"updateMask":{"type":"string","location":"query","description":"Mask to control which fields get updated. Updates all if not present.","format":"google-fieldmask"},"name":{"required":true,"type":"string","pattern":"^users/[^/]+/sshPublicKeys/[^/]+$","location":"path","description":"The fingerprint of the public key to update. Public keys are identified by\ntheir SHA-256 fingerprint. The fingerprint of the public key is in format\n`users/{user}/sshPublicKeys/{fingerprint}`."}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"],"flatPath":"v1alpha/users/{usersId}/sshPublicKeys/{sshPublicKeysId}","id":"oslogin.users.sshPublicKeys.patch","path":"v1alpha/{+name}"},"delete":{"description":"Deletes an SSH public key.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","parameters":{"name":{"pattern":"^users/[^/]+/sshPublicKeys/[^/]+$","location":"path","description":"The fingerprint of the public key to update. Public keys are identified by\ntheir SHA-256 fingerprint. The fingerprint of the public key is in format\n`users/{user}/sshPublicKeys/{fingerprint}`.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"],"flatPath":"v1alpha/users/{usersId}/sshPublicKeys/{sshPublicKeysId}","path":"v1alpha/{+name}","id":"oslogin.users.sshPublicKeys.delete"}}},"projects":{"methods":{"delete":{"response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"],"parameters":{"name":{"description":"A reference to the POSIX account to update. POSIX accounts are identified\nby the project ID they are associated with. A reference to the POSIX\naccount is in format `users/{user}/projects/{project}`.","required":true,"type":"string","pattern":"^users/[^/]+/projects/[^/]+$","location":"path"},"operatingSystemType":{"location":"query","enum":["OPERATING_SYSTEM_TYPE_UNSPECIFIED","LINUX","WINDOWS"],"description":"The type of operating system associated with the account.","type":"string"}},"flatPath":"v1alpha/users/{usersId}/projects/{projectsId}","path":"v1alpha/{+name}","id":"oslogin.users.projects.delete","description":"Deletes a POSIX account."}}}}}},"parameters":{"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"type":"string","location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\")."},"prettyPrint":{"type":"boolean","default":"true","location":"query","description":"Returns response with indentations and line breaks."},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"fields":{"type":"string","location":"query","description":"Selector specifying which fields to include in a partial response."},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"$.xgafv":{"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"]},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"callback":{"description":"JSONP","type":"string","location":"query"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]}},"version":"v1alpha","baseUrl":"https://oslogin.googleapis.com/","kind":"discovery#restDescription","description":"You can use OS Login to manage access to your VM instances using IAM roles. For more information, read [OS Login](/compute/docs/oslogin/).","servicePath":"","basePath":"","revision":"20190614","documentationLink":"https://cloud.google.com/compute/docs/oslogin/","id":"oslogin:v1alpha","discoveryVersion":"v1","version_module":true,"schemas":{"LoginProfile":{"id":"LoginProfile","description":"The user profile information used for logging in to a virtual machine on\nGoogle Compute Engine.","type":"object","properties":{"sshPublicKeys":{"type":"object","additionalProperties":{"$ref":"SshPublicKey"},"description":"A map from SSH public key fingerprint to the associated key object."},"name":{"description":"A unique user ID.","type":"string"},"posixAccounts":{"description":"The list of POSIX accounts associated with the user.","type":"array","items":{"$ref":"PosixAccount"}}}},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"Empty"},"SshPublicKey":{"type":"object","properties":{"expirationTimeUsec":{"description":"An expiration time in microseconds since epoch.","format":"int64","type":"string"},"fingerprint":{"description":"Output only. The SHA-256 fingerprint of the SSH public key.","type":"string"},"key":{"type":"string","description":"Public key text in SSH format, defined by\n<a href=\"https://www.ietf.org/rfc/rfc4253.txt\" target=\"_blank\">RFC4253</a>\nsection 6.6."}},"id":"SshPublicKey","description":"The SSH public key information associated with a Google account."},"ImportSshPublicKeyResponse":{"id":"ImportSshPublicKeyResponse","description":"A response message from importing an SSH public key.","type":"object","properties":{"loginProfile":{"$ref":"LoginProfile","description":"The login profile information for the user."}}},"PosixAccount":{"description":"The POSIX account information associated with a Google account.","type":"object","properties":{"homeDirectory":{"description":"The path to the home directory for this account.","type":"string"},"systemId":{"description":"System identifier for which account the username or uid applies to.\nBy default, the empty value is used.","type":"string"},"gecos":{"type":"string","description":"The GECOS (user information) entry for this account."},"primary":{"type":"boolean","description":"Only one POSIX account can be marked as primary."},"operatingSystemType":{"enumDescriptions":["The operating system type associated with the user account information is\nunspecified.","Linux user account information.","Windows user account information."],"enum":["OPERATING_SYSTEM_TYPE_UNSPECIFIED","LINUX","WINDOWS"],"description":"The operating system type where this account applies.","type":"string"},"accountId":{"description":"Output only. A POSIX account identifier.","type":"string"},"gid":{"description":"The default group ID.","format":"int64","type":"string"},"uid":{"type":"string","description":"The user ID.","format":"int64"},"username":{"description":"The username of the POSIX account.","type":"string"},"shell":{"description":"The path to the logic shell for this account.","type":"string"}},"id":"PosixAccount"}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"canonicalName":"Cloud OS Login"};