export default {"basePath":"","revision":"20190614","documentationLink":"https://console.cloud.google.com/apis/api/securitycenter.googleapis.com/overview","id":"securitycenter:v1","discoveryVersion":"v1","version_module":true,"schemas":{"GroupFindingsResponse":{"id":"GroupFindingsResponse","description":"Response message for group by findings.","type":"object","properties":{"groupByResults":{"description":"Group results. There exists an element for each existing unique\ncombination of property/values. The element contains a count for the number\nof times those specific property/values appear.","type":"array","items":{"$ref":"GroupResult"}},"nextPageToken":{"description":"Token to retrieve the next page of results, or empty if there are no more\nresults.","type":"string"},"readTime":{"type":"string","description":"Time used for executing the groupBy request.","format":"google-datetime"},"totalSize":{"description":"The total number of results matching the query.","format":"int32","type":"integer"}}},"ListSourcesResponse":{"type":"object","properties":{"sources":{"description":"Sources belonging to the requested parent.","type":"array","items":{"$ref":"Source"}},"nextPageToken":{"description":"Token to retrieve the next page of results, or empty if there are no more\nresults.","type":"string"}},"id":"ListSourcesResponse","description":"Response message for listing sources."},"OrganizationSettings":{"type":"object","properties":{"enableAssetDiscovery":{"type":"boolean","description":"A flag that indicates if Asset Discovery should be enabled. If the flag is\nset to `true`, then discovery of assets will occur. If it is set to `false,\nall historical assets will remain, but discovery of future assets will not\noccur."},"name":{"description":"The relative resource name of the settings. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/organizationSettings\".","type":"string"},"assetDiscoveryConfig":{"$ref":"AssetDiscoveryConfig","description":"The configuration used for Asset Discovery runs."}},"id":"OrganizationSettings","description":"User specified settings that are attached to the Cloud Security Command\nCenter (Cloud SCC) organization."},"SecurityCenterProperties":{"id":"SecurityCenterProperties","description":"Cloud SCC managed properties. These properties are managed by Cloud SCC and\ncannot be modified by the user.","type":"object","properties":{"resourceType":{"type":"string","description":"The type of the GCP resource. Examples include: APPLICATION,\nPROJECT, and ORGANIZATION. This is a case insensitive field defined by\nCloud SCC and/or the producer of the resource and is immutable\nafter create time."},"resourceProject":{"description":"The full resource name of the project the resource belongs to. See:\nhttps://cloud.google.com/apis/design/resource_names#full_resource_name","type":"string"},"resourceOwners":{"description":"Owners of the Google Cloud resource.","type":"array","items":{"type":"string"}},"resourceParent":{"description":"The full resource name of the immediate parent of the resource. See:\nhttps://cloud.google.com/apis/design/resource_names#full_resource_name","type":"string"},"resourceName":{"description":"The full resource name of the GCP resource this asset\nrepresents. This field is immutable after create time. See:\nhttps://cloud.google.com/apis/design/resource_names#full_resource_name","type":"string"}}},"ListFindingsResponse":{"description":"Response message for listing findings.","type":"object","properties":{"nextPageToken":{"type":"string","description":"Token to retrieve the next page of results, or empty if there are no more\nresults."},"listFindingsResults":{"description":"Findings matching the list request.","type":"array","items":{"$ref":"ListFindingsResult"}},"readTime":{"description":"Time used for executing the list request.","format":"google-datetime","type":"string"},"totalSize":{"description":"The total number of findings matching the query.","format":"int32","type":"integer"}},"id":"ListFindingsResponse"},"SetIamPolicyRequest":{"type":"object","properties":{"updateMask":{"description":"OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only\nthe fields in the mask will be modified. If no mask is provided, the\nfollowing default mask is used:\npaths: \"bindings, etag\"\nThis field is only used by Cloud IAM.","format":"google-fieldmask","type":"string"},"policy":{"$ref":"Policy","description":"REQUIRED: The complete policy to be applied to the `resource`. The size of\nthe policy is limited to a few 10s of KB. An empty policy is a\nvalid policy but certain Cloud Platform services (such as Projects)\nmight reject them."}},"id":"SetIamPolicyRequest","description":"Request message for `SetIamPolicy` method."},"GroupAssetsResponse":{"id":"GroupAssetsResponse","description":"Response message for grouping by assets.","type":"object","properties":{"groupByResults":{"type":"array","items":{"$ref":"GroupResult"},"description":"Group results. There exists an element for each existing unique\ncombination of property/values. The element contains a count for the number\nof times those specific property/values appear."},"nextPageToken":{"description":"Token to retrieve the next page of results, or empty if there are no more\nresults.","type":"string"},"readTime":{"type":"string","description":"Time used for executing the groupBy request.","format":"google-datetime"},"totalSize":{"type":"integer","description":"The total number of results matching the query.","format":"int32"}}},"IamPolicy":{"id":"IamPolicy","description":"IAM Policy information associated with the GCP resource described by the\nCloud SCC asset. This information is managed and defined by the GCP\nresource and cannot be modified by the user.","type":"object","properties":{"policyBlob":{"type":"string","description":"The JSON representation of the Policy associated with the asset.\nSee https://cloud.google.com/iam/reference/rest/v1/Policy for format\ndetails."}}},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"Empty"},"GroupFindingsRequest":{"type":"object","properties":{"readTime":{"description":"Time used as a reference point when filtering findings. The filter is\nlimited to findings existing at the supplied time and their values are\nthose at that specific time. Absence of this field will default to the\nAPI's version of NOW.","format":"google-datetime","type":"string"},"compareDuration":{"description":"When compare_duration is set, the GroupResult's \"state_change\" attribute is\nupdated to indicate whether the finding had its state changed, the\nfinding's state remained unchanged, or if the finding was added during the\ncompare_duration period of time that precedes the read_time. This is the\ntime between (read_time - compare_duration) and read_time.\n\nThe state_change value is derived based on the presence and state of the\nfinding at the two points in time. Intermediate state changes between the\ntwo times don't affect the result. For example, the results aren't affected\nif the finding is made inactive and then active again.\n\nPossible \"state_change\" values when compare_duration is specified:\n\n* \"CHANGED\":   indicates that the finding was present at the start of\n                 compare_duration, but changed its state at read_time.\n* \"UNCHANGED\": indicates that the finding was present at the start of\n                 compare_duration and did not change state at read_time.\n* \"ADDED\":     indicates that the finding was not present at the start\n                 of compare_duration, but was present at read_time.\n\nIf compare_duration is not specified, then the only possible state_change\nis \"UNUSED\",  which will be the state_change set for all findings present\nat read_time.\n\nIf this field is set then `state_change` must be a specified field in\n`group_by`.","format":"google-duration","type":"string"},"groupBy":{"description":"Expression that defines what assets fields to use for grouping (including\n`state_change`). The string value should follow SQL syntax: comma separated\nlist of fields. For example: \"parent,resource_name\".\n\nThe following fields are supported:\n\n* resource_name\n* category\n* state\n* parent\n\nThe following fields are supported when compare_duration is set:\n\n* state_change","type":"string"},"filter":{"description":"Expression that defines the filter to apply across findings.\nThe expression is a list of one or more restrictions combined via logical\noperators `AND` and `OR`.\nParentheses are supported, and `OR` has higher precedence than `AND`.\n\nRestrictions have the form `<field> <operator> <value>` and may have a `-`\ncharacter in front of them to indicate negation. Examples include:\n\n * name\n * source_properties.a_property\n * security_marks.marks.marka\n\nThe supported operators are:\n\n* `=` for all value types.\n* `>`, `<`, `>=`, `<=` for integer values.\n* `:`, meaning substring matching, for strings.\n\nThe supported value types are:\n\n* string literals in quotes.\n* integer literals without quotes.\n* boolean literals `true` and `false` without quotes.\n\nThe following field and operator combinations are supported:\n\n* name: `=`\n* parent: `=`, `:`\n* resource_name: `=`, `:`\n* state: `=`, `:`\n* category: `=`, `:`\n* external_uri: `=`, `:`\n* event_time: `>`, `<`, `>=`, `<=`\n* security_marks: `=`, `:`\n* source_properties: `=`, `:`, `>`, `<`, `>=`, `<=`\n\nFor example, `source_properties.size = 100` is a valid filter string.","type":"string"},"pageToken":{"description":"The value returned by the last `GroupFindingsResponse`; indicates\nthat this is a continuation of a prior `GroupFindings` call, and\nthat the system should return the next page of data.","type":"string"},"pageSize":{"type":"integer","description":"The maximum number of results to return in a single response. Default is\n10, minimum is 1, maximum is 1000.","format":"int32"}},"id":"GroupFindingsRequest","description":"Request message for grouping by findings."},"SecurityMarks":{"id":"SecurityMarks","description":"User specified security marks that are attached to the parent Cloud Security\nCommand Center (Cloud SCC) resource. Security marks are scoped within a Cloud\nSCC organization -- they can be modified and viewed by all users who have\nproper permissions on the organization.","type":"object","properties":{"marks":{"additionalProperties":{"type":"string"},"description":"Mutable user specified security marks belonging to the parent resource.\nConstraints are as follows:\n  - Keys and values are treated as case insensitive\n  - Keys must be between 1 - 256 characters (inclusive)\n  - Keys must be letters, numbers, underscores, or dashes\n  - Values have leading and trailing whitespace trimmed, remaining\n    characters must be between 1 - 4096 characters (inclusive)","type":"object"},"name":{"type":"string","description":"The relative resource name of the SecurityMarks. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExamples:\n\"organizations/123/assets/456/securityMarks\"\n\"organizations/123/sources/456/findings/789/securityMarks\"."}}},"GroupResult":{"type":"object","properties":{"count":{"description":"Total count of resources for the given properties.","format":"int64","type":"string"},"properties":{"description":"Properties matching the groupBy fields in the request.","type":"object","additionalProperties":{"type":"any"}}},"id":"GroupResult","description":"Result containing the properties and count of a groupBy request."},"GroupAssetsRequest":{"description":"Request message for grouping by assets.","type":"object","properties":{"readTime":{"description":"Time used as a reference point when filtering assets. The filter is limited\nto assets existing at the supplied time and their values are those at that\nspecific time. Absence of this field will default to the API's version of\nNOW.","format":"google-datetime","type":"string"},"compareDuration":{"type":"string","description":"When compare_duration is set, the GroupResult's \"state_change\" property is\nupdated to indicate whether the asset was added, removed, or remained\npresent during the compare_duration period of time that precedes the\nread_time. This is the time between (read_time - compare_duration) and\nread_time.\n\nThe state change value is derived based on the presence of the asset at the\ntwo points in time. Intermediate state changes between the two times don't\naffect the result. For example, the results aren't affected if the asset is\nremoved and re-created again.\n\nPossible \"state_change\" values when compare_duration is specified:\n\n* \"ADDED\":   indicates that the asset was not present at the start of\n               compare_duration, but present at reference_time.\n* \"REMOVED\": indicates that the asset was present at the start of\n               compare_duration, but not present at reference_time.\n* \"ACTIVE\":  indicates that the asset was present at both the\n               start and the end of the time period defined by\n               compare_duration and reference_time.\n\nIf compare_duration is not specified, then the only possible state_change\nis \"UNUSED\", which will be the state_change set for all assets present at\nread_time.\n\nIf this field is set then `state_change` must be a specified field in\n`group_by`.","format":"google-duration"},"groupBy":{"description":"Expression that defines what assets fields to use for grouping. The string\nvalue should follow SQL syntax: comma separated list of fields. For\nexample:\n\"security_center_properties.resource_project,security_center_properties.project\".\n\nThe following fields are supported when compare_duration is not set:\n\n* security_center_properties.resource_project\n* security_center_properties.resource_type\n* security_center_properties.resource_parent\n\nThe following fields are supported when compare_duration is set:\n\n* security_center_properties.resource_type","type":"string"},"filter":{"description":"Expression that defines the filter to apply across assets.\nThe expression is a list of zero or more restrictions combined via logical\noperators `AND` and `OR`.\nParentheses are supported, and `OR` has higher precedence than `AND`.\n\nRestrictions have the form `<field> <operator> <value>` and may have a `-`\ncharacter in front of them to indicate negation. The fields map to those\ndefined in the Asset resource. Examples include:\n\n* name\n* security_center_properties.resource_name\n* resource_properties.a_property\n* security_marks.marks.marka\n\nThe supported operators are:\n\n* `=` for all value types.\n* `>`, `<`, `>=`, `<=` for integer values.\n* `:`, meaning substring matching, for strings.\n\nThe supported value types are:\n\n* string literals in quotes.\n* integer literals without quotes.\n* boolean literals `true` and `false` without quotes.\n\nThe following field and operator combinations are supported:\n\n* name: `=`\n* update_time: `>`, `<`, `>=`, `<=`, `=`\n* create_time: `>`, `<`, `>=`, `<=`, `=`\n* iam_policy.policy_blob: `=`, `:`\n* resource_properties: `=`, `:`, `>`, `<`, `>=`, `<=`\n* security_marks: `=`, `:`\n* security_center_properties.resource_name: `=`, `:`\n* security_center_properties.resource_type: `=`, `:`\n* security_center_properties.resource_parent: `=`, `:`\n* security_center_properties.resource_project: `=`, `:`\n* security_center_properties.resource_owners: `=`, `:`\n\nFor example, `resource_properties.size = 100` is a valid filter string.","type":"string"},"pageToken":{"description":"The value returned by the last `GroupAssetsResponse`; indicates\nthat this is a continuation of a prior `GroupAssets` call, and that the\nsystem should return the next page of data.","type":"string"},"pageSize":{"description":"The maximum number of results to return in a single response. Default is\n10, minimum is 1, maximum is 1000.","format":"int32","type":"integer"}},"id":"GroupAssetsRequest"},"Finding":{"id":"Finding","description":"Cloud Security Command Center (Cloud SCC) finding.\n\nA finding is a record of assessment data (security, risk, health or privacy)\ningested into Cloud SCC for presentation, notification, analysis,\npolicy testing, and enforcement. For example, an XSS vulnerability in an\nApp Engine application is a finding.","type":"object","properties":{"name":{"description":"The relative resource name of this finding. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/sources/456/findings/789\"","type":"string"},"category":{"description":"The additional taxonomy group within findings from a given source.\nThis field is immutable after creation time.\nExample: \"XSS_FLASH_INJECTION\"","type":"string"},"externalUri":{"type":"string","description":"The URI that, if available, points to a web page outside of Cloud SCC\nwhere additional information about the finding can be found. This field is\nguaranteed to be either empty or a well formed URL."},"resourceName":{"type":"string","description":"The full resource name of the Google Cloud Platform (GCP) resource this\nfinding is for. See:\nhttps://cloud.google.com/apis/design/resource_names#full_resource_name\nThis field is immutable after creation time."},"eventTime":{"type":"string","description":"The time at which the event took place. For example, if the finding\nrepresents an open firewall it would capture the time the detector believes\nthe firewall became open. The accuracy is determined by the detector.","format":"google-datetime"},"sourceProperties":{"type":"object","additionalProperties":{"type":"any"},"description":"Source specific properties. These properties are managed by the source\nthat writes the finding. The key names in the source_properties map must be\nbetween 1 and 255 characters, and must start with a letter and contain\nalphanumeric characters or underscores only."},"parent":{"type":"string","description":"The relative resource name of the source the finding belongs to. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nThis field is immutable after creation time.\nFor example:\n\"organizations/123/sources/456\""},"securityMarks":{"$ref":"SecurityMarks","description":"Output only. User specified security marks. These marks are entirely\nmanaged by the user and come from the SecurityMarks resource that belongs\nto the finding."},"createTime":{"description":"The time at which the finding was created in Cloud SCC.","format":"google-datetime","type":"string"},"state":{"enum":["STATE_UNSPECIFIED","ACTIVE","INACTIVE"],"description":"The state of the finding.","type":"string","enumDescriptions":["Unspecified state.","The finding requires attention and has not been addressed yet.","The finding has been fixed, triaged as a non-issue or otherwise addressed\nand is no longer active."]}}},"AuditLogConfig":{"description":"Provides the configuration for logging a type of permissions.\nExample:\n\n    {\n      \"audit_log_configs\": [\n        {\n          \"log_type\": \"DATA_READ\",\n          \"exempted_members\": [\n            \"user:foo@gmail.com\"\n          ]\n        },\n        {\n          \"log_type\": \"DATA_WRITE\",\n        }\n      ]\n    }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting\nfoo@gmail.com from DATA_READ logging.","type":"object","properties":{"logType":{"enum":["LOG_TYPE_UNSPECIFIED","ADMIN_READ","DATA_WRITE","DATA_READ"],"description":"The log type that this config enables.","type":"string","enumDescriptions":["Default case. Should never be this.","Admin reads. Example: CloudIAM getIamPolicy","Data writes. Example: CloudSQL Users create","Data reads. Example: CloudSQL Users list"]},"exemptedMembers":{"description":"Specifies the identities that do not cause logging for this type of\npermission.\nFollows the same format of Binding.members.","type":"array","items":{"type":"string"}}},"id":"AuditLogConfig"},"Source":{"description":"Cloud Security Command Center's (Cloud SCC) finding source. A finding source\nis an entity or a mechanism that can produce a finding. A source is like a\ncontainer of findings that come from the same scanner, logger, monitor, etc.","type":"object","properties":{"name":{"description":"The relative resource name of this source. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/sources/456\"","type":"string"},"displayName":{"description":"The source's display name.\nA source's display name must be unique amongst its siblings, for example,\ntwo sources with the same parent can't share the same display name.\nThe display name must have a length between 1 and 64 characters\n(inclusive).","type":"string"},"description":{"description":"The description of the source (max of 1024 characters).\nExample:\n\"Cloud Security Scanner is a web security scanner for common\nvulnerabilities in App Engine applications. It can automatically\nscan and detect four common vulnerabilities, including cross-site-scripting\n(XSS), Flash injection, mixed content (HTTP in HTTPS), and\noutdated/insecure libraries.\"","type":"string"}},"id":"Source"},"RunAssetDiscoveryRequest":{"id":"RunAssetDiscoveryRequest","description":"Request message for running asset discovery for an organization.","type":"object","properties":{}},"TestIamPermissionsRequest":{"description":"Request message for `TestIamPermissions` method.","type":"object","properties":{"permissions":{"description":"The set of permissions to check for the `resource`. Permissions with\nwildcards (such as '*' or 'storage.*') are not allowed. For more\ninformation see\n[IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","type":"array","items":{"type":"string"}}},"id":"TestIamPermissionsRequest"},"Policy":{"type":"object","properties":{"version":{"type":"integer","description":"Deprecated.","format":"int32"},"auditConfigs":{"type":"array","items":{"$ref":"AuditConfig"},"description":"Specifies cloud audit logging configuration for this policy."},"bindings":{"type":"array","items":{"$ref":"Binding"},"description":"Associates a list of `members` to a `role`.\n`bindings` with no members will result in an error."},"etag":{"description":"`etag` is used for optimistic concurrency control as a way to help\nprevent simultaneous updates of a policy from overwriting each other.\nIt is strongly suggested that systems make use of the `etag` in the\nread-modify-write cycle to perform policy updates in order to avoid race\nconditions: An `etag` is returned in the response to `getIamPolicy`, and\nsystems are expected to put that etag in the request to `setIamPolicy` to\nensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing\npolicy is overwritten blindly.","format":"byte","type":"string"}},"id":"Policy","description":"Defines an Identity and Access Management (IAM) policy. It is used to\nspecify access control policies for Cloud Platform resources.\n\n\nA `Policy` consists of a list of `bindings`. A `binding` binds a list of\n`members` to a `role`, where the members can be user accounts, Google groups,\nGoogle domains, and service accounts. A `role` is a named list of permissions\ndefined by IAM.\n\n**JSON Example**\n\n    {\n      \"bindings\": [\n        {\n          \"role\": \"roles/owner\",\n          \"members\": [\n            \"user:mike@example.com\",\n            \"group:admins@example.com\",\n            \"domain:google.com\",\n            \"serviceAccount:my-other-app@appspot.gserviceaccount.com\"\n          ]\n        },\n        {\n          \"role\": \"roles/viewer\",\n          \"members\": [\"user:sean@example.com\"]\n        }\n      ]\n    }\n\n**YAML Example**\n\n    bindings:\n    - members:\n      - user:mike@example.com\n      - group:admins@example.com\n      - domain:google.com\n      - serviceAccount:my-other-app@appspot.gserviceaccount.com\n      role: roles/owner\n    - members:\n      - user:sean@example.com\n      role: roles/viewer\n\n\nFor a description of IAM and its features, see the\n[IAM developer's guide](https://cloud.google.com/iam/docs)."},"Operation":{"type":"object","properties":{"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.","type":"string"},"error":{"$ref":"Status","description":"The error result of the operation in case of failure or cancellation."},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object"},"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"},"response":{"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"id":"Operation","description":"This resource represents a long-running operation that is the result of a\nnetwork API call."},"AuditConfig":{"type":"object","properties":{"service":{"description":"Specifies a service that will be enabled for audit logging.\nFor example, `storage.googleapis.com`, `cloudsql.googleapis.com`.\n`allServices` is a special value that covers all services.","type":"string"},"auditLogConfigs":{"description":"The configuration for logging of each type of permission.","type":"array","items":{"$ref":"AuditLogConfig"}}},"id":"AuditConfig","description":"Specifies the audit configuration for a service.\nThe configuration determines which permission types are logged, and what\nidentities, if any, are exempted from logging.\nAn AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service,\nthe union of the two AuditConfigs is used for that service: the log_types\nspecified in each AuditConfig are enabled, and the exempted_members in each\nAuditLogConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n    {\n      \"audit_configs\": [\n        {\n          \"service\": \"allServices\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n              \"exempted_members\": [\n                \"user:foo@gmail.com\"\n              ]\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n            },\n            {\n              \"log_type\": \"ADMIN_READ\",\n            }\n          ]\n        },\n        {\n          \"service\": \"fooservice.googleapis.com\"\n          \"audit_log_configs\": [\n            {\n              \"log_type\": \"DATA_READ\",\n            },\n            {\n              \"log_type\": \"DATA_WRITE\",\n              \"exempted_members\": [\n                \"user:bar@gmail.com\"\n              ]\n            }\n          ]\n        }\n      ]\n    }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ\nlogging. It also exempts foo@gmail.com from DATA_READ logging, and\nbar@gmail.com from DATA_WRITE logging."},"ListAssetsResponse":{"description":"Response message for listing assets.","type":"object","properties":{"listAssetsResults":{"description":"Assets matching the list request.","type":"array","items":{"$ref":"ListAssetsResult"}},"nextPageToken":{"description":"Token to retrieve the next page of results, or empty if there are no more\nresults.","type":"string"},"readTime":{"description":"Time used for executing the list request.","format":"google-datetime","type":"string"},"totalSize":{"description":"The total number of assets matching the query.","format":"int32","type":"integer"}},"id":"ListAssetsResponse"},"Asset":{"description":"Cloud Security Command Center's (Cloud SCC) representation of a Google Cloud\nPlatform (GCP) resource.\n\nThe Asset is a Cloud SCC resource that captures information about a single\nGCP resource. All modifications to an Asset are only within the context of\nCloud SCC and don't affect the referenced GCP resource.","type":"object","properties":{"securityCenterProperties":{"$ref":"SecurityCenterProperties","description":"Cloud SCC managed properties. These properties are managed by\nCloud SCC and cannot be modified by the user."},"createTime":{"description":"The time at which the asset was created in Cloud SCC.","format":"google-datetime","type":"string"},"securityMarks":{"$ref":"SecurityMarks","description":"User specified security marks. These marks are entirely managed by the user\nand come from the SecurityMarks resource that belongs to the asset."},"updateTime":{"description":"The time at which the asset was last updated, added, or deleted in Cloud\nSCC.","format":"google-datetime","type":"string"},"name":{"description":"The relative resource name of this asset. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/assets/456\".","type":"string"},"resourceProperties":{"additionalProperties":{"type":"any"},"description":"Resource managed properties. These properties are managed and defined by\nthe GCP resource and cannot be modified by the user.","type":"object"},"iamPolicy":{"$ref":"IamPolicy","description":"IAM Policy information associated with the GCP resource described by the\nCloud SCC asset. This information is managed and defined by the GCP\nresource and cannot be modified by the user."}},"id":"Asset"},"ListFindingsResult":{"description":"Result containing the Finding and its StateChange.","type":"object","properties":{"finding":{"$ref":"Finding","description":"Finding matching the search request."},"stateChange":{"enum":["UNUSED","CHANGED","UNCHANGED","ADDED","REMOVED"],"description":"State change of the finding between the points in time.","type":"string","enumDescriptions":["State change is unused, this is the canonical default for this enum.","The finding has changed state in some way between the points in time\nand existed at both points.","The finding has not changed state between the points in time and\nexisted at both points.","The finding was created between the points in time.","The finding at timestamp does not match the filter specified, but it\ndid at timestamp - compare_duration."]}},"id":"ListFindingsResult"},"Status":{"type":"object","properties":{"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"type":"string","description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client."}},"id":"Status","description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors)."},"Binding":{"id":"Binding","description":"Associates `members` with a `role`.","type":"object","properties":{"role":{"description":"Role that is assigned to `members`.\nFor example, `roles/viewer`, `roles/editor`, or `roles/owner`.","type":"string"},"condition":{"$ref":"Expr","description":"The condition that is associated with this binding.\nNOTE: An unsatisfied condition will not allow user access via current\nbinding. Different bindings, including their conditions, are examined\nindependently."},"members":{"description":"Specifies the identities requesting access for a Cloud Platform resource.\n`members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is\n   on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone\n   who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google\n   account. For example, `alice@gmail.com` .\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service\n   account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group.\n   For example, `admins@example.com`.\n\n\n* `domain:{domain}`: The G Suite domain (primary) that represents all the\n   users of that domain. For example, `google.com` or `example.com`.\n\n","type":"array","items":{"type":"string"}}}},"AssetDiscoveryConfig":{"id":"AssetDiscoveryConfig","description":"The configuration used for Asset Discovery runs.","type":"object","properties":{"projectIds":{"description":"The project ids to use for filtering asset discovery.","type":"array","items":{"type":"string"}},"inclusionMode":{"enum":["INCLUSION_MODE_UNSPECIFIED","INCLUDE_ONLY","EXCLUDE"],"description":"The mode to use for filtering asset discovery.","type":"string","enumDescriptions":["Unspecified. Setting the mode with this value will disable\ninclusion/exclusion filtering for Asset Discovery.","Asset Discovery will capture only the resources within the projects\nspecified. All other resources will be ignored.","Asset Discovery will ignore all resources under the projects specified.\nAll other resources will be retrieved."]}}},"Expr":{"description":"Represents an expression text. Example:\n\n    title: \"User account presence\"\n    description: \"Determines whether the request has a user account\"\n    expression: \"size(request.user) > 0\"","type":"object","properties":{"expression":{"description":"Textual representation of an expression in\nCommon Expression Language syntax.\n\nThe application context of the containing message determines which\nwell-known feature set of CEL is supported.","type":"string"},"title":{"description":"An optional title for the expression, i.e. a short string describing\nits purpose. This can be used e.g. in UIs which allow to enter the\nexpression.","type":"string"},"location":{"description":"An optional string indicating the location of the expression for error\nreporting, e.g. a file name and a position in the file.","type":"string"},"description":{"description":"An optional description of the expression. This is a longer text which\ndescribes the expression, e.g. when hovered over it in a UI.","type":"string"}},"id":"Expr"},"SetFindingStateRequest":{"description":"Request message for updating a finding's state.","type":"object","properties":{"state":{"enumDescriptions":["Unspecified state.","The finding requires attention and has not been addressed yet.","The finding has been fixed, triaged as a non-issue or otherwise addressed\nand is no longer active."],"enum":["STATE_UNSPECIFIED","ACTIVE","INACTIVE"],"description":"The desired State of the finding.","type":"string"},"startTime":{"type":"string","description":"The time at which the updated state takes effect.","format":"google-datetime"}},"id":"SetFindingStateRequest"},"GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse":{"description":"Response of asset discovery run","type":"object","properties":{"duration":{"description":"The duration between asset discovery run start and end","format":"google-duration","type":"string"},"state":{"type":"string","enumDescriptions":["Asset discovery run state was unspecified.","Asset discovery run completed successfully.","Asset discovery run was cancelled with tasks still pending, as another\nrun for the same organization was started with a higher priority.","Asset discovery run was killed and terminated."],"enum":["STATE_UNSPECIFIED","COMPLETED","SUPERSEDED","TERMINATED"],"description":"The state of an asset discovery run."}},"id":"GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse"},"GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse":{"id":"GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse","description":"Response of asset discovery run","type":"object","properties":{"duration":{"description":"The duration between asset discovery run start and end","format":"google-duration","type":"string"},"state":{"enumDescriptions":["Asset discovery run state was unspecified.","Asset discovery run completed successfully.","Asset discovery run was cancelled with tasks still pending, as another\nrun for the same organization was started with a higher priority.","Asset discovery run was killed and terminated."],"enum":["STATE_UNSPECIFIED","COMPLETED","SUPERSEDED","TERMINATED"],"description":"The state of an asset discovery run.","type":"string"}}},"ListAssetsResult":{"description":"Result containing the Asset and its State.","type":"object","properties":{"stateChange":{"description":"State change of the asset between the points in time.","type":"string","enumDescriptions":["State change is unused, this is the canonical default for this enum.","Asset was added between the points in time.","Asset was removed between the points in time.","Asset was present at both point(s) in time."],"enum":["UNUSED","ADDED","REMOVED","ACTIVE"]},"asset":{"$ref":"Asset","description":"Asset matching the search request."}},"id":"ListAssetsResult"},"ListOperationsResponse":{"id":"ListOperationsResponse","description":"The response message for Operations.ListOperations.","type":"object","properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"operations":{"type":"array","items":{"$ref":"Operation"},"description":"A list of operations that matches the specified filter in the request."}}},"GetIamPolicyRequest":{"description":"Request message for `GetIamPolicy` method.","type":"object","properties":{},"id":"GetIamPolicyRequest"},"TestIamPermissionsResponse":{"id":"TestIamPermissionsResponse","description":"Response message for `TestIamPermissions` method.","type":"object","properties":{"permissions":{"description":"A subset of `TestPermissionsRequest.permissions` that the caller is\nallowed.","type":"array","items":{"type":"string"}}}}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"canonicalName":"Security Command Center","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://securitycenter.googleapis.com/","ownerDomain":"google.com","name":"securitycenter","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Security Command Center API","ownerName":"Google","resources":{"organizations":{"methods":{"updateOrganizationSettings":{"flatPath":"v1/organizations/{organizationsId}/organizationSettings","path":"v1/{+name}","id":"securitycenter.organizations.updateOrganizationSettings","description":"Updates an organization's settings.","request":{"$ref":"OrganizationSettings"},"response":{"$ref":"OrganizationSettings"},"parameterOrder":["name"],"httpMethod":"PATCH","parameters":{"name":{"description":"The relative resource name of the settings. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/organizationSettings\".","required":true,"type":"string","pattern":"^organizations/[^/]+/organizationSettings$","location":"path"},"updateMask":{"description":"The FieldMask to use when updating the settings resource.\n\n If empty all mutable fields will be updated.","format":"google-fieldmask","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"getOrganizationSettings":{"id":"securitycenter.organizations.getOrganizationSettings","path":"v1/{+name}","description":"Gets the settings for an organization.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"OrganizationSettings"},"parameters":{"name":{"required":true,"type":"string","pattern":"^organizations/[^/]+/organizationSettings$","location":"path","description":"Name of the organization to get organization settings for. Its format is\n\"organizations/[organization_id]/organizationSettings\"."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/organizationSettings"}},"resources":{"assets":{"methods":{"group":{"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"GroupAssetsResponse"},"parameters":{"parent":{"required":true,"type":"string","pattern":"^organizations/[^/]+$","location":"path","description":"Name of the organization to groupBy. Its format is\n\"organizations/[organization_id]\"."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/assets:group","id":"securitycenter.organizations.assets.group","path":"v1/{+parent}/assets:group","description":"Filters an organization's assets and  groups them by their specified\nproperties.","request":{"$ref":"GroupAssetsRequest"}},"list":{"path":"v1/{+parent}/assets","id":"securitycenter.organizations.assets.list","description":"Lists an organization's assets.","response":{"$ref":"ListAssetsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"description":"Name of the organization assets should belong to. Its format is\n\"organizations/[organization_id]\".","required":true,"type":"string","pattern":"^organizations/[^/]+$","location":"path"},"orderBy":{"location":"query","description":"Expression that defines what fields and order to use for sorting. The\nstring value should follow SQL syntax: comma separated list of fields. For\nexample: \"name,resource_properties.a_property\". The default sorting order\nis ascending. To specify descending order for a field, a suffix \" desc\"\nshould be appended to the field name. For example: \"name\ndesc,resource_properties.a_property\". Redundant space characters in the\nsyntax are insignificant. \"name desc,resource_properties.a_property\" and \"\nname     desc  ,   resource_properties.a_property  \" are equivalent.\n\nThe following fields are supported:\nname\nupdate_time\nresource_properties\nsecurity_marks\nsecurity_center_properties.resource_name\nsecurity_center_properties.resource_parent\nsecurity_center_properties.resource_project\nsecurity_center_properties.resource_type","type":"string"},"readTime":{"location":"query","description":"Time used as a reference point when filtering assets. The filter is limited\nto assets existing at the supplied time and their values are those at that\nspecific time. Absence of this field will default to the API's version of\nNOW.","format":"google-datetime","type":"string"},"compareDuration":{"location":"query","description":"When compare_duration is set, the ListAssetsResult's \"state_change\"\nattribute is updated to indicate whether the asset was added, removed, or\nremained present during the compare_duration period of time that precedes\nthe read_time. This is the time between (read_time - compare_duration) and\nread_time.\n\nThe state_change value is derived based on the presence of the asset at the\ntwo points in time. Intermediate state changes between the two times don't\naffect the result. For example, the results aren't affected if the asset is\nremoved and re-created again.\n\nPossible \"state_change\" values when compare_duration is specified:\n\n* \"ADDED\":   indicates that the asset was not present at the start of\n               compare_duration, but present at read_time.\n* \"REMOVED\": indicates that the asset was present at the start of\n               compare_duration, but not present at read_time.\n* \"ACTIVE\":  indicates that the asset was present at both the\n               start and the end of the time period defined by\n               compare_duration and read_time.\n\nIf compare_duration is not specified, then the only possible state_change\nis \"UNUSED\",  which will be the state_change set for all assets present at\nread_time.","format":"google-duration","type":"string"},"filter":{"type":"string","location":"query","description":"Expression that defines the filter to apply across assets.\nThe expression is a list of zero or more restrictions combined via logical\noperators `AND` and `OR`.\nParentheses are supported, and `OR` has higher precedence than `AND`.\n\nRestrictions have the form `<field> <operator> <value>` and may have a `-`\ncharacter in front of them to indicate negation. The fields map to those\ndefined in the Asset resource. Examples include:\n\n* name\n* security_center_properties.resource_name\n* resource_properties.a_property\n* security_marks.marks.marka\n\nThe supported operators are:\n\n* `=` for all value types.\n* `>`, `<`, `>=`, `<=` for integer values.\n* `:`, meaning substring matching, for strings.\n\nThe supported value types are:\n\n* string literals in quotes.\n* integer literals without quotes.\n* boolean literals `true` and `false` without quotes.\n\nThe following are the allowed field and operator combinations:\n\n* name: `=`\n* update_time: `>`, `<`, `>=`, `<=`\n* iam_policy.policy_blob: `=`, `:`\n* resource_properties: `=`, `:`, `>`, `<`, `>=`, `<=`\n* security_marks: `=`, `:`\n* security_center_properties.resource_name: `=`, `:`\n* security_center_properties.resource_type: `=`, `:`\n* security_center_properties.resource_parent: `=`, `:`\n* security_center_properties.resource_project: `=`, `:`\n* security_center_properties.resource_owners: `=`, `:`\n\nFor example, `resource_properties.size = 100` is a valid filter string."},"fieldMask":{"location":"query","description":"Optional.\n\nA field mask to specify the ListAssetsResult fields to be listed in the\nresponse.\nAn empty field mask will list all fields.","format":"google-fieldmask","type":"string"},"pageToken":{"location":"query","description":"The value returned by the last `ListAssetsResponse`; indicates\nthat this is a continuation of a prior `ListAssets` call, and\nthat the system should return the next page of data.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of results to return in a single response. Default is\n10, minimum is 1, maximum is 1000.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/assets"},"runDiscovery":{"id":"securitycenter.organizations.assets.runDiscovery","path":"v1/{+parent}/assets:runDiscovery","description":"Runs asset discovery. The discovery is tracked with a long-running\noperation.\n\nThis API can only be called with limited frequency for an organization. If\nit is called too frequently the caller will receive a TOO_MANY_REQUESTS\nerror.","request":{"$ref":"RunAssetDiscoveryRequest"},"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"Operation"},"parameters":{"parent":{"pattern":"^organizations/[^/]+$","location":"path","description":"Name of the organization to run asset discovery for. Its format is\n\"organizations/[organization_id]\".","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/assets:runDiscovery"},"updateSecurityMarks":{"httpMethod":"PATCH","parameterOrder":["name"],"response":{"$ref":"SecurityMarks"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"location":"query","description":"The FieldMask to use when updating the security marks resource.\n\nThe field mask must not contain duplicate fields.\nIf empty or set to \"marks\", all marks will be replaced.  Individual\nmarks can be updated using \"marks.<mark_key>\".","format":"google-fieldmask","type":"string"},"name":{"pattern":"^organizations/[^/]+/assets/[^/]+/securityMarks$","location":"path","description":"The relative resource name of the SecurityMarks. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExamples:\n\"organizations/123/assets/456/securityMarks\"\n\"organizations/123/sources/456/findings/789/securityMarks\".","required":true,"type":"string"},"startTime":{"type":"string","location":"query","description":"The time at which the updated SecurityMarks take effect.\nIf not set uses current server time.  Updates will be applied to the\nSecurityMarks that are active immediately preceding this time.","format":"google-datetime"}},"flatPath":"v1/organizations/{organizationsId}/assets/{assetsId}/securityMarks","id":"securitycenter.organizations.assets.updateSecurityMarks","path":"v1/{+name}","request":{"$ref":"SecurityMarks"},"description":"Updates security marks."}}},"sources":{"methods":{"getIamPolicy":{"httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"resource":{"pattern":"^organizations/[^/]+/sources/[^/]+$","location":"path","description":"REQUIRED: The resource for which the policy is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string"}},"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}:getIamPolicy","id":"securitycenter.organizations.sources.getIamPolicy","path":"v1/{+resource}:getIamPolicy","request":{"$ref":"GetIamPolicyRequest"},"description":"Gets the access control policy on the specified Source."},"patch":{"path":"v1/{+name}","id":"securitycenter.organizations.sources.patch","request":{"$ref":"Source"},"description":"Updates a source.","response":{"$ref":"Source"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^organizations/[^/]+/sources/[^/]+$","location":"path","description":"The relative resource name of this source. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/sources/456\"","required":true,"type":"string"},"updateMask":{"location":"query","description":"The FieldMask to use when updating the source resource.\n\nIf empty all mutable fields will be updated.","format":"google-fieldmask","type":"string"}},"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}"},"get":{"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}","path":"v1/{+name}","id":"securitycenter.organizations.sources.get","description":"Gets a source.","response":{"$ref":"Source"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"pattern":"^organizations/[^/]+/sources/[^/]+$","location":"path","description":"Relative resource name of the source. Its format is\n\"organizations/[organization_id]/source/[source_id]\".","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"testIamPermissions":{"httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"TestIamPermissionsResponse"},"parameters":{"resource":{"location":"path","description":"REQUIRED: The resource for which the policy detail is being requested.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^organizations/[^/]+/sources/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}:testIamPermissions","id":"securitycenter.organizations.sources.testIamPermissions","path":"v1/{+resource}:testIamPermissions","description":"Returns the permissions that a caller has on the specified source.","request":{"$ref":"TestIamPermissionsRequest"}},"list":{"description":"Lists all sources belonging to an organization.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListSourcesResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"required":true,"type":"string","pattern":"^organizations/[^/]+$","location":"path","description":"Resource name of the parent of sources to list. Its format should be\n\"organizations/[organization_id]\"."},"pageToken":{"location":"query","description":"The value returned by the last `ListSourcesResponse`; indicates\nthat this is a continuation of a prior `ListSources` call, and\nthat the system should return the next page of data.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of results to return in a single response. Default is\n10, minimum is 1, maximum is 1000.","format":"int32","type":"integer"}},"flatPath":"v1/organizations/{organizationsId}/sources","id":"securitycenter.organizations.sources.list","path":"v1/{+parent}/sources"},"create":{"response":{"$ref":"Source"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"location":"path","description":"Resource name of the new source's parent. Its format should be\n\"organizations/[organization_id]\".","required":true,"type":"string","pattern":"^organizations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/sources","path":"v1/{+parent}/sources","id":"securitycenter.organizations.sources.create","description":"Creates a source.","request":{"$ref":"Source"}},"setIamPolicy":{"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}:setIamPolicy","id":"securitycenter.organizations.sources.setIamPolicy","path":"v1/{+resource}:setIamPolicy","description":"Sets the access control policy on the specified Source.","request":{"$ref":"SetIamPolicyRequest"},"httpMethod":"POST","parameterOrder":["resource"],"response":{"$ref":"Policy"},"parameters":{"resource":{"description":"REQUIRED: The resource for which the policy is being specified.\nSee the operation documentation for the appropriate value for this field.","required":true,"type":"string","pattern":"^organizations/[^/]+/sources/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]}},"resources":{"findings":{"methods":{"list":{"response":{"$ref":"ListFindingsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"filter":{"location":"query","description":"Expression that defines the filter to apply across findings.\nThe expression is a list of one or more restrictions combined via logical\noperators `AND` and `OR`.\nParentheses are supported, and `OR` has higher precedence than `AND`.\n\nRestrictions have the form `<field> <operator> <value>` and may have a `-`\ncharacter in front of them to indicate negation. Examples include:\n\n * name\n * source_properties.a_property\n * security_marks.marks.marka\n\nThe supported operators are:\n\n* `=` for all value types.\n* `>`, `<`, `>=`, `<=` for integer values.\n* `:`, meaning substring matching, for strings.\n\nThe supported value types are:\n\n* string literals in quotes.\n* integer literals without quotes.\n* boolean literals `true` and `false` without quotes.\n\nThe following field and operator combinations are supported:\n\nname: `=`\nparent: `=`, `:`\nresource_name: `=`, `:`\nstate: `=`, `:`\ncategory: `=`, `:`\nexternal_uri: `=`, `:`\nevent_time: `>`, `<`, `>=`, `<=`\nsecurity_marks: `=`, `:`\nsource_properties: `=`, `:`, `>`, `<`, `>=`, `<=`\n\nFor example, `source_properties.size = 100` is a valid filter string.","type":"string"},"fieldMask":{"type":"string","location":"query","description":"Optional.\n\nA field mask to specify the Finding fields to be listed in the response.\nAn empty field mask will list all fields.","format":"google-fieldmask"},"pageToken":{"location":"query","description":"The value returned by the last `ListFindingsResponse`; indicates\nthat this is a continuation of a prior `ListFindings` call, and\nthat the system should return the next page of data.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of results to return in a single response. Default is\n10, minimum is 1, maximum is 1000.","format":"int32","type":"integer"},"parent":{"location":"path","description":"Name of the source the findings belong to. Its format is\n\"organizations/[organization_id]/sources/[source_id]\". To list across all\nsources provide a source_id of `-`. For example:\norganizations/123/sources/-","required":true,"type":"string","pattern":"^organizations/[^/]+/sources/[^/]+$"},"orderBy":{"location":"query","description":"Expression that defines what fields and order to use for sorting. The\nstring value should follow SQL syntax: comma separated list of fields. For\nexample: \"name,resource_properties.a_property\". The default sorting order\nis ascending. To specify descending order for a field, a suffix \" desc\"\nshould be appended to the field name. For example: \"name\ndesc,source_properties.a_property\". Redundant space characters in the\nsyntax are insignificant. \"name desc,source_properties.a_property\" and \"\nname     desc  ,   source_properties.a_property  \" are equivalent.\n\nThe following fields are supported:\nname\nparent\nstate\ncategory\nresource_name\nevent_time\nsource_properties\nsecurity_marks","type":"string"},"readTime":{"description":"Time used as a reference point when filtering findings. The filter is\nlimited to findings existing at the supplied time and their values are\nthose at that specific time. Absence of this field will default to the\nAPI's version of NOW.","format":"google-datetime","type":"string","location":"query"},"compareDuration":{"type":"string","location":"query","description":"When compare_duration is set, the ListFindingsResult's \"state_change\"\nattribute is updated to indicate whether the finding had its state changed,\nthe finding's state remained unchanged, or if the finding was added in any\nstate during the compare_duration period of time that precedes the\nread_time. This is the time between (read_time - compare_duration) and\nread_time.\n\nThe state_change value is derived based on the presence and state of the\nfinding at the two points in time. Intermediate state changes between the\ntwo times don't affect the result. For example, the results aren't affected\nif the finding is made inactive and then active again.\n\nPossible \"state_change\" values when compare_duration is specified:\n\n* \"CHANGED\":   indicates that the finding was present at the start of\n                 compare_duration, but changed its state at read_time.\n* \"UNCHANGED\": indicates that the finding was present at the start of\n                 compare_duration and did not change state at read_time.\n* \"ADDED\":     indicates that the finding was not present at the start\n                 of compare_duration, but was present at read_time.\n\nIf compare_duration is not specified, then the only possible state_change\nis \"UNUSED\", which will be the state_change set for all findings present at\nread_time.","format":"google-duration"}},"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}/findings","path":"v1/{+parent}/findings","id":"securitycenter.organizations.sources.findings.list","description":"Lists an organization or source's findings.\n\nTo list across all sources provide a `-` as the source id.\nExample: /v1/organizations/123/sources/-/findings"},"create":{"request":{"$ref":"Finding"},"description":"Creates a finding. The corresponding source must exist for finding creation\nto succeed.","response":{"$ref":"Finding"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"findingId":{"type":"string","location":"query","description":"Unique identifier provided by the client within the parent scope.\nIt must be alphanumeric and less than or equal to 32 characters and\ngreater than 0 characters in length."},"parent":{"pattern":"^organizations/[^/]+/sources/[^/]+$","location":"path","description":"Resource name of the new finding's parent. Its format should be\n\"organizations/[organization_id]/sources/[source_id]\".","required":true,"type":"string"}},"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}/findings","path":"v1/{+parent}/findings","id":"securitycenter.organizations.sources.findings.create"},"group":{"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"pattern":"^organizations/[^/]+/sources/[^/]+$","location":"path","description":"Name of the source to groupBy. Its format is\n\"organizations/[organization_id]/sources/[source_id]\". To groupBy across\nall sources provide a source_id of `-`. For example:\norganizations/123/sources/-","required":true,"type":"string"}},"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}/findings:group","id":"securitycenter.organizations.sources.findings.group","path":"v1/{+parent}/findings:group","request":{"$ref":"GroupFindingsRequest"},"description":"Filters an organization or source's findings and  groups them by their\nspecified properties.\n\nTo group across all sources provide a `-` as the source id.\nExample: /v1/organizations/123/sources/-/findings","httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"GroupFindingsResponse"}},"patch":{"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}","path":"v1/{+name}","id":"securitycenter.organizations.sources.findings.patch","request":{"$ref":"Finding"},"description":"Creates or updates a finding. The corresponding source must exist for a\nfinding creation to succeed.","response":{"$ref":"Finding"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"location":"query","description":"The FieldMask to use when updating the finding resource. This field should\nnot be specified when creating a finding.\n\nWhen updating a finding, an empty mask is treated as updating all mutable\nfields and replacing source_properties.  Individual source_properties can\nbe added/updated by using \"source_properties.<property key>\" in the field\nmask.","format":"google-fieldmask","type":"string"},"name":{"description":"The relative resource name of this finding. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/sources/456/findings/789\"","required":true,"type":"string","pattern":"^organizations/[^/]+/sources/[^/]+/findings/[^/]+$","location":"path"}}},"updateSecurityMarks":{"response":{"$ref":"SecurityMarks"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"The relative resource name of the SecurityMarks. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExamples:\n\"organizations/123/assets/456/securityMarks\"\n\"organizations/123/sources/456/findings/789/securityMarks\".","required":true,"type":"string","pattern":"^organizations/[^/]+/sources/[^/]+/findings/[^/]+/securityMarks$"},"startTime":{"description":"The time at which the updated SecurityMarks take effect.\nIf not set uses current server time.  Updates will be applied to the\nSecurityMarks that are active immediately preceding this time.","format":"google-datetime","type":"string","location":"query"},"updateMask":{"type":"string","location":"query","description":"The FieldMask to use when updating the security marks resource.\n\nThe field mask must not contain duplicate fields.\nIf empty or set to \"marks\", all marks will be replaced.  Individual\nmarks can be updated using \"marks.<mark_key>\".","format":"google-fieldmask"}},"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}/securityMarks","path":"v1/{+name}","id":"securitycenter.organizations.sources.findings.updateSecurityMarks","request":{"$ref":"SecurityMarks"},"description":"Updates security marks."},"setState":{"description":"Updates the state of a finding.","request":{"$ref":"SetFindingStateRequest"},"httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"Finding"},"parameters":{"name":{"location":"path","description":"The relative resource name of the finding. See:\nhttps://cloud.google.com/apis/design/resource_names#relative_resource_name\nExample:\n\"organizations/123/sources/456/finding/789\".","required":true,"type":"string","pattern":"^organizations/[^/]+/sources/[^/]+/findings/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}:setState","id":"securitycenter.organizations.sources.findings.setState","path":"v1/{+name}:setState"}}}}},"operations":{"methods":{"cancel":{"path":"v1/{+name}:cancel","id":"securitycenter.organizations.operations.cancel","description":"Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the operation resource to be cancelled.","required":true,"type":"string","pattern":"^organizations/[^/]+/operations/[^/]+$","location":"path"}},"flatPath":"v1/organizations/{organizationsId}/operations/{operationsId}:cancel"},"delete":{"httpMethod":"DELETE","parameterOrder":["name"],"response":{"$ref":"Empty"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The name of the operation resource to be deleted.","required":true,"type":"string","pattern":"^organizations/[^/]+/operations/[^/]+$","location":"path"}},"flatPath":"v1/organizations/{organizationsId}/operations/{operationsId}","id":"securitycenter.organizations.operations.delete","path":"v1/{+name}","description":"Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`."},"list":{"path":"v1/{+name}","id":"securitycenter.organizations.operations.list","description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.","response":{"$ref":"ListOperationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"filter":{"location":"query","description":"The standard list filter.","type":"string"},"name":{"location":"path","description":"The name of the operation's parent resource.","required":true,"type":"string","pattern":"^organizations/[^/]+/operations$"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"type":"integer","location":"query","description":"The standard list page size.","format":"int32"}},"flatPath":"v1/organizations/{organizationsId}/operations"},"get":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"location":"path","description":"The name of the operation resource.","required":true,"type":"string","pattern":"^organizations/[^/]+/operations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1/organizations/{organizationsId}/operations/{operationsId}","path":"v1/{+name}","id":"securitycenter.organizations.operations.get","description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice."}}}}}},"parameters":{"access_token":{"type":"string","location":"query","description":"OAuth access token."},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"description":"OAuth 2.0 token for the current user.","type":"string","location":"query"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]}},"version":"v1","baseUrl":"https://securitycenter.googleapis.com/","servicePath":"","description":"Cloud Security Command Center API provides access to temporal views of assets and findings within an organization.","kind":"discovery#restDescription"};