export default {"kind":"discovery#restDescription","etag":"\"9eZ1uxVRThTDhLJCZHhqs3eQWz4/LRkkAS7hoxkBOrIOmm_GjUTQ6v8\"","discoveryVersion":"v1","id":"sqladmin:v1beta4","name":"sqladmin","canonicalName":"SQL Admin","version":"v1beta4","revision":"20190607","title":"Cloud SQL Admin API","description":"Creates and manages Cloud SQL instances, which provide fully managed MySQL or PostgreSQL databases.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png","x32":"https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png"},"documentationLink":"https://cloud.google.com/sql/docs/reference/latest","protocol":"rest","baseUrl":"https://www.googleapis.com/sql/v1beta4/","basePath":"/sql/v1beta4/","rootUrl":"https://www.googleapis.com/","servicePath":"sql/v1beta4/","batchPath":"batch/sqladmin/v1beta4","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/sqlservice.admin":{"description":"Manage your Google SQL Service instances"}}}},"schemas":{"AclEntry":{"id":"AclEntry","type":"object","description":"An entry for an Access Control list.","properties":{"expirationTime":{"type":"string","description":"The time when this access control entry expires in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"kind":{"type":"string","description":"This is always sql#aclEntry.","default":"sql#aclEntry"},"name":{"type":"string","description":"An optional label to identify this entry."},"value":{"type":"string","description":"The whitelisted value for the access control list."}}},"ApiWarning":{"id":"ApiWarning","type":"object","description":"An Admin API warning message.","properties":{"code":{"type":"string","description":"Code to uniquely identify the warning type."},"message":{"type":"string","description":"The warning message."}}},"BackupConfiguration":{"id":"BackupConfiguration","type":"object","description":"Database instance backup configuration.","properties":{"binaryLogEnabled":{"type":"boolean","description":"Whether binary log is enabled. If backup configuration is disabled, binary log must be disabled as well."},"enabled":{"type":"boolean","description":"Whether this configuration is enabled."},"kind":{"type":"string","description":"This is always sql#backupConfiguration.","default":"sql#backupConfiguration"},"location":{"type":"string","description":"The location of the backup."},"replicationLogArchivingEnabled":{"type":"boolean","description":"Reserved for future use."},"startTime":{"type":"string","description":"Start time for the daily backup configuration in UTC timezone in the 24 hour format - HH:MM."}}},"BackupRun":{"id":"BackupRun","type":"object","description":"A BackupRun resource.","properties":{"description":{"type":"string","description":"The description of this run, only applicable to on-demand backups."},"endTime":{"type":"string","description":"The time the backup operation completed in UTC timezone in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"enqueuedTime":{"type":"string","description":"The time the run was enqueued in UTC timezone in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"error":{"$ref":"OperationError","description":"Information about why the backup operation failed. This is only present if the run has the FAILED status."},"id":{"type":"string","description":"The identifier for this backup run. Unique only for a specific Cloud SQL instance.","format":"int64"},"instance":{"type":"string","description":"Name of the database instance."},"kind":{"type":"string","description":"This is always sql#backupRun.","default":"sql#backupRun"},"location":{"type":"string","description":"The location of the backup."},"selfLink":{"type":"string","description":"The URI of this resource."},"startTime":{"type":"string","description":"The time the backup operation actually started in UTC timezone in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"status":{"type":"string","description":"The status of this run."},"type":{"type":"string","description":"The type of this run; can be either \"AUTOMATED\" or \"ON_DEMAND\"."},"windowStartTime":{"type":"string","description":"The start time of the backup window during which this the backup was attempted in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"}}},"BackupRunsListResponse":{"id":"BackupRunsListResponse","type":"object","description":"Backup run list results.","properties":{"items":{"type":"array","description":"A list of backup runs in reverse chronological order of the enqueued time.","items":{"$ref":"BackupRun"}},"kind":{"type":"string","description":"This is always sql#backupRunsList.","default":"sql#backupRunsList"},"nextPageToken":{"type":"string","description":"The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results."}}},"BinLogCoordinates":{"id":"BinLogCoordinates","type":"object","description":"Binary log coordinates.","properties":{"binLogFileName":{"type":"string","description":"Name of the binary log file for a Cloud SQL instance."},"binLogPosition":{"type":"string","description":"Position (offset) within the binary log file.","format":"int64"},"kind":{"type":"string","description":"This is always sql#binLogCoordinates.","default":"sql#binLogCoordinates"}}},"CloneContext":{"id":"CloneContext","type":"object","description":"Database instance clone context.","properties":{"binLogCoordinates":{"$ref":"BinLogCoordinates","description":"Binary log coordinates, if specified, identify the position up to which the source instance should be cloned. If not specified, the source instance is cloned up to the most recent binary log coordinates."},"destinationInstanceName":{"type":"string","description":"Name of the Cloud SQL instance to be created as a clone."},"kind":{"type":"string","description":"This is always sql#cloneContext.","default":"sql#cloneContext"},"pitrTimestampMs":{"type":"string","description":"Reserved for future use.","format":"int64"}}},"Database":{"id":"Database","type":"object","description":"Represents a SQL database on the Cloud SQL instance.","properties":{"charset":{"type":"string","description":"The MySQL charset value."},"collation":{"type":"string","description":"The MySQL collation value."},"etag":{"type":"string","description":"This field is deprecated and will be removed from a future version of the API."},"instance":{"type":"string","description":"The name of the Cloud SQL instance. This does not include the project ID.","annotations":{"required":["sql.databases.insert"]}},"kind":{"type":"string","description":"This is always sql#database.","default":"sql#database"},"name":{"type":"string","description":"The name of the database in the Cloud SQL instance. This does not include the project ID or instance name.","annotations":{"required":["sql.databases.insert"]}},"project":{"type":"string","description":"The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable.","annotations":{"required":["sql.databases.insert"]}},"selfLink":{"type":"string","description":"The URI of this resource."}}},"DatabaseFlags":{"id":"DatabaseFlags","type":"object","description":"Database flags for Cloud SQL instances.","properties":{"name":{"type":"string","description":"The name of the flag. These flags are passed at instance startup, so include both server options and system variables for MySQL. Flags should be specified with underscores, not hyphens. For more information, see Configuring Database Flags in the Cloud SQL documentation."},"value":{"type":"string","description":"The value of the flag. Booleans should be set to on for true and off for false. This field must be omitted if the flag doesn't take a value."}}},"DatabaseInstance":{"id":"DatabaseInstance","type":"object","description":"A Cloud SQL instance resource.","properties":{"backendType":{"type":"string","description":"FIRST_GEN: First Generation instance. MySQL only.\nSECOND_GEN: Second Generation instance or PostgreSQL instance.\nEXTERNAL: A database server that is not managed by Google.\nThis property is read-only; use the tier property in the settings object to determine the database type and Second or First Generation."},"connectionName":{"type":"string","description":"Connection name of the Cloud SQL instance used in connection strings."},"currentDiskSize":{"type":"string","description":"The current disk usage of the instance in bytes. This property has been deprecated. Users should use the \"cloudsql.googleapis.com/database/disk/bytes_used\" metric in Cloud Monitoring API instead. Please see this announcement for details.","format":"int64"},"databaseVersion":{"type":"string","description":"The database engine type and version. The databaseVersion field can not be changed after instance creation. MySQL Second Generation instances: MYSQL_5_7 (default) or MYSQL_5_6. PostgreSQL instances: POSTGRES_9_6 (default) or POSTGRES_11 Beta. MySQL First Generation instances: MYSQL_5_6 (default) or MYSQL_5_5"},"diskEncryptionConfiguration":{"$ref":"DiskEncryptionConfiguration","description":"Disk encryption configuration specific to an instance. Applies only to Second Generation instances."},"diskEncryptionStatus":{"$ref":"DiskEncryptionStatus","description":"Disk encryption status specific to an instance. Applies only to Second Generation instances."},"etag":{"type":"string","description":"This field is deprecated and will be removed from a future version of the API. Use the settings.settingsVersion field instead."},"failoverReplica":{"type":"object","description":"The name and status of the failover replica. This property is applicable only to Second Generation instances.","properties":{"available":{"type":"boolean","description":"The availability status of the failover replica. A false status indicates that the failover replica is out of sync. The master can only failover to the falover replica when the status is true."},"name":{"type":"string","description":"The name of the failover replica. If specified at instance creation, a failover replica is created for the instance. The name doesn't include the project ID. This property is applicable only to Second Generation instances."}}},"gceZone":{"type":"string","description":"The Compute Engine zone that the instance is currently serving from. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary zone."},"instanceType":{"type":"string","description":"The instance type. This can be one of the following.\nCLOUD_SQL_INSTANCE: A Cloud SQL instance that is not replicating from a master.\nON_PREMISES_INSTANCE: An instance running on the customer's premises.\nREAD_REPLICA_INSTANCE: A Cloud SQL instance configured as a read-replica."},"ipAddresses":{"type":"array","description":"The assigned IP addresses for the instance.","items":{"$ref":"IpMapping"}},"ipv6Address":{"type":"string","description":"The IPv6 address assigned to the instance. This property is applicable only to First Generation instances."},"kind":{"type":"string","description":"This is always sql#instance.","default":"sql#instance"},"masterInstanceName":{"type":"string","description":"The name of the instance which will act as master in the replication setup."},"maxDiskSize":{"type":"string","description":"The maximum disk size of the instance in bytes.","format":"int64"},"name":{"type":"string","description":"Name of the Cloud SQL instance. This does not include the project ID.","annotations":{"required":["sql.instances.insert"]}},"onPremisesConfiguration":{"$ref":"OnPremisesConfiguration","description":"Configuration specific to on-premises instances."},"project":{"type":"string","description":"The project ID of the project containing the Cloud SQL instance. The Google apps domain is prefixed if applicable."},"region":{"type":"string","description":"The geographical region. Can be us-central (FIRST_GEN instances only), us-central1 (SECOND_GEN instances only), asia-east1 or europe-west1. Defaults to us-central or us-central1 depending on the instance type (First Generation or Second Generation). The region can not be changed after instance creation."},"replicaConfiguration":{"$ref":"ReplicaConfiguration","description":"Configuration specific to failover replicas and read replicas."},"replicaNames":{"type":"array","description":"The replicas of the instance.","items":{"type":"string"}},"rootPassword":{"type":"string","description":"Initial root password. Use only on creation."},"selfLink":{"type":"string","description":"The URI of this resource."},"serverCaCert":{"$ref":"SslCert","description":"SSL configuration."},"serviceAccountEmailAddress":{"type":"string","description":"The service account email address assigned to the instance. This property is applicable only to Second Generation instances."},"settings":{"$ref":"Settings","description":"The user settings.","annotations":{"required":["sql.instances.insert","sql.instances.update"]}},"state":{"type":"string","description":"The current serving state of the Cloud SQL instance. This can be one of the following.\nRUNNABLE: The instance is running, or is ready to run when accessed.\nSUSPENDED: The instance is not available, for example due to problems with billing.\nPENDING_CREATE: The instance is being created.\nMAINTENANCE: The instance is down for maintenance.\nFAILED: The instance creation failed.\nUNKNOWN_STATE: The state of the instance is unknown."},"suspensionReason":{"type":"array","description":"If the instance state is SUSPENDED, the reason for the suspension.","items":{"type":"string"}}}},"DatabasesListResponse":{"id":"DatabasesListResponse","type":"object","description":"Database list response.","properties":{"items":{"type":"array","description":"List of database resources in the instance.","items":{"$ref":"Database"}},"kind":{"type":"string","description":"This is always sql#databasesList.","default":"sql#databasesList"}}},"DemoteMasterConfiguration":{"id":"DemoteMasterConfiguration","type":"object","description":"Read-replica configuration for connecting to the on-premises master.","properties":{"kind":{"type":"string","description":"This is always sql#demoteMasterConfiguration.","default":"sql#demoteMasterConfiguration"},"mysqlReplicaConfiguration":{"$ref":"DemoteMasterMySqlReplicaConfiguration","description":"MySQL specific configuration when replicating from a MySQL on-premises master. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named master.info in the data directory."}}},"DemoteMasterContext":{"id":"DemoteMasterContext","type":"object","description":"Database instance demote master context.","properties":{"kind":{"type":"string","description":"This is always sql#demoteMasterContext.","default":"sql#demoteMasterContext"},"masterInstanceName":{"type":"string","description":"The name of the instance which will act as on-premises master in the replication setup."},"replicaConfiguration":{"$ref":"DemoteMasterConfiguration","description":"Configuration specific to read-replicas replicating from the on-premises master."},"verifyGtidConsistency":{"type":"boolean","description":"Verify GTID consistency for demote operation. Default value: True. Second Generation instances only. Setting this flag to false enables you to bypass GTID consistency check between on-premises master and Cloud SQL instance during the demotion operation but also exposes you to the risk of future replication failures. Change the value only if you know the reason for the GTID divergence and are confident that doing so will not cause any replication issues."}}},"DemoteMasterMySqlReplicaConfiguration":{"id":"DemoteMasterMySqlReplicaConfiguration","type":"object","description":"Read-replica configuration specific to MySQL databases.","properties":{"caCertificate":{"type":"string","description":"PEM representation of the trusted CA's x509 certificate."},"clientCertificate":{"type":"string","description":"PEM representation of the slave's x509 certificate."},"clientKey":{"type":"string","description":"PEM representation of the slave's private key. The corresponsing public key is encoded in the client's certificate. The format of the slave's private key can be either PKCS #1 or PKCS #8."},"kind":{"type":"string","description":"This is always sql#demoteMasterMysqlReplicaConfiguration.","default":"sql#demoteMasterMysqlReplicaConfiguration"},"password":{"type":"string","description":"The password for the replication connection."},"username":{"type":"string","description":"The username for the replication connection."}}},"DiskEncryptionConfiguration":{"id":"DiskEncryptionConfiguration","type":"object","description":"Disk encryption configuration.","properties":{"kind":{"type":"string","description":"This is always sql#diskEncryptionConfiguration.","default":"sql#diskEncryptionConfiguration"},"kmsKeyName":{"type":"string","description":"KMS key resource name"}}},"DiskEncryptionStatus":{"id":"DiskEncryptionStatus","type":"object","description":"Disk encryption status.","properties":{"kind":{"type":"string","description":"This is always sql#diskEncryptionStatus.","default":"sql#diskEncryptionStatus"},"kmsKeyVersionName":{"type":"string","description":"KMS key version used to encrypt the Cloud SQL instance disk"}}},"ExportContext":{"id":"ExportContext","type":"object","description":"Database instance export context.","properties":{"csvExportOptions":{"type":"object","description":"Options for exporting data as CSV.","properties":{"selectQuery":{"type":"string","description":"The select query used to extract the data."}}},"databases":{"type":"array","description":"Databases to be exported.\nMySQL instances: If fileType is SQL and no database is specified, all databases are exported, except for the mysql system database. If fileType is CSV, you can specify one database, either by using this property or by using the csvExportOptions.selectQuery property, which takes precedence over this property.\nPostgreSQL instances: Specify exactly one database to be exported. If fileType is CSV, this database must match the database used in the csvExportOptions.selectQuery property.","items":{"type":"string"}},"fileType":{"type":"string","description":"The file type for the specified uri.\nSQL: The file contains SQL statements.\nCSV: The file contains CSV data."},"kind":{"type":"string","description":"This is always sql#exportContext.","default":"sql#exportContext"},"sqlExportOptions":{"type":"object","description":"Options for exporting data as SQL statements.","properties":{"mysqlExportOptions":{"type":"object","description":"Options for exporting from MySQL.","properties":{"masterData":{"type":"integer","description":"Option to include SQL statement required to set up replication. If set to 1, the dump file includes a CHANGE MASTER TO statement with the binary log coordinates. If set to 2, the CHANGE MASTER TO statement is written as a SQL comment, and has no effect. All other values are ignored.","format":"int32"}}},"schemaOnly":{"type":"boolean","description":"Export only schemas."},"tables":{"type":"array","description":"Tables to export, or that were exported, from the specified database. If you specify tables, specify one and only one database. For PostgreSQL instances, you can specify only one table.","items":{"type":"string"}}}},"uri":{"type":"string","description":"The path to the file in Google Cloud Storage where the export will be stored. The URI is in the form gs://bucketName/fileName. If the file already exists, the requests succeeds, but the operation fails. If fileType is SQL and the filename ends with .gz, the contents are compressed."}}},"FailoverContext":{"id":"FailoverContext","type":"object","description":"Database instance failover context.","properties":{"kind":{"type":"string","description":"This is always sql#failoverContext.","default":"sql#failoverContext"},"settingsVersion":{"type":"string","description":"The current settings version of this instance. Request will be rejected if this version doesn't match the current settings version.","format":"int64"}}},"Flag":{"id":"Flag","type":"object","description":"A flag resource.","properties":{"allowedStringValues":{"type":"array","description":"For STRING flags, a list of strings that the value can be set to.","items":{"type":"string"}},"appliesTo":{"type":"array","description":"The database version this flag applies to. Can be MYSQL_5_5, MYSQL_5_6, or MYSQL_5_7. MYSQL_5_7 is applicable only to Second Generation instances.","items":{"type":"string"}},"inBeta":{"type":"boolean","description":"True if the flag is only released in Beta."},"kind":{"type":"string","description":"This is always sql#flag.","default":"sql#flag"},"maxValue":{"type":"string","description":"For INTEGER flags, the maximum allowed value.","format":"int64"},"minValue":{"type":"string","description":"For INTEGER flags, the minimum allowed value.","format":"int64"},"name":{"type":"string","description":"This is the name of the flag. Flag names always use underscores, not hyphens, e.g. max_allowed_packet"},"requiresRestart":{"type":"boolean","description":"Indicates whether changing this flag will trigger a database restart. Only applicable to Second Generation instances."},"type":{"type":"string","description":"The type of the flag. Flags are typed to being BOOLEAN, STRING, INTEGER or NONE. NONE is used for flags which do not take a value, such as skip_grant_tables."}}},"FlagsListResponse":{"id":"FlagsListResponse","type":"object","description":"Flags list response.","properties":{"items":{"type":"array","description":"List of flags.","items":{"$ref":"Flag"}},"kind":{"type":"string","description":"This is always sql#flagsList.","default":"sql#flagsList"}}},"ImportContext":{"id":"ImportContext","type":"object","description":"Database instance import context.","properties":{"csvImportOptions":{"type":"object","description":"Options for importing data as CSV.","properties":{"columns":{"type":"array","description":"The columns to which CSV data is imported. If not specified, all columns of the database table are loaded with CSV data.","items":{"type":"string"}},"table":{"type":"string","description":"The table to which CSV data is imported."}}},"database":{"type":"string","description":"The target database for the import. If fileType is SQL, this field is required only if the import file does not specify a database, and is overridden by any database specification in the import file. If fileType is CSV, one database must be specified."},"fileType":{"type":"string","description":"The file type for the specified uri.\nSQL: The file contains SQL statements.\nCSV: The file contains CSV data."},"importUser":{"type":"string","description":"The PostgreSQL user for this import operation. PostgreSQL instances only."},"kind":{"type":"string","description":"This is always sql#importContext.","default":"sql#importContext"},"uri":{"type":"string","description":"Path to the import file in Cloud Storage, in the form gs://bucketName/fileName. Compressed gzip files (.gz) are supported when fileType is SQL. The instance must have write permissions to the bucket and read access to the file."}}},"InstancesCloneRequest":{"id":"InstancesCloneRequest","type":"object","description":"Database instance clone request.","properties":{"cloneContext":{"$ref":"CloneContext","description":"Contains details about the clone operation."}}},"InstancesDemoteMasterRequest":{"id":"InstancesDemoteMasterRequest","type":"object","description":"Database demote master request.","properties":{"demoteMasterContext":{"$ref":"DemoteMasterContext","description":"Contains details about the demoteMaster operation."}}},"InstancesExportRequest":{"id":"InstancesExportRequest","type":"object","description":"Database instance export request.","properties":{"exportContext":{"$ref":"ExportContext","description":"Contains details about the export operation."}}},"InstancesFailoverRequest":{"id":"InstancesFailoverRequest","type":"object","description":"Instance failover request.","properties":{"failoverContext":{"$ref":"FailoverContext","description":"Failover Context."}}},"InstancesImportRequest":{"id":"InstancesImportRequest","type":"object","description":"Database instance import request.","properties":{"importContext":{"$ref":"ImportContext","description":"Contains details about the import operation."}}},"InstancesListResponse":{"id":"InstancesListResponse","type":"object","description":"Database instances list response.","properties":{"items":{"type":"array","description":"List of database instance resources.","items":{"$ref":"DatabaseInstance"}},"kind":{"type":"string","description":"This is always sql#instancesList.","default":"sql#instancesList"},"nextPageToken":{"type":"string","description":"The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results."},"warnings":{"type":"array","description":"List of warnings that ocurred while handling the request.","items":{"$ref":"ApiWarning"}}}},"InstancesListServerCasResponse":{"id":"InstancesListServerCasResponse","type":"object","description":"Instances ListServerCas response.","properties":{"activeVersion":{"type":"string"},"certs":{"type":"array","description":"List of server CA certificates for the instance.","items":{"$ref":"SslCert"}},"kind":{"type":"string","description":"This is always sql#instancesListServerCas.","default":"sql#instancesListServerCas"}}},"InstancesRestoreBackupRequest":{"id":"InstancesRestoreBackupRequest","type":"object","description":"Database instance restore backup request.","properties":{"restoreBackupContext":{"$ref":"RestoreBackupContext","description":"Parameters required to perform the restore backup operation."}}},"InstancesRotateServerCaRequest":{"id":"InstancesRotateServerCaRequest","type":"object","description":"Rotate Server CA request.","properties":{"rotateServerCaContext":{"$ref":"RotateServerCaContext","description":"Contains details about the rotate server CA operation."}}},"InstancesTruncateLogRequest":{"id":"InstancesTruncateLogRequest","type":"object","description":"Instance truncate log request.","properties":{"truncateLogContext":{"$ref":"TruncateLogContext","description":"Contains details about the truncate log operation."}}},"IpConfiguration":{"id":"IpConfiguration","type":"object","description":"IP Management configuration.","properties":{"authorizedNetworks":{"type":"array","description":"The list of external networks that are allowed to connect to the instance using the IP. In CIDR notation, also known as 'slash' notation (e.g. 192.168.100.0/24).","items":{"$ref":"AclEntry"}},"ipv4Enabled":{"type":"boolean","description":"Whether the instance should be assigned an IP address or not."},"privateNetwork":{"type":"string","description":"The resource link for the VPC network from which the Cloud SQL instance is accessible for private IP. For example, /projects/myProject/global/networks/default. This setting can be updated, but it cannot be removed after it is set."},"requireSsl":{"type":"boolean","description":"Whether SSL connections over IP should be enforced or not."}}},"IpMapping":{"id":"IpMapping","type":"object","description":"Database instance IP Mapping.","properties":{"ipAddress":{"type":"string","description":"The IP address assigned."},"timeToRetire":{"type":"string","description":"The due time for this IP to be retired in RFC 3339 format, for example 2012-11-15T16:19:00.094Z. This field is only available when the IP is scheduled to be retired.","format":"date-time"},"type":{"type":"string","description":"The type of this IP address. A PRIMARY address is a public address that can accept incoming connections. A PRIVATE address is a private address that can accept incoming connections. An OUTGOING address is the source address of connections originating from the instance, if supported."}}},"LocationPreference":{"id":"LocationPreference","type":"object","description":"Preferred location. This specifies where a Cloud SQL instance should preferably be located, either in a specific Compute Engine zone, or co-located with an App Engine application. Note that if the preferred location is not available, the instance will be located as close as possible within the region. Only one location may be specified.","properties":{"followGaeApplication":{"type":"string","description":"The AppEngine application to follow, it must be in the same region as the Cloud SQL instance."},"kind":{"type":"string","description":"This is always sql#locationPreference.","default":"sql#locationPreference"},"zone":{"type":"string","description":"The preferred Compute Engine zone (e.g. us-central1-a, us-central1-b, etc.)."}}},"MaintenanceWindow":{"id":"MaintenanceWindow","type":"object","description":"Maintenance window. This specifies when a v2 Cloud SQL instance should preferably be restarted for system maintenance purposes.","properties":{"day":{"type":"integer","description":"day of week (1-7), starting on Monday.","format":"int32"},"hour":{"type":"integer","description":"hour of day - 0 to 23.","format":"int32"},"kind":{"type":"string","description":"This is always sql#maintenanceWindow.","default":"sql#maintenanceWindow"},"updateTrack":{"type":"string","description":"Maintenance timing setting: canary (Earlier) or stable (Later).\n Learn more."}}},"MySqlReplicaConfiguration":{"id":"MySqlReplicaConfiguration","type":"object","description":"Read-replica configuration specific to MySQL databases.","properties":{"caCertificate":{"type":"string","description":"PEM representation of the trusted CA's x509 certificate."},"clientCertificate":{"type":"string","description":"PEM representation of the slave's x509 certificate."},"clientKey":{"type":"string","description":"PEM representation of the slave's private key. The corresponsing public key is encoded in the client's certificate."},"connectRetryInterval":{"type":"integer","description":"Seconds to wait between connect retries. MySQL's default is 60 seconds.","format":"int32"},"dumpFilePath":{"type":"string","description":"Path to a SQL dump file in Google Cloud Storage from which the slave instance is to be created. The URI is in the form gs://bucketName/fileName. Compressed gzip files (.gz) are also supported. Dumps should have the binlog co-ordinates from which replication should begin. This can be accomplished by setting --master-data to 1 when using mysqldump."},"kind":{"type":"string","description":"This is always sql#mysqlReplicaConfiguration.","default":"sql#mysqlReplicaConfiguration"},"masterHeartbeatPeriod":{"type":"string","description":"Interval in milliseconds between replication heartbeats.","format":"int64"},"password":{"type":"string","description":"The password for the replication connection."},"sslCipher":{"type":"string","description":"A list of permissible ciphers to use for SSL encryption."},"username":{"type":"string","description":"The username for the replication connection."},"verifyServerCertificate":{"type":"boolean","description":"Whether or not to check the master's Common Name value in the certificate that it sends during the SSL handshake."}}},"OnPremisesConfiguration":{"id":"OnPremisesConfiguration","type":"object","description":"On-premises instance configuration.","properties":{"hostPort":{"type":"string","description":"The host and port of the on-premises instance in host:port format"},"kind":{"type":"string","description":"This is always sql#onPremisesConfiguration.","default":"sql#onPremisesConfiguration"}}},"Operation":{"id":"Operation","type":"object","description":"An Operation resource. For successful operations that return an Operation resource, only the fields relevant to the operation are populated in the resource.","properties":{"endTime":{"type":"string","description":"The time this operation finished in UTC timezone in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"error":{"$ref":"OperationErrors","description":"If errors occurred during processing of this operation, this field will be populated."},"exportContext":{"$ref":"ExportContext","description":"The context for export operation, if applicable."},"importContext":{"$ref":"ImportContext","description":"The context for import operation, if applicable."},"insertTime":{"type":"string","description":"The time this operation was enqueued in UTC timezone in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"kind":{"type":"string","description":"This is always sql#operation.","default":"sql#operation"},"name":{"type":"string","description":"An identifier that uniquely identifies the operation. You can use this identifier to retrieve the Operations resource that has information about the operation."},"operationType":{"type":"string","description":"The type of the operation. Valid values are CREATE, DELETE, UPDATE, RESTART, IMPORT, EXPORT, BACKUP_VOLUME, RESTORE_VOLUME, CREATE_USER, DELETE_USER, CREATE_DATABASE, DELETE_DATABASE ."},"selfLink":{"type":"string","description":"The URI of this resource."},"startTime":{"type":"string","description":"The time this operation actually started in UTC timezone in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"status":{"type":"string","description":"The status of an operation. Valid values are PENDING, RUNNING, DONE, UNKNOWN."},"targetId":{"type":"string","description":"Name of the database instance related to this operation."},"targetLink":{"type":"string"},"targetProject":{"type":"string","description":"The project ID of the target instance related to this operation."},"user":{"type":"string","description":"The email address of the user who initiated this operation."}}},"OperationError":{"id":"OperationError","type":"object","description":"Database instance operation error.","properties":{"code":{"type":"string","description":"Identifies the specific error that occurred."},"kind":{"type":"string","description":"This is always sql#operationError.","default":"sql#operationError"},"message":{"type":"string","description":"Additional information about the error encountered."}}},"OperationErrors":{"id":"OperationErrors","type":"object","description":"Database instance operation errors list wrapper.","properties":{"errors":{"type":"array","description":"The list of errors encountered while processing this operation.","items":{"$ref":"OperationError"}},"kind":{"type":"string","description":"This is always sql#operationErrors.","default":"sql#operationErrors"}}},"OperationsListResponse":{"id":"OperationsListResponse","type":"object","description":"Database instance list operations response.","properties":{"items":{"type":"array","description":"List of operation resources.","items":{"$ref":"Operation"}},"kind":{"type":"string","description":"This is always sql#operationsList.","default":"sql#operationsList"},"nextPageToken":{"type":"string","description":"The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results."}}},"ReplicaConfiguration":{"id":"ReplicaConfiguration","type":"object","description":"Read-replica configuration for connecting to the master.","properties":{"failoverTarget":{"type":"boolean","description":"Specifies if the replica is the failover target. If the field is set to true the replica will be designated as a failover replica. In case the master instance fails, the replica instance will be promoted as the new master instance.\nOnly one replica can be specified as failover target, and the replica has to be in different zone with the master instance."},"kind":{"type":"string","description":"This is always sql#replicaConfiguration.","default":"sql#replicaConfiguration"},"mysqlReplicaConfiguration":{"$ref":"MySqlReplicaConfiguration","description":"MySQL specific configuration when replicating from a MySQL on-premises master. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named master.info in the data directory."}}},"RestoreBackupContext":{"id":"RestoreBackupContext","type":"object","description":"Database instance restore from backup context.","properties":{"backupRunId":{"type":"string","description":"The ID of the backup run to restore from.","format":"int64","annotations":{"required":["sql.instances.restoreBackup"]}},"instanceId":{"type":"string","description":"The ID of the instance that the backup was taken from."},"kind":{"type":"string","description":"This is always sql#restoreBackupContext.","default":"sql#restoreBackupContext"},"project":{"type":"string","description":"The full project ID of the source instance."}}},"RotateServerCaContext":{"id":"RotateServerCaContext","type":"object","description":"Instance rotate server CA context.","properties":{"kind":{"type":"string","description":"This is always sql#rotateServerCaContext.","default":"sql#rotateServerCaContext"},"nextVersion":{"type":"string","description":"The fingerprint of the next version to be rotated to. If left unspecified, will be rotated to the most recently added server CA version."}}},"Settings":{"id":"Settings","type":"object","description":"Database instance settings.","properties":{"activationPolicy":{"type":"string","description":"The activation policy specifies when the instance is activated; it is applicable only when the instance state is RUNNABLE. Valid values:\nALWAYS: The instance is on, and remains so even in the absence of connection requests.\nNEVER: The instance is off; it is not activated, even if a connection request arrives.\nON_DEMAND: First Generation instances only. The instance responds to incoming requests, and turns itself off when not in use. Instances with PER_USE pricing turn off after 15 minutes of inactivity. Instances with PER_PACKAGE pricing turn off after 12 hours of inactivity."},"authorizedGaeApplications":{"type":"array","description":"The App Engine app IDs that can access this instance. First Generation instances only.","items":{"type":"string"}},"availabilityType":{"type":"string","description":"Availability type (PostgreSQL instances only). Potential values:\nZONAL: The instance serves data from only one zone. Outages in that zone affect data accessibility.\nREGIONAL: The instance can serve data from more than one zone in a region (it is highly available).\nFor more information, see Overview of the High Availability Configuration."},"backupConfiguration":{"$ref":"BackupConfiguration","description":"The daily backup configuration for the instance."},"crashSafeReplicationEnabled":{"type":"boolean","description":"Configuration specific to read replica instances. Indicates whether database flags for crash-safe replication are enabled. This property is only applicable to First Generation instances."},"dataDiskSizeGb":{"type":"string","description":"The size of data disk, in GB. The data disk size minimum is 10GB. Not used for First Generation instances.","format":"int64"},"dataDiskType":{"type":"string","description":"The type of data disk: PD_SSD (default) or PD_HDD. Not used for First Generation instances."},"databaseFlags":{"type":"array","description":"The database flags passed to the instance at startup.","items":{"$ref":"DatabaseFlags"}},"databaseReplicationEnabled":{"type":"boolean","description":"Configuration specific to read replica instances. Indicates whether replication is enabled or not."},"ipConfiguration":{"$ref":"IpConfiguration","description":"The settings for IP Management. This allows to enable or disable the instance IP and manage which external networks can connect to the instance. The IPv4 address cannot be disabled for Second Generation instances."},"kind":{"type":"string","description":"This is always sql#settings.","default":"sql#settings"},"locationPreference":{"$ref":"LocationPreference","description":"The location preference settings. This allows the instance to be located as near as possible to either an App Engine app or Compute Engine zone for better performance. App Engine co-location is only applicable to First Generation instances."},"maintenanceWindow":{"$ref":"MaintenanceWindow","description":"The maintenance window for this instance. This specifies when the instance can be restarted for maintenance purposes. Not used for First Generation instances."},"pricingPlan":{"type":"string","description":"The pricing plan for this instance. This can be either PER_USE or PACKAGE. Only PER_USE is supported for Second Generation instances."},"replicationType":{"type":"string","description":"The type of replication this instance uses. This can be either ASYNCHRONOUS or SYNCHRONOUS. This property is only applicable to First Generation instances."},"settingsVersion":{"type":"string","description":"The version of instance settings. This is a required field for update method to make sure concurrent updates are handled properly. During update, use the most recent settingsVersion value for this instance and do not try to update this value.","format":"int64","annotations":{"required":["sql.instances.update"]}},"storageAutoResize":{"type":"boolean","description":"Configuration to increase storage size automatically. The default value is true. Not used for First Generation instances."},"storageAutoResizeLimit":{"type":"string","description":"The maximum size to which storage capacity can be automatically increased. The default value is 0, which specifies that there is no limit. Not used for First Generation instances.","format":"int64"},"tier":{"type":"string","description":"The tier (or machine type) for this instance, for example db-n1-standard-1 (MySQL instances) or db-custom-1-3840 (PostgreSQL instances). For MySQL instances, this property determines whether the instance is First or Second Generation. For more information, see Instance Settings.","annotations":{"required":["sql.instances.insert","sql.instances.update"]}},"userLabels":{"type":"object","description":"User-provided labels, represented as a dictionary where each label is a single key value pair.","additionalProperties":{"type":"string","description":"An individual label entry, composed of a key and a value."}}}},"SslCert":{"id":"SslCert","type":"object","description":"SslCerts Resource","properties":{"cert":{"type":"string","description":"PEM representation."},"certSerialNumber":{"type":"string","description":"Serial number, as extracted from the certificate."},"commonName":{"type":"string","description":"User supplied name. Constrained to [a-zA-Z.-_ ]+."},"createTime":{"type":"string","description":"The time when the certificate was created in RFC 3339 format, for example 2012-11-15T16:19:00.094Z","format":"date-time"},"expirationTime":{"type":"string","description":"The time when the certificate expires in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.","format":"date-time"},"instance":{"type":"string","description":"Name of the database instance."},"kind":{"type":"string","description":"This is always sql#sslCert.","default":"sql#sslCert"},"selfLink":{"type":"string","description":"The URI of this resource."},"sha1Fingerprint":{"type":"string","description":"Sha1 Fingerprint."}}},"SslCertDetail":{"id":"SslCertDetail","type":"object","description":"SslCertDetail.","properties":{"certInfo":{"$ref":"SslCert","description":"The public information about the cert."},"certPrivateKey":{"type":"string","description":"The private key for the client cert, in pem format. Keep private in order to protect your security."}}},"SslCertsCreateEphemeralRequest":{"id":"SslCertsCreateEphemeralRequest","type":"object","description":"SslCerts create ephemeral certificate request.","properties":{"public_key":{"type":"string","description":"PEM encoded public key to include in the signed certificate."}}},"SslCertsInsertRequest":{"id":"SslCertsInsertRequest","type":"object","description":"SslCerts insert request.","properties":{"commonName":{"type":"string","description":"User supplied name. Must be a distinct name from the other certificates for this instance."}}},"SslCertsInsertResponse":{"id":"SslCertsInsertResponse","type":"object","description":"SslCert insert response.","properties":{"clientCert":{"$ref":"SslCertDetail","description":"The new client certificate and private key. For First Generation instances, the new certificate does not take effect until the instance is restarted."},"kind":{"type":"string","description":"This is always sql#sslCertsInsert.","default":"sql#sslCertsInsert"},"operation":{"$ref":"Operation","description":"The operation to track the ssl certs insert request."},"serverCaCert":{"$ref":"SslCert","description":"The server Certificate Authority's certificate. If this is missing you can force a new one to be generated by calling resetSslConfig method on instances resource."}}},"SslCertsListResponse":{"id":"SslCertsListResponse","type":"object","description":"SslCerts list response.","properties":{"items":{"type":"array","description":"List of client certificates for the instance.","items":{"$ref":"SslCert"}},"kind":{"type":"string","description":"This is always sql#sslCertsList.","default":"sql#sslCertsList"}}},"Tier":{"id":"Tier","type":"object","description":"A Google Cloud SQL service tier resource.","properties":{"DiskQuota":{"type":"string","description":"The maximum disk size of this tier in bytes.","format":"int64"},"RAM":{"type":"string","description":"The maximum RAM usage of this tier in bytes.","format":"int64"},"kind":{"type":"string","description":"This is always sql#tier.","default":"sql#tier"},"region":{"type":"array","description":"The applicable regions for this tier.","items":{"type":"string"}},"tier":{"type":"string","description":"An identifier for the machine type, for example, db-n1-standard-1. For related information, see Pricing."}}},"TiersListResponse":{"id":"TiersListResponse","type":"object","description":"Tiers list response.","properties":{"items":{"type":"array","description":"List of tiers.","items":{"$ref":"Tier"}},"kind":{"type":"string","description":"This is always sql#tiersList.","default":"sql#tiersList"}}},"TruncateLogContext":{"id":"TruncateLogContext","type":"object","description":"Database Instance truncate log context.","properties":{"kind":{"type":"string","description":"This is always sql#truncateLogContext.","default":"sql#truncateLogContext"},"logType":{"type":"string","description":"The type of log to truncate. Valid values are MYSQL_GENERAL_TABLE and MYSQL_SLOW_TABLE."}}},"User":{"id":"User","type":"object","description":"A Cloud SQL user resource.","properties":{"etag":{"type":"string","description":"This field is deprecated and will be removed from a future version of the API."},"host":{"type":"string","description":"The host name from which the user can connect. For insert operations, host defaults to an empty string. For update operations, host is specified as part of the request URL. The host name cannot be updated after insertion."},"instance":{"type":"string","description":"The name of the Cloud SQL instance. This does not include the project ID. Can be omitted for update since it is already specified on the URL."},"kind":{"type":"string","description":"This is always sql#user.","default":"sql#user"},"name":{"type":"string","description":"The name of the user in the Cloud SQL instance. Can be omitted for update since it is already specified in the URL."},"password":{"type":"string","description":"The password for the user."},"project":{"type":"string","description":"The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable. Can be omitted for update since it is already specified on the URL."}}},"UsersListResponse":{"id":"UsersListResponse","type":"object","description":"User list response.","properties":{"items":{"type":"array","description":"List of user resources in the instance.","items":{"$ref":"User"}},"kind":{"type":"string","description":"This is always sql#usersList.","default":"sql#usersList"},"nextPageToken":{"type":"string","description":"An identifier that uniquely identifies the operation. You can use this identifier to retrieve the Operations resource that has information about the operation."}}}},"resources":{"backupRuns":{"methods":{"delete":{"id":"sql.backupRuns.delete","path":"projects/{project}/instances/{instance}/backupRuns/{id}","httpMethod":"DELETE","description":"Deletes the backup taken by a backup run.","parameters":{"id":{"type":"string","description":"The ID of the Backup Run to delete. To find a Backup Run ID, use the list method.","required":true,"format":"int64","location":"path"},"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","id"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"get":{"id":"sql.backupRuns.get","path":"projects/{project}/instances/{instance}/backupRuns/{id}","httpMethod":"GET","description":"Retrieves a resource containing information about a backup run.","parameters":{"id":{"type":"string","description":"The ID of this Backup Run.","required":true,"format":"int64","location":"path"},"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","id"],"response":{"$ref":"BackupRun"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"insert":{"id":"sql.backupRuns.insert","path":"projects/{project}/instances/{instance}/backupRuns","httpMethod":"POST","description":"Creates a new backup run on demand. This method is applicable only to Second Generation instances.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"BackupRun"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"list":{"id":"sql.backupRuns.list","path":"projects/{project}/instances/{instance}/backupRuns","httpMethod":"GET","description":"Lists all backup runs associated with a given instance and configuration in the reverse chronological order of the backup initiation time.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"Maximum number of backup runs per response.","format":"int32","location":"query"},"pageToken":{"type":"string","description":"A previously-returned page token representing part of the larger set of results to view.","location":"query"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"BackupRunsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"databases":{"methods":{"delete":{"id":"sql.databases.delete","path":"projects/{project}/instances/{instance}/databases/{database}","httpMethod":"DELETE","description":"Deletes a database from a Cloud SQL instance.","parameters":{"database":{"type":"string","description":"Name of the database to be deleted in the instance.","required":true,"location":"path"},"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","database"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"get":{"id":"sql.databases.get","path":"projects/{project}/instances/{instance}/databases/{database}","httpMethod":"GET","description":"Retrieves a resource containing information about a database inside a Cloud SQL instance.","parameters":{"database":{"type":"string","description":"Name of the database in the instance.","required":true,"location":"path"},"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","database"],"response":{"$ref":"Database"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"insert":{"id":"sql.databases.insert","path":"projects/{project}/instances/{instance}/databases","httpMethod":"POST","description":"Inserts a resource containing information about a database inside a Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"Database"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"list":{"id":"sql.databases.list","path":"projects/{project}/instances/{instance}/databases","httpMethod":"GET","description":"Lists databases in the specified Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"DatabasesListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"patch":{"id":"sql.databases.patch","path":"projects/{project}/instances/{instance}/databases/{database}","httpMethod":"PATCH","description":"Updates a resource containing information about a database inside a Cloud SQL instance. This method supports patch semantics.","parameters":{"database":{"type":"string","description":"Name of the database to be updated in the instance.","required":true,"location":"path"},"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","database"],"request":{"$ref":"Database"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"update":{"id":"sql.databases.update","path":"projects/{project}/instances/{instance}/databases/{database}","httpMethod":"PUT","description":"Updates a resource containing information about a database inside a Cloud SQL instance.","parameters":{"database":{"type":"string","description":"Name of the database to be updated in the instance.","required":true,"location":"path"},"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","database"],"request":{"$ref":"Database"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"flags":{"methods":{"list":{"id":"sql.flags.list","path":"flags","httpMethod":"GET","description":"List all available database flags for Cloud SQL instances.","parameters":{"databaseVersion":{"type":"string","description":"Database type and version you want to retrieve flags for. By default, this method returns flags for all database types and versions.","location":"query"}},"response":{"$ref":"FlagsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"instances":{"methods":{"addServerCa":{"id":"sql.instances.addServerCa","path":"projects/{project}/instances/{instance}/addServerCa","httpMethod":"POST","description":"Add a new trusted Certificate Authority (CA) version for the specified instance. Required to prepare for a certificate rotation. If a CA version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one CA version waiting to be rotated in.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"clone":{"id":"sql.instances.clone","path":"projects/{project}/instances/{instance}/clone","httpMethod":"POST","description":"Creates a Cloud SQL instance as a clone of the source instance.","parameters":{"instance":{"type":"string","description":"The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the source as well as the clone Cloud SQL instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesCloneRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"delete":{"id":"sql.instances.delete","path":"projects/{project}/instances/{instance}","httpMethod":"DELETE","description":"Deletes a Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance to be deleted.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"demoteMaster":{"id":"sql.instances.demoteMaster","path":"projects/{project}/instances/{instance}/demoteMaster","httpMethod":"POST","description":"Demotes the stand-alone instance to be a Cloud SQL read replica for an external database server.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance name.","required":true,"location":"path"},"project":{"type":"string","description":"ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesDemoteMasterRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"export":{"id":"sql.instances.export","path":"projects/{project}/instances/{instance}/export","httpMethod":"POST","description":"Exports data from a Cloud SQL instance to a Cloud Storage bucket as a SQL dump or CSV file.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance to be exported.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesExportRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"failover":{"id":"sql.instances.failover","path":"projects/{project}/instances/{instance}/failover","httpMethod":"POST","description":"Failover the instance to its failover replica instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"ID of the project that contains the read replica.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesFailoverRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"get":{"id":"sql.instances.get","path":"projects/{project}/instances/{instance}","httpMethod":"GET","description":"Retrieves a resource containing information about a Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"DatabaseInstance"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"import":{"id":"sql.instances.import","path":"projects/{project}/instances/{instance}/import","httpMethod":"POST","description":"Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesImportRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"insert":{"id":"sql.instances.insert","path":"projects/{project}/instances","httpMethod":"POST","description":"Creates a new Cloud SQL instance.","parameters":{"project":{"type":"string","description":"Project ID of the project to which the newly created Cloud SQL instances should belong.","required":true,"location":"path"}},"parameterOrder":["project"],"request":{"$ref":"DatabaseInstance"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"list":{"id":"sql.instances.list","path":"projects/{project}/instances","httpMethod":"GET","description":"Lists instances under a given project in the alphabetical order of the instance name.","parameters":{"filter":{"type":"string","description":"An expression for filtering the results of the request, such as by name or label.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results to return per response.","format":"uint32","location":"query"},"pageToken":{"type":"string","description":"A previously-returned page token representing part of the larger set of results to view.","location":"query"},"project":{"type":"string","description":"Project ID of the project for which to list Cloud SQL instances.","required":true,"location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InstancesListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"listServerCas":{"id":"sql.instances.listServerCas","path":"projects/{project}/instances/{instance}/listServerCas","httpMethod":"GET","description":"Lists all of the trusted Certificate Authorities (CAs) for the specified instance. There can be up to three CAs listed: the CA that was used to sign the certificate that is currently in use, a CA that has been added but not yet used to sign a certificate, and a CA used to sign a certificate that has previously rotated out.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"InstancesListServerCasResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"patch":{"id":"sql.instances.patch","path":"projects/{project}/instances/{instance}","httpMethod":"PATCH","description":"Updates settings of a Cloud SQL instance. Caution: This is not a partial update, so you must include values for all the settings that you want to retain. For partial updates, use patch.. This method supports patch semantics.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"DatabaseInstance"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"promoteReplica":{"id":"sql.instances.promoteReplica","path":"projects/{project}/instances/{instance}/promoteReplica","httpMethod":"POST","description":"Promotes the read replica instance to be a stand-alone Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL read replica instance name.","required":true,"location":"path"},"project":{"type":"string","description":"ID of the project that contains the read replica.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"resetSslConfig":{"id":"sql.instances.resetSslConfig","path":"projects/{project}/instances/{instance}/resetSslConfig","httpMethod":"POST","description":"Deletes all client certificates and generates a new server SSL certificate for the instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"restart":{"id":"sql.instances.restart","path":"projects/{project}/instances/{instance}/restart","httpMethod":"POST","description":"Restarts a Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance to be restarted.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"restoreBackup":{"id":"sql.instances.restoreBackup","path":"projects/{project}/instances/{instance}/restoreBackup","httpMethod":"POST","description":"Restores a backup of a Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesRestoreBackupRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"rotateServerCa":{"id":"sql.instances.rotateServerCa","path":"projects/{project}/instances/{instance}/rotateServerCa","httpMethod":"POST","description":"Rotates the server certificate to one signed by the Certificate Authority (CA) version previously added with the addServerCA method.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesRotateServerCaRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"startReplica":{"id":"sql.instances.startReplica","path":"projects/{project}/instances/{instance}/startReplica","httpMethod":"POST","description":"Starts the replication in the read replica instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL read replica instance name.","required":true,"location":"path"},"project":{"type":"string","description":"ID of the project that contains the read replica.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"stopReplica":{"id":"sql.instances.stopReplica","path":"projects/{project}/instances/{instance}/stopReplica","httpMethod":"POST","description":"Stops the replication in the read replica instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL read replica instance name.","required":true,"location":"path"},"project":{"type":"string","description":"ID of the project that contains the read replica.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"truncateLog":{"id":"sql.instances.truncateLog","path":"projects/{project}/instances/{instance}/truncateLog","httpMethod":"POST","description":"Truncate MySQL general and slow query log tables","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the Cloud SQL project.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"InstancesTruncateLogRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"update":{"id":"sql.instances.update","path":"projects/{project}/instances/{instance}","httpMethod":"PUT","description":"Updates settings of a Cloud SQL instance. Caution: This is not a partial update, so you must include values for all the settings that you want to retain. For partial updates, use patch.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"DatabaseInstance"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"operations":{"methods":{"get":{"id":"sql.operations.get","path":"projects/{project}/operations/{operation}","httpMethod":"GET","description":"Retrieves an instance operation that has been performed on an instance.","parameters":{"operation":{"type":"string","description":"Instance operation ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","operation"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"list":{"id":"sql.operations.list","path":"projects/{project}/operations","httpMethod":"GET","description":"Lists all instance operations that have been performed on the given Cloud SQL instance in the reverse chronological order of the start time.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"query"},"maxResults":{"type":"integer","description":"Maximum number of operations per response.","format":"uint32","location":"query"},"pageToken":{"type":"string","description":"A previously-returned page token representing part of the larger set of results to view.","location":"query"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"OperationsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"sslCerts":{"methods":{"createEphemeral":{"id":"sql.sslCerts.createEphemeral","path":"projects/{project}/instances/{instance}/createEphemeral","httpMethod":"POST","description":"Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the Cloud SQL project.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"SslCertsCreateEphemeralRequest"},"response":{"$ref":"SslCert"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"delete":{"id":"sql.sslCerts.delete","path":"projects/{project}/instances/{instance}/sslCerts/{sha1Fingerprint}","httpMethod":"DELETE","description":"Deletes the SSL certificate. For First Generation instances, the certificate remains valid until the instance is restarted.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"},"sha1Fingerprint":{"type":"string","description":"Sha1 FingerPrint.","required":true,"location":"path"}},"parameterOrder":["project","instance","sha1Fingerprint"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"get":{"id":"sql.sslCerts.get","path":"projects/{project}/instances/{instance}/sslCerts/{sha1Fingerprint}","httpMethod":"GET","description":"Retrieves a particular SSL certificate. Does not include the private key (required for usage). The private key must be saved from the response to initial creation.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"},"sha1Fingerprint":{"type":"string","description":"Sha1 FingerPrint.","required":true,"location":"path"}},"parameterOrder":["project","instance","sha1Fingerprint"],"response":{"$ref":"SslCert"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"insert":{"id":"sql.sslCerts.insert","path":"projects/{project}/instances/{instance}/sslCerts","httpMethod":"POST","description":"Creates an SSL certificate and returns it along with the private key and server certificate authority. The new certificate will not be usable until the instance is restarted.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"SslCertsInsertRequest"},"response":{"$ref":"SslCertsInsertResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"list":{"id":"sql.sslCerts.list","path":"projects/{project}/instances/{instance}/sslCerts","httpMethod":"GET","description":"Lists all of the current SSL certificates for the instance.","parameters":{"instance":{"type":"string","description":"Cloud SQL instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"SslCertsListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"tiers":{"methods":{"list":{"id":"sql.tiers.list","path":"projects/{project}/tiers","httpMethod":"GET","description":"Lists all available machine types (tiers) for Cloud SQL, for example, db-n1-standard-1. For related information, see Pricing.","parameters":{"project":{"type":"string","description":"Project ID of the project for which to list tiers.","required":true,"location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TiersListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}},"users":{"methods":{"delete":{"id":"sql.users.delete","path":"projects/{project}/instances/{instance}/users","httpMethod":"DELETE","description":"Deletes a user from a Cloud SQL instance.","parameters":{"host":{"type":"string","description":"Host of the user in the instance.","required":true,"location":"query"},"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"name":{"type":"string","description":"Name of the user in the instance.","required":true,"location":"query"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","host","name"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"insert":{"id":"sql.users.insert","path":"projects/{project}/instances/{instance}/users","httpMethod":"POST","description":"Creates a new user in a Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"request":{"$ref":"User"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"list":{"id":"sql.users.list","path":"projects/{project}/instances/{instance}/users","httpMethod":"GET","description":"Lists users in the specified Cloud SQL instance.","parameters":{"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance"],"response":{"$ref":"UsersListResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]},"update":{"id":"sql.users.update","path":"projects/{project}/instances/{instance}/users","httpMethod":"PUT","description":"Updates an existing user in a Cloud SQL instance.","parameters":{"host":{"type":"string","description":"Host of the user in the instance.","location":"query"},"instance":{"type":"string","description":"Database instance ID. This does not include the project ID.","required":true,"location":"path"},"name":{"type":"string","description":"Name of the user in the instance.","required":true,"location":"query"},"project":{"type":"string","description":"Project ID of the project that contains the instance.","required":true,"location":"path"}},"parameterOrder":["project","instance","name"],"request":{"$ref":"User"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/sqlservice.admin"]}}}}};