export default {"fullyEncodeReservedExpansion":true,"title":"Cloud TPU API","ownerName":"Google","resources":{"projects":{"resources":{"locations":{"methods":{"list":{"response":{"$ref":"ListLocationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"filter":{"description":"The standard list filter.","type":"string","location":"query"},"name":{"pattern":"^projects/[^/]+$","location":"path","description":"The resource that owns the locations collection, if applicable.","required":true,"type":"string"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"}},"flatPath":"v1alpha1/projects/{projectsId}/locations","path":"v1alpha1/{+name}/locations","id":"tpu.projects.locations.list","description":"Lists information about the supported locations for this service."},"get":{"httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"Location"},"parameters":{"name":{"location":"path","description":"Resource name for the location.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}","id":"tpu.projects.locations.get","path":"v1alpha1/{+name}","description":"Gets information about a location."}},"resources":{"tensorflowVersions":{"methods":{"list":{"description":"Lists TensorFlow versions supported by this API.","response":{"$ref":"ListTensorFlowVersionsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"The parent resource name.","required":true,"type":"string"},"filter":{"description":"List filter.","type":"string","location":"query"},"pageToken":{"type":"string","location":"query","description":"The next_page_token value returned from a previous List request, if any."},"orderBy":{"description":"Sort results.","type":"string","location":"query"},"pageSize":{"description":"The maximum number of items to return.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/tensorflowVersions","path":"v1alpha1/{+parent}/tensorflowVersions","id":"tpu.projects.locations.tensorflowVersions.list"},"get":{"response":{"$ref":"TensorFlowVersion"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"location":"path","description":"The resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/tensorflowVersions/[^/]+$"}},"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/tensorflowVersions/{tensorflowVersionsId}","path":"v1alpha1/{+name}","id":"tpu.projects.locations.tensorflowVersions.get","description":"Gets TensorFlow Version."}}},"operations":{"methods":{"cancel":{"response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"POST","parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource to be cancelled.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel","path":"v1alpha1/{+name}:cancel","id":"tpu.projects.locations.operations.cancel","description":"Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`."},"delete":{"id":"tpu.projects.locations.operations.delete","path":"v1alpha1/{+name}","description":"Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.","httpMethod":"DELETE","parameterOrder":["name"],"response":{"$ref":"Empty"},"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource to be deleted."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}"},"list":{"response":{"$ref":"ListOperationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"},"filter":{"location":"query","description":"The standard list filter.","type":"string"},"name":{"location":"path","description":"The name of the operation's parent resource.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/operations","path":"v1alpha1/{+name}/operations","id":"tpu.projects.locations.operations.list","description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id."},"get":{"description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.","response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}","path":"v1alpha1/{+name}","id":"tpu.projects.locations.operations.get"}}},"acceleratorTypes":{"methods":{"list":{"description":"Lists accelerator types supported by this API.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListAcceleratorTypesResponse"},"parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"The parent resource name."},"filter":{"type":"string","location":"query","description":"List filter."},"pageToken":{"location":"query","description":"The next_page_token value returned from a previous List request, if any.","type":"string"},"orderBy":{"location":"query","description":"Sort results.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of items to return.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/acceleratorTypes","id":"tpu.projects.locations.acceleratorTypes.list","path":"v1alpha1/{+parent}/acceleratorTypes"},"get":{"description":"Gets AcceleratorType.","response":{"$ref":"AcceleratorType"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"location":"path","description":"The resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/acceleratorTypes/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/acceleratorTypes/{acceleratorTypesId}","path":"v1alpha1/{+name}","id":"tpu.projects.locations.acceleratorTypes.get"}}},"nodes":{"methods":{"start":{"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:start","id":"tpu.projects.locations.nodes.start","path":"v1alpha1/{+name}:start","description":"Starts a node.","request":{"$ref":"StartNodeRequest"},"httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"Operation"},"parameters":{"name":{"description":"The resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/nodes/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"]},"delete":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"description":"The resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/nodes/[^/]+$","location":"path"}},"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}","path":"v1alpha1/{+name}","id":"tpu.projects.locations.nodes.delete","description":"Deletes a node."},"list":{"description":"Lists nodes.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListNodesResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"pageToken":{"location":"query","description":"The next_page_token value returned from a previous List request, if any.","type":"string"},"pageSize":{"location":"query","description":"The maximum number of items to return.","format":"int32","type":"integer"},"parent":{"description":"The parent resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path"}},"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes","id":"tpu.projects.locations.nodes.list","path":"v1alpha1/{+parent}/nodes"},"create":{"response":{"$ref":"Operation"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"The parent resource name."},"nodeId":{"description":"The unqualified resource name.","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes","path":"v1alpha1/{+parent}/nodes","id":"tpu.projects.locations.nodes.create","description":"Creates a node.","request":{"$ref":"Node"}},"reimage":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"POST","parameters":{"name":{"description":"The resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/nodes/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:reimage","path":"v1alpha1/{+name}:reimage","id":"tpu.projects.locations.nodes.reimage","description":"Reimages a node's OS.","request":{"$ref":"ReimageNodeRequest"}},"get":{"description":"Gets the details of a node.","httpMethod":"GET","response":{"$ref":"Node"},"parameterOrder":["name"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/nodes/[^/]+$","location":"path","description":"The resource name."}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}","id":"tpu.projects.locations.nodes.get","path":"v1alpha1/{+name}"},"stop":{"response":{"$ref":"Operation"},"parameterOrder":["name"],"httpMethod":"POST","parameters":{"name":{"location":"path","description":"The resource name.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/nodes/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:stop","path":"v1alpha1/{+name}:stop","id":"tpu.projects.locations.nodes.stop","description":"Stops a node.","request":{"$ref":"StopNodeRequest"}}}}}}}}},"parameters":{"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"type":"string","location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\")."},"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query"},"access_token":{"location":"query","description":"OAuth access token.","type":"string"},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"}},"version":"v1alpha1","baseUrl":"https://tpu.googleapis.com/","kind":"discovery#restDescription","description":"TPU API provides customers with access to Google TPU technology.","servicePath":"","basePath":"","id":"tpu:v1alpha1","documentationLink":"https://cloud.google.com/tpu/","revision":"20190619","discoveryVersion":"v1","version_module":true,"schemas":{"ListOperationsResponse":{"type":"object","properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"operations":{"description":"A list of operations that matches the specified filter in the request.","type":"array","items":{"$ref":"Operation"}}},"id":"ListOperationsResponse","description":"The response message for Operations.ListOperations."},"StartNodeRequest":{"description":"Request for StartNode.","type":"object","properties":{},"id":"StartNodeRequest"},"OperationMetadata":{"description":"Represents the metadata of the long-running operation.","type":"object","properties":{"apiVersion":{"description":"[Output only] API version used to start the operation.","type":"string"},"target":{"description":"[Output only] Server-defined resource path for the target of the operation.","type":"string"},"endTime":{"description":"[Output only] The time the operation finished running.","format":"google-datetime","type":"string"},"cancelRequested":{"description":"[Output only] Identifies whether the user has requested cancellation\nof the operation. Operations that have successfully been cancelled\nhave Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.","type":"boolean"},"verb":{"description":"[Output only] Name of the verb executed by the operation.","type":"string"},"createTime":{"description":"[Output only] The time the operation was created.","format":"google-datetime","type":"string"},"statusDetail":{"description":"[Output only] Human-readable status of the operation, if any.","type":"string"}},"id":"OperationMetadata"},"ListAcceleratorTypesResponse":{"type":"object","properties":{"acceleratorTypes":{"description":"The listed nodes.","type":"array","items":{"$ref":"AcceleratorType"}},"nextPageToken":{"description":"The next page token or empty if none.","type":"string"}},"id":"ListAcceleratorTypesResponse","description":"Response for ListAcceleratorTypes."},"ListLocationsResponse":{"description":"The response message for Locations.ListLocations.","type":"object","properties":{"locations":{"description":"A list of locations that matches the specified filter in the request.","type":"array","items":{"$ref":"Location"}},"nextPageToken":{"description":"The standard List next-page token.","type":"string"}},"id":"ListLocationsResponse"},"Node":{"description":"A TPU instance.","type":"object","properties":{"port":{"description":"Output only. DEPRECATED! Use network_endpoints instead.\nThe network port for the TPU Node as visible to Compute Engine instances.","type":"string"},"serviceAccount":{"description":"Output only. The service account used to run the tensor flow services within the node.\nTo share resources, including Google Cloud Storage data, with the\nTensorflow job running in the Node, this account must have permissions to\nthat data.","type":"string"},"network":{"description":"The name of a network they wish to peer the TPU node to. It must be a\npreexisting Compute Engine network inside of the project on which this API\nhas been activated. If none is provided, \"default\" will be used.","type":"string"},"healthDescription":{"description":"Output only. If this field is populated, it contains a description of why the TPU Node\nis unhealthy.","type":"string"},"health":{"enumDescriptions":["Health status is unknown: not initialized or failed to retrieve.","The resource is healthy.","The resource is unhealthy.","The resource is unresponsive.","The in-guest ML stack is unhealthy.","The node is under maintenance/priority boost caused rescheduling and\nwill resume running once rescheduled."],"enum":["HEALTH_UNSPECIFIED","HEALTHY","DEPRECATED_UNHEALTHY","TIMEOUT","UNHEALTHY_TENSORFLOW","UNHEALTHY_MAINTENANCE"],"description":"The health status of the TPU node.","type":"string"},"ipAddress":{"description":"Output only. DEPRECATED! Use network_endpoints instead.\nThe network address for the TPU Node as visible to Compute Engine\ninstances.","type":"string"},"labels":{"additionalProperties":{"type":"string"},"description":"Resource labels to represent user-provided metadata.","type":"object"},"createTime":{"description":"Output only. The time when the node was created.","format":"google-datetime","type":"string"},"cidrBlock":{"type":"string","description":"The CIDR block that the TPU node will use when selecting an IP address.\nThis CIDR block must be a /29 block; the Compute Engine networks API\nforbids a smaller block, and using a larger block would be wasteful (a\nnode can only consume one IP address). Errors will occur if the CIDR block\nhas already been used for a currently existing TPU node, the CIDR block\nconflicts with any subnetworks in the user's provided network, or the\nprovided network is peered with another network that is using that CIDR\nblock.\nRequired."},"tensorflowVersion":{"description":"The version of Tensorflow running in the Node.\nRequired.","type":"string"},"description":{"description":"The user-supplied description of the TPU. Maximum of 512 characters.","type":"string"},"networkEndpoints":{"type":"array","items":{"$ref":"NetworkEndpoint"},"description":"Output only. The network endpoints where TPU workers can be accessed and\nsent work. It is recommended that Tensorflow clients of the node reach out\nto the 0th entry in this map first."},"schedulingConfig":{"$ref":"SchedulingConfig"},"state":{"description":"Output only. The current state for the TPU Node.","type":"string","enumDescriptions":["TPU node state is not known/set.","TPU node is being created.","TPU node has been created and is fully usable.","TPU node is restarting.","TPU node is undergoing reimaging.","TPU node is being deleted.","TPU node is being repaired and may be unusable. Details can be\nfound in the `help_description` field.","TPU node is stopped.","TPU node is currently stopping.","TPU node is currently starting.","TPU node has been preempted. Only applies to Preemptible TPU Nodes.","TPU node has been terminated due to maintenance or has reached the end of\nits life cycle (for preemptible nodes).","TPU node is currently hiding.","TPU node has been hidden.","TPU node is currently unhiding."],"enum":["STATE_UNSPECIFIED","CREATING","READY","RESTARTING","REIMAGING","DELETING","REPAIRING","STOPPED","STOPPING","STARTING","PREEMPTED","TERMINATED","HIDING","HIDDEN","UNHIDING"]},"name":{"description":"Output only. The immutable name of the TPU","type":"string"},"acceleratorType":{"description":"The type of hardware accelerators associated with this node.\nRequired.","type":"string"}},"id":"Node"},"SchedulingConfig":{"type":"object","properties":{"preemptible":{"type":"boolean"},"reserved":{"description":"Whether the node is created under a reservation.","type":"boolean"}},"id":"SchedulingConfig"},"NetworkEndpoint":{"description":"A network endpoint over which a TPU worker can be reached.","type":"object","properties":{"ipAddress":{"description":"The IP address of this network endpoint.","type":"string"},"port":{"description":"The port of this network endpoint.","format":"int32","type":"integer"}},"id":"NetworkEndpoint"},"Operation":{"description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object","properties":{"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"},"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should be a resource name ending with `operations/{unique_id}`.","type":"string"},"error":{"$ref":"Status","description":"The error result of the operation in case of failure or cancellation."},"metadata":{"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"id":"Operation"},"StopNodeRequest":{"type":"object","properties":{},"id":"StopNodeRequest","description":"Request for StopNode."},"TensorFlowVersion":{"description":"A tensorflow version that a Node can be configured with.","type":"object","properties":{"name":{"description":"The resource name.","type":"string"},"version":{"description":"the tensorflow version.","type":"string"}},"id":"TensorFlowVersion"},"AcceleratorType":{"description":"A accelerator type that a Node can be configured with.","type":"object","properties":{"name":{"description":"The resource name.","type":"string"},"type":{"description":"the accelerator type.","type":"string"}},"id":"AcceleratorType"},"ListNodesResponse":{"description":"Response for ListNodes.","type":"object","properties":{"nodes":{"description":"The listed nodes.","type":"array","items":{"$ref":"Node"}},"nextPageToken":{"description":"The next page token or empty if none.","type":"string"},"unreachable":{"description":"Locations that could not be reached.","type":"array","items":{"type":"string"}}},"id":"ListNodesResponse"},"Status":{"properties":{"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"}}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"}},"id":"Status","description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","type":"object"},"ListTensorFlowVersionsResponse":{"properties":{"nextPageToken":{"description":"The next page token or empty if none.","type":"string"},"tensorflowVersions":{"type":"array","items":{"$ref":"TensorFlowVersion"},"description":"The listed nodes."}},"id":"ListTensorFlowVersionsResponse","description":"Response for ListTensorFlowVersions.","type":"object"},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object","properties":{},"id":"Empty"},"ReimageNodeRequest":{"description":"Request for ReimageNode.","type":"object","properties":{"tensorflowVersion":{"description":"The version for reimage to create.","type":"string"}},"id":"ReimageNodeRequest"},"Location":{"description":"A resource that represents Google Cloud Platform location.","type":"object","properties":{"labels":{"additionalProperties":{"type":"string"},"description":"Cross-service attributes for the location. For example\n\n    {\"cloud.googleapis.com/region\": \"us-east1\"}","type":"object"},"name":{"description":"Resource name for the location, which may vary between implementations.\nFor example: `\"projects/example-project/locations/us-east1\"`","type":"string"},"locationId":{"description":"The canonical id for this location. For example: `\"us-east1\"`.","type":"string"},"displayName":{"description":"The friendly name for this location, typically a nearby city name.\nFor example, \"Tokyo\".","type":"string"},"metadata":{"type":"object","additionalProperties":{"type":"any","description":"Properties of the object. Contains field @type with type URL."},"description":"Service-specific metadata. For example the available capacity at the given\nlocation."}},"id":"Location"}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"TPU","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://tpu.googleapis.com/","ownerDomain":"google.com","name":"tpu","batchPath":"batch"};