export default {"batchPath":"batch","id":"youtubereporting:v1","documentationLink":"https://developers.google.com/youtube/reporting/v1/reports/","revision":"20190625","title":"YouTube Reporting API","ownerName":"Google","discoveryVersion":"v1","resources":{"media":{"methods":{"download":{"parameters":{"resourceName":{"location":"path","description":"Name of the media that is being downloaded.","required":true,"type":"string","pattern":"^.+$"}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"flatPath":"v1/media/{mediaId}","path":"v1/media/{+resourceName}","id":"youtubereporting.media.download","description":"Method for media download. Download is supported\non the URI `/v1/media/{+name}?alt=media`.","useMediaDownloadService":true,"supportsMediaDownload":true,"response":{"$ref":"GdataMedia"},"parameterOrder":["resourceName"],"httpMethod":"GET"}}},"jobs":{"methods":{"delete":{"flatPath":"v1/jobs/{jobId}","id":"youtubereporting.jobs.delete","path":"v1/jobs/{jobId}","description":"Deletes a job.","httpMethod":"DELETE","response":{"$ref":"Empty"},"parameterOrder":["jobId"],"parameters":{"jobId":{"location":"path","description":"The ID of the job to delete.","required":true,"type":"string"},"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"]},"list":{"httpMethod":"GET","parameterOrder":[],"response":{"$ref":"ListJobsResponse"},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"pageToken":{"description":"A token identifying a page of results the server should return. Typically,\nthis is the value of\nListReportTypesResponse.next_page_token\nreturned in response to the previous call to the `ListJobs` method.","type":"string","location":"query"},"includeSystemManaged":{"type":"boolean","location":"query","description":"If set to true, also system-managed jobs will be returned; otherwise only\nuser-created jobs will be returned. System-managed jobs can neither be\nmodified nor deleted."},"pageSize":{"location":"query","description":"Requested page size. Server may return fewer jobs than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer"},"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"}},"flatPath":"v1/jobs","id":"youtubereporting.jobs.list","path":"v1/jobs","description":"Lists jobs."},"get":{"description":"Gets a job.","httpMethod":"GET","parameterOrder":["jobId"],"response":{"$ref":"Job"},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"jobId":{"location":"path","description":"The ID of the job to retrieve.","required":true,"type":"string"},"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"}},"flatPath":"v1/jobs/{jobId}","id":"youtubereporting.jobs.get","path":"v1/jobs/{jobId}"},"create":{"response":{"$ref":"Job"},"parameterOrder":[],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"onBehalfOfContentOwner":{"type":"string","location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel)."}},"flatPath":"v1/jobs","path":"v1/jobs","id":"youtubereporting.jobs.create","request":{"$ref":"Job"},"description":"Creates a job and returns it."}},"resources":{"reports":{"methods":{"list":{"response":{"$ref":"ListReportsResponse"},"parameterOrder":["jobId"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"jobId":{"location":"path","description":"The ID of the job.","required":true,"type":"string"},"createdAfter":{"type":"string","location":"query","description":"If set, only reports created after the specified date/time are returned.","format":"google-datetime"},"startTimeAtOrAfter":{"description":"If set, only reports whose start time is greater than or equal the\nspecified date/time are returned.","format":"google-datetime","type":"string","location":"query"},"pageToken":{"location":"query","description":"A token identifying a page of results the server should return. Typically,\nthis is the value of\nListReportsResponse.next_page_token\nreturned in response to the previous call to the `ListReports` method.","type":"string"},"pageSize":{"location":"query","description":"Requested page size. Server may return fewer report types than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer"},"onBehalfOfContentOwner":{"description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string","location":"query"},"startTimeBefore":{"description":"If set, only reports whose start time is smaller than the specified\ndate/time are returned.","format":"google-datetime","type":"string","location":"query"}},"flatPath":"v1/jobs/{jobId}/reports","path":"v1/jobs/{jobId}/reports","id":"youtubereporting.jobs.reports.list","description":"Lists reports created by a specific job.\nReturns NOT_FOUND if the job does not exist."},"get":{"httpMethod":"GET","response":{"$ref":"Report"},"parameterOrder":["jobId","reportId"],"parameters":{"jobId":{"location":"path","description":"The ID of the job.","required":true,"type":"string"},"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"},"reportId":{"required":true,"type":"string","location":"path","description":"The ID of the report to retrieve."}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"flatPath":"v1/jobs/{jobId}/reports/{reportId}","id":"youtubereporting.jobs.reports.get","path":"v1/jobs/{jobId}/reports/{reportId}","description":"Gets the metadata of a specific report."}}}}},"reportTypes":{"methods":{"list":{"description":"Lists report types.","response":{"$ref":"ListReportTypesResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"pageToken":{"description":"A token identifying a page of results the server should return. Typically,\nthis is the value of\nListReportTypesResponse.next_page_token\nreturned in response to the previous call to the `ListReportTypes` method.","type":"string","location":"query"},"includeSystemManaged":{"type":"boolean","location":"query","description":"If set to true, also system-managed report types will be returned;\notherwise only the report types that can be used to create new reporting\njobs will be returned."},"pageSize":{"location":"query","description":"Requested page size. Server may return fewer report types than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer"},"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"}},"flatPath":"v1/reportTypes","path":"v1/reportTypes","id":"youtubereporting.reportTypes.list"}}}},"parameters":{"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"},"callback":{"description":"JSONP","type":"string","location":"query"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query"},"access_token":{"type":"string","location":"query","description":"OAuth access token."},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"upload_protocol":{"type":"string","location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\")."},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"}},"schemas":{"Empty":{"type":"object","properties":{},"id":"Empty","description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`."},"ReportType":{"type":"object","properties":{"id":{"description":"The ID of the report type (max. 100 characters).","type":"string"},"systemManaged":{"description":"True if this a system-managed report type; otherwise false. Reporting jobs\nfor system-managed report types are created automatically and can thus not\nbe used in the `CreateJob` method.","type":"boolean"},"deprecateTime":{"description":"The date/time when this report type was/will be deprecated.","format":"google-datetime","type":"string"},"name":{"description":"The name of the report type (max. 100 characters).","type":"string"}},"id":"ReportType","description":"A report type."},"ListReportTypesResponse":{"description":"Response message for ReportingService.ListReportTypes.","type":"object","properties":{"reportTypes":{"description":"The list of report types.","type":"array","items":{"$ref":"ReportType"}},"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListReportTypesRequest.page_token\nfield in the subsequent call to `ListReportTypes` method to retrieve the\nnext page of results.","type":"string"}},"id":"ListReportTypesResponse"},"ListJobsResponse":{"id":"ListJobsResponse","description":"Response message for ReportingService.ListJobs.","type":"object","properties":{"jobs":{"description":"The list of jobs.","type":"array","items":{"$ref":"Job"}},"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListJobsRequest.page_token\nfield in the subsequent call to `ListJobs` method to retrieve the next\npage of results.","type":"string"}}},"GdataCompositeMedia":{"description":"gdata","type":"object","properties":{"path":{"description":"gdata","type":"string"},"length":{"description":"gdata","format":"int64","type":"string"},"cosmoBinaryReference":{"description":"gdata","format":"byte","type":"string"},"referenceType":{"enumDescriptions":["gdata","gdata","gdata","gdata","gdata"],"enum":["PATH","BLOB_REF","INLINE","BIGSTORE_REF","COSMO_BINARY_REFERENCE"],"description":"gdata","type":"string"},"md5Hash":{"description":"gdata","format":"byte","type":"string"},"inline":{"description":"gdata","format":"byte","type":"string"},"blobstore2Info":{"description":"gdata","$ref":"GdataBlobstore2Info"},"blobRef":{"description":"gdata","format":"byte","type":"string"},"objectId":{"description":"gdata","$ref":"GdataObjectId"},"crc32cHash":{"description":"gdata","format":"uint32","type":"integer"},"sha1Hash":{"description":"gdata","format":"byte","type":"string"}},"id":"GdataCompositeMedia"},"ListReportsResponse":{"description":"Response message for ReportingService.ListReports.","type":"object","properties":{"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListReportsRequest.page_token\nfield in the subsequent call to `ListReports` method to retrieve the next\npage of results.","type":"string"},"reports":{"description":"The list of report types.","type":"array","items":{"$ref":"Report"}}},"id":"ListReportsResponse"},"GdataContentTypeInfo":{"description":"gdata","type":"object","properties":{"fromBytes":{"description":"gdata","type":"string"},"fromFileName":{"description":"gdata","type":"string"},"bestGuess":{"description":"gdata","type":"string"},"fromUrlPath":{"description":"gdata","type":"string"},"fromHeader":{"description":"gdata","type":"string"}},"id":"GdataContentTypeInfo"},"GdataDiffUploadResponse":{"description":"gdata","type":"object","properties":{"objectVersion":{"description":"gdata","type":"string"},"originalObject":{"description":"gdata","$ref":"GdataCompositeMedia"}},"id":"GdataDiffUploadResponse"},"Report":{"description":"A report's metadata including the URL from which the report itself can be\ndownloaded.","type":"object","properties":{"jobId":{"description":"The ID of the job that created this report.","type":"string"},"id":{"description":"The server-generated ID of the report.","type":"string"},"jobExpireTime":{"description":"The date/time when the job this report belongs to will expire/expired.","format":"google-datetime","type":"string"},"endTime":{"description":"The end of the time period that the report instance covers. The value is\nexclusive.","format":"google-datetime","type":"string"},"downloadUrl":{"description":"The URL from which the report can be downloaded (max. 1000 characters).","type":"string"},"startTime":{"description":"The start of the time period that the report instance covers. The value is\ninclusive.","format":"google-datetime","type":"string"},"createTime":{"type":"string","description":"The date/time when this report was created.","format":"google-datetime"}},"id":"Report"},"GdataDiffChecksumsResponse":{"description":"gdata","type":"object","properties":{"checksumsLocation":{"description":"gdata","$ref":"GdataCompositeMedia"},"objectSizeBytes":{"description":"gdata","format":"int64","type":"string"},"objectLocation":{"description":"gdata","$ref":"GdataCompositeMedia"},"objectVersion":{"type":"string","description":"gdata"},"chunkSizeBytes":{"description":"gdata","format":"int64","type":"string"}},"id":"GdataDiffChecksumsResponse"},"GdataDownloadParameters":{"id":"GdataDownloadParameters","description":"gdata","type":"object","properties":{"allowGzipCompression":{"description":"gdata","type":"boolean"},"ignoreRange":{"description":"gdata","type":"boolean"}}},"Job":{"description":"A job creating reports of a specific type.","type":"object","properties":{"createTime":{"description":"The creation date/time of the job.","format":"google-datetime","type":"string"},"reportTypeId":{"description":"The type of reports this job creates. Corresponds to the ID of a\nReportType.","type":"string"},"expireTime":{"description":"The date/time when this job will expire/expired. After a job expired, no\nnew reports are generated.","format":"google-datetime","type":"string"},"name":{"description":"The name of the job (max. 100 characters).","type":"string"},"id":{"description":"The server-generated ID of the job (max. 40 characters).","type":"string"},"systemManaged":{"description":"True if this a system-managed job that cannot be modified by the user;\notherwise false.","type":"boolean"}},"id":"Job"},"GdataObjectId":{"type":"object","properties":{"objectName":{"description":"gdata","type":"string"},"bucketName":{"description":"gdata","type":"string"},"generation":{"type":"string","description":"gdata","format":"int64"}},"id":"GdataObjectId","description":"gdata"},"GdataMedia":{"description":"gdata","type":"object","properties":{"diffUploadRequest":{"description":"gdata","$ref":"GdataDiffUploadRequest"},"diffChecksumsResponse":{"description":"gdata","$ref":"GdataDiffChecksumsResponse"},"sha1Hash":{"description":"gdata","format":"byte","type":"string"},"crc32cHash":{"description":"gdata","format":"uint32","type":"integer"},"length":{"description":"gdata","format":"int64","type":"string"},"contentTypeInfo":{"$ref":"GdataContentTypeInfo","description":"gdata"},"contentType":{"type":"string","description":"gdata"},"downloadParameters":{"$ref":"GdataDownloadParameters","description":"gdata"},"mediaId":{"description":"gdata","format":"byte","type":"string"},"compositeMedia":{"description":"gdata","type":"array","items":{"$ref":"GdataCompositeMedia"}},"diffUploadResponse":{"$ref":"GdataDiffUploadResponse","description":"gdata"},"blobRef":{"description":"gdata","format":"byte","type":"string"},"diffVersionResponse":{"$ref":"GdataDiffVersionResponse","description":"gdata"},"timestamp":{"description":"gdata","format":"uint64","type":"string"},"token":{"description":"gdata","type":"string"},"hash":{"description":"gdata","type":"string"},"filename":{"description":"gdata","type":"string"},"blobstore2Info":{"$ref":"GdataBlobstore2Info","description":"gdata"},"hashVerified":{"description":"gdata","type":"boolean"},"diffDownloadResponse":{"$ref":"GdataDiffDownloadResponse","description":"gdata"},"cosmoBinaryReference":{"description":"gdata","format":"byte","type":"string"},"isPotentialRetry":{"description":"gdata","type":"boolean"},"md5Hash":{"description":"gdata","format":"byte","type":"string"},"algorithm":{"description":"gdata","type":"string"},"sha256Hash":{"description":"gdata","format":"byte","type":"string"},"objectId":{"description":"gdata","$ref":"GdataObjectId"},"path":{"description":"gdata","type":"string"},"bigstoreObjectRef":{"description":"gdata","format":"byte","type":"string"},"referenceType":{"enumDescriptions":["gdata","gdata","gdata","gdata","gdata","gdata","gdata","gdata","gdata","gdata","gdata","gdata","gdata"],"enum":["PATH","BLOB_REF","INLINE","GET_MEDIA","COMPOSITE_MEDIA","BIGSTORE_REF","DIFF_VERSION_RESPONSE","DIFF_CHECKSUMS_RESPONSE","DIFF_DOWNLOAD_RESPONSE","DIFF_UPLOAD_REQUEST","DIFF_UPLOAD_RESPONSE","COSMO_BINARY_REFERENCE","ARBITRARY_BYTES"],"description":"gdata","type":"string"},"inline":{"description":"gdata","format":"byte","type":"string"}},"id":"GdataMedia"},"GdataDiffVersionResponse":{"description":"gdata","type":"object","properties":{"objectSizeBytes":{"description":"gdata","format":"int64","type":"string"},"objectVersion":{"description":"gdata","type":"string"}},"id":"GdataDiffVersionResponse"},"GdataDiffDownloadResponse":{"description":"gdata","type":"object","properties":{"objectLocation":{"$ref":"GdataCompositeMedia","description":"gdata"}},"id":"GdataDiffDownloadResponse"},"GdataDiffUploadRequest":{"description":"gdata","type":"object","properties":{"objectVersion":{"description":"gdata","type":"string"},"objectInfo":{"$ref":"GdataCompositeMedia","description":"gdata"},"checksumsInfo":{"description":"gdata","$ref":"GdataCompositeMedia"}},"id":"GdataDiffUploadRequest"},"GdataBlobstore2Info":{"type":"object","properties":{"readToken":{"description":"gdata","type":"string"},"uploadMetadataContainer":{"description":"gdata","format":"byte","type":"string"},"blobGeneration":{"description":"gdata","format":"int64","type":"string"},"blobId":{"description":"gdata","type":"string"},"downloadReadHandle":{"type":"string","description":"gdata","format":"byte"}},"id":"GdataBlobstore2Info","description":"gdata"}},"icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"protocol":"rest","version":"v1","baseUrl":"https://youtubereporting.googleapis.com/","canonicalName":"YouTube Reporting","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/yt-analytics.readonly":{"description":"View YouTube Analytics reports for your YouTube content"},"https://www.googleapis.com/auth/yt-analytics-monetary.readonly":{"description":"View monetary and non-monetary YouTube Analytics reports for your YouTube content"}}}},"kind":"discovery#restDescription","description":"Schedules reporting jobs containing your YouTube Analytics data and downloads the resulting bulk data reports in the form of CSV files.","servicePath":"","rootUrl":"https://youtubereporting.googleapis.com/","basePath":"","ownerDomain":"google.com","name":"youtubereporting"};